/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */
/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __FEXIT_TEST_LSKEL_SKEL_H__
#define __FEXIT_TEST_LSKEL_SKEL_H__

#include <bpf/skel_internal.h>

struct fexit_test_lskel {
	struct bpf_loader_ctx ctx;
	struct {
		struct bpf_map_desc bss;
	} maps;
	struct {
		struct bpf_prog_desc test1;
		struct bpf_prog_desc test2;
		struct bpf_prog_desc test3;
		struct bpf_prog_desc test4;
		struct bpf_prog_desc test5;
		struct bpf_prog_desc test6;
		struct bpf_prog_desc test7;
		struct bpf_prog_desc test8;
	} progs;
	struct {
		int test1_fd;
		int test2_fd;
		int test3_fd;
		int test4_fd;
		int test5_fd;
		int test6_fd;
		int test7_fd;
		int test8_fd;
	} links;
	struct fexit_test_lskel__bss {
		__u64 test1_result;
		__u64 test2_result;
		__u64 test3_result;
		__u64 test4_result;
		__u64 test5_result;
		__u64 test6_result;
		__u64 test7_result;
		__u64 test8_result;
	} *bss;
};

static inline int
fexit_test_lskel__test1__attach(struct fexit_test_lskel *skel)
{
	int prog_fd = skel->progs.test1.prog_fd;
	int fd = skel_raw_tracepoint_open(NULL, prog_fd);

	if (fd > 0)
		skel->links.test1_fd = fd;
	return fd;
}

static inline int
fexit_test_lskel__test2__attach(struct fexit_test_lskel *skel)
{
	int prog_fd = skel->progs.test2.prog_fd;
	int fd = skel_raw_tracepoint_open(NULL, prog_fd);

	if (fd > 0)
		skel->links.test2_fd = fd;
	return fd;
}

static inline int
fexit_test_lskel__test3__attach(struct fexit_test_lskel *skel)
{
	int prog_fd = skel->progs.test3.prog_fd;
	int fd = skel_raw_tracepoint_open(NULL, prog_fd);

	if (fd > 0)
		skel->links.test3_fd = fd;
	return fd;
}

static inline int
fexit_test_lskel__test4__attach(struct fexit_test_lskel *skel)
{
	int prog_fd = skel->progs.test4.prog_fd;
	int fd = skel_raw_tracepoint_open(NULL, prog_fd);

	if (fd > 0)
		skel->links.test4_fd = fd;
	return fd;
}

static inline int
fexit_test_lskel__test5__attach(struct fexit_test_lskel *skel)
{
	int prog_fd = skel->progs.test5.prog_fd;
	int fd = skel_raw_tracepoint_open(NULL, prog_fd);

	if (fd > 0)
		skel->links.test5_fd = fd;
	return fd;
}

static inline int
fexit_test_lskel__test6__attach(struct fexit_test_lskel *skel)
{
	int prog_fd = skel->progs.test6.prog_fd;
	int fd = skel_raw_tracepoint_open(NULL, prog_fd);

	if (fd > 0)
		skel->links.test6_fd = fd;
	return fd;
}

static inline int
fexit_test_lskel__test7__attach(struct fexit_test_lskel *skel)
{
	int prog_fd = skel->progs.test7.prog_fd;
	int fd = skel_raw_tracepoint_open(NULL, prog_fd);

	if (fd > 0)
		skel->links.test7_fd = fd;
	return fd;
}

static inline int
fexit_test_lskel__test8__attach(struct fexit_test_lskel *skel)
{
	int prog_fd = skel->progs.test8.prog_fd;
	int fd = skel_raw_tracepoint_open(NULL, prog_fd);

	if (fd > 0)
		skel->links.test8_fd = fd;
	return fd;
}

static inline int
fexit_test_lskel__attach(struct fexit_test_lskel *skel)
{
	int ret = 0;

	ret = ret < 0 ? ret : fexit_test_lskel__test1__attach(skel);
	ret = ret < 0 ? ret : fexit_test_lskel__test2__attach(skel);
	ret = ret < 0 ? ret : fexit_test_lskel__test3__attach(skel);
	ret = ret < 0 ? ret : fexit_test_lskel__test4__attach(skel);
	ret = ret < 0 ? ret : fexit_test_lskel__test5__attach(skel);
	ret = ret < 0 ? ret : fexit_test_lskel__test6__attach(skel);
	ret = ret < 0 ? ret : fexit_test_lskel__test7__attach(skel);
	ret = ret < 0 ? ret : fexit_test_lskel__test8__attach(skel);
	return ret < 0 ? ret : 0;
}

static inline void
fexit_test_lskel__detach(struct fexit_test_lskel *skel)
{
	skel_closenz(skel->links.test1_fd);
	skel_closenz(skel->links.test2_fd);
	skel_closenz(skel->links.test3_fd);
	skel_closenz(skel->links.test4_fd);
	skel_closenz(skel->links.test5_fd);
	skel_closenz(skel->links.test6_fd);
	skel_closenz(skel->links.test7_fd);
	skel_closenz(skel->links.test8_fd);
}
static void
fexit_test_lskel__destroy(struct fexit_test_lskel *skel)
{
	if (!skel)
		return;
	fexit_test_lskel__detach(skel);
	skel_closenz(skel->progs.test1.prog_fd);
	skel_closenz(skel->progs.test2.prog_fd);
	skel_closenz(skel->progs.test3.prog_fd);
	skel_closenz(skel->progs.test4.prog_fd);
	skel_closenz(skel->progs.test5.prog_fd);
	skel_closenz(skel->progs.test6.prog_fd);
	skel_closenz(skel->progs.test7.prog_fd);
	skel_closenz(skel->progs.test8.prog_fd);
	skel_free_map_data(skel->bss, skel->maps.bss.initial_value, 4096);
	skel_closenz(skel->maps.bss.map_fd);
	skel_free(skel);
}
static inline struct fexit_test_lskel *
fexit_test_lskel__open(void)
{
	struct fexit_test_lskel *skel;

	skel = skel_alloc(sizeof(*skel));
	if (!skel)
		goto cleanup;
	skel->ctx.sz = (void *)&skel->links - (void *)skel;
	{
		static const char data[] __attribute__((__aligned__(8))) = "\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

		skel->bss = skel_prep_map_data((void *)data, 4096,
						sizeof(data) - 1);
		if (!skel->bss)
			goto cleanup;
		skel->maps.bss.initial_value = (__u64) (long) skel->bss;
	}
	return skel;
cleanup:
	fexit_test_lskel__destroy(skel);
	return NULL;
}

static inline int
fexit_test_lskel__load(struct fexit_test_lskel *skel)
{
	struct bpf_load_and_run_opts opts = {};
	int err;
	static const char opts_data[] __attribute__((__aligned__(8))) = "\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x9f\xeb\x01\0\
\x18\0\0\0\0\0\0\0\xf8\x01\0\0\xf8\x01\0\0\x7e\x05\0\0\0\0\0\0\0\0\0\x02\x02\0\
\0\0\x01\0\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\0\0\0\0\x01\0\0\x0d\x04\0\0\0\x14\
\0\0\0\x01\0\0\0\x18\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\x1c\0\0\0\x01\0\0\
\x0c\x03\0\0\0\x22\0\0\0\x01\0\0\x0c\x03\0\0\0\x28\0\0\0\x01\0\0\x0c\x03\0\0\0\
\x2e\0\0\0\x01\0\0\x0c\x03\0\0\0\x34\0\0\0\x01\0\0\x0c\x03\0\0\0\x3a\0\0\0\x01\
\0\0\x0c\x03\0\0\0\x40\0\0\0\x01\0\0\x0c\x03\0\0\0\x46\0\0\0\x01\0\0\x0c\x03\0\
\0\0\x4c\0\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x0d\0\
\0\0\x0f\0\0\0\x04\0\0\0\x51\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\x65\0\0\0\0\0\
\0\x0e\x0e\0\0\0\x01\0\0\0\x6e\0\0\0\0\0\0\x08\x02\0\0\0\x74\0\0\0\0\0\0\x0e\
\x11\0\0\0\x01\0\0\0\x81\0\0\0\0\0\0\x0e\x11\0\0\0\x01\0\0\0\x8e\0\0\0\0\0\0\
\x0e\x11\0\0\0\x01\0\0\0\x9b\0\0\0\0\0\0\x0e\x11\0\0\0\x01\0\0\0\xa8\0\0\0\0\0\
\0\x0e\x11\0\0\0\x01\0\0\0\xb5\0\0\0\0\0\0\x0e\x11\0\0\0\x01\0\0\0\xc2\0\0\0\0\
\0\0\x0e\x11\0\0\0\x01\0\0\0\xcf\0\0\0\0\0\0\x0e\x11\0\0\0\x01\0\0\0\xb9\x04\0\
\0\x01\0\0\x0f\x04\0\0\0\x10\0\0\0\0\0\0\0\x04\0\0\0\xc1\x04\0\0\x08\0\0\x0f\
\x40\0\0\0\x12\0\0\0\0\0\0\0\x08\0\0\0\x13\0\0\0\x08\0\0\0\x08\0\0\0\x14\0\0\0\
\x10\0\0\0\x08\0\0\0\x15\0\0\0\x18\0\0\0\x08\0\0\0\x16\0\0\0\x20\0\0\0\x08\0\0\
\0\x17\0\0\0\x28\0\0\0\x08\0\0\0\x18\0\0\0\x30\0\0\0\x08\0\0\0\x19\0\0\0\x38\0\
\0\0\x08\0\0\0\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\
\x6f\x6e\x67\0\x63\x74\x78\0\x69\x6e\x74\0\x74\x65\x73\x74\x31\0\x74\x65\x73\
\x74\x32\0\x74\x65\x73\x74\x33\0\x74\x65\x73\x74\x34\0\x74\x65\x73\x74\x35\0\
\x74\x65\x73\x74\x36\0\x74\x65\x73\x74\x37\0\x74\x65\x73\x74\x38\0\x63\x68\x61\
\x72\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\
\x5f\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x5f\x5f\x75\x36\x34\0\x74\x65\x73\x74\
\x31\x5f\x72\x65\x73\x75\x6c\x74\0\x74\x65\x73\x74\x32\x5f\x72\x65\x73\x75\x6c\
\x74\0\x74\x65\x73\x74\x33\x5f\x72\x65\x73\x75\x6c\x74\0\x74\x65\x73\x74\x34\
\x5f\x72\x65\x73\x75\x6c\x74\0\x74\x65\x73\x74\x35\x5f\x72\x65\x73\x75\x6c\x74\
\0\x74\x65\x73\x74\x36\x5f\x72\x65\x73\x75\x6c\x74\0\x74\x65\x73\x74\x37\x5f\
\x72\x65\x73\x75\x6c\x74\0\x74\x65\x73\x74\x38\x5f\x72\x65\x73\x75\x6c\x74\0\
\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\
\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x37\
\x30\x2e\x32\x38\x2e\x31\x2e\x65\x6c\x39\x5f\x36\x2f\x6c\x69\x6e\x75\x78\x2d\
\x35\x2e\x31\x34\x2e\x30\x2d\x35\x37\x30\x2e\x32\x38\x2e\x31\x2e\x65\x6c\x39\
\x5f\x36\x2e\x78\x38\x36\x5f\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\
\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\
\x70\x72\x6f\x67\x73\x2f\x66\x65\x78\x69\x74\x5f\x74\x65\x73\x74\x2e\x63\0\x69\
\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\x74\x65\x73\x74\x31\x2c\x20\
\x69\x6e\x74\x20\x61\x2c\x20\x69\x6e\x74\x20\x72\x65\x74\x29\0\x09\x74\x65\x73\
\x74\x31\x5f\x72\x65\x73\x75\x6c\x74\x20\x3d\x20\x61\x20\x3d\x3d\x20\x31\x20\
\x26\x26\x20\x72\x65\x74\x20\x3d\x3d\x20\x32\x3b\0\x69\x6e\x74\x20\x42\x50\x46\
\x5f\x50\x52\x4f\x47\x28\x74\x65\x73\x74\x32\x2c\x20\x69\x6e\x74\x20\x61\x2c\
\x20\x5f\x5f\x75\x36\x34\x20\x62\x2c\x20\x69\x6e\x74\x20\x72\x65\x74\x29\0\x09\
\x74\x65\x73\x74\x32\x5f\x72\x65\x73\x75\x6c\x74\x20\x3d\x20\x61\x20\x3d\x3d\
\x20\x32\x20\x26\x26\x20\x62\x20\x3d\x3d\x20\x33\x20\x26\x26\x20\x72\x65\x74\
\x20\x3d\x3d\x20\x35\x3b\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\
\x74\x65\x73\x74\x33\x2c\x20\x63\x68\x61\x72\x20\x61\x2c\x20\x69\x6e\x74\x20\
\x62\x2c\x20\x5f\x5f\x75\x36\x34\x20\x63\x2c\x20\x69\x6e\x74\x20\x72\x65\x74\
\x29\0\x09\x74\x65\x73\x74\x33\x5f\x72\x65\x73\x75\x6c\x74\x20\x3d\x20\x61\x20\
\x3d\x3d\x20\x34\x20\x26\x26\x20\x62\x20\x3d\x3d\x20\x35\x20\x26\x26\x20\x63\
\x20\x3d\x3d\x20\x36\x20\x26\x26\x20\x72\x65\x74\x20\x3d\x3d\x20\x31\x35\x3b\0\
\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\x74\x65\x73\x74\x34\x2c\
\x20\x76\x6f\x69\x64\x20\x2a\x61\x2c\x20\x63\x68\x61\x72\x20\x62\x2c\x20\x69\
\x6e\x74\x20\x63\x2c\x20\x5f\x5f\x75\x36\x34\x20\x64\x2c\x20\x69\x6e\x74\x20\
\x72\x65\x74\x29\0\x09\x74\x65\x73\x74\x34\x5f\x72\x65\x73\x75\x6c\x74\x20\x3d\
\x20\x61\x20\x3d\x3d\x20\x28\x76\x6f\x69\x64\x20\x2a\x29\x37\x20\x26\x26\x20\
\x62\x20\x3d\x3d\x20\x38\x20\x26\x26\x20\x63\x20\x3d\x3d\x20\x39\x20\x26\x26\
\x20\x64\x20\x3d\x3d\x20\x31\x30\x20\x26\x26\0\x69\x6e\x74\x20\x42\x50\x46\x5f\
\x50\x52\x4f\x47\x28\x74\x65\x73\x74\x35\x2c\x20\x5f\x5f\x75\x36\x34\x20\x61\
\x2c\x20\x76\x6f\x69\x64\x20\x2a\x62\x2c\x20\x73\x68\x6f\x72\x74\x20\x63\x2c\
\x20\x69\x6e\x74\x20\x64\x2c\x20\x5f\x5f\x75\x36\x34\x20\x65\x2c\x20\x69\x6e\
\x74\x20\x72\x65\x74\x29\0\x09\x74\x65\x73\x74\x35\x5f\x72\x65\x73\x75\x6c\x74\
\x20\x3d\x20\x61\x20\x3d\x3d\x20\x31\x31\x20\x26\x26\x20\x62\x20\x3d\x3d\x20\
\x28\x76\x6f\x69\x64\x20\x2a\x29\x31\x32\x20\x26\x26\x20\x63\x20\x3d\x3d\x20\
\x31\x33\x20\x26\x26\x20\x64\x20\x3d\x3d\x20\x31\x34\x20\x26\x26\0\x69\x6e\x74\
\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\x74\x65\x73\x74\x36\x2c\x20\x5f\x5f\
\x75\x36\x34\x20\x61\x2c\x20\x76\x6f\x69\x64\x20\x2a\x62\x2c\x20\x73\x68\x6f\
\x72\x74\x20\x63\x2c\x20\x69\x6e\x74\x20\x64\x2c\x20\x76\x6f\x69\x64\x20\x2a\
\x65\x2c\x20\x5f\x5f\x75\x36\x34\x20\x66\x2c\x20\x69\x6e\x74\x20\x72\x65\x74\
\x29\0\x09\x74\x65\x73\x74\x36\x5f\x72\x65\x73\x75\x6c\x74\x20\x3d\x20\x61\x20\
\x3d\x3d\x20\x31\x36\x20\x26\x26\x20\x62\x20\x3d\x3d\x20\x28\x76\x6f\x69\x64\
\x20\x2a\x29\x31\x37\x20\x26\x26\x20\x63\x20\x3d\x3d\x20\x31\x38\x20\x26\x26\
\x20\x64\x20\x3d\x3d\x20\x31\x39\x20\x26\x26\0\x69\x6e\x74\x20\x42\x50\x46\x5f\
\x50\x52\x4f\x47\x28\x74\x65\x73\x74\x37\x2c\x20\x73\x74\x72\x75\x63\x74\x20\
\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x5f\x74\x20\x2a\
\x61\x72\x67\x29\0\x09\x69\x66\x20\x28\x21\x61\x72\x67\x29\0\x09\x09\x74\x65\
\x73\x74\x37\x5f\x72\x65\x73\x75\x6c\x74\x20\x3d\x20\x31\x3b\0\x69\x6e\x74\x20\
\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\x74\x65\x73\x74\x38\x2c\x20\x73\x74\x72\
\x75\x63\x74\x20\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\
\x5f\x74\x20\x2a\x61\x72\x67\x29\0\x09\x69\x66\x20\x28\x21\x61\x72\x67\x2d\x3e\
\x61\x29\0\x09\x09\x74\x65\x73\x74\x38\x5f\x72\x65\x73\x75\x6c\x74\x20\x3d\x20\
\x31\x3b\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x62\x73\x73\0\x66\x65\x78\x69\x74\
\x2f\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x31\0\x66\x65\
\x78\x69\x74\x2f\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\
\x32\0\x66\x65\x78\x69\x74\x2f\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\
\x65\x73\x74\x33\0\x66\x65\x78\x69\x74\x2f\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\
\x79\x5f\x74\x65\x73\x74\x34\0\x66\x65\x78\x69\x74\x2f\x62\x70\x66\x5f\x66\x65\
\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x35\0\x66\x65\x78\x69\x74\x2f\x62\x70\x66\
\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x36\0\x66\x65\x78\x69\x74\x2f\
\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x37\0\x66\x65\x78\
\x69\x74\x2f\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x38\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x8e\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\0\
\0\0\x04\0\0\0\x40\0\0\0\x01\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\x66\x65\x78\x69\
\x74\x5f\x74\x65\x2e\x62\x73\x73\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1b\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x47\
\x50\x4c\0\0\0\0\0\x79\x14\x08\0\0\0\0\0\xb4\x02\0\0\x01\0\0\0\xb4\x03\0\0\x01\
\0\0\0\x16\x04\x01\0\x02\0\0\0\xb4\x03\0\0\0\0\0\0\x79\x11\0\0\0\0\0\0\x16\x01\
\x01\0\x01\0\0\0\xb4\x02\0\0\0\0\0\0\x5c\x32\0\0\0\0\0\0\x18\x61\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x7b\x21\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\0\0\0\0\
\x05\0\0\0\0\0\0\0\xdc\0\0\0\x61\x01\0\0\x05\x2c\0\0\x03\0\0\0\xdc\0\0\0\x85\
\x01\0\0\x18\x34\0\0\x05\0\0\0\xdc\0\0\0\x61\x01\0\0\x05\x2c\0\0\x06\0\0\0\xdc\
\0\0\0\x85\x01\0\0\x13\x34\0\0\x08\0\0\0\xdc\0\0\0\x85\x01\0\0\x18\x34\0\0\x09\
\0\0\0\xdc\0\0\0\x85\x01\0\0\x0f\x34\0\0\x0c\0\0\0\xdc\0\0\0\x61\x01\0\0\x05\
\x2c\0\0\x1a\0\0\0\x0e\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x74\x65\x73\x74\x31\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x19\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x10\0\0\0\0\0\0\0\0\0\
\0\0\x07\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\0\
\0\0\0\0\0\0\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x31\0\
\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\x79\x13\x08\0\0\0\0\0\xb4\x02\0\0\x01\0\0\
\0\xb4\x04\0\0\x01\0\0\0\x15\x03\x01\0\x03\0\0\0\xb4\x04\0\0\0\0\0\0\x79\x15\0\
\0\0\0\0\0\xb4\x03\0\0\x01\0\0\0\x16\x05\x01\0\x02\0\0\0\xb4\x03\0\0\0\0\0\0\
\x5c\x43\0\0\0\0\0\0\x79\x11\x10\0\0\0\0\0\x16\x01\x01\0\x05\0\0\0\xb4\x02\0\0\
\0\0\0\0\x5c\x23\0\0\0\0\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\x7b\x31\0\0\
\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\xdc\0\0\
\0\xa9\x01\0\0\x05\x4c\0\0\x07\0\0\0\xdc\0\0\0\xd6\x01\0\0\x13\x54\0\0\x09\0\0\
\0\xdc\0\0\0\xd6\x01\0\0\x18\x54\0\0\x0a\0\0\0\xdc\0\0\0\xa9\x01\0\0\x05\x4c\0\
\0\x0b\0\0\0\xdc\0\0\0\xd6\x01\0\0\x18\x54\0\0\x0e\0\0\0\xdc\0\0\0\xd6\x01\0\0\
\x0f\x54\0\0\x11\0\0\0\xdc\0\0\0\xa9\x01\0\0\x05\x4c\0\0\x1a\0\0\0\x13\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x74\x65\x73\x74\x32\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x19\0\0\0\0\0\0\0\x08\0\0\0\
\0\0\0\0\0\0\0\0\x01\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\x07\0\0\0\x01\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x62\x70\x66\x5f\
\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x32\0\0\0\0\0\0\0\0\x47\x50\x4c\0\
\0\0\0\0\x79\x14\x08\0\0\0\0\0\xb4\x02\0\0\x01\0\0\0\xb4\x03\0\0\x01\0\0\0\x16\
\x04\x01\0\x05\0\0\0\xb4\x03\0\0\0\0\0\0\x79\x15\0\0\0\0\0\0\x57\x05\0\0\xff\0\
\0\0\xb4\x04\0\0\x01\0\0\0\x15\x05\x01\0\x04\0\0\0\xb4\x04\0\0\0\0\0\0\x5c\x34\
\0\0\0\0\0\0\x79\x15\x10\0\0\0\0\0\xb4\x03\0\0\x01\0\0\0\x15\x05\x01\0\x06\0\0\
\0\xb4\x03\0\0\0\0\0\0\x5c\x43\0\0\0\0\0\0\x79\x11\x18\0\0\0\0\0\x16\x01\x01\0\
\x0f\0\0\0\xb4\x02\0\0\0\0\0\0\x5c\x23\0\0\0\0\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\
\x10\0\0\0\x7b\x31\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\0\0\0\0\x07\
\0\0\0\0\0\0\0\xdc\0\0\0\x04\x02\0\0\x05\x6c\0\0\x08\0\0\0\xdc\0\0\0\x39\x02\0\
\0\x13\x74\0\0\x0a\0\0\0\xdc\0\0\0\x39\x02\0\0\x18\x74\0\0\x0b\0\0\0\xdc\0\0\0\
\x04\x02\0\0\x05\x6c\0\0\x0f\0\0\0\xdc\0\0\0\x39\x02\0\0\x18\x74\0\0\x10\0\0\0\
\xdc\0\0\0\x04\x02\0\0\x05\x6c\0\0\x11\0\0\0\xdc\0\0\0\x39\x02\0\0\x18\x74\0\0\
\x14\0\0\0\xdc\0\0\0\x39\x02\0\0\x0f\x74\0\0\x17\0\0\0\xdc\0\0\0\x04\x02\0\0\
\x05\x6c\0\0\x1a\0\0\0\x19\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x74\x65\x73\x74\x33\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x19\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x10\0\0\0\0\0\0\0\
\0\0\0\0\x09\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x10\0\0\0\0\0\0\0\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\
\x33\0\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\x79\x14\0\0\0\0\0\0\xb4\x02\0\0\x01\
\0\0\0\xb4\x03\0\0\x01\0\0\0\x15\x04\x01\0\x07\0\0\0\xb4\x03\0\0\0\0\0\0\x79\
\x15\x08\0\0\0\0\0\x57\x05\0\0\xff\0\0\0\xb4\x04\0\0\x01\0\0\0\x15\x05\x01\0\
\x08\0\0\0\xb4\x04\0\0\0\0\0\0\x5c\x43\0\0\0\0\0\0\x79\x15\x10\0\0\0\0\0\xb4\
\x04\0\0\x01\0\0\0\x16\x05\x01\0\x09\0\0\0\xb4\x04\0\0\0\0\0\0\x5c\x43\0\0\0\0\
\0\0\x79\x15\x18\0\0\0\0\0\xb4\x04\0\0\x01\0\0\0\x15\x05\x01\0\x0a\0\0\0\xb4\
\x04\0\0\0\0\0\0\x5c\x34\0\0\0\0\0\0\x79\x11\x20\0\0\0\0\0\x16\x01\x01\0\x22\0\
\0\0\xb4\x02\0\0\0\0\0\0\x5c\x24\0\0\0\0\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\x18\0\
\0\0\x7b\x41\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\
\0\0\0\0\xdc\0\0\0\x72\x02\0\0\x05\x8c\0\0\x03\0\0\0\xdc\0\0\0\xb0\x02\0\0\x13\
\x94\0\0\x05\0\0\0\xdc\0\0\0\x72\x02\0\0\x05\x8c\0\0\x0a\0\0\0\xdc\0\0\0\xb0\
\x02\0\0\x20\x94\0\0\x0b\0\0\0\xdc\0\0\0\x72\x02\0\0\x05\x8c\0\0\x0f\0\0\0\xdc\
\0\0\0\xb0\x02\0\0\x20\x94\0\0\x10\0\0\0\xdc\0\0\0\x72\x02\0\0\x05\x8c\0\0\x14\
\0\0\0\xdc\0\0\0\xb0\x02\0\0\x20\x94\0\0\x15\0\0\0\xdc\0\0\0\x72\x02\0\0\x05\
\x8c\0\0\x16\0\0\0\xdc\0\0\0\xb0\x02\0\0\x20\x94\0\0\x19\0\0\0\xdc\0\0\0\xb0\
\x02\0\0\x0f\x94\0\0\x1c\0\0\0\xdc\0\0\0\x72\x02\0\0\x05\x8c\0\0\x1a\0\0\0\x1e\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x74\x65\x73\x74\x34\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x19\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\x0c\0\0\0\x01\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x62\x70\
\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x34\0\0\0\0\0\0\0\0\x47\
\x50\x4c\0\0\0\0\0\x79\x13\x08\0\0\0\0\0\xb4\x02\0\0\x01\0\0\0\xb4\x04\0\0\x01\
\0\0\0\x15\x03\x01\0\x0c\0\0\0\xb4\x04\0\0\0\0\0\0\x79\x15\0\0\0\0\0\0\xb4\x03\
\0\0\x01\0\0\0\x15\x05\x01\0\x0b\0\0\0\xb4\x03\0\0\0\0\0\0\x5c\x43\0\0\0\0\0\0\
\x79\x15\x10\0\0\0\0\0\x57\x05\0\0\xff\xff\0\0\xb4\x04\0\0\x01\0\0\0\x15\x05\
\x01\0\x0d\0\0\0\xb4\x04\0\0\0\0\0\0\x5c\x43\0\0\0\0\0\0\x79\x15\x18\0\0\0\0\0\
\xb4\x04\0\0\x01\0\0\0\x16\x05\x01\0\x0e\0\0\0\xb4\x04\0\0\0\0\0\0\x5c\x43\0\0\
\0\0\0\0\x79\x15\x20\0\0\0\0\0\xb4\x04\0\0\x01\0\0\0\x15\x05\x01\0\x0f\0\0\0\
\xb4\x04\0\0\0\0\0\0\x5c\x34\0\0\0\0\0\0\x79\x11\x28\0\0\0\0\0\x16\x01\x01\0\
\x41\0\0\0\xb4\x02\0\0\0\0\0\0\x5c\x24\0\0\0\0\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\
\x20\0\0\0\x7b\x41\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\0\0\0\0\x09\
\0\0\0\0\0\0\0\xdc\0\0\0\xf1\x02\0\0\x05\xb0\0\0\x07\0\0\0\xdc\0\0\0\x39\x03\0\
\0\x13\xb8\0\0\x09\0\0\0\xdc\0\0\0\x39\x03\0\0\x19\xb8\0\0\x0a\0\0\0\xdc\0\0\0\
\xf1\x02\0\0\x05\xb0\0\0\x0f\0\0\0\xdc\0\0\0\x39\x03\0\0\x19\xb8\0\0\x10\0\0\0\
\xdc\0\0\0\xf1\x02\0\0\x05\xb0\0\0\x14\0\0\0\xdc\0\0\0\x39\x03\0\0\x19\xb8\0\0\
\x15\0\0\0\xdc\0\0\0\xf1\x02\0\0\x05\xb0\0\0\x19\0\0\0\xdc\0\0\0\x39\x03\0\0\
\x19\xb8\0\0\x1a\0\0\0\xdc\0\0\0\xf1\x02\0\0\x05\xb0\0\0\x1b\0\0\0\xdc\0\0\0\
\x39\x03\0\0\x19\xb8\0\0\x1e\0\0\0\xdc\0\0\0\x39\x03\0\0\x0f\xb8\0\0\x21\0\0\0\
\xdc\0\0\0\xf1\x02\0\0\x05\xb0\0\0\x1a\0\0\0\x23\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x74\x65\x73\x74\x35\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x19\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x01\0\
\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\x0d\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\
\x5f\x74\x65\x73\x74\x35\0\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\x79\x13\x08\0\0\
\0\0\0\xb4\x02\0\0\x01\0\0\0\xb4\x04\0\0\x01\0\0\0\x15\x03\x01\0\x11\0\0\0\xb4\
\x04\0\0\0\0\0\0\x79\x15\0\0\0\0\0\0\xb4\x03\0\0\x01\0\0\0\x15\x05\x01\0\x10\0\
\0\0\xb4\x03\0\0\0\0\0\0\x5c\x43\0\0\0\0\0\0\x79\x15\x10\0\0\0\0\0\x57\x05\0\0\
\xff\xff\0\0\xb4\x04\0\0\x01\0\0\0\x15\x05\x01\0\x12\0\0\0\xb4\x04\0\0\0\0\0\0\
\x5c\x43\0\0\0\0\0\0\x79\x15\x18\0\0\0\0\0\xb4\x04\0\0\x01\0\0\0\x16\x05\x01\0\
\x13\0\0\0\xb4\x04\0\0\0\0\0\0\x5c\x43\0\0\0\0\0\0\x79\x15\x20\0\0\0\0\0\xb4\
\x04\0\0\x01\0\0\0\x15\x05\x01\0\x14\0\0\0\xb4\x04\0\0\0\0\0\0\x5c\x43\0\0\0\0\
\0\0\x79\x15\x28\0\0\0\0\0\xb4\x04\0\0\x01\0\0\0\x15\x05\x01\0\x15\0\0\0\xb4\
\x04\0\0\0\0\0\0\x5c\x34\0\0\0\0\0\0\x79\x11\x30\0\0\0\0\0\x16\x01\x01\0\x6f\0\
\0\0\xb4\x02\0\0\0\0\0\0\x5c\x24\0\0\0\0\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\x28\0\
\0\0\x7b\x41\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\0\0\0\0\x0a\0\0\0\
\0\0\0\0\xdc\0\0\0\x7d\x03\0\0\x05\xd4\0\0\x07\0\0\0\xdc\0\0\0\xce\x03\0\0\x13\
\xdc\0\0\x09\0\0\0\xdc\0\0\0\xce\x03\0\0\x19\xdc\0\0\x0a\0\0\0\xdc\0\0\0\x7d\
\x03\0\0\x05\xd4\0\0\x0f\0\0\0\xdc\0\0\0\xce\x03\0\0\x19\xdc\0\0\x10\0\0\0\xdc\
\0\0\0\x7d\x03\0\0\x05\xd4\0\0\x14\0\0\0\xdc\0\0\0\xce\x03\0\0\x19\xdc\0\0\x15\
\0\0\0\xdc\0\0\0\x7d\x03\0\0\x05\xd4\0\0\x19\0\0\0\xdc\0\0\0\xce\x03\0\0\x19\
\xdc\0\0\x1a\0\0\0\xdc\0\0\0\x7d\x03\0\0\x05\xd4\0\0\x1e\0\0\0\xdc\0\0\0\xce\
\x03\0\0\x19\xdc\0\0\x1f\0\0\0\xdc\0\0\0\x7d\x03\0\0\x05\xd4\0\0\x20\0\0\0\xdc\
\0\0\0\xce\x03\0\0\x19\xdc\0\0\x23\0\0\0\xdc\0\0\0\xce\x03\0\0\x0f\xdc\0\0\x26\
\0\0\0\xdc\0\0\0\x7d\x03\0\0\x05\xd4\0\0\x1a\0\0\0\x28\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x74\x65\x73\x74\
\x36\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x19\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\
\x01\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\x0f\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x62\x70\x66\x5f\x66\x65\x6e\x74\
\x72\x79\x5f\x74\x65\x73\x74\x36\0\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\x79\x11\
\0\0\0\0\0\0\x55\x01\x03\0\0\0\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\x30\0\0\0\x7a\
\x01\0\0\x01\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\0\0\0\0\x0b\0\0\0\0\0\0\
\0\xdc\0\0\0\x12\x04\0\0\x05\x08\x01\0\x01\0\0\0\xdc\0\0\0\x45\x04\0\0\x06\x10\
\x01\0\x02\0\0\0\xdc\0\0\0\x50\x04\0\0\x10\x14\x01\0\x05\0\0\0\xdc\0\0\0\x12\
\x04\0\0\x05\x08\x01\0\x1a\0\0\0\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x74\x65\x73\x74\x37\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x19\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x10\0\0\
\0\0\0\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x10\0\0\0\0\0\0\0\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\
\x73\x74\x37\0\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\x79\x11\0\0\0\0\0\0\x79\x11\
\0\0\0\0\0\0\x55\x01\x03\0\0\0\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\x38\0\0\0\x7a\
\x01\0\0\x01\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\0\0\0\0\x0c\0\0\0\0\0\0\
\0\xdc\0\0\0\x64\x04\0\0\x05\x2c\x01\0\x01\0\0\0\xdc\0\0\0\x97\x04\0\0\x0c\x34\
\x01\0\x02\0\0\0\xdc\0\0\0\x97\x04\0\0\x06\x34\x01\0\x03\0\0\0\xdc\0\0\0\xa5\
\x04\0\0\x10\x38\x01\0\x06\0\0\0\xdc\0\0\0\x64\x04\0\0\x05\x2c\x01\0\x1a\0\0\0\
\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x74\x65\x73\x74\x38\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x19\0\0\0\0\0\0\
\0\x08\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\x05\0\0\0\x01\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x62\
\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x38\0\0\0\0\0\0\0\0";
	static const char opts_insn[] __attribute__((__aligned__(8))) = "\
\xbf\x16\0\0\0\0\0\0\xbf\xa1\0\0\0\0\0\0\x07\x01\0\0\x78\xff\xff\xff\xb7\x02\0\
\0\x88\0\0\0\xb7\x03\0\0\0\0\0\0\x85\0\0\0\x71\0\0\0\x05\0\x26\0\0\0\0\0\x61\
\xa1\x78\xff\0\0\0\0\xd5\x01\x01\0\0\0\0\0\x85\0\0\0\xa8\0\0\0\x61\xa1\x7c\xff\
\0\0\0\0\xd5\x01\x01\0\0\0\0\0\x85\0\0\0\xa8\0\0\0\x61\xa1\x80\xff\0\0\0\0\xd5\
\x01\x01\0\0\0\0\0\x85\0\0\0\xa8\0\0\0\x61\xa1\x84\xff\0\0\0\0\xd5\x01\x01\0\0\
\0\0\0\x85\0\0\0\xa8\0\0\0\x61\xa1\x88\xff\0\0\0\0\xd5\x01\x01\0\0\0\0\0\x85\0\
\0\0\xa8\0\0\0\x61\xa1\x8c\xff\0\0\0\0\xd5\x01\x01\0\0\0\0\0\x85\0\0\0\xa8\0\0\
\0\x61\xa1\x90\xff\0\0\0\0\xd5\x01\x01\0\0\0\0\0\x85\0\0\0\xa8\0\0\0\x61\xa1\
\x94\xff\0\0\0\0\xd5\x01\x01\0\0\0\0\0\x85\0\0\0\xa8\0\0\0\x61\xa1\x98\xff\0\0\
\0\0\xd5\x01\x01\0\0\0\0\0\x85\0\0\0\xa8\0\0\0\x61\xa1\x9c\xff\0\0\0\0\xd5\x01\
\x01\0\0\0\0\0\x85\0\0\0\xa8\0\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x01\
\0\0\0\0\0\0\xd5\x01\x02\0\0\0\0\0\xbf\x19\0\0\0\0\0\0\x85\0\0\0\xa8\0\0\0\xbf\
\x70\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x61\x60\x08\0\0\0\0\0\x18\x61\0\0\0\0\0\0\0\
\0\0\0\xa8\x0c\0\0\x63\x01\0\0\0\0\0\0\x61\x60\x0c\0\0\0\0\0\x18\x61\0\0\0\0\0\
\0\0\0\0\0\xa4\x0c\0\0\x63\x01\0\0\0\0\0\0\x79\x60\x10\0\0\0\0\0\x18\x61\0\0\0\
\0\0\0\0\0\0\0\x98\x0c\0\0\x7b\x01\0\0\0\0\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\0\
\x05\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\x90\x0c\0\0\x7b\x01\0\0\0\0\0\0\xb7\x01\0\
\0\x12\0\0\0\x18\x62\0\0\0\0\0\0\0\0\0\0\x90\x0c\0\0\xb7\x03\0\0\x1c\0\0\0\x85\
\0\0\0\xa6\0\0\0\xbf\x07\0\0\0\0\0\0\xc5\x07\xc2\xff\0\0\0\0\x63\x7a\x78\xff\0\
\0\0\0\x61\xa0\x78\xff\0\0\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\xe0\x0c\0\0\x63\x01\
\0\0\0\0\0\0\x61\x60\x1c\0\0\0\0\0\x15\0\x03\0\0\0\0\0\x18\x61\0\0\0\0\0\0\0\0\
\0\0\xbc\x0c\0\0\x63\x01\0\0\0\0\0\0\xb7\x01\0\0\0\0\0\0\x18\x62\0\0\0\0\0\0\0\
\0\0\0\xb0\x0c\0\0\xb7\x03\0\0\x48\0\0\0\x85\0\0\0\xa6\0\0\0\xbf\x07\0\0\0\0\0\
\0\xc5\x07\xb1\xff\0\0\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x63\x71\0\0\0\0\
\0\0\x79\x63\x20\0\0\0\0\0\x15\x03\x08\0\0\0\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\
\xf8\x0c\0\0\xb7\x02\0\0\x40\0\0\0\x61\x60\x04\0\0\0\0\0\x45\0\x02\0\x01\0\0\0\
\x85\0\0\0\x94\0\0\0\x05\0\x01\0\0\0\0\0\x85\0\0\0\x71\0\0\0\x18\x62\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x61\x20\0\0\0\0\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\x40\x0d\0\0\
\x63\x01\0\0\0\0\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\x38\x0d\0\0\x18\x61\0\0\0\0\0\
\0\0\0\0\0\x48\x0d\0\0\x7b\x01\0\0\0\0\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\xf8\x0c\
\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\x50\x0d\0\0\x7b\x01\0\0\0\0\0\0\xb7\x01\0\0\
\x02\0\0\0\x18\x62\0\0\0\0\0\0\0\0\0\0\x40\x0d\0\0\xb7\x03\0\0\x20\0\0\0\x85\0\
\0\0\xa6\0\0\0\xbf\x07\0\0\0\0\0\0\xc5\x07\x8d\xff\0\0\0\0\x18\x60\0\0\0\0\0\0\
\0\0\0\0\x60\x0d\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\x60\x0e\0\0\x7b\x01\0\0\0\0\0\
\0\x18\x60\0\0\0\0\0\0\0\0\0\0\x68\x0d\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\x58\x0e\
\0\0\x7b\x01\0\0\0\0\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\xd8\x0d\0\0\x18\x61\0\0\0\
\0\0\0\0\0\0\0\xa0\x0e\0\0\x7b\x01\0\0\0\0\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\xe0\
\x0d\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\xb0\x0e\0\0\x7b\x01\0\0\0\0\0\0\x18\x60\0\
\0\0\0\0\0\0\0\0\0\x50\x0e\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\xd0\x0e\0\0\x7b\x01\
\0\0\0\0\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\
\xc8\x0e\0\0\x7b\x01\0\0\0\0\0\0\x61\x60\x08\0\0\0\0\0\x18\x61\0\0\0\0\0\0\0\0\
\0\0\x68\x0e\0\0\x63\x01\0\0\0\0\0\0\x61\x60\x0c\0\0\0\0\0\x18\x61\0\0\0\0\0\0\
\0\0\0\0\x6c\x0e\0\0\x63\x01\0\0\0\0\0\0\x79\x60\x10\0\0\0\0\0\x18\x61\0\0\0\0\
\0\0\0\0\0\0\x70\x0e\0\0\x7b\x01\0\0\0\0\0\0\x61\xa0\x78\xff\0\0\0\0\x18\x61\0\
\0\0\0\0\0\0\0\0\0\x98\x0e\0\0\x63\x01\0\0\0\0\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\
\xe0\x0e\0\0\xb7\x02\0\0\x11\0\0\0\xb7\x03\0\0\x0c\0\0\0\xb7\x04\0\0\0\0\0\0\
\x85\0\0\0\xa7\0\0\0\xbf\x07\0\0\0\0\0\0\xc5\x07\x57\xff\0\0\0\0\x18\x60\0\0\0\
\0\0\0\0\0\0\0\x50\x0e\0\0\x63\x70\x6c\0\0\0\0\0\x77\x07\0\0\x20\0\0\0\x63\x70\
\x70\0\0\0\0\0\xb7\x01\0\0\x05\0\0\0\x18\x62\0\0\0\0\0\0\0\0\0\0\x50\x0e\0\0\
\xb7\x03\0\0\x8c\0\0\0\x85\0\0\0\xa6\0\0\0\xbf\x07\0\0\0\0\0\0\x18\x60\0\0\0\0\
\0\0\0\0\0\0\xc0\x0e\0\0\x61\x01\0\0\0\0\0\0\xd5\x01\x02\0\0\0\0\0\xbf\x19\0\0\
\0\0\0\0\x85\0\0\0\xa8\0\0\0\xc5\x07\x45\xff\0\0\0\0\x63\x7a\x80\xff\0\0\0\0\
\x18\x60\0\0\0\0\0\0\0\0\0\0\xf8\x0e\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\x20\x10\0\
\0\x7b\x01\0\0\0\0\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\0\x0f\0\0\x18\x61\0\0\0\0\0\
\0\0\0\0\0\x18\x10\0\0\x7b\x01\0\0\0\0\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\x98\x0f\
\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\x60\x10\0\0\x7b\x01\0\0\0\0\0\0\x18\x60\0\0\0\
\0\0\0\0\0\0\0\xa0\x0f\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\x70\x10\0\0\x7b\x01\0\0\
\0\0\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\x10\x10\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\
\x90\x10\0\0\x7b\x01\0\0\0\0\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x61\0\
\0\0\0\0\0\0\0\0\0\x88\x10\0\0\x7b\x01\0\0\0\0\0\0\x61\x60\x08\0\0\0\0\0\x18\
\x61\0\0\0\0\0\0\0\0\0\0\x28\x10\0\0\x63\x01\0\0\0\0\0\0\x61\x60\x0c\0\0\0\0\0\
\x18\x61\0\0\0\0\0\0\0\0\0\0\x2c\x10\0\0\x63\x01\0\0\0\0\0\0\x79\x60\x10\0\0\0\
\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\x30\x10\0\0\x7b\x01\0\0\0\0\0\0\x61\xa0\x78\
\xff\0\0\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\x58\x10\0\0\x63\x01\0\0\0\0\0\0\x18\
\x61\0\0\0\0\0\0\0\0\0\0\xa0\x10\0\0\xb7\x02\0\0\x11\0\0\0\xb7\x03\0\0\x0c\0\0\
\0\xb7\x04\0\0\0\0\0\0\x85\0\0\0\xa7\0\0\0\xbf\x07\0\0\0\0\0\0\xc5\x07\x0e\xff\
\0\0\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\x10\x10\0\0\x63\x70\x6c\0\0\0\0\0\x77\x07\
\0\0\x20\0\0\0\x63\x70\x70\0\0\0\0\0\xb7\x01\0\0\x05\0\0\0\x18\x62\0\0\0\0\0\0\
\0\0\0\0\x10\x10\0\0\xb7\x03\0\0\x8c\0\0\0\x85\0\0\0\xa6\0\0\0\xbf\x07\0\0\0\0\
\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\x80\x10\0\0\x61\x01\0\0\0\0\0\0\xd5\x01\x02\0\
\0\0\0\0\xbf\x19\0\0\0\0\0\0\x85\0\0\0\xa8\0\0\0\xc5\x07\xfc\xfe\0\0\0\0\x63\
\x7a\x84\xff\0\0\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\xb8\x10\0\0\x18\x61\0\0\0\0\0\
\0\0\0\0\0\x30\x12\0\0\x7b\x01\0\0\0\0\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\xc0\x10\
\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\x28\x12\0\0\x7b\x01\0\0\0\0\0\0\x18\x60\0\0\0\
\0\0\0\0\0\0\0\x88\x11\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\x70\x12\0\0\x7b\x01\0\0\
\0\0\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\x90\x11\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\
\x80\x12\0\0\x7b\x01\0\0\0\0\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\x20\x12\0\0\x18\
\x61\0\0\0\0\0\0\0\0\0\0\xa0\x12\0\0\x7b\x01\0\0\0\0\0\0\x18\x60\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\x98\x12\0\0\x7b\x01\0\0\0\0\0\0\x61\
\x60\x08\0\0\0\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\x38\x12\0\0\x63\x01\0\0\0\0\0\0\
\x61\x60\x0c\0\0\0\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\x3c\x12\0\0\x63\x01\0\0\0\0\
\0\0\x79\x60\x10\0\0\0\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\x40\x12\0\0\x7b\x01\0\0\
\0\0\0\0\x61\xa0\x78\xff\0\0\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\x68\x12\0\0\x63\
\x01\0\0\0\0\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\xb0\x12\0\0\xb7\x02\0\0\x11\0\0\0\
\xb7\x03\0\0\x0c\0\0\0\xb7\x04\0\0\0\0\0\0\x85\0\0\0\xa7\0\0\0\xbf\x07\0\0\0\0\
\0\0\xc5\x07\xc5\xfe\0\0\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\x20\x12\0\0\x63\x70\
\x6c\0\0\0\0\0\x77\x07\0\0\x20\0\0\0\x63\x70\x70\0\0\0\0\0\xb7\x01\0\0\x05\0\0\
\0\x18\x62\0\0\0\0\0\0\0\0\0\0\x20\x12\0\0\xb7\x03\0\0\x8c\0\0\0\x85\0\0\0\xa6\
\0\0\0\xbf\x07\0\0\0\0\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\x90\x12\0\0\x61\x01\0\0\
\0\0\0\0\xd5\x01\x02\0\0\0\0\0\xbf\x19\0\0\0\0\0\0\x85\0\0\0\xa8\0\0\0\xc5\x07\
\xb3\xfe\0\0\0\0\x63\x7a\x88\xff\0\0\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\xc8\x12\0\
\0\x18\x61\0\0\0\0\0\0\0\0\0\0\x98\x14\0\0\x7b\x01\0\0\0\0\0\0\x18\x60\0\0\0\0\
\0\0\0\0\0\0\xd0\x12\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\x90\x14\0\0\x7b\x01\0\0\0\
\0\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\xc0\x13\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\xd8\
\x14\0\0\x7b\x01\0\0\0\0\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\xc8\x13\0\0\x18\x61\0\
\0\0\0\0\0\0\0\0\0\xe8\x14\0\0\x7b\x01\0\0\0\0\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\
\x88\x14\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\x08\x15\0\0\x7b\x01\0\0\0\0\0\0\x18\
\x60\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\0\x15\0\0\x7b\x01\
\0\0\0\0\0\0\x61\x60\x08\0\0\0\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\xa0\x14\0\0\x63\
\x01\0\0\0\0\0\0\x61\x60\x0c\0\0\0\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\xa4\x14\0\0\
\x63\x01\0\0\0\0\0\0\x79\x60\x10\0\0\0\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\xa8\x14\
\0\0\x7b\x01\0\0\0\0\0\0\x61\xa0\x78\xff\0\0\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\
\xd0\x14\0\0\x63\x01\0\0\0\0\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\x18\x15\0\0\xb7\
\x02\0\0\x11\0\0\0\xb7\x03\0\0\x0c\0\0\0\xb7\x04\0\0\0\0\0\0\x85\0\0\0\xa7\0\0\
\0\xbf\x07\0\0\0\0\0\0\xc5\x07\x7c\xfe\0\0\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\x88\
\x14\0\0\x63\x70\x6c\0\0\0\0\0\x77\x07\0\0\x20\0\0\0\x63\x70\x70\0\0\0\0\0\xb7\
\x01\0\0\x05\0\0\0\x18\x62\0\0\0\0\0\0\0\0\0\0\x88\x14\0\0\xb7\x03\0\0\x8c\0\0\
\0\x85\0\0\0\xa6\0\0\0\xbf\x07\0\0\0\0\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\xf8\x14\
\0\0\x61\x01\0\0\0\0\0\0\xd5\x01\x02\0\0\0\0\0\xbf\x19\0\0\0\0\0\0\x85\0\0\0\
\xa8\0\0\0\xc5\x07\x6a\xfe\0\0\0\0\x63\x7a\x8c\xff\0\0\0\0\x18\x60\0\0\0\0\0\0\
\0\0\0\0\x30\x15\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\x38\x17\0\0\x7b\x01\0\0\0\0\0\
\0\x18\x60\0\0\0\0\0\0\0\0\0\0\x38\x15\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\x30\x17\
\0\0\x7b\x01\0\0\0\0\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\x50\x16\0\0\x18\x61\0\0\0\
\0\0\0\0\0\0\0\x78\x17\0\0\x7b\x01\0\0\0\0\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\x58\
\x16\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\x88\x17\0\0\x7b\x01\0\0\0\0\0\0\x18\x60\0\
\0\0\0\0\0\0\0\0\0\x28\x17\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\xa8\x17\0\0\x7b\x01\
\0\0\0\0\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\
\xa0\x17\0\0\x7b\x01\0\0\0\0\0\0\x61\x60\x08\0\0\0\0\0\x18\x61\0\0\0\0\0\0\0\0\
\0\0\x40\x17\0\0\x63\x01\0\0\0\0\0\0\x61\x60\x0c\0\0\0\0\0\x18\x61\0\0\0\0\0\0\
\0\0\0\0\x44\x17\0\0\x63\x01\0\0\0\0\0\0\x79\x60\x10\0\0\0\0\0\x18\x61\0\0\0\0\
\0\0\0\0\0\0\x48\x17\0\0\x7b\x01\0\0\0\0\0\0\x61\xa0\x78\xff\0\0\0\0\x18\x61\0\
\0\0\0\0\0\0\0\0\0\x70\x17\0\0\x63\x01\0\0\0\0\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\
\xb8\x17\0\0\xb7\x02\0\0\x11\0\0\0\xb7\x03\0\0\x0c\0\0\0\xb7\x04\0\0\0\0\0\0\
\x85\0\0\0\xa7\0\0\0\xbf\x07\0\0\0\0\0\0\xc5\x07\x33\xfe\0\0\0\0\x18\x60\0\0\0\
\0\0\0\0\0\0\0\x28\x17\0\0\x63\x70\x6c\0\0\0\0\0\x77\x07\0\0\x20\0\0\0\x63\x70\
\x70\0\0\0\0\0\xb7\x01\0\0\x05\0\0\0\x18\x62\0\0\0\0\0\0\0\0\0\0\x28\x17\0\0\
\xb7\x03\0\0\x8c\0\0\0\x85\0\0\0\xa6\0\0\0\xbf\x07\0\0\0\0\0\0\x18\x60\0\0\0\0\
\0\0\0\0\0\0\x98\x17\0\0\x61\x01\0\0\0\0\0\0\xd5\x01\x02\0\0\0\0\0\xbf\x19\0\0\
\0\0\0\0\x85\0\0\0\xa8\0\0\0\xc5\x07\x21\xfe\0\0\0\0\x63\x7a\x90\xff\0\0\0\0\
\x18\x60\0\0\0\0\0\0\0\0\0\0\xd0\x17\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\x20\x1a\0\
\0\x7b\x01\0\0\0\0\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\xd8\x17\0\0\x18\x61\0\0\0\0\
\0\0\0\0\0\0\x18\x1a\0\0\x7b\x01\0\0\0\0\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\x18\
\x19\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\x60\x1a\0\0\x7b\x01\0\0\0\0\0\0\x18\x60\0\
\0\0\0\0\0\0\0\0\0\x20\x19\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\x70\x1a\0\0\x7b\x01\
\0\0\0\0\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\x10\x1a\0\0\x18\x61\0\0\0\0\0\0\0\0\0\
\0\x90\x1a\0\0\x7b\x01\0\0\0\0\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x61\
\0\0\0\0\0\0\0\0\0\0\x88\x1a\0\0\x7b\x01\0\0\0\0\0\0\x61\x60\x08\0\0\0\0\0\x18\
\x61\0\0\0\0\0\0\0\0\0\0\x28\x1a\0\0\x63\x01\0\0\0\0\0\0\x61\x60\x0c\0\0\0\0\0\
\x18\x61\0\0\0\0\0\0\0\0\0\0\x2c\x1a\0\0\x63\x01\0\0\0\0\0\0\x79\x60\x10\0\0\0\
\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\x30\x1a\0\0\x7b\x01\0\0\0\0\0\0\x61\xa0\x78\
\xff\0\0\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\x58\x1a\0\0\x63\x01\0\0\0\0\0\0\x18\
\x61\0\0\0\0\0\0\0\0\0\0\xa0\x1a\0\0\xb7\x02\0\0\x11\0\0\0\xb7\x03\0\0\x0c\0\0\
\0\xb7\x04\0\0\0\0\0\0\x85\0\0\0\xa7\0\0\0\xbf\x07\0\0\0\0\0\0\xc5\x07\xea\xfd\
\0\0\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\x10\x1a\0\0\x63\x70\x6c\0\0\0\0\0\x77\x07\
\0\0\x20\0\0\0\x63\x70\x70\0\0\0\0\0\xb7\x01\0\0\x05\0\0\0\x18\x62\0\0\0\0\0\0\
\0\0\0\0\x10\x1a\0\0\xb7\x03\0\0\x8c\0\0\0\x85\0\0\0\xa6\0\0\0\xbf\x07\0\0\0\0\
\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\x80\x1a\0\0\x61\x01\0\0\0\0\0\0\xd5\x01\x02\0\
\0\0\0\0\xbf\x19\0\0\0\0\0\0\x85\0\0\0\xa8\0\0\0\xc5\x07\xd8\xfd\0\0\0\0\x63\
\x7a\x94\xff\0\0\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\xb8\x1a\0\0\x18\x61\0\0\0\0\0\
\0\0\0\0\0\x50\x1b\0\0\x7b\x01\0\0\0\0\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\xc0\x1a\
\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\x48\x1b\0\0\x7b\x01\0\0\0\0\0\0\x18\x60\0\0\0\
\0\0\0\0\0\0\0\xf8\x1a\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\x90\x1b\0\0\x7b\x01\0\0\
\0\0\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\0\x1b\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\xa0\
\x1b\0\0\x7b\x01\0\0\0\0\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\x40\x1b\0\0\x18\x61\0\
\0\0\0\0\0\0\0\0\0\xc0\x1b\0\0\x7b\x01\0\0\0\0\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\xb8\x1b\0\0\x7b\x01\0\0\0\0\0\0\x61\x60\
\x08\0\0\0\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\x58\x1b\0\0\x63\x01\0\0\0\0\0\0\x61\
\x60\x0c\0\0\0\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\x5c\x1b\0\0\x63\x01\0\0\0\0\0\0\
\x79\x60\x10\0\0\0\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\x60\x1b\0\0\x7b\x01\0\0\0\0\
\0\0\x61\xa0\x78\xff\0\0\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\x88\x1b\0\0\x63\x01\0\
\0\0\0\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\xd0\x1b\0\0\xb7\x02\0\0\x11\0\0\0\xb7\
\x03\0\0\x0c\0\0\0\xb7\x04\0\0\0\0\0\0\x85\0\0\0\xa7\0\0\0\xbf\x07\0\0\0\0\0\0\
\xc5\x07\xa1\xfd\0\0\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\x40\x1b\0\0\x63\x70\x6c\0\
\0\0\0\0\x77\x07\0\0\x20\0\0\0\x63\x70\x70\0\0\0\0\0\xb7\x01\0\0\x05\0\0\0\x18\
\x62\0\0\0\0\0\0\0\0\0\0\x40\x1b\0\0\xb7\x03\0\0\x8c\0\0\0\x85\0\0\0\xa6\0\0\0\
\xbf\x07\0\0\0\0\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\xb0\x1b\0\0\x61\x01\0\0\0\0\0\
\0\xd5\x01\x02\0\0\0\0\0\xbf\x19\0\0\0\0\0\0\x85\0\0\0\xa8\0\0\0\xc5\x07\x8f\
\xfd\0\0\0\0\x63\x7a\x98\xff\0\0\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\xe8\x1b\0\0\
\x18\x61\0\0\0\0\0\0\0\0\0\0\x98\x1c\0\0\x7b\x01\0\0\0\0\0\0\x18\x60\0\0\0\0\0\
\0\0\0\0\0\xf0\x1b\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\x90\x1c\0\0\x7b\x01\0\0\0\0\
\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\x30\x1c\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\xd8\
\x1c\0\0\x7b\x01\0\0\0\0\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\x38\x1c\0\0\x18\x61\0\
\0\0\0\0\0\0\0\0\0\xe8\x1c\0\0\x7b\x01\0\0\0\0\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\
\x88\x1c\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\x08\x1d\0\0\x7b\x01\0\0\0\0\0\0\x18\
\x60\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\0\x1d\0\0\x7b\x01\
\0\0\0\0\0\0\x61\x60\x08\0\0\0\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\xa0\x1c\0\0\x63\
\x01\0\0\0\0\0\0\x61\x60\x0c\0\0\0\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\xa4\x1c\0\0\
\x63\x01\0\0\0\0\0\0\x79\x60\x10\0\0\0\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\xa8\x1c\
\0\0\x7b\x01\0\0\0\0\0\0\x61\xa0\x78\xff\0\0\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\
\xd0\x1c\0\0\x63\x01\0\0\0\0\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\x18\x1d\0\0\xb7\
\x02\0\0\x11\0\0\0\xb7\x03\0\0\x0c\0\0\0\xb7\x04\0\0\0\0\0\0\x85\0\0\0\xa7\0\0\
\0\xbf\x07\0\0\0\0\0\0\xc5\x07\x58\xfd\0\0\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\x88\
\x1c\0\0\x63\x70\x6c\0\0\0\0\0\x77\x07\0\0\x20\0\0\0\x63\x70\x70\0\0\0\0\0\xb7\
\x01\0\0\x05\0\0\0\x18\x62\0\0\0\0\0\0\0\0\0\0\x88\x1c\0\0\xb7\x03\0\0\x8c\0\0\
\0\x85\0\0\0\xa6\0\0\0\xbf\x07\0\0\0\0\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\xf8\x1c\
\0\0\x61\x01\0\0\0\0\0\0\xd5\x01\x02\0\0\0\0\0\xbf\x19\0\0\0\0\0\0\x85\0\0\0\
\xa8\0\0\0\xc5\x07\x46\xfd\0\0\0\0\x63\x7a\x9c\xff\0\0\0\0\x61\xa1\x78\xff\0\0\
\0\0\xd5\x01\x02\0\0\0\0\0\xbf\x19\0\0\0\0\0\0\x85\0\0\0\xa8\0\0\0\x61\xa0\x80\
\xff\0\0\0\0\x63\x06\x28\0\0\0\0\0\x61\xa0\x84\xff\0\0\0\0\x63\x06\x2c\0\0\0\0\
\0\x61\xa0\x88\xff\0\0\0\0\x63\x06\x30\0\0\0\0\0\x61\xa0\x8c\xff\0\0\0\0\x63\
\x06\x34\0\0\0\0\0\x61\xa0\x90\xff\0\0\0\0\x63\x06\x38\0\0\0\0\0\x61\xa0\x94\
\xff\0\0\0\0\x63\x06\x3c\0\0\0\0\0\x61\xa0\x98\xff\0\0\0\0\x63\x06\x40\0\0\0\0\
\0\x61\xa0\x9c\xff\0\0\0\0\x63\x06\x44\0\0\0\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x61\x10\0\0\0\0\0\0\x63\x06\x18\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\
\0\0\0";

	opts.ctx = (struct bpf_loader_ctx *)skel;
	opts.data_sz = sizeof(opts_data) - 1;
	opts.data = (void *)opts_data;
	opts.insns_sz = sizeof(opts_insn) - 1;
	opts.insns = (void *)opts_insn;

	err = bpf_load_and_run(&opts);
	if (err < 0)
		return err;
	skel->bss = skel_finalize_map_data(&skel->maps.bss.initial_value,
					4096, PROT_READ | PROT_WRITE, skel->maps.bss.map_fd);
	if (!skel->bss)
		return -ENOMEM;
	return 0;
}

static inline struct fexit_test_lskel *
fexit_test_lskel__open_and_load(void)
{
	struct fexit_test_lskel *skel;

	skel = fexit_test_lskel__open();
	if (!skel)
		return NULL;
	if (fexit_test_lskel__load(skel)) {
		fexit_test_lskel__destroy(skel);
		return NULL;
	}
	return skel;
}

__attribute__((unused)) static void
fexit_test_lskel__assert(struct fexit_test_lskel *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->test1_result) == 8, "unexpected size of 'test1_result'");
	_Static_assert(sizeof(s->bss->test2_result) == 8, "unexpected size of 'test2_result'");
	_Static_assert(sizeof(s->bss->test3_result) == 8, "unexpected size of 'test3_result'");
	_Static_assert(sizeof(s->bss->test4_result) == 8, "unexpected size of 'test4_result'");
	_Static_assert(sizeof(s->bss->test5_result) == 8, "unexpected size of 'test5_result'");
	_Static_assert(sizeof(s->bss->test6_result) == 8, "unexpected size of 'test6_result'");
	_Static_assert(sizeof(s->bss->test7_result) == 8, "unexpected size of 'test7_result'");
	_Static_assert(sizeof(s->bss->test8_result) == 8, "unexpected size of 'test8_result'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __FEXIT_TEST_LSKEL_SKEL_H__ */
