/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __PRO_EPILOGUE_GOTO_START_SKEL_H__
#define __PRO_EPILOGUE_GOTO_START_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct pro_epilogue_goto_start {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *epilogue_goto_start;
	} maps;
	struct {
		struct pro_epilogue_goto_start__epilogue_goto_start__bpf_testmod_st_ops {
			struct bpf_program *test_prologue;
			struct bpf_program *test_epilogue;
			struct bpf_program *test_pro_epilogue;
			char __unsupported_3[8];
		} *epilogue_goto_start;
	} struct_ops;
	struct {
		struct bpf_program *test_prologue_goto_start;
		struct bpf_program *test_epilogue_goto_start;
		struct bpf_program *test_pro_epilogue_goto_start;
		struct bpf_program *syscall_prologue_goto_start;
		struct bpf_program *syscall_epilogue_goto_start;
		struct bpf_program *syscall_pro_epilogue_goto_start;
	} progs;
	struct {
		struct bpf_link *test_prologue_goto_start;
		struct bpf_link *test_epilogue_goto_start;
		struct bpf_link *test_pro_epilogue_goto_start;
		struct bpf_link *syscall_prologue_goto_start;
		struct bpf_link *syscall_epilogue_goto_start;
		struct bpf_link *syscall_pro_epilogue_goto_start;
		struct bpf_link *epilogue_goto_start;
	} links;

#ifdef __cplusplus
	static inline struct pro_epilogue_goto_start *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct pro_epilogue_goto_start *open_and_load();
	static inline int load(struct pro_epilogue_goto_start *skel);
	static inline int attach(struct pro_epilogue_goto_start *skel);
	static inline void detach(struct pro_epilogue_goto_start *skel);
	static inline void destroy(struct pro_epilogue_goto_start *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
pro_epilogue_goto_start__destroy(struct pro_epilogue_goto_start *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
pro_epilogue_goto_start__create_skeleton(struct pro_epilogue_goto_start *obj);

static inline struct pro_epilogue_goto_start *
pro_epilogue_goto_start__open_opts(const struct bpf_object_open_opts *opts)
{
	struct pro_epilogue_goto_start *obj;
	int err;

	obj = (struct pro_epilogue_goto_start *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = pro_epilogue_goto_start__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	obj->struct_ops.epilogue_goto_start = (__typeof__(obj->struct_ops.epilogue_goto_start))
		bpf_map__initial_value(obj->maps.epilogue_goto_start, NULL);

	return obj;
err_out:
	pro_epilogue_goto_start__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct pro_epilogue_goto_start *
pro_epilogue_goto_start__open(void)
{
	return pro_epilogue_goto_start__open_opts(NULL);
}

static inline int
pro_epilogue_goto_start__load(struct pro_epilogue_goto_start *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct pro_epilogue_goto_start *
pro_epilogue_goto_start__open_and_load(void)
{
	struct pro_epilogue_goto_start *obj;
	int err;

	obj = pro_epilogue_goto_start__open();
	if (!obj)
		return NULL;
	err = pro_epilogue_goto_start__load(obj);
	if (err) {
		pro_epilogue_goto_start__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
pro_epilogue_goto_start__attach(struct pro_epilogue_goto_start *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
pro_epilogue_goto_start__detach(struct pro_epilogue_goto_start *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *pro_epilogue_goto_start__elf_bytes(size_t *sz);

static inline int
pro_epilogue_goto_start__create_skeleton(struct pro_epilogue_goto_start *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "pro_epilogue_goto_start";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = 32;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 32 ? sizeof(*s->maps) : 32);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "epilogue_goto_start";
	map->map = &obj->maps.epilogue_goto_start;
	map->link = &obj->links.epilogue_goto_start;

	/* programs */
	s->prog_cnt = 6;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "test_prologue_goto_start";
	s->progs[0].prog = &obj->progs.test_prologue_goto_start;
	s->progs[0].link = &obj->links.test_prologue_goto_start;

	s->progs[1].name = "test_epilogue_goto_start";
	s->progs[1].prog = &obj->progs.test_epilogue_goto_start;
	s->progs[1].link = &obj->links.test_epilogue_goto_start;

	s->progs[2].name = "test_pro_epilogue_goto_start";
	s->progs[2].prog = &obj->progs.test_pro_epilogue_goto_start;
	s->progs[2].link = &obj->links.test_pro_epilogue_goto_start;

	s->progs[3].name = "syscall_prologue_goto_start";
	s->progs[3].prog = &obj->progs.syscall_prologue_goto_start;
	s->progs[3].link = &obj->links.syscall_prologue_goto_start;

	s->progs[4].name = "syscall_epilogue_goto_start";
	s->progs[4].prog = &obj->progs.syscall_epilogue_goto_start;
	s->progs[4].link = &obj->links.syscall_epilogue_goto_start;

	s->progs[5].name = "syscall_pro_epilogue_goto_start";
	s->progs[5].prog = &obj->progs.syscall_pro_epilogue_goto_start;
	s->progs[5].link = &obj->links.syscall_pro_epilogue_goto_start;

	s->data = pro_epilogue_goto_start__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *pro_epilogue_goto_start__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x98\x19\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0d\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x73\x74\
\x72\x75\x63\x74\x5f\x6f\x70\x73\x2f\x74\x65\x73\x74\x5f\x70\x72\x6f\x6c\x6f\
\x67\x75\x65\x5f\x67\x6f\x74\x6f\x5f\x73\x74\x61\x72\x74\0\x73\x74\x72\x75\x63\
\x74\x5f\x6f\x70\x73\x2f\x74\x65\x73\x74\x5f\x65\x70\x69\x6c\x6f\x67\x75\x65\
\x5f\x67\x6f\x74\x6f\x5f\x73\x74\x61\x72\x74\0\x73\x74\x72\x75\x63\x74\x5f\x6f\
\x70\x73\x2f\x74\x65\x73\x74\x5f\x70\x72\x6f\x5f\x65\x70\x69\x6c\x6f\x67\x75\
\x65\x5f\x67\x6f\x74\x6f\x5f\x73\x74\x61\x72\x74\0\x73\x79\x73\x63\x61\x6c\x6c\
\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x73\x74\x72\x75\x63\x74\x5f\x6f\x70\x73\
\x2e\x6c\x69\x6e\x6b\0\x70\x72\x6f\x5f\x65\x70\x69\x6c\x6f\x67\x75\x65\x5f\x67\
\x6f\x74\x6f\x5f\x73\x74\x61\x72\x74\x2e\x63\0\x74\x65\x73\x74\x5f\x70\x72\x6f\
\x6c\x6f\x67\x75\x65\x5f\x67\x6f\x74\x6f\x5f\x73\x74\x61\x72\x74\0\x74\x65\x73\
\x74\x5f\x65\x70\x69\x6c\x6f\x67\x75\x65\x5f\x67\x6f\x74\x6f\x5f\x73\x74\x61\
\x72\x74\0\x74\x65\x73\x74\x5f\x70\x72\x6f\x5f\x65\x70\x69\x6c\x6f\x67\x75\x65\
\x5f\x67\x6f\x74\x6f\x5f\x73\x74\x61\x72\x74\0\x73\x79\x73\x63\x61\x6c\x6c\x5f\
\x70\x72\x6f\x6c\x6f\x67\x75\x65\x5f\x67\x6f\x74\x6f\x5f\x73\x74\x61\x72\x74\0\
\x62\x70\x66\x5f\x6b\x66\x75\x6e\x63\x5f\x73\x74\x5f\x6f\x70\x73\x5f\x74\x65\
\x73\x74\x5f\x70\x72\x6f\x6c\x6f\x67\x75\x65\0\x73\x79\x73\x63\x61\x6c\x6c\x5f\
\x65\x70\x69\x6c\x6f\x67\x75\x65\x5f\x67\x6f\x74\x6f\x5f\x73\x74\x61\x72\x74\0\
\x62\x70\x66\x5f\x6b\x66\x75\x6e\x63\x5f\x73\x74\x5f\x6f\x70\x73\x5f\x74\x65\
\x73\x74\x5f\x65\x70\x69\x6c\x6f\x67\x75\x65\0\x73\x79\x73\x63\x61\x6c\x6c\x5f\
\x70\x72\x6f\x5f\x65\x70\x69\x6c\x6f\x67\x75\x65\x5f\x67\x6f\x74\x6f\x5f\x73\
\x74\x61\x72\x74\0\x62\x70\x66\x5f\x6b\x66\x75\x6e\x63\x5f\x73\x74\x5f\x6f\x70\
\x73\x5f\x74\x65\x73\x74\x5f\x70\x72\x6f\x5f\x65\x70\x69\x6c\x6f\x67\x75\x65\0\
\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x65\x70\x69\x6c\x6f\x67\x75\x65\x5f\x67\x6f\
\x74\x6f\x5f\x73\x74\x61\x72\x74\0\x2e\x72\x65\x6c\x73\x79\x73\x63\x61\x6c\x6c\
\0\x2e\x72\x65\x6c\x2e\x73\x74\x72\x75\x63\x74\x5f\x6f\x70\x73\x2e\x6c\x69\x6e\
\x6b\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa2\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x04\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x03\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xbc\0\0\0\x12\0\x03\
\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\xd5\0\0\0\x12\0\x04\0\0\0\0\0\0\0\0\0\x40\
\0\0\0\0\0\0\0\xee\0\0\0\x12\0\x05\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x0b\x01\
\0\0\x12\0\x06\0\0\0\0\0\0\0\0\0\x28\0\0\0\0\0\0\0\x27\x01\0\0\x10\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x46\x01\0\0\x12\0\x06\0\x28\0\0\0\0\0\0\0\x28\0\0\0\
\0\0\0\0\x62\x01\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x81\x01\0\0\x12\
\0\x06\0\x50\0\0\0\0\0\0\0\x28\0\0\0\0\0\0\0\xa1\x01\0\0\x10\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\xc4\x01\0\0\x11\0\x07\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\
\xcd\x01\0\0\x11\0\x08\0\0\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x15\x01\x05\0\0\0\0\
\0\x15\x01\x02\0\x01\0\0\0\xb7\x01\0\0\x01\0\0\0\x05\0\xfd\xff\0\0\0\0\xb7\x01\
\0\0\0\0\0\0\x05\0\xfa\xff\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x15\x01\
\x05\0\0\0\0\0\x15\x01\x02\0\x01\0\0\0\xb7\x01\0\0\x01\0\0\0\x05\0\xfd\xff\0\0\
\0\0\xb7\x01\0\0\0\0\0\0\x05\0\xfa\xff\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\
\0\0\x15\x01\x05\0\0\0\0\0\x15\x01\x02\0\x01\0\0\0\xb7\x01\0\0\x01\0\0\0\x05\0\
\xfd\xff\0\0\0\0\xb7\x01\0\0\0\0\0\0\x05\0\xfa\xff\0\0\0\0\xb7\0\0\0\0\0\0\0\
\x95\0\0\0\0\0\0\0\x7a\x0a\xf8\xff\0\0\0\0\xbf\xa1\0\0\0\0\0\0\x07\x01\0\0\xf8\
\xff\xff\xff\x85\x10\0\0\xff\xff\xff\xff\x95\0\0\0\0\0\0\0\x7a\x0a\xf8\xff\0\0\
\0\0\xbf\xa1\0\0\0\0\0\0\x07\x01\0\0\xf8\xff\xff\xff\x85\x10\0\0\xff\xff\xff\
\xff\x95\0\0\0\0\0\0\0\x7a\x0a\xf8\xff\0\0\0\0\xbf\xa1\0\0\0\0\0\0\x07\x01\0\0\
\xf8\xff\xff\xff\x85\x10\0\0\xff\xff\xff\xff\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\0\0\
\0\0\0\0\0\x0a\0\0\0\x0a\0\0\0\x40\0\0\0\0\0\0\0\x0a\0\0\0\x0c\0\0\0\x68\0\0\0\
\0\0\0\0\x0a\0\0\0\x0e\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x06\0\0\0\x08\0\0\0\0\0\
\0\0\x02\0\0\0\x07\0\0\0\x10\0\0\0\0\0\0\0\x02\0\0\0\x08\0\0\0\x9f\xeb\x01\0\
\x18\0\0\0\0\0\0\0\x80\x05\0\0\x80\x05\0\0\xfe\x0c\0\0\0\0\0\0\0\0\0\x0d\x02\0\
\0\0\x01\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\x05\0\0\0\x01\0\0\x0c\x01\0\0\0\
\x1e\0\0\0\0\0\0\x11\x03\0\0\0\xff\xff\xff\xff\x3a\0\0\0\0\0\0\x11\x03\0\0\0\
\xff\xff\xff\xff\x6f\0\0\0\0\0\0\x11\x03\0\0\0\xff\xff\xff\xff\xa4\0\0\0\0\0\0\
\x11\x03\0\0\0\xff\xff\xff\xff\xcf\0\0\0\0\0\0\x11\x03\0\0\0\xff\xff\xff\xff\
\x04\x01\0\0\0\0\0\x11\x03\0\0\0\xff\xff\xff\xff\x3b\x01\0\0\0\0\0\x11\x03\0\0\
\0\xff\xff\xff\xff\x72\x01\0\0\0\0\0\x11\x03\0\0\0\xff\xff\xff\xff\x99\x01\0\0\
\0\0\0\x11\x03\0\0\0\xff\xff\xff\xff\xc3\x01\0\0\0\0\0\x11\x03\0\0\0\xff\xff\
\xff\xff\xea\x01\0\0\0\0\0\x11\x03\0\0\0\xff\xff\xff\xff\x14\x02\0\0\0\0\0\x11\
\x03\0\0\0\xff\xff\xff\xff\x3d\x02\0\0\0\0\0\x11\x03\0\0\0\xff\xff\xff\xff\x64\
\x02\0\0\x01\0\0\x0c\x01\0\0\0\x1e\0\0\0\0\0\0\x11\x11\0\0\0\xff\xff\xff\xff\
\x7d\x02\0\0\0\0\0\x11\x11\0\0\0\xff\xff\xff\xff\xb4\x02\0\0\0\0\0\x11\x11\0\0\
\0\xff\xff\xff\xff\xec\x02\0\0\0\0\0\x11\x11\0\0\0\xff\xff\xff\xff\x24\x03\0\0\
\0\0\0\x11\x11\0\0\0\xff\xff\xff\xff\x4c\x03\0\0\0\0\0\x11\x11\0\0\0\xff\xff\
\xff\xff\x77\x03\0\0\0\0\0\x11\x11\0\0\0\xff\xff\xff\xff\x9f\x03\0\0\0\0\0\x11\
\x11\0\0\0\xff\xff\xff\xff\xca\x03\0\0\0\0\0\x11\x11\0\0\0\xff\xff\xff\xff\xf2\
\x03\0\0\0\0\0\x11\x11\0\0\0\xff\xff\xff\xff\x29\x04\0\0\0\0\0\x11\x11\0\0\0\
\xff\xff\xff\xff\x5f\x04\0\0\0\0\0\x11\x11\0\0\0\xff\xff\xff\xff\x96\x04\0\0\0\
\0\0\x11\x11\0\0\0\xff\xff\xff\xff\xc4\x04\0\0\0\0\0\x11\x11\0\0\0\xff\xff\xff\
\xff\xfb\x04\0\0\0\0\0\x11\x11\0\0\0\xff\xff\xff\xff\x25\x05\0\0\0\0\0\x11\x11\
\0\0\0\xff\xff\xff\xff\x4f\x05\0\0\0\0\0\x11\x11\0\0\0\xff\xff\xff\xff\x76\x05\
\0\0\x01\0\0\x0c\x01\0\0\0\x1e\0\0\0\0\0\0\x11\x23\0\0\0\xff\xff\xff\xff\x93\
\x05\0\0\0\0\0\x11\x23\0\0\0\xff\xff\xff\xff\xc9\x05\0\0\0\0\0\x11\x23\0\0\0\
\xff\xff\xff\xff\xff\x05\0\0\0\0\0\x11\x23\0\0\0\xff\xff\xff\xff\x2b\x06\0\0\0\
\0\0\x11\x23\0\0\0\xff\xff\xff\xff\x61\x06\0\0\0\0\0\x11\x23\0\0\0\xff\xff\xff\
\xff\x98\x06\0\0\0\0\0\x11\x23\0\0\0\xff\xff\xff\xff\xd0\x06\0\0\0\0\0\x11\x23\
\0\0\0\xff\xff\xff\xff\x08\x07\0\0\0\0\0\x11\x23\0\0\0\xff\xff\xff\xff\x30\x07\
\0\0\0\0\0\x11\x23\0\0\0\xff\xff\xff\xff\x5b\x07\0\0\0\0\0\x11\x23\0\0\0\xff\
\xff\xff\xff\x83\x07\0\0\0\0\0\x11\x23\0\0\0\xff\xff\xff\xff\xaf\x07\0\0\0\0\0\
\x11\x23\0\0\0\xff\xff\xff\xff\xd8\x07\0\0\0\0\0\x11\x23\0\0\0\xff\xff\xff\xff\
\x10\x08\0\0\0\0\0\x11\x23\0\0\0\xff\xff\xff\xff\x47\x08\0\0\0\0\0\x11\x23\0\0\
\0\xff\xff\xff\xff\x7e\x08\0\0\0\0\0\x11\x23\0\0\0\xff\xff\xff\xff\xac\x08\0\0\
\0\0\0\x11\x23\0\0\0\xff\xff\xff\xff\xe3\x08\0\0\0\0\0\x11\x23\0\0\0\xff\xff\
\xff\xff\x0d\x09\0\0\0\0\0\x11\x23\0\0\0\xff\xff\xff\xff\x37\x09\0\0\0\0\0\x11\
\x23\0\0\0\xff\xff\xff\xff\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\0\0\x01\0\0\x0d\x02\0\
\0\0\x5e\x09\0\0\x39\0\0\0\x62\x09\0\0\x01\0\0\x0c\x3a\0\0\0\x7e\x09\0\0\0\0\0\
\x11\x3b\0\0\0\xff\xff\xff\xff\0\0\0\0\x01\0\0\x0d\x02\0\0\0\0\0\0\0\x3e\0\0\0\
\0\0\0\0\0\0\0\x02\x3f\0\0\0\x94\x09\0\0\x01\0\0\x04\x08\0\0\0\xa0\x09\0\0\x40\
\0\0\0\0\0\0\0\xa2\x09\0\0\0\0\0\x08\x41\0\0\0\xa6\x09\0\0\0\0\0\x08\x42\0\0\0\
\xac\x09\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\xbf\x09\0\0\x02\0\0\x0c\x3d\0\0\0\
\xde\x09\0\0\x01\0\0\x0c\x3a\0\0\0\xfa\x09\0\0\0\0\0\x11\x44\0\0\0\xff\xff\xff\
\xff\x14\x0a\0\0\x02\0\0\x0c\x3d\0\0\0\x33\x0a\0\0\x01\0\0\x0c\x3a\0\0\0\x53\
\x0a\0\0\0\0\0\x11\x47\0\0\0\xff\xff\xff\xff\x6d\x0a\0\0\x02\0\0\x0c\x3d\0\0\0\
\x90\x0a\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x4a\0\0\
\0\x4c\0\0\0\x04\0\0\0\x95\x0a\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\xa9\x0a\0\0\0\
\0\0\x0e\x4b\0\0\0\x01\0\0\0\xb2\x0a\0\0\x04\0\0\x04\x20\0\0\0\xc5\x0a\0\0\x4f\
\0\0\0\0\0\0\0\xd3\x0a\0\0\x4f\0\0\0\x40\0\0\0\xe1\x0a\0\0\x4f\0\0\0\x80\0\0\0\
\xf3\x0a\0\0\x50\0\0\0\xc0\0\0\0\0\0\0\0\0\0\0\x02\x3d\0\0\0\0\0\0\0\0\0\0\x02\
\x52\0\0\0\xf9\x0a\0\0\0\0\0\x0e\x4e\0\0\0\x01\0\0\0\x0d\x0b\0\0\0\0\0\x07\0\0\
\0\0\x66\x0c\0\0\x01\0\0\x0f\x04\0\0\0\x4d\0\0\0\0\0\0\0\x04\0\0\0\x6e\x0c\0\0\
\x01\0\0\x0f\x20\0\0\0\x51\0\0\0\0\0\0\0\x20\0\0\0\x7f\x0c\0\0\x03\0\0\x0f\0\0\
\0\0\x43\0\0\0\0\0\0\0\0\0\0\0\x46\0\0\0\0\0\0\0\0\0\0\0\x49\0\0\0\0\0\0\0\0\0\
\0\0\0\x69\x6e\x74\0\x74\x65\x73\x74\x5f\x70\x72\x6f\x6c\x6f\x67\x75\x65\x5f\
\x67\x6f\x74\x6f\x5f\x73\x74\x61\x72\x74\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\
\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x73\x75\x63\x63\x65\x73\x73\0\x63\
\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\
\x78\x6c\x61\x74\x65\x64\x3d\x30\x3d\x30\x3a\x20\x72\x36\x20\x3d\x20\x2a\x28\
\x75\x36\x34\x20\x2a\x29\x28\x72\x31\x20\x2b\x30\x29\0\x63\x6f\x6d\x6d\x65\x6e\
\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x78\x6c\x61\x74\x65\
\x64\x3d\x31\x3d\x31\x3a\x20\x72\x37\x20\x3d\x20\x2a\x28\x75\x36\x34\x20\x2a\
\x29\x28\x72\x36\x20\x2b\x30\x29\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\
\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x78\x6c\x61\x74\x65\x64\x3d\x32\x3d\x32\
\x3a\x20\x72\x37\x20\x2b\x3d\x20\x31\x30\x30\x30\0\x63\x6f\x6d\x6d\x65\x6e\x74\
\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x78\x6c\x61\x74\x65\x64\
\x3d\x33\x3d\x33\x3a\x20\x2a\x28\x75\x36\x34\x20\x2a\x29\x28\x72\x36\x20\x2b\
\x30\x29\x20\x3d\x20\x72\x37\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\
\x5f\x65\x78\x70\x65\x63\x74\x5f\x78\x6c\x61\x74\x65\x64\x3d\x34\x3d\x34\x3a\
\x20\x69\x66\x20\x72\x31\x20\x3d\x3d\x20\x30\x78\x30\x20\x67\x6f\x74\x6f\x20\
\x70\x63\x2b\x35\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\
\x70\x65\x63\x74\x5f\x78\x6c\x61\x74\x65\x64\x3d\x35\x3d\x35\x3a\x20\x69\x66\
\x20\x72\x31\x20\x3d\x3d\x20\x30\x78\x31\x20\x67\x6f\x74\x6f\x20\x70\x63\x2b\
\x32\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\
\x74\x5f\x78\x6c\x61\x74\x65\x64\x3d\x36\x3d\x36\x3a\x20\x72\x31\x20\x3d\x20\
\x31\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\
\x74\x5f\x78\x6c\x61\x74\x65\x64\x3d\x37\x3d\x37\x3a\x20\x67\x6f\x74\x6f\x20\
\x70\x63\x2d\x33\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\
\x70\x65\x63\x74\x5f\x78\x6c\x61\x74\x65\x64\x3d\x38\x3d\x38\x3a\x20\x72\x31\
\x20\x3d\x20\x30\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\
\x70\x65\x63\x74\x5f\x78\x6c\x61\x74\x65\x64\x3d\x39\x3d\x39\x3a\x20\x67\x6f\
\x74\x6f\x20\x70\x63\x2d\x36\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\
\x5f\x65\x78\x70\x65\x63\x74\x5f\x78\x6c\x61\x74\x65\x64\x3d\x31\x30\x3d\x31\
\x30\x3a\x20\x72\x30\x20\x3d\x20\x30\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\
\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x78\x6c\x61\x74\x65\x64\x3d\x31\x31\
\x3d\x31\x31\x3a\x20\x65\x78\x69\x74\0\x74\x65\x73\x74\x5f\x65\x70\x69\x6c\x6f\
\x67\x75\x65\x5f\x67\x6f\x74\x6f\x5f\x73\x74\x61\x72\x74\0\x63\x6f\x6d\x6d\x65\
\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x78\x6c\x61\x74\
\x65\x64\x3d\x31\x32\x3d\x30\x3a\x20\x2a\x28\x75\x36\x34\x20\x2a\x29\x28\x72\
\x31\x30\x20\x2d\x38\x29\x20\x3d\x20\x72\x31\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\
\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x78\x6c\x61\x74\x65\x64\x3d\
\x31\x33\x3d\x31\x3a\x20\x69\x66\x20\x72\x31\x20\x3d\x3d\x20\x30\x78\x30\x20\
\x67\x6f\x74\x6f\x20\x70\x63\x2b\x35\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\
\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x78\x6c\x61\x74\x65\x64\x3d\x31\x34\
\x3d\x32\x3a\x20\x69\x66\x20\x72\x31\x20\x3d\x3d\x20\x30\x78\x31\x20\x67\x6f\
\x74\x6f\x20\x70\x63\x2b\x32\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\
\x5f\x65\x78\x70\x65\x63\x74\x5f\x78\x6c\x61\x74\x65\x64\x3d\x31\x35\x3d\x33\
\x3a\x20\x72\x31\x20\x3d\x20\x31\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\
\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x78\x6c\x61\x74\x65\x64\x3d\x31\x36\x3d\
\x34\x3a\x20\x67\x6f\x74\x6f\x20\x70\x63\x2d\x33\0\x63\x6f\x6d\x6d\x65\x6e\x74\
\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x78\x6c\x61\x74\x65\x64\
\x3d\x31\x37\x3d\x35\x3a\x20\x72\x31\x20\x3d\x20\x30\0\x63\x6f\x6d\x6d\x65\x6e\
\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x78\x6c\x61\x74\x65\
\x64\x3d\x31\x38\x3d\x36\x3a\x20\x67\x6f\x74\x6f\x20\x70\x63\x2d\x36\0\x63\x6f\
\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x78\
\x6c\x61\x74\x65\x64\x3d\x31\x39\x3d\x37\x3a\x20\x72\x30\x20\x3d\x20\x30\0\x63\
\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\
\x78\x6c\x61\x74\x65\x64\x3d\x32\x30\x3d\x38\x3a\x20\x72\x31\x20\x3d\x20\x2a\
\x28\x75\x36\x34\x20\x2a\x29\x28\x72\x31\x30\x20\x2d\x38\x29\0\x63\x6f\x6d\x6d\
\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x78\x6c\x61\
\x74\x65\x64\x3d\x32\x31\x3d\x39\x3a\x20\x72\x31\x20\x3d\x20\x2a\x28\x75\x36\
\x34\x20\x2a\x29\x28\x72\x31\x20\x2b\x30\x29\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\
\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x78\x6c\x61\x74\x65\x64\x3d\
\x32\x32\x3d\x31\x30\x3a\x20\x72\x36\x20\x3d\x20\x2a\x28\x75\x36\x34\x20\x2a\
\x29\x28\x72\x31\x20\x2b\x30\x29\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\
\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x78\x6c\x61\x74\x65\x64\x3d\x32\x33\x3d\
\x31\x31\x3a\x20\x72\x36\x20\x2b\x3d\x20\x31\x30\x30\x30\x30\0\x63\x6f\x6d\x6d\
\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x78\x6c\x61\
\x74\x65\x64\x3d\x32\x34\x3d\x31\x32\x3a\x20\x2a\x28\x75\x36\x34\x20\x2a\x29\
\x28\x72\x31\x20\x2b\x30\x29\x20\x3d\x20\x72\x36\0\x63\x6f\x6d\x6d\x65\x6e\x74\
\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x78\x6c\x61\x74\x65\x64\
\x3d\x32\x35\x3d\x31\x33\x3a\x20\x72\x30\x20\x3d\x20\x72\x36\0\x63\x6f\x6d\x6d\
\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x78\x6c\x61\
\x74\x65\x64\x3d\x32\x36\x3d\x31\x34\x3a\x20\x72\x30\x20\x2a\x3d\x20\x32\0\x63\
\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\
\x78\x6c\x61\x74\x65\x64\x3d\x32\x37\x3d\x31\x35\x3a\x20\x65\x78\x69\x74\0\x74\
\x65\x73\x74\x5f\x70\x72\x6f\x5f\x65\x70\x69\x6c\x6f\x67\x75\x65\x5f\x67\x6f\
\x74\x6f\x5f\x73\x74\x61\x72\x74\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\
\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x78\x6c\x61\x74\x65\x64\x3d\x32\x38\x3d\
\x30\x3a\x20\x72\x36\x20\x3d\x20\x2a\x28\x75\x36\x34\x20\x2a\x29\x28\x72\x31\
\x20\x2b\x30\x29\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\
\x70\x65\x63\x74\x5f\x78\x6c\x61\x74\x65\x64\x3d\x32\x39\x3d\x31\x3a\x20\x72\
\x37\x20\x3d\x20\x2a\x28\x75\x36\x34\x20\x2a\x29\x28\x72\x36\x20\x2b\x30\x29\0\
\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\
\x5f\x78\x6c\x61\x74\x65\x64\x3d\x33\x30\x3d\x32\x3a\x20\x72\x37\x20\x2b\x3d\
\x20\x31\x30\x30\x30\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\
\x78\x70\x65\x63\x74\x5f\x78\x6c\x61\x74\x65\x64\x3d\x33\x31\x3d\x33\x3a\x20\
\x2a\x28\x75\x36\x34\x20\x2a\x29\x28\x72\x36\x20\x2b\x30\x29\x20\x3d\x20\x72\
\x37\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\
\x74\x5f\x78\x6c\x61\x74\x65\x64\x3d\x33\x32\x3d\x34\x3a\x20\x2a\x28\x75\x36\
\x34\x20\x2a\x29\x28\x72\x31\x30\x20\x2d\x38\x29\x20\x3d\x20\x72\x31\0\x63\x6f\
\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x78\
\x6c\x61\x74\x65\x64\x3d\x33\x33\x3d\x35\x3a\x20\x69\x66\x20\x72\x31\x20\x3d\
\x3d\x20\x30\x78\x30\x20\x67\x6f\x74\x6f\x20\x70\x63\x2b\x35\0\x63\x6f\x6d\x6d\
\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x78\x6c\x61\
\x74\x65\x64\x3d\x33\x34\x3d\x36\x3a\x20\x69\x66\x20\x72\x31\x20\x3d\x3d\x20\
\x30\x78\x31\x20\x67\x6f\x74\x6f\x20\x70\x63\x2b\x32\0\x63\x6f\x6d\x6d\x65\x6e\
\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x78\x6c\x61\x74\x65\
\x64\x3d\x33\x35\x3d\x37\x3a\x20\x72\x31\x20\x3d\x20\x31\0\x63\x6f\x6d\x6d\x65\
\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x78\x6c\x61\x74\
\x65\x64\x3d\x33\x36\x3d\x38\x3a\x20\x67\x6f\x74\x6f\x20\x70\x63\x2d\x33\0\x63\
\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\
\x78\x6c\x61\x74\x65\x64\x3d\x33\x37\x3d\x39\x3a\x20\x72\x31\x20\x3d\x20\x30\0\
\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\
\x5f\x78\x6c\x61\x74\x65\x64\x3d\x33\x38\x3d\x31\x30\x3a\x20\x67\x6f\x74\x6f\
\x20\x70\x63\x2d\x36\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\
\x78\x70\x65\x63\x74\x5f\x78\x6c\x61\x74\x65\x64\x3d\x33\x39\x3d\x31\x31\x3a\
\x20\x72\x30\x20\x3d\x20\x30\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\
\x5f\x65\x78\x70\x65\x63\x74\x5f\x78\x6c\x61\x74\x65\x64\x3d\x34\x30\x3d\x31\
\x32\x3a\x20\x72\x31\x20\x3d\x20\x2a\x28\x75\x36\x34\x20\x2a\x29\x28\x72\x31\
\x30\x20\x2d\x38\x29\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\
\x78\x70\x65\x63\x74\x5f\x78\x6c\x61\x74\x65\x64\x3d\x34\x31\x3d\x31\x33\x3a\
\x20\x72\x31\x20\x3d\x20\x2a\x28\x75\x36\x34\x20\x2a\x29\x28\x72\x31\x20\x2b\
\x30\x29\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\
\x63\x74\x5f\x78\x6c\x61\x74\x65\x64\x3d\x34\x32\x3d\x31\x34\x3a\x20\x72\x36\
\x20\x3d\x20\x2a\x28\x75\x36\x34\x20\x2a\x29\x28\x72\x31\x20\x2b\x30\x29\0\x63\
\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\
\x78\x6c\x61\x74\x65\x64\x3d\x34\x33\x3d\x31\x35\x3a\x20\x72\x36\x20\x2b\x3d\
\x20\x31\x30\x30\x30\x30\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\
\x65\x78\x70\x65\x63\x74\x5f\x78\x6c\x61\x74\x65\x64\x3d\x34\x34\x3d\x31\x36\
\x3a\x20\x2a\x28\x75\x36\x34\x20\x2a\x29\x28\x72\x31\x20\x2b\x30\x29\x20\x3d\
\x20\x72\x36\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\
\x65\x63\x74\x5f\x78\x6c\x61\x74\x65\x64\x3d\x34\x35\x3d\x31\x37\x3a\x20\x72\
\x30\x20\x3d\x20\x72\x36\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\
\x65\x78\x70\x65\x63\x74\x5f\x78\x6c\x61\x74\x65\x64\x3d\x34\x36\x3d\x31\x38\
\x3a\x20\x72\x30\x20\x2a\x3d\x20\x32\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\
\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x78\x6c\x61\x74\x65\x64\x3d\x34\x37\
\x3d\x31\x39\x3a\x20\x65\x78\x69\x74\0\x63\x74\x78\0\x73\x79\x73\x63\x61\x6c\
\x6c\x5f\x70\x72\x6f\x6c\x6f\x67\x75\x65\x5f\x67\x6f\x74\x6f\x5f\x73\x74\x61\
\x72\x74\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x72\x65\x74\x76\
\x61\x6c\x3d\x30\0\x73\x74\x5f\x6f\x70\x73\x5f\x61\x72\x67\x73\0\x61\0\x75\x36\
\x34\0\x5f\x5f\x75\x36\x34\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\
\x67\x20\x6c\x6f\x6e\x67\0\x62\x70\x66\x5f\x6b\x66\x75\x6e\x63\x5f\x73\x74\x5f\
\x6f\x70\x73\x5f\x74\x65\x73\x74\x5f\x70\x72\x6f\x6c\x6f\x67\x75\x65\0\x73\x79\
\x73\x63\x61\x6c\x6c\x5f\x65\x70\x69\x6c\x6f\x67\x75\x65\x5f\x67\x6f\x74\x6f\
\x5f\x73\x74\x61\x72\x74\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\
\x72\x65\x74\x76\x61\x6c\x3d\x32\x30\x30\x30\x30\0\x62\x70\x66\x5f\x6b\x66\x75\
\x6e\x63\x5f\x73\x74\x5f\x6f\x70\x73\x5f\x74\x65\x73\x74\x5f\x65\x70\x69\x6c\
\x6f\x67\x75\x65\0\x73\x79\x73\x63\x61\x6c\x6c\x5f\x70\x72\x6f\x5f\x65\x70\x69\
\x6c\x6f\x67\x75\x65\x5f\x67\x6f\x74\x6f\x5f\x73\x74\x61\x72\x74\0\x63\x6f\x6d\
\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x72\x65\x74\x76\x61\x6c\x3d\x32\x32\
\x30\x30\x30\0\x62\x70\x66\x5f\x6b\x66\x75\x6e\x63\x5f\x73\x74\x5f\x6f\x70\x73\
\x5f\x74\x65\x73\x74\x5f\x70\x72\x6f\x5f\x65\x70\x69\x6c\x6f\x67\x75\x65\0\x63\
\x68\x61\x72\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\
\x45\x5f\x5f\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x62\x70\x66\x5f\x74\x65\x73\
\x74\x6d\x6f\x64\x5f\x73\x74\x5f\x6f\x70\x73\0\x74\x65\x73\x74\x5f\x70\x72\x6f\
\x6c\x6f\x67\x75\x65\0\x74\x65\x73\x74\x5f\x65\x70\x69\x6c\x6f\x67\x75\x65\0\
\x74\x65\x73\x74\x5f\x70\x72\x6f\x5f\x65\x70\x69\x6c\x6f\x67\x75\x65\0\x6f\x77\
\x6e\x65\x72\0\x65\x70\x69\x6c\x6f\x67\x75\x65\x5f\x67\x6f\x74\x6f\x5f\x73\x74\
\x61\x72\x74\0\x6d\x6f\x64\x75\x6c\x65\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\
\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\
\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x37\x30\x2e\x32\x38\x2e\x31\x2e\x65\x6c\
\x39\x5f\x36\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x37\
\x30\x2e\x32\x38\x2e\x31\x2e\x65\x6c\x39\x5f\x36\x2e\x78\x38\x36\x5f\x36\x34\
\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\
\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x70\x72\x6f\
\x5f\x65\x70\x69\x6c\x6f\x67\x75\x65\x5f\x67\x6f\x74\x6f\x5f\x73\x74\x61\x72\
\x74\x2e\x63\0\x09\x61\x73\x6d\x20\x76\x6f\x6c\x61\x74\x69\x6c\x65\x20\x28\0\
\x09\x73\x74\x72\x75\x63\x74\x20\x73\x74\x5f\x6f\x70\x73\x5f\x61\x72\x67\x73\
\x20\x61\x72\x67\x73\x20\x3d\x20\x7b\x7d\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\
\x62\x70\x66\x5f\x6b\x66\x75\x6e\x63\x5f\x73\x74\x5f\x6f\x70\x73\x5f\x74\x65\
\x73\x74\x5f\x70\x72\x6f\x6c\x6f\x67\x75\x65\x28\x26\x61\x72\x67\x73\x29\x3b\0\
\x09\x72\x65\x74\x75\x72\x6e\x20\x62\x70\x66\x5f\x6b\x66\x75\x6e\x63\x5f\x73\
\x74\x5f\x6f\x70\x73\x5f\x74\x65\x73\x74\x5f\x65\x70\x69\x6c\x6f\x67\x75\x65\
\x28\x26\x61\x72\x67\x73\x29\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x62\x70\x66\
\x5f\x6b\x66\x75\x6e\x63\x5f\x73\x74\x5f\x6f\x70\x73\x5f\x74\x65\x73\x74\x5f\
\x70\x72\x6f\x5f\x65\x70\x69\x6c\x6f\x67\x75\x65\x28\x26\x61\x72\x67\x73\x29\
\x3b\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x73\x74\x72\x75\x63\x74\x5f\x6f\x70\
\x73\x2e\x6c\x69\x6e\x6b\0\x2e\x6b\x73\x79\x6d\x73\0\x73\x74\x72\x75\x63\x74\
\x5f\x6f\x70\x73\x2f\x74\x65\x73\x74\x5f\x70\x72\x6f\x6c\x6f\x67\x75\x65\x5f\
\x67\x6f\x74\x6f\x5f\x73\x74\x61\x72\x74\0\x73\x74\x72\x75\x63\x74\x5f\x6f\x70\
\x73\x2f\x74\x65\x73\x74\x5f\x65\x70\x69\x6c\x6f\x67\x75\x65\x5f\x67\x6f\x74\
\x6f\x5f\x73\x74\x61\x72\x74\0\x73\x74\x72\x75\x63\x74\x5f\x6f\x70\x73\x2f\x74\
\x65\x73\x74\x5f\x70\x72\x6f\x5f\x65\x70\x69\x6c\x6f\x67\x75\x65\x5f\x67\x6f\
\x74\x6f\x5f\x73\x74\x61\x72\x74\0\x73\x79\x73\x63\x61\x6c\x6c\0\0\0\x9f\xeb\
\x01\0\x20\0\0\0\0\0\0\0\x54\0\0\0\x54\0\0\0\xe4\0\0\0\x38\x01\0\0\0\0\0\0\x08\
\0\0\0\x86\x0c\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\xaa\x0c\0\0\x01\0\0\0\0\0\0\0\
\x11\0\0\0\xce\x0c\0\0\x01\0\0\0\0\0\0\0\x23\0\0\0\xf6\x0c\0\0\x03\0\0\0\0\0\0\
\0\x3b\0\0\0\x28\0\0\0\x44\0\0\0\x50\0\0\0\x47\0\0\0\x10\0\0\0\x86\x0c\0\0\x01\
\0\0\0\0\0\0\0\x14\x0b\0\0\xa6\x0b\0\0\x02\x78\0\0\xaa\x0c\0\0\x01\0\0\0\0\0\0\
\0\x14\x0b\0\0\xa6\x0b\0\0\x02\x04\x01\0\xce\x0c\0\0\x01\0\0\0\0\0\0\0\x14\x0b\
\0\0\xa6\x0b\0\0\x02\xa4\x01\0\xf6\x0c\0\0\x09\0\0\0\0\0\0\0\x14\x0b\0\0\xb6\
\x0b\0\0\x15\0\x02\0\x18\0\0\0\x14\x0b\0\0\xd5\x0b\0\0\x09\x08\x02\0\x20\0\0\0\
\x14\x0b\0\0\xd5\x0b\0\0\x02\x08\x02\0\x28\0\0\0\x14\x0b\0\0\xb6\x0b\0\0\x15\
\x24\x02\0\x40\0\0\0\x14\x0b\0\0\x04\x0c\0\0\x09\x2c\x02\0\x48\0\0\0\x14\x0b\0\
\0\x04\x0c\0\0\x02\x2c\x02\0\x50\0\0\0\x14\x0b\0\0\xb6\x0b\0\0\x15\x48\x02\0\
\x68\0\0\0\x14\x0b\0\0\x33\x0c\0\0\x09\x50\x02\0\x70\0\0\0\x14\x0b\0\0\x33\x0c\
\0\0\x02\x50\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\
\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x10\x02\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x50\x02\0\0\0\0\0\0\x98\x01\0\0\0\0\0\0\x01\0\0\0\
\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\xe8\x03\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x35\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x28\x04\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x59\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x68\x04\
\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x81\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa8\x04\0\0\0\0\0\0\
\x78\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x89\0\0\0\
\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\x05\0\0\0\0\0\0\x04\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x91\0\0\0\x01\0\0\0\x03\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x28\x05\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe1\x01\0\0\x09\0\0\0\x40\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x48\x05\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\x02\0\0\0\x06\0\0\0\
\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xed\x01\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x78\x05\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\x02\0\0\0\x08\0\0\0\x08\0\
\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x02\x02\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\xa8\x05\0\0\0\0\0\0\x96\x12\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x07\x02\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\
\x18\0\0\0\0\0\0\x58\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct pro_epilogue_goto_start *pro_epilogue_goto_start::open(const struct bpf_object_open_opts *opts) { return pro_epilogue_goto_start__open_opts(opts); }
struct pro_epilogue_goto_start *pro_epilogue_goto_start::open_and_load() { return pro_epilogue_goto_start__open_and_load(); }
int pro_epilogue_goto_start::load(struct pro_epilogue_goto_start *skel) { return pro_epilogue_goto_start__load(skel); }
int pro_epilogue_goto_start::attach(struct pro_epilogue_goto_start *skel) { return pro_epilogue_goto_start__attach(skel); }
void pro_epilogue_goto_start::detach(struct pro_epilogue_goto_start *skel) { pro_epilogue_goto_start__detach(skel); }
void pro_epilogue_goto_start::destroy(struct pro_epilogue_goto_start *skel) { pro_epilogue_goto_start__destroy(skel); }
const void *pro_epilogue_goto_start::elf_bytes(size_t *sz) { return pro_epilogue_goto_start__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
pro_epilogue_goto_start__assert(struct pro_epilogue_goto_start *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __PRO_EPILOGUE_GOTO_START_SKEL_H__ */
