/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __TEST_CUSTOM_SEC_HANDLERS_SKEL_H__
#define __TEST_CUSTOM_SEC_HANDLERS_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct test_custom_sec_handlers {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *bss;
		struct bpf_map *rodata;
	} maps;
	struct {
		struct bpf_program *abc1;
		struct bpf_program *abc2;
		struct bpf_program *custom1;
		struct bpf_program *custom2;
		struct bpf_program *kprobe1;
		struct bpf_program *xyz;
	} progs;
	struct {
		struct bpf_link *abc1;
		struct bpf_link *abc2;
		struct bpf_link *custom1;
		struct bpf_link *custom2;
		struct bpf_link *kprobe1;
		struct bpf_link *xyz;
	} links;
	struct test_custom_sec_handlers__bss {
		bool abc1_called;
		bool abc2_called;
		bool custom1_called;
		bool custom2_called;
		bool kprobe1_called;
		bool xyz_called;
	} *bss;
	struct test_custom_sec_handlers__rodata {
		int my_pid;
	} *rodata;

#ifdef __cplusplus
	static inline struct test_custom_sec_handlers *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct test_custom_sec_handlers *open_and_load();
	static inline int load(struct test_custom_sec_handlers *skel);
	static inline int attach(struct test_custom_sec_handlers *skel);
	static inline void detach(struct test_custom_sec_handlers *skel);
	static inline void destroy(struct test_custom_sec_handlers *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
test_custom_sec_handlers__destroy(struct test_custom_sec_handlers *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_custom_sec_handlers__create_skeleton(struct test_custom_sec_handlers *obj);

static inline struct test_custom_sec_handlers *
test_custom_sec_handlers__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_custom_sec_handlers *obj;
	int err;

	obj = (struct test_custom_sec_handlers *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = test_custom_sec_handlers__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	test_custom_sec_handlers__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct test_custom_sec_handlers *
test_custom_sec_handlers__open(void)
{
	return test_custom_sec_handlers__open_opts(NULL);
}

static inline int
test_custom_sec_handlers__load(struct test_custom_sec_handlers *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_custom_sec_handlers *
test_custom_sec_handlers__open_and_load(void)
{
	struct test_custom_sec_handlers *obj;
	int err;

	obj = test_custom_sec_handlers__open();
	if (!obj)
		return NULL;
	err = test_custom_sec_handlers__load(obj);
	if (err) {
		test_custom_sec_handlers__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
test_custom_sec_handlers__attach(struct test_custom_sec_handlers *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_custom_sec_handlers__detach(struct test_custom_sec_handlers *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *test_custom_sec_handlers__elf_bytes(size_t *sz);

static inline int
test_custom_sec_handlers__create_skeleton(struct test_custom_sec_handlers *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "test_custom_sec_handlers";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 2;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "test_cus.bss";
	map->map = &obj->maps.bss;
	map->mmaped = (void **)&obj->bss;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 1 * s->map_skel_sz);
	map->name = "test_cus.rodata";
	map->map = &obj->maps.rodata;
	map->mmaped = (void **)&obj->rodata;

	/* programs */
	s->prog_cnt = 6;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "abc1";
	s->progs[0].prog = &obj->progs.abc1;
	s->progs[0].link = &obj->links.abc1;

	s->progs[1].name = "abc2";
	s->progs[1].prog = &obj->progs.abc2;
	s->progs[1].link = &obj->links.abc2;

	s->progs[2].name = "custom1";
	s->progs[2].prog = &obj->progs.custom1;
	s->progs[2].link = &obj->links.custom1;

	s->progs[3].name = "custom2";
	s->progs[3].prog = &obj->progs.custom2;
	s->progs[3].link = &obj->links.custom2;

	s->progs[4].name = "kprobe1";
	s->progs[4].prog = &obj->progs.kprobe1;
	s->progs[4].link = &obj->links.kprobe1;

	s->progs[5].name = "xyz";
	s->progs[5].prog = &obj->progs.xyz;
	s->progs[5].link = &obj->links.xyz;

	s->data = test_custom_sec_handlers__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *test_custom_sec_handlers__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x38\x0b\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x14\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x61\x62\
\x63\0\x61\x62\x63\x2f\x77\x68\x61\x74\x65\x76\x65\x72\0\x63\x75\x73\x74\x6f\
\x6d\0\x63\x75\x73\x74\x6f\x6d\x2f\x73\x6f\x6d\x65\x74\x68\x69\x6e\x67\0\x6b\
\x70\x72\x6f\x62\x65\0\x78\x79\x7a\x2f\x62\x6c\x61\x68\0\x2e\x62\x73\x73\0\x6c\
\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x6f\x64\x61\x74\x61\0\x74\x65\x73\x74\x5f\
\x63\x75\x73\x74\x6f\x6d\x5f\x73\x65\x63\x5f\x68\x61\x6e\x64\x6c\x65\x72\x73\
\x2e\x63\0\x61\x62\x63\x31\0\x61\x62\x63\x31\x5f\x63\x61\x6c\x6c\x65\x64\0\x61\
\x62\x63\x32\0\x61\x62\x63\x32\x5f\x63\x61\x6c\x6c\x65\x64\0\x63\x75\x73\x74\
\x6f\x6d\x31\0\x63\x75\x73\x74\x6f\x6d\x31\x5f\x63\x61\x6c\x6c\x65\x64\0\x63\
\x75\x73\x74\x6f\x6d\x32\0\x63\x75\x73\x74\x6f\x6d\x32\x5f\x63\x61\x6c\x6c\x65\
\x64\0\x6b\x70\x72\x6f\x62\x65\x31\0\x6b\x70\x72\x6f\x62\x65\x31\x5f\x63\x61\
\x6c\x6c\x65\x64\0\x78\x79\x7a\0\x78\x79\x7a\x5f\x63\x61\x6c\x6c\x65\x64\0\x5f\
\x6c\x69\x63\x65\x6e\x73\x65\0\x6d\x79\x5f\x70\x69\x64\0\x2e\x72\x65\x6c\x61\
\x62\x63\0\x2e\x72\x65\x6c\x61\x62\x63\x2f\x77\x68\x61\x74\x65\x76\x65\x72\0\
\x2e\x72\x65\x6c\x63\x75\x73\x74\x6f\x6d\0\x2e\x72\x65\x6c\x63\x75\x73\x74\x6f\
\x6d\x2f\x73\x6f\x6d\x65\x74\x68\x69\x6e\x67\0\x2e\x72\x65\x6c\x6b\x70\x72\x6f\
\x62\x65\0\x2e\x72\x65\x6c\x78\x79\x7a\x2f\x62\x6c\x61\x68\0\x2e\x42\x54\x46\0\
\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x5f\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\
\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x04\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x03\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\
\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x07\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x03\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7a\0\0\0\x12\
\0\x03\0\0\0\0\0\0\0\0\0\x28\0\0\0\0\0\0\0\x7f\0\0\0\x11\0\x09\0\0\0\0\0\0\0\0\
\0\x01\0\0\0\0\0\0\0\x8b\0\0\0\x12\0\x04\0\0\0\0\0\0\0\0\0\x28\0\0\0\0\0\0\0\
\x90\0\0\0\x11\0\x09\0\x01\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x9c\0\0\0\x12\0\x05\
\0\0\0\0\0\0\0\0\0\x28\0\0\0\0\0\0\0\xa4\0\0\0\x11\0\x09\0\x02\0\0\0\0\0\0\0\
\x01\0\0\0\0\0\0\0\xb3\0\0\0\x12\0\x06\0\0\0\0\0\0\0\0\0\x28\0\0\0\0\0\0\0\xbb\
\0\0\0\x11\0\x09\0\x03\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\xca\0\0\0\x12\0\x07\0\0\
\0\0\0\0\0\0\0\x28\0\0\0\0\0\0\0\xd2\0\0\0\x11\0\x09\0\x04\0\0\0\0\0\0\0\x01\0\
\0\0\0\0\0\0\xe1\0\0\0\x12\0\x08\0\0\0\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\xe5\0\0\0\
\x11\0\x09\0\x05\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\xf0\0\0\0\x11\0\x0a\0\0\0\0\0\
\0\0\0\0\x04\0\0\0\0\0\0\0\xf9\0\0\0\x11\0\x0b\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\
\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x72\x01\0\0\x01\0\0\0\xb4\0\0\0\0\0\0\
\0\x95\0\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x72\x01\0\0\x01\0\0\0\
\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x72\
\x01\0\0\x01\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x72\x01\0\0\x01\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x18\x01\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x72\x01\0\0\x01\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\
\0\0\0\0\xbf\xa1\0\0\0\0\0\0\x07\x01\0\0\xfc\xff\xff\xff\xb4\x02\0\0\x04\0\0\0\
\xb7\x03\0\0\0\0\0\0\x85\0\0\0\x94\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x72\x01\0\0\x01\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x01\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x0b\0\0\0\0\0\
\0\0\0\0\0\0\x01\0\0\0\x0d\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x0f\0\0\0\0\0\0\0\0\
\0\0\0\x01\0\0\0\x11\0\0\0\x28\0\0\0\0\0\0\0\x01\0\0\0\x13\0\0\0\x9f\xeb\x01\0\
\x18\0\0\0\0\0\0\0\xe8\x01\0\0\xe8\x01\0\0\x70\x02\0\0\0\0\0\0\0\0\0\x02\0\0\0\
\0\0\0\0\0\x01\0\0\x0d\x03\0\0\0\x01\0\0\0\x01\0\0\0\x05\0\0\0\0\0\0\x01\x04\0\
\0\0\x20\0\0\x01\x09\0\0\0\x01\0\0\x0c\x02\0\0\0\x0e\0\0\0\x01\0\0\x0c\x02\0\0\
\0\x13\0\0\0\x01\0\0\x0c\x02\0\0\0\x1b\0\0\0\x01\0\0\x0c\x02\0\0\0\x23\0\0\0\
\x01\0\0\x0c\x02\0\0\0\x2b\0\0\0\x01\0\0\x0c\x02\0\0\0\x2f\0\0\0\0\0\0\x08\x0b\
\0\0\0\x34\0\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x04\x3a\0\0\0\0\0\0\x0e\x0a\0\0\0\
\x01\0\0\0\x46\0\0\0\0\0\0\x0e\x0a\0\0\0\x01\0\0\0\x52\0\0\0\0\0\0\x0e\x0a\0\0\
\0\x01\0\0\0\x61\0\0\0\0\0\0\x0e\x0a\0\0\0\x01\0\0\0\x70\0\0\0\0\0\0\x0e\x0a\0\
\0\0\x01\0\0\0\x7f\0\0\0\0\0\0\x0e\x0a\0\0\0\x01\0\0\0\x8a\0\0\0\0\0\0\x01\x01\
\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x12\0\0\0\x14\0\0\0\x04\0\0\0\x8f\
\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\xa3\0\0\0\0\0\0\x0e\x13\0\0\0\x01\0\0\0\0\
\0\0\0\0\0\0\x0a\x17\0\0\0\0\0\0\0\0\0\0\x09\x03\0\0\0\xac\0\0\0\0\0\0\x0e\x16\
\0\0\0\x01\0\0\0\x22\x02\0\0\x06\0\0\x0f\x06\0\0\0\x0c\0\0\0\0\0\0\0\x01\0\0\0\
\x0d\0\0\0\x01\0\0\0\x01\0\0\0\x0e\0\0\0\x02\0\0\0\x01\0\0\0\x0f\0\0\0\x03\0\0\
\0\x01\0\0\0\x10\0\0\0\x04\0\0\0\x01\0\0\0\x11\0\0\0\x05\0\0\0\x01\0\0\0\x27\
\x02\0\0\x01\0\0\x0f\x04\0\0\0\x15\0\0\0\0\0\0\0\x04\0\0\0\x2f\x02\0\0\x01\0\0\
\x0f\x04\0\0\0\x18\0\0\0\0\0\0\0\x04\0\0\0\0\x63\x74\x78\0\x69\x6e\x74\0\x61\
\x62\x63\x31\0\x61\x62\x63\x32\0\x63\x75\x73\x74\x6f\x6d\x31\0\x63\x75\x73\x74\
\x6f\x6d\x32\0\x6b\x70\x72\x6f\x62\x65\x31\0\x78\x79\x7a\0\x62\x6f\x6f\x6c\0\
\x5f\x42\x6f\x6f\x6c\0\x61\x62\x63\x31\x5f\x63\x61\x6c\x6c\x65\x64\0\x61\x62\
\x63\x32\x5f\x63\x61\x6c\x6c\x65\x64\0\x63\x75\x73\x74\x6f\x6d\x31\x5f\x63\x61\
\x6c\x6c\x65\x64\0\x63\x75\x73\x74\x6f\x6d\x32\x5f\x63\x61\x6c\x6c\x65\x64\0\
\x6b\x70\x72\x6f\x62\x65\x31\x5f\x63\x61\x6c\x6c\x65\x64\0\x78\x79\x7a\x5f\x63\
\x61\x6c\x6c\x65\x64\0\x63\x68\x61\x72\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\
\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\
\x6d\x79\x5f\x70\x69\x64\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\
\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\
\x34\x2e\x30\x2d\x35\x37\x30\x2e\x32\x38\x2e\x31\x2e\x65\x6c\x39\x5f\x36\x2f\
\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x37\x30\x2e\x32\x38\
\x2e\x31\x2e\x65\x6c\x39\x5f\x36\x2e\x78\x38\x36\x5f\x36\x34\x2f\x74\x6f\x6f\
\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\
\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x74\x65\x73\x74\x5f\x63\x75\
\x73\x74\x6f\x6d\x5f\x73\x65\x63\x5f\x68\x61\x6e\x64\x6c\x65\x72\x73\x2e\x63\0\
\x09\x61\x62\x63\x31\x5f\x63\x61\x6c\x6c\x65\x64\x20\x3d\x20\x74\x72\x75\x65\
\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x30\x3b\0\x09\x61\x62\x63\x32\x5f\x63\
\x61\x6c\x6c\x65\x64\x20\x3d\x20\x74\x72\x75\x65\x3b\0\x09\x63\x75\x73\x74\x6f\
\x6d\x31\x5f\x63\x61\x6c\x6c\x65\x64\x20\x3d\x20\x74\x72\x75\x65\x3b\0\x09\x63\
\x75\x73\x74\x6f\x6d\x32\x5f\x63\x61\x6c\x6c\x65\x64\x20\x3d\x20\x74\x72\x75\
\x65\x3b\0\x09\x6b\x70\x72\x6f\x62\x65\x31\x5f\x63\x61\x6c\x6c\x65\x64\x20\x3d\
\x20\x74\x72\x75\x65\x3b\0\x69\x6e\x74\x20\x78\x79\x7a\x28\x76\x6f\x69\x64\x20\
\x2a\x63\x74\x78\x29\0\x09\x62\x70\x66\x5f\x63\x6f\x70\x79\x5f\x66\x72\x6f\x6d\
\x5f\x75\x73\x65\x72\x28\x26\x77\x68\x61\x74\x65\x76\x65\x72\x2c\x20\x73\x69\
\x7a\x65\x6f\x66\x28\x77\x68\x61\x74\x65\x76\x65\x72\x29\x2c\x20\x4e\x55\x4c\
\x4c\x29\x3b\0\x09\x78\x79\x7a\x5f\x63\x61\x6c\x6c\x65\x64\x20\x3d\x20\x74\x72\
\x75\x65\x3b\0\x2e\x62\x73\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x6f\x64\
\x61\x74\x61\0\x61\x62\x63\0\x61\x62\x63\x2f\x77\x68\x61\x74\x65\x76\x65\x72\0\
\x63\x75\x73\x74\x6f\x6d\0\x63\x75\x73\x74\x6f\x6d\x2f\x73\x6f\x6d\x65\x74\x68\
\x69\x6e\x67\0\x6b\x70\x72\x6f\x62\x65\0\x78\x79\x7a\x2f\x62\x6c\x61\x68\0\x9f\
\xeb\x01\0\x20\0\0\0\0\0\0\0\x64\0\0\0\x64\0\0\0\x14\x01\0\0\x78\x01\0\0\0\0\0\
\0\x08\0\0\0\x37\x02\0\0\x01\0\0\0\0\0\0\0\x04\0\0\0\x3b\x02\0\0\x01\0\0\0\0\0\
\0\0\x05\0\0\0\x48\x02\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\x4f\x02\0\0\x01\0\0\0\0\
\0\0\0\x07\0\0\0\x60\x02\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\x67\x02\0\0\x01\0\0\0\
\0\0\0\0\x09\0\0\0\x10\0\0\0\x37\x02\0\0\x02\0\0\0\0\0\0\0\xb3\0\0\0\x46\x01\0\
\0\x0e\x50\0\0\x18\0\0\0\xb3\0\0\0\x5b\x01\0\0\x02\x54\0\0\x3b\x02\0\0\x02\0\0\
\0\0\0\0\0\xb3\0\0\0\x66\x01\0\0\x0e\x6c\0\0\x18\0\0\0\xb3\0\0\0\x5b\x01\0\0\
\x02\x70\0\0\x48\x02\0\0\x02\0\0\0\0\0\0\0\xb3\0\0\0\x7b\x01\0\0\x11\x88\0\0\
\x18\0\0\0\xb3\0\0\0\x5b\x01\0\0\x02\x8c\0\0\x4f\x02\0\0\x02\0\0\0\0\0\0\0\xb3\
\0\0\0\x93\x01\0\0\x11\xa4\0\0\x18\0\0\0\xb3\0\0\0\x5b\x01\0\0\x02\xa8\0\0\x60\
\x02\0\0\x02\0\0\0\0\0\0\0\xb3\0\0\0\xab\x01\0\0\x11\xc0\0\0\x18\0\0\0\xb3\0\0\
\0\x5b\x01\0\0\x02\xc4\0\0\x67\x02\0\0\x04\0\0\0\0\0\0\0\xb3\0\0\0\xc3\x01\0\0\
\0\xd4\0\0\x10\0\0\0\xb3\0\0\0\xd6\x01\0\0\x02\xe8\0\0\x28\0\0\0\xb3\0\0\0\x0e\
\x02\0\0\x0d\xec\0\0\x40\0\0\0\xb3\0\0\0\x5b\x01\0\0\x02\xf0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x5f\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa0\
\x01\0\0\0\0\0\0\x10\x02\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\
\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb0\x03\0\0\
\0\0\0\0\x28\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x15\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd8\x03\0\0\0\0\0\0\x28\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x22\0\0\0\x01\
\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\x28\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x29\0\0\0\x01\0\0\0\x06\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x28\x04\0\0\0\0\0\0\x28\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x3a\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x50\x04\0\0\0\0\0\0\x28\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x41\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x78\
\x04\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x4a\0\0\0\x08\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc8\x04\0\0\0\0\0\
\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x4f\0\0\
\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc8\x04\0\0\0\0\0\0\x04\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x57\0\0\0\x01\0\0\0\
\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xcc\x04\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\x09\0\0\0\x40\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\xd0\x04\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x02\0\0\0\x03\0\0\0\
\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x08\x01\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\xe0\x04\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x08\0\
\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x19\x01\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\xf0\x04\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x02\0\0\0\x05\0\0\0\x08\0\0\0\0\
\0\0\0\x10\0\0\0\0\0\0\0\x24\x01\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x05\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x02\0\0\0\x06\0\0\0\x08\0\0\0\0\0\0\0\
\x10\0\0\0\0\0\0\0\x39\x01\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\
\x05\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x02\0\0\0\x07\0\0\0\x08\0\0\0\0\0\0\0\x10\0\
\0\0\0\0\0\0\x44\x01\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\x05\0\
\0\0\0\0\0\x10\0\0\0\0\0\0\0\x02\0\0\0\x08\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\
\0\0\0\x51\x01\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x30\x05\0\0\0\0\0\
\0\x70\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x56\
\x01\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa0\x09\0\0\0\0\0\0\x98\x01\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct test_custom_sec_handlers *test_custom_sec_handlers::open(const struct bpf_object_open_opts *opts) { return test_custom_sec_handlers__open_opts(opts); }
struct test_custom_sec_handlers *test_custom_sec_handlers::open_and_load() { return test_custom_sec_handlers__open_and_load(); }
int test_custom_sec_handlers::load(struct test_custom_sec_handlers *skel) { return test_custom_sec_handlers__load(skel); }
int test_custom_sec_handlers::attach(struct test_custom_sec_handlers *skel) { return test_custom_sec_handlers__attach(skel); }
void test_custom_sec_handlers::detach(struct test_custom_sec_handlers *skel) { test_custom_sec_handlers__detach(skel); }
void test_custom_sec_handlers::destroy(struct test_custom_sec_handlers *skel) { test_custom_sec_handlers__destroy(skel); }
const void *test_custom_sec_handlers::elf_bytes(size_t *sz) { return test_custom_sec_handlers__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
test_custom_sec_handlers__assert(struct test_custom_sec_handlers *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->abc1_called) == 1, "unexpected size of 'abc1_called'");
	_Static_assert(sizeof(s->bss->abc2_called) == 1, "unexpected size of 'abc2_called'");
	_Static_assert(sizeof(s->bss->custom1_called) == 1, "unexpected size of 'custom1_called'");
	_Static_assert(sizeof(s->bss->custom2_called) == 1, "unexpected size of 'custom2_called'");
	_Static_assert(sizeof(s->bss->kprobe1_called) == 1, "unexpected size of 'kprobe1_called'");
	_Static_assert(sizeof(s->bss->xyz_called) == 1, "unexpected size of 'xyz_called'");
	_Static_assert(sizeof(s->rodata->my_pid) == 4, "unexpected size of 'my_pid'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __TEST_CUSTOM_SEC_HANDLERS_SKEL_H__ */
