/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __TOKEN_LSM_SKEL_H__
#define __TOKEN_LSM_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct token_lsm {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *token_capable;
		struct bpf_program *token_cmd;
	} progs;
	struct {
		struct bpf_link *token_capable;
		struct bpf_link *token_cmd;
	} links;
	struct token_lsm__bss {
		int my_pid;
		int reject_capable;
		int reject_cmd;
	} *bss;

#ifdef __cplusplus
	static inline struct token_lsm *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct token_lsm *open_and_load();
	static inline int load(struct token_lsm *skel);
	static inline int attach(struct token_lsm *skel);
	static inline void detach(struct token_lsm *skel);
	static inline void destroy(struct token_lsm *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
token_lsm__destroy(struct token_lsm *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
token_lsm__create_skeleton(struct token_lsm *obj);

static inline struct token_lsm *
token_lsm__open_opts(const struct bpf_object_open_opts *opts)
{
	struct token_lsm *obj;
	int err;

	obj = (struct token_lsm *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = token_lsm__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	token_lsm__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct token_lsm *
token_lsm__open(void)
{
	return token_lsm__open_opts(NULL);
}

static inline int
token_lsm__load(struct token_lsm *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct token_lsm *
token_lsm__open_and_load(void)
{
	struct token_lsm *obj;
	int err;

	obj = token_lsm__open();
	if (!obj)
		return NULL;
	err = token_lsm__load(obj);
	if (err) {
		token_lsm__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
token_lsm__attach(struct token_lsm *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
token_lsm__detach(struct token_lsm *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *token_lsm__elf_bytes(size_t *sz);

static inline int
token_lsm__create_skeleton(struct token_lsm *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "token_lsm";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "token_ls.bss";
	map->map = &obj->maps.bss;
	map->mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 2;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "token_capable";
	s->progs[0].prog = &obj->progs.token_capable;
	s->progs[0].link = &obj->links.token_capable;

	s->progs[1].name = "token_cmd";
	s->progs[1].prog = &obj->progs.token_cmd;
	s->progs[1].link = &obj->links.token_cmd;

	s->data = token_lsm__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *token_lsm__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xf8\x07\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0b\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x6c\x73\
\x6d\x2f\x62\x70\x66\x5f\x74\x6f\x6b\x65\x6e\x5f\x63\x61\x70\x61\x62\x6c\x65\0\
\x6c\x73\x6d\x2f\x62\x70\x66\x5f\x74\x6f\x6b\x65\x6e\x5f\x63\x6d\x64\0\x6c\x69\
\x63\x65\x6e\x73\x65\0\x2e\x62\x73\x73\0\x74\x6f\x6b\x65\x6e\x5f\x6c\x73\x6d\
\x2e\x63\0\x74\x6f\x6b\x65\x6e\x5f\x63\x61\x70\x61\x62\x6c\x65\0\x6d\x79\x5f\
\x70\x69\x64\0\x72\x65\x6a\x65\x63\x74\x5f\x63\x61\x70\x61\x62\x6c\x65\0\x74\
\x6f\x6b\x65\x6e\x5f\x63\x6d\x64\0\x72\x65\x6a\x65\x63\x74\x5f\x63\x6d\x64\0\
\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x6c\x73\x6d\x2f\x62\x70\x66\
\x5f\x74\x6f\x6b\x65\x6e\x5f\x63\x61\x70\x61\x62\x6c\x65\0\x2e\x72\x65\x6c\x6c\
\x73\x6d\x2f\x62\x70\x66\x5f\x74\x6f\x6b\x65\x6e\x5f\x63\x6d\x64\0\x2e\x42\x54\
\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x46\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x04\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x52\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\x80\0\0\0\0\0\
\0\0\x60\0\0\0\x11\0\x06\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x67\0\0\0\x11\0\
\x06\0\x04\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x76\0\0\0\x12\0\x04\0\0\0\0\0\0\0\0\
\0\x80\0\0\0\0\0\0\0\x80\0\0\0\x11\0\x06\0\x08\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\
\x8b\0\0\0\x11\0\x05\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xb4\x06\0\0\0\0\0\0\
\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x81\x17\0\0\0\0\0\0\x16\x07\x09\0\0\0\0\0\
\x85\0\0\0\x0e\0\0\0\x77\0\0\0\x20\0\0\0\x5d\x70\x06\0\0\0\0\0\x18\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x61\x11\0\0\0\0\0\0\xb4\x06\0\0\xff\xff\xff\xff\x56\x01\
\x01\0\0\0\0\0\xb4\x06\0\0\0\0\0\0\xbc\x60\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb4\
\x06\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x81\x17\0\0\0\0\0\0\x16\
\x07\x09\0\0\0\0\0\x85\0\0\0\x0e\0\0\0\x77\0\0\0\x20\0\0\0\x5d\x70\x06\0\0\0\0\
\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x11\0\0\0\0\0\0\xb4\x06\0\0\xff\xff\
\xff\xff\x56\x01\x01\0\0\0\0\0\xb4\x06\0\0\0\0\0\0\xbc\x60\0\0\0\0\0\0\x95\0\0\
\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\x08\0\0\0\0\0\0\0\x01\0\0\0\x05\0\0\0\x40\0\0\
\0\0\0\0\0\x01\0\0\0\x06\0\0\0\x08\0\0\0\0\0\0\0\x01\0\0\0\x05\0\0\0\x40\0\0\0\
\0\0\0\0\x01\0\0\0\x08\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\x18\x01\0\0\x18\
\x01\0\0\x19\x02\0\0\0\0\0\0\0\0\0\x02\x02\0\0\0\x01\0\0\0\0\0\0\x01\x08\0\0\0\
\x40\0\0\0\0\0\0\0\x01\0\0\x0d\x04\0\0\0\x14\0\0\0\x01\0\0\0\x18\0\0\0\0\0\0\
\x01\x04\0\0\0\x20\0\0\x01\x1c\0\0\0\x01\0\0\x0c\x03\0\0\0\x2a\0\0\0\x01\0\0\
\x0c\x03\0\0\0\x34\0\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\
\0\0\x07\0\0\0\x09\0\0\0\x04\0\0\0\x39\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\x4d\
\0\0\0\0\0\0\x0e\x08\0\0\0\x01\0\0\0\x56\0\0\0\0\0\0\x0e\x04\0\0\0\x01\0\0\0\
\x5d\0\0\0\0\0\0\x0e\x04\0\0\0\x01\0\0\0\x6c\0\0\0\0\0\0\x0e\x04\0\0\0\x01\0\0\
\0\xe4\x01\0\0\x01\0\0\x0f\x04\0\0\0\x0a\0\0\0\0\0\0\0\x04\0\0\0\xec\x01\0\0\
\x03\0\0\x0f\x0c\0\0\0\x0b\0\0\0\0\0\0\0\x04\0\0\0\x0c\0\0\0\x04\0\0\0\x04\0\0\
\0\x0d\0\0\0\x08\0\0\0\x04\0\0\0\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\
\x6e\x67\x20\x6c\x6f\x6e\x67\0\x63\x74\x78\0\x69\x6e\x74\0\x74\x6f\x6b\x65\x6e\
\x5f\x63\x61\x70\x61\x62\x6c\x65\0\x74\x6f\x6b\x65\x6e\x5f\x63\x6d\x64\0\x63\
\x68\x61\x72\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\
\x45\x5f\x5f\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x6d\x79\x5f\x70\x69\x64\0\x72\
\x65\x6a\x65\x63\x74\x5f\x63\x61\x70\x61\x62\x6c\x65\0\x72\x65\x6a\x65\x63\x74\
\x5f\x63\x6d\x64\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\
\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\
\x30\x2d\x35\x37\x30\x2e\x32\x38\x2e\x31\x2e\x65\x6c\x39\x5f\x36\x2f\x6c\x69\
\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x37\x30\x2e\x32\x38\x2e\x31\
\x2e\x65\x6c\x39\x5f\x36\x2e\x78\x38\x36\x5f\x36\x34\x2f\x74\x6f\x6f\x6c\x73\
\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\
\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x74\x6f\x6b\x65\x6e\x5f\x6c\x73\x6d\
\x2e\x63\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\x74\x6f\x6b\x65\
\x6e\x5f\x63\x61\x70\x61\x62\x6c\x65\x2c\x20\x73\x74\x72\x75\x63\x74\x20\x62\
\x70\x66\x5f\x74\x6f\x6b\x65\x6e\x20\x2a\x74\x6f\x6b\x65\x6e\x2c\x20\x69\x6e\
\x74\x20\x63\x61\x70\x29\0\x09\x69\x66\x20\x28\x6d\x79\x5f\x70\x69\x64\x20\x3d\
\x3d\x20\x30\x20\x7c\x7c\x20\x6d\x79\x5f\x70\x69\x64\x20\x21\x3d\x20\x28\x62\
\x70\x66\x5f\x67\x65\x74\x5f\x63\x75\x72\x72\x65\x6e\x74\x5f\x70\x69\x64\x5f\
\x74\x67\x69\x64\x28\x29\x20\x3e\x3e\x20\x33\x32\x29\x29\0\x09\x69\x66\x20\x28\
\x72\x65\x6a\x65\x63\x74\x5f\x63\x61\x70\x61\x62\x6c\x65\x29\0\x69\x6e\x74\x20\
\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\x74\x6f\x6b\x65\x6e\x5f\x63\x6d\x64\x2c\
\x20\x73\x74\x72\x75\x63\x74\x20\x62\x70\x66\x5f\x74\x6f\x6b\x65\x6e\x20\x2a\
\x74\x6f\x6b\x65\x6e\x2c\x20\x65\x6e\x75\x6d\x20\x62\x70\x66\x5f\x63\x6d\x64\
\x20\x63\x6d\x64\x29\0\x09\x69\x66\x20\x28\x72\x65\x6a\x65\x63\x74\x5f\x63\x6d\
\x64\x29\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x62\x73\x73\0\x6c\x73\x6d\x2f\x62\
\x70\x66\x5f\x74\x6f\x6b\x65\x6e\x5f\x63\x61\x70\x61\x62\x6c\x65\0\x6c\x73\x6d\
\x2f\x62\x70\x66\x5f\x74\x6f\x6b\x65\x6e\x5f\x63\x6d\x64\0\0\0\0\0\0\0\0\x9f\
\xeb\x01\0\x20\0\0\0\0\0\0\0\x24\0\0\0\x24\0\0\0\x14\x01\0\0\x38\x01\0\0\0\0\0\
\0\x08\0\0\0\xf1\x01\0\0\x01\0\0\0\0\0\0\0\x05\0\0\0\x07\x02\0\0\x01\0\0\0\0\0\
\0\0\x06\0\0\0\x10\0\0\0\xf1\x01\0\0\x08\0\0\0\0\0\0\0\x77\0\0\0\xfb\0\0\0\0\
\x3c\0\0\x08\0\0\0\x77\0\0\0\x39\x01\0\0\x06\x44\0\0\x20\0\0\0\x77\0\0\0\x39\
\x01\0\0\x12\x44\0\0\x28\0\0\0\x77\0\0\0\x39\x01\0\0\x20\x44\0\0\x30\0\0\0\x77\
\0\0\0\x39\x01\0\0\x3b\x44\0\0\x38\0\0\0\x77\0\0\0\x39\x01\0\0\x06\x44\0\0\x40\
\0\0\0\x77\0\0\0\x7b\x01\0\0\x06\x4c\0\0\x70\0\0\0\x77\0\0\0\xfb\0\0\0\x05\x3c\
\0\0\x07\x02\0\0\x08\0\0\0\0\0\0\0\x77\0\0\0\x90\x01\0\0\0\x64\0\0\x08\0\0\0\
\x77\0\0\0\x39\x01\0\0\x06\x6c\0\0\x20\0\0\0\x77\0\0\0\x39\x01\0\0\x12\x6c\0\0\
\x28\0\0\0\x77\0\0\0\x39\x01\0\0\x20\x6c\0\0\x30\0\0\0\x77\0\0\0\x39\x01\0\0\
\x3b\x6c\0\0\x38\0\0\0\x77\0\0\0\x39\x01\0\0\x06\x6c\0\0\x40\0\0\0\x77\0\0\0\
\xd3\x01\0\0\x06\x74\0\0\x70\0\0\0\x77\0\0\0\x90\x01\0\0\x05\x64\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\xd2\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x18\x01\0\0\0\0\0\0\xf0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\
\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\x02\0\
\0\0\0\0\0\x80\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x27\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x88\x02\0\0\0\0\0\0\x80\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x39\0\0\0\x01\
\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\x03\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x41\0\0\0\x08\0\0\0\x03\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x0c\x03\0\0\0\0\0\0\x0c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x94\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x10\x03\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x02\0\0\0\x03\0\0\0\x08\0\0\
\0\0\0\0\0\x10\0\0\0\0\0\0\0\xae\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x30\x03\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x08\0\0\0\0\0\0\
\0\x10\0\0\0\0\0\0\0\xc4\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x50\
\x03\0\0\0\0\0\0\x49\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\xc9\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa0\x06\0\0\0\0\0\
\0\x58\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct token_lsm *token_lsm::open(const struct bpf_object_open_opts *opts) { return token_lsm__open_opts(opts); }
struct token_lsm *token_lsm::open_and_load() { return token_lsm__open_and_load(); }
int token_lsm::load(struct token_lsm *skel) { return token_lsm__load(skel); }
int token_lsm::attach(struct token_lsm *skel) { return token_lsm__attach(skel); }
void token_lsm::detach(struct token_lsm *skel) { token_lsm__detach(skel); }
void token_lsm::destroy(struct token_lsm *skel) { token_lsm__destroy(skel); }
const void *token_lsm::elf_bytes(size_t *sz) { return token_lsm__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
token_lsm__assert(struct token_lsm *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->my_pid) == 4, "unexpected size of 'my_pid'");
	_Static_assert(sizeof(s->bss->reject_capable) == 4, "unexpected size of 'reject_capable'");
	_Static_assert(sizeof(s->bss->reject_cmd) == 4, "unexpected size of 'reject_cmd'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __TOKEN_LSM_SKEL_H__ */
