/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __WQ_FAILURES_SKEL_H__
#define __WQ_FAILURES_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct wq_failures {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *array;
		struct bpf_map *lru;
	} maps;
	struct {
		struct bpf_program *test_wq_init_nomap;
		struct bpf_program *test_wq_init_wrong_map;
		struct bpf_program *test_wrong_wq_pointer;
		struct bpf_program *test_wrong_wq_pointer_offset;
	} progs;
	struct {
		struct bpf_link *test_wq_init_nomap;
		struct bpf_link *test_wq_init_wrong_map;
		struct bpf_link *test_wrong_wq_pointer;
		struct bpf_link *test_wrong_wq_pointer_offset;
	} links;

#ifdef __cplusplus
	static inline struct wq_failures *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct wq_failures *open_and_load();
	static inline int load(struct wq_failures *skel);
	static inline int attach(struct wq_failures *skel);
	static inline void detach(struct wq_failures *skel);
	static inline void destroy(struct wq_failures *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
wq_failures__destroy(struct wq_failures *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
wq_failures__create_skeleton(struct wq_failures *obj);

static inline struct wq_failures *
wq_failures__open_opts(const struct bpf_object_open_opts *opts)
{
	struct wq_failures *obj;
	int err;

	obj = (struct wq_failures *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = wq_failures__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	wq_failures__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct wq_failures *
wq_failures__open(void)
{
	return wq_failures__open_opts(NULL);
}

static inline int
wq_failures__load(struct wq_failures *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct wq_failures *
wq_failures__open_and_load(void)
{
	struct wq_failures *obj;
	int err;

	obj = wq_failures__open();
	if (!obj)
		return NULL;
	err = wq_failures__load(obj);
	if (err) {
		wq_failures__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
wq_failures__attach(struct wq_failures *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
wq_failures__detach(struct wq_failures *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *wq_failures__elf_bytes(size_t *sz);

static inline int
wq_failures__create_skeleton(struct wq_failures *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "wq_failures";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 2;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "array";
	map->map = &obj->maps.array;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 1 * s->map_skel_sz);
	map->name = "lru";
	map->map = &obj->maps.lru;

	/* programs */
	s->prog_cnt = 4;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "test_wq_init_nomap";
	s->progs[0].prog = &obj->progs.test_wq_init_nomap;
	s->progs[0].link = &obj->links.test_wq_init_nomap;

	s->progs[1].name = "test_wq_init_wrong_map";
	s->progs[1].prog = &obj->progs.test_wq_init_wrong_map;
	s->progs[1].link = &obj->links.test_wq_init_wrong_map;

	s->progs[2].name = "test_wrong_wq_pointer";
	s->progs[2].prog = &obj->progs.test_wrong_wq_pointer;
	s->progs[2].link = &obj->links.test_wrong_wq_pointer;

	s->progs[3].name = "test_wrong_wq_pointer_offset";
	s->progs[3].prog = &obj->progs.test_wrong_wq_pointer_offset;
	s->progs[3].link = &obj->links.test_wrong_wq_pointer_offset;

	s->data = wq_failures__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *wq_failures__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x28\x15\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0d\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\x74\
\x65\x78\x74\0\x74\x63\0\x3f\x74\x63\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x6d\
\x61\x70\x73\0\x77\x71\x5f\x66\x61\x69\x6c\x75\x72\x65\x73\x2e\x63\0\x77\x71\
\x5f\x63\x61\x6c\x6c\x62\x61\x63\x6b\0\x77\x71\x5f\x63\x62\x5f\x73\x6c\x65\x65\
\x70\x61\x62\x6c\x65\0\x74\x65\x73\x74\x5f\x77\x71\x5f\x69\x6e\x69\x74\x5f\x6e\
\x6f\x6d\x61\x70\0\x61\x72\x72\x61\x79\0\x62\x70\x66\x5f\x77\x71\x5f\x69\x6e\
\x69\x74\0\x74\x65\x73\x74\x5f\x77\x71\x5f\x69\x6e\x69\x74\x5f\x77\x72\x6f\x6e\
\x67\x5f\x6d\x61\x70\0\x6c\x72\x75\0\x74\x65\x73\x74\x5f\x77\x72\x6f\x6e\x67\
\x5f\x77\x71\x5f\x70\x6f\x69\x6e\x74\x65\x72\0\x62\x70\x66\x5f\x77\x71\x5f\x73\
\x65\x74\x5f\x63\x61\x6c\x6c\x62\x61\x63\x6b\x5f\x69\x6d\x70\x6c\0\x62\x70\x66\
\x5f\x6b\x66\x75\x6e\x63\x5f\x63\x6f\x6d\x6d\x6f\x6e\x5f\x74\x65\x73\x74\0\x74\
\x65\x73\x74\x5f\x77\x72\x6f\x6e\x67\x5f\x77\x71\x5f\x70\x6f\x69\x6e\x74\x65\
\x72\x5f\x6f\x66\x66\x73\x65\x74\0\x62\x70\x66\x5f\x6b\x66\x75\x6e\x63\x5f\x63\
\x61\x6c\x6c\x5f\x74\x65\x73\x74\x5f\x73\x6c\x65\x65\x70\x61\x62\x6c\x65\0\x5f\
\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x2e\x74\x65\x78\x74\0\x2e\x72\
\x65\x6c\x74\x63\0\x2e\x72\x65\x6c\x3f\x74\x63\0\x2e\x42\x54\x46\0\x2e\x42\x54\
\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x2c\
\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x03\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x3a\0\0\0\x02\0\x03\0\0\0\
\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x46\0\0\0\x02\0\x03\0\x18\0\0\0\0\0\0\0\x18\0\0\
\0\0\0\0\0\x56\0\0\0\x12\0\x04\0\0\0\0\0\0\0\0\0\x90\0\0\0\0\0\0\0\x69\0\0\0\
\x11\0\x07\0\0\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x6f\0\0\0\x20\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x7b\0\0\0\x12\0\x04\0\x90\0\0\0\0\0\0\0\x90\0\0\0\0\0\0\0\
\x92\0\0\0\x11\0\x07\0\x20\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x96\0\0\0\x12\0\x05\
\0\0\0\0\0\0\0\0\0\xe8\0\0\0\0\0\0\0\xac\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\xc5\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xdb\0\0\0\x12\0\
\x05\0\xe8\0\0\0\0\0\0\0\xe8\0\0\0\0\0\0\0\xf8\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x16\x01\0\0\x11\0\x06\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x85\
\x10\0\0\xff\xff\xff\xff\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x85\x10\0\0\xff\
\xff\xff\xff\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x62\x0a\xfc\xff\0\0\0\0\xbf\
\xa2\0\0\0\0\0\0\x07\x02\0\0\xfc\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x85\0\0\0\x01\0\0\0\xbf\x01\0\0\0\0\0\0\xb7\0\0\0\xff\xff\xff\xff\x15\x01\
\x08\0\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xfc\xff\xff\xff\xb4\x03\0\0\0\0\
\0\0\x85\x10\0\0\xff\xff\xff\xff\xbc\x01\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x16\x01\
\x01\0\0\0\0\0\xb7\0\0\0\xfd\xff\xff\xff\x95\0\0\0\0\0\0\0\x62\x0a\xfc\xff\0\0\
\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xfc\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x85\0\0\0\x01\0\0\0\xbf\x01\0\0\0\0\0\0\xb7\0\0\0\xff\xff\xff\xff\
\x15\x01\x08\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb4\x03\0\0\0\0\0\0\
\x85\x10\0\0\xff\xff\xff\xff\xbc\x01\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x16\x01\x01\
\0\0\0\0\0\xb7\0\0\0\xfd\xff\xff\xff\x95\0\0\0\0\0\0\0\x62\x0a\xfc\xff\0\0\0\0\
\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xfc\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x85\0\0\0\x01\0\0\0\xbf\x01\0\0\0\0\0\0\xb7\0\0\0\x01\0\0\0\x7b\x1a\xf0\
\xff\0\0\0\0\x15\x01\x12\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb4\x03\
\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\xbc\x01\0\0\0\0\0\0\xb7\0\0\0\x02\0\0\
\0\x56\x01\x0b\0\0\0\0\0\xbf\xa1\0\0\0\0\0\0\x07\x01\0\0\xf0\xff\xff\xff\x18\
\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb4\x03\0\0\0\0\0\0\xb7\x04\0\0\0\0\0\0\x85\
\x10\0\0\xff\xff\xff\xff\xbc\x01\0\0\0\0\0\0\xb7\0\0\0\xea\xff\xff\xff\x16\x01\
\x01\0\0\0\0\0\xb7\0\0\0\x03\0\0\0\x95\0\0\0\0\0\0\0\x62\x0a\xfc\xff\0\0\0\0\
\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xfc\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x85\0\0\0\x01\0\0\0\xbf\x06\0\0\0\0\0\0\xb7\0\0\0\x01\0\0\0\x15\x06\x13\
\0\0\0\0\0\xbf\x61\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb4\x03\0\0\
\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\xbc\x01\0\0\0\0\0\0\xb7\0\0\0\x02\0\0\0\
\x56\x01\x0b\0\0\0\0\0\x07\x06\0\0\x01\0\0\0\xbf\x61\0\0\0\0\0\0\x18\x02\0\0\
\x18\0\0\0\0\0\0\0\0\0\0\0\xb4\x03\0\0\0\0\0\0\xb7\x04\0\0\0\0\0\0\x85\x10\0\0\
\xff\xff\xff\xff\xbc\x01\0\0\0\0\0\0\xb7\0\0\0\xea\xff\xff\xff\x16\x01\x01\0\0\
\0\0\0\xb7\0\0\0\x03\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0a\0\0\0\x0e\0\0\0\x18\
\0\0\0\0\0\0\0\x0a\0\0\0\x10\0\0\0\x18\0\0\0\0\0\0\0\x01\0\0\0\x08\0\0\0\x60\0\
\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\0\xa8\0\0\0\0\0\0\0\x01\0\0\0\x08\0\0\0\xd8\0\0\
\0\0\0\0\0\x01\0\0\0\x0b\0\0\0\xf0\0\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\0\x18\0\0\0\
\0\0\0\0\x01\0\0\0\x08\0\0\0\x50\0\0\0\0\0\0\0\x01\0\0\0\x08\0\0\0\x68\0\0\0\0\
\0\0\0\x0a\0\0\0\x09\0\0\0\x98\0\0\0\0\0\0\0\x01\0\0\0\x02\0\0\0\xb8\0\0\0\0\0\
\0\0\x0a\0\0\0\x0d\0\0\0\0\x01\0\0\0\0\0\0\x01\0\0\0\x08\0\0\0\x38\x01\0\0\0\0\
\0\0\x01\0\0\0\x08\0\0\0\x50\x01\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\0\x80\x01\0\0\0\
\0\0\0\x01\0\0\0\x02\0\0\0\xa0\x01\0\0\0\0\0\0\x0a\0\0\0\x0d\0\0\0\x9f\xeb\x01\
\0\x18\0\0\0\0\0\0\0\xe4\x04\0\0\xe4\x04\0\0\x21\x06\0\0\0\0\0\0\0\0\0\x02\x03\
\0\0\0\x01\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x02\
\0\0\0\x04\0\0\0\x02\0\0\0\x05\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\
\0\x02\x02\0\0\0\0\0\0\0\0\0\0\x02\x07\0\0\0\x19\0\0\0\x01\0\0\x04\x10\0\0\0\
\x1e\0\0\0\x08\0\0\0\0\0\0\0\x20\0\0\0\x01\0\0\x04\x10\0\0\0\x27\0\0\0\x0b\0\0\
\0\0\0\0\0\x30\0\0\0\0\0\0\x08\x0a\0\0\0\x36\0\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\
\0\0\0\0\0\0\0\0\x03\0\0\0\0\x09\0\0\0\x04\0\0\0\x02\0\0\0\0\0\0\0\x04\0\0\x04\
\x20\0\0\0\x49\0\0\0\x01\0\0\0\0\0\0\0\x4e\0\0\0\x01\0\0\0\x40\0\0\0\x5a\0\0\0\
\x05\0\0\0\x80\0\0\0\x5e\0\0\0\x06\0\0\0\xc0\0\0\0\x64\0\0\0\0\0\0\x0e\x0c\0\0\
\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x0f\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\
\x04\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\x02\x11\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\
\0\0\0\x04\0\0\0\x04\0\0\0\0\0\0\0\x04\0\0\x04\x20\0\0\0\x49\0\0\0\x0e\0\0\0\0\
\0\0\0\x4e\0\0\0\x10\0\0\0\x40\0\0\0\x5a\0\0\0\x05\0\0\0\x80\0\0\0\x5e\0\0\0\
\x06\0\0\0\xc0\0\0\0\x6a\0\0\0\0\0\0\x0e\x12\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\
\0\0\0\0\0\0\0\0\x01\0\0\x0d\x16\0\0\0\x6e\0\0\0\x14\0\0\0\x72\0\0\0\0\0\0\x01\
\x08\0\0\0\x40\0\0\x01\x77\0\0\0\x01\0\0\x0c\x15\0\0\0\x8a\0\0\0\0\0\0\x11\x17\
\0\0\0\xff\xff\xff\xff\xa3\0\0\0\0\0\0\x11\x17\0\0\0\xff\xff\xff\xff\xd1\0\0\0\
\0\0\0\x11\x17\0\0\0\xff\xff\xff\xff\xed\0\0\0\0\0\0\x11\x17\0\0\0\xff\xff\xff\
\xff\x20\x01\0\0\0\0\0\x11\x17\0\0\0\xff\xff\xff\xff\0\0\0\0\x03\0\0\x0d\x02\0\
\0\0\0\0\0\0\x1e\0\0\0\0\0\0\0\x14\0\0\0\0\0\0\0\x1f\0\0\0\0\0\0\0\0\0\0\x02\
\x08\0\0\0\x5a\x01\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\x67\x01\0\0\x02\0\0\x0c\
\x1d\0\0\0\x73\x01\0\0\x01\0\0\x0c\x15\0\0\0\x8a\0\0\0\0\0\0\x11\x21\0\0\0\xff\
\xff\xff\xff\xa3\0\0\0\0\0\0\x11\x21\0\0\0\xff\xff\xff\xff\xd1\0\0\0\0\0\0\x11\
\x21\0\0\0\xff\xff\xff\xff\x8a\x01\0\0\0\0\0\x11\x21\0\0\0\xff\xff\xff\xff\xbd\
\x01\0\0\0\0\0\x11\x21\0\0\0\xff\xff\xff\xff\x23\x02\0\0\x01\0\0\x0c\x15\0\0\0\
\x8a\0\0\0\0\0\0\x11\x27\0\0\0\xff\xff\xff\xff\xd1\0\0\0\0\0\0\x11\x27\0\0\0\
\xff\xff\xff\xff\x39\x02\0\0\0\0\0\x11\x27\0\0\0\xff\xff\xff\xff\x79\x02\0\0\0\
\0\0\x11\x27\0\0\0\xff\xff\xff\xff\0\0\0\0\x04\0\0\x0d\x02\0\0\0\0\0\0\0\x1e\0\
\0\0\0\0\0\0\x2d\0\0\0\0\0\0\0\x1f\0\0\0\0\0\0\0\x14\0\0\0\0\0\0\0\0\0\0\x02\
\x2e\0\0\0\0\0\0\0\x03\0\0\x0d\x02\0\0\0\0\0\0\0\x14\0\0\0\0\0\0\0\x05\0\0\0\0\
\0\0\0\x14\0\0\0\xb6\x02\0\0\x02\0\0\x0c\x2c\0\0\0\0\0\0\0\x03\0\0\x0d\x02\0\0\
\0\xcf\x02\0\0\x14\0\0\0\x5a\0\0\0\x05\0\0\0\x5e\0\0\0\x14\0\0\0\xd3\x02\0\0\0\
\0\0\x0c\x30\0\0\0\0\0\0\0\0\0\0\x0d\0\0\0\0\xdf\x02\0\0\x02\0\0\x0c\x32\0\0\0\
\xf5\x02\0\0\x01\0\0\x0c\x15\0\0\0\x8a\0\0\0\0\0\0\x11\x34\0\0\0\xff\xff\xff\
\xff\xd1\0\0\0\0\0\0\x11\x34\0\0\0\xff\xff\xff\xff\x12\x03\0\0\0\0\0\x11\x34\0\
\0\0\xff\xff\xff\xff\x52\x03\0\0\0\0\0\x11\x34\0\0\0\xff\xff\xff\xff\xa0\x03\0\
\0\0\0\0\x0c\x30\0\0\0\xb0\x03\0\0\x02\0\0\x0c\x32\0\0\0\xce\x03\0\0\0\0\0\x01\
\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x3b\0\0\0\x04\0\0\0\x04\0\0\0\
\xd3\x03\0\0\0\0\0\x0e\x3c\0\0\0\x01\0\0\0\xff\x05\0\0\x01\0\0\x0f\x04\0\0\0\
\x3d\0\0\0\0\0\0\0\x04\0\0\0\x07\x06\0\0\x02\0\0\x0f\x40\0\0\0\x0d\0\0\0\0\0\0\
\0\x20\0\0\0\x13\0\0\0\x20\0\0\0\x20\0\0\0\x0d\x06\0\0\x04\0\0\x0f\0\0\0\0\x20\
\0\0\0\0\0\0\0\0\0\0\0\x2f\0\0\0\0\0\0\0\0\0\0\0\x33\0\0\0\0\0\0\0\0\0\0\0\x3a\
\0\0\0\0\0\0\0\0\0\0\0\0\x69\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\
\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x65\x6c\x65\x6d\0\x77\0\x62\x70\x66\x5f\
\x77\x71\0\x5f\x5f\x6f\x70\x61\x71\x75\x65\0\x5f\x5f\x75\x36\x34\0\x75\x6e\x73\
\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x74\x79\x70\x65\
\0\x6d\x61\x78\x5f\x65\x6e\x74\x72\x69\x65\x73\0\x6b\x65\x79\0\x76\x61\x6c\x75\
\x65\0\x61\x72\x72\x61\x79\0\x6c\x72\x75\0\x63\x74\x78\0\x6c\x6f\x6e\x67\0\x74\
\x65\x73\x74\x5f\x77\x71\x5f\x69\x6e\x69\x74\x5f\x6e\x6f\x6d\x61\x70\0\x63\x6f\
\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x6c\x6f\x67\x5f\x6c\x65\x76\x65\
\x6c\x3d\x32\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x70\x72\x6f\
\x67\x5f\x66\x6c\x61\x67\x73\x3d\x42\x50\x46\x5f\x46\x5f\x54\x45\x53\x54\x5f\
\x53\x54\x41\x54\x45\x5f\x46\x52\x45\x51\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\
\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x66\x61\x69\x6c\x75\x72\x65\0\x63\
\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\
\x6d\x73\x67\x3d\x30\x3d\x3a\x20\x28\x38\x35\x29\x20\x63\x61\x6c\x6c\x20\x62\
\x70\x66\x5f\x77\x71\x5f\x69\x6e\x69\x74\x23\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\
\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x31\x3d\x70\
\x6f\x69\x6e\x74\x65\x72\x20\x69\x6e\x20\x52\x32\x20\x69\x73\x6e\x27\x74\x20\
\x6d\x61\x70\x20\x70\x6f\x69\x6e\x74\x65\x72\0\x75\x6e\x73\x69\x67\x6e\x65\x64\
\x20\x69\x6e\x74\0\x62\x70\x66\x5f\x77\x71\x5f\x69\x6e\x69\x74\0\x74\x65\x73\
\x74\x5f\x77\x71\x5f\x69\x6e\x69\x74\x5f\x77\x72\x6f\x6e\x67\x5f\x6d\x61\x70\0\
\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\
\x5f\x6d\x73\x67\x3d\x32\x3d\x3a\x20\x28\x38\x35\x29\x20\x63\x61\x6c\x6c\x20\
\x62\x70\x66\x5f\x77\x71\x5f\x69\x6e\x69\x74\x23\0\x63\x6f\x6d\x6d\x65\x6e\x74\
\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x33\x3d\
\x77\x6f\x72\x6b\x71\x75\x65\x75\x65\x20\x70\x6f\x69\x6e\x74\x65\x72\x20\x69\
\x6e\x20\x52\x31\x20\x6d\x61\x70\x5f\x75\x69\x64\x3d\x30\x20\x64\x6f\x65\x73\
\x6e\x27\x74\x20\x6d\x61\x74\x63\x68\x20\x6d\x61\x70\x20\x70\x6f\x69\x6e\x74\
\x65\x72\x20\x69\x6e\x20\x52\x32\x20\x6d\x61\x70\x5f\x75\x69\x64\x3d\x30\0\x74\
\x65\x73\x74\x5f\x77\x72\x6f\x6e\x67\x5f\x77\x71\x5f\x70\x6f\x69\x6e\x74\x65\
\x72\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\
\x74\x5f\x6d\x73\x67\x3d\x34\x3d\x3a\x20\x28\x38\x35\x29\x20\x63\x61\x6c\x6c\
\x20\x62\x70\x66\x5f\x77\x71\x5f\x73\x65\x74\x5f\x63\x61\x6c\x6c\x62\x61\x63\
\x6b\x5f\x69\x6d\x70\x6c\x23\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\
\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x35\x3d\x61\x72\x67\x23\x30\
\x20\x64\x6f\x65\x73\x6e\x27\x74\x20\x70\x6f\x69\x6e\x74\x20\x74\x6f\x20\x61\
\x20\x6d\x61\x70\x20\x76\x61\x6c\x75\x65\0\x62\x70\x66\x5f\x77\x71\x5f\x73\x65\
\x74\x5f\x63\x61\x6c\x6c\x62\x61\x63\x6b\x5f\x69\x6d\x70\x6c\0\x6d\x61\x70\0\
\x77\x71\x5f\x63\x61\x6c\x6c\x62\x61\x63\x6b\0\x62\x70\x66\x5f\x6b\x66\x75\x6e\
\x63\x5f\x63\x6f\x6d\x6d\x6f\x6e\x5f\x74\x65\x73\x74\0\x74\x65\x73\x74\x5f\x77\
\x72\x6f\x6e\x67\x5f\x77\x71\x5f\x70\x6f\x69\x6e\x74\x65\x72\x5f\x6f\x66\x66\
\x73\x65\x74\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\
\x65\x63\x74\x5f\x6d\x73\x67\x3d\x36\x3d\x3a\x20\x28\x38\x35\x29\x20\x63\x61\
\x6c\x6c\x20\x62\x70\x66\x5f\x77\x71\x5f\x73\x65\x74\x5f\x63\x61\x6c\x6c\x62\
\x61\x63\x6b\x5f\x69\x6d\x70\x6c\x23\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\
\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x37\x3d\x6f\x66\x66\
\x20\x31\x20\x64\x6f\x65\x73\x6e\x27\x74\x20\x70\x6f\x69\x6e\x74\x20\x74\x6f\
\x20\x27\x73\x74\x72\x75\x63\x74\x20\x62\x70\x66\x5f\x77\x71\x27\x20\x74\x68\
\x61\x74\x20\x69\x73\x20\x61\x74\x20\x30\0\x77\x71\x5f\x63\x62\x5f\x73\x6c\x65\
\x65\x70\x61\x62\x6c\x65\0\x62\x70\x66\x5f\x6b\x66\x75\x6e\x63\x5f\x63\x61\x6c\
\x6c\x5f\x74\x65\x73\x74\x5f\x73\x6c\x65\x65\x70\x61\x62\x6c\x65\0\x63\x68\x61\
\x72\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\
\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\
\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x37\x30\x2e\x32\x38\x2e\x31\x2e\x65\x6c\
\x39\x5f\x36\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x37\
\x30\x2e\x32\x38\x2e\x31\x2e\x65\x6c\x39\x5f\x36\x2e\x78\x38\x36\x5f\x36\x34\
\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\
\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x77\x71\x5f\
\x66\x61\x69\x6c\x75\x72\x65\x73\x2e\x63\0\x09\x62\x70\x66\x5f\x6b\x66\x75\x6e\
\x63\x5f\x63\x6f\x6d\x6d\x6f\x6e\x5f\x74\x65\x73\x74\x28\x29\x3b\0\x09\x72\x65\
\x74\x75\x72\x6e\x20\x30\x3b\0\x09\x62\x70\x66\x5f\x6b\x66\x75\x6e\x63\x5f\x63\
\x61\x6c\x6c\x5f\x74\x65\x73\x74\x5f\x73\x6c\x65\x65\x70\x61\x62\x6c\x65\x28\
\x29\x3b\0\x09\x69\x6e\x74\x20\x6b\x65\x79\x20\x3d\x20\x30\x3b\0\x09\x76\x61\
\x6c\x20\x3d\x20\x62\x70\x66\x5f\x6d\x61\x70\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\
\x65\x6c\x65\x6d\x28\x26\x61\x72\x72\x61\x79\x2c\x20\x26\x6b\x65\x79\x29\x3b\0\
\x09\x69\x66\x20\x28\x21\x76\x61\x6c\x29\0\x09\x69\x66\x20\x28\x62\x70\x66\x5f\
\x77\x71\x5f\x69\x6e\x69\x74\x28\x77\x71\x2c\x20\x26\x6b\x65\x79\x2c\x20\x30\
\x29\x20\x21\x3d\x20\x30\x29\0\x7d\0\x09\x69\x66\x20\x28\x62\x70\x66\x5f\x77\
\x71\x5f\x69\x6e\x69\x74\x28\x77\x71\x2c\x20\x26\x6c\x72\x75\x2c\x20\x30\x29\
\x20\x21\x3d\x20\x30\x29\0\x09\x77\x71\x20\x3d\x20\x62\x70\x66\x5f\x6d\x61\x70\
\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\x65\x6c\x65\x6d\x28\x26\x61\x72\x72\x61\x79\
\x2c\x20\x26\x6b\x65\x79\x29\x3b\0\x09\x69\x66\x20\x28\x21\x77\x71\x29\0\x09\
\x69\x66\x20\x28\x62\x70\x66\x5f\x77\x71\x5f\x69\x6e\x69\x74\x28\x77\x71\x2c\
\x20\x26\x61\x72\x72\x61\x79\x2c\x20\x30\x29\x29\0\x09\x69\x66\x20\x28\x62\x70\
\x66\x5f\x77\x71\x5f\x73\x65\x74\x5f\x63\x61\x6c\x6c\x62\x61\x63\x6b\x28\x28\
\x76\x6f\x69\x64\x20\x2a\x29\x26\x77\x71\x2c\x20\x77\x71\x5f\x63\x61\x6c\x6c\
\x62\x61\x63\x6b\x2c\x20\x30\x29\x29\0\x09\x69\x66\x20\x28\x62\x70\x66\x5f\x77\
\x71\x5f\x73\x65\x74\x5f\x63\x61\x6c\x6c\x62\x61\x63\x6b\x28\x28\x76\x6f\x69\
\x64\x20\x2a\x29\x77\x71\x20\x2b\x20\x31\x2c\x20\x77\x71\x5f\x63\x62\x5f\x73\
\x6c\x65\x65\x70\x61\x62\x6c\x65\x2c\x20\x30\x29\x29\0\x6c\x69\x63\x65\x6e\x73\
\x65\0\x2e\x6d\x61\x70\x73\0\x2e\x6b\x73\x79\x6d\x73\0\x2e\x74\x65\x78\x74\0\
\x74\x63\0\x3f\x74\x63\0\0\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x4c\0\0\0\x4c\0\
\0\0\xec\x01\0\0\x38\x02\0\0\0\0\0\0\x08\0\0\0\x14\x06\0\0\x02\0\0\0\0\0\0\0\
\x31\0\0\0\x18\0\0\0\x39\0\0\0\x1a\x06\0\0\x02\0\0\0\0\0\0\0\x17\0\0\0\x90\0\0\
\0\x21\0\0\0\x1d\x06\0\0\x02\0\0\0\0\0\0\0\x27\0\0\0\xe8\0\0\0\x34\0\0\0\x10\0\
\0\0\x14\x06\0\0\x04\0\0\0\0\0\0\0\xdc\x03\0\0\x62\x04\0\0\x02\x84\0\0\x08\0\0\
\0\xdc\x03\0\0\x7c\x04\0\0\x02\x88\0\0\x18\0\0\0\xdc\x03\0\0\x87\x04\0\0\x02\
\xa0\0\0\x20\0\0\0\xdc\x03\0\0\x7c\x04\0\0\x02\xa4\0\0\x1a\x06\0\0\x0a\0\0\0\0\
\0\0\0\xdc\x03\0\0\xa9\x04\0\0\x06\xe0\0\0\x18\0\0\0\xdc\x03\0\0\xb7\x04\0\0\
\x08\xe8\0\0\x40\0\0\0\xdc\x03\0\0\xe1\x04\0\0\x06\xec\0\0\x58\0\0\0\xdc\x03\0\
\0\xec\x04\0\0\x06\xfc\0\0\x88\0\0\0\xdc\x03\0\0\x10\x05\0\0\x01\x0c\x01\0\x90\
\0\0\0\xdc\x03\0\0\xa9\x04\0\0\x06\x44\x01\0\xa8\0\0\0\xdc\x03\0\0\xb7\x04\0\0\
\x08\x4c\x01\0\xd0\0\0\0\xdc\x03\0\0\xe1\x04\0\0\x06\x50\x01\0\xd8\0\0\0\xdc\
\x03\0\0\x12\x05\0\0\x06\x60\x01\0\x18\x01\0\0\xdc\x03\0\0\x10\x05\0\0\x01\x70\
\x01\0\x1d\x06\0\0\x0f\0\0\0\0\0\0\0\xdc\x03\0\0\xa9\x04\0\0\x06\xa0\x01\0\x18\
\0\0\0\xdc\x03\0\0\x36\x05\0\0\x07\xac\x01\0\x40\0\0\0\xdc\x03\0\0\x36\x05\0\0\
\x05\xac\x01\0\x48\0\0\0\xdc\x03\0\0\x5f\x05\0\0\x06\xb0\x01\0\x50\0\0\0\xdc\
\x03\0\0\x69\x05\0\0\x06\xbc\x01\0\x80\0\0\0\xdc\x03\0\0\x69\x05\0\0\x06\xbc\
\x01\0\x98\0\0\0\xdc\x03\0\0\x8a\x05\0\0\x06\xc8\x01\0\xe0\0\0\0\xdc\x03\0\0\
\x10\x05\0\0\x01\xd8\x01\0\xe8\0\0\0\xdc\x03\0\0\xa9\x04\0\0\x06\x08\x02\0\0\
\x01\0\0\xdc\x03\0\0\x36\x05\0\0\x07\x14\x02\0\x28\x01\0\0\xdc\x03\0\0\x5f\x05\
\0\0\x06\x18\x02\0\x30\x01\0\0\xdc\x03\0\0\x69\x05\0\0\x06\x24\x02\0\x68\x01\0\
\0\xdc\x03\0\0\x69\x05\0\0\x06\x24\x02\0\x70\x01\0\0\xdc\x03\0\0\xc1\x05\0\0\
\x06\x30\x02\0\xc8\x01\0\0\xdc\x03\0\0\x10\x05\0\0\x01\x40\x02\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x46\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x88\
\x01\0\0\0\0\0\0\xb0\x01\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\
\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x38\x03\0\0\
\0\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x17\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x68\x03\0\0\0\0\0\0\x20\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1a\0\0\0\
\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x88\x04\0\0\0\0\0\0\xd0\x01\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1e\0\0\0\x01\0\0\0\
\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x58\x06\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x26\0\0\0\x01\0\0\0\x03\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x60\x06\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1f\x01\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\xa0\x06\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x02\0\0\0\x03\0\0\0\x08\0\0\0\0\
\0\0\0\x10\0\0\0\0\0\0\0\x29\x01\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\xc0\x06\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x08\0\0\0\0\0\0\0\
\x10\0\0\0\0\0\0\0\x30\x01\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\
\x07\0\0\0\0\0\0\xa0\0\0\0\0\0\0\0\x02\0\0\0\x05\0\0\0\x08\0\0\0\0\0\0\0\x10\0\
\0\0\0\0\0\0\x38\x01\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb0\x07\0\0\
\0\0\0\0\x1d\x0b\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x3d\x01\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd0\x12\0\0\0\0\0\0\x58\
\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct wq_failures *wq_failures::open(const struct bpf_object_open_opts *opts) { return wq_failures__open_opts(opts); }
struct wq_failures *wq_failures::open_and_load() { return wq_failures__open_and_load(); }
int wq_failures::load(struct wq_failures *skel) { return wq_failures__load(skel); }
int wq_failures::attach(struct wq_failures *skel) { return wq_failures__attach(skel); }
void wq_failures::detach(struct wq_failures *skel) { wq_failures__detach(skel); }
void wq_failures::destroy(struct wq_failures *skel) { wq_failures__destroy(skel); }
const void *wq_failures::elf_bytes(size_t *sz) { return wq_failures__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
wq_failures__assert(struct wq_failures *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __WQ_FAILURES_SKEL_H__ */
