/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __DECAP_SANITY_SKEL_H__
#define __DECAP_SANITY_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct decap_sanity {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *decap_sanity;
	} progs;
	struct {
		struct bpf_link *decap_sanity;
	} links;
	struct decap_sanity__bss {
		bool init_csum_partial;
		bool final_csum_none;
		bool broken_csum_start;
	} *bss;

#ifdef __cplusplus
	static inline struct decap_sanity *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct decap_sanity *open_and_load();
	static inline int load(struct decap_sanity *skel);
	static inline int attach(struct decap_sanity *skel);
	static inline void detach(struct decap_sanity *skel);
	static inline void destroy(struct decap_sanity *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
decap_sanity__destroy(struct decap_sanity *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
decap_sanity__create_skeleton(struct decap_sanity *obj);

static inline struct decap_sanity *
decap_sanity__open_opts(const struct bpf_object_open_opts *opts)
{
	struct decap_sanity *obj;
	int err;

	obj = (struct decap_sanity *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = decap_sanity__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	decap_sanity__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct decap_sanity *
decap_sanity__open(void)
{
	return decap_sanity__open_opts(NULL);
}

static inline int
decap_sanity__load(struct decap_sanity *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct decap_sanity *
decap_sanity__open_and_load(void)
{
	struct decap_sanity *obj;
	int err;

	obj = decap_sanity__open();
	if (!obj)
		return NULL;
	err = decap_sanity__load(obj);
	if (err) {
		decap_sanity__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
decap_sanity__attach(struct decap_sanity *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
decap_sanity__detach(struct decap_sanity *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *decap_sanity__elf_bytes(size_t *sz);

static inline int
decap_sanity__create_skeleton(struct decap_sanity *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "decap_sanity";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "decap_sa.bss";
	map->map = &obj->maps.bss;
	map->mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "decap_sanity";
	s->progs[0].prog = &obj->progs.decap_sanity;
	s->progs[0].link = &obj->links.decap_sanity;

	s->data = decap_sanity__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *decap_sanity__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x70\x20\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x09\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x74\x63\0\
\x2e\x62\x73\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x64\x65\x63\x61\x70\x5f\x73\
\x61\x6e\x69\x74\x79\x2e\x63\0\x64\x65\x63\x61\x70\x5f\x73\x61\x6e\x69\x74\x79\
\0\x62\x70\x66\x5f\x63\x61\x73\x74\x5f\x74\x6f\x5f\x6b\x65\x72\x6e\x5f\x63\x74\
\x78\0\x69\x6e\x69\x74\x5f\x63\x73\x75\x6d\x5f\x70\x61\x72\x74\x69\x61\x6c\0\
\x66\x69\x6e\x61\x6c\x5f\x63\x73\x75\x6d\x5f\x6e\x6f\x6e\x65\0\x62\x72\x6f\x6b\
\x65\x6e\x5f\x63\x73\x75\x6d\x5f\x73\x74\x61\x72\x74\0\x5f\x5f\x6c\x69\x63\x65\
\x6e\x73\x65\0\x2e\x72\x65\x6c\x74\x63\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\
\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x21\0\0\0\
\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x30\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\x20\x02\0\0\0\0\0\0\
\x3d\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x52\0\0\0\x11\0\x04\0\0\0\
\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x64\0\0\0\x11\0\x04\0\x01\0\0\0\0\0\0\0\x01\0\0\
\0\0\0\0\0\x74\0\0\0\x11\0\x04\0\x02\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x86\0\0\0\
\x11\0\x05\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xbf\x16\0\0\0\0\0\0\x61\x61\x10\
\0\0\0\0\0\x56\x01\x3f\0\x86\xdd\0\0\xbf\xa3\0\0\0\0\0\0\x07\x03\0\0\xd8\xff\
\xff\xff\xbf\x61\0\0\0\0\0\0\xb4\x02\0\0\x0e\0\0\0\xb4\x04\0\0\x28\0\0\0\x85\0\
\0\0\x1a\0\0\0\x55\0\x38\0\0\0\0\0\xbf\xa1\0\0\0\0\0\0\x07\x01\0\0\xd8\xff\xff\
\xff\x71\x11\x06\0\0\0\0\0\x56\x01\x34\0\x11\0\0\0\xbf\xa3\0\0\0\0\0\0\x07\x03\
\0\0\xd0\xff\xff\xff\xbf\x61\0\0\0\0\0\0\xb4\x02\0\0\x36\0\0\0\xb4\x04\0\0\x08\
\0\0\0\x85\0\0\0\x1a\0\0\0\x55\0\x2d\0\0\0\0\0\xbf\xa1\0\0\0\0\0\0\x07\x01\0\0\
\xd0\xff\xff\xff\x69\x11\x02\0\0\0\0\0\x56\x01\x29\0\x1e\x61\0\0\xbf\x61\0\0\0\
\0\0\0\x85\x10\0\0\xff\xff\xff\xff\xbf\x07\0\0\0\0\0\0\x69\x72\x80\0\0\0\0\0\
\x54\x02\0\0\x60\0\0\0\xb4\x01\0\0\x01\0\0\0\x16\x02\x01\0\x60\0\0\0\xb4\x01\0\
\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x73\x12\0\0\0\0\0\0\xbf\x61\0\0\
\0\0\0\0\xb4\x02\0\0\xc2\xff\xff\xff\xb4\x03\0\0\x01\0\0\0\xb7\x04\0\0\x01\0\0\
\0\x85\0\0\0\x32\0\0\0\x56\0\x18\0\0\0\0\0\x69\x72\x80\0\0\0\0\0\x54\x02\0\0\
\x60\0\0\0\xb4\x01\0\0\x01\0\0\0\x16\x02\x01\0\0\0\0\0\xb4\x01\0\0\0\0\0\0\x18\
\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x73\x12\0\0\0\0\0\0\x69\x71\x80\0\0\0\0\0\x54\
\x01\0\0\x60\0\0\0\x56\x01\x0d\0\x60\0\0\0\x61\x71\x74\0\0\0\0\0\x61\x72\x70\0\
\0\0\0\0\x1c\x12\0\0\0\0\0\0\x79\x71\xe0\0\0\0\0\0\x79\x73\xd8\0\0\0\0\0\x1c\
\x13\0\0\0\0\0\0\x69\x71\x88\0\0\0\0\0\x0c\x13\0\0\0\0\0\0\xae\x23\x04\0\0\0\0\
\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb4\x02\0\0\x01\0\0\0\x73\x21\0\0\0\0\0\
\0\xb4\0\0\0\x02\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\xd0\0\0\0\0\0\0\
\0\x0a\0\0\0\x04\0\0\0\x08\x01\0\0\0\0\0\0\x01\0\0\0\x05\0\0\0\x78\x01\0\0\0\0\
\0\0\x01\0\0\0\x06\0\0\0\xf0\x01\0\0\0\0\0\0\x01\0\0\0\x07\0\0\0\x9f\xeb\x01\0\
\x18\0\0\0\0\0\0\0\xc4\x0d\0\0\xc4\x0d\0\0\x4a\x0b\0\0\0\0\0\0\0\0\0\x02\x02\0\
\0\0\x01\0\0\0\x22\0\0\x04\xc0\0\0\0\x0b\0\0\0\x03\0\0\0\0\0\0\0\x0f\0\0\0\x03\
\0\0\0\x20\0\0\0\x18\0\0\0\x03\0\0\0\x40\0\0\0\x1d\0\0\0\x03\0\0\0\x60\0\0\0\
\x2b\0\0\0\x03\0\0\0\x80\0\0\0\x34\0\0\0\x03\0\0\0\xa0\0\0\0\x41\0\0\0\x03\0\0\
\0\xc0\0\0\0\x4a\0\0\0\x03\0\0\0\xe0\0\0\0\x55\0\0\0\x03\0\0\0\0\x01\0\0\x5e\0\
\0\0\x03\0\0\0\x20\x01\0\0\x6e\0\0\0\x03\0\0\0\x40\x01\0\0\x76\0\0\0\x03\0\0\0\
\x60\x01\0\0\x7f\0\0\0\x05\0\0\0\x80\x01\0\0\x82\0\0\0\x03\0\0\0\x20\x02\0\0\
\x87\0\0\0\x03\0\0\0\x40\x02\0\0\x92\0\0\0\x03\0\0\0\x60\x02\0\0\x97\0\0\0\x03\
\0\0\0\x80\x02\0\0\xa0\0\0\0\x03\0\0\0\xa0\x02\0\0\xa8\0\0\0\x03\0\0\0\xc0\x02\
\0\0\xaf\0\0\0\x03\0\0\0\xe0\x02\0\0\xba\0\0\0\x03\0\0\0\0\x03\0\0\xc4\0\0\0\
\x07\0\0\0\x20\x03\0\0\xcf\0\0\0\x07\0\0\0\xa0\x03\0\0\xd9\0\0\0\x03\0\0\0\x20\
\x04\0\0\xe5\0\0\0\x03\0\0\0\x40\x04\0\0\xf0\0\0\0\x03\0\0\0\x60\x04\0\0\0\0\0\
\0\x08\0\0\0\x80\x04\0\0\xfa\0\0\0\x0a\0\0\0\xc0\x04\0\0\x01\x01\0\0\x03\0\0\0\
\0\x05\0\0\x0a\x01\0\0\x03\0\0\0\x20\x05\0\0\0\0\0\0\x0c\0\0\0\x40\x05\0\0\x13\
\x01\0\0\x03\0\0\0\x80\x05\0\0\x1c\x01\0\0\x0e\0\0\0\xa0\x05\0\0\x28\x01\0\0\
\x0a\0\0\0\xc0\x05\0\0\x31\x01\0\0\0\0\0\x08\x04\0\0\0\x37\x01\0\0\0\0\0\x01\
\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x03\0\0\0\x06\0\0\0\x05\0\0\0\
\x44\x01\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x03\0\0\0\
\x06\0\0\0\x04\0\0\0\0\0\0\0\x01\0\0\x05\x08\0\0\0\x58\x01\0\0\x09\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x02\x5b\0\0\0\x62\x01\0\0\0\0\0\x08\x0b\0\0\0\x68\x01\0\0\0\0\
\0\x01\x08\0\0\0\x40\0\0\0\0\0\0\0\x01\0\0\x05\x08\0\0\0\x7b\x01\0\0\x0d\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x02\x5a\0\0\0\x7e\x01\0\0\0\0\0\x08\x0f\0\0\0\x83\x01\0\
\0\0\0\0\x01\x01\0\0\0\x08\0\0\0\0\0\0\0\x01\0\0\x0d\x11\0\0\0\x91\x01\0\0\x01\
\0\0\0\x95\x01\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\x99\x01\0\0\x01\0\0\x0c\x10\
\0\0\0\xa6\x01\0\0\x07\0\0\x84\x28\0\0\0\x55\0\0\0\x0e\0\0\0\0\0\0\x04\xae\x01\
\0\0\x0e\0\0\0\x04\0\0\x04\xb6\x01\0\0\x14\0\0\0\x08\0\0\0\xbf\x01\0\0\x15\0\0\
\0\x20\0\0\0\xcb\x01\0\0\x0e\0\0\0\x30\0\0\0\xd3\x01\0\0\x0e\0\0\0\x38\0\0\0\0\
\0\0\0\x18\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x0e\0\0\0\x06\0\0\0\x03\0\
\0\0\xdd\x01\0\0\0\0\0\x08\x16\0\0\0\xe4\x01\0\0\0\0\0\x08\x17\0\0\0\xea\x01\0\
\0\0\0\0\x01\x02\0\0\0\x10\0\0\0\0\0\0\0\x02\0\0\x05\x20\0\0\0\0\0\0\0\x19\0\0\
\0\0\0\0\0\xf9\x01\0\0\x19\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\x04\x20\0\0\0\xff\x01\
\0\0\x1a\0\0\0\0\0\0\0\x05\x02\0\0\x1a\0\0\0\x80\0\0\0\x0b\x02\0\0\x01\0\0\x04\
\x10\0\0\0\x14\x02\0\0\x1b\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x05\x10\0\0\0\x1a\x02\
\0\0\x1c\0\0\0\0\0\0\0\x23\x02\0\0\x1d\0\0\0\0\0\0\0\x2d\x02\0\0\x1f\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x0e\0\0\0\x06\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\x03\
\0\0\0\0\x15\0\0\0\x06\0\0\0\x08\0\0\0\x37\x02\0\0\0\0\0\x08\x03\0\0\0\0\0\0\0\
\0\0\0\x03\0\0\0\0\x1e\0\0\0\x06\0\0\0\x04\0\0\0\x3e\x02\0\0\x04\0\0\x04\x08\0\
\0\0\x45\x02\0\0\x15\0\0\0\0\0\0\0\x4c\x02\0\0\x15\0\0\0\x10\0\0\0\x0b\0\0\0\
\x15\0\0\0\x20\0\0\0\x51\x02\0\0\x21\0\0\0\x30\0\0\0\x57\x02\0\0\0\0\0\x08\x16\
\0\0\0\0\0\0\0\x01\0\0\x0d\x23\0\0\0\0\0\0\0\x23\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\
\0\x5f\x02\0\0\x02\0\0\x0c\x22\0\0\0\x74\x02\0\0\x1e\0\0\x84\xf8\0\0\0\0\0\0\0\
\x26\0\0\0\0\0\0\0\x7b\x01\0\0\x32\0\0\0\xc0\0\0\0\0\0\0\0\x33\0\0\0\0\x01\0\0\
\x7f\0\0\0\x3a\0\0\0\x40\x01\0\0\0\0\0\0\x3b\0\0\0\xc0\x02\0\0\x7c\x02\0\0\x2b\
\0\0\0\x40\x03\0\0\x0b\0\0\0\x04\0\0\0\x80\x03\0\0\x82\x02\0\0\x04\0\0\0\xa0\
\x03\0\0\x8b\x02\0\0\x16\0\0\0\xc0\x03\0\0\x93\x02\0\0\x16\0\0\0\xd0\x03\0\0\
\x1d\0\0\0\x16\0\0\0\xe0\x03\0\0\x9b\x02\0\0\x3f\0\0\0\xf0\x03\0\0\xab\x02\0\0\
\x0e\0\0\0\xf0\x03\0\x01\xb2\x02\0\0\x0e\0\0\0\xf1\x03\0\x01\xb8\x02\0\0\x0e\0\
\0\0\xf2\x03\0\x02\xbf\x02\0\0\x0e\0\0\0\xf4\x03\0\x01\xc6\x02\0\0\x0e\0\0\0\
\xf5\x03\0\x01\xd0\x02\0\0\x0e\0\0\0\xf6\x03\0\x01\xdb\x02\0\0\x0e\0\0\0\xf7\
\x03\0\x01\xe6\x02\0\0\x0e\0\0\0\xf8\x03\0\0\0\0\0\0\x40\0\0\0\0\x04\0\0\xf8\
\x02\0\0\x4a\0\0\0\xe0\x05\0\0\x04\x03\0\0\x49\0\0\0\x60\x06\0\0\x14\x03\0\0\
\x4b\0\0\0\x60\x06\0\0\x19\x03\0\0\x4b\0\0\0\x80\x06\0\0\x1d\x03\0\0\x4c\0\0\0\
\xc0\x06\0\0\x92\0\0\0\x4c\0\0\0\0\x07\0\0\x22\x03\0\0\x04\0\0\0\x40\x07\0\0\
\x2b\x03\0\0\x4d\0\0\0\x60\x07\0\0\x31\x03\0\0\x51\0\0\0\x80\x07\0\0\0\0\0\0\
\x04\0\0\x05\x18\0\0\0\0\0\0\0\x27\0\0\0\0\0\0\0\x3c\x03\0\0\x2c\0\0\0\0\0\0\0\
\x43\x03\0\0\x2e\0\0\0\0\0\0\0\x48\x03\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\
\x04\x18\0\0\0\x50\x03\0\0\x28\0\0\0\0\0\0\0\x55\x03\0\0\x28\0\0\0\x40\0\0\0\0\
\0\0\0\x29\0\0\0\x80\0\0\0\0\0\0\0\0\0\0\x02\x25\0\0\0\0\0\0\0\x02\0\0\x05\x08\
\0\0\0\x5a\x03\0\0\x2a\0\0\0\0\0\0\0\x5e\x03\0\0\x2b\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x02\x59\0\0\0\x6a\x03\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\x78\x03\0\0\x03\0\0\
\x04\x18\0\0\0\x80\x03\0\0\x2b\0\0\0\0\0\0\0\x92\x03\0\0\x2d\0\0\0\x40\0\0\0\
\x9b\x03\0\0\x2d\0\0\0\x80\0\0\0\0\0\0\0\0\0\0\x02\x2c\0\0\0\xa3\x03\0\0\x02\0\
\0\x04\x10\0\0\0\x50\x03\0\0\x2f\0\0\0\0\0\0\0\x55\x03\0\0\x2f\0\0\0\x40\0\0\0\
\0\0\0\0\0\0\0\x02\x2e\0\0\0\xad\x03\0\0\x01\0\0\x04\x08\0\0\0\x50\x03\0\0\x31\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x30\0\0\0\0\0\0\0\0\0\0\x02\x5c\0\0\0\0\0\0\0\
\x02\0\0\x05\x08\0\0\0\xfa\0\0\0\x34\0\0\0\0\0\0\0\xb8\x03\0\0\x38\0\0\0\0\0\0\
\0\xc6\x03\0\0\0\0\0\x08\x35\0\0\0\xce\x03\0\0\0\0\0\x08\x36\0\0\0\xd2\x03\0\0\
\0\0\0\x08\x37\0\0\0\xd8\x03\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\x01\xe2\x03\0\0\0\
\0\0\x08\x0a\0\0\0\xe6\x03\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\
\x03\0\0\0\0\x39\0\0\0\x06\0\0\0\x30\0\0\0\0\0\0\0\x03\0\0\x05\x10\0\0\0\0\0\0\
\0\x3c\0\0\0\0\0\0\0\xeb\x03\0\0\x2e\0\0\0\0\0\0\0\xfe\x03\0\0\x2b\0\0\0\0\0\0\
\0\0\0\0\0\x02\0\0\x04\x10\0\0\0\x08\x04\0\0\x2b\0\0\0\0\0\0\0\x14\x04\0\0\x3d\
\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\x02\x3e\0\0\0\0\0\0\0\x01\0\0\x0d\0\0\0\0\0\0\0\
\0\x28\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x0e\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\x02\
\0\0\x05\x3c\0\0\0\0\0\0\0\x41\0\0\0\0\0\0\0\x1f\x04\0\0\x41\0\0\0\0\0\0\0\0\0\
\0\0\x36\0\0\x84\x3c\0\0\0\x27\x04\0\0\x3f\0\0\0\0\0\0\0\x0f\0\0\0\x0e\0\0\0\0\
\0\0\x03\x39\x04\0\0\x0e\0\0\0\x03\0\0\x01\x43\x04\0\0\x0e\0\0\0\x04\0\0\x01\
\x4c\x04\0\0\x0e\0\0\0\x05\0\0\x02\x56\x04\0\0\x0e\0\0\0\x07\0\0\x01\x5f\x04\0\
\0\x0e\0\0\0\x08\0\0\x01\x67\x04\0\0\x0e\0\0\0\x09\0\0\x01\x6f\x04\0\0\x0e\0\0\
\0\x0a\0\0\x01\x80\x04\0\0\x0e\0\0\0\x0b\0\0\x01\x8b\x04\0\0\x0e\0\0\0\x0c\0\0\
\x01\x92\x04\0\0\x0e\0\0\0\x0d\0\0\x01\xa0\x04\0\0\x0e\0\0\0\x0e\0\0\x01\xaf\
\x04\0\0\x0e\0\0\0\x0f\0\0\x01\xba\x04\0\0\x3f\0\0\0\x10\0\0\0\x34\0\0\0\x0e\0\
\0\0\x10\0\0\x01\xd4\x04\0\0\x0e\0\0\0\x11\0\0\x01\xe5\x04\0\0\x0e\0\0\0\x12\0\
\0\x02\xf0\x04\0\0\x0e\0\0\0\x14\0\0\x01\x04\x05\0\0\x0e\0\0\0\x15\0\0\x01\x17\
\x05\0\0\x0e\0\0\0\x16\0\0\x01\x28\x05\0\0\x0e\0\0\0\x17\0\0\x01\x36\x05\0\0\
\x0e\0\0\0\x18\0\0\x02\x45\x05\0\0\x0e\0\0\0\x1a\0\0\x01\x53\x05\0\0\x0e\0\0\0\
\x1b\0\0\x01\x67\x05\0\0\x0e\0\0\0\x1c\0\0\x01\x77\x05\0\0\x0e\0\0\0\x1d\0\0\
\x01\x88\x05\0\0\x0e\0\0\0\x1e\0\0\x01\x9c\x05\0\0\x0e\0\0\0\x1f\0\0\x01\xa7\
\x05\0\0\x0e\0\0\0\x20\0\0\x01\xb4\x05\0\0\x0e\0\0\0\x21\0\0\x01\xc3\x05\0\0\
\x0e\0\0\0\x22\0\0\x01\xcd\x05\0\0\x0e\0\0\0\x23\0\0\x01\xd6\x05\0\0\x0e\0\0\0\
\x24\0\0\x01\x76\0\0\0\x16\0\0\0\x30\0\0\0\0\0\0\0\x42\0\0\0\x40\0\0\0\x55\0\0\
\0\x03\0\0\0\x60\0\0\0\xe4\x05\0\0\x11\0\0\0\x80\0\0\0\x82\0\0\0\x03\0\0\0\xa0\
\0\0\0\x4a\0\0\0\x15\0\0\0\xc0\0\0\0\x41\0\0\0\x16\0\0\0\xd0\0\0\0\0\0\0\0\x45\
\0\0\0\xe0\0\0\0\xec\x05\0\0\x46\0\0\0\0\x01\0\0\xf6\x05\0\0\x03\0\0\0\x20\x01\
\0\0\0\0\0\0\x47\0\0\0\x40\x01\0\0\0\0\0\0\x48\0\0\0\x60\x01\0\0\xfe\x05\0\0\
\x16\0\0\0\x70\x01\0\0\x15\x06\0\0\x16\0\0\0\x80\x01\0\0\x2a\x06\0\0\x16\0\0\0\
\x90\x01\0\0\x2b\0\0\0\x15\0\0\0\xa0\x01\0\0\x3b\x06\0\0\x16\0\0\0\xb0\x01\0\0\
\x4c\x06\0\0\x16\0\0\0\xc0\x01\0\0\x5b\x06\0\0\x16\0\0\0\xd0\x01\0\0\x66\x06\0\
\0\x49\0\0\0\xe0\x01\0\0\0\0\0\0\x02\0\0\x05\x04\0\0\0\x78\x06\0\0\x43\0\0\0\0\
\0\0\0\0\0\0\0\x44\0\0\0\0\0\0\0\x7d\x06\0\0\0\0\0\x08\x03\0\0\0\0\0\0\0\x02\0\
\0\x04\x04\0\0\0\x84\x06\0\0\x16\0\0\0\0\0\0\0\x8f\x06\0\0\x16\0\0\0\x10\0\0\0\
\0\0\0\0\x02\0\0\x05\x04\0\0\0\xa0\0\0\0\x04\0\0\0\0\0\0\0\x9b\x06\0\0\x04\0\0\
\0\0\0\0\0\xa6\x06\0\0\0\0\0\x08\x16\0\0\0\0\0\0\0\x02\0\0\x05\x04\0\0\0\x18\0\
\0\0\x03\0\0\0\0\0\0\0\xaa\x06\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\x05\x02\0\
\0\0\xbc\x06\0\0\x15\0\0\0\0\0\0\0\xcb\x06\0\0\x0e\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x03\0\0\0\0\x39\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x39\0\0\0\
\x06\0\0\0\x10\0\0\0\xd9\x06\0\0\0\0\0\x08\x04\0\0\0\0\0\0\0\0\0\0\x02\x0f\0\0\
\0\xe8\x06\0\0\0\0\0\x08\x4e\0\0\0\xf3\x06\0\0\x01\0\0\x04\x04\0\0\0\x03\x07\0\
\0\x4f\0\0\0\0\0\0\0\x08\x07\0\0\0\0\0\x08\x50\0\0\0\0\0\0\0\x01\0\0\x04\x04\0\
\0\0\x11\x07\0\0\x11\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x5d\0\0\0\x19\x07\0\0\0\0\
\0\x08\x53\0\0\0\x1e\x07\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x04\x24\x07\0\0\0\0\0\
\x0e\x52\0\0\0\x01\0\0\0\x36\x07\0\0\0\0\0\x0e\x52\0\0\0\x01\0\0\0\x46\x07\0\0\
\0\0\0\x0e\x52\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x39\0\0\0\x06\0\0\0\
\x04\0\0\0\x58\x07\0\0\0\0\0\x0e\x57\0\0\0\x01\0\0\0\x62\x07\0\0\0\0\0\x07\0\0\
\0\0\x6d\x07\0\0\0\0\0\x07\0\0\0\0\x76\x07\0\0\0\0\0\x07\0\0\0\0\x84\x07\0\0\0\
\0\0\x07\0\0\0\0\x89\x07\0\0\0\0\0\x07\0\0\0\0\x33\x0b\0\0\x03\0\0\x0f\x03\0\0\
\0\x54\0\0\0\0\0\0\0\x01\0\0\0\x55\0\0\0\x01\0\0\0\x01\0\0\0\x56\0\0\0\x02\0\0\
\0\x01\0\0\0\x38\x0b\0\0\x01\0\0\x0f\x04\0\0\0\x58\0\0\0\0\0\0\0\x04\0\0\0\x40\
\x0b\0\0\x01\0\0\x0f\0\0\0\0\x24\0\0\0\0\0\0\0\0\0\0\0\0\x5f\x5f\x73\x6b\x5f\
\x62\x75\x66\x66\0\x6c\x65\x6e\0\x70\x6b\x74\x5f\x74\x79\x70\x65\0\x6d\x61\x72\
\x6b\0\x71\x75\x65\x75\x65\x5f\x6d\x61\x70\x70\x69\x6e\x67\0\x70\x72\x6f\x74\
\x6f\x63\x6f\x6c\0\x76\x6c\x61\x6e\x5f\x70\x72\x65\x73\x65\x6e\x74\0\x76\x6c\
\x61\x6e\x5f\x74\x63\x69\0\x76\x6c\x61\x6e\x5f\x70\x72\x6f\x74\x6f\0\x70\x72\
\x69\x6f\x72\x69\x74\x79\0\x69\x6e\x67\x72\x65\x73\x73\x5f\x69\x66\x69\x6e\x64\
\x65\x78\0\x69\x66\x69\x6e\x64\x65\x78\0\x74\x63\x5f\x69\x6e\x64\x65\x78\0\x63\
\x62\0\x68\x61\x73\x68\0\x74\x63\x5f\x63\x6c\x61\x73\x73\x69\x64\0\x64\x61\x74\
\x61\0\x64\x61\x74\x61\x5f\x65\x6e\x64\0\x6e\x61\x70\x69\x5f\x69\x64\0\x66\x61\
\x6d\x69\x6c\x79\0\x72\x65\x6d\x6f\x74\x65\x5f\x69\x70\x34\0\x6c\x6f\x63\x61\
\x6c\x5f\x69\x70\x34\0\x72\x65\x6d\x6f\x74\x65\x5f\x69\x70\x36\0\x6c\x6f\x63\
\x61\x6c\x5f\x69\x70\x36\0\x72\x65\x6d\x6f\x74\x65\x5f\x70\x6f\x72\x74\0\x6c\
\x6f\x63\x61\x6c\x5f\x70\x6f\x72\x74\0\x64\x61\x74\x61\x5f\x6d\x65\x74\x61\0\
\x74\x73\x74\x61\x6d\x70\0\x77\x69\x72\x65\x5f\x6c\x65\x6e\0\x67\x73\x6f\x5f\
\x73\x65\x67\x73\0\x67\x73\x6f\x5f\x73\x69\x7a\x65\0\x74\x73\x74\x61\x6d\x70\
\x5f\x74\x79\x70\x65\0\x68\x77\x74\x73\x74\x61\x6d\x70\0\x5f\x5f\x75\x33\x32\0\
\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\x59\
\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x66\x6c\x6f\x77\x5f\x6b\x65\
\x79\x73\0\x5f\x5f\x75\x36\x34\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\
\x6e\x67\x20\x6c\x6f\x6e\x67\0\x73\x6b\0\x5f\x5f\x75\x38\0\x75\x6e\x73\x69\x67\
\x6e\x65\x64\x20\x63\x68\x61\x72\0\x73\x6b\x62\0\x69\x6e\x74\0\x64\x65\x63\x61\
\x70\x5f\x73\x61\x6e\x69\x74\x79\0\x69\x70\x76\x36\x68\x64\x72\0\x76\x65\x72\
\x73\x69\x6f\x6e\0\x66\x6c\x6f\x77\x5f\x6c\x62\x6c\0\x70\x61\x79\x6c\x6f\x61\
\x64\x5f\x6c\x65\x6e\0\x6e\x65\x78\x74\x68\x64\x72\0\x68\x6f\x70\x5f\x6c\x69\
\x6d\x69\x74\0\x5f\x5f\x62\x65\x31\x36\0\x5f\x5f\x75\x31\x36\0\x75\x6e\x73\x69\
\x67\x6e\x65\x64\x20\x73\x68\x6f\x72\x74\0\x61\x64\x64\x72\x73\0\x73\x61\x64\
\x64\x72\0\x64\x61\x64\x64\x72\0\x69\x6e\x36\x5f\x61\x64\x64\x72\0\x69\x6e\x36\
\x5f\x75\0\x75\x36\x5f\x61\x64\x64\x72\x38\0\x75\x36\x5f\x61\x64\x64\x72\x31\
\x36\0\x75\x36\x5f\x61\x64\x64\x72\x33\x32\0\x5f\x5f\x62\x65\x33\x32\0\x75\x64\
\x70\x68\x64\x72\0\x73\x6f\x75\x72\x63\x65\0\x64\x65\x73\x74\0\x63\x68\x65\x63\
\x6b\0\x5f\x5f\x73\x75\x6d\x31\x36\0\x62\x70\x66\x5f\x63\x61\x73\x74\x5f\x74\
\x6f\x5f\x6b\x65\x72\x6e\x5f\x63\x74\x78\0\x73\x6b\x5f\x62\x75\x66\x66\0\x5f\
\x6e\x66\x63\x74\0\x64\x61\x74\x61\x5f\x6c\x65\x6e\0\x6d\x61\x63\x5f\x6c\x65\
\x6e\0\x68\x64\x72\x5f\x6c\x65\x6e\0\x5f\x5f\x63\x6c\x6f\x6e\x65\x64\x5f\x6f\
\x66\x66\x73\x65\x74\0\x63\x6c\x6f\x6e\x65\x64\0\x6e\x6f\x68\x64\x72\0\x66\x63\
\x6c\x6f\x6e\x65\0\x70\x65\x65\x6b\x65\x64\0\x68\x65\x61\x64\x5f\x66\x72\x61\
\x67\0\x70\x66\x6d\x65\x6d\x61\x6c\x6c\x6f\x63\0\x70\x70\x5f\x72\x65\x63\x79\
\x63\x6c\x65\0\x61\x63\x74\x69\x76\x65\x5f\x65\x78\x74\x65\x6e\x73\x69\x6f\x6e\
\x73\0\x72\x68\x5f\x72\x65\x73\x65\x72\x76\x65\x64\0\x72\x68\x5f\x72\x65\x73\
\x65\x72\x76\x65\x64\x5f\x65\x6e\x64\0\x74\x61\x69\x6c\0\x65\x6e\x64\0\x68\x65\
\x61\x64\0\x74\x72\x75\x65\x73\x69\x7a\x65\0\x75\x73\x65\x72\x73\0\x65\x78\x74\
\x65\x6e\x73\x69\x6f\x6e\x73\0\x72\x62\x6e\x6f\x64\x65\0\x6c\x69\x73\x74\0\x6c\
\x6c\x5f\x6e\x6f\x64\x65\0\x6e\x65\x78\x74\0\x70\x72\x65\x76\0\x64\x65\x76\0\
\x64\x65\x76\x5f\x73\x63\x72\x61\x74\x63\x68\0\x75\x6e\x73\x69\x67\x6e\x65\x64\
\x20\x6c\x6f\x6e\x67\0\x72\x62\x5f\x6e\x6f\x64\x65\0\x5f\x5f\x72\x62\x5f\x70\
\x61\x72\x65\x6e\x74\x5f\x63\x6f\x6c\x6f\x72\0\x72\x62\x5f\x72\x69\x67\x68\x74\
\0\x72\x62\x5f\x6c\x65\x66\x74\0\x6c\x69\x73\x74\x5f\x68\x65\x61\x64\0\x6c\x6c\
\x69\x73\x74\x5f\x6e\x6f\x64\x65\0\x73\x6b\x62\x5f\x6d\x73\x74\x61\x6d\x70\x5f\
\x6e\x73\0\x6b\x74\x69\x6d\x65\x5f\x74\0\x73\x36\x34\0\x5f\x5f\x73\x36\x34\0\
\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x75\x36\x34\0\x63\x68\x61\x72\0\x74\x63\
\x70\x5f\x74\x73\x6f\x72\x74\x65\x64\x5f\x61\x6e\x63\x68\x6f\x72\0\x5f\x73\x6b\
\x5f\x72\x65\x64\x69\x72\0\x5f\x73\x6b\x62\x5f\x72\x65\x66\x64\x73\x74\0\x64\
\x65\x73\x74\x72\x75\x63\x74\x6f\x72\0\x68\x65\x61\x64\x65\x72\x73\0\x5f\x5f\
\x70\x6b\x74\x5f\x74\x79\x70\x65\x5f\x6f\x66\x66\x73\x65\x74\0\x69\x67\x6e\x6f\
\x72\x65\x5f\x64\x66\0\x6e\x66\x5f\x74\x72\x61\x63\x65\0\x69\x70\x5f\x73\x75\
\x6d\x6d\x65\x64\0\x6f\x6f\x6f\x5f\x6f\x6b\x61\x79\0\x6c\x34\x5f\x68\x61\x73\
\x68\0\x73\x77\x5f\x68\x61\x73\x68\0\x77\x69\x66\x69\x5f\x61\x63\x6b\x65\x64\
\x5f\x76\x61\x6c\x69\x64\0\x77\x69\x66\x69\x5f\x61\x63\x6b\x65\x64\0\x6e\x6f\
\x5f\x66\x63\x73\0\x65\x6e\x63\x61\x70\x73\x75\x6c\x61\x74\x69\x6f\x6e\0\x65\
\x6e\x63\x61\x70\x5f\x68\x64\x72\x5f\x63\x73\x75\x6d\0\x63\x73\x75\x6d\x5f\x76\
\x61\x6c\x69\x64\0\x5f\x5f\x70\x6b\x74\x5f\x76\x6c\x61\x6e\x5f\x70\x72\x65\x73\
\x65\x6e\x74\x5f\x6f\x66\x66\x73\x65\x74\0\x63\x73\x75\x6d\x5f\x63\x6f\x6d\x70\
\x6c\x65\x74\x65\x5f\x73\x77\0\x63\x73\x75\x6d\x5f\x6c\x65\x76\x65\x6c\0\x64\
\x73\x74\x5f\x70\x65\x6e\x64\x69\x6e\x67\x5f\x63\x6f\x6e\x66\x69\x72\x6d\0\x6d\
\x6f\x6e\x6f\x5f\x64\x65\x6c\x69\x76\x65\x72\x79\x5f\x74\x69\x6d\x65\0\x74\x63\
\x5f\x73\x6b\x69\x70\x5f\x63\x6c\x61\x73\x73\x69\x66\x79\0\x74\x63\x5f\x61\x74\
\x5f\x69\x6e\x67\x72\x65\x73\x73\0\x6e\x64\x69\x73\x63\x5f\x6e\x6f\x64\x65\x74\
\x79\x70\x65\0\x69\x70\x76\x73\x5f\x70\x72\x6f\x70\x65\x72\x74\x79\0\x69\x6e\
\x6e\x65\x72\x5f\x70\x72\x6f\x74\x6f\x63\x6f\x6c\x5f\x74\x79\x70\x65\0\x72\x65\
\x6d\x63\x73\x75\x6d\x5f\x6f\x66\x66\x6c\x6f\x61\x64\0\x6f\x66\x66\x6c\x6f\x61\
\x64\x5f\x66\x77\x64\x5f\x6d\x61\x72\x6b\0\x6f\x66\x66\x6c\x6f\x61\x64\x5f\x6c\
\x33\x5f\x66\x77\x64\x5f\x6d\x61\x72\x6b\0\x72\x65\x64\x69\x72\x65\x63\x74\x65\
\x64\0\x66\x72\x6f\x6d\x5f\x69\x6e\x67\x72\x65\x73\x73\0\x6e\x66\x5f\x73\x6b\
\x69\x70\x5f\x65\x67\x72\x65\x73\x73\0\x64\x65\x63\x72\x79\x70\x74\x65\x64\0\
\x73\x6c\x6f\x77\x5f\x67\x72\x6f\0\x63\x73\x75\x6d\x5f\x6e\x6f\x74\x5f\x69\x6e\
\x65\x74\0\x73\x6b\x62\x5f\x69\x69\x66\0\x61\x6c\x6c\x6f\x63\x5f\x63\x70\x75\0\
\x73\x65\x63\x6d\x61\x72\x6b\0\x69\x6e\x6e\x65\x72\x5f\x74\x72\x61\x6e\x73\x70\
\x6f\x72\x74\x5f\x68\x65\x61\x64\x65\x72\0\x69\x6e\x6e\x65\x72\x5f\x6e\x65\x74\
\x77\x6f\x72\x6b\x5f\x68\x65\x61\x64\x65\x72\0\x69\x6e\x6e\x65\x72\x5f\x6d\x61\
\x63\x5f\x68\x65\x61\x64\x65\x72\0\x74\x72\x61\x6e\x73\x70\x6f\x72\x74\x5f\x68\
\x65\x61\x64\x65\x72\0\x6e\x65\x74\x77\x6f\x72\x6b\x5f\x68\x65\x61\x64\x65\x72\
\0\x6d\x61\x63\x5f\x68\x65\x61\x64\x65\x72\0\x72\x68\x5f\x72\x65\x73\x65\x72\
\x76\x65\x64\x5f\x73\x74\x61\x72\x74\0\x63\x73\x75\x6d\0\x5f\x5f\x77\x73\x75\
\x6d\0\x63\x73\x75\x6d\x5f\x73\x74\x61\x72\x74\0\x63\x73\x75\x6d\x5f\x6f\x66\
\x66\x73\x65\x74\0\x73\x65\x6e\x64\x65\x72\x5f\x63\x70\x75\0\x75\x31\x36\0\x72\
\x65\x73\x65\x72\x76\x65\x64\x5f\x74\x61\x69\x6c\x72\x6f\x6f\x6d\0\x69\x6e\x6e\
\x65\x72\x5f\x70\x72\x6f\x74\x6f\x63\x6f\x6c\0\x69\x6e\x6e\x65\x72\x5f\x69\x70\
\x70\x72\x6f\x74\x6f\0\x73\x6b\x5f\x62\x75\x66\x66\x5f\x64\x61\x74\x61\x5f\x74\
\0\x72\x65\x66\x63\x6f\x75\x6e\x74\x5f\x74\0\x72\x65\x66\x63\x6f\x75\x6e\x74\
\x5f\x73\x74\x72\x75\x63\x74\0\x72\x65\x66\x73\0\x61\x74\x6f\x6d\x69\x63\x5f\
\x74\0\x63\x6f\x75\x6e\x74\x65\x72\0\x62\x6f\x6f\x6c\0\x5f\x42\x6f\x6f\x6c\0\
\x69\x6e\x69\x74\x5f\x63\x73\x75\x6d\x5f\x70\x61\x72\x74\x69\x61\x6c\0\x66\x69\
\x6e\x61\x6c\x5f\x63\x73\x75\x6d\x5f\x6e\x6f\x6e\x65\0\x62\x72\x6f\x6b\x65\x6e\
\x5f\x63\x73\x75\x6d\x5f\x73\x74\x61\x72\x74\0\x5f\x5f\x6c\x69\x63\x65\x6e\x73\
\x65\0\x6e\x65\x74\x5f\x64\x65\x76\x69\x63\x65\0\x62\x70\x66\x5f\x73\x6f\x63\
\x6b\0\x62\x70\x66\x5f\x66\x6c\x6f\x77\x5f\x6b\x65\x79\x73\0\x73\x6f\x63\x6b\0\
\x73\x6b\x62\x5f\x65\x78\x74\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\
\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\
\x31\x34\x2e\x30\x2d\x35\x37\x30\x2e\x32\x38\x2e\x31\x2e\x65\x6c\x39\x5f\x36\
\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x37\x30\x2e\x32\
\x38\x2e\x31\x2e\x65\x6c\x39\x5f\x36\x2e\x78\x38\x36\x5f\x36\x34\x2f\x74\x6f\
\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\
\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x64\x65\x63\x61\x70\x5f\
\x73\x61\x6e\x69\x74\x79\x2e\x63\0\x69\x6e\x74\x20\x64\x65\x63\x61\x70\x5f\x73\
\x61\x6e\x69\x74\x79\x28\x73\x74\x72\x75\x63\x74\x20\x5f\x5f\x73\x6b\x5f\x62\
\x75\x66\x66\x20\x2a\x73\x6b\x62\x29\0\x09\x69\x66\x20\x28\x73\x6b\x62\x2d\x3e\
\x70\x72\x6f\x74\x6f\x63\x6f\x6c\x20\x21\x3d\x20\x5f\x5f\x62\x70\x66\x5f\x63\
\x6f\x6e\x73\x74\x61\x6e\x74\x5f\x68\x74\x6f\x6e\x73\x28\x45\x54\x48\x5f\x50\
\x5f\x49\x50\x56\x36\x29\x29\0\x09\x69\x66\x20\x28\x62\x70\x66\x5f\x73\x6b\x62\
\x5f\x6c\x6f\x61\x64\x5f\x62\x79\x74\x65\x73\x28\x73\x6b\x62\x2c\x20\x45\x54\
\x48\x5f\x48\x4c\x45\x4e\x2c\x20\x26\x69\x70\x36\x68\x2c\x20\x73\x69\x7a\x65\
\x6f\x66\x28\x69\x70\x36\x68\x29\x29\x29\0\x09\x69\x66\x20\x28\x69\x70\x36\x68\
\x2e\x6e\x65\x78\x74\x68\x64\x72\x20\x21\x3d\x20\x49\x50\x50\x52\x4f\x54\x4f\
\x5f\x55\x44\x50\x29\0\x09\x69\x66\x20\x28\x62\x70\x66\x5f\x73\x6b\x62\x5f\x6c\
\x6f\x61\x64\x5f\x62\x79\x74\x65\x73\x28\x73\x6b\x62\x2c\x20\x45\x54\x48\x5f\
\x48\x4c\x45\x4e\x20\x2b\x20\x73\x69\x7a\x65\x6f\x66\x28\x69\x70\x36\x68\x29\
\x2c\x20\x26\x75\x64\x70\x68\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x75\x64\x70\
\x68\x29\x29\x29\0\x09\x69\x66\x20\x28\x75\x64\x70\x68\x2e\x64\x65\x73\x74\x20\
\x21\x3d\x20\x5f\x5f\x62\x70\x66\x5f\x63\x6f\x6e\x73\x74\x61\x6e\x74\x5f\x68\
\x74\x6f\x6e\x73\x28\x55\x44\x50\x5f\x54\x45\x53\x54\x5f\x50\x4f\x52\x54\x29\
\x29\0\x09\x6b\x73\x6b\x62\x20\x3d\x20\x62\x70\x66\x5f\x63\x61\x73\x74\x5f\x74\
\x6f\x5f\x6b\x65\x72\x6e\x5f\x63\x74\x78\x28\x73\x6b\x62\x29\x3b\0\x09\x69\x6e\
\x69\x74\x5f\x63\x73\x75\x6d\x5f\x70\x61\x72\x74\x69\x61\x6c\x20\x3d\x20\x28\
\x6b\x73\x6b\x62\x2d\x3e\x69\x70\x5f\x73\x75\x6d\x6d\x65\x64\x20\x3d\x3d\x20\
\x43\x48\x45\x43\x4b\x53\x55\x4d\x5f\x50\x41\x52\x54\x49\x41\x4c\x29\x3b\0\x09\
\x65\x72\x72\x20\x3d\x20\x62\x70\x66\x5f\x73\x6b\x62\x5f\x61\x64\x6a\x75\x73\
\x74\x5f\x72\x6f\x6f\x6d\x28\x73\x6b\x62\x2c\x20\x2d\x28\x73\x33\x32\x29\x28\
\x45\x54\x48\x5f\x48\x4c\x45\x4e\x20\x2b\x20\x73\x69\x7a\x65\x6f\x66\x28\x69\
\x70\x36\x68\x29\x20\x2b\x20\x73\x69\x7a\x65\x6f\x66\x28\x75\x64\x70\x68\x29\
\x29\x2c\0\x09\x69\x66\x20\x28\x65\x72\x72\x29\0\x09\x66\x69\x6e\x61\x6c\x5f\
\x63\x73\x75\x6d\x5f\x6e\x6f\x6e\x65\x20\x3d\x20\x28\x6b\x73\x6b\x62\x2d\x3e\
\x69\x70\x5f\x73\x75\x6d\x6d\x65\x64\x20\x3d\x3d\x20\x43\x48\x45\x43\x4b\x53\
\x55\x4d\x5f\x4e\x4f\x4e\x45\x29\x3b\0\x09\x69\x66\x20\x28\x6b\x73\x6b\x62\x2d\
\x3e\x69\x70\x5f\x73\x75\x6d\x6d\x65\x64\x20\x3d\x3d\x20\x43\x48\x45\x43\x4b\
\x53\x55\x4d\x5f\x50\x41\x52\x54\x49\x41\x4c\x20\x26\x26\0\x09\x72\x65\x74\x75\
\x72\x6e\x20\x73\x6b\x62\x2d\x3e\x6c\x65\x6e\x20\x2d\x20\x73\x6b\x62\x2d\x3e\
\x64\x61\x74\x61\x5f\x6c\x65\x6e\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x73\x6b\
\x62\x2d\x3e\x64\x61\x74\x61\x20\x2d\x20\x73\x6b\x62\x2d\x3e\x68\x65\x61\x64\
\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x73\x6b\x62\x2d\x3e\x63\x73\x75\x6d\x5f\
\x73\x74\x61\x72\x74\x20\x2d\x20\x73\x6b\x62\x5f\x68\x65\x61\x64\x72\x6f\x6f\
\x6d\x28\x73\x6b\x62\x29\x3b\0\x09\x09\x62\x72\x6f\x6b\x65\x6e\x5f\x63\x73\x75\
\x6d\x5f\x73\x74\x61\x72\x74\x20\x3d\x20\x74\x72\x75\x65\x3b\0\x7d\0\x30\x3a\
\x34\0\x30\x3a\x31\0\x30\x3a\x32\x30\x3a\x30\x3a\x34\0\x30\x3a\x37\0\x30\x3a\
\x36\0\x30\x3a\x32\x36\0\x30\x3a\x32\x35\0\x30\x3a\x32\x30\x3a\x30\x3a\x33\x35\
\x3a\x31\x3a\x30\0\x2e\x62\x73\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x6b\x73\
\x79\x6d\x73\0\x74\x63\0\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x14\0\0\0\x14\0\0\
\0\x2c\x02\0\0\x40\x02\0\0\xbc\0\0\0\x08\0\0\0\x47\x0b\0\0\x01\0\0\0\0\0\0\0\
\x12\0\0\0\x10\0\0\0\x47\x0b\0\0\x22\0\0\0\0\0\0\0\x91\x07\0\0\x18\x08\0\0\0\
\x80\0\0\x08\0\0\0\x91\x07\0\0\x40\x08\0\0\x0b\x9c\0\0\x10\0\0\0\x91\x07\0\0\
\x40\x08\0\0\x06\x9c\0\0\x28\0\0\0\x91\x07\0\0\x78\x08\0\0\x06\xa8\0\0\x48\0\0\
\0\x91\x07\0\0\x78\x08\0\0\x06\xa8\0\0\x60\0\0\0\x91\x07\0\0\xb5\x08\0\0\x0b\
\xb4\0\0\x68\0\0\0\x91\x07\0\0\xb5\x08\0\0\x06\xb4\0\0\x80\0\0\0\x91\x07\0\0\
\xd7\x08\0\0\x06\xc0\0\0\xa0\0\0\0\x91\x07\0\0\xd7\x08\0\0\x06\xc0\0\0\xb8\0\0\
\0\x91\x07\0\0\x23\x09\0\0\x0b\xcc\0\0\xc0\0\0\0\x91\x07\0\0\x23\x09\0\0\x06\
\xcc\0\0\xc8\0\0\0\x91\x07\0\0\x5a\x09\0\0\x09\xd8\0\0\xe0\0\0\0\x91\x07\0\0\
\x7d\x09\0\0\x1d\xdc\0\0\xe8\0\0\0\x91\x07\0\0\x7d\x09\0\0\x27\xdc\0\0\x08\x01\
\0\0\x91\x07\0\0\x7d\x09\0\0\x14\xdc\0\0\x20\x01\0\0\x91\x07\0\0\xb9\x09\0\0\
\x08\xe0\0\0\x48\x01\0\0\x91\x07\0\0\x09\x0a\0\0\x06\xe8\0\0\x50\x01\0\0\x91\
\x07\0\0\x13\x0a\0\0\x1b\xf0\0\0\x58\x01\0\0\x91\x07\0\0\x13\x0a\0\0\x25\xf0\0\
\0\x78\x01\0\0\x91\x07\0\0\x13\x0a\0\0\x12\xf0\0\0\x90\x01\0\0\x91\x07\0\0\x4a\
\x0a\0\0\x0c\xf4\0\0\x98\x01\0\0\x91\x07\0\0\x4a\x0a\0\0\x16\xf4\0\0\xa0\x01\0\
\0\x91\x07\0\0\x4a\x0a\0\0\x2a\xf4\0\0\xa8\x01\0\0\x91\x07\0\0\x76\x0a\0\0\x19\
\x48\0\0\xb0\x01\0\0\x91\x07\0\0\x76\x0a\0\0\x0e\x48\0\0\xb8\x01\0\0\x91\x07\0\
\0\x76\x0a\0\0\x12\x48\0\0\xc0\x01\0\0\x91\x07\0\0\x98\x0a\0\0\x0e\x5c\0\0\xc8\
\x01\0\0\x91\x07\0\0\x98\x0a\0\0\x1a\x5c\0\0\xd0\x01\0\0\x91\x07\0\0\x98\x0a\0\
\0\x13\x5c\0\0\xd8\x01\0\0\x91\x07\0\0\xb7\x0a\0\0\x0e\x70\0\0\xe0\x01\0\0\x91\
\x07\0\0\xb7\x0a\0\0\x19\x70\0\0\xe8\x01\0\0\x91\x07\0\0\x4a\x0a\0\0\x06\xf4\0\
\0\xf0\x01\0\0\x91\x07\0\0\xe4\x0a\0\0\x15\xfc\0\0\x10\x02\0\0\x91\x07\0\0\0\
\x0b\0\0\x01\x08\x01\0\x10\0\0\0\x47\x0b\0\0\x0b\0\0\0\x08\0\0\0\x02\0\0\0\x02\
\x0b\0\0\0\0\0\0\x60\0\0\0\x13\0\0\0\x02\x0b\0\0\0\0\0\0\xb8\0\0\0\x20\0\0\0\
\x06\x0b\0\0\0\0\0\0\xe0\0\0\0\x25\0\0\0\x0a\x0b\0\0\0\0\0\0\x50\x01\0\0\x25\0\
\0\0\x0a\x0b\0\0\0\0\0\0\x90\x01\0\0\x25\0\0\0\x0a\x0b\0\0\0\0\0\0\xa8\x01\0\0\
\x25\0\0\0\x13\x0b\0\0\0\0\0\0\xb0\x01\0\0\x25\0\0\0\x17\x0b\0\0\0\0\0\0\xc0\
\x01\0\0\x25\0\0\0\x1b\x0b\0\0\0\0\0\0\xc8\x01\0\0\x25\0\0\0\x20\x0b\0\0\0\0\0\
\0\xd8\x01\0\0\x25\0\0\0\x25\x0b\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x40\0\0\0\0\0\0\0\xa5\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe8\0\0\0\0\0\0\0\
\xd8\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\
\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc0\x01\0\0\0\0\0\0\x20\x02\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x14\0\0\0\x08\0\0\
\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe0\x03\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x19\0\0\0\x01\0\0\0\x03\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xe0\x03\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x90\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\xe8\x03\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x02\0\0\0\x03\0\0\0\x08\0\0\0\
\0\0\0\0\x10\0\0\0\0\0\0\0\x97\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x28\x04\0\0\0\0\0\0\x26\x19\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x9c\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x50\x1d\0\0\0\
\0\0\0\x1c\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct decap_sanity *decap_sanity::open(const struct bpf_object_open_opts *opts) { return decap_sanity__open_opts(opts); }
struct decap_sanity *decap_sanity::open_and_load() { return decap_sanity__open_and_load(); }
int decap_sanity::load(struct decap_sanity *skel) { return decap_sanity__load(skel); }
int decap_sanity::attach(struct decap_sanity *skel) { return decap_sanity__attach(skel); }
void decap_sanity::detach(struct decap_sanity *skel) { decap_sanity__detach(skel); }
void decap_sanity::destroy(struct decap_sanity *skel) { decap_sanity__destroy(skel); }
const void *decap_sanity::elf_bytes(size_t *sz) { return decap_sanity__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
decap_sanity__assert(struct decap_sanity *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->init_csum_partial) == 1, "unexpected size of 'init_csum_partial'");
	_Static_assert(sizeof(s->bss->final_csum_none) == 1, "unexpected size of 'final_csum_none'");
	_Static_assert(sizeof(s->bss->broken_csum_start) == 1, "unexpected size of 'broken_csum_start'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __DECAP_SANITY_SKEL_H__ */
