/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __DUMMY_ST_OPS_SUCCESS_SKEL_H__
#define __DUMMY_ST_OPS_SUCCESS_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct dummy_st_ops_success {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *bss;
		struct bpf_map *dummy_1;
	} maps;
	struct {
		struct dummy_st_ops_success__dummy_1__bpf_dummy_ops {
			struct bpf_program *test_1;
			struct bpf_program *test_2;
			struct bpf_program *test_sleepable;
		} *dummy_1;
	} struct_ops;
	struct {
		struct bpf_program *test_1;
		struct bpf_program *test_2;
		struct bpf_program *test_sleepable;
	} progs;
	struct {
		struct bpf_link *test_1;
		struct bpf_link *test_2;
		struct bpf_link *test_sleepable;
		struct bpf_link *dummy_1;
	} links;
	struct dummy_st_ops_success__bss {
		__u64 test_2_args[5];
	} *bss;

#ifdef __cplusplus
	static inline struct dummy_st_ops_success *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct dummy_st_ops_success *open_and_load();
	static inline int load(struct dummy_st_ops_success *skel);
	static inline int attach(struct dummy_st_ops_success *skel);
	static inline void detach(struct dummy_st_ops_success *skel);
	static inline void destroy(struct dummy_st_ops_success *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
dummy_st_ops_success__destroy(struct dummy_st_ops_success *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
dummy_st_ops_success__create_skeleton(struct dummy_st_ops_success *obj);

static inline struct dummy_st_ops_success *
dummy_st_ops_success__open_opts(const struct bpf_object_open_opts *opts)
{
	struct dummy_st_ops_success *obj;
	int err;

	obj = (struct dummy_st_ops_success *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = dummy_st_ops_success__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	obj->struct_ops.dummy_1 = (__typeof__(obj->struct_ops.dummy_1))
		bpf_map__initial_value(obj->maps.dummy_1, NULL);

	return obj;
err_out:
	dummy_st_ops_success__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct dummy_st_ops_success *
dummy_st_ops_success__open(void)
{
	return dummy_st_ops_success__open_opts(NULL);
}

static inline int
dummy_st_ops_success__load(struct dummy_st_ops_success *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct dummy_st_ops_success *
dummy_st_ops_success__open_and_load(void)
{
	struct dummy_st_ops_success *obj;
	int err;

	obj = dummy_st_ops_success__open();
	if (!obj)
		return NULL;
	err = dummy_st_ops_success__load(obj);
	if (err) {
		dummy_st_ops_success__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
dummy_st_ops_success__attach(struct dummy_st_ops_success *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
dummy_st_ops_success__detach(struct dummy_st_ops_success *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *dummy_st_ops_success__elf_bytes(size_t *sz);

static inline int
dummy_st_ops_success__create_skeleton(struct dummy_st_ops_success *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "dummy_st_ops_success";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 2;
	s->map_skel_sz = 32;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 32 ? sizeof(*s->maps) : 32);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "dummy_st.bss";
	map->map = &obj->maps.bss;
	map->mmaped = (void **)&obj->bss;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 1 * s->map_skel_sz);
	map->name = "dummy_1";
	map->map = &obj->maps.dummy_1;
	map->link = &obj->links.dummy_1;

	/* programs */
	s->prog_cnt = 3;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "test_1";
	s->progs[0].prog = &obj->progs.test_1;
	s->progs[0].link = &obj->links.test_1;

	s->progs[1].name = "test_2";
	s->progs[1].prog = &obj->progs.test_2;
	s->progs[1].link = &obj->links.test_2;

	s->progs[2].name = "test_sleepable";
	s->progs[2].prog = &obj->progs.test_sleepable;
	s->progs[2].link = &obj->links.test_sleepable;

	s->data = dummy_st_ops_success__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *dummy_st_ops_success__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xd0\x0a\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0d\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x73\x74\
\x72\x75\x63\x74\x5f\x6f\x70\x73\x2f\x74\x65\x73\x74\x5f\x31\0\x73\x74\x72\x75\
\x63\x74\x5f\x6f\x70\x73\x2f\x74\x65\x73\x74\x5f\x32\0\x73\x74\x72\x75\x63\x74\
\x5f\x6f\x70\x73\x2e\x73\x2f\x74\x65\x73\x74\x5f\x73\x6c\x65\x65\x70\x61\x62\
\x6c\x65\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x73\x74\x72\x75\x63\x74\x5f\x6f\
\x70\x73\0\x2e\x62\x73\x73\0\x64\x75\x6d\x6d\x79\x5f\x73\x74\x5f\x6f\x70\x73\
\x5f\x73\x75\x63\x63\x65\x73\x73\x2e\x63\0\x74\x65\x73\x74\x5f\x31\0\x74\x65\
\x73\x74\x5f\x32\0\x74\x65\x73\x74\x5f\x32\x5f\x61\x72\x67\x73\0\x74\x65\x73\
\x74\x5f\x73\x6c\x65\x65\x70\x61\x62\x6c\x65\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\
\0\x64\x75\x6d\x6d\x79\x5f\x31\0\x2e\x72\x65\x6c\x73\x74\x72\x75\x63\x74\x5f\
\x6f\x70\x73\x2f\x74\x65\x73\x74\x5f\x32\0\x2e\x72\x65\x6c\x2e\x73\x74\x72\x75\
\x63\x74\x5f\x6f\x70\x73\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x6a\0\0\0\x04\0\xf1\xff\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x03\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x05\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x81\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\
\0\0\0\x88\0\0\0\x12\0\x04\0\0\0\0\0\0\0\0\0\xb0\0\0\0\0\0\0\0\x8f\0\0\0\x11\0\
\x08\0\0\0\0\0\0\0\0\0\x28\0\0\0\0\0\0\0\x9b\0\0\0\x12\0\x05\0\0\0\0\0\0\0\0\0\
\x10\0\0\0\0\0\0\0\xaa\0\0\0\x11\0\x06\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xb3\
\0\0\0\x11\0\x07\0\0\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x79\x11\0\0\0\0\0\0\x55\
\x01\x02\0\0\0\0\0\xb7\0\0\0\xf5\xf4\xf3\xf2\x95\0\0\0\0\0\0\0\x61\x10\0\0\0\0\
\0\0\xb4\x02\0\0\x5a\0\0\0\x63\x21\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x79\x12\0\0\0\
\0\0\0\x61\x22\0\0\0\0\0\0\x79\x13\x08\0\0\0\0\0\x79\x14\x10\0\0\0\0\0\x79\x15\
\x18\0\0\0\0\0\x79\x11\x20\0\0\0\0\0\x18\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x10\
\x20\0\0\0\0\0\x67\x05\0\0\x38\0\0\0\xc7\x05\0\0\x38\0\0\0\x7b\x50\x18\0\0\0\0\
\0\x57\x04\0\0\xff\xff\0\0\x7b\x40\x10\0\0\0\0\0\x67\x03\0\0\x20\0\0\0\xc7\x03\
\0\0\x20\0\0\0\x7b\x30\x08\0\0\0\0\0\x67\x02\0\0\x20\0\0\0\xc7\x02\0\0\x20\0\0\
\0\x7b\x20\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\
\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x30\0\0\0\0\0\0\0\x01\0\0\0\x07\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x05\
\0\0\0\x08\0\0\0\0\0\0\0\x02\0\0\0\x06\0\0\0\x10\0\0\0\0\0\0\0\x02\0\0\0\x08\0\
\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\x0c\x02\0\0\x0c\x02\0\0\x1c\x03\0\0\0\0\0\
\0\0\0\0\x02\x02\0\0\0\x01\0\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\0\0\0\0\x01\0\0\
\x0d\x04\0\0\0\x14\0\0\0\x01\0\0\0\x18\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\
\x1c\0\0\0\x01\0\0\x0c\x03\0\0\0\x23\0\0\0\x01\0\0\x04\x04\0\0\0\x37\0\0\0\x04\
\0\0\0\0\0\0\0\x3b\0\0\0\x01\0\0\x0c\x03\0\0\0\x42\0\0\0\x01\0\0\x0c\x03\0\0\0\
\x51\0\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x09\0\0\0\
\x0b\0\0\0\x04\0\0\0\x56\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\x6a\0\0\0\0\0\0\
\x0e\x0a\0\0\0\x01\0\0\0\x73\0\0\0\x03\0\0\x04\x18\0\0\0\x1c\0\0\0\x0e\0\0\0\0\
\0\0\0\x3b\0\0\0\x11\0\0\0\x40\0\0\0\x42\0\0\0\x0e\0\0\0\x80\0\0\0\0\0\0\0\0\0\
\0\x02\x0f\0\0\0\0\0\0\0\x01\0\0\x0d\x04\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\
\x02\x06\0\0\0\0\0\0\0\0\0\0\x02\x12\0\0\0\0\0\0\0\x05\0\0\x0d\x04\0\0\0\0\0\0\
\0\x10\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x13\0\0\0\0\0\0\0\x09\0\0\0\0\0\0\0\x14\
\0\0\0\x81\0\0\0\0\0\0\x01\x02\0\0\0\x10\0\0\0\x90\0\0\0\0\0\0\x01\x08\0\0\0\
\x40\0\0\0\x9e\0\0\0\0\0\0\x0e\x0d\0\0\0\x01\0\0\0\xa6\0\0\0\0\0\0\x08\x02\0\0\
\0\0\0\0\0\0\0\0\x03\0\0\0\0\x16\0\0\0\x0b\0\0\0\x05\0\0\0\xac\0\0\0\0\0\0\x0e\
\x17\0\0\0\x01\0\0\0\xc3\x02\0\0\x01\0\0\x0f\x04\0\0\0\x0c\0\0\0\0\0\0\0\x04\0\
\0\0\xcb\x02\0\0\x01\0\0\x0f\x18\0\0\0\x15\0\0\0\0\0\0\0\x18\0\0\0\xd7\x02\0\0\
\x01\0\0\x0f\x28\0\0\0\x18\0\0\0\0\0\0\0\x28\0\0\0\0\x75\x6e\x73\x69\x67\x6e\
\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x63\x74\x78\0\x69\x6e\x74\0\
\x74\x65\x73\x74\x5f\x31\0\x62\x70\x66\x5f\x64\x75\x6d\x6d\x79\x5f\x6f\x70\x73\
\x5f\x73\x74\x61\x74\x65\0\x76\x61\x6c\0\x74\x65\x73\x74\x5f\x32\0\x74\x65\x73\
\x74\x5f\x73\x6c\x65\x65\x70\x61\x62\x6c\x65\0\x63\x68\x61\x72\0\x5f\x5f\x41\
\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x5f\x6c\x69\
\x63\x65\x6e\x73\x65\0\x62\x70\x66\x5f\x64\x75\x6d\x6d\x79\x5f\x6f\x70\x73\0\
\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x73\x68\x6f\x72\x74\0\x75\x6e\x73\x69\x67\
\x6e\x65\x64\x20\x6c\x6f\x6e\x67\0\x64\x75\x6d\x6d\x79\x5f\x31\0\x5f\x5f\x75\
\x36\x34\0\x74\x65\x73\x74\x5f\x32\x5f\x61\x72\x67\x73\0\x2f\x62\x75\x69\x6c\
\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\
\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x37\x30\x2e\x32\x38\x2e\
\x31\x2e\x65\x6c\x39\x5f\x36\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\
\x30\x2d\x35\x37\x30\x2e\x32\x38\x2e\x31\x2e\x65\x6c\x39\x5f\x36\x2e\x78\x38\
\x36\x5f\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\
\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\
\x2f\x64\x75\x6d\x6d\x79\x5f\x73\x74\x5f\x6f\x70\x73\x5f\x73\x75\x63\x63\x65\
\x73\x73\x2e\x63\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\x74\x65\
\x73\x74\x5f\x31\x2c\x20\x73\x74\x72\x75\x63\x74\x20\x62\x70\x66\x5f\x64\x75\
\x6d\x6d\x79\x5f\x6f\x70\x73\x5f\x73\x74\x61\x74\x65\x20\x2a\x73\x74\x61\x74\
\x65\x29\0\x09\x61\x73\x6d\x20\x76\x6f\x6c\x61\x74\x69\x6c\x65\x20\x28\0\x09\
\x72\x65\x74\x20\x3d\x20\x73\x74\x61\x74\x65\x2d\x3e\x76\x61\x6c\x3b\0\x09\x73\
\x74\x61\x74\x65\x2d\x3e\x76\x61\x6c\x20\x3d\x20\x30\x78\x35\x61\x3b\0\x69\x6e\
\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\x74\x65\x73\x74\x5f\x32\x2c\x20\
\x73\x74\x72\x75\x63\x74\x20\x62\x70\x66\x5f\x64\x75\x6d\x6d\x79\x5f\x6f\x70\
\x73\x5f\x73\x74\x61\x74\x65\x20\x2a\x73\x74\x61\x74\x65\x2c\x20\x69\x6e\x74\
\x20\x61\x31\x2c\x20\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x73\x68\x6f\x72\x74\
\x20\x61\x32\x2c\0\x09\x74\x65\x73\x74\x5f\x32\x5f\x61\x72\x67\x73\x5b\x30\x5d\
\x20\x3d\x20\x73\x74\x61\x74\x65\x2d\x3e\x76\x61\x6c\x3b\0\x09\x74\x65\x73\x74\
\x5f\x32\x5f\x61\x72\x67\x73\x5b\x34\x5d\x20\x3d\x20\x61\x34\x3b\0\x09\x74\x65\
\x73\x74\x5f\x32\x5f\x61\x72\x67\x73\x5b\x33\x5d\x20\x3d\x20\x61\x33\x3b\0\x09\
\x74\x65\x73\x74\x5f\x32\x5f\x61\x72\x67\x73\x5b\x32\x5d\x20\x3d\x20\x61\x32\
\x3b\0\x09\x74\x65\x73\x74\x5f\x32\x5f\x61\x72\x67\x73\x5b\x31\x5d\x20\x3d\x20\
\x61\x31\x3b\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\x74\x65\x73\
\x74\x5f\x73\x6c\x65\x65\x70\x61\x62\x6c\x65\x2c\x20\x73\x74\x72\x75\x63\x74\
\x20\x62\x70\x66\x5f\x64\x75\x6d\x6d\x79\x5f\x6f\x70\x73\x5f\x73\x74\x61\x74\
\x65\x20\x2a\x73\x74\x61\x74\x65\x29\0\x30\x3a\x30\0\x6c\x69\x63\x65\x6e\x73\
\x65\0\x2e\x73\x74\x72\x75\x63\x74\x5f\x6f\x70\x73\0\x2e\x62\x73\x73\0\x73\x74\
\x72\x75\x63\x74\x5f\x6f\x70\x73\x2f\x74\x65\x73\x74\x5f\x31\0\x73\x74\x72\x75\
\x63\x74\x5f\x6f\x70\x73\x2f\x74\x65\x73\x74\x5f\x32\0\x73\x74\x72\x75\x63\x74\
\x5f\x6f\x70\x73\x2e\x73\x2f\x74\x65\x73\x74\x5f\x73\x6c\x65\x65\x70\x61\x62\
\x6c\x65\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x34\0\0\0\x34\0\0\0\x5c\x01\0\0\x90\
\x01\0\0\x44\0\0\0\x08\0\0\0\xdc\x02\0\0\x01\0\0\0\0\0\0\0\x05\0\0\0\xee\x02\0\
\0\x01\0\0\0\0\0\0\0\x07\0\0\0\0\x03\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\x10\0\0\0\
\xdc\x02\0\0\x05\0\0\0\0\0\0\0\xb8\0\0\0\x47\x01\0\0\x05\x28\0\0\x08\0\0\0\xb8\
\0\0\0\x7f\x01\0\0\x02\x50\0\0\x20\0\0\0\xb8\0\0\0\x8f\x01\0\0\x0f\x68\0\0\x30\
\0\0\0\xb8\0\0\0\xa2\x01\0\0\x0d\x6c\0\0\x38\0\0\0\xb8\0\0\0\x47\x01\0\0\x05\
\x28\0\0\xee\x02\0\0\x0e\0\0\0\0\0\0\0\xb8\0\0\0\xb6\x01\0\0\x05\x88\0\0\x08\0\
\0\0\xb8\0\0\0\x09\x02\0\0\x1a\x94\0\0\x10\0\0\0\xb8\0\0\0\xb6\x01\0\0\x05\x88\
\0\0\x30\0\0\0\xb8\0\0\0\x09\x02\0\0\x11\x94\0\0\x40\0\0\0\xb8\0\0\0\x27\x02\0\
\0\x11\xa4\0\0\x48\0\0\0\xb8\0\0\0\x3d\x02\0\0\x13\xa0\0\0\x58\0\0\0\xb8\0\0\0\
\x3d\x02\0\0\x11\xa0\0\0\x60\0\0\0\xb8\0\0\0\xb6\x01\0\0\x05\x88\0\0\x68\0\0\0\
\xb8\0\0\0\x53\x02\0\0\x11\x9c\0\0\x70\0\0\0\xb8\0\0\0\x69\x02\0\0\x13\x98\0\0\
\x80\0\0\0\xb8\0\0\0\x69\x02\0\0\x11\x98\0\0\x88\0\0\0\xb8\0\0\0\x09\x02\0\0\
\x1a\x94\0\0\x98\0\0\0\xb8\0\0\0\x09\x02\0\0\x11\x94\0\0\xa0\0\0\0\xb8\0\0\0\
\xb6\x01\0\0\x05\x88\0\0\0\x03\0\0\x01\0\0\0\0\0\0\0\xb8\0\0\0\x7f\x02\0\0\x05\
\xb8\0\0\x10\0\0\0\xdc\x02\0\0\x02\0\0\0\x20\0\0\0\x06\0\0\0\xbf\x02\0\0\0\0\0\
\0\x30\0\0\0\x06\0\0\0\xbf\x02\0\0\0\0\0\0\xee\x02\0\0\x01\0\0\0\x08\0\0\0\x06\
\0\0\0\xbf\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\
\xef\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\
\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x30\x01\0\0\0\0\0\0\x08\x01\0\0\0\0\
\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\
\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x38\x02\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x23\0\0\0\x01\0\0\0\x06\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x78\x02\0\0\0\0\0\0\xb0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x35\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x28\x03\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x51\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x38\x03\
\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x59\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\x03\0\0\0\0\0\0\
\x18\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x65\0\0\0\
\x08\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x58\x03\0\0\0\0\0\0\x28\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xbb\0\0\0\x09\0\0\0\x40\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x58\x03\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x02\0\0\0\
\x04\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xd1\0\0\0\x09\0\0\0\x40\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x68\x03\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\x02\0\0\0\x07\0\0\
\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xe1\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x98\x03\0\0\0\0\0\0\x40\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\xe6\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xd8\x08\0\0\0\0\0\0\xf4\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct dummy_st_ops_success *dummy_st_ops_success::open(const struct bpf_object_open_opts *opts) { return dummy_st_ops_success__open_opts(opts); }
struct dummy_st_ops_success *dummy_st_ops_success::open_and_load() { return dummy_st_ops_success__open_and_load(); }
int dummy_st_ops_success::load(struct dummy_st_ops_success *skel) { return dummy_st_ops_success__load(skel); }
int dummy_st_ops_success::attach(struct dummy_st_ops_success *skel) { return dummy_st_ops_success__attach(skel); }
void dummy_st_ops_success::detach(struct dummy_st_ops_success *skel) { dummy_st_ops_success__detach(skel); }
void dummy_st_ops_success::destroy(struct dummy_st_ops_success *skel) { dummy_st_ops_success__destroy(skel); }
const void *dummy_st_ops_success::elf_bytes(size_t *sz) { return dummy_st_ops_success__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
dummy_st_ops_success__assert(struct dummy_st_ops_success *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->test_2_args) == 40, "unexpected size of 'test_2_args'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __DUMMY_ST_OPS_SUCCESS_SKEL_H__ */
