/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __EPILOGUE_EXIT_SKEL_H__
#define __EPILOGUE_EXIT_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct epilogue_exit {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *epilogue_exit;
	} maps;
	struct {
		struct epilogue_exit__epilogue_exit__bpf_testmod_st_ops {
			struct bpf_program *test_prologue;
			struct bpf_program *test_epilogue;
			struct bpf_program *test_pro_epilogue;
			char __unsupported_3[8];
		} *epilogue_exit;
	} struct_ops;
	struct {
		struct bpf_program *test_epilogue_exit;
		struct bpf_program *syscall_epilogue_exit0;
		struct bpf_program *syscall_epilogue_exit1;
	} progs;
	struct {
		struct bpf_link *test_epilogue_exit;
		struct bpf_link *syscall_epilogue_exit0;
		struct bpf_link *syscall_epilogue_exit1;
		struct bpf_link *epilogue_exit;
	} links;

#ifdef __cplusplus
	static inline struct epilogue_exit *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct epilogue_exit *open_and_load();
	static inline int load(struct epilogue_exit *skel);
	static inline int attach(struct epilogue_exit *skel);
	static inline void detach(struct epilogue_exit *skel);
	static inline void destroy(struct epilogue_exit *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
epilogue_exit__destroy(struct epilogue_exit *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
epilogue_exit__create_skeleton(struct epilogue_exit *obj);

static inline struct epilogue_exit *
epilogue_exit__open_opts(const struct bpf_object_open_opts *opts)
{
	struct epilogue_exit *obj;
	int err;

	obj = (struct epilogue_exit *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = epilogue_exit__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	obj->struct_ops.epilogue_exit = (__typeof__(obj->struct_ops.epilogue_exit))
		bpf_map__initial_value(obj->maps.epilogue_exit, NULL);

	return obj;
err_out:
	epilogue_exit__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct epilogue_exit *
epilogue_exit__open(void)
{
	return epilogue_exit__open_opts(NULL);
}

static inline int
epilogue_exit__load(struct epilogue_exit *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct epilogue_exit *
epilogue_exit__open_and_load(void)
{
	struct epilogue_exit *obj;
	int err;

	obj = epilogue_exit__open();
	if (!obj)
		return NULL;
	err = epilogue_exit__load(obj);
	if (err) {
		epilogue_exit__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
epilogue_exit__attach(struct epilogue_exit *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
epilogue_exit__detach(struct epilogue_exit *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *epilogue_exit__elf_bytes(size_t *sz);

static inline int
epilogue_exit__create_skeleton(struct epilogue_exit *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "epilogue_exit";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = 32;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 32 ? sizeof(*s->maps) : 32);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "epilogue_exit";
	map->map = &obj->maps.epilogue_exit;
	map->link = &obj->links.epilogue_exit;

	/* programs */
	s->prog_cnt = 3;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "test_epilogue_exit";
	s->progs[0].prog = &obj->progs.test_epilogue_exit;
	s->progs[0].link = &obj->links.test_epilogue_exit;

	s->progs[1].name = "syscall_epilogue_exit0";
	s->progs[1].prog = &obj->progs.syscall_epilogue_exit0;
	s->progs[1].link = &obj->links.syscall_epilogue_exit0;

	s->progs[2].name = "syscall_epilogue_exit1";
	s->progs[2].prog = &obj->progs.syscall_epilogue_exit1;
	s->progs[2].link = &obj->links.syscall_epilogue_exit1;

	s->data = epilogue_exit__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *epilogue_exit__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x50\x0e\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0b\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x73\x74\
\x72\x75\x63\x74\x5f\x6f\x70\x73\x2f\x74\x65\x73\x74\x5f\x65\x70\x69\x6c\x6f\
\x67\x75\x65\x5f\x65\x78\x69\x74\0\x73\x79\x73\x63\x61\x6c\x6c\0\x6c\x69\x63\
\x65\x6e\x73\x65\0\x2e\x73\x74\x72\x75\x63\x74\x5f\x6f\x70\x73\x2e\x6c\x69\x6e\
\x6b\0\x65\x70\x69\x6c\x6f\x67\x75\x65\x5f\x65\x78\x69\x74\x2e\x63\0\x74\x65\
\x73\x74\x5f\x65\x70\x69\x6c\x6f\x67\x75\x65\x5f\x65\x78\x69\x74\0\x73\x79\x73\
\x63\x61\x6c\x6c\x5f\x65\x70\x69\x6c\x6f\x67\x75\x65\x5f\x65\x78\x69\x74\x30\0\
\x62\x70\x66\x5f\x6b\x66\x75\x6e\x63\x5f\x73\x74\x5f\x6f\x70\x73\x5f\x74\x65\
\x73\x74\x5f\x65\x70\x69\x6c\x6f\x67\x75\x65\0\x73\x79\x73\x63\x61\x6c\x6c\x5f\
\x65\x70\x69\x6c\x6f\x67\x75\x65\x5f\x65\x78\x69\x74\x31\0\x5f\x6c\x69\x63\x65\
\x6e\x73\x65\0\x65\x70\x69\x6c\x6f\x67\x75\x65\x5f\x65\x78\x69\x74\0\x2e\x72\
\x65\x6c\x73\x79\x73\x63\x61\x6c\x6c\0\x2e\x72\x65\x6c\x2e\x73\x74\x72\x75\x63\
\x74\x5f\x6f\x70\x73\x2e\x6c\x69\x6e\x6b\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\
\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x50\0\0\
\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x60\
\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\x60\0\0\0\0\0\0\0\x73\0\0\0\x12\0\x04\0\0\0\
\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\x8a\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\xa9\0\0\0\x12\0\x04\0\x30\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\xc0\0\0\0\x11\0\
\x05\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xc9\0\0\0\x11\0\x06\0\0\0\0\0\0\0\0\0\
\x20\0\0\0\0\0\0\0\x79\x11\0\0\0\0\0\0\x79\x12\0\0\0\0\0\0\xb7\x03\0\0\0\0\0\0\
\xb7\x04\0\0\x01\0\0\0\x15\x02\x03\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x7b\x31\0\0\0\0\
\0\0\x95\0\0\0\0\0\0\0\x7b\x41\0\0\0\0\0\0\xb7\0\0\0\x01\0\0\0\xb7\x01\0\0\0\0\
\0\0\x95\0\0\0\0\0\0\0\xb7\x01\0\0\x01\0\0\0\x7b\x1a\xf8\xff\0\0\0\0\xbf\xa1\0\
\0\0\0\0\0\x07\x01\0\0\xf8\xff\xff\xff\x85\x10\0\0\xff\xff\xff\xff\x95\0\0\0\0\
\0\0\0\xb7\x01\0\0\0\0\0\0\x7b\x1a\xf8\xff\0\0\0\0\xbf\xa1\0\0\0\0\0\0\x07\x01\
\0\0\xf8\xff\xff\xff\x85\x10\0\0\xff\xff\xff\xff\x95\0\0\0\0\0\0\0\x47\x50\x4c\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\
\0\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\x50\0\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\x08\0\
\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\x3c\x03\0\0\
\x3c\x03\0\0\xbc\x06\0\0\0\0\0\0\0\0\0\x0d\x02\0\0\0\x01\0\0\0\0\0\0\x01\x04\0\
\0\0\x20\0\0\x01\x05\0\0\0\x01\0\0\x0c\x01\0\0\0\x18\0\0\0\0\0\0\x11\x03\0\0\0\
\xff\xff\xff\xff\x34\0\0\0\0\0\0\x11\x03\0\0\0\xff\xff\xff\xff\x6a\0\0\0\0\0\0\
\x11\x03\0\0\0\xff\xff\xff\xff\x9f\0\0\0\0\0\0\x11\x03\0\0\0\xff\xff\xff\xff\
\xd4\0\0\0\0\0\0\x11\x03\0\0\0\xff\xff\xff\xff\xfb\0\0\0\0\0\0\x11\x03\0\0\0\
\xff\xff\xff\xff\x22\x01\0\0\0\0\0\x11\x03\0\0\0\xff\xff\xff\xff\x5a\x01\0\0\0\
\0\0\x11\x03\0\0\0\xff\xff\xff\xff\x81\x01\0\0\0\0\0\x11\x03\0\0\0\xff\xff\xff\
\xff\xb6\x01\0\0\0\0\0\x11\x03\0\0\0\xff\xff\xff\xff\xec\x01\0\0\0\0\0\x11\x03\
\0\0\0\xff\xff\xff\xff\x21\x02\0\0\0\0\0\x11\x03\0\0\0\xff\xff\xff\xff\x58\x02\
\0\0\0\0\0\x11\x03\0\0\0\xff\xff\xff\xff\x86\x02\0\0\0\0\0\x11\x03\0\0\0\xff\
\xff\xff\xff\xbd\x02\0\0\0\0\0\x11\x03\0\0\0\xff\xff\xff\xff\xe7\x02\0\0\0\0\0\
\x11\x03\0\0\0\xff\xff\xff\xff\x11\x03\0\0\0\0\0\x11\x03\0\0\0\xff\xff\xff\xff\
\x38\x03\0\0\0\0\0\x11\x03\0\0\0\xff\xff\xff\xff\x6f\x03\0\0\0\0\0\x11\x03\0\0\
\0\xff\xff\xff\xff\x98\x03\0\0\0\0\0\x11\x03\0\0\0\xff\xff\xff\xff\xc1\x03\0\0\
\0\0\0\x11\x03\0\0\0\xff\xff\xff\xff\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\0\0\x01\0\0\
\x0d\x02\0\0\0\xef\x03\0\0\x19\0\0\0\xf3\x03\0\0\x01\0\0\x0c\x1a\0\0\0\x0a\x04\
\0\0\0\0\0\x11\x1b\0\0\0\xff\xff\xff\xff\0\0\0\0\x01\0\0\x0d\x02\0\0\0\0\0\0\0\
\x1e\0\0\0\0\0\0\0\0\0\0\x02\x1f\0\0\0\x24\x04\0\0\x01\0\0\x04\x08\0\0\0\x30\
\x04\0\0\x20\0\0\0\0\0\0\0\x32\x04\0\0\0\0\0\x08\x21\0\0\0\x36\x04\0\0\0\0\0\
\x08\x22\0\0\0\x3c\x04\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\x4f\x04\0\0\x02\0\0\
\x0c\x1d\0\0\0\x6e\x04\0\0\x01\0\0\x0c\x1a\0\0\0\x85\x04\0\0\0\0\0\x11\x24\0\0\
\0\xff\xff\xff\xff\x9f\x04\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\
\x03\0\0\0\0\x26\0\0\0\x28\0\0\0\x04\0\0\0\xa4\x04\0\0\0\0\0\x01\x04\0\0\0\x20\
\0\0\0\xb8\x04\0\0\0\0\0\x0e\x27\0\0\0\x01\0\0\0\xc1\x04\0\0\x04\0\0\x04\x20\0\
\0\0\xd4\x04\0\0\x2b\0\0\0\0\0\0\0\xe2\x04\0\0\x2b\0\0\0\x40\0\0\0\xf0\x04\0\0\
\x2b\0\0\0\x80\0\0\0\x02\x05\0\0\x2c\0\0\0\xc0\0\0\0\0\0\0\0\0\0\0\x02\x1d\0\0\
\0\0\0\0\0\0\0\0\x02\x2e\0\0\0\x08\x05\0\0\0\0\0\x0e\x2a\0\0\0\x01\0\0\0\x16\
\x05\0\0\0\0\0\x07\0\0\0\0\x76\x06\0\0\x01\0\0\x0f\x04\0\0\0\x29\0\0\0\0\0\0\0\
\x04\0\0\0\x7e\x06\0\0\x01\0\0\x0f\x20\0\0\0\x2d\0\0\0\0\0\0\0\x20\0\0\0\x8f\
\x06\0\0\x01\0\0\x0f\0\0\0\0\x23\0\0\0\0\0\0\0\0\0\0\0\0\x69\x6e\x74\0\x74\x65\
\x73\x74\x5f\x65\x70\x69\x6c\x6f\x67\x75\x65\x5f\x65\x78\x69\x74\0\x63\x6f\x6d\
\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x73\x75\
\x63\x63\x65\x73\x73\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\
\x78\x70\x65\x63\x74\x5f\x78\x6c\x61\x74\x65\x64\x3d\x30\x3d\x30\x3a\x20\x2a\
\x28\x75\x36\x34\x20\x2a\x29\x28\x72\x31\x30\x20\x2d\x38\x29\x20\x3d\x20\x72\
\x31\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\
\x74\x5f\x78\x6c\x61\x74\x65\x64\x3d\x31\x3d\x31\x3a\x20\x72\x31\x20\x3d\x20\
\x2a\x28\x75\x36\x34\x20\x2a\x29\x28\x72\x31\x20\x2b\x30\x29\0\x63\x6f\x6d\x6d\
\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x78\x6c\x61\
\x74\x65\x64\x3d\x32\x3d\x32\x3a\x20\x72\x32\x20\x3d\x20\x2a\x28\x75\x36\x34\
\x20\x2a\x29\x28\x72\x31\x20\x2b\x30\x29\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\
\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x78\x6c\x61\x74\x65\x64\x3d\x33\
\x3d\x33\x3a\x20\x72\x33\x20\x3d\x20\x30\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\
\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x78\x6c\x61\x74\x65\x64\x3d\x34\
\x3d\x34\x3a\x20\x72\x34\x20\x3d\x20\x31\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\
\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x78\x6c\x61\x74\x65\x64\x3d\x35\
\x3d\x35\x3a\x20\x69\x66\x20\x72\x32\x20\x3d\x3d\x20\x30\x78\x30\x20\x67\x6f\
\x74\x6f\x20\x70\x63\x2b\x31\x30\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\
\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x78\x6c\x61\x74\x65\x64\x3d\x36\x3d\x36\
\x3a\x20\x72\x30\x20\x3d\x20\x30\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\
\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x78\x6c\x61\x74\x65\x64\x3d\x37\x3d\x37\
\x3a\x20\x2a\x28\x75\x36\x34\x20\x2a\x29\x28\x72\x31\x20\x2b\x30\x29\x20\x3d\
\x20\x72\x33\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\
\x65\x63\x74\x5f\x78\x6c\x61\x74\x65\x64\x3d\x38\x3d\x38\x3a\x20\x72\x31\x20\
\x3d\x20\x2a\x28\x75\x36\x34\x20\x2a\x29\x28\x72\x31\x30\x20\x2d\x38\x29\0\x63\
\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\
\x78\x6c\x61\x74\x65\x64\x3d\x39\x3d\x39\x3a\x20\x72\x31\x20\x3d\x20\x2a\x28\
\x75\x36\x34\x20\x2a\x29\x28\x72\x31\x20\x2b\x30\x29\0\x63\x6f\x6d\x6d\x65\x6e\
\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x78\x6c\x61\x74\x65\
\x64\x3d\x31\x30\x3d\x31\x30\x3a\x20\x72\x36\x20\x3d\x20\x2a\x28\x75\x36\x34\
\x20\x2a\x29\x28\x72\x31\x20\x2b\x30\x29\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\
\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x78\x6c\x61\x74\x65\x64\x3d\x31\
\x31\x3d\x31\x31\x3a\x20\x72\x36\x20\x2b\x3d\x20\x31\x30\x30\x30\x30\0\x63\x6f\
\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x78\
\x6c\x61\x74\x65\x64\x3d\x31\x32\x3d\x31\x32\x3a\x20\x2a\x28\x75\x36\x34\x20\
\x2a\x29\x28\x72\x31\x20\x2b\x30\x29\x20\x3d\x20\x72\x36\0\x63\x6f\x6d\x6d\x65\
\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x78\x6c\x61\x74\
\x65\x64\x3d\x31\x33\x3d\x31\x33\x3a\x20\x72\x30\x20\x3d\x20\x72\x36\0\x63\x6f\
\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x78\
\x6c\x61\x74\x65\x64\x3d\x31\x34\x3d\x31\x34\x3a\x20\x72\x30\x20\x2a\x3d\x20\
\x32\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\
\x74\x5f\x78\x6c\x61\x74\x65\x64\x3d\x31\x35\x3d\x31\x35\x3a\x20\x65\x78\x69\
\x74\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\
\x74\x5f\x78\x6c\x61\x74\x65\x64\x3d\x31\x36\x3d\x31\x36\x3a\x20\x2a\x28\x75\
\x36\x34\x20\x2a\x29\x28\x72\x31\x20\x2b\x30\x29\x20\x3d\x20\x72\x34\0\x63\x6f\
\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x78\
\x6c\x61\x74\x65\x64\x3d\x31\x37\x3d\x31\x37\x3a\x20\x72\x30\x20\x3d\x20\x31\0\
\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\
\x5f\x78\x6c\x61\x74\x65\x64\x3d\x31\x38\x3d\x31\x38\x3a\x20\x72\x31\x20\x3d\
\x20\x30\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\
\x63\x74\x5f\x78\x6c\x61\x74\x65\x64\x3d\x31\x39\x3d\x31\x39\x3a\x20\x67\x6f\
\x74\x6f\x6c\x20\x70\x63\x2d\x31\x32\0\x63\x74\x78\0\x73\x79\x73\x63\x61\x6c\
\x6c\x5f\x65\x70\x69\x6c\x6f\x67\x75\x65\x5f\x65\x78\x69\x74\x30\0\x63\x6f\x6d\
\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x72\x65\x74\x76\x61\x6c\x3d\x32\x30\
\x30\x30\x30\0\x73\x74\x5f\x6f\x70\x73\x5f\x61\x72\x67\x73\0\x61\0\x75\x36\x34\
\0\x5f\x5f\x75\x36\x34\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\
\x20\x6c\x6f\x6e\x67\0\x62\x70\x66\x5f\x6b\x66\x75\x6e\x63\x5f\x73\x74\x5f\x6f\
\x70\x73\x5f\x74\x65\x73\x74\x5f\x65\x70\x69\x6c\x6f\x67\x75\x65\0\x73\x79\x73\
\x63\x61\x6c\x6c\x5f\x65\x70\x69\x6c\x6f\x67\x75\x65\x5f\x65\x78\x69\x74\x31\0\
\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x72\x65\x74\x76\x61\x6c\
\x3d\x32\x30\x30\x30\x32\0\x63\x68\x61\x72\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\
\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\
\0\x62\x70\x66\x5f\x74\x65\x73\x74\x6d\x6f\x64\x5f\x73\x74\x5f\x6f\x70\x73\0\
\x74\x65\x73\x74\x5f\x70\x72\x6f\x6c\x6f\x67\x75\x65\0\x74\x65\x73\x74\x5f\x65\
\x70\x69\x6c\x6f\x67\x75\x65\0\x74\x65\x73\x74\x5f\x70\x72\x6f\x5f\x65\x70\x69\
\x6c\x6f\x67\x75\x65\0\x6f\x77\x6e\x65\x72\0\x65\x70\x69\x6c\x6f\x67\x75\x65\
\x5f\x65\x78\x69\x74\0\x6d\x6f\x64\x75\x6c\x65\0\x2f\x62\x75\x69\x6c\x64\x64\
\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\
\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x37\x30\x2e\x32\x38\x2e\x31\x2e\
\x65\x6c\x39\x5f\x36\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\
\x35\x37\x30\x2e\x32\x38\x2e\x31\x2e\x65\x6c\x39\x5f\x36\x2e\x78\x38\x36\x5f\
\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\
\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x65\
\x70\x69\x6c\x6f\x67\x75\x65\x5f\x65\x78\x69\x74\x2e\x63\0\x09\x61\x73\x6d\x20\
\x76\x6f\x6c\x61\x74\x69\x6c\x65\x20\x28\0\x69\x6e\x74\x20\x73\x79\x73\x63\x61\
\x6c\x6c\x5f\x65\x70\x69\x6c\x6f\x67\x75\x65\x5f\x65\x78\x69\x74\x30\x28\x76\
\x6f\x69\x64\x20\x2a\x63\x74\x78\x29\0\x09\x73\x74\x72\x75\x63\x74\x20\x73\x74\
\x5f\x6f\x70\x73\x5f\x61\x72\x67\x73\x20\x61\x72\x67\x73\x20\x3d\x20\x7b\x20\
\x2e\x61\x20\x3d\x20\x31\x20\x7d\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x62\x70\
\x66\x5f\x6b\x66\x75\x6e\x63\x5f\x73\x74\x5f\x6f\x70\x73\x5f\x74\x65\x73\x74\
\x5f\x65\x70\x69\x6c\x6f\x67\x75\x65\x28\x26\x61\x72\x67\x73\x29\x3b\0\x69\x6e\
\x74\x20\x73\x79\x73\x63\x61\x6c\x6c\x5f\x65\x70\x69\x6c\x6f\x67\x75\x65\x5f\
\x65\x78\x69\x74\x31\x28\x76\x6f\x69\x64\x20\x2a\x63\x74\x78\x29\0\x09\x73\x74\
\x72\x75\x63\x74\x20\x73\x74\x5f\x6f\x70\x73\x5f\x61\x72\x67\x73\x20\x61\x72\
\x67\x73\x20\x3d\x20\x7b\x7d\x3b\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x73\x74\
\x72\x75\x63\x74\x5f\x6f\x70\x73\x2e\x6c\x69\x6e\x6b\0\x2e\x6b\x73\x79\x6d\x73\
\0\x73\x74\x72\x75\x63\x74\x5f\x6f\x70\x73\x2f\x74\x65\x73\x74\x5f\x65\x70\x69\
\x6c\x6f\x67\x75\x65\x5f\x65\x78\x69\x74\0\x73\x79\x73\x63\x61\x6c\x6c\0\x9f\
\xeb\x01\0\x20\0\0\0\0\0\0\0\x2c\0\0\0\x2c\0\0\0\xa4\0\0\0\xd0\0\0\0\0\0\0\0\
\x08\0\0\0\x96\x06\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\xb4\x06\0\0\x02\0\0\0\0\0\0\
\0\x1b\0\0\0\x30\0\0\0\x24\0\0\0\x10\0\0\0\x96\x06\0\0\x01\0\0\0\0\0\0\0\x1d\
\x05\0\0\xa5\x05\0\0\x02\xb4\0\0\xb4\x06\0\0\x08\0\0\0\0\0\0\0\x1d\x05\0\0\xb5\
\x05\0\0\0\x10\x01\0\x08\0\0\0\x1d\x05\0\0\xdb\x05\0\0\x15\x18\x01\0\x20\0\0\0\
\x1d\x05\0\0\x02\x06\0\0\x09\x20\x01\0\x28\0\0\0\x1d\x05\0\0\x02\x06\0\0\x02\
\x20\x01\0\x30\0\0\0\x1d\x05\0\0\x31\x06\0\0\0\x34\x01\0\x38\0\0\0\x1d\x05\0\0\
\x57\x06\0\0\x15\x3c\x01\0\x50\0\0\0\x1d\x05\0\0\x02\x06\0\0\x09\x44\x01\0\x58\
\0\0\0\x1d\x05\0\0\x02\x06\0\0\x02\x44\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\
\0\0\0\0\0\x06\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x48\x01\0\0\0\0\0\0\xf0\
\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\
\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x38\x02\0\0\0\0\0\0\x60\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x2f\0\0\0\x01\0\0\0\x06\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x98\x02\0\0\0\0\0\0\x60\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x37\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\xf8\x02\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x3f\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x03\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\xd7\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\x03\0\0\0\
\0\0\0\x20\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\
\0\xe3\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\x03\0\0\0\0\0\0\
\x10\0\0\0\0\0\0\0\x02\0\0\0\x06\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xf8\
\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x50\x03\0\0\0\0\0\0\x10\x0a\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xfd\0\0\0\x01\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x60\x0d\0\0\0\0\0\0\xf0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct epilogue_exit *epilogue_exit::open(const struct bpf_object_open_opts *opts) { return epilogue_exit__open_opts(opts); }
struct epilogue_exit *epilogue_exit::open_and_load() { return epilogue_exit__open_and_load(); }
int epilogue_exit::load(struct epilogue_exit *skel) { return epilogue_exit__load(skel); }
int epilogue_exit::attach(struct epilogue_exit *skel) { return epilogue_exit__attach(skel); }
void epilogue_exit::detach(struct epilogue_exit *skel) { epilogue_exit__detach(skel); }
void epilogue_exit::destroy(struct epilogue_exit *skel) { epilogue_exit__destroy(skel); }
const void *epilogue_exit::elf_bytes(size_t *sz) { return epilogue_exit__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
epilogue_exit__assert(struct epilogue_exit *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __EPILOGUE_EXIT_SKEL_H__ */
