/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __FENTRY_RECURSIVE_TARGET_SKEL_H__
#define __FENTRY_RECURSIVE_TARGET_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct fentry_recursive_target {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_program *test1;
		struct bpf_program *fentry_target;
	} progs;
	struct {
		struct bpf_link *test1;
		struct bpf_link *fentry_target;
	} links;

#ifdef __cplusplus
	static inline struct fentry_recursive_target *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct fentry_recursive_target *open_and_load();
	static inline int load(struct fentry_recursive_target *skel);
	static inline int attach(struct fentry_recursive_target *skel);
	static inline void detach(struct fentry_recursive_target *skel);
	static inline void destroy(struct fentry_recursive_target *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
fentry_recursive_target__destroy(struct fentry_recursive_target *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
fentry_recursive_target__create_skeleton(struct fentry_recursive_target *obj);

static inline struct fentry_recursive_target *
fentry_recursive_target__open_opts(const struct bpf_object_open_opts *opts)
{
	struct fentry_recursive_target *obj;
	int err;

	obj = (struct fentry_recursive_target *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = fentry_recursive_target__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	fentry_recursive_target__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct fentry_recursive_target *
fentry_recursive_target__open(void)
{
	return fentry_recursive_target__open_opts(NULL);
}

static inline int
fentry_recursive_target__load(struct fentry_recursive_target *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct fentry_recursive_target *
fentry_recursive_target__open_and_load(void)
{
	struct fentry_recursive_target *obj;
	int err;

	obj = fentry_recursive_target__open();
	if (!obj)
		return NULL;
	err = fentry_recursive_target__load(obj);
	if (err) {
		fentry_recursive_target__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
fentry_recursive_target__attach(struct fentry_recursive_target *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
fentry_recursive_target__detach(struct fentry_recursive_target *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *fentry_recursive_target__elf_bytes(size_t *sz);

static inline int
fentry_recursive_target__create_skeleton(struct fentry_recursive_target *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "fentry_recursive_target";
	s->obj = &obj->obj;

	/* programs */
	s->prog_cnt = 2;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "test1";
	s->progs[0].prog = &obj->progs.test1;
	s->progs[0].link = &obj->links.test1;

	s->progs[1].name = "fentry_target";
	s->progs[1].prog = &obj->progs.fentry_target;
	s->progs[1].link = &obj->links.fentry_target;

	s->data = fentry_recursive_target__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *fentry_recursive_target__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x60\x04\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x08\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x66\x65\
\x6e\x74\x72\x79\x2f\x62\x70\x66\x5f\x74\x65\x73\x74\x6d\x6f\x64\x5f\x66\x65\
\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\x31\0\x72\x61\x77\x5f\x74\x70\x2f\x73\x79\
\x73\x5f\x65\x6e\x74\x65\x72\0\x6c\x69\x63\x65\x6e\x73\x65\0\x66\x65\x6e\x74\
\x72\x79\x5f\x72\x65\x63\x75\x72\x73\x69\x76\x65\x5f\x74\x61\x72\x67\x65\x74\
\x2e\x63\0\x74\x65\x73\x74\x31\0\x66\x65\x6e\x74\x72\x79\x5f\x74\x61\x72\x67\
\x65\x74\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\
\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x4a\0\0\0\
\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x64\0\
\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x6a\0\0\0\x12\0\x04\0\0\0\0\
\0\0\0\0\0\x10\0\0\0\0\0\0\0\x78\0\0\0\x11\0\x05\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\
\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\
\x47\x50\x4c\0\0\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\xb8\0\0\0\xb8\0\0\0\x73\
\x01\0\0\0\0\0\0\0\0\0\x02\x02\0\0\0\x01\0\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\0\
\0\0\0\x01\0\0\x0d\x04\0\0\0\x14\0\0\0\x01\0\0\0\x18\0\0\0\0\0\0\x01\x04\0\0\0\
\x20\0\0\x01\x1c\0\0\0\x01\0\0\x0c\x03\0\0\0\x22\0\0\0\x01\0\0\x0c\x03\0\0\0\
\x30\0\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x07\0\0\0\
\x09\0\0\0\x04\0\0\0\x35\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\x49\0\0\0\0\0\0\
\x0e\x08\0\0\0\x01\0\0\0\x3a\x01\0\0\x01\0\0\x0f\x04\0\0\0\x0a\0\0\0\0\0\0\0\
\x04\0\0\0\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\
\x6e\x67\0\x63\x74\x78\0\x69\x6e\x74\0\x74\x65\x73\x74\x31\0\x66\x65\x6e\x74\
\x72\x79\x5f\x74\x61\x72\x67\x65\x74\0\x63\x68\x61\x72\0\x5f\x5f\x41\x52\x52\
\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x5f\x6c\x69\x63\x65\
\x6e\x73\x65\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\
\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\
\x2d\x35\x37\x30\x2e\x32\x38\x2e\x31\x2e\x65\x6c\x39\x5f\x36\x2f\x6c\x69\x6e\
\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x37\x30\x2e\x32\x38\x2e\x31\x2e\
\x65\x6c\x39\x5f\x36\x2e\x78\x38\x36\x5f\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\
\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\
\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x66\x65\x6e\x74\x72\x79\x5f\x72\x65\x63\
\x75\x72\x73\x69\x76\x65\x5f\x74\x61\x72\x67\x65\x74\x2e\x63\0\x69\x6e\x74\x20\
\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\x74\x65\x73\x74\x31\x2c\x20\x69\x6e\x74\
\x20\x61\x29\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\x66\x65\x6e\
\x74\x72\x79\x5f\x74\x61\x72\x67\x65\x74\x2c\x20\x73\x74\x72\x75\x63\x74\x20\
\x70\x74\x5f\x72\x65\x67\x73\x20\x2a\x72\x65\x67\x73\x2c\x20\x6c\x6f\x6e\x67\
\x20\x69\x64\x29\0\x6c\x69\x63\x65\x6e\x73\x65\0\x66\x65\x6e\x74\x72\x79\x2f\
\x62\x70\x66\x5f\x74\x65\x73\x74\x6d\x6f\x64\x5f\x66\x65\x6e\x74\x72\x79\x5f\
\x74\x65\x73\x74\x31\0\x72\x61\x77\x5f\x74\x70\x2f\x73\x79\x73\x5f\x65\x6e\x74\
\x65\x72\0\0\0\0\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x24\0\0\0\x24\0\0\0\x34\0\
\0\0\x58\0\0\0\0\0\0\0\x08\0\0\0\x42\x01\0\0\x01\0\0\0\0\0\0\0\x05\0\0\0\x62\
\x01\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\x10\0\0\0\x42\x01\0\0\x01\0\0\0\0\0\0\0\
\x52\0\0\0\xe4\0\0\0\x05\x34\0\0\x62\x01\0\0\x01\0\0\0\0\0\0\0\x52\0\0\0\xff\0\
\0\0\x05\x58\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\
\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x8f\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\xd0\0\0\0\0\0\0\0\xa8\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\
\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x78\x01\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x31\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x88\x01\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x42\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x98\x01\0\0\0\
\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x81\
\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa0\x01\0\0\0\0\0\0\x43\x02\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x86\0\0\0\x01\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe8\x03\0\0\0\0\0\0\x78\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct fentry_recursive_target *fentry_recursive_target::open(const struct bpf_object_open_opts *opts) { return fentry_recursive_target__open_opts(opts); }
struct fentry_recursive_target *fentry_recursive_target::open_and_load() { return fentry_recursive_target__open_and_load(); }
int fentry_recursive_target::load(struct fentry_recursive_target *skel) { return fentry_recursive_target__load(skel); }
int fentry_recursive_target::attach(struct fentry_recursive_target *skel) { return fentry_recursive_target__attach(skel); }
void fentry_recursive_target::detach(struct fentry_recursive_target *skel) { fentry_recursive_target__detach(skel); }
void fentry_recursive_target::destroy(struct fentry_recursive_target *skel) { fentry_recursive_target__destroy(skel); }
const void *fentry_recursive_target::elf_bytes(size_t *sz) { return fentry_recursive_target__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
fentry_recursive_target__assert(struct fentry_recursive_target *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __FENTRY_RECURSIVE_TARGET_SKEL_H__ */
