/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __FOR_EACH_HASH_MAP_ELEM_SKEL_H__
#define __FOR_EACH_HASH_MAP_ELEM_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct for_each_hash_map_elem {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *hashmap;
		struct bpf_map *percpu_map;
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *test_pkt_access;
	} progs;
	struct {
		struct bpf_link *test_pkt_access;
	} links;
	struct for_each_hash_map_elem__bss {
		__u32 cpu;
		__u32 percpu_called;
		__u32 percpu_key;
		char __pad0[4];
		__u64 percpu_val;
		int percpu_output;
		int hashmap_output;
		int hashmap_elems;
		int percpu_map_elems;
	} *bss;

#ifdef __cplusplus
	static inline struct for_each_hash_map_elem *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct for_each_hash_map_elem *open_and_load();
	static inline int load(struct for_each_hash_map_elem *skel);
	static inline int attach(struct for_each_hash_map_elem *skel);
	static inline void detach(struct for_each_hash_map_elem *skel);
	static inline void destroy(struct for_each_hash_map_elem *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
for_each_hash_map_elem__destroy(struct for_each_hash_map_elem *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
for_each_hash_map_elem__create_skeleton(struct for_each_hash_map_elem *obj);

static inline struct for_each_hash_map_elem *
for_each_hash_map_elem__open_opts(const struct bpf_object_open_opts *opts)
{
	struct for_each_hash_map_elem *obj;
	int err;

	obj = (struct for_each_hash_map_elem *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = for_each_hash_map_elem__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	for_each_hash_map_elem__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct for_each_hash_map_elem *
for_each_hash_map_elem__open(void)
{
	return for_each_hash_map_elem__open_opts(NULL);
}

static inline int
for_each_hash_map_elem__load(struct for_each_hash_map_elem *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct for_each_hash_map_elem *
for_each_hash_map_elem__open_and_load(void)
{
	struct for_each_hash_map_elem *obj;
	int err;

	obj = for_each_hash_map_elem__open();
	if (!obj)
		return NULL;
	err = for_each_hash_map_elem__load(obj);
	if (err) {
		for_each_hash_map_elem__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
for_each_hash_map_elem__attach(struct for_each_hash_map_elem *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
for_each_hash_map_elem__detach(struct for_each_hash_map_elem *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *for_each_hash_map_elem__elf_bytes(size_t *sz);

static inline int
for_each_hash_map_elem__create_skeleton(struct for_each_hash_map_elem *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "for_each_hash_map_elem";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 3;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "hashmap";
	map->map = &obj->maps.hashmap;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 1 * s->map_skel_sz);
	map->name = "percpu_map";
	map->map = &obj->maps.percpu_map;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 2 * s->map_skel_sz);
	map->name = "for_each.bss";
	map->map = &obj->maps.bss;
	map->mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "test_pkt_access";
	s->progs[0].prog = &obj->progs.test_pkt_access;
	s->progs[0].link = &obj->links.test_pkt_access;

	s->data = for_each_hash_map_elem__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *for_each_hash_map_elem__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xf8\x27\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0c\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\x74\
\x65\x78\x74\0\x74\x63\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x62\x73\x73\0\x2e\
\x6d\x61\x70\x73\0\x66\x6f\x72\x5f\x65\x61\x63\x68\x5f\x68\x61\x73\x68\x5f\x6d\
\x61\x70\x5f\x65\x6c\x65\x6d\x2e\x63\0\x63\x68\x65\x63\x6b\x5f\x68\x61\x73\x68\
\x5f\x65\x6c\x65\x6d\0\x63\x68\x65\x63\x6b\x5f\x70\x65\x72\x63\x70\x75\x5f\x65\
\x6c\x65\x6d\0\x74\x65\x73\x74\x5f\x70\x6b\x74\x5f\x61\x63\x63\x65\x73\x73\0\
\x68\x61\x73\x68\x6d\x61\x70\0\x68\x61\x73\x68\x6d\x61\x70\x5f\x65\x6c\x65\x6d\
\x73\0\x68\x61\x73\x68\x6d\x61\x70\x5f\x6f\x75\x74\x70\x75\x74\0\x70\x65\x72\
\x63\x70\x75\x5f\x6d\x61\x70\0\x70\x65\x72\x63\x70\x75\x5f\x6d\x61\x70\x5f\x65\
\x6c\x65\x6d\x73\0\x70\x65\x72\x63\x70\x75\x5f\x63\x61\x6c\x6c\x65\x64\0\x63\
\x70\x75\0\x70\x65\x72\x63\x70\x75\x5f\x6b\x65\x79\0\x70\x65\x72\x63\x70\x75\
\x5f\x76\x61\x6c\0\x70\x65\x72\x63\x70\x75\x5f\x6f\x75\x74\x70\x75\x74\0\x5f\
\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x2e\x74\x65\x78\x74\0\x2e\x72\
\x65\x6c\x74\x63\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x2d\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x03\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x46\0\0\0\x02\0\x03\0\0\0\0\0\0\
\0\0\0\x90\0\0\0\0\0\0\0\x56\0\0\0\x02\0\x03\0\x90\0\0\0\0\0\0\0\x28\x01\0\0\0\
\0\0\0\x68\0\0\0\x12\0\x04\0\0\0\0\0\0\0\0\0\xf0\0\0\0\0\0\0\0\x78\0\0\0\x11\0\
\x07\0\0\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x80\0\0\0\x11\0\x06\0\x20\0\0\0\0\0\0\
\0\x04\0\0\0\0\0\0\0\x8e\0\0\0\x11\0\x06\0\x1c\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\
\x9d\0\0\0\x11\0\x07\0\x20\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\xa8\0\0\0\x11\0\x06\
\0\x24\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xb9\0\0\0\x11\0\x06\0\x04\0\0\0\0\0\0\0\
\x04\0\0\0\0\0\0\0\xc7\0\0\0\x11\0\x06\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xcb\
\0\0\0\x11\0\x06\0\x08\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xd6\0\0\0\x11\0\x06\0\
\x10\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\xe1\0\0\0\x11\0\x06\0\x18\0\0\0\0\0\0\0\
\x04\0\0\0\0\0\0\0\xef\0\0\0\x11\0\x05\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x79\
\x45\0\0\0\0\0\0\x15\x05\x08\0\0\0\0\0\x61\x51\0\0\0\0\0\0\x56\x01\x0a\0\x10\
\x27\0\0\x61\x21\0\0\0\0\0\0\x56\x01\x08\0\x0a\0\0\0\x79\x31\0\0\0\0\0\0\x55\
\x01\x06\0\x0a\0\0\0\xb4\x01\0\0\x03\0\0\0\x05\0\x05\0\0\0\0\0\x61\x43\x08\0\0\
\0\0\0\x63\x34\x0c\0\0\0\0\0\x85\0\0\0\x03\0\0\0\x05\0\x02\0\0\0\0\0\xb4\x01\0\
\0\x04\0\0\0\x63\x14\x0c\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\x36\
\0\0\0\0\0\0\xbf\x27\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x12\0\
\0\0\0\0\0\x04\x02\0\0\x01\0\0\0\x63\x21\0\0\0\0\0\0\x85\0\0\0\x08\0\0\0\x18\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x63\x01\0\0\0\0\0\0\x61\x71\0\0\0\0\0\0\x18\
\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x63\x12\0\0\0\0\0\0\x79\x61\0\0\0\0\0\0\x18\
\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x12\0\0\0\0\0\0\xb7\x01\0\0\x64\0\0\0\x7b\
\x1a\xf8\xff\0\0\0\0\xb7\x01\0\0\0\0\0\0\x7b\x1a\xf0\xff\0\0\0\0\xbf\xa3\0\0\0\
\0\0\0\x07\x03\0\0\xf0\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x02\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x04\0\0\0\0\0\0\x85\0\0\0\xa4\0\0\0\x18\x01\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\xa2\xfc\xff\0\0\0\0\x63\x21\0\0\0\0\0\0\xb7\0\0\
\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\x02\0\0\x0a\0\0\0\x7b\x2a\xf8\xff\0\0\0\0\x7b\
\x1a\xf0\xff\0\0\0\0\xbf\xa3\0\0\0\0\0\0\x07\x03\0\0\xf0\xff\xff\xff\x18\x01\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x04\0\0\0\0\
\0\0\x85\0\0\0\xa4\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x63\x01\0\0\0\0\0\
\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\xa2\xfc\xff\0\0\0\0\x63\x21\0\0\0\0\
\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x02\0\0\x90\0\0\0\0\0\0\0\0\0\0\0\
\xb7\x03\0\0\0\0\0\0\xb7\x04\0\0\0\0\0\0\x85\0\0\0\xa4\0\0\0\x18\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x63\x01\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x47\
\x50\x4c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa0\0\0\0\
\0\0\0\0\x01\0\0\0\x0c\0\0\0\xd0\0\0\0\0\0\0\0\x01\0\0\0\x0d\0\0\0\xf0\0\0\0\0\
\0\0\0\x01\0\0\0\x0e\0\0\0\x10\x01\0\0\0\0\0\0\x01\0\0\0\x0f\0\0\0\x58\x01\0\0\
\0\0\0\0\x01\0\0\0\x07\0\0\0\x68\x01\0\0\0\0\0\0\x01\0\0\0\x02\0\0\0\x88\x01\0\
\0\0\0\0\0\x01\0\0\0\x10\0\0\0\x28\0\0\0\0\0\0\0\x01\0\0\0\x07\0\0\0\x38\0\0\0\
\0\0\0\0\x01\0\0\0\x02\0\0\0\x58\0\0\0\0\0\0\0\x01\0\0\0\x08\0\0\0\x70\0\0\0\0\
\0\0\0\x01\0\0\0\x09\0\0\0\x90\0\0\0\0\0\0\0\x01\0\0\0\x0a\0\0\0\xa0\0\0\0\0\0\
\0\0\x01\0\0\0\x02\0\0\0\xc8\0\0\0\0\0\0\0\x01\0\0\0\x0b\0\0\0\x9f\xeb\x01\0\
\x18\0\0\0\0\0\0\0\x14\x0e\0\0\x14\x0e\0\0\x44\x10\0\0\0\0\0\0\0\0\0\x02\x03\0\
\0\0\x01\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\
\0\0\x04\0\0\0\x01\0\0\0\x05\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\
\x02\x06\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x03\0\0\0\0\0\0\0\
\0\0\0\x02\x08\0\0\0\x19\0\0\0\0\0\0\x08\x09\0\0\0\x1f\0\0\0\0\0\0\x01\x04\0\0\
\0\x20\0\0\0\0\0\0\0\0\0\0\x02\x0b\0\0\0\x2c\0\0\0\0\0\0\x08\x0c\0\0\0\x32\0\0\
\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\0\0\0\0\x04\0\0\x04\x20\0\0\0\x45\0\0\0\x01\0\
\0\0\0\0\0\0\x4a\0\0\0\x05\0\0\0\x40\0\0\0\x56\0\0\0\x07\0\0\0\x80\0\0\0\x5a\0\
\0\0\x0a\0\0\0\xc0\0\0\0\x60\0\0\0\0\0\0\x0e\x0d\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\
\x02\x10\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x05\0\0\0\0\0\0\0\
\x04\0\0\x04\x20\0\0\0\x45\0\0\0\x0f\0\0\0\0\0\0\0\x4a\0\0\0\x01\0\0\0\x40\0\0\
\0\x56\0\0\0\x07\0\0\0\x80\0\0\0\x5a\0\0\0\x0a\0\0\0\xc0\0\0\0\x68\0\0\0\0\0\0\
\x0e\x11\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x14\0\0\0\x73\0\0\0\x22\0\0\x04\xc0\
\0\0\0\x7d\0\0\0\x08\0\0\0\0\0\0\0\x81\0\0\0\x08\0\0\0\x20\0\0\0\x8a\0\0\0\x08\
\0\0\0\x40\0\0\0\x8f\0\0\0\x08\0\0\0\x60\0\0\0\x9d\0\0\0\x08\0\0\0\x80\0\0\0\
\xa6\0\0\0\x08\0\0\0\xa0\0\0\0\xb3\0\0\0\x08\0\0\0\xc0\0\0\0\xbc\0\0\0\x08\0\0\
\0\xe0\0\0\0\xc7\0\0\0\x08\0\0\0\0\x01\0\0\xd0\0\0\0\x08\0\0\0\x20\x01\0\0\xe0\
\0\0\0\x08\0\0\0\x40\x01\0\0\xe8\0\0\0\x08\0\0\0\x60\x01\0\0\xf1\0\0\0\x15\0\0\
\0\x80\x01\0\0\xf4\0\0\0\x08\0\0\0\x20\x02\0\0\xf9\0\0\0\x08\0\0\0\x40\x02\0\0\
\x04\x01\0\0\x08\0\0\0\x60\x02\0\0\x09\x01\0\0\x08\0\0\0\x80\x02\0\0\x12\x01\0\
\0\x08\0\0\0\xa0\x02\0\0\x1a\x01\0\0\x08\0\0\0\xc0\x02\0\0\x21\x01\0\0\x08\0\0\
\0\xe0\x02\0\0\x2c\x01\0\0\x08\0\0\0\0\x03\0\0\x36\x01\0\0\x16\0\0\0\x20\x03\0\
\0\x41\x01\0\0\x16\0\0\0\xa0\x03\0\0\x4b\x01\0\0\x08\0\0\0\x20\x04\0\0\x57\x01\
\0\0\x08\0\0\0\x40\x04\0\0\x62\x01\0\0\x08\0\0\0\x60\x04\0\0\0\0\0\0\x17\0\0\0\
\x80\x04\0\0\x6c\x01\0\0\x0b\0\0\0\xc0\x04\0\0\x73\x01\0\0\x08\0\0\0\0\x05\0\0\
\x7c\x01\0\0\x08\0\0\0\x20\x05\0\0\0\0\0\0\x19\0\0\0\x40\x05\0\0\x85\x01\0\0\
\x08\0\0\0\x80\x05\0\0\x8e\x01\0\0\x1b\0\0\0\xa0\x05\0\0\x9a\x01\0\0\x0b\0\0\0\
\xc0\x05\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x08\0\0\0\x04\0\0\0\x05\0\0\0\0\0\0\0\0\
\0\0\x03\0\0\0\0\x08\0\0\0\x04\0\0\0\x04\0\0\0\0\0\0\0\x01\0\0\x05\x08\0\0\0\
\xa3\x01\0\0\x18\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x67\0\0\0\0\0\0\0\x01\0\0\x05\
\x08\0\0\0\xad\x01\0\0\x1a\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x68\0\0\0\xb0\x01\0\
\0\0\0\0\x08\x1c\0\0\0\xb5\x01\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\0\0\0\0\0\x01\0\
\0\x0d\x02\0\0\0\xc3\x01\0\0\x13\0\0\0\xc7\x01\0\0\x01\0\0\x0c\x1d\0\0\0\0\0\0\
\0\0\0\0\x02\x20\0\0\0\xd7\x01\0\0\x1e\0\0\x04\xf8\0\0\0\xdf\x01\0\0\x21\0\0\0\
\0\0\0\0\xe3\x01\0\0\x1f\0\0\0\x40\0\0\0\xf2\x01\0\0\x23\0\0\0\x80\0\0\0\xfb\
\x01\0\0\x24\0\0\0\xc0\0\0\0\x04\x02\0\0\x25\0\0\0\xe0\0\0\0\x0d\x02\0\0\x25\0\
\0\0\0\x01\0\0\x4a\0\0\0\x25\0\0\0\x20\x01\0\0\x18\x02\0\0\x26\0\0\0\x40\x01\0\
\0\x22\x02\0\0\x25\0\0\0\x80\x01\0\0\x2c\x02\0\0\x25\0\0\0\xa0\x01\0\0\x2f\x02\
\0\0\x27\0\0\0\xc0\x01\0\0\x36\x02\0\0\x02\0\0\0\0\x02\0\0\x40\x02\0\0\x25\0\0\
\0\x20\x02\0\0\x50\x02\0\0\x25\0\0\0\x40\x02\0\0\x62\x02\0\0\x25\0\0\0\x60\x02\
\0\0\x7c\x02\0\0\x28\0\0\0\x80\x02\0\0\x80\x02\0\0\x29\0\0\0\xc0\x02\0\0\x86\
\x02\0\0\x2b\0\0\0\0\x03\0\0\x8b\x02\0\0\x2c\0\0\0\x80\x03\0\0\x98\x02\0\0\x2e\
\0\0\0\x80\x04\0\0\x9f\x02\0\0\x2e\0\0\0\xc0\x04\0\0\0\0\0\0\x43\0\0\0\0\x05\0\
\0\xa7\x02\0\0\x2e\0\0\0\0\x06\0\0\xb0\x02\0\0\x4d\0\0\0\x40\x06\0\0\xb6\x02\0\
\0\x54\0\0\0\0\x07\0\0\xc5\x02\0\0\x54\0\0\0\x08\x07\0\0\xcc\x02\0\0\x54\0\0\0\
\x10\x07\0\0\xe3\x02\0\0\x54\0\0\0\x18\x07\0\0\xf5\x02\0\0\x2e\0\0\0\x40\x07\0\
\0\x06\x03\0\0\x56\0\0\0\x80\x07\0\0\0\0\0\0\0\0\0\x02\x22\0\0\0\0\0\0\0\0\0\0\
\x0a\x69\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\0\x11\x03\0\0\x25\0\0\x06\x04\0\0\0\x1e\
\x03\0\0\0\0\0\0\x32\x03\0\0\x01\0\0\0\x44\x03\0\0\x02\0\0\0\x57\x03\0\0\x03\0\
\0\0\x6f\x03\0\0\x04\0\0\0\x8d\x03\0\0\x05\0\0\0\xa6\x03\0\0\x06\0\0\0\xc0\x03\
\0\0\x07\0\0\0\xd9\x03\0\0\x08\0\0\0\xf3\x03\0\0\x09\0\0\0\x09\x04\0\0\x0a\0\0\
\0\x26\x04\0\0\x0b\0\0\0\x3c\x04\0\0\x0c\0\0\0\x57\x04\0\0\x0d\0\0\0\x71\x04\0\
\0\x0e\0\0\0\x85\x04\0\0\x0f\0\0\0\x9a\x04\0\0\x10\0\0\0\xae\x04\0\0\x11\0\0\0\
\xc2\x04\0\0\x12\0\0\0\xd8\x04\0\0\x13\0\0\0\xff\x04\0\0\x13\0\0\0\x1b\x05\0\0\
\x14\0\0\0\x3c\x05\0\0\x15\0\0\0\x6a\x05\0\0\x15\0\0\0\x8d\x05\0\0\x16\0\0\0\
\xa0\x05\0\0\x17\0\0\0\xb3\x05\0\0\x18\0\0\0\xcb\x05\0\0\x19\0\0\0\xe4\x05\0\0\
\x1a\0\0\0\xfc\x05\0\0\x1b\0\0\0\x11\x06\0\0\x1c\0\0\0\x2c\x06\0\0\x1d\0\0\0\
\x46\x06\0\0\x1e\0\0\0\x60\x06\0\0\x1f\0\0\0\x7a\x06\0\0\x20\0\0\0\x94\x06\0\0\
\x21\0\0\0\xa7\x06\0\0\x22\0\0\0\xba\x06\0\0\0\0\0\x08\x08\0\0\0\xbe\x06\0\0\0\
\0\0\x08\x0b\0\0\0\0\0\0\0\0\0\0\x02\x6c\0\0\0\0\0\0\0\0\0\0\x02\x6a\0\0\0\0\0\
\0\0\0\0\0\x02\x6d\0\0\0\xc2\x06\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\
\0\0\x03\0\0\0\0\x2a\0\0\0\x04\0\0\0\x10\0\0\0\xc7\x06\0\0\x04\0\0\x04\x20\0\0\
\0\xb0\x02\0\0\x2d\0\0\0\0\0\0\0\xcd\x06\0\0\x33\0\0\0\x40\0\0\0\xd7\x06\0\0\
\x40\0\0\0\x60\0\0\0\xdb\x06\0\0\x41\0\0\0\x80\0\0\0\xe5\x06\0\0\0\0\0\x08\x2e\
\0\0\0\xf3\x06\0\0\0\0\0\x08\x2f\0\0\0\0\0\0\0\x01\0\0\x04\x08\0\0\0\xfe\x06\0\
\0\x30\0\0\0\0\0\0\0\x06\x07\0\0\0\0\0\x08\x31\0\0\0\x0a\x07\0\0\0\0\0\x08\x32\
\0\0\0\x10\x07\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\x01\x1a\x07\0\0\0\0\0\x08\x34\0\
\0\0\x29\x07\0\0\x01\0\0\x04\x04\0\0\0\x36\x07\0\0\x35\0\0\0\0\0\0\0\x3f\x07\0\
\0\0\0\0\x08\x36\0\0\0\x4f\x07\0\0\x01\0\0\x04\x04\0\0\0\0\0\0\0\x37\0\0\0\0\0\
\0\0\0\0\0\0\x03\0\0\x05\x04\0\0\0\x59\x07\0\0\x38\0\0\0\0\0\0\0\0\0\0\0\x3a\0\
\0\0\0\0\0\0\0\0\0\0\x3c\0\0\0\0\0\0\0\x5d\x07\0\0\0\0\0\x08\x39\0\0\0\0\0\0\0\
\x01\0\0\x04\x04\0\0\0\xfe\x06\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\x04\x02\0\
\0\0\x66\x07\0\0\x3b\0\0\0\0\0\0\0\x6d\x07\0\0\x3b\0\0\0\x08\0\0\0\x75\x07\0\0\
\0\0\0\x08\x1b\0\0\0\0\0\0\0\x02\0\0\x04\x04\0\0\0\x78\x07\0\0\x3d\0\0\0\0\0\0\
\0\x87\x07\0\0\x3d\0\0\0\x10\0\0\0\x8c\x07\0\0\0\0\0\x08\x3e\0\0\0\x90\x07\0\0\
\0\0\0\x08\x3f\0\0\0\x96\x07\0\0\0\0\0\x01\x02\0\0\0\x10\0\0\0\xa5\x07\0\0\x01\
\0\0\x04\x04\0\0\0\x87\x07\0\0\x38\0\0\0\0\0\0\0\xbb\x07\0\0\x02\0\0\x04\x10\0\
\0\0\xc5\x07\0\0\x42\0\0\0\0\0\0\0\xca\x07\0\0\x42\0\0\0\x40\0\0\0\0\0\0\0\0\0\
\0\x02\x41\0\0\0\0\0\0\0\x02\0\0\x05\x20\0\0\0\xcf\x07\0\0\x44\0\0\0\0\0\0\0\
\xd4\x07\0\0\x49\0\0\0\0\0\0\0\xd8\x07\0\0\x03\0\0\x04\x20\0\0\0\x04\x01\0\0\
\x2d\0\0\0\0\0\0\0\xe4\x07\0\0\x41\0\0\0\x40\0\0\0\xea\x07\0\0\x45\0\0\0\xc0\0\
\0\0\xef\x07\0\0\0\0\0\x08\x46\0\0\0\0\0\0\0\0\0\0\x02\x47\0\0\0\0\0\0\0\x01\0\
\0\x0d\0\0\0\0\0\0\0\0\x48\0\0\0\0\0\0\0\0\0\0\x02\x44\0\0\0\xfb\x07\0\0\x02\0\
\0\x04\x10\0\0\0\xc5\x07\0\0\x4a\0\0\0\0\0\0\0\xea\x07\0\0\x4b\0\0\0\x40\0\0\0\
\0\0\0\0\0\0\0\x02\x49\0\0\0\0\0\0\0\0\0\0\x02\x4c\0\0\0\0\0\0\0\x01\0\0\x0d\0\
\0\0\0\0\0\0\0\x4a\0\0\0\0\0\0\0\x05\0\0\x04\x18\0\0\0\x09\x08\0\0\x4e\0\0\0\0\
\0\0\0\x1b\x08\0\0\x50\0\0\0\x40\0\0\0\x45\0\0\0\x53\0\0\0\x60\0\0\0\x20\x08\0\
\0\x54\0\0\0\x80\0\0\0\x26\x08\0\0\x54\0\0\0\x88\0\0\0\0\0\0\0\0\0\0\x02\x4f\0\
\0\0\0\0\0\0\0\0\0\x0a\x6b\0\0\0\x34\x08\0\0\0\0\0\x08\x51\0\0\0\x3f\x08\0\0\
\x01\0\0\x04\x04\0\0\0\0\0\0\0\x52\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\x05\x04\0\0\0\
\x48\x08\0\0\x34\0\0\0\0\0\0\0\x4e\x08\0\0\x22\0\0\x06\x04\0\0\0\x5c\x08\0\0\0\
\0\0\0\x71\x08\0\0\x01\0\0\0\x8d\x08\0\0\x02\0\0\0\xa2\x08\0\0\x03\0\0\0\xba\
\x08\0\0\x04\0\0\0\xd2\x08\0\0\x05\0\0\0\xeb\x08\0\0\x06\0\0\0\xfd\x08\0\0\x07\
\0\0\0\x16\x09\0\0\x08\0\0\0\x2f\x09\0\0\x09\0\0\0\x49\x09\0\0\x0a\0\0\0\x5e\
\x09\0\0\x0b\0\0\0\x74\x09\0\0\x0c\0\0\0\x8b\x09\0\0\x0d\0\0\0\xa2\x09\0\0\x0e\
\0\0\0\xb7\x09\0\0\x0f\0\0\0\xd3\x09\0\0\x10\0\0\0\xe8\x09\0\0\x11\0\0\0\x05\
\x0a\0\0\x12\0\0\0\x24\x0a\0\0\x13\0\0\0\x40\x0a\0\0\x14\0\0\0\x59\x0a\0\0\x15\
\0\0\0\x74\x0a\0\0\x16\0\0\0\x91\x0a\0\0\x17\0\0\0\xad\x0a\0\0\x18\0\0\0\xd3\
\x0a\0\0\x19\0\0\0\xf0\x0a\0\0\x1a\0\0\0\x06\x0b\0\0\x1b\0\0\0\x1f\x0b\0\0\x1c\
\0\0\0\x31\x0b\0\0\x1d\0\0\0\x43\x0b\0\0\x1e\0\0\0\x5b\x0b\0\0\x1f\0\0\0\x71\
\x0b\0\0\x20\0\0\0\x89\x0b\0\0\x21\0\0\0\x9d\x0b\0\0\0\0\0\x08\x55\0\0\0\xa2\
\x0b\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x04\0\0\0\0\0\0\0\x02\x30\0\0\0\0\0\0\0\0\
\0\0\x02\x58\0\0\0\xa8\x0b\0\0\x03\0\0\x04\x10\0\0\0\xb5\x0b\0\0\x13\0\0\0\0\0\
\0\0\xb9\x0b\0\0\x02\0\0\0\x40\0\0\0\xbf\x0b\0\0\x02\0\0\0\x60\0\0\0\0\0\0\0\
\x04\0\0\x0d\x0b\0\0\0\xc6\x0b\0\0\x1f\0\0\0\x56\0\0\0\x07\0\0\0\x59\x07\0\0\
\x0a\0\0\0\x04\x01\0\0\x57\0\0\0\xca\x0b\0\0\0\0\0\x0c\x59\0\0\0\0\0\0\0\x04\0\
\0\x0d\x0b\0\0\0\xc6\x0b\0\0\x1f\0\0\0\x56\0\0\0\x07\0\0\0\x59\x07\0\0\x0a\0\0\
\0\xda\x0b\0\0\x57\0\0\0\xe1\x0b\0\0\0\0\0\x0c\x5b\0\0\0\0\0\0\0\0\0\0\x03\0\0\
\0\0\x2a\0\0\0\x04\0\0\0\x04\0\0\0\xf3\x0b\0\0\0\0\0\x0e\x5d\0\0\0\x01\0\0\0\
\xfc\x0b\0\0\0\0\0\x0e\x08\0\0\0\x01\0\0\0\0\x0c\0\0\0\0\0\x0e\x08\0\0\0\x01\0\
\0\0\x0e\x0c\0\0\0\0\0\x0e\x08\0\0\0\x01\0\0\0\x19\x0c\0\0\0\0\0\x0e\x0b\0\0\0\
\x01\0\0\0\x24\x0c\0\0\0\0\0\x0e\x02\0\0\0\x01\0\0\0\x32\x0c\0\0\0\0\0\x0e\x02\
\0\0\0\x01\0\0\0\x41\x0c\0\0\0\0\0\x0e\x02\0\0\0\x01\0\0\0\x4f\x0c\0\0\0\0\0\
\x0e\x02\0\0\0\x01\0\0\0\x60\x0c\0\0\0\0\0\x07\0\0\0\0\x6e\x0c\0\0\0\0\0\x07\0\
\0\0\0\x77\x0c\0\0\0\0\0\x07\0\0\0\0\x7c\x02\0\0\0\0\0\x07\0\0\0\0\x83\x0c\0\0\
\0\0\0\x07\0\0\0\0\x8c\x0c\0\0\0\0\0\x07\0\0\0\0\x97\x0c\0\0\0\0\0\x07\0\0\0\0\
\x28\x10\0\0\x01\0\0\x0f\x04\0\0\0\x5e\0\0\0\0\0\0\0\x04\0\0\0\x30\x10\0\0\x08\
\0\0\x0f\x28\0\0\0\x5f\0\0\0\0\0\0\0\x04\0\0\0\x60\0\0\0\x04\0\0\0\x04\0\0\0\
\x61\0\0\0\x08\0\0\0\x04\0\0\0\x62\0\0\0\x10\0\0\0\x08\0\0\0\x63\0\0\0\x18\0\0\
\0\x04\0\0\0\x64\0\0\0\x1c\0\0\0\x04\0\0\0\x65\0\0\0\x20\0\0\0\x04\0\0\0\x66\0\
\0\0\x24\0\0\0\x04\0\0\0\x35\x10\0\0\x02\0\0\x0f\x40\0\0\0\x0e\0\0\0\0\0\0\0\
\x20\0\0\0\x12\0\0\0\x20\0\0\0\x20\0\0\0\0\x69\x6e\x74\0\x5f\x5f\x41\x52\x52\
\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x5f\x5f\x75\x33\x32\
\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x5f\x5f\x75\x36\x34\0\x75\
\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x74\x79\
\x70\x65\0\x6d\x61\x78\x5f\x65\x6e\x74\x72\x69\x65\x73\0\x6b\x65\x79\0\x76\x61\
\x6c\x75\x65\0\x68\x61\x73\x68\x6d\x61\x70\0\x70\x65\x72\x63\x70\x75\x5f\x6d\
\x61\x70\0\x5f\x5f\x73\x6b\x5f\x62\x75\x66\x66\0\x6c\x65\x6e\0\x70\x6b\x74\x5f\
\x74\x79\x70\x65\0\x6d\x61\x72\x6b\0\x71\x75\x65\x75\x65\x5f\x6d\x61\x70\x70\
\x69\x6e\x67\0\x70\x72\x6f\x74\x6f\x63\x6f\x6c\0\x76\x6c\x61\x6e\x5f\x70\x72\
\x65\x73\x65\x6e\x74\0\x76\x6c\x61\x6e\x5f\x74\x63\x69\0\x76\x6c\x61\x6e\x5f\
\x70\x72\x6f\x74\x6f\0\x70\x72\x69\x6f\x72\x69\x74\x79\0\x69\x6e\x67\x72\x65\
\x73\x73\x5f\x69\x66\x69\x6e\x64\x65\x78\0\x69\x66\x69\x6e\x64\x65\x78\0\x74\
\x63\x5f\x69\x6e\x64\x65\x78\0\x63\x62\0\x68\x61\x73\x68\0\x74\x63\x5f\x63\x6c\
\x61\x73\x73\x69\x64\0\x64\x61\x74\x61\0\x64\x61\x74\x61\x5f\x65\x6e\x64\0\x6e\
\x61\x70\x69\x5f\x69\x64\0\x66\x61\x6d\x69\x6c\x79\0\x72\x65\x6d\x6f\x74\x65\
\x5f\x69\x70\x34\0\x6c\x6f\x63\x61\x6c\x5f\x69\x70\x34\0\x72\x65\x6d\x6f\x74\
\x65\x5f\x69\x70\x36\0\x6c\x6f\x63\x61\x6c\x5f\x69\x70\x36\0\x72\x65\x6d\x6f\
\x74\x65\x5f\x70\x6f\x72\x74\0\x6c\x6f\x63\x61\x6c\x5f\x70\x6f\x72\x74\0\x64\
\x61\x74\x61\x5f\x6d\x65\x74\x61\0\x74\x73\x74\x61\x6d\x70\0\x77\x69\x72\x65\
\x5f\x6c\x65\x6e\0\x67\x73\x6f\x5f\x73\x65\x67\x73\0\x67\x73\x6f\x5f\x73\x69\
\x7a\x65\0\x74\x73\x74\x61\x6d\x70\x5f\x74\x79\x70\x65\0\x68\x77\x74\x73\x74\
\x61\x6d\x70\0\x66\x6c\x6f\x77\x5f\x6b\x65\x79\x73\0\x73\x6b\0\x5f\x5f\x75\x38\
\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x63\x68\x61\x72\0\x73\x6b\x62\0\x74\x65\
\x73\x74\x5f\x70\x6b\x74\x5f\x61\x63\x63\x65\x73\x73\0\x62\x70\x66\x5f\x6d\x61\
\x70\0\x6f\x70\x73\0\x69\x6e\x6e\x65\x72\x5f\x6d\x61\x70\x5f\x6d\x65\x74\x61\0\
\x73\x65\x63\x75\x72\x69\x74\x79\0\x6d\x61\x70\x5f\x74\x79\x70\x65\0\x6b\x65\
\x79\x5f\x73\x69\x7a\x65\0\x76\x61\x6c\x75\x65\x5f\x73\x69\x7a\x65\0\x6d\x61\
\x70\x5f\x65\x78\x74\x72\x61\0\x6d\x61\x70\x5f\x66\x6c\x61\x67\x73\0\x69\x64\0\
\x72\x65\x63\x6f\x72\x64\0\x6e\x75\x6d\x61\x5f\x6e\x6f\x64\x65\0\x62\x74\x66\
\x5f\x6b\x65\x79\x5f\x74\x79\x70\x65\x5f\x69\x64\0\x62\x74\x66\x5f\x76\x61\x6c\
\x75\x65\x5f\x74\x79\x70\x65\x5f\x69\x64\0\x62\x74\x66\x5f\x76\x6d\x6c\x69\x6e\
\x75\x78\x5f\x76\x61\x6c\x75\x65\x5f\x74\x79\x70\x65\x5f\x69\x64\0\x62\x74\x66\
\0\x6f\x62\x6a\x63\x67\0\x6e\x61\x6d\x65\0\x66\x72\x65\x65\x7a\x65\x5f\x6d\x75\
\x74\x65\x78\0\x72\x65\x66\x63\x6e\x74\0\x75\x73\x65\x72\x63\x6e\x74\0\x77\x72\
\x69\x74\x65\x63\x6e\x74\0\x6f\x77\x6e\x65\x72\0\x62\x79\x70\x61\x73\x73\x5f\
\x73\x70\x65\x63\x5f\x76\x31\0\x66\x72\x6f\x7a\x65\x6e\0\x66\x72\x65\x65\x5f\
\x61\x66\x74\x65\x72\x5f\x6d\x75\x6c\x74\x5f\x72\x63\x75\x5f\x67\x70\0\x66\x72\
\x65\x65\x5f\x61\x66\x74\x65\x72\x5f\x72\x63\x75\x5f\x67\x70\0\x73\x6c\x65\x65\
\x70\x61\x62\x6c\x65\x5f\x72\x65\x66\x63\x6e\x74\0\x65\x6c\x65\x6d\x5f\x63\x6f\
\x75\x6e\x74\0\x62\x70\x66\x5f\x6d\x61\x70\x5f\x74\x79\x70\x65\0\x42\x50\x46\
\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x55\x4e\x53\x50\x45\x43\0\x42\x50\x46\
\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x48\x41\x53\x48\0\x42\x50\x46\x5f\x4d\
\x41\x50\x5f\x54\x59\x50\x45\x5f\x41\x52\x52\x41\x59\0\x42\x50\x46\x5f\x4d\x41\
\x50\x5f\x54\x59\x50\x45\x5f\x50\x52\x4f\x47\x5f\x41\x52\x52\x41\x59\0\x42\x50\
\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x50\x45\x52\x46\x5f\x45\x56\x45\
\x4e\x54\x5f\x41\x52\x52\x41\x59\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\
\x45\x5f\x50\x45\x52\x43\x50\x55\x5f\x48\x41\x53\x48\0\x42\x50\x46\x5f\x4d\x41\
\x50\x5f\x54\x59\x50\x45\x5f\x50\x45\x52\x43\x50\x55\x5f\x41\x52\x52\x41\x59\0\
\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x53\x54\x41\x43\x4b\x5f\
\x54\x52\x41\x43\x45\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x43\
\x47\x52\x4f\x55\x50\x5f\x41\x52\x52\x41\x59\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\
\x54\x59\x50\x45\x5f\x4c\x52\x55\x5f\x48\x41\x53\x48\0\x42\x50\x46\x5f\x4d\x41\
\x50\x5f\x54\x59\x50\x45\x5f\x4c\x52\x55\x5f\x50\x45\x52\x43\x50\x55\x5f\x48\
\x41\x53\x48\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x4c\x50\x4d\
\x5f\x54\x52\x49\x45\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x41\
\x52\x52\x41\x59\x5f\x4f\x46\x5f\x4d\x41\x50\x53\0\x42\x50\x46\x5f\x4d\x41\x50\
\x5f\x54\x59\x50\x45\x5f\x48\x41\x53\x48\x5f\x4f\x46\x5f\x4d\x41\x50\x53\0\x42\
\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x44\x45\x56\x4d\x41\x50\0\x42\
\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x53\x4f\x43\x4b\x4d\x41\x50\0\
\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x43\x50\x55\x4d\x41\x50\0\
\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x58\x53\x4b\x4d\x41\x50\0\
\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x53\x4f\x43\x4b\x48\x41\
\x53\x48\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x43\x47\x52\x4f\
\x55\x50\x5f\x53\x54\x4f\x52\x41\x47\x45\x5f\x44\x45\x50\x52\x45\x43\x41\x54\
\x45\x44\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x43\x47\x52\x4f\
\x55\x50\x5f\x53\x54\x4f\x52\x41\x47\x45\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\
\x59\x50\x45\x5f\x52\x45\x55\x53\x45\x50\x4f\x52\x54\x5f\x53\x4f\x43\x4b\x41\
\x52\x52\x41\x59\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x50\x45\
\x52\x43\x50\x55\x5f\x43\x47\x52\x4f\x55\x50\x5f\x53\x54\x4f\x52\x41\x47\x45\
\x5f\x44\x45\x50\x52\x45\x43\x41\x54\x45\x44\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\
\x54\x59\x50\x45\x5f\x50\x45\x52\x43\x50\x55\x5f\x43\x47\x52\x4f\x55\x50\x5f\
\x53\x54\x4f\x52\x41\x47\x45\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\
\x5f\x51\x55\x45\x55\x45\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\
\x53\x54\x41\x43\x4b\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x53\
\x4b\x5f\x53\x54\x4f\x52\x41\x47\x45\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\
\x50\x45\x5f\x44\x45\x56\x4d\x41\x50\x5f\x48\x41\x53\x48\0\x42\x50\x46\x5f\x4d\
\x41\x50\x5f\x54\x59\x50\x45\x5f\x53\x54\x52\x55\x43\x54\x5f\x4f\x50\x53\0\x42\
\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x52\x49\x4e\x47\x42\x55\x46\0\
\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x49\x4e\x4f\x44\x45\x5f\
\x53\x54\x4f\x52\x41\x47\x45\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\
\x5f\x54\x41\x53\x4b\x5f\x53\x54\x4f\x52\x41\x47\x45\0\x42\x50\x46\x5f\x4d\x41\
\x50\x5f\x54\x59\x50\x45\x5f\x42\x4c\x4f\x4f\x4d\x5f\x46\x49\x4c\x54\x45\x52\0\
\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x55\x53\x45\x52\x5f\x52\
\x49\x4e\x47\x42\x55\x46\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\
\x43\x47\x52\x50\x5f\x53\x54\x4f\x52\x41\x47\x45\0\x42\x50\x46\x5f\x4d\x41\x50\
\x5f\x54\x59\x50\x45\x5f\x41\x52\x45\x4e\x41\0\x5f\x5f\x4d\x41\x58\x5f\x42\x50\
\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\0\x75\x33\x32\0\x75\x36\x34\0\x63\x68\
\x61\x72\0\x6d\x75\x74\x65\x78\0\x77\x61\x69\x74\x5f\x6c\x6f\x63\x6b\0\x6f\x73\
\x71\0\x77\x61\x69\x74\x5f\x6c\x69\x73\x74\0\x61\x74\x6f\x6d\x69\x63\x5f\x6c\
\x6f\x6e\x67\x5f\x74\0\x61\x74\x6f\x6d\x69\x63\x36\x34\x5f\x74\0\x63\x6f\x75\
\x6e\x74\x65\x72\0\x73\x36\x34\0\x5f\x5f\x73\x36\x34\0\x6c\x6f\x6e\x67\x20\x6c\
\x6f\x6e\x67\0\x72\x61\x77\x5f\x73\x70\x69\x6e\x6c\x6f\x63\x6b\x5f\x74\0\x72\
\x61\x77\x5f\x73\x70\x69\x6e\x6c\x6f\x63\x6b\0\x72\x61\x77\x5f\x6c\x6f\x63\x6b\
\0\x61\x72\x63\x68\x5f\x73\x70\x69\x6e\x6c\x6f\x63\x6b\x5f\x74\0\x71\x73\x70\
\x69\x6e\x6c\x6f\x63\x6b\0\x76\x61\x6c\0\x61\x74\x6f\x6d\x69\x63\x5f\x74\0\x6c\
\x6f\x63\x6b\x65\x64\0\x70\x65\x6e\x64\x69\x6e\x67\0\x75\x38\0\x6c\x6f\x63\x6b\
\x65\x64\x5f\x70\x65\x6e\x64\x69\x6e\x67\0\x74\x61\x69\x6c\0\x75\x31\x36\0\x5f\
\x5f\x75\x31\x36\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x73\x68\x6f\x72\x74\0\
\x6f\x70\x74\x69\x6d\x69\x73\x74\x69\x63\x5f\x73\x70\x69\x6e\x5f\x71\x75\x65\
\x75\x65\0\x6c\x69\x73\x74\x5f\x68\x65\x61\x64\0\x6e\x65\x78\x74\0\x70\x72\x65\
\x76\0\x77\x6f\x72\x6b\0\x72\x63\x75\0\x77\x6f\x72\x6b\x5f\x73\x74\x72\x75\x63\
\x74\0\x65\x6e\x74\x72\x79\0\x66\x75\x6e\x63\0\x77\x6f\x72\x6b\x5f\x66\x75\x6e\
\x63\x5f\x74\0\x63\x61\x6c\x6c\x62\x61\x63\x6b\x5f\x68\x65\x61\x64\0\x61\x74\
\x74\x61\x63\x68\x5f\x66\x75\x6e\x63\x5f\x70\x72\x6f\x74\x6f\0\x6c\x6f\x63\x6b\
\0\x6a\x69\x74\x65\x64\0\x78\x64\x70\x5f\x68\x61\x73\x5f\x66\x72\x61\x67\x73\0\
\x73\x70\x69\x6e\x6c\x6f\x63\x6b\x5f\x74\0\x73\x70\x69\x6e\x6c\x6f\x63\x6b\0\
\x72\x6c\x6f\x63\x6b\0\x62\x70\x66\x5f\x70\x72\x6f\x67\x5f\x74\x79\x70\x65\0\
\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x55\x4e\x53\x50\x45\
\x43\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x53\x4f\x43\x4b\
\x45\x54\x5f\x46\x49\x4c\x54\x45\x52\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\
\x59\x50\x45\x5f\x4b\x50\x52\x4f\x42\x45\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\
\x54\x59\x50\x45\x5f\x53\x43\x48\x45\x44\x5f\x43\x4c\x53\0\x42\x50\x46\x5f\x50\
\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x53\x43\x48\x45\x44\x5f\x41\x43\x54\0\x42\
\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x54\x52\x41\x43\x45\x50\
\x4f\x49\x4e\x54\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x58\
\x44\x50\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x50\x45\x52\
\x46\x5f\x45\x56\x45\x4e\x54\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\
\x45\x5f\x43\x47\x52\x4f\x55\x50\x5f\x53\x4b\x42\0\x42\x50\x46\x5f\x50\x52\x4f\
\x47\x5f\x54\x59\x50\x45\x5f\x43\x47\x52\x4f\x55\x50\x5f\x53\x4f\x43\x4b\0\x42\
\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x4c\x57\x54\x5f\x49\x4e\0\
\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x4c\x57\x54\x5f\x4f\
\x55\x54\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x4c\x57\x54\
\x5f\x58\x4d\x49\x54\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\
\x53\x4f\x43\x4b\x5f\x4f\x50\x53\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\
\x50\x45\x5f\x53\x4b\x5f\x53\x4b\x42\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\
\x59\x50\x45\x5f\x43\x47\x52\x4f\x55\x50\x5f\x44\x45\x56\x49\x43\x45\0\x42\x50\
\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x53\x4b\x5f\x4d\x53\x47\0\x42\
\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x52\x41\x57\x5f\x54\x52\
\x41\x43\x45\x50\x4f\x49\x4e\x54\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\
\x50\x45\x5f\x43\x47\x52\x4f\x55\x50\x5f\x53\x4f\x43\x4b\x5f\x41\x44\x44\x52\0\
\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x4c\x57\x54\x5f\x53\
\x45\x47\x36\x4c\x4f\x43\x41\x4c\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\
\x50\x45\x5f\x4c\x49\x52\x43\x5f\x4d\x4f\x44\x45\x32\0\x42\x50\x46\x5f\x50\x52\
\x4f\x47\x5f\x54\x59\x50\x45\x5f\x53\x4b\x5f\x52\x45\x55\x53\x45\x50\x4f\x52\
\x54\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x46\x4c\x4f\x57\
\x5f\x44\x49\x53\x53\x45\x43\x54\x4f\x52\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\
\x54\x59\x50\x45\x5f\x43\x47\x52\x4f\x55\x50\x5f\x53\x59\x53\x43\x54\x4c\0\x42\
\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x52\x41\x57\x5f\x54\x52\
\x41\x43\x45\x50\x4f\x49\x4e\x54\x5f\x57\x52\x49\x54\x41\x42\x4c\x45\0\x42\x50\
\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x43\x47\x52\x4f\x55\x50\x5f\
\x53\x4f\x43\x4b\x4f\x50\x54\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\
\x45\x5f\x54\x52\x41\x43\x49\x4e\x47\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\
\x59\x50\x45\x5f\x53\x54\x52\x55\x43\x54\x5f\x4f\x50\x53\0\x42\x50\x46\x5f\x50\
\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x45\x58\x54\0\x42\x50\x46\x5f\x50\x52\x4f\
\x47\x5f\x54\x59\x50\x45\x5f\x4c\x53\x4d\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\
\x54\x59\x50\x45\x5f\x53\x4b\x5f\x4c\x4f\x4f\x4b\x55\x50\0\x42\x50\x46\x5f\x50\
\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x53\x59\x53\x43\x41\x4c\x4c\0\x42\x50\x46\
\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x4e\x45\x54\x46\x49\x4c\x54\x45\
\x52\0\x5f\x5f\x4d\x41\x58\x5f\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\
\x45\0\x62\x6f\x6f\x6c\0\x5f\x42\x6f\x6f\x6c\0\x63\x61\x6c\x6c\x62\x61\x63\x6b\
\x5f\x63\x74\x78\0\x63\x74\x78\0\x69\x6e\x70\x75\x74\0\x6f\x75\x74\x70\x75\x74\
\0\x6d\x61\x70\0\x63\x68\x65\x63\x6b\x5f\x68\x61\x73\x68\x5f\x65\x6c\x65\x6d\0\
\x75\x6e\x75\x73\x65\x64\0\x63\x68\x65\x63\x6b\x5f\x70\x65\x72\x63\x70\x75\x5f\
\x65\x6c\x65\x6d\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x63\x70\x75\0\x70\x65\x72\
\x63\x70\x75\x5f\x63\x61\x6c\x6c\x65\x64\0\x70\x65\x72\x63\x70\x75\x5f\x6b\x65\
\x79\0\x70\x65\x72\x63\x70\x75\x5f\x76\x61\x6c\0\x70\x65\x72\x63\x70\x75\x5f\
\x6f\x75\x74\x70\x75\x74\0\x68\x61\x73\x68\x6d\x61\x70\x5f\x6f\x75\x74\x70\x75\
\x74\0\x68\x61\x73\x68\x6d\x61\x70\x5f\x65\x6c\x65\x6d\x73\0\x70\x65\x72\x63\
\x70\x75\x5f\x6d\x61\x70\x5f\x65\x6c\x65\x6d\x73\0\x62\x70\x66\x5f\x66\x6c\x6f\
\x77\x5f\x6b\x65\x79\x73\0\x62\x70\x66\x5f\x73\x6f\x63\x6b\0\x62\x70\x66\x5f\
\x6d\x61\x70\x5f\x6f\x70\x73\0\x62\x74\x66\x5f\x74\x79\x70\x65\0\x62\x74\x66\
\x5f\x72\x65\x63\x6f\x72\x64\0\x6f\x62\x6a\x5f\x63\x67\x72\x6f\x75\x70\0\x2f\
\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\
\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x37\x30\
\x2e\x32\x38\x2e\x31\x2e\x65\x6c\x39\x5f\x36\x2f\x6c\x69\x6e\x75\x78\x2d\x35\
\x2e\x31\x34\x2e\x30\x2d\x35\x37\x30\x2e\x32\x38\x2e\x31\x2e\x65\x6c\x39\x5f\
\x36\x2e\x78\x38\x36\x5f\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\
\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\
\x72\x6f\x67\x73\x2f\x66\x6f\x72\x5f\x65\x61\x63\x68\x5f\x68\x61\x73\x68\x5f\
\x6d\x61\x70\x5f\x65\x6c\x65\x6d\x2e\x63\0\x09\x73\x74\x72\x75\x63\x74\x20\x5f\
\x5f\x73\x6b\x5f\x62\x75\x66\x66\x20\x2a\x73\x6b\x62\x20\x3d\x20\x64\x61\x74\
\x61\x2d\x3e\x63\x74\x78\x3b\0\x09\x69\x66\x20\x28\x73\x6b\x62\x29\x20\x7b\0\
\x09\x09\x69\x66\x20\x28\x73\x6b\x62\x2d\x3e\x6c\x65\x6e\x20\x3d\x3d\x20\x31\
\x30\x30\x30\x30\x20\x26\x26\x20\x6b\x20\x3d\x3d\x20\x31\x30\x20\x26\x26\x20\
\x76\x20\x3d\x3d\x20\x31\x30\x29\0\x09\x09\x09\x64\x61\x74\x61\x2d\x3e\x6f\x75\
\x74\x70\x75\x74\x20\x3d\x20\x33\x3b\x20\x2f\x2a\x20\x69\x6d\x70\x6f\x73\x73\
\x69\x62\x6c\x65\x20\x70\x61\x74\x68\x20\x2a\x2f\0\x09\x09\x64\x61\x74\x61\x2d\
\x3e\x6f\x75\x74\x70\x75\x74\x20\x3d\x20\x64\x61\x74\x61\x2d\x3e\x69\x6e\x70\
\x75\x74\x3b\0\x09\x09\x62\x70\x66\x5f\x6d\x61\x70\x5f\x64\x65\x6c\x65\x74\x65\
\x5f\x65\x6c\x65\x6d\x28\x6d\x61\x70\x2c\x20\x6b\x65\x79\x29\x3b\0\x09\x72\x65\
\x74\x75\x72\x6e\x20\x30\x3b\0\x63\x68\x65\x63\x6b\x5f\x70\x65\x72\x63\x70\x75\
\x5f\x65\x6c\x65\x6d\x28\x73\x74\x72\x75\x63\x74\x20\x62\x70\x66\x5f\x6d\x61\
\x70\x20\x2a\x6d\x61\x70\x2c\x20\x5f\x5f\x75\x33\x32\x20\x2a\x6b\x65\x79\x2c\
\x20\x5f\x5f\x75\x36\x34\x20\x2a\x76\x61\x6c\x2c\0\x09\x70\x65\x72\x63\x70\x75\
\x5f\x63\x61\x6c\x6c\x65\x64\x2b\x2b\x3b\0\x09\x63\x70\x75\x20\x3d\x20\x62\x70\
\x66\x5f\x67\x65\x74\x5f\x73\x6d\x70\x5f\x70\x72\x6f\x63\x65\x73\x73\x6f\x72\
\x5f\x69\x64\x28\x29\x3b\0\x09\x70\x65\x72\x63\x70\x75\x5f\x6b\x65\x79\x20\x3d\
\x20\x2a\x6b\x65\x79\x3b\0\x09\x70\x65\x72\x63\x70\x75\x5f\x76\x61\x6c\x20\x3d\
\x20\x2a\x76\x61\x6c\x3b\0\x09\x64\x61\x74\x61\x2e\x69\x6e\x70\x75\x74\x20\x3d\
\x20\x31\x30\x30\x3b\0\x09\x64\x61\x74\x61\x2e\x63\x74\x78\x20\x3d\x20\x30\x3b\
\0\x09\x62\x70\x66\x5f\x66\x6f\x72\x5f\x65\x61\x63\x68\x5f\x6d\x61\x70\x5f\x65\
\x6c\x65\x6d\x28\x26\x68\x61\x73\x68\x6d\x61\x70\x2c\x20\x63\x68\x65\x63\x6b\
\x5f\x68\x61\x73\x68\x5f\x65\x6c\x65\x6d\x2c\x20\x26\x64\x61\x74\x61\x2c\x20\
\x30\x29\x3b\0\x09\x70\x65\x72\x63\x70\x75\x5f\x6f\x75\x74\x70\x75\x74\x20\x3d\
\x20\x64\x61\x74\x61\x2e\x6f\x75\x74\x70\x75\x74\x3b\0\x69\x6e\x74\x20\x74\x65\
\x73\x74\x5f\x70\x6b\x74\x5f\x61\x63\x63\x65\x73\x73\x28\x73\x74\x72\x75\x63\
\x74\x20\x5f\x5f\x73\x6b\x5f\x62\x75\x66\x66\x20\x2a\x73\x6b\x62\x29\0\x09\x64\
\x61\x74\x61\x2e\x69\x6e\x70\x75\x74\x20\x3d\x20\x31\x30\x3b\0\x09\x64\x61\x74\
\x61\x2e\x63\x74\x78\x20\x3d\x20\x73\x6b\x62\x3b\0\x09\x68\x61\x73\x68\x6d\x61\
\x70\x5f\x65\x6c\x65\x6d\x73\x20\x3d\x20\x62\x70\x66\x5f\x66\x6f\x72\x5f\x65\
\x61\x63\x68\x5f\x6d\x61\x70\x5f\x65\x6c\x65\x6d\x28\x26\x68\x61\x73\x68\x6d\
\x61\x70\x2c\x20\x63\x68\x65\x63\x6b\x5f\x68\x61\x73\x68\x5f\x65\x6c\x65\x6d\
\x2c\x20\x26\x64\x61\x74\x61\x2c\x20\x30\x29\x3b\0\x09\x68\x61\x73\x68\x6d\x61\
\x70\x5f\x6f\x75\x74\x70\x75\x74\x20\x3d\x20\x64\x61\x74\x61\x2e\x6f\x75\x74\
\x70\x75\x74\x3b\0\x09\x70\x65\x72\x63\x70\x75\x5f\x6d\x61\x70\x5f\x65\x6c\x65\
\x6d\x73\x20\x3d\x20\x62\x70\x66\x5f\x66\x6f\x72\x5f\x65\x61\x63\x68\x5f\x6d\
\x61\x70\x5f\x65\x6c\x65\x6d\x28\x26\x70\x65\x72\x63\x70\x75\x5f\x6d\x61\x70\
\x2c\x20\x63\x68\x65\x63\x6b\x5f\x70\x65\x72\x63\x70\x75\x5f\x65\x6c\x65\x6d\
\x2c\0\x30\x3a\x30\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x62\x73\x73\0\x2e\x6d\
\x61\x70\x73\0\x2e\x74\x65\x78\x74\0\x74\x63\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\
\x2c\0\0\0\x2c\0\0\0\x44\x02\0\0\x70\x02\0\0\x1c\0\0\0\x08\0\0\0\x3b\x10\0\0\
\x02\0\0\0\0\0\0\0\x5a\0\0\0\x90\0\0\0\x5c\0\0\0\x41\x10\0\0\x01\0\0\0\0\0\0\0\
\x1e\0\0\0\x10\0\0\0\x3b\x10\0\0\x18\0\0\0\0\0\0\0\xa2\x0c\0\0\x33\x0d\0\0\x20\
\x80\0\0\x08\0\0\0\xa2\x0c\0\0\x57\x0d\0\0\x06\x90\0\0\x10\0\0\0\xa2\x0c\0\0\
\x63\x0d\0\0\x0c\x9c\0\0\x18\0\0\0\xa2\x0c\0\0\x63\x0d\0\0\x19\x9c\0\0\x48\0\0\
\0\xa2\x0c\0\0\x92\x0d\0\0\x11\xa0\0\0\x50\0\0\0\xa2\x0c\0\0\xbd\x0d\0\0\x18\
\xb0\0\0\x58\0\0\0\xa2\x0c\0\0\xbd\x0d\0\0\x10\xb0\0\0\x60\0\0\0\xa2\x0c\0\0\
\xdb\x0d\0\0\x03\xb4\0\0\x80\0\0\0\xa2\x0c\0\0\xfc\x0d\0\0\x02\xc0\0\0\x90\0\0\
\0\xa2\x0c\0\0\x07\x0e\0\0\0\xe8\0\0\xa0\0\0\0\xa2\x0c\0\0\x46\x0e\0\0\x0f\xfc\
\0\0\xc8\0\0\0\xa2\x0c\0\0\x58\x0e\0\0\x08\0\x01\0\xd0\0\0\0\xa2\x0c\0\0\x58\
\x0e\0\0\x06\0\x01\0\xe8\0\0\0\xa2\x0c\0\0\x7b\x0e\0\0\x0f\x04\x01\0\xf0\0\0\0\
\xa2\x0c\0\0\x7b\x0e\0\0\x0d\x04\x01\0\x08\x01\0\0\xa2\x0c\0\0\x8f\x0e\0\0\x0f\
\x08\x01\0\x10\x01\0\0\xa2\x0c\0\0\x8f\x0e\0\0\x0d\x08\x01\0\x30\x01\0\0\xa2\
\x0c\0\0\xa3\x0e\0\0\x0d\x14\x01\0\x40\x01\0\0\xa2\x0c\0\0\xb6\x0e\0\0\x0b\x10\
\x01\0\x58\x01\0\0\xa2\x0c\0\0\xc5\x0e\0\0\x02\x1c\x01\0\x88\x01\0\0\xa2\x0c\0\
\0\x02\x0f\0\0\x10\x20\x01\0\x98\x01\0\0\xa2\x0c\0\0\x02\x0f\0\0\x17\x20\x01\0\
\xa0\x01\0\0\xa2\x0c\0\0\x02\x0f\0\0\x10\x20\x01\0\xa8\x01\0\0\xa2\x0c\0\0\xfc\
\x0d\0\0\x02\x28\x01\0\x41\x10\0\0\x0b\0\0\0\0\0\0\0\xa2\x0c\0\0\x20\x0f\0\0\0\
\x48\x01\0\x08\0\0\0\xa2\x0c\0\0\x4b\x0f\0\0\x0d\x5c\x01\0\x10\0\0\0\xa2\x0c\0\
\0\x5d\x0f\0\0\x0b\x58\x01\0\x28\0\0\0\xa2\x0c\0\0\x6e\x0f\0\0\x12\x64\x01\0\
\x58\0\0\0\xa2\x0c\0\0\x6e\x0f\0\0\x10\x64\x01\0\x70\0\0\0\xa2\x0c\0\0\xbb\x0f\
\0\0\x11\x68\x01\0\x80\0\0\0\xa2\x0c\0\0\xbb\x0f\0\0\x18\x68\x01\0\x88\0\0\0\
\xa2\x0c\0\0\xbb\x0f\0\0\x11\x68\x01\0\x90\0\0\0\xa2\x0c\0\0\xda\x0f\0\0\x15\
\x70\x01\0\xc8\0\0\0\xa2\x0c\0\0\xda\x0f\0\0\x13\x70\x01\0\xe0\0\0\0\xa2\x0c\0\
\0\xfc\x0d\0\0\x02\x78\x01\0\x10\0\0\0\x3b\x10\0\0\x01\0\0\0\x10\0\0\0\x14\0\0\
\0\x24\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x17\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\
\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x58\x01\0\0\0\0\0\0\xb0\x01\0\0\0\0\
\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\
\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\x03\0\0\0\0\0\0\xb8\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x17\0\0\0\x01\0\0\0\x06\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xc0\x04\0\0\0\0\0\0\xf0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1a\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\xb0\x05\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x22\0\0\0\x08\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb8\
\x05\0\0\0\0\0\0\x28\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x27\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb8\x05\0\0\0\0\0\
\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf8\0\0\
\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf8\x05\0\0\0\0\0\0\x70\0\0\0\0\
\0\0\0\x02\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x02\x01\0\0\x09\
\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x68\x06\0\0\0\0\0\0\x70\0\0\0\0\0\0\0\
\x02\0\0\0\x04\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x09\x01\0\0\x01\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd8\x06\0\0\0\0\0\0\x70\x1e\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0e\x01\0\0\x01\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x48\x25\0\0\0\0\0\0\xac\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct for_each_hash_map_elem *for_each_hash_map_elem::open(const struct bpf_object_open_opts *opts) { return for_each_hash_map_elem__open_opts(opts); }
struct for_each_hash_map_elem *for_each_hash_map_elem::open_and_load() { return for_each_hash_map_elem__open_and_load(); }
int for_each_hash_map_elem::load(struct for_each_hash_map_elem *skel) { return for_each_hash_map_elem__load(skel); }
int for_each_hash_map_elem::attach(struct for_each_hash_map_elem *skel) { return for_each_hash_map_elem__attach(skel); }
void for_each_hash_map_elem::detach(struct for_each_hash_map_elem *skel) { for_each_hash_map_elem__detach(skel); }
void for_each_hash_map_elem::destroy(struct for_each_hash_map_elem *skel) { for_each_hash_map_elem__destroy(skel); }
const void *for_each_hash_map_elem::elf_bytes(size_t *sz) { return for_each_hash_map_elem__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
for_each_hash_map_elem__assert(struct for_each_hash_map_elem *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->cpu) == 4, "unexpected size of 'cpu'");
	_Static_assert(sizeof(s->bss->percpu_called) == 4, "unexpected size of 'percpu_called'");
	_Static_assert(sizeof(s->bss->percpu_key) == 4, "unexpected size of 'percpu_key'");
	_Static_assert(sizeof(s->bss->percpu_val) == 8, "unexpected size of 'percpu_val'");
	_Static_assert(sizeof(s->bss->percpu_output) == 4, "unexpected size of 'percpu_output'");
	_Static_assert(sizeof(s->bss->hashmap_output) == 4, "unexpected size of 'hashmap_output'");
	_Static_assert(sizeof(s->bss->hashmap_elems) == 4, "unexpected size of 'hashmap_elems'");
	_Static_assert(sizeof(s->bss->percpu_map_elems) == 4, "unexpected size of 'percpu_map_elems'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __FOR_EACH_HASH_MAP_ELEM_SKEL_H__ */
