/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __KPTR_XCHG_INLINE_SKEL_H__
#define __KPTR_XCHG_INLINE_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct kptr_xchg_inline {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *bss_kptr;
	} maps;
	struct {
		struct bpf_program *kptr_xchg_inline;
	} progs;
	struct {
		struct bpf_link *kptr_xchg_inline;
	} links;

#ifdef __cplusplus
	static inline struct kptr_xchg_inline *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct kptr_xchg_inline *open_and_load();
	static inline int load(struct kptr_xchg_inline *skel);
	static inline int attach(struct kptr_xchg_inline *skel);
	static inline void detach(struct kptr_xchg_inline *skel);
	static inline void destroy(struct kptr_xchg_inline *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
kptr_xchg_inline__destroy(struct kptr_xchg_inline *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
kptr_xchg_inline__create_skeleton(struct kptr_xchg_inline *obj);

static inline struct kptr_xchg_inline *
kptr_xchg_inline__open_opts(const struct bpf_object_open_opts *opts)
{
	struct kptr_xchg_inline *obj;
	int err;

	obj = (struct kptr_xchg_inline *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = kptr_xchg_inline__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	kptr_xchg_inline__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct kptr_xchg_inline *
kptr_xchg_inline__open(void)
{
	return kptr_xchg_inline__open_opts(NULL);
}

static inline int
kptr_xchg_inline__load(struct kptr_xchg_inline *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct kptr_xchg_inline *
kptr_xchg_inline__open_and_load(void)
{
	struct kptr_xchg_inline *obj;
	int err;

	obj = kptr_xchg_inline__open();
	if (!obj)
		return NULL;
	err = kptr_xchg_inline__load(obj);
	if (err) {
		kptr_xchg_inline__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
kptr_xchg_inline__attach(struct kptr_xchg_inline *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
kptr_xchg_inline__detach(struct kptr_xchg_inline *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *kptr_xchg_inline__elf_bytes(size_t *sz);

static inline int
kptr_xchg_inline__create_skeleton(struct kptr_xchg_inline *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "kptr_xchg_inline";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = ".bss.kptr";
	map->map = &obj->maps.bss_kptr;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "kptr_xchg_inline";
	s->progs[0].prog = &obj->progs.kptr_xchg_inline;
	s->progs[0].link = &obj->links.kptr_xchg_inline;

	s->data = kptr_xchg_inline__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *kptr_xchg_inline__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xa0\x05\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0b\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\x74\
\x65\x78\x74\0\x74\x63\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x62\x73\x73\x2e\x6b\
\x70\x74\x72\0\x6b\x70\x74\x72\x5f\x78\x63\x68\x67\x5f\x69\x6e\x6c\x69\x6e\x65\
\x2e\x63\0\x6b\x70\x74\x72\x5f\x78\x63\x68\x67\x5f\x69\x6e\x6c\x69\x6e\x65\0\
\x70\x74\x72\0\x62\x70\x66\x5f\x6f\x62\x6a\x5f\x64\x72\x6f\x70\x5f\x69\x6d\x70\
\x6c\0\x5f\x5f\x62\x74\x66\x5f\x72\x6f\x6f\x74\0\x5f\x6c\x69\x63\x65\x6e\x73\
\x65\0\x2e\x72\x65\x6c\x2e\x74\x65\x78\x74\0\x2e\x72\x65\x6c\x74\x63\0\x2e\x42\
\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x2c\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x04\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x3f\0\0\0\x12\0\x04\0\0\0\0\0\0\0\0\0\x50\0\0\
\0\0\0\0\0\x50\0\0\0\x11\x02\x06\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x54\0\0\0\
\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x66\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\
\0\x20\0\0\0\0\0\0\0\x71\0\0\0\x11\0\x05\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\
\xb7\x01\0\0\0\0\0\0\xb7\x02\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\x95\0\0\0\
\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x02\0\0\0\0\0\0\x85\0\0\0\xc2\
\0\0\0\x15\0\x03\0\0\0\0\0\xbf\x01\0\0\0\0\0\0\xb7\x02\0\0\0\0\0\0\x85\x10\0\0\
\xff\xff\xff\xff\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\x10\
\0\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x05\0\0\0\x38\0\0\
\0\0\0\0\0\x0a\0\0\0\x06\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\x5c\x01\0\0\x5c\
\x01\0\0\x40\x01\0\0\0\0\0\0\0\0\0\x0d\x02\0\0\0\x01\0\0\0\0\0\0\x01\x04\0\0\0\
\x20\0\0\x01\x05\0\0\0\x01\0\0\x0c\x01\0\0\0\0\0\0\0\0\0\0\x0d\0\0\0\0\x16\0\0\
\0\x01\0\0\x0c\x04\0\0\0\0\0\0\0\x02\0\0\x0d\0\0\0\0\0\0\0\0\x07\0\0\0\0\0\0\0\
\x07\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\0\x21\0\0\0\x02\0\0\x0c\x06\0\0\0\x33\0\0\0\
\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x09\0\0\0\x0b\0\0\0\
\x04\0\0\0\x38\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\x4c\0\0\0\0\0\0\x0e\x0a\0\0\
\0\x01\0\0\0\x55\0\0\0\0\0\0\x12\x0f\0\0\0\0\0\0\0\0\0\0\x02\x0d\0\0\0\x5a\0\0\
\0\x01\0\0\x04\x20\0\0\0\x63\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\
\x09\0\0\0\x0b\0\0\0\x20\0\0\0\x68\0\0\0\0\0\0\x0e\x0e\0\0\0\x01\0\0\0\x1e\x01\
\0\0\x01\0\0\x0f\x04\0\0\0\x0c\0\0\0\0\0\0\0\x04\0\0\0\x26\x01\0\0\x01\0\0\x0f\
\x08\0\0\0\x11\0\0\0\0\0\0\0\x08\0\0\0\x30\x01\0\0\x01\0\0\x0f\0\0\0\0\x08\0\0\
\0\0\0\0\0\0\0\0\0\0\x69\x6e\x74\0\x6b\x70\x74\x72\x5f\x78\x63\x68\x67\x5f\x69\
\x6e\x6c\x69\x6e\x65\0\x5f\x5f\x62\x74\x66\x5f\x72\x6f\x6f\x74\0\x62\x70\x66\
\x5f\x6f\x62\x6a\x5f\x64\x72\x6f\x70\x5f\x69\x6d\x70\x6c\0\x63\x68\x61\x72\0\
\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\
\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x6b\x70\x74\x72\0\x62\x69\x6e\x5f\x64\x61\
\x74\x61\0\x62\x6c\x6f\x62\0\x70\x74\x72\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\
\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\
\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x37\x30\x2e\x32\x38\x2e\x31\x2e\x65\x6c\
\x39\x5f\x36\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x37\
\x30\x2e\x32\x38\x2e\x31\x2e\x65\x6c\x39\x5f\x36\x2e\x78\x38\x36\x5f\x36\x34\
\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\
\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x6b\x70\x74\
\x72\x5f\x78\x63\x68\x67\x5f\x69\x6e\x6c\x69\x6e\x65\x2e\x63\0\x09\x62\x70\x66\
\x5f\x6f\x62\x6a\x5f\x64\x72\x6f\x70\x28\x4e\x55\x4c\x4c\x29\x3b\0\x7d\0\x09\
\x61\x73\x6d\x20\x76\x6f\x6c\x61\x74\x69\x6c\x65\x20\x28\0\x6c\x69\x63\x65\x6e\
\x73\x65\0\x2e\x62\x73\x73\x2e\x6b\x70\x74\x72\0\x2e\x6b\x73\x79\x6d\x73\0\x2e\
\x74\x65\x78\x74\0\x74\x63\0\0\0\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x24\0\0\0\
\x24\0\0\0\x44\0\0\0\x68\0\0\0\0\0\0\0\x08\0\0\0\x37\x01\0\0\x01\0\0\0\0\0\0\0\
\x05\0\0\0\x3d\x01\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\x10\0\0\0\x37\x01\0\0\x02\0\
\0\0\0\0\0\0\x6c\0\0\0\xf7\0\0\0\x02\xbc\0\0\x18\0\0\0\x6c\0\0\0\x0c\x01\0\0\
\x01\xc0\0\0\x3d\x01\0\0\x01\0\0\0\0\0\0\0\x6c\0\0\0\x0e\x01\0\0\x02\x54\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x99\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\xe0\0\0\0\0\0\0\0\xd8\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\
\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb8\
\x01\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x17\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd8\x01\0\0\0\0\0\
\0\x50\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1a\0\0\
\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x28\x02\0\0\0\0\0\0\x04\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x22\0\0\0\x08\0\0\0\
\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x30\x02\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7a\0\0\0\x09\0\0\0\x40\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x30\x02\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x02\0\0\0\x03\0\0\0\
\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x84\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x40\x02\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x08\0\0\
\0\0\0\0\0\x10\0\0\0\0\0\0\0\x8b\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x60\x02\0\0\0\0\0\0\xb4\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x90\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x05\0\0\
\0\0\0\0\x88\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct kptr_xchg_inline *kptr_xchg_inline::open(const struct bpf_object_open_opts *opts) { return kptr_xchg_inline__open_opts(opts); }
struct kptr_xchg_inline *kptr_xchg_inline::open_and_load() { return kptr_xchg_inline__open_and_load(); }
int kptr_xchg_inline::load(struct kptr_xchg_inline *skel) { return kptr_xchg_inline__load(skel); }
int kptr_xchg_inline::attach(struct kptr_xchg_inline *skel) { return kptr_xchg_inline__attach(skel); }
void kptr_xchg_inline::detach(struct kptr_xchg_inline *skel) { kptr_xchg_inline__detach(skel); }
void kptr_xchg_inline::destroy(struct kptr_xchg_inline *skel) { kptr_xchg_inline__destroy(skel); }
const void *kptr_xchg_inline::elf_bytes(size_t *sz) { return kptr_xchg_inline__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
kptr_xchg_inline__assert(struct kptr_xchg_inline *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __KPTR_XCHG_INLINE_SKEL_H__ */
