/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __LOCAL_STORAGE_BENCH_SKEL_H__
#define __LOCAL_STORAGE_BENCH_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct local_storage_bench {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *array_of_local_storage_maps;
		struct bpf_map *array_of_hash_maps;
		struct bpf_map *bss;
		struct bpf_map *rodata;
	} maps;
	struct {
		struct bpf_program *get_local;
	} progs;
	struct {
		struct bpf_link *get_local;
	} links;
	struct local_storage_bench__bss {
		long hits;
		long important_hits;
	} *bss;
	struct local_storage_bench__rodata {
		unsigned int use_hashmap;
		unsigned int hashmap_num_keys;
		unsigned int num_maps;
		unsigned int interleave;
	} *rodata;

#ifdef __cplusplus
	static inline struct local_storage_bench *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct local_storage_bench *open_and_load();
	static inline int load(struct local_storage_bench *skel);
	static inline int attach(struct local_storage_bench *skel);
	static inline void detach(struct local_storage_bench *skel);
	static inline void destroy(struct local_storage_bench *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
local_storage_bench__destroy(struct local_storage_bench *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
local_storage_bench__create_skeleton(struct local_storage_bench *obj);

static inline struct local_storage_bench *
local_storage_bench__open_opts(const struct bpf_object_open_opts *opts)
{
	struct local_storage_bench *obj;
	int err;

	obj = (struct local_storage_bench *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = local_storage_bench__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	local_storage_bench__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct local_storage_bench *
local_storage_bench__open(void)
{
	return local_storage_bench__open_opts(NULL);
}

static inline int
local_storage_bench__load(struct local_storage_bench *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct local_storage_bench *
local_storage_bench__open_and_load(void)
{
	struct local_storage_bench *obj;
	int err;

	obj = local_storage_bench__open();
	if (!obj)
		return NULL;
	err = local_storage_bench__load(obj);
	if (err) {
		local_storage_bench__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
local_storage_bench__attach(struct local_storage_bench *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
local_storage_bench__detach(struct local_storage_bench *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *local_storage_bench__elf_bytes(size_t *sz);

static inline int
local_storage_bench__create_skeleton(struct local_storage_bench *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "local_storage_bench";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 4;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "array_of_local_storage_maps";
	map->map = &obj->maps.array_of_local_storage_maps;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 1 * s->map_skel_sz);
	map->name = "array_of_hash_maps";
	map->map = &obj->maps.array_of_hash_maps;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 2 * s->map_skel_sz);
	map->name = "local_st.bss";
	map->map = &obj->maps.bss;
	map->mmaped = (void **)&obj->bss;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 3 * s->map_skel_sz);
	map->name = "local_st.rodata";
	map->map = &obj->maps.rodata;
	map->mmaped = (void **)&obj->rodata;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "get_local";
	s->progs[0].prog = &obj->progs.get_local;
	s->progs[0].link = &obj->links.get_local;

	s->data = local_storage_bench__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *local_storage_bench__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x50\x14\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0d\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\x74\
\x65\x78\x74\0\x66\x65\x6e\x74\x72\x79\x2f\x5f\x5f\x78\x36\x34\x5f\x73\x79\x73\
\x5f\x67\x65\x74\x70\x67\x69\x64\0\x2e\x62\x73\x73\0\x6c\x69\x63\x65\x6e\x73\
\x65\0\x2e\x6d\x61\x70\x73\0\x2e\x72\x6f\x64\x61\x74\x61\0\x6c\x6f\x63\x61\x6c\
\x5f\x73\x74\x6f\x72\x61\x67\x65\x5f\x62\x65\x6e\x63\x68\x2e\x63\0\x6c\x6f\x6f\
\x70\0\x67\x65\x74\x5f\x6c\x6f\x63\x61\x6c\0\x68\x69\x74\x73\0\x69\x6d\x70\x6f\
\x72\x74\x61\x6e\x74\x5f\x68\x69\x74\x73\0\x6e\x75\x6d\x5f\x6d\x61\x70\x73\0\
\x75\x73\x65\x5f\x68\x61\x73\x68\x6d\x61\x70\0\x61\x72\x72\x61\x79\x5f\x6f\x66\
\x5f\x6c\x6f\x63\x61\x6c\x5f\x73\x74\x6f\x72\x61\x67\x65\x5f\x6d\x61\x70\x73\0\
\x61\x72\x72\x61\x79\x5f\x6f\x66\x5f\x68\x61\x73\x68\x5f\x6d\x61\x70\x73\0\x68\
\x61\x73\x68\x6d\x61\x70\x5f\x6e\x75\x6d\x5f\x6b\x65\x79\x73\0\x69\x6e\x74\x65\
\x72\x6c\x65\x61\x76\x65\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\
\x2e\x74\x65\x78\x74\0\x2e\x72\x65\x6c\x66\x65\x6e\x74\x72\x79\x2f\x5f\x5f\x78\
\x36\x34\x5f\x73\x79\x73\x5f\x67\x65\x74\x70\x67\x69\x64\0\x2e\x42\x54\x46\0\
\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x4b\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x04\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x61\0\0\0\x02\0\x03\0\0\0\0\0\0\0\0\0\x40\x03\0\0\0\0\0\0\
\x66\0\0\0\x12\0\x04\0\0\0\0\0\0\0\0\0\xb0\0\0\0\0\0\0\0\x70\0\0\0\x11\0\x05\0\
\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x75\0\0\0\x11\0\x05\0\x08\0\0\0\0\0\0\0\x08\
\0\0\0\0\0\0\0\x84\0\0\0\x11\0\x08\0\x08\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x8d\0\
\0\0\x11\0\x08\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x99\0\0\0\x11\0\x07\0\0\0\0\
\0\0\0\0\0\x20\0\0\0\0\0\0\0\xb5\0\0\0\x11\0\x07\0\x20\0\0\0\0\0\0\0\x20\0\0\0\
\0\0\0\0\xc8\0\0\0\x11\0\x08\0\x04\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xd9\0\0\0\
\x11\0\x08\0\x0c\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xe4\0\0\0\x11\0\x06\0\0\0\0\0\
\0\0\0\0\x04\0\0\0\0\0\0\0\xbf\x26\0\0\0\0\0\0\xbc\x17\0\0\0\0\0\0\x18\x01\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x61\x12\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x61\x13\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x16\x03\x02\0\0\0\0\
\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x9c\x27\0\0\0\0\0\0\x63\x7a\xfc\xff\0\0\
\0\0\xb4\x02\0\0\0\0\0\0\x63\x2a\xf8\xff\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\
\0\xfc\xff\xff\xff\x85\0\0\0\x01\0\0\0\xbf\x08\0\0\0\0\0\0\x15\x08\x1d\0\0\0\0\
\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x11\0\0\0\0\0\0\x16\x01\x0b\0\0\0\0\
\0\x85\0\0\0\x07\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x11\0\0\0\0\0\0\
\x9c\x10\0\0\0\0\0\0\x63\x0a\xf8\xff\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\
\xf8\xff\xff\xff\xbf\x81\0\0\0\0\0\0\x85\0\0\0\x01\0\0\0\x05\0\x06\0\0\0\0\0\
\x79\x62\0\0\0\0\0\0\xbf\xa3\0\0\0\0\0\0\x07\x03\0\0\xf8\xff\xff\xff\xbf\x81\0\
\0\0\0\0\0\xb7\x04\0\0\x01\0\0\0\x85\0\0\0\x9c\0\0\0\x79\x61\x08\0\0\0\0\0\x07\
\x01\0\0\x01\0\0\0\x7b\x16\x08\0\0\0\0\0\x61\xa1\xfc\xff\0\0\0\0\x56\x01\x03\0\
\0\0\0\0\x79\x61\x10\0\0\0\0\0\x07\x01\0\0\x01\0\0\0\x7b\x16\x10\0\0\0\0\0\x18\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x11\0\0\0\0\0\0\x94\x07\0\0\x03\0\0\0\x56\
\x07\x2e\0\0\0\0\0\x16\x01\x2d\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x61\x12\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x16\x02\x02\0\0\0\0\0\
\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb4\x02\0\0\0\0\0\0\x63\x2a\xfc\xff\0\0\0\
\0\x63\x2a\xf8\xff\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xfc\xff\xff\xff\x85\
\0\0\0\x01\0\0\0\xbf\x07\0\0\0\0\0\0\x15\x07\x1d\0\0\0\0\0\x18\x01\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x61\x11\0\0\0\0\0\0\x16\x01\x0b\0\0\0\0\0\x85\0\0\0\x07\0\0\0\
\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x11\0\0\0\0\0\0\x9c\x10\0\0\0\0\0\0\
\x63\x0a\xf8\xff\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xf8\xff\xff\xff\xbf\
\x71\0\0\0\0\0\0\x85\0\0\0\x01\0\0\0\x05\0\x06\0\0\0\0\0\x79\x62\0\0\0\0\0\0\
\xbf\xa3\0\0\0\0\0\0\x07\x03\0\0\xf8\xff\xff\xff\xbf\x71\0\0\0\0\0\0\xb7\x04\0\
\0\x01\0\0\0\x85\0\0\0\x9c\0\0\0\x79\x61\x08\0\0\0\0\0\x07\x01\0\0\x01\0\0\0\
\x7b\x16\x08\0\0\0\0\0\x61\xa1\xfc\xff\0\0\0\0\x56\x01\x03\0\0\0\0\0\x79\x61\
\x10\0\0\0\0\0\x07\x01\0\0\x01\0\0\0\x7b\x16\x10\0\0\0\0\0\xb7\0\0\0\0\0\0\0\
\x95\0\0\0\0\0\0\0\x85\0\0\0\x9e\0\0\0\x7b\x0a\xe8\xff\0\0\0\0\xb7\x01\0\0\0\0\
\0\0\x7b\x1a\xf0\xff\0\0\0\0\x7b\x1a\xf8\xff\0\0\0\0\xbf\xa3\0\0\0\0\0\0\x07\
\x03\0\0\xe8\xff\xff\xff\xb4\x01\0\0\x10\x27\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\xb7\x04\0\0\0\0\0\0\x85\0\0\0\xb5\0\0\0\x79\xa1\xf0\xff\0\0\0\0\x18\x02\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xdb\x12\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x79\xa2\xf8\xff\0\0\0\0\xdb\x21\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\
\0\0\0\0\x47\x50\x4c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x01\0\0\0\x08\0\0\0\x28\0\
\0\0\0\0\0\0\x01\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\x01\0\0\0\x0a\0\0\0\x58\0\0\
\0\0\0\0\0\x01\0\0\0\x0b\0\0\0\xb0\0\0\0\0\0\0\0\x01\0\0\0\x09\0\0\0\xd8\0\0\0\
\0\0\0\0\x01\0\0\0\x0c\0\0\0\x98\x01\0\0\0\0\0\0\x01\0\0\0\x0d\0\0\0\xc8\x01\0\
\0\0\0\0\0\x01\0\0\0\x09\0\0\0\xe0\x01\0\0\0\0\0\0\x01\0\0\0\x0a\0\0\0\xf8\x01\
\0\0\0\0\0\0\x01\0\0\0\x0b\0\0\0\x48\x02\0\0\0\0\0\0\x01\0\0\0\x09\0\0\0\x70\
\x02\0\0\0\0\0\0\x01\0\0\0\x0c\0\0\0\x40\0\0\0\0\0\0\0\x01\0\0\0\x02\0\0\0\x68\
\0\0\0\0\0\0\0\x01\0\0\0\x06\0\0\0\x80\0\0\0\0\0\0\0\x01\0\0\0\x07\0\0\0\x9f\
\xeb\x01\0\x18\0\0\0\0\0\0\0\x28\x04\0\0\x28\x04\0\0\x6a\x04\0\0\0\0\0\0\0\0\0\
\x02\x03\0\0\0\x01\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\0\0\0\0\0\0\0\x03\0\0\
\0\0\x02\0\0\0\x04\0\0\0\x0c\0\0\0\x05\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\
\0\0\0\0\0\x02\x06\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\xe8\x03\
\0\0\0\0\0\0\0\0\0\x02\x02\0\0\0\0\0\0\0\0\0\0\x02\x09\0\0\0\0\0\0\0\x04\0\0\
\x04\x20\0\0\0\x19\0\0\0\x0a\0\0\0\0\0\0\0\x1e\0\0\0\x0c\0\0\0\x40\0\0\0\x28\0\
\0\0\x07\0\0\0\x80\0\0\0\x2c\0\0\0\x07\0\0\0\xc0\0\0\0\0\0\0\0\0\0\0\x02\x0b\0\
\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x1d\0\0\0\0\0\0\0\0\0\0\x02\
\x0d\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x01\0\0\0\0\0\0\0\0\0\
\0\x03\0\0\0\0\x08\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\x05\0\0\x04\x20\0\0\0\x19\0\
\0\0\x01\0\0\0\0\0\0\0\x32\0\0\0\x05\0\0\0\x40\0\0\0\x28\0\0\0\x07\0\0\0\x80\0\
\0\0\x2c\0\0\0\x07\0\0\0\xc0\0\0\0\x3e\0\0\0\x0e\0\0\0\0\x01\0\0\x45\0\0\0\0\0\
\0\x0e\x0f\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x12\0\0\0\0\0\0\0\x04\0\0\x04\x20\
\0\0\0\x19\0\0\0\x0c\0\0\0\0\0\0\0\x32\0\0\0\x13\0\0\0\x40\0\0\0\x28\0\0\0\x07\
\0\0\0\x80\0\0\0\x2c\0\0\0\x07\0\0\0\xc0\0\0\0\0\0\0\0\0\0\0\x02\x14\0\0\0\0\0\
\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\x03\0\0\0\0\
\x11\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\x05\0\0\x04\x20\0\0\0\x19\0\0\0\x01\0\0\0\
\0\0\0\0\x32\0\0\0\x05\0\0\0\x40\0\0\0\x28\0\0\0\x07\0\0\0\x80\0\0\0\x2c\0\0\0\
\x07\0\0\0\xc0\0\0\0\x3e\0\0\0\x15\0\0\0\0\x01\0\0\x61\0\0\0\0\0\0\x0e\x16\0\0\
\0\x01\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\0\0\x01\0\0\x0d\x02\0\0\0\x74\0\0\0\
\x18\0\0\0\x78\0\0\0\x01\0\0\x0c\x19\0\0\0\x82\0\0\0\0\0\0\x08\x1c\0\0\0\x86\0\
\0\0\0\0\0\x08\x1d\0\0\0\x8c\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\x02\0\
\0\x0d\x1f\0\0\0\x99\0\0\0\x1b\0\0\0\x74\0\0\0\x18\0\0\0\x9f\0\0\0\0\0\0\x01\
\x08\0\0\0\x40\0\0\x01\xa4\0\0\0\0\0\0\x0c\x1e\0\0\0\xa9\0\0\0\0\0\0\x0e\x1f\0\
\0\0\x01\0\0\0\xae\0\0\0\0\0\0\x0e\x1f\0\0\0\x01\0\0\0\xbd\0\0\0\0\0\0\x01\x01\
\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x23\0\0\0\x04\0\0\0\x04\0\0\0\xc2\
\0\0\0\0\0\0\x0e\x24\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x0a\x27\0\0\0\0\0\0\0\0\0\0\
\x09\x1d\0\0\0\xcb\0\0\0\0\0\0\x0e\x26\0\0\0\x01\0\0\0\xd7\0\0\0\0\0\0\x0e\x26\
\0\0\0\x01\0\0\0\xe8\0\0\0\0\0\0\x0e\x26\0\0\0\x01\0\0\0\xf1\0\0\0\0\0\0\x0e\
\x26\0\0\0\x01\0\0\0\x30\x04\0\0\x02\0\0\x0f\x10\0\0\0\x21\0\0\0\0\0\0\0\x08\0\
\0\0\x22\0\0\0\x08\0\0\0\x08\0\0\0\x35\x04\0\0\x01\0\0\x0f\x04\0\0\0\x25\0\0\0\
\0\0\0\0\x04\0\0\0\x3d\x04\0\0\x02\0\0\x0f\x40\0\0\0\x10\0\0\0\0\0\0\0\x20\0\0\
\0\x17\0\0\0\x20\0\0\0\x20\0\0\0\x43\x04\0\0\x04\0\0\x0f\x10\0\0\0\x28\0\0\0\0\
\0\0\0\x04\0\0\0\x29\0\0\0\x04\0\0\0\x04\0\0\0\x2a\0\0\0\x08\0\0\0\x04\0\0\0\
\x2b\0\0\0\x0c\0\0\0\x04\0\0\0\0\x69\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\
\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x74\x79\x70\x65\0\x6d\x61\x70\
\x5f\x66\x6c\x61\x67\x73\0\x6b\x65\x79\0\x76\x61\x6c\x75\x65\0\x6d\x61\x78\x5f\
\x65\x6e\x74\x72\x69\x65\x73\0\x76\x61\x6c\x75\x65\x73\0\x61\x72\x72\x61\x79\
\x5f\x6f\x66\x5f\x6c\x6f\x63\x61\x6c\x5f\x73\x74\x6f\x72\x61\x67\x65\x5f\x6d\
\x61\x70\x73\0\x61\x72\x72\x61\x79\x5f\x6f\x66\x5f\x68\x61\x73\x68\x5f\x6d\x61\
\x70\x73\0\x63\x74\x78\0\x67\x65\x74\x5f\x6c\x6f\x63\x61\x6c\0\x75\x33\x32\0\
\x5f\x5f\x75\x33\x32\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x69\
\x6e\x64\x65\x78\0\x6c\x6f\x6e\x67\0\x6c\x6f\x6f\x70\0\x68\x69\x74\x73\0\x69\
\x6d\x70\x6f\x72\x74\x61\x6e\x74\x5f\x68\x69\x74\x73\0\x63\x68\x61\x72\0\x5f\
\x6c\x69\x63\x65\x6e\x73\x65\0\x75\x73\x65\x5f\x68\x61\x73\x68\x6d\x61\x70\0\
\x68\x61\x73\x68\x6d\x61\x70\x5f\x6e\x75\x6d\x5f\x6b\x65\x79\x73\0\x6e\x75\x6d\
\x5f\x6d\x61\x70\x73\0\x69\x6e\x74\x65\x72\x6c\x65\x61\x76\x65\0\x2f\x62\x75\
\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\
\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x37\x30\x2e\x32\
\x38\x2e\x31\x2e\x65\x6c\x39\x5f\x36\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\
\x34\x2e\x30\x2d\x35\x37\x30\x2e\x32\x38\x2e\x31\x2e\x65\x6c\x39\x5f\x36\x2e\
\x78\x38\x36\x5f\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\
\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\
\x67\x73\x2f\x6c\x6f\x63\x61\x6c\x5f\x73\x74\x6f\x72\x61\x67\x65\x5f\x62\x65\
\x6e\x63\x68\x2e\x63\0\x73\x74\x61\x74\x69\x63\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\
\x6f\x70\x28\x75\x33\x32\x20\x69\x6e\x64\x65\x78\x2c\x20\x76\x6f\x69\x64\x20\
\x2a\x63\x74\x78\x29\0\x09\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\x20\
\x6d\x61\x70\x5f\x69\x64\x78\x20\x3d\x20\x69\x6e\x64\x65\x78\x20\x25\x20\x6e\
\x75\x6d\x5f\x6d\x61\x70\x73\x3b\0\x09\x69\x66\x20\x28\x75\x73\x65\x5f\x68\x61\
\x73\x68\x6d\x61\x70\x29\0\x09\x69\x6e\x74\x20\x69\x64\x78\x20\x3d\x20\x30\x3b\
\0\x09\x69\x6e\x6e\x65\x72\x5f\x6d\x61\x70\x20\x3d\x20\x62\x70\x66\x5f\x6d\x61\
\x70\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\x65\x6c\x65\x6d\x28\x6d\x61\x70\x2c\x20\
\x26\x65\x6c\x65\x6d\x29\x3b\0\x09\x69\x66\x20\x28\x21\x69\x6e\x6e\x65\x72\x5f\
\x6d\x61\x70\x29\0\x09\x69\x66\x20\x28\x75\x73\x65\x5f\x68\x61\x73\x68\x6d\x61\
\x70\x29\x20\x7b\0\x09\x09\x69\x64\x78\x20\x3d\x20\x62\x70\x66\x5f\x67\x65\x74\
\x5f\x70\x72\x61\x6e\x64\x6f\x6d\x5f\x75\x33\x32\x28\x29\x20\x25\x20\x68\x61\
\x73\x68\x6d\x61\x70\x5f\x6e\x75\x6d\x5f\x6b\x65\x79\x73\x3b\0\x09\x09\x62\x70\
\x66\x5f\x6d\x61\x70\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\x65\x6c\x65\x6d\x28\x69\
\x6e\x6e\x65\x72\x5f\x6d\x61\x70\x2c\x20\x26\x69\x64\x78\x29\x3b\0\x09\x7d\x20\
\x65\x6c\x73\x65\x20\x7b\0\x09\x09\x62\x70\x66\x5f\x74\x61\x73\x6b\x5f\x73\x74\
\x6f\x72\x61\x67\x65\x5f\x67\x65\x74\x28\x69\x6e\x6e\x65\x72\x5f\x6d\x61\x70\
\x2c\x20\x6c\x63\x74\x78\x2d\x3e\x74\x61\x73\x6b\x2c\x20\x26\x69\x64\x78\x2c\0\
\x09\x6c\x63\x74\x78\x2d\x3e\x6c\x6f\x6f\x70\x5f\x68\x69\x74\x73\x2b\x2b\x3b\0\
\x09\x69\x66\x20\x28\x21\x65\x6c\x65\x6d\x29\0\x09\x09\x6c\x63\x74\x78\x2d\x3e\
\x6c\x6f\x6f\x70\x5f\x69\x6d\x70\x6f\x72\x74\x61\x6e\x74\x5f\x68\x69\x74\x73\
\x2b\x2b\x3b\0\x09\x69\x66\x20\x28\x69\x6e\x74\x65\x72\x6c\x65\x61\x76\x65\x20\
\x26\x26\x20\x6d\x61\x70\x5f\x69\x64\x78\x20\x25\x20\x33\x20\x3d\x3d\x20\x30\
\x29\0\x09\x72\x65\x74\x75\x72\x6e\x20\x30\x3b\0\x09\x6c\x63\x74\x78\x2e\x74\
\x61\x73\x6b\x20\x3d\x20\x62\x70\x66\x5f\x67\x65\x74\x5f\x63\x75\x72\x72\x65\
\x6e\x74\x5f\x74\x61\x73\x6b\x5f\x62\x74\x66\x28\x29\x3b\0\x09\x6c\x63\x74\x78\
\x2e\x6c\x6f\x6f\x70\x5f\x69\x6d\x70\x6f\x72\x74\x61\x6e\x74\x5f\x68\x69\x74\
\x73\x20\x3d\x20\x30\x3b\0\x09\x62\x70\x66\x5f\x6c\x6f\x6f\x70\x28\x31\x30\x30\
\x30\x30\x2c\x20\x26\x6c\x6f\x6f\x70\x2c\x20\x26\x6c\x63\x74\x78\x2c\x20\x30\
\x29\x3b\0\x09\x5f\x5f\x73\x79\x6e\x63\x5f\x61\x64\x64\x5f\x61\x6e\x64\x5f\x66\
\x65\x74\x63\x68\x28\x26\x68\x69\x74\x73\x2c\x20\x6c\x63\x74\x78\x2e\x6c\x6f\
\x6f\x70\x5f\x68\x69\x74\x73\x29\x3b\0\x09\x5f\x5f\x73\x79\x6e\x63\x5f\x61\x64\
\x64\x5f\x61\x6e\x64\x5f\x66\x65\x74\x63\x68\x28\x26\x69\x6d\x70\x6f\x72\x74\
\x61\x6e\x74\x5f\x68\x69\x74\x73\x2c\x20\x6c\x63\x74\x78\x2e\x6c\x6f\x6f\x70\
\x5f\x69\x6d\x70\x6f\x72\x74\x61\x6e\x74\x5f\x68\x69\x74\x73\x29\x3b\0\x2e\x62\
\x73\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x6d\x61\x70\x73\0\x2e\x72\x6f\x64\
\x61\x74\x61\0\x2e\x74\x65\x78\x74\0\x66\x65\x6e\x74\x72\x79\x2f\x5f\x5f\x78\
\x36\x34\x5f\x73\x79\x73\x5f\x67\x65\x74\x70\x67\x69\x64\0\0\0\0\0\0\0\x9f\xeb\
\x01\0\x20\0\0\0\0\0\0\0\x24\0\0\0\x24\0\0\0\x54\x03\0\0\x78\x03\0\0\0\0\0\0\
\x08\0\0\0\x4b\x04\0\0\x01\0\0\0\0\0\0\0\x20\0\0\0\x51\x04\0\0\x01\0\0\0\0\0\0\
\0\x1a\0\0\0\x10\0\0\0\x4b\x04\0\0\x2a\0\0\0\0\0\0\0\xfc\0\0\0\x8a\x01\0\0\0\
\x3c\x01\0\x10\0\0\0\xfc\0\0\0\xb1\x01\0\0\x21\x48\x01\0\x28\0\0\0\xfc\0\0\0\
\xdb\x01\0\0\x06\xe0\0\0\x68\0\0\0\xfc\0\0\0\xb1\x01\0\0\x1f\x48\x01\0\x80\0\0\
\0\xfc\0\0\0\xed\x01\0\0\x06\xd8\0\0\x98\0\0\0\xfc\0\0\0\xfb\x01\0\0\x0e\xf4\0\
\0\xa8\0\0\0\xfc\0\0\0\x29\x02\0\0\x06\xf8\0\0\xb0\0\0\0\xfc\0\0\0\x3a\x02\0\0\
\x06\x04\x01\0\xc8\0\0\0\xfc\0\0\0\x3a\x02\0\0\x06\x04\x01\0\xd0\0\0\0\xfc\0\0\
\0\x4e\x02\0\0\x09\x08\x01\0\xd8\0\0\0\xfc\0\0\0\x4e\x02\0\0\x21\x08\x01\0\xf0\
\0\0\0\xfc\0\0\0\x4e\x02\0\0\x1f\x08\x01\0\xf8\0\0\0\xfc\0\0\0\x4e\x02\0\0\x07\
\x08\x01\0\x10\x01\0\0\xfc\0\0\0\x80\x02\0\0\x03\x0c\x01\0\x20\x01\0\0\xfc\0\0\
\0\xa8\x02\0\0\x02\x10\x01\0\x28\x01\0\0\xfc\0\0\0\xb2\x02\0\0\x29\x14\x01\0\
\x40\x01\0\0\xfc\0\0\0\xb2\x02\0\0\x03\x14\x01\0\x58\x01\0\0\xfc\0\0\0\xe6\x02\
\0\0\x11\x24\x01\0\x70\x01\0\0\xfc\0\0\0\xfa\x02\0\0\x07\x28\x01\0\x78\x01\0\0\
\xfc\0\0\0\xfa\x02\0\0\x06\x28\x01\0\x80\x01\0\0\xfc\0\0\0\x06\x03\0\0\x1c\x2c\
\x01\0\x98\x01\0\0\xfc\0\0\0\x25\x03\0\0\x06\x54\x01\0\xb8\x01\0\0\xfc\0\0\0\
\x25\x03\0\0\x11\x54\x01\0\xc8\x01\0\0\xfc\0\0\0\xdb\x01\0\0\x06\xe0\0\0\x18\
\x02\0\0\xfc\0\0\0\xed\x01\0\0\x06\xd8\0\0\x30\x02\0\0\xfc\0\0\0\xfb\x01\0\0\
\x0e\xf4\0\0\x40\x02\0\0\xfc\0\0\0\x29\x02\0\0\x06\xf8\0\0\x48\x02\0\0\xfc\0\0\
\0\x3a\x02\0\0\x06\x04\x01\0\x60\x02\0\0\xfc\0\0\0\x3a\x02\0\0\x06\x04\x01\0\
\x68\x02\0\0\xfc\0\0\0\x4e\x02\0\0\x09\x08\x01\0\x70\x02\0\0\xfc\0\0\0\x4e\x02\
\0\0\x21\x08\x01\0\x88\x02\0\0\xfc\0\0\0\x4e\x02\0\0\x1f\x08\x01\0\x90\x02\0\0\
\xfc\0\0\0\x4e\x02\0\0\x07\x08\x01\0\xa8\x02\0\0\xfc\0\0\0\x80\x02\0\0\x03\x0c\
\x01\0\xb8\x02\0\0\xfc\0\0\0\xa8\x02\0\0\x02\x10\x01\0\xc0\x02\0\0\xfc\0\0\0\
\xb2\x02\0\0\x29\x14\x01\0\xd8\x02\0\0\xfc\0\0\0\xb2\x02\0\0\x03\x14\x01\0\xf0\
\x02\0\0\xfc\0\0\0\xe6\x02\0\0\x11\x24\x01\0\x08\x03\0\0\xfc\0\0\0\xfa\x02\0\0\
\x07\x28\x01\0\x10\x03\0\0\xfc\0\0\0\xfa\x02\0\0\x06\x28\x01\0\x18\x03\0\0\xfc\
\0\0\0\x06\x03\0\0\x1c\x2c\x01\0\x30\x03\0\0\xfc\0\0\0\x4a\x03\0\0\x02\x5c\x01\
\0\x51\x04\0\0\x0a\0\0\0\0\0\0\0\xfc\0\0\0\x55\x03\0\0\x0e\x7c\x01\0\x08\0\0\0\
\xfc\0\0\0\x55\x03\0\0\x0c\x7c\x01\0\x18\0\0\0\xfc\0\0\0\x7e\x03\0\0\x1b\x84\
\x01\0\x38\0\0\0\xfc\0\0\0\x9d\x03\0\0\x02\x88\x01\0\x60\0\0\0\xfc\0\0\0\xc0\
\x03\0\0\x23\x8c\x01\0\x68\0\0\0\xfc\0\0\0\xc0\x03\0\0\x02\x8c\x01\0\x80\0\0\0\
\xfc\0\0\0\xee\x03\0\0\x02\x90\x01\0\x90\0\0\0\xfc\0\0\0\xee\x03\0\0\x2d\x90\
\x01\0\x98\0\0\0\xfc\0\0\0\xee\x03\0\0\x02\x90\x01\0\xa0\0\0\0\xfc\0\0\0\x4a\
\x03\0\0\x02\x94\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\
\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x22\x01\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x68\x01\0\0\0\0\0\0\x68\x01\0\0\0\0\0\0\x01\0\
\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\xd0\x02\0\0\0\0\0\0\x40\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x17\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x10\x06\0\0\0\0\0\0\xb0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x30\0\0\0\x08\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xc0\x06\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x35\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc0\x06\0\0\0\
\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x3d\
\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc8\x06\0\0\0\0\0\0\x40\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x43\0\0\0\x01\0\0\
\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\x07\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xed\0\0\0\x09\0\0\0\x40\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x18\x07\0\0\0\0\0\0\xc0\0\0\0\0\0\0\0\x02\0\0\0\x03\0\0\
\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xf7\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\xd8\x07\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x08\0\
\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x14\x01\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x08\x08\0\0\0\0\0\0\xaa\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x19\x01\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb8\
\x10\0\0\0\0\0\0\x98\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct local_storage_bench *local_storage_bench::open(const struct bpf_object_open_opts *opts) { return local_storage_bench__open_opts(opts); }
struct local_storage_bench *local_storage_bench::open_and_load() { return local_storage_bench__open_and_load(); }
int local_storage_bench::load(struct local_storage_bench *skel) { return local_storage_bench__load(skel); }
int local_storage_bench::attach(struct local_storage_bench *skel) { return local_storage_bench__attach(skel); }
void local_storage_bench::detach(struct local_storage_bench *skel) { local_storage_bench__detach(skel); }
void local_storage_bench::destroy(struct local_storage_bench *skel) { local_storage_bench__destroy(skel); }
const void *local_storage_bench::elf_bytes(size_t *sz) { return local_storage_bench__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
local_storage_bench__assert(struct local_storage_bench *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->hits) == 8, "unexpected size of 'hits'");
	_Static_assert(sizeof(s->bss->important_hits) == 8, "unexpected size of 'important_hits'");
	_Static_assert(sizeof(s->rodata->use_hashmap) == 4, "unexpected size of 'use_hashmap'");
	_Static_assert(sizeof(s->rodata->hashmap_num_keys) == 4, "unexpected size of 'hashmap_num_keys'");
	_Static_assert(sizeof(s->rodata->num_maps) == 4, "unexpected size of 'num_maps'");
	_Static_assert(sizeof(s->rodata->interleave) == 4, "unexpected size of 'interleave'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __LOCAL_STORAGE_BENCH_SKEL_H__ */
