/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __LOCAL_STORAGE_RCU_TASKS_TRACE_BENCH_SKEL_H__
#define __LOCAL_STORAGE_RCU_TASKS_TRACE_BENCH_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct local_storage_rcu_tasks_trace_bench {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *task_storage;
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *get_local;
		struct bpf_program *pregp_step;
		struct bpf_program *postgp;
	} progs;
	struct {
		struct bpf_link *get_local;
		struct bpf_link *pregp_step;
		struct bpf_link *postgp;
	} links;
	struct local_storage_rcu_tasks_trace_bench__bss {
		long hits;
		long current_gp_start;
		bool postgp_seen;
		char __pad0[7];
		long unexpected;
		long gp_times;
		long gp_hits;
	} *bss;

#ifdef __cplusplus
	static inline struct local_storage_rcu_tasks_trace_bench *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct local_storage_rcu_tasks_trace_bench *open_and_load();
	static inline int load(struct local_storage_rcu_tasks_trace_bench *skel);
	static inline int attach(struct local_storage_rcu_tasks_trace_bench *skel);
	static inline void detach(struct local_storage_rcu_tasks_trace_bench *skel);
	static inline void destroy(struct local_storage_rcu_tasks_trace_bench *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
local_storage_rcu_tasks_trace_bench__destroy(struct local_storage_rcu_tasks_trace_bench *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
local_storage_rcu_tasks_trace_bench__create_skeleton(struct local_storage_rcu_tasks_trace_bench *obj);

static inline struct local_storage_rcu_tasks_trace_bench *
local_storage_rcu_tasks_trace_bench__open_opts(const struct bpf_object_open_opts *opts)
{
	struct local_storage_rcu_tasks_trace_bench *obj;
	int err;

	obj = (struct local_storage_rcu_tasks_trace_bench *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = local_storage_rcu_tasks_trace_bench__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	local_storage_rcu_tasks_trace_bench__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct local_storage_rcu_tasks_trace_bench *
local_storage_rcu_tasks_trace_bench__open(void)
{
	return local_storage_rcu_tasks_trace_bench__open_opts(NULL);
}

static inline int
local_storage_rcu_tasks_trace_bench__load(struct local_storage_rcu_tasks_trace_bench *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct local_storage_rcu_tasks_trace_bench *
local_storage_rcu_tasks_trace_bench__open_and_load(void)
{
	struct local_storage_rcu_tasks_trace_bench *obj;
	int err;

	obj = local_storage_rcu_tasks_trace_bench__open();
	if (!obj)
		return NULL;
	err = local_storage_rcu_tasks_trace_bench__load(obj);
	if (err) {
		local_storage_rcu_tasks_trace_bench__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
local_storage_rcu_tasks_trace_bench__attach(struct local_storage_rcu_tasks_trace_bench *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
local_storage_rcu_tasks_trace_bench__detach(struct local_storage_rcu_tasks_trace_bench *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *local_storage_rcu_tasks_trace_bench__elf_bytes(size_t *sz);

static inline int
local_storage_rcu_tasks_trace_bench__create_skeleton(struct local_storage_rcu_tasks_trace_bench *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "local_storage_rcu_tasks_trace_bench";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 2;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "task_storage";
	map->map = &obj->maps.task_storage;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 1 * s->map_skel_sz);
	map->name = "local_st.bss";
	map->map = &obj->maps.bss;
	map->mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 3;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "get_local";
	s->progs[0].prog = &obj->progs.get_local;
	s->progs[0].link = &obj->links.get_local;

	s->progs[1].name = "pregp_step";
	s->progs[1].prog = &obj->progs.pregp_step;
	s->progs[1].link = &obj->links.pregp_step;

	s->progs[2].name = "postgp";
	s->progs[2].prog = &obj->progs.postgp;
	s->progs[2].link = &obj->links.postgp;

	s->data = local_storage_rcu_tasks_trace_bench__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *local_storage_rcu_tasks_trace_bench__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xd8\x0f\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0e\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x66\x65\
\x6e\x74\x72\x79\x2f\x5f\x5f\x78\x36\x34\x5f\x73\x79\x73\x5f\x67\x65\x74\x70\
\x67\x69\x64\0\x66\x65\x6e\x74\x72\x79\x2f\x72\x63\x75\x5f\x74\x61\x73\x6b\x73\
\x5f\x74\x72\x61\x63\x65\x5f\x70\x72\x65\x67\x70\x5f\x73\x74\x65\x70\0\x66\x65\
\x6e\x74\x72\x79\x2f\x72\x63\x75\x5f\x74\x61\x73\x6b\x73\x5f\x74\x72\x61\x63\
\x65\x5f\x70\x6f\x73\x74\x67\x70\0\x2e\x6d\x61\x70\x73\0\x2e\x62\x73\x73\0\x6c\
\x69\x63\x65\x6e\x73\x65\0\x6c\x6f\x63\x61\x6c\x5f\x73\x74\x6f\x72\x61\x67\x65\
\x5f\x72\x63\x75\x5f\x74\x61\x73\x6b\x73\x5f\x74\x72\x61\x63\x65\x5f\x62\x65\
\x6e\x63\x68\x2e\x63\0\x67\x65\x74\x5f\x6c\x6f\x63\x61\x6c\0\x74\x61\x73\x6b\
\x5f\x73\x74\x6f\x72\x61\x67\x65\0\x68\x69\x74\x73\0\x70\x72\x65\x67\x70\x5f\
\x73\x74\x65\x70\0\x63\x75\x72\x72\x65\x6e\x74\x5f\x67\x70\x5f\x73\x74\x61\x72\
\x74\0\x70\x6f\x73\x74\x67\x70\0\x70\x6f\x73\x74\x67\x70\x5f\x73\x65\x65\x6e\0\
\x75\x6e\x65\x78\x70\x65\x63\x74\x65\x64\0\x67\x70\x5f\x74\x69\x6d\x65\x73\0\
\x67\x70\x5f\x68\x69\x74\x73\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\
\x6c\x66\x65\x6e\x74\x72\x79\x2f\x5f\x5f\x78\x36\x34\x5f\x73\x79\x73\x5f\x67\
\x65\x74\x70\x67\x69\x64\0\x2e\x72\x65\x6c\x66\x65\x6e\x74\x72\x79\x2f\x72\x63\
\x75\x5f\x74\x61\x73\x6b\x73\x5f\x74\x72\x61\x63\x65\x5f\x70\x72\x65\x67\x70\
\x5f\x73\x74\x65\x70\0\x2e\x72\x65\x6c\x66\x65\x6e\x74\x72\x79\x2f\x72\x63\x75\
\x5f\x74\x61\x73\x6b\x73\x5f\x74\x72\x61\x63\x65\x5f\x70\x6f\x73\x74\x67\x70\0\
\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x7d\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x04\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\xa3\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\xc0\0\0\0\0\0\0\0\xad\0\0\0\x11\0\
\x06\0\0\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\xba\0\0\0\x11\0\x07\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\xbf\0\0\0\x12\0\x04\0\0\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\xca\
\0\0\0\x11\0\x07\0\x08\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\xdb\0\0\0\x12\0\x05\0\0\
\0\0\0\0\0\0\0\xf8\0\0\0\0\0\0\0\xe2\0\0\0\x11\0\x07\0\x10\0\0\0\0\0\0\0\x01\0\
\0\0\0\0\0\0\xee\0\0\0\x11\0\x07\0\x18\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\xf9\0\0\
\0\x11\0\x07\0\x20\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x02\x01\0\0\x11\0\x07\0\x28\
\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x0a\x01\0\0\x11\0\x08\0\0\0\0\0\0\0\0\0\x04\0\
\0\0\0\0\0\0\xb4\x01\0\0\0\0\0\0\x63\x1a\xfc\xff\0\0\0\0\x85\0\0\0\x9e\0\0\0\
\xbf\x06\0\0\0\0\0\0\xbf\xa3\0\0\0\0\0\0\x07\x03\0\0\xfc\xff\xff\xff\xb7\x07\0\
\0\x01\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xbf\x62\0\0\0\0\0\0\xb7\x04\0\
\0\x01\0\0\0\x85\0\0\0\x9c\0\0\0\x15\0\x09\0\0\0\0\0\xb4\x01\0\0\x03\0\0\0\x63\
\x10\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xbf\x62\0\0\0\0\0\0\x85\0\
\0\0\x9d\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xdb\x71\0\0\0\0\0\0\xb4\0\0\
\0\0\0\0\0\x95\0\0\0\0\0\0\0\x85\0\0\0\x05\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x7b\x01\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x18\x06\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x79\x61\0\0\0\0\0\0\x55\x01\x09\0\0\0\0\0\x18\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x71\x11\0\0\0\0\0\0\x56\x01\x05\0\x01\0\0\0\xb7\x01\0\0\
\x01\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xdb\x12\0\0\0\0\0\0\x05\0\x10\0\
\0\0\0\0\x85\0\0\0\x05\0\0\0\x79\x61\0\0\0\0\0\0\x1f\x10\0\0\0\0\0\0\x18\x01\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\xdb\x01\0\0\0\0\0\0\xb7\x01\0\0\x01\0\0\0\x18\x02\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\xdb\x12\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\xb4\x02\0\0\x01\0\0\0\x73\x21\0\0\0\0\0\0\xb7\x01\0\0\0\0\0\0\x7b\x16\0\0\
\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\x38\0\0\0\0\0\0\0\x01\0\0\
\0\x06\0\0\0\x78\0\0\0\0\0\0\0\x01\0\0\0\x06\0\0\0\x98\0\0\0\0\0\0\0\x01\0\0\0\
\x07\0\0\0\x08\0\0\0\0\0\0\0\x01\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x09\
\0\0\0\x20\0\0\0\0\0\0\0\x01\0\0\0\x0b\0\0\0\x48\0\0\0\0\0\0\0\x01\0\0\0\x0c\0\
\0\0\x80\0\0\0\0\0\0\0\x01\0\0\0\x0d\0\0\0\xa0\0\0\0\0\0\0\0\x01\0\0\0\x0e\0\0\
\0\xb8\0\0\0\0\0\0\0\x01\0\0\0\x0b\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\x84\
\x03\0\0\x84\x03\0\0\x31\x04\0\0\0\0\0\0\0\0\0\x02\x03\0\0\0\x01\0\0\0\0\0\0\
\x01\x04\0\0\0\x20\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x1d\0\
\0\0\x05\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x02\x06\0\0\0\0\0\0\
\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x02\0\0\0\
\0\0\0\0\x04\0\0\x04\x20\0\0\0\x19\0\0\0\x01\0\0\0\0\0\0\0\x1e\0\0\0\x05\0\0\0\
\x40\0\0\0\x28\0\0\0\x07\0\0\0\x80\0\0\0\x2c\0\0\0\x07\0\0\0\xc0\0\0\0\x32\0\0\
\0\0\0\0\x0e\x08\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\0\0\x01\0\0\x0d\
\x02\0\0\0\x3f\0\0\0\x0a\0\0\0\x43\0\0\0\x01\0\0\x0c\x0b\0\0\0\0\0\0\0\0\0\0\
\x02\x0e\0\0\0\x4d\0\0\0\x15\0\0\x04\xa8\0\0\0\x55\0\0\0\x0f\0\0\0\0\0\0\0\x59\
\0\0\0\x0f\0\0\0\x40\0\0\0\x5d\0\0\0\x0f\0\0\0\x80\0\0\0\x61\0\0\0\x0f\0\0\0\
\xc0\0\0\0\x65\0\0\0\x0f\0\0\0\0\x01\0\0\x68\0\0\0\x0f\0\0\0\x40\x01\0\0\x6b\0\
\0\0\x0f\0\0\0\x80\x01\0\0\x6f\0\0\0\x0f\0\0\0\xc0\x01\0\0\x73\0\0\0\x0f\0\0\0\
\0\x02\0\0\x76\0\0\0\x0f\0\0\0\x40\x02\0\0\x79\0\0\0\x0f\0\0\0\x80\x02\0\0\x7c\
\0\0\0\x0f\0\0\0\xc0\x02\0\0\x7f\0\0\0\x0f\0\0\0\0\x03\0\0\x82\0\0\0\x0f\0\0\0\
\x40\x03\0\0\x85\0\0\0\x0f\0\0\0\x80\x03\0\0\x88\0\0\0\x0f\0\0\0\xc0\x03\0\0\
\x90\0\0\0\x0f\0\0\0\0\x04\0\0\x93\0\0\0\x0f\0\0\0\x40\x04\0\0\x96\0\0\0\x0f\0\
\0\0\x80\x04\0\0\x9c\0\0\0\x0f\0\0\0\xc0\x04\0\0\x9f\0\0\0\x0f\0\0\0\0\x05\0\0\
\xa2\0\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\0\0\0\0\x01\0\0\x0d\x02\0\0\0\x3f\0\0\
\0\x0d\0\0\0\xb0\0\0\0\x01\0\0\x0c\x10\0\0\0\xbb\0\0\0\x01\0\0\x0c\x10\0\0\0\
\xc2\0\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\x01\xc7\0\0\0\0\0\0\x0e\x13\0\0\0\x01\0\
\0\0\xcc\0\0\0\0\0\0\x0e\x13\0\0\0\x01\0\0\0\xdd\0\0\0\0\0\0\x08\x17\0\0\0\xe2\
\0\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x04\xe8\0\0\0\0\0\0\x0e\x16\0\0\0\x01\0\0\0\
\xf4\0\0\0\0\0\0\x0e\x13\0\0\0\x01\0\0\0\xff\0\0\0\0\0\0\x0e\x13\0\0\0\x01\0\0\
\0\x08\x01\0\0\0\0\0\x0e\x13\0\0\0\x01\0\0\0\x10\x01\0\0\0\0\0\x01\x01\0\0\0\
\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x1c\0\0\0\x04\0\0\0\x04\0\0\0\x15\x01\0\
\0\0\0\0\x0e\x1d\0\0\0\x01\0\0\0\xc5\x03\0\0\x01\0\0\x0f\x20\0\0\0\x09\0\0\0\0\
\0\0\0\x20\0\0\0\xcb\x03\0\0\x06\0\0\x0f\x30\0\0\0\x14\0\0\0\0\0\0\0\x08\0\0\0\
\x15\0\0\0\x08\0\0\0\x08\0\0\0\x18\0\0\0\x10\0\0\0\x01\0\0\0\x19\0\0\0\x18\0\0\
\0\x08\0\0\0\x1a\0\0\0\x20\0\0\0\x08\0\0\0\x1b\0\0\0\x28\0\0\0\x08\0\0\0\xd0\
\x03\0\0\x01\0\0\x0f\x04\0\0\0\x1e\0\0\0\0\0\0\0\x04\0\0\0\0\x69\x6e\x74\0\x5f\
\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x74\
\x79\x70\x65\0\x6d\x61\x70\x5f\x66\x6c\x61\x67\x73\0\x6b\x65\x79\0\x76\x61\x6c\
\x75\x65\0\x74\x61\x73\x6b\x5f\x73\x74\x6f\x72\x61\x67\x65\0\x63\x74\x78\0\x67\
\x65\x74\x5f\x6c\x6f\x63\x61\x6c\0\x70\x74\x5f\x72\x65\x67\x73\0\x72\x31\x35\0\
\x72\x31\x34\0\x72\x31\x33\0\x72\x31\x32\0\x62\x70\0\x62\x78\0\x72\x31\x31\0\
\x72\x31\x30\0\x72\x39\0\x72\x38\0\x61\x78\0\x63\x78\0\x64\x78\0\x73\x69\0\x64\
\x69\0\x6f\x72\x69\x67\x5f\x61\x78\0\x69\x70\0\x63\x73\0\x66\x6c\x61\x67\x73\0\
\x73\x70\0\x73\x73\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\0\x70\
\x72\x65\x67\x70\x5f\x73\x74\x65\x70\0\x70\x6f\x73\x74\x67\x70\0\x6c\x6f\x6e\
\x67\0\x68\x69\x74\x73\0\x63\x75\x72\x72\x65\x6e\x74\x5f\x67\x70\x5f\x73\x74\
\x61\x72\x74\0\x62\x6f\x6f\x6c\0\x5f\x42\x6f\x6f\x6c\0\x70\x6f\x73\x74\x67\x70\
\x5f\x73\x65\x65\x6e\0\x75\x6e\x65\x78\x70\x65\x63\x74\x65\x64\0\x67\x70\x5f\
\x74\x69\x6d\x65\x73\0\x67\x70\x5f\x68\x69\x74\x73\0\x63\x68\x61\x72\0\x5f\x6c\
\x69\x63\x65\x6e\x73\x65\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\
\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\
\x34\x2e\x30\x2d\x35\x37\x30\x2e\x32\x38\x2e\x31\x2e\x65\x6c\x39\x5f\x36\x2f\
\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x37\x30\x2e\x32\x38\
\x2e\x31\x2e\x65\x6c\x39\x5f\x36\x2e\x78\x38\x36\x5f\x36\x34\x2f\x74\x6f\x6f\
\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\
\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x6c\x6f\x63\x61\x6c\x5f\x73\
\x74\x6f\x72\x61\x67\x65\x5f\x72\x63\x75\x5f\x74\x61\x73\x6b\x73\x5f\x74\x72\
\x61\x63\x65\x5f\x62\x65\x6e\x63\x68\x2e\x63\0\x69\x6e\x74\x20\x67\x65\x74\x5f\
\x6c\x6f\x63\x61\x6c\x28\x76\x6f\x69\x64\x20\x2a\x63\x74\x78\x29\0\x09\x69\x64\
\x78\x20\x3d\x20\x30\x3b\0\x09\x74\x61\x73\x6b\x20\x3d\x20\x62\x70\x66\x5f\x67\
\x65\x74\x5f\x63\x75\x72\x72\x65\x6e\x74\x5f\x74\x61\x73\x6b\x5f\x62\x74\x66\
\x28\x29\x3b\0\x09\x73\x20\x3d\x20\x62\x70\x66\x5f\x74\x61\x73\x6b\x5f\x73\x74\
\x6f\x72\x61\x67\x65\x5f\x67\x65\x74\x28\x26\x74\x61\x73\x6b\x5f\x73\x74\x6f\
\x72\x61\x67\x65\x2c\x20\x74\x61\x73\x6b\x2c\x20\x26\x69\x64\x78\x2c\0\x09\x69\
\x66\x20\x28\x21\x73\x29\0\x09\x2a\x73\x20\x3d\x20\x33\x3b\0\x09\x62\x70\x66\
\x5f\x74\x61\x73\x6b\x5f\x73\x74\x6f\x72\x61\x67\x65\x5f\x64\x65\x6c\x65\x74\
\x65\x28\x26\x74\x61\x73\x6b\x5f\x73\x74\x6f\x72\x61\x67\x65\x2c\x20\x74\x61\
\x73\x6b\x29\x3b\0\x09\x5f\x5f\x73\x79\x6e\x63\x5f\x61\x64\x64\x5f\x61\x6e\x64\
\x5f\x66\x65\x74\x63\x68\x28\x26\x68\x69\x74\x73\x2c\x20\x31\x29\x3b\0\x7d\0\
\x09\x63\x75\x72\x72\x65\x6e\x74\x5f\x67\x70\x5f\x73\x74\x61\x72\x74\x20\x3d\
\x20\x62\x70\x66\x5f\x6b\x74\x69\x6d\x65\x5f\x67\x65\x74\x5f\x6e\x73\x28\x29\
\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x30\x3b\0\x09\x69\x66\x20\x28\x21\x63\
\x75\x72\x72\x65\x6e\x74\x5f\x67\x70\x5f\x73\x74\x61\x72\x74\x20\x26\x26\x20\
\x70\x6f\x73\x74\x67\x70\x5f\x73\x65\x65\x6e\x29\x20\x7b\0\x09\x09\x5f\x5f\x73\
\x79\x6e\x63\x5f\x61\x64\x64\x5f\x61\x6e\x64\x5f\x66\x65\x74\x63\x68\x28\x26\
\x75\x6e\x65\x78\x70\x65\x63\x74\x65\x64\x2c\x20\x31\x29\x3b\0\x09\x09\x72\x65\
\x74\x75\x72\x6e\x20\x30\x3b\0\x09\x5f\x5f\x73\x79\x6e\x63\x5f\x61\x64\x64\x5f\
\x61\x6e\x64\x5f\x66\x65\x74\x63\x68\x28\x26\x67\x70\x5f\x74\x69\x6d\x65\x73\
\x2c\x20\x62\x70\x66\x5f\x6b\x74\x69\x6d\x65\x5f\x67\x65\x74\x5f\x6e\x73\x28\
\x29\x20\x2d\x20\x63\x75\x72\x72\x65\x6e\x74\x5f\x67\x70\x5f\x73\x74\x61\x72\
\x74\x29\x3b\0\x09\x5f\x5f\x73\x79\x6e\x63\x5f\x61\x64\x64\x5f\x61\x6e\x64\x5f\
\x66\x65\x74\x63\x68\x28\x26\x67\x70\x5f\x68\x69\x74\x73\x2c\x20\x31\x29\x3b\0\
\x09\x70\x6f\x73\x74\x67\x70\x5f\x73\x65\x65\x6e\x20\x3d\x20\x74\x72\x75\x65\
\x3b\0\x09\x63\x75\x72\x72\x65\x6e\x74\x5f\x67\x70\x5f\x73\x74\x61\x72\x74\x20\
\x3d\x20\x30\x3b\0\x2e\x6d\x61\x70\x73\0\x2e\x62\x73\x73\0\x6c\x69\x63\x65\x6e\
\x73\x65\0\x66\x65\x6e\x74\x72\x79\x2f\x5f\x5f\x78\x36\x34\x5f\x73\x79\x73\x5f\
\x67\x65\x74\x70\x67\x69\x64\0\x66\x65\x6e\x74\x72\x79\x2f\x72\x63\x75\x5f\x74\
\x61\x73\x6b\x73\x5f\x74\x72\x61\x63\x65\x5f\x70\x72\x65\x67\x70\x5f\x73\x74\
\x65\x70\0\x66\x65\x6e\x74\x72\x79\x2f\x72\x63\x75\x5f\x74\x61\x73\x6b\x73\x5f\
\x74\x72\x61\x63\x65\x5f\x70\x6f\x73\x74\x67\x70\0\0\0\0\x9f\xeb\x01\0\x20\0\0\
\0\0\0\0\0\x34\0\0\0\x34\0\0\0\xbc\x01\0\0\xf0\x01\0\0\0\0\0\0\x08\0\0\0\xd8\
\x03\0\0\x01\0\0\0\0\0\0\0\x0c\0\0\0\xf1\x03\0\0\x01\0\0\0\0\0\0\0\x11\0\0\0\
\x13\x04\0\0\x01\0\0\0\0\0\0\0\x12\0\0\0\x10\0\0\0\xd8\x03\0\0\x09\0\0\0\0\0\0\
\0\x1e\x01\0\0\xbc\x01\0\0\0\x5c\0\0\x08\0\0\0\x1e\x01\0\0\xd5\x01\0\0\x06\x74\
\0\0\x10\0\0\0\x1e\x01\0\0\xdf\x01\0\0\x09\x78\0\0\x38\0\0\0\x1e\x01\0\0\x03\
\x02\0\0\x06\x7c\0\0\x60\0\0\0\x1e\x01\0\0\x38\x02\0\0\x06\x84\0\0\x70\0\0\0\
\x1e\x01\0\0\x41\x02\0\0\x05\x90\0\0\x78\0\0\0\x1e\x01\0\0\x4a\x02\0\0\x02\x94\
\0\0\x98\0\0\0\x1e\x01\0\0\x79\x02\0\0\x02\x98\0\0\xb0\0\0\0\x1e\x01\0\0\x9a\
\x02\0\0\x01\xa0\0\0\xf1\x03\0\0\x03\0\0\0\0\0\0\0\x1e\x01\0\0\x9c\x02\0\0\x15\
\xb4\0\0\x08\0\0\0\x1e\x01\0\0\x9c\x02\0\0\x13\xb4\0\0\x20\0\0\0\x1e\x01\0\0\
\xc4\x02\0\0\x02\xb8\0\0\x13\x04\0\0\x0e\0\0\0\0\0\0\0\x1e\x01\0\0\xcf\x02\0\0\
\x07\xd0\0\0\x18\0\0\0\x1e\x01\0\0\xcf\x02\0\0\x18\xd0\0\0\x20\0\0\0\x1e\x01\0\
\0\xcf\x02\0\0\x1b\xd0\0\0\x38\0\0\0\x1e\x01\0\0\xcf\x02\0\0\x06\xd0\0\0\x48\0\
\0\0\x1e\x01\0\0\xf8\x02\0\0\x03\xe0\0\0\x60\0\0\0\x1e\x01\0\0\x20\x03\0\0\x03\
\xe4\0\0\x68\0\0\0\x1e\x01\0\0\x2c\x03\0\0\x22\xf0\0\0\x70\0\0\0\x1e\x01\0\0\
\x2c\x03\0\0\x37\xf0\0\0\x78\0\0\0\x1e\x01\0\0\x2c\x03\0\0\x35\xf0\0\0\x80\0\0\
\0\x1e\x01\0\0\x2c\x03\0\0\x02\xf0\0\0\xa0\0\0\0\x1e\x01\0\0\x75\x03\0\0\x02\
\xf4\0\0\xb8\0\0\0\x1e\x01\0\0\x99\x03\0\0\x0e\xfc\0\0\xe0\0\0\0\x1e\x01\0\0\
\xae\x03\0\0\x13\xf8\0\0\xe8\0\0\0\x1e\x01\0\0\x9a\x02\0\0\x01\x04\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x86\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\xc8\x01\0\0\0\0\0\0\x80\x01\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\
\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x48\
\x03\0\0\0\0\0\0\xc0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x2a\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\x04\0\0\0\0\0\
\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x4c\0\0\
\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x38\x04\0\0\0\0\0\0\xf8\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x6a\0\0\0\x01\0\0\0\
\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x30\x05\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x70\0\0\0\x08\0\0\0\x03\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x50\x05\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x75\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x50\x05\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x13\x01\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x58\
\x05\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\x02\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\
\0\0\0\0\0\0\x30\x01\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x88\x05\0\
\0\0\0\0\0\x10\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\
\0\0\0\x56\x01\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x98\x05\0\0\0\0\
\0\0\x60\0\0\0\0\0\0\0\x02\0\0\0\x05\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\
\x78\x01\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf8\x05\0\0\0\0\0\0\xcd\
\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7d\x01\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc8\x0d\0\0\0\0\0\0\x10\x02\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct local_storage_rcu_tasks_trace_bench *local_storage_rcu_tasks_trace_bench::open(const struct bpf_object_open_opts *opts) { return local_storage_rcu_tasks_trace_bench__open_opts(opts); }
struct local_storage_rcu_tasks_trace_bench *local_storage_rcu_tasks_trace_bench::open_and_load() { return local_storage_rcu_tasks_trace_bench__open_and_load(); }
int local_storage_rcu_tasks_trace_bench::load(struct local_storage_rcu_tasks_trace_bench *skel) { return local_storage_rcu_tasks_trace_bench__load(skel); }
int local_storage_rcu_tasks_trace_bench::attach(struct local_storage_rcu_tasks_trace_bench *skel) { return local_storage_rcu_tasks_trace_bench__attach(skel); }
void local_storage_rcu_tasks_trace_bench::detach(struct local_storage_rcu_tasks_trace_bench *skel) { local_storage_rcu_tasks_trace_bench__detach(skel); }
void local_storage_rcu_tasks_trace_bench::destroy(struct local_storage_rcu_tasks_trace_bench *skel) { local_storage_rcu_tasks_trace_bench__destroy(skel); }
const void *local_storage_rcu_tasks_trace_bench::elf_bytes(size_t *sz) { return local_storage_rcu_tasks_trace_bench__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
local_storage_rcu_tasks_trace_bench__assert(struct local_storage_rcu_tasks_trace_bench *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->hits) == 8, "unexpected size of 'hits'");
	_Static_assert(sizeof(s->bss->current_gp_start) == 8, "unexpected size of 'current_gp_start'");
	_Static_assert(sizeof(s->bss->postgp_seen) == 1, "unexpected size of 'postgp_seen'");
	_Static_assert(sizeof(s->bss->unexpected) == 8, "unexpected size of 'unexpected'");
	_Static_assert(sizeof(s->bss->gp_times) == 8, "unexpected size of 'gp_times'");
	_Static_assert(sizeof(s->bss->gp_hits) == 8, "unexpected size of 'gp_hits'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __LOCAL_STORAGE_RCU_TASKS_TRACE_BENCH_SKEL_H__ */
