/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __FENTRY_RECURSIVE_SKEL_H__
#define __FENTRY_RECURSIVE_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct fentry_recursive {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_program *recursive_attach;
	} progs;
	struct {
		struct bpf_link *recursive_attach;
	} links;

#ifdef __cplusplus
	static inline struct fentry_recursive *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct fentry_recursive *open_and_load();
	static inline int load(struct fentry_recursive *skel);
	static inline int attach(struct fentry_recursive *skel);
	static inline void detach(struct fentry_recursive *skel);
	static inline void destroy(struct fentry_recursive *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
fentry_recursive__destroy(struct fentry_recursive *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
fentry_recursive__create_skeleton(struct fentry_recursive *obj);

static inline struct fentry_recursive *
fentry_recursive__open_opts(const struct bpf_object_open_opts *opts)
{
	struct fentry_recursive *obj;
	int err;

	obj = (struct fentry_recursive *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = fentry_recursive__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	fentry_recursive__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct fentry_recursive *
fentry_recursive__open(void)
{
	return fentry_recursive__open_opts(NULL);
}

static inline int
fentry_recursive__load(struct fentry_recursive *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct fentry_recursive *
fentry_recursive__open_and_load(void)
{
	struct fentry_recursive *obj;
	int err;

	obj = fentry_recursive__open();
	if (!obj)
		return NULL;
	err = fentry_recursive__load(obj);
	if (err) {
		fentry_recursive__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
fentry_recursive__attach(struct fentry_recursive *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
fentry_recursive__detach(struct fentry_recursive *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *fentry_recursive__elf_bytes(size_t *sz);

static inline int
fentry_recursive__create_skeleton(struct fentry_recursive *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "fentry_recursive";
	s->obj = &obj->obj;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "recursive_attach";
	s->progs[0].prog = &obj->progs.recursive_attach;
	s->progs[0].link = &obj->links.recursive_attach;

	s->data = fentry_recursive__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *fentry_recursive__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x58\x03\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x07\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x66\x65\
\x6e\x74\x72\x79\x2f\x58\x58\x58\0\x6c\x69\x63\x65\x6e\x73\x65\0\x66\x65\x6e\
\x74\x72\x79\x5f\x72\x65\x63\x75\x72\x73\x69\x76\x65\x2e\x63\0\x72\x65\x63\x75\
\x72\x73\x69\x76\x65\x5f\x61\x74\x74\x61\x63\x68\0\x5f\x6c\x69\x63\x65\x6e\x73\
\x65\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x24\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x37\0\0\0\x12\0\
\x03\0\0\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x48\0\0\0\x11\0\x04\0\0\0\0\0\0\0\0\0\
\x04\0\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\
\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\xac\0\0\0\xac\0\0\0\x13\x01\0\0\0\0\0\0\0\0\0\
\x02\x02\0\0\0\x01\0\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\0\0\0\0\x01\0\0\x0d\x04\
\0\0\0\x14\0\0\0\x01\0\0\0\x18\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\x1c\0\0\0\
\x01\0\0\x0c\x03\0\0\0\x2d\0\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\
\x03\0\0\0\0\x06\0\0\0\x08\0\0\0\x04\0\0\0\x32\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\
\0\0\x46\0\0\0\0\0\0\x0e\x07\0\0\0\x01\0\0\0\0\x01\0\0\x01\0\0\x0f\x04\0\0\0\
\x09\0\0\0\0\0\0\0\x04\0\0\0\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\
\x67\x20\x6c\x6f\x6e\x67\0\x63\x74\x78\0\x69\x6e\x74\0\x72\x65\x63\x75\x72\x73\
\x69\x76\x65\x5f\x61\x74\x74\x61\x63\x68\0\x63\x68\x61\x72\0\x5f\x5f\x41\x52\
\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x5f\x6c\x69\x63\
\x65\x6e\x73\x65\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\
\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\
\x30\x2d\x35\x37\x30\x2e\x32\x38\x2e\x31\x2e\x65\x6c\x39\x5f\x36\x2f\x6c\x69\
\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x37\x30\x2e\x32\x38\x2e\x31\
\x2e\x65\x6c\x39\x5f\x36\x2e\x78\x38\x36\x5f\x36\x34\x2f\x74\x6f\x6f\x6c\x73\
\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\
\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x66\x65\x6e\x74\x72\x79\x5f\x72\x65\
\x63\x75\x72\x73\x69\x76\x65\x2e\x63\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\
\x4f\x47\x28\x72\x65\x63\x75\x72\x73\x69\x76\x65\x5f\x61\x74\x74\x61\x63\x68\
\x2c\x20\x69\x6e\x74\x20\x61\x29\0\x6c\x69\x63\x65\x6e\x73\x65\0\x66\x65\x6e\
\x74\x72\x79\x2f\x58\x58\x58\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x14\0\0\0\x14\
\0\0\0\x1c\0\0\0\x30\0\0\0\0\0\0\0\x08\0\0\0\x08\x01\0\0\x01\0\0\0\0\0\0\0\x05\
\0\0\0\x10\0\0\0\x08\x01\0\0\x01\0\0\0\0\0\0\0\x4f\0\0\0\xda\0\0\0\x05\x2c\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x5f\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\xa0\0\0\0\0\0\0\0\x78\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\
\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\
\x01\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x1c\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x28\x01\0\0\0\0\0\
\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x51\0\0\
\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x30\x01\0\0\0\0\0\0\xd7\x01\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x56\0\0\0\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\x03\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct fentry_recursive *fentry_recursive::open(const struct bpf_object_open_opts *opts) { return fentry_recursive__open_opts(opts); }
struct fentry_recursive *fentry_recursive::open_and_load() { return fentry_recursive__open_and_load(); }
int fentry_recursive::load(struct fentry_recursive *skel) { return fentry_recursive__load(skel); }
int fentry_recursive::attach(struct fentry_recursive *skel) { return fentry_recursive__attach(skel); }
void fentry_recursive::detach(struct fentry_recursive *skel) { fentry_recursive__detach(skel); }
void fentry_recursive::destroy(struct fentry_recursive *skel) { fentry_recursive__destroy(skel); }
const void *fentry_recursive::elf_bytes(size_t *sz) { return fentry_recursive__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
fentry_recursive__assert(struct fentry_recursive *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __FENTRY_RECURSIVE_SKEL_H__ */
