/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __ITERS_STATE_SAFETY_SKEL_H__
#define __ITERS_STATE_SAFETY_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct iters_state_safety {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *force_clang_to_emit_btf_for_externs;
		struct bpf_program *create_and_destroy;
		struct bpf_program *create_and_forget_to_destroy_fail;
		struct bpf_program *destroy_without_creating_fail;
		struct bpf_program *compromise_iter_w_direct_write_fail;
		struct bpf_program *compromise_iter_w_direct_write_and_skip_destroy_fail;
		struct bpf_program *compromise_iter_w_helper_write_fail;
		struct bpf_program *leak_iter_from_subprog_fail;
		struct bpf_program *valid_stack_reuse;
		struct bpf_program *double_create_fail;
		struct bpf_program *double_destroy_fail;
		struct bpf_program *next_without_new_fail;
		struct bpf_program *next_after_destroy_fail;
		struct bpf_program *read_from_iter_slot_fail;
		struct bpf_program *stacksafe_should_not_conflate_stack_spill_and_iter;
	} progs;
	struct {
		struct bpf_link *force_clang_to_emit_btf_for_externs;
		struct bpf_link *create_and_destroy;
		struct bpf_link *create_and_forget_to_destroy_fail;
		struct bpf_link *destroy_without_creating_fail;
		struct bpf_link *compromise_iter_w_direct_write_fail;
		struct bpf_link *compromise_iter_w_direct_write_and_skip_destroy_fail;
		struct bpf_link *compromise_iter_w_helper_write_fail;
		struct bpf_link *leak_iter_from_subprog_fail;
		struct bpf_link *valid_stack_reuse;
		struct bpf_link *double_create_fail;
		struct bpf_link *double_destroy_fail;
		struct bpf_link *next_without_new_fail;
		struct bpf_link *next_after_destroy_fail;
		struct bpf_link *read_from_iter_slot_fail;
		struct bpf_link *stacksafe_should_not_conflate_stack_spill_and_iter;
	} links;
	struct iters_state_safety__bss {
		int zero;
	} *bss;

#ifdef __cplusplus
	static inline struct iters_state_safety *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct iters_state_safety *open_and_load();
	static inline int load(struct iters_state_safety *skel);
	static inline int attach(struct iters_state_safety *skel);
	static inline void detach(struct iters_state_safety *skel);
	static inline void destroy(struct iters_state_safety *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
iters_state_safety__destroy(struct iters_state_safety *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
iters_state_safety__create_skeleton(struct iters_state_safety *obj);

static inline struct iters_state_safety *
iters_state_safety__open_opts(const struct bpf_object_open_opts *opts)
{
	struct iters_state_safety *obj;
	int err;

	obj = (struct iters_state_safety *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = iters_state_safety__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	iters_state_safety__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct iters_state_safety *
iters_state_safety__open(void)
{
	return iters_state_safety__open_opts(NULL);
}

static inline int
iters_state_safety__load(struct iters_state_safety *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct iters_state_safety *
iters_state_safety__open_and_load(void)
{
	struct iters_state_safety *obj;
	int err;

	obj = iters_state_safety__open();
	if (!obj)
		return NULL;
	err = iters_state_safety__load(obj);
	if (err) {
		iters_state_safety__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
iters_state_safety__attach(struct iters_state_safety *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
iters_state_safety__detach(struct iters_state_safety *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *iters_state_safety__elf_bytes(size_t *sz);

static inline int
iters_state_safety__create_skeleton(struct iters_state_safety *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "iters_state_safety";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "iters_st.bss";
	map->map = &obj->maps.bss;
	map->mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 15;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "force_clang_to_emit_btf_for_externs";
	s->progs[0].prog = &obj->progs.force_clang_to_emit_btf_for_externs;
	s->progs[0].link = &obj->links.force_clang_to_emit_btf_for_externs;

	s->progs[1].name = "create_and_destroy";
	s->progs[1].prog = &obj->progs.create_and_destroy;
	s->progs[1].link = &obj->links.create_and_destroy;

	s->progs[2].name = "create_and_forget_to_destroy_fail";
	s->progs[2].prog = &obj->progs.create_and_forget_to_destroy_fail;
	s->progs[2].link = &obj->links.create_and_forget_to_destroy_fail;

	s->progs[3].name = "destroy_without_creating_fail";
	s->progs[3].prog = &obj->progs.destroy_without_creating_fail;
	s->progs[3].link = &obj->links.destroy_without_creating_fail;

	s->progs[4].name = "compromise_iter_w_direct_write_fail";
	s->progs[4].prog = &obj->progs.compromise_iter_w_direct_write_fail;
	s->progs[4].link = &obj->links.compromise_iter_w_direct_write_fail;

	s->progs[5].name = "compromise_iter_w_direct_write_and_skip_destroy_fail";
	s->progs[5].prog = &obj->progs.compromise_iter_w_direct_write_and_skip_destroy_fail;
	s->progs[5].link = &obj->links.compromise_iter_w_direct_write_and_skip_destroy_fail;

	s->progs[6].name = "compromise_iter_w_helper_write_fail";
	s->progs[6].prog = &obj->progs.compromise_iter_w_helper_write_fail;
	s->progs[6].link = &obj->links.compromise_iter_w_helper_write_fail;

	s->progs[7].name = "leak_iter_from_subprog_fail";
	s->progs[7].prog = &obj->progs.leak_iter_from_subprog_fail;
	s->progs[7].link = &obj->links.leak_iter_from_subprog_fail;

	s->progs[8].name = "valid_stack_reuse";
	s->progs[8].prog = &obj->progs.valid_stack_reuse;
	s->progs[8].link = &obj->links.valid_stack_reuse;

	s->progs[9].name = "double_create_fail";
	s->progs[9].prog = &obj->progs.double_create_fail;
	s->progs[9].link = &obj->links.double_create_fail;

	s->progs[10].name = "double_destroy_fail";
	s->progs[10].prog = &obj->progs.double_destroy_fail;
	s->progs[10].link = &obj->links.double_destroy_fail;

	s->progs[11].name = "next_without_new_fail";
	s->progs[11].prog = &obj->progs.next_without_new_fail;
	s->progs[11].link = &obj->links.next_without_new_fail;

	s->progs[12].name = "next_after_destroy_fail";
	s->progs[12].prog = &obj->progs.next_after_destroy_fail;
	s->progs[12].link = &obj->links.next_after_destroy_fail;

	s->progs[13].name = "read_from_iter_slot_fail";
	s->progs[13].prog = &obj->progs.read_from_iter_slot_fail;
	s->progs[13].link = &obj->links.read_from_iter_slot_fail;

	s->progs[14].name = "stacksafe_should_not_conflate_stack_spill_and_iter";
	s->progs[14].prog = &obj->progs.stacksafe_should_not_conflate_stack_spill_and_iter;
	s->progs[14].link = &obj->links.stacksafe_should_not_conflate_stack_spill_and_iter;

	s->data = iters_state_safety__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *iters_state_safety__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x88\x1f\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0b\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\x74\
\x65\x78\x74\0\x3f\x72\x61\x77\x5f\x74\x70\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\
\x62\x73\x73\0\x69\x74\x65\x72\x73\x5f\x73\x74\x61\x74\x65\x5f\x73\x61\x66\x65\
\x74\x79\x2e\x63\0\x73\x75\x62\x70\x72\x6f\x67\x5f\x77\x69\x74\x68\x5f\x69\x74\
\x65\x72\0\x62\x61\x64\0\x73\x6b\x69\x70\x5f\x62\x61\x64\0\x66\x6f\x72\x63\x65\
\x5f\x63\x6c\x61\x6e\x67\x5f\x74\x6f\x5f\x65\x6d\x69\x74\x5f\x62\x74\x66\x5f\
\x66\x6f\x72\x5f\x65\x78\x74\x65\x72\x6e\x73\0\x62\x70\x66\x5f\x69\x74\x65\x72\
\x5f\x6e\x75\x6d\x5f\x6e\x65\x77\0\x62\x70\x66\x5f\x69\x74\x65\x72\x5f\x6e\x75\
\x6d\x5f\x6e\x65\x78\x74\0\x62\x70\x66\x5f\x69\x74\x65\x72\x5f\x6e\x75\x6d\x5f\
\x64\x65\x73\x74\x72\x6f\x79\0\x63\x72\x65\x61\x74\x65\x5f\x61\x6e\x64\x5f\x64\
\x65\x73\x74\x72\x6f\x79\0\x63\x72\x65\x61\x74\x65\x5f\x61\x6e\x64\x5f\x66\x6f\
\x72\x67\x65\x74\x5f\x74\x6f\x5f\x64\x65\x73\x74\x72\x6f\x79\x5f\x66\x61\x69\
\x6c\0\x64\x65\x73\x74\x72\x6f\x79\x5f\x77\x69\x74\x68\x6f\x75\x74\x5f\x63\x72\
\x65\x61\x74\x69\x6e\x67\x5f\x66\x61\x69\x6c\0\x63\x6f\x6d\x70\x72\x6f\x6d\x69\
\x73\x65\x5f\x69\x74\x65\x72\x5f\x77\x5f\x64\x69\x72\x65\x63\x74\x5f\x77\x72\
\x69\x74\x65\x5f\x66\x61\x69\x6c\0\x63\x6f\x6d\x70\x72\x6f\x6d\x69\x73\x65\x5f\
\x69\x74\x65\x72\x5f\x77\x5f\x64\x69\x72\x65\x63\x74\x5f\x77\x72\x69\x74\x65\
\x5f\x61\x6e\x64\x5f\x73\x6b\x69\x70\x5f\x64\x65\x73\x74\x72\x6f\x79\x5f\x66\
\x61\x69\x6c\0\x63\x6f\x6d\x70\x72\x6f\x6d\x69\x73\x65\x5f\x69\x74\x65\x72\x5f\
\x77\x5f\x68\x65\x6c\x70\x65\x72\x5f\x77\x72\x69\x74\x65\x5f\x66\x61\x69\x6c\0\
\x6c\x65\x61\x6b\x5f\x69\x74\x65\x72\x5f\x66\x72\x6f\x6d\x5f\x73\x75\x62\x70\
\x72\x6f\x67\x5f\x66\x61\x69\x6c\0\x76\x61\x6c\x69\x64\x5f\x73\x74\x61\x63\x6b\
\x5f\x72\x65\x75\x73\x65\0\x64\x6f\x75\x62\x6c\x65\x5f\x63\x72\x65\x61\x74\x65\
\x5f\x66\x61\x69\x6c\0\x64\x6f\x75\x62\x6c\x65\x5f\x64\x65\x73\x74\x72\x6f\x79\
\x5f\x66\x61\x69\x6c\0\x6e\x65\x78\x74\x5f\x77\x69\x74\x68\x6f\x75\x74\x5f\x6e\
\x65\x77\x5f\x66\x61\x69\x6c\0\x6e\x65\x78\x74\x5f\x61\x66\x74\x65\x72\x5f\x64\
\x65\x73\x74\x72\x6f\x79\x5f\x66\x61\x69\x6c\0\x72\x65\x61\x64\x5f\x66\x72\x6f\
\x6d\x5f\x69\x74\x65\x72\x5f\x73\x6c\x6f\x74\x5f\x66\x61\x69\x6c\0\x73\x74\x61\
\x63\x6b\x73\x61\x66\x65\x5f\x73\x68\x6f\x75\x6c\x64\x5f\x6e\x6f\x74\x5f\x63\
\x6f\x6e\x66\x6c\x61\x74\x65\x5f\x73\x74\x61\x63\x6b\x5f\x73\x70\x69\x6c\x6c\
\x5f\x61\x6e\x64\x5f\x69\x74\x65\x72\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x7a\
\x65\x72\x6f\0\x2e\x72\x65\x6c\x2e\x74\x65\x78\x74\0\x2e\x72\x65\x6c\x3f\x72\
\x61\x77\x5f\x74\x70\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x2c\0\0\0\x04\0\xf1\xff\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x03\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x41\0\0\0\x02\0\x03\0\0\
\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\x53\0\0\0\0\0\x04\0\x08\x05\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x57\0\0\0\0\0\x04\0\x30\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x60\0\0\0\
\x12\0\x04\0\0\0\0\0\0\0\0\0\x70\0\0\0\0\0\0\0\x84\0\0\0\x20\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x95\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa7\0\
\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xbc\0\0\0\x12\0\x04\0\x70\0\0\0\
\0\0\0\0\x50\0\0\0\0\0\0\0\xcf\0\0\0\x12\0\x04\0\xc0\0\0\0\0\0\0\0\x40\0\0\0\0\
\0\0\0\xf1\0\0\0\x12\0\x04\0\0\x01\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\x0f\x01\0\0\
\x12\0\x04\0\x30\x01\0\0\0\0\0\0\x58\0\0\0\0\0\0\0\x33\x01\0\0\x12\0\x04\0\x88\
\x01\0\0\0\0\0\0\x48\0\0\0\0\0\0\0\x68\x01\0\0\x12\0\x04\0\xd0\x01\0\0\0\0\0\0\
\x78\0\0\0\0\0\0\0\x8c\x01\0\0\x12\0\x04\0\x48\x02\0\0\0\0\0\0\x18\0\0\0\0\0\0\
\0\xa8\x01\0\0\x12\0\x04\0\x60\x02\0\0\0\0\0\0\x80\0\0\0\0\0\0\0\xba\x01\0\0\
\x12\0\x04\0\xe0\x02\0\0\0\0\0\0\x70\0\0\0\0\0\0\0\xcd\x01\0\0\x12\0\x04\0\x50\
\x03\0\0\0\0\0\0\x60\0\0\0\0\0\0\0\xe1\x01\0\0\x12\0\x04\0\xb0\x03\0\0\0\0\0\0\
\x40\0\0\0\0\0\0\0\xf7\x01\0\0\x12\0\x04\0\xf0\x03\0\0\0\0\0\0\x60\0\0\0\0\0\0\
\0\x0f\x02\0\0\x12\0\x04\0\x50\x04\0\0\0\0\0\0\x70\0\0\0\0\0\0\0\x28\x02\0\0\
\x12\0\x04\0\xc0\x04\0\0\0\0\0\0\x90\0\0\0\0\0\0\0\x5b\x02\0\0\x11\0\x05\0\0\0\
\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x64\x02\0\0\x11\0\x06\0\0\0\0\0\0\0\0\0\x04\0\0\
\0\0\0\0\0\xbf\xa1\0\0\0\0\0\0\x07\x01\0\0\xf8\xff\xff\xff\xb7\x02\0\0\0\0\0\0\
\xb7\x03\0\0\x01\0\0\0\x85\x10\0\0\xff\xff\xff\xff\x95\0\0\0\0\0\0\0\xbf\xa1\0\
\0\0\0\0\0\x07\x01\0\0\xf8\xff\xff\xff\xb7\x02\0\0\0\0\0\0\xb7\x03\0\0\0\0\0\0\
\x85\x10\0\0\xff\xff\xff\xff\xbf\xa1\0\0\0\0\0\0\x07\x01\0\0\xf8\xff\xff\xff\
\x85\x10\0\0\xff\xff\xff\xff\x55\0\xfc\xff\0\0\0\0\xbf\xa1\0\0\0\0\0\0\x07\x01\
\0\0\xf8\xff\xff\xff\x85\x10\0\0\xff\xff\xff\xff\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\
\0\0\0\xbf\xa6\0\0\0\0\0\0\x07\x06\0\0\xf8\xff\xff\xff\xbf\x61\0\0\0\0\0\0\xb7\
\x02\0\0\0\0\0\0\xb7\x03\0\0\xe8\x03\0\0\x85\x10\0\0\xff\xff\xff\xff\xbf\x61\0\
\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\
\xa6\0\0\0\0\0\0\x07\x06\0\0\xf8\xff\xff\xff\xbf\x61\0\0\0\0\0\0\xb7\x02\0\0\0\
\0\0\0\xb7\x03\0\0\xe8\x03\0\0\x85\x10\0\0\xff\xff\xff\xff\xb7\0\0\0\0\0\0\0\
\x95\0\0\0\0\0\0\0\xbf\xa6\0\0\0\0\0\0\x07\x06\0\0\xf8\xff\xff\xff\xbf\x61\0\0\
\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\
\xa6\0\0\0\0\0\0\x07\x06\0\0\xf8\xff\xff\xff\xbf\x61\0\0\0\0\0\0\xb7\x02\0\0\0\
\0\0\0\xb7\x03\0\0\xe8\x03\0\0\x85\x10\0\0\xff\xff\xff\xff\x7b\x06\0\0\0\0\0\0\
\xbf\x61\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\
\0\0\0\xbf\xa6\0\0\0\0\0\0\x07\x06\0\0\xf8\xff\xff\xff\xbf\x61\0\0\0\0\0\0\xb7\
\x02\0\0\0\0\0\0\xb7\x03\0\0\xe8\x03\0\0\x85\x10\0\0\xff\xff\xff\xff\x7b\x06\0\
\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\xa6\0\0\0\0\0\0\x07\x06\0\0\
\xf8\xff\xff\xff\xbf\x61\0\0\0\0\0\0\xb7\x02\0\0\0\0\0\0\xb7\x03\0\0\xe8\x03\0\
\0\x85\x10\0\0\xff\xff\xff\xff\xbf\x61\0\0\0\0\0\0\x07\x01\0\0\x07\0\0\0\xb7\
\x02\0\0\x01\0\0\0\xb7\x03\0\0\0\0\0\0\x85\0\0\0\x71\0\0\0\xbf\x61\0\0\0\0\0\0\
\x85\x10\0\0\xff\xff\xff\xff\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x85\x10\0\0\
\xff\xff\xff\xff\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\xa6\0\0\0\0\0\0\x07\
\x06\0\0\xf8\xff\xff\xff\xbf\x61\0\0\0\0\0\0\xb7\x02\0\0\0\0\0\0\xb7\x03\0\0\
\xe8\x03\0\0\x85\x10\0\0\xff\xff\xff\xff\xbf\x61\0\0\0\0\0\0\x85\x10\0\0\xff\
\xff\xff\xff\xbf\x61\0\0\0\0\0\0\xb7\x02\0\0\0\0\0\0\xb7\x03\0\0\xe8\x03\0\0\
\x85\x10\0\0\xff\xff\xff\xff\xbf\x61\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\
\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\xa6\0\0\0\0\0\0\x07\x06\0\0\xf8\xff\
\xff\xff\xbf\x61\0\0\0\0\0\0\xb7\x02\0\0\0\0\0\0\xb7\x03\0\0\xe8\x03\0\0\x85\
\x10\0\0\xff\xff\xff\xff\xbf\x61\0\0\0\0\0\0\xb7\x02\0\0\0\0\0\0\xb7\x03\0\0\
\xe8\x03\0\0\x85\x10\0\0\xff\xff\xff\xff\xbf\x61\0\0\0\0\0\0\x85\x10\0\0\xff\
\xff\xff\xff\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\xa6\0\0\0\0\0\0\x07\x06\0\
\0\xf8\xff\xff\xff\xbf\x61\0\0\0\0\0\0\xb7\x02\0\0\0\0\0\0\xb7\x03\0\0\xe8\x03\
\0\0\x85\x10\0\0\xff\xff\xff\xff\xbf\x61\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\
\xff\xbf\x61\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\xb7\0\0\0\0\0\0\0\x95\0\0\
\0\0\0\0\0\xbf\xa6\0\0\0\0\0\0\x07\x06\0\0\xf8\xff\xff\xff\xbf\x61\0\0\0\0\0\0\
\x85\x10\0\0\xff\xff\xff\xff\xbf\x61\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\
\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\xa6\0\0\0\0\0\0\x07\x06\0\0\xf8\xff\
\xff\xff\xbf\x61\0\0\0\0\0\0\xb7\x02\0\0\0\0\0\0\xb7\x03\0\0\xe8\x03\0\0\x85\
\x10\0\0\xff\xff\xff\xff\xbf\x61\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\xbf\
\x61\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\
\0\xbf\xa6\0\0\0\0\0\0\x07\x06\0\0\xe8\xff\xff\xff\xbf\x61\0\0\0\0\0\0\xb7\x02\
\0\0\0\0\0\0\xb7\x03\0\0\xe8\x03\0\0\x85\x10\0\0\xff\xff\xff\xff\x79\x67\0\0\0\
\0\0\0\x79\x68\x08\0\0\0\0\0\xbf\x61\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\
\xbf\x70\0\0\0\0\0\0\x2d\x87\x01\0\0\0\0\0\xbf\x80\0\0\0\0\0\0\x95\0\0\0\0\0\0\
\0\xbf\xa8\0\0\0\0\0\0\x07\x08\0\0\xf8\xff\xff\xff\x85\0\0\0\x07\0\0\0\xbf\x06\
\0\0\0\0\0\0\x85\0\0\0\x07\0\0\0\xbf\x07\0\0\0\0\0\0\x2d\x76\x02\0\0\0\0\0\x7b\
\x68\0\0\0\0\0\0\x05\0\x05\0\0\0\0\0\xbf\x81\0\0\0\0\0\0\xb7\x02\0\0\0\0\0\0\
\xb7\x03\0\0\xe8\x03\0\0\x85\x10\0\0\xff\xff\xff\xff\x7b\x68\0\0\0\0\0\0\x05\0\
\0\0\0\0\0\0\x7b\x68\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\
\x4c\0\0\0\0\0\x20\0\0\0\0\0\0\0\x0a\0\0\0\x08\0\0\0\x20\0\0\0\0\0\0\0\x0a\0\0\
\0\x08\0\0\0\x38\0\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\0\x58\0\0\0\0\0\0\0\x0a\0\0\0\
\x0a\0\0\0\x98\0\0\0\0\0\0\0\x0a\0\0\0\x08\0\0\0\xa8\0\0\0\0\0\0\0\x0a\0\0\0\
\x0a\0\0\0\xe8\0\0\0\0\0\0\0\x0a\0\0\0\x08\0\0\0\x18\x01\0\0\0\0\0\0\x0a\0\0\0\
\x0a\0\0\0\x58\x01\0\0\0\0\0\0\x0a\0\0\0\x08\0\0\0\x70\x01\0\0\0\0\0\0\x0a\0\0\
\0\x0a\0\0\0\xb0\x01\0\0\0\0\0\0\x0a\0\0\0\x08\0\0\0\xf8\x01\0\0\0\0\0\0\x0a\0\
\0\0\x08\0\0\0\x30\x02\0\0\0\0\0\0\x0a\0\0\0\x0a\0\0\0\x48\x02\0\0\0\0\0\0\x0a\
\0\0\0\x02\0\0\0\x88\x02\0\0\0\0\0\0\x0a\0\0\0\x08\0\0\0\x98\x02\0\0\0\0\0\0\
\x0a\0\0\0\x0a\0\0\0\xb8\x02\0\0\0\0\0\0\x0a\0\0\0\x08\0\0\0\xc8\x02\0\0\0\0\0\
\0\x0a\0\0\0\x0a\0\0\0\x08\x03\0\0\0\0\0\0\x0a\0\0\0\x08\0\0\0\x28\x03\0\0\0\0\
\0\0\x0a\0\0\0\x08\0\0\0\x38\x03\0\0\0\0\0\0\x0a\0\0\0\x0a\0\0\0\x78\x03\0\0\0\
\0\0\0\x0a\0\0\0\x08\0\0\0\x88\x03\0\0\0\0\0\0\x0a\0\0\0\x0a\0\0\0\x98\x03\0\0\
\0\0\0\0\x0a\0\0\0\x0a\0\0\0\xc8\x03\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\0\xd8\x03\0\
\0\0\0\0\0\x0a\0\0\0\x0a\0\0\0\x18\x04\0\0\0\0\0\0\x0a\0\0\0\x08\0\0\0\x28\x04\
\0\0\0\0\0\0\x0a\0\0\0\x0a\0\0\0\x38\x04\0\0\0\0\0\0\x0a\0\0\0\x09\0\0\0\x78\
\x04\0\0\0\0\0\0\x0a\0\0\0\x08\0\0\0\x98\x04\0\0\0\0\0\0\x0a\0\0\0\x0a\0\0\0\
\x20\x05\0\0\0\0\0\0\x0a\0\0\0\x08\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\xa4\
\x04\0\0\xa4\x04\0\0\x24\x0a\0\0\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\0\0\x01\0\0\x0d\
\x03\0\0\0\x01\0\0\0\x01\0\0\0\x05\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\x09\0\
\0\0\x01\0\0\x0c\x02\0\0\0\x2d\0\0\0\0\0\0\x11\x04\0\0\0\xff\xff\xff\xff\0\0\0\
\0\x03\0\0\x0d\x03\0\0\0\0\0\0\0\x07\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\x03\0\0\0\
\0\0\0\0\0\0\0\x02\x08\0\0\0\x49\0\0\0\x01\0\0\x04\x08\0\0\0\x56\0\0\0\x0b\0\0\
\0\0\0\0\0\x5f\0\0\0\0\0\0\x08\x0a\0\0\0\x65\0\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\
\0\0\0\0\0\0\0\0\x03\0\0\0\0\x09\0\0\0\x0c\0\0\0\x01\0\0\0\x78\0\0\0\0\0\0\x01\
\x04\0\0\0\x20\0\0\0\x8c\0\0\0\x02\0\0\x0c\x06\0\0\0\0\0\0\0\x01\0\0\x0d\x0f\0\
\0\0\0\0\0\0\x07\0\0\0\0\0\0\0\0\0\0\x02\x03\0\0\0\x9d\0\0\0\x02\0\0\x0c\x0e\0\
\0\0\0\0\0\0\x01\0\0\x0d\0\0\0\0\0\0\0\0\x07\0\0\0\xaf\0\0\0\x02\0\0\x0c\x11\0\
\0\0\xc4\0\0\0\x01\0\0\x0c\x02\0\0\0\x2d\0\0\0\0\0\0\x11\x13\0\0\0\xff\xff\xff\
\xff\xd7\0\0\0\0\0\0\x11\x13\0\0\0\xff\xff\xff\xff\xf0\0\0\0\0\0\0\x11\x13\0\0\
\0\xff\xff\xff\xff\x39\x01\0\0\x01\0\0\x0c\x02\0\0\0\x5b\x01\0\0\0\0\0\x11\x17\
\0\0\0\xff\xff\xff\xff\x77\x01\0\0\0\0\0\x11\x17\0\0\0\xff\xff\xff\xff\xab\x01\
\0\0\x01\0\0\x0c\x02\0\0\0\x5b\x01\0\0\0\0\0\x11\x1a\0\0\0\xff\xff\xff\xff\xc9\
\x01\0\0\0\0\0\x11\x1a\0\0\0\xff\xff\xff\xff\x0e\x02\0\0\x01\0\0\x0c\x02\0\0\0\
\x5b\x01\0\0\0\0\0\x11\x1d\0\0\0\xff\xff\xff\xff\x32\x02\0\0\0\0\0\x11\x1d\0\0\
\0\xff\xff\xff\xff\x77\x02\0\0\x01\0\0\x0c\x02\0\0\0\x5b\x01\0\0\0\0\0\x11\x20\
\0\0\0\xff\xff\xff\xff\xac\x02\0\0\0\0\0\x11\x20\0\0\0\xff\xff\xff\xff\xe0\x02\
\0\0\x01\0\0\x0c\x02\0\0\0\x5b\x01\0\0\0\0\0\x11\x23\0\0\0\xff\xff\xff\xff\x04\
\x03\0\0\0\0\0\x11\x23\0\0\0\xff\xff\xff\xff\x49\x03\0\0\x01\0\0\x0c\x02\0\0\0\
\x5b\x01\0\0\0\0\0\x11\x26\0\0\0\xff\xff\xff\xff\x65\x03\0\0\0\0\0\x11\x26\0\0\
\0\xff\xff\xff\xff\x96\x03\0\0\0\0\0\x11\x26\0\0\0\xff\xff\xff\xff\0\0\0\0\0\0\
\0\x0d\0\0\0\0\xca\x03\0\0\0\0\0\x0c\x2a\0\0\0\xdc\x03\0\0\x01\0\0\x0c\x02\0\0\
\0\x2d\0\0\0\0\0\0\x11\x2c\0\0\0\xff\xff\xff\xff\xd7\0\0\0\0\0\0\x11\x2c\0\0\0\
\xff\xff\xff\xff\xee\x03\0\0\0\0\0\x11\x2c\0\0\0\xff\xff\xff\xff\x37\x04\0\0\
\x01\0\0\x0c\x02\0\0\0\x5b\x01\0\0\0\0\0\x11\x30\0\0\0\xff\xff\xff\xff\x4a\x04\
\0\0\0\0\0\x11\x30\0\0\0\xff\xff\xff\xff\x8e\x04\0\0\x01\0\0\x0c\x02\0\0\0\x5b\
\x01\0\0\0\0\0\x11\x33\0\0\0\xff\xff\xff\xff\xa2\x04\0\0\0\0\0\x11\x33\0\0\0\
\xff\xff\xff\xff\xe8\x04\0\0\x01\0\0\x0c\x02\0\0\0\x5b\x01\0\0\0\0\0\x11\x36\0\
\0\0\xff\xff\xff\xff\xfe\x04\0\0\0\0\0\x11\x36\0\0\0\xff\xff\xff\xff\x44\x05\0\
\0\x01\0\0\x0c\x02\0\0\0\x5b\x01\0\0\0\0\0\x11\x39\0\0\0\xff\xff\xff\xff\x5c\
\x05\0\0\0\0\0\x11\x39\0\0\0\xff\xff\xff\xff\0\0\0\0\0\0\0\x0d\x03\0\0\0\xa2\
\x05\0\0\x01\0\0\x0c\x3c\0\0\0\x5b\x01\0\0\0\0\0\x11\x3d\0\0\0\xff\xff\xff\xff\
\xbb\x05\0\0\0\0\0\x11\x3d\0\0\0\xff\xff\xff\xff\xee\x05\0\0\x01\0\0\x0c\x02\0\
\0\0\x5b\x01\0\0\0\0\0\x11\x40\0\0\0\xff\xff\xff\xff\x21\x06\0\0\0\0\0\x11\x40\
\0\0\0\xff\xff\xff\xff\x4f\x06\0\0\0\0\0\x11\x40\0\0\0\xff\xff\xff\xff\x7f\x06\
\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x44\0\0\0\x0c\0\
\0\0\x04\0\0\0\x84\x06\0\0\0\0\0\x0e\x45\0\0\0\x01\0\0\0\x8d\x06\0\0\0\0\0\x0e\
\x03\0\0\0\x01\0\0\0\x02\x0a\0\0\x01\0\0\x0f\x04\0\0\0\x46\0\0\0\0\0\0\0\x04\0\
\0\0\x0a\x0a\0\0\x01\0\0\x0f\x04\0\0\0\x47\0\0\0\0\0\0\0\x04\0\0\0\x0f\x0a\0\0\
\x03\0\0\x0f\0\0\0\0\x0d\0\0\0\0\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\x12\0\
\0\0\0\0\0\0\0\0\0\0\0\x63\x74\x78\0\x69\x6e\x74\0\x66\x6f\x72\x63\x65\x5f\x63\
\x6c\x61\x6e\x67\x5f\x74\x6f\x5f\x65\x6d\x69\x74\x5f\x62\x74\x66\x5f\x66\x6f\
\x72\x5f\x65\x78\x74\x65\x72\x6e\x73\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\
\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x73\x75\x63\x63\x65\x73\x73\0\x62\x70\
\x66\x5f\x69\x74\x65\x72\x5f\x6e\x75\x6d\0\x5f\x5f\x6f\x70\x61\x71\x75\x65\0\
\x5f\x5f\x75\x36\x34\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\
\x6c\x6f\x6e\x67\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\
\x50\x45\x5f\x5f\0\x62\x70\x66\x5f\x69\x74\x65\x72\x5f\x6e\x75\x6d\x5f\x6e\x65\
\x77\0\x62\x70\x66\x5f\x69\x74\x65\x72\x5f\x6e\x75\x6d\x5f\x6e\x65\x78\x74\0\
\x62\x70\x66\x5f\x69\x74\x65\x72\x5f\x6e\x75\x6d\x5f\x64\x65\x73\x74\x72\x6f\
\x79\0\x63\x72\x65\x61\x74\x65\x5f\x61\x6e\x64\x5f\x64\x65\x73\x74\x72\x6f\x79\
\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x6c\x6f\x67\x5f\x6c\x65\
\x76\x65\x6c\x3d\x32\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\
\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x30\x3d\x66\x70\x2d\x38\x5f\x77\x3d\
\x69\x74\x65\x72\x5f\x6e\x75\x6d\x28\x72\x65\x66\x5f\x69\x64\x3d\x31\x2c\x73\
\x74\x61\x74\x65\x3d\x61\x63\x74\x69\x76\x65\x2c\x64\x65\x70\x74\x68\x3d\x30\
\x29\0\x63\x72\x65\x61\x74\x65\x5f\x61\x6e\x64\x5f\x66\x6f\x72\x67\x65\x74\x5f\
\x74\x6f\x5f\x64\x65\x73\x74\x72\x6f\x79\x5f\x66\x61\x69\x6c\0\x63\x6f\x6d\x6d\
\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x66\x61\x69\
\x6c\x75\x72\x65\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\
\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x31\x3d\x55\x6e\x72\x65\x6c\x65\x61\x73\
\x65\x64\x20\x72\x65\x66\x65\x72\x65\x6e\x63\x65\x20\x69\x64\x3d\x31\0\x64\x65\
\x73\x74\x72\x6f\x79\x5f\x77\x69\x74\x68\x6f\x75\x74\x5f\x63\x72\x65\x61\x74\
\x69\x6e\x67\x5f\x66\x61\x69\x6c\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\
\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x32\x3d\x65\x78\x70\x65\
\x63\x74\x65\x64\x20\x61\x6e\x20\x69\x6e\x69\x74\x69\x61\x6c\x69\x7a\x65\x64\
\x20\x69\x74\x65\x72\x5f\x6e\x75\x6d\x20\x61\x73\x20\x61\x72\x67\x20\x23\x31\0\
\x63\x6f\x6d\x70\x72\x6f\x6d\x69\x73\x65\x5f\x69\x74\x65\x72\x5f\x77\x5f\x64\
\x69\x72\x65\x63\x74\x5f\x77\x72\x69\x74\x65\x5f\x66\x61\x69\x6c\0\x63\x6f\x6d\
\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\
\x67\x3d\x33\x3d\x65\x78\x70\x65\x63\x74\x65\x64\x20\x61\x6e\x20\x69\x6e\x69\
\x74\x69\x61\x6c\x69\x7a\x65\x64\x20\x69\x74\x65\x72\x5f\x6e\x75\x6d\x20\x61\
\x73\x20\x61\x72\x67\x20\x23\x31\0\x63\x6f\x6d\x70\x72\x6f\x6d\x69\x73\x65\x5f\
\x69\x74\x65\x72\x5f\x77\x5f\x64\x69\x72\x65\x63\x74\x5f\x77\x72\x69\x74\x65\
\x5f\x61\x6e\x64\x5f\x73\x6b\x69\x70\x5f\x64\x65\x73\x74\x72\x6f\x79\x5f\x66\
\x61\x69\x6c\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\
\x65\x63\x74\x5f\x6d\x73\x67\x3d\x34\x3d\x55\x6e\x72\x65\x6c\x65\x61\x73\x65\
\x64\x20\x72\x65\x66\x65\x72\x65\x6e\x63\x65\x20\x69\x64\x3d\x31\0\x63\x6f\x6d\
\x70\x72\x6f\x6d\x69\x73\x65\x5f\x69\x74\x65\x72\x5f\x77\x5f\x68\x65\x6c\x70\
\x65\x72\x5f\x77\x72\x69\x74\x65\x5f\x66\x61\x69\x6c\0\x63\x6f\x6d\x6d\x65\x6e\
\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x35\
\x3d\x65\x78\x70\x65\x63\x74\x65\x64\x20\x61\x6e\x20\x69\x6e\x69\x74\x69\x61\
\x6c\x69\x7a\x65\x64\x20\x69\x74\x65\x72\x5f\x6e\x75\x6d\x20\x61\x73\x20\x61\
\x72\x67\x20\x23\x31\0\x6c\x65\x61\x6b\x5f\x69\x74\x65\x72\x5f\x66\x72\x6f\x6d\
\x5f\x73\x75\x62\x70\x72\x6f\x67\x5f\x66\x61\x69\x6c\0\x63\x6f\x6d\x6d\x65\x6e\
\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x36\
\x3d\x72\x65\x74\x75\x72\x6e\x69\x6e\x67\x20\x66\x72\x6f\x6d\x20\x63\x61\x6c\
\x6c\x65\x65\x3a\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\
\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x37\x3d\x55\x6e\x72\x65\x6c\x65\x61\x73\
\x65\x64\x20\x72\x65\x66\x65\x72\x65\x6e\x63\x65\x20\x69\x64\x3d\x31\0\x73\x75\
\x62\x70\x72\x6f\x67\x5f\x77\x69\x74\x68\x5f\x69\x74\x65\x72\0\x76\x61\x6c\x69\
\x64\x5f\x73\x74\x61\x63\x6b\x5f\x72\x65\x75\x73\x65\0\x63\x6f\x6d\x6d\x65\x6e\
\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x38\
\x3d\x66\x70\x2d\x38\x5f\x77\x3d\x69\x74\x65\x72\x5f\x6e\x75\x6d\x28\x72\x65\
\x66\x5f\x69\x64\x3d\x31\x2c\x73\x74\x61\x74\x65\x3d\x61\x63\x74\x69\x76\x65\
\x2c\x64\x65\x70\x74\x68\x3d\x30\x29\0\x64\x6f\x75\x62\x6c\x65\x5f\x63\x72\x65\
\x61\x74\x65\x5f\x66\x61\x69\x6c\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\
\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x39\x3d\x65\x78\x70\x65\
\x63\x74\x65\x64\x20\x75\x6e\x69\x6e\x69\x74\x69\x61\x6c\x69\x7a\x65\x64\x20\
\x69\x74\x65\x72\x5f\x6e\x75\x6d\x20\x61\x73\x20\x61\x72\x67\x20\x23\x31\0\x64\
\x6f\x75\x62\x6c\x65\x5f\x64\x65\x73\x74\x72\x6f\x79\x5f\x66\x61\x69\x6c\0\x63\
\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\
\x6d\x73\x67\x3d\x31\x30\x3d\x65\x78\x70\x65\x63\x74\x65\x64\x20\x61\x6e\x20\
\x69\x6e\x69\x74\x69\x61\x6c\x69\x7a\x65\x64\x20\x69\x74\x65\x72\x5f\x6e\x75\
\x6d\x20\x61\x73\x20\x61\x72\x67\x20\x23\x31\0\x6e\x65\x78\x74\x5f\x77\x69\x74\
\x68\x6f\x75\x74\x5f\x6e\x65\x77\x5f\x66\x61\x69\x6c\0\x63\x6f\x6d\x6d\x65\x6e\
\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x31\
\x31\x3d\x65\x78\x70\x65\x63\x74\x65\x64\x20\x61\x6e\x20\x69\x6e\x69\x74\x69\
\x61\x6c\x69\x7a\x65\x64\x20\x69\x74\x65\x72\x5f\x6e\x75\x6d\x20\x61\x73\x20\
\x61\x72\x67\x20\x23\x31\0\x6e\x65\x78\x74\x5f\x61\x66\x74\x65\x72\x5f\x64\x65\
\x73\x74\x72\x6f\x79\x5f\x66\x61\x69\x6c\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\
\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x31\x32\x3d\x65\
\x78\x70\x65\x63\x74\x65\x64\x20\x61\x6e\x20\x69\x6e\x69\x74\x69\x61\x6c\x69\
\x7a\x65\x64\x20\x69\x74\x65\x72\x5f\x6e\x75\x6d\x20\x61\x73\x20\x61\x72\x67\
\x20\x23\x31\0\x72\x65\x61\x64\x5f\x66\x72\x6f\x6d\x5f\x69\x74\x65\x72\x5f\x73\
\x6c\x6f\x74\x5f\x66\x61\x69\x6c\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\
\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x31\x33\x3d\x69\x6e\x76\
\x61\x6c\x69\x64\x20\x72\x65\x61\x64\x20\x66\x72\x6f\x6d\x20\x73\x74\x61\x63\
\x6b\0\x73\x74\x61\x63\x6b\x73\x61\x66\x65\x5f\x73\x68\x6f\x75\x6c\x64\x5f\x6e\
\x6f\x74\x5f\x63\x6f\x6e\x66\x6c\x61\x74\x65\x5f\x73\x74\x61\x63\x6b\x5f\x73\
\x70\x69\x6c\x6c\x5f\x61\x6e\x64\x5f\x69\x74\x65\x72\0\x63\x6f\x6d\x6d\x65\x6e\
\x74\x3a\x74\x65\x73\x74\x5f\x70\x72\x6f\x67\x5f\x66\x6c\x61\x67\x73\x3d\x42\
\x50\x46\x5f\x46\x5f\x54\x45\x53\x54\x5f\x53\x54\x41\x54\x45\x5f\x46\x52\x45\
\x51\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\
\x74\x5f\x6d\x73\x67\x3d\x31\x34\x3d\x55\x6e\x72\x65\x6c\x65\x61\x73\x65\x64\
\x20\x72\x65\x66\x65\x72\x65\x6e\x63\x65\0\x63\x68\x61\x72\0\x5f\x6c\x69\x63\
\x65\x6e\x73\x65\0\x7a\x65\x72\x6f\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\
\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\
\x35\x2e\x31\x34\x2e\x30\x2d\x35\x37\x30\x2e\x32\x38\x2e\x31\x2e\x65\x6c\x39\
\x5f\x36\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x37\x30\
\x2e\x32\x38\x2e\x31\x2e\x65\x6c\x39\x5f\x36\x2e\x78\x38\x36\x5f\x36\x34\x2f\
\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\
\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x69\x74\x65\x72\
\x73\x5f\x73\x74\x61\x74\x65\x5f\x73\x61\x66\x65\x74\x79\x2e\x63\0\x73\x74\x61\
\x74\x69\x63\x20\x5f\x5f\x6e\x6f\x69\x6e\x6c\x69\x6e\x65\x20\x76\x6f\x69\x64\
\x20\x73\x75\x62\x70\x72\x6f\x67\x5f\x77\x69\x74\x68\x5f\x69\x74\x65\x72\x28\
\x76\x6f\x69\x64\x29\0\x09\x62\x70\x66\x5f\x69\x74\x65\x72\x5f\x6e\x75\x6d\x5f\
\x6e\x65\x77\x28\x26\x69\x74\x65\x72\x2c\x20\x30\x2c\x20\x31\x29\x3b\0\x7d\0\
\x69\x6e\x74\x20\x66\x6f\x72\x63\x65\x5f\x63\x6c\x61\x6e\x67\x5f\x74\x6f\x5f\
\x65\x6d\x69\x74\x5f\x62\x74\x66\x5f\x66\x6f\x72\x5f\x65\x78\x74\x65\x72\x6e\
\x73\x28\x76\x6f\x69\x64\x20\x2a\x63\x74\x78\x29\0\x09\x62\x70\x66\x5f\x72\x65\
\x70\x65\x61\x74\x28\x30\x29\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x30\x3b\0\
\x69\x6e\x74\x20\x63\x72\x65\x61\x74\x65\x5f\x61\x6e\x64\x5f\x64\x65\x73\x74\
\x72\x6f\x79\x28\x76\x6f\x69\x64\x20\x2a\x63\x74\x78\x29\0\x09\x61\x73\x6d\x20\
\x76\x6f\x6c\x61\x74\x69\x6c\x65\x20\x28\0\x69\x6e\x74\x20\x63\x72\x65\x61\x74\
\x65\x5f\x61\x6e\x64\x5f\x66\x6f\x72\x67\x65\x74\x5f\x74\x6f\x5f\x64\x65\x73\
\x74\x72\x6f\x79\x5f\x66\x61\x69\x6c\x28\x76\x6f\x69\x64\x20\x2a\x63\x74\x78\
\x29\0\x69\x6e\x74\x20\x64\x65\x73\x74\x72\x6f\x79\x5f\x77\x69\x74\x68\x6f\x75\
\x74\x5f\x63\x72\x65\x61\x74\x69\x6e\x67\x5f\x66\x61\x69\x6c\x28\x76\x6f\x69\
\x64\x20\x2a\x63\x74\x78\x29\0\x69\x6e\x74\x20\x63\x6f\x6d\x70\x72\x6f\x6d\x69\
\x73\x65\x5f\x69\x74\x65\x72\x5f\x77\x5f\x64\x69\x72\x65\x63\x74\x5f\x77\x72\
\x69\x74\x65\x5f\x66\x61\x69\x6c\x28\x76\x6f\x69\x64\x20\x2a\x63\x74\x78\x29\0\
\x69\x6e\x74\x20\x63\x6f\x6d\x70\x72\x6f\x6d\x69\x73\x65\x5f\x69\x74\x65\x72\
\x5f\x77\x5f\x64\x69\x72\x65\x63\x74\x5f\x77\x72\x69\x74\x65\x5f\x61\x6e\x64\
\x5f\x73\x6b\x69\x70\x5f\x64\x65\x73\x74\x72\x6f\x79\x5f\x66\x61\x69\x6c\x28\
\x76\x6f\x69\x64\x20\x2a\x63\x74\x78\x29\0\x69\x6e\x74\x20\x63\x6f\x6d\x70\x72\
\x6f\x6d\x69\x73\x65\x5f\x69\x74\x65\x72\x5f\x77\x5f\x68\x65\x6c\x70\x65\x72\
\x5f\x77\x72\x69\x74\x65\x5f\x66\x61\x69\x6c\x28\x76\x6f\x69\x64\x20\x2a\x63\
\x74\x78\x29\0\x09\x73\x75\x62\x70\x72\x6f\x67\x5f\x77\x69\x74\x68\x5f\x69\x74\
\x65\x72\x28\x29\x3b\0\x69\x6e\x74\x20\x76\x61\x6c\x69\x64\x5f\x73\x74\x61\x63\
\x6b\x5f\x72\x65\x75\x73\x65\x28\x76\x6f\x69\x64\x20\x2a\x63\x74\x78\x29\0\x69\
\x6e\x74\x20\x64\x6f\x75\x62\x6c\x65\x5f\x63\x72\x65\x61\x74\x65\x5f\x66\x61\
\x69\x6c\x28\x76\x6f\x69\x64\x20\x2a\x63\x74\x78\x29\0\x69\x6e\x74\x20\x64\x6f\
\x75\x62\x6c\x65\x5f\x64\x65\x73\x74\x72\x6f\x79\x5f\x66\x61\x69\x6c\x28\x76\
\x6f\x69\x64\x20\x2a\x63\x74\x78\x29\0\x69\x6e\x74\x20\x6e\x65\x78\x74\x5f\x77\
\x69\x74\x68\x6f\x75\x74\x5f\x6e\x65\x77\x5f\x66\x61\x69\x6c\x28\x76\x6f\x69\
\x64\x20\x2a\x63\x74\x78\x29\0\x69\x6e\x74\x20\x6e\x65\x78\x74\x5f\x61\x66\x74\
\x65\x72\x5f\x64\x65\x73\x74\x72\x6f\x79\x5f\x66\x61\x69\x6c\x28\x76\x6f\x69\
\x64\x20\x2a\x63\x74\x78\x29\0\x69\x6e\x74\x20\x73\x74\x61\x63\x6b\x73\x61\x66\
\x65\x5f\x73\x68\x6f\x75\x6c\x64\x5f\x6e\x6f\x74\x5f\x63\x6f\x6e\x66\x6c\x61\
\x74\x65\x5f\x73\x74\x61\x63\x6b\x5f\x73\x70\x69\x6c\x6c\x5f\x61\x6e\x64\x5f\
\x69\x74\x65\x72\x28\x76\x6f\x69\x64\x20\x2a\x63\x74\x78\x29\0\x6c\x69\x63\x65\
\x6e\x73\x65\0\x2e\x62\x73\x73\0\x2e\x6b\x73\x79\x6d\x73\0\x2e\x74\x65\x78\x74\
\0\x3f\x72\x61\x77\x5f\x74\x70\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x94\0\0\0\x94\
\0\0\0\x14\x03\0\0\xa8\x03\0\0\0\0\0\0\x08\0\0\0\x16\x0a\0\0\x01\0\0\0\0\0\0\0\
\x2b\0\0\0\x1c\x0a\0\0\x0f\0\0\0\0\0\0\0\x04\0\0\0\x70\0\0\0\x13\0\0\0\xc0\0\0\
\0\x17\0\0\0\0\x01\0\0\x1a\0\0\0\x30\x01\0\0\x1d\0\0\0\x88\x01\0\0\x20\0\0\0\
\xd0\x01\0\0\x23\0\0\0\x48\x02\0\0\x26\0\0\0\x60\x02\0\0\x2c\0\0\0\xe0\x02\0\0\
\x30\0\0\0\x50\x03\0\0\x33\0\0\0\xb0\x03\0\0\x36\0\0\0\xf0\x03\0\0\x39\0\0\0\
\x50\x04\0\0\x3d\0\0\0\xc0\x04\0\0\x40\0\0\0\x10\0\0\0\x16\x0a\0\0\x03\0\0\0\0\
\0\0\0\x92\x06\0\0\x1f\x07\0\0\0\xc0\x02\0\x10\0\0\0\x92\x06\0\0\x4e\x07\0\0\
\x02\xd0\x02\0\x28\0\0\0\x92\x06\0\0\x6e\x07\0\0\x01\xdc\x02\0\x1c\x0a\0\0\x2d\
\0\0\0\0\0\0\0\x92\x06\0\0\x70\x07\0\0\0\x4c\0\0\x10\0\0\0\x92\x06\0\0\xa3\x07\
\0\0\x02\x68\0\0\x38\0\0\0\x92\x06\0\0\xa3\x07\0\0\x02\x68\0\0\x40\0\0\0\x92\
\x06\0\0\xa3\x07\0\0\x02\x68\0\0\x58\0\0\0\x92\x06\0\0\xa3\x07\0\0\x02\x68\0\0\
\x60\0\0\0\x92\x06\0\0\xb3\x07\0\0\x02\x70\0\0\x70\0\0\0\x92\x06\0\0\xbe\x07\0\
\0\0\x88\0\0\x80\0\0\0\x92\x06\0\0\xe0\x07\0\0\x02\x98\0\0\xb0\0\0\0\x92\x06\0\
\0\xb3\x07\0\0\x02\xd0\0\0\xc0\0\0\0\x92\x06\0\0\xf0\x07\0\0\0\xe4\0\0\xd0\0\0\
\0\x92\x06\0\0\xe0\x07\0\0\x02\xf4\0\0\xf0\0\0\0\x92\x06\0\0\xb3\x07\0\0\x02\
\x20\x01\0\0\x01\0\0\x92\x06\0\0\x21\x08\0\0\0\x34\x01\0\x10\x01\0\0\x92\x06\0\
\0\xe0\x07\0\0\x02\x48\x01\0\x20\x01\0\0\x92\x06\0\0\xb3\x07\0\0\x02\x68\x01\0\
\x30\x01\0\0\x92\x06\0\0\x4e\x08\0\0\0\x7c\x01\0\x40\x01\0\0\x92\x06\0\0\xe0\
\x07\0\0\x02\x8c\x01\0\x78\x01\0\0\x92\x06\0\0\xb3\x07\0\0\x02\xd4\x01\0\x88\
\x01\0\0\x92\x06\0\0\x81\x08\0\0\0\xe8\x01\0\x98\x01\0\0\x92\x06\0\0\xe0\x07\0\
\0\x02\xf8\x01\0\xc0\x01\0\0\x92\x06\0\0\xb3\x07\0\0\x02\x38\x02\0\xd0\x01\0\0\
\x92\x06\0\0\xc5\x08\0\0\0\x4c\x02\0\xe0\x01\0\0\x92\x06\0\0\xe0\x07\0\0\x02\
\x5c\x02\0\x38\x02\0\0\x92\x06\0\0\xb3\x07\0\0\x02\xb4\x02\0\x48\x02\0\0\x92\
\x06\0\0\xf8\x08\0\0\x02\0\x03\0\x50\x02\0\0\x92\x06\0\0\xb3\x07\0\0\x02\x08\
\x03\0\x60\x02\0\0\x92\x06\0\0\x0e\x09\0\0\0\x20\x03\0\x70\x02\0\0\x92\x06\0\0\
\xe0\x07\0\0\x02\x30\x03\0\xd0\x02\0\0\x92\x06\0\0\xb3\x07\0\0\x02\x94\x03\0\
\xe0\x02\0\0\x92\x06\0\0\x2f\x09\0\0\0\xa8\x03\0\xf0\x02\0\0\x92\x06\0\0\xe0\
\x07\0\0\x02\xb8\x03\0\x40\x03\0\0\x92\x06\0\0\xb3\x07\0\0\x02\x04\x04\0\x50\
\x03\0\0\x92\x06\0\0\x51\x09\0\0\0\x18\x04\0\x60\x03\0\0\x92\x06\0\0\xe0\x07\0\
\0\x02\x28\x04\0\xa0\x03\0\0\x92\x06\0\0\xb3\x07\0\0\x02\x6c\x04\0\xb0\x03\0\0\
\x92\x06\0\0\x74\x09\0\0\0\x80\x04\0\xc0\x03\0\0\x92\x06\0\0\xe0\x07\0\0\x02\
\x90\x04\0\xe0\x03\0\0\x92\x06\0\0\xb3\x07\0\0\x02\xc0\x04\0\xf0\x03\0\0\x92\
\x06\0\0\x99\x09\0\0\0\xd4\x04\0\0\x04\0\0\x92\x06\0\0\xe0\x07\0\0\x02\xe4\x04\
\0\x40\x04\0\0\x92\x06\0\0\xb3\x07\0\0\x02\x28\x05\0\x50\x04\0\0\x92\x06\0\0\
\xe0\x07\0\0\x02\x44\x05\0\xc0\x04\0\0\x92\x06\0\0\xc0\x09\0\0\0\xd4\x05\0\xd0\
\x04\0\0\x92\x06\0\0\xe0\x07\0\0\x02\xe4\x05\0\x40\x05\0\0\x92\x06\0\0\xb3\x07\
\0\0\x02\xa4\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\
\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x8d\x02\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd0\x02\0\0\0\0\0\0\x88\x02\0\0\0\0\0\0\x01\0\0\0\
\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x58\x05\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x17\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x88\x05\0\0\0\0\0\0\x50\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x1f\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd8\
\x0a\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x27\0\0\0\x08\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xdc\x0a\0\0\0\0\0\
\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x69\x02\
\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe0\x0a\0\0\0\0\0\0\x10\0\0\0\
\0\0\0\0\x02\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x73\x02\0\0\
\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf0\x0a\0\0\0\0\0\0\xf0\x01\0\0\0\
\0\0\0\x02\0\0\0\x04\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x7f\x02\0\0\x01\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe0\x0c\0\0\0\0\0\0\xe0\x0e\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x84\x02\0\0\x01\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\xc0\x1b\0\0\0\0\0\0\xc8\x03\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct iters_state_safety *iters_state_safety::open(const struct bpf_object_open_opts *opts) { return iters_state_safety__open_opts(opts); }
struct iters_state_safety *iters_state_safety::open_and_load() { return iters_state_safety__open_and_load(); }
int iters_state_safety::load(struct iters_state_safety *skel) { return iters_state_safety__load(skel); }
int iters_state_safety::attach(struct iters_state_safety *skel) { return iters_state_safety__attach(skel); }
void iters_state_safety::detach(struct iters_state_safety *skel) { iters_state_safety__detach(skel); }
void iters_state_safety::destroy(struct iters_state_safety *skel) { iters_state_safety__destroy(skel); }
const void *iters_state_safety::elf_bytes(size_t *sz) { return iters_state_safety__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
iters_state_safety__assert(struct iters_state_safety *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->zero) == 4, "unexpected size of 'zero'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __ITERS_STATE_SAFETY_SKEL_H__ */
