/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __JEQ_INFER_NOT_NULL_FAIL_SKEL_H__
#define __JEQ_INFER_NOT_NULL_FAIL_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct jeq_infer_not_null_fail {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *m_hash;
	} maps;
	struct {
		struct bpf_program *jeq_infer_not_null_ptr_to_btfid;
	} progs;
	struct {
		struct bpf_link *jeq_infer_not_null_ptr_to_btfid;
	} links;

#ifdef __cplusplus
	static inline struct jeq_infer_not_null_fail *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct jeq_infer_not_null_fail *open_and_load();
	static inline int load(struct jeq_infer_not_null_fail *skel);
	static inline int attach(struct jeq_infer_not_null_fail *skel);
	static inline void detach(struct jeq_infer_not_null_fail *skel);
	static inline void destroy(struct jeq_infer_not_null_fail *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
jeq_infer_not_null_fail__destroy(struct jeq_infer_not_null_fail *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
jeq_infer_not_null_fail__create_skeleton(struct jeq_infer_not_null_fail *obj);

static inline struct jeq_infer_not_null_fail *
jeq_infer_not_null_fail__open_opts(const struct bpf_object_open_opts *opts)
{
	struct jeq_infer_not_null_fail *obj;
	int err;

	obj = (struct jeq_infer_not_null_fail *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = jeq_infer_not_null_fail__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	jeq_infer_not_null_fail__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct jeq_infer_not_null_fail *
jeq_infer_not_null_fail__open(void)
{
	return jeq_infer_not_null_fail__open_opts(NULL);
}

static inline int
jeq_infer_not_null_fail__load(struct jeq_infer_not_null_fail *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct jeq_infer_not_null_fail *
jeq_infer_not_null_fail__open_and_load(void)
{
	struct jeq_infer_not_null_fail *obj;
	int err;

	obj = jeq_infer_not_null_fail__open();
	if (!obj)
		return NULL;
	err = jeq_infer_not_null_fail__load(obj);
	if (err) {
		jeq_infer_not_null_fail__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
jeq_infer_not_null_fail__attach(struct jeq_infer_not_null_fail *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
jeq_infer_not_null_fail__detach(struct jeq_infer_not_null_fail *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *jeq_infer_not_null_fail__elf_bytes(size_t *sz);

static inline int
jeq_infer_not_null_fail__create_skeleton(struct jeq_infer_not_null_fail *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "jeq_infer_not_null_fail";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "m_hash";
	map->map = &obj->maps.m_hash;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "jeq_infer_not_null_ptr_to_btfid";
	s->progs[0].prog = &obj->progs.jeq_infer_not_null_ptr_to_btfid;
	s->progs[0].link = &obj->links.jeq_infer_not_null_ptr_to_btfid;

	s->data = jeq_infer_not_null_fail__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *jeq_infer_not_null_fail__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x18\x19\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x09\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x3f\x72\
\x61\x77\x5f\x74\x70\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x6d\x61\x70\x73\0\x6a\
\x65\x71\x5f\x69\x6e\x66\x65\x72\x5f\x6e\x6f\x74\x5f\x6e\x75\x6c\x6c\x5f\x66\
\x61\x69\x6c\x2e\x63\0\x6a\x65\x71\x5f\x69\x6e\x66\x65\x72\x5f\x6e\x6f\x74\x5f\
\x6e\x75\x6c\x6c\x5f\x70\x74\x72\x5f\x74\x6f\x5f\x62\x74\x66\x69\x64\0\x6d\x5f\
\x68\x61\x73\x68\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x3f\x72\
\x61\x77\x5f\x74\x70\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x27\0\0\0\x04\0\xf1\xff\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x41\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\x70\0\0\0\0\0\0\0\x61\0\0\0\x11\0\
\x05\0\0\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x68\0\0\0\x11\0\x04\0\0\0\0\0\0\0\0\0\
\x04\0\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x79\x17\x08\0\0\0\0\0\
\xb7\x06\0\0\0\0\0\0\x7b\x6a\xf8\xff\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\
\xf8\xff\xff\xff\x85\0\0\0\x01\0\0\0\xbf\x08\0\0\0\0\0\0\xbf\x79\0\0\0\0\0\0\
\x5d\x98\x01\0\0\0\0\0\x79\x86\0\0\0\0\0\0\xbf\x60\0\0\0\0\0\0\x95\0\0\0\0\0\0\
\0\x47\x50\x4c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x04\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\
\xb0\x09\0\0\xb0\x09\0\0\x84\x0c\0\0\0\0\0\0\0\0\0\x02\x03\0\0\0\x01\0\0\0\0\0\
\0\x01\x04\0\0\0\x20\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x01\
\0\0\0\x05\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x02\x06\0\0\0\x19\
\0\0\0\0\0\0\x08\x07\0\0\0\x1d\0\0\0\0\0\0\x08\x08\0\0\0\x23\0\0\0\0\0\0\x01\
\x08\0\0\0\x40\0\0\0\0\0\0\0\x04\0\0\x04\x20\0\0\0\x36\0\0\0\x01\0\0\0\0\0\0\0\
\x3b\0\0\0\x01\0\0\0\x40\0\0\0\x47\0\0\0\x05\0\0\0\x80\0\0\0\x4b\0\0\0\x05\0\0\
\0\xc0\0\0\0\x51\0\0\0\0\0\0\x0e\x09\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\0\
\0\0\0\0\x01\0\0\x0d\x02\0\0\0\x58\0\0\0\x0b\0\0\0\x5c\0\0\0\x01\0\0\x0c\x0c\0\
\0\0\x7c\0\0\0\0\0\0\x11\x0d\0\0\0\xff\xff\xff\xff\x98\0\0\0\0\0\0\x11\x0d\0\0\
\0\xff\xff\xff\xff\xdb\0\0\0\x1e\0\0\x04\xf8\0\0\0\xe3\0\0\0\x11\0\0\0\0\0\0\0\
\xe7\0\0\0\x13\0\0\0\x40\0\0\0\xf6\0\0\0\x0b\0\0\0\x80\0\0\0\xff\0\0\0\x14\0\0\
\0\xc0\0\0\0\x08\x01\0\0\x15\0\0\0\xe0\0\0\0\x11\x01\0\0\x15\0\0\0\0\x01\0\0\
\x3b\0\0\0\x15\0\0\0\x20\x01\0\0\x1c\x01\0\0\x06\0\0\0\x40\x01\0\0\x26\x01\0\0\
\x15\0\0\0\x80\x01\0\0\x30\x01\0\0\x15\0\0\0\xa0\x01\0\0\x33\x01\0\0\x18\0\0\0\
\xc0\x01\0\0\x3a\x01\0\0\x02\0\0\0\0\x02\0\0\x44\x01\0\0\x15\0\0\0\x20\x02\0\0\
\x54\x01\0\0\x15\0\0\0\x40\x02\0\0\x66\x01\0\0\x15\0\0\0\x60\x02\0\0\x80\x01\0\
\0\x19\0\0\0\x80\x02\0\0\x84\x01\0\0\x1a\0\0\0\xc0\x02\0\0\x8a\x01\0\0\x1c\0\0\
\0\0\x03\0\0\x8f\x01\0\0\x1d\0\0\0\x80\x03\0\0\x9c\x01\0\0\x1f\0\0\0\x80\x04\0\
\0\xa3\x01\0\0\x1f\0\0\0\xc0\x04\0\0\0\0\0\0\x36\0\0\0\0\x05\0\0\xab\x01\0\0\
\x1f\0\0\0\0\x06\0\0\xb4\x01\0\0\x40\0\0\0\x40\x06\0\0\xba\x01\0\0\x47\0\0\0\0\
\x07\0\0\xc9\x01\0\0\x47\0\0\0\x08\x07\0\0\xd0\x01\0\0\x47\0\0\0\x10\x07\0\0\
\xe7\x01\0\0\x47\0\0\0\x18\x07\0\0\xf9\x01\0\0\x1f\0\0\0\x40\x07\0\0\x0a\x02\0\
\0\x49\0\0\0\x80\x07\0\0\0\0\0\0\0\0\0\x02\x12\0\0\0\0\0\0\0\0\0\0\x0a\x4c\0\0\
\0\0\0\0\0\0\0\0\x02\x10\0\0\0\x15\x02\0\0\x25\0\0\x06\x04\0\0\0\x22\x02\0\0\0\
\0\0\0\x36\x02\0\0\x01\0\0\0\x48\x02\0\0\x02\0\0\0\x5b\x02\0\0\x03\0\0\0\x73\
\x02\0\0\x04\0\0\0\x91\x02\0\0\x05\0\0\0\xaa\x02\0\0\x06\0\0\0\xc4\x02\0\0\x07\
\0\0\0\xdd\x02\0\0\x08\0\0\0\xf7\x02\0\0\x09\0\0\0\x0d\x03\0\0\x0a\0\0\0\x2a\
\x03\0\0\x0b\0\0\0\x40\x03\0\0\x0c\0\0\0\x5b\x03\0\0\x0d\0\0\0\x75\x03\0\0\x0e\
\0\0\0\x89\x03\0\0\x0f\0\0\0\x9e\x03\0\0\x10\0\0\0\xb2\x03\0\0\x11\0\0\0\xc6\
\x03\0\0\x12\0\0\0\xdc\x03\0\0\x13\0\0\0\x03\x04\0\0\x13\0\0\0\x1f\x04\0\0\x14\
\0\0\0\x40\x04\0\0\x15\0\0\0\x6e\x04\0\0\x15\0\0\0\x91\x04\0\0\x16\0\0\0\xa4\
\x04\0\0\x17\0\0\0\xb7\x04\0\0\x18\0\0\0\xcf\x04\0\0\x19\0\0\0\xe8\x04\0\0\x1a\
\0\0\0\0\x05\0\0\x1b\0\0\0\x15\x05\0\0\x1c\0\0\0\x30\x05\0\0\x1d\0\0\0\x4a\x05\
\0\0\x1e\0\0\0\x64\x05\0\0\x1f\0\0\0\x7e\x05\0\0\x20\0\0\0\x98\x05\0\0\x21\0\0\
\0\xab\x05\0\0\x22\0\0\0\xbe\x05\0\0\0\0\0\x08\x16\0\0\0\xc2\x05\0\0\0\0\0\x08\
\x17\0\0\0\xc8\x05\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x02\x4f\0\0\
\0\0\0\0\0\0\0\0\x02\x4d\0\0\0\0\0\0\0\0\0\0\x02\x50\0\0\0\xd5\x05\0\0\0\0\0\
\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x1b\0\0\0\x04\0\0\0\x10\0\
\0\0\xda\x05\0\0\x04\0\0\x04\x20\0\0\0\xb4\x01\0\0\x1e\0\0\0\0\0\0\0\xe0\x05\0\
\0\x24\0\0\0\x40\0\0\0\xea\x05\0\0\x33\0\0\0\x60\0\0\0\xee\x05\0\0\x34\0\0\0\
\x80\0\0\0\xf8\x05\0\0\0\0\0\x08\x1f\0\0\0\x06\x06\0\0\0\0\0\x08\x20\0\0\0\0\0\
\0\0\x01\0\0\x04\x08\0\0\0\x11\x06\0\0\x21\0\0\0\0\0\0\0\x19\x06\0\0\0\0\0\x08\
\x22\0\0\0\x1d\x06\0\0\0\0\0\x08\x23\0\0\0\x23\x06\0\0\0\0\0\x01\x08\0\0\0\x40\
\0\0\x01\x2d\x06\0\0\0\0\0\x08\x25\0\0\0\x3c\x06\0\0\x01\0\0\x04\x04\0\0\0\x49\
\x06\0\0\x26\0\0\0\0\0\0\0\x52\x06\0\0\0\0\0\x08\x27\0\0\0\x62\x06\0\0\x01\0\0\
\x04\x04\0\0\0\0\0\0\0\x28\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x05\x04\0\0\0\x6c\x06\
\0\0\x29\0\0\0\0\0\0\0\0\0\0\0\x2b\0\0\0\0\0\0\0\0\0\0\0\x2f\0\0\0\0\0\0\0\x70\
\x06\0\0\0\0\0\x08\x2a\0\0\0\0\0\0\0\x01\0\0\x04\x04\0\0\0\x11\x06\0\0\x02\0\0\
\0\0\0\0\0\0\0\0\0\x02\0\0\x04\x02\0\0\0\x79\x06\0\0\x2c\0\0\0\0\0\0\0\x80\x06\
\0\0\x2c\0\0\0\x08\0\0\0\x88\x06\0\0\0\0\0\x08\x2d\0\0\0\x8b\x06\0\0\0\0\0\x08\
\x2e\0\0\0\x90\x06\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\0\0\0\0\0\x02\0\0\x04\x04\0\
\0\0\x9e\x06\0\0\x30\0\0\0\0\0\0\0\xad\x06\0\0\x30\0\0\0\x10\0\0\0\xb2\x06\0\0\
\0\0\0\x08\x31\0\0\0\xb6\x06\0\0\0\0\0\x08\x32\0\0\0\xbc\x06\0\0\0\0\0\x01\x02\
\0\0\0\x10\0\0\0\xcb\x06\0\0\x01\0\0\x04\x04\0\0\0\xad\x06\0\0\x29\0\0\0\0\0\0\
\0\xe1\x06\0\0\x02\0\0\x04\x10\0\0\0\xeb\x06\0\0\x35\0\0\0\0\0\0\0\xf0\x06\0\0\
\x35\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\x02\x34\0\0\0\0\0\0\0\x02\0\0\x05\x20\0\0\0\
\xf5\x06\0\0\x37\0\0\0\0\0\0\0\xfa\x06\0\0\x3c\0\0\0\0\0\0\0\xfe\x06\0\0\x03\0\
\0\x04\x20\0\0\0\x0a\x07\0\0\x1e\0\0\0\0\0\0\0\x0f\x07\0\0\x34\0\0\0\x40\0\0\0\
\x15\x07\0\0\x38\0\0\0\xc0\0\0\0\x1a\x07\0\0\0\0\0\x08\x39\0\0\0\0\0\0\0\0\0\0\
\x02\x3a\0\0\0\0\0\0\0\x01\0\0\x0d\0\0\0\0\0\0\0\0\x3b\0\0\0\0\0\0\0\0\0\0\x02\
\x37\0\0\0\x26\x07\0\0\x02\0\0\x04\x10\0\0\0\xeb\x06\0\0\x3d\0\0\0\0\0\0\0\x15\
\x07\0\0\x3e\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\x02\x3c\0\0\0\0\0\0\0\0\0\0\x02\x3f\
\0\0\0\0\0\0\0\x01\0\0\x0d\0\0\0\0\0\0\0\0\x3d\0\0\0\0\0\0\0\x05\0\0\x04\x18\0\
\0\0\x34\x07\0\0\x41\0\0\0\0\0\0\0\x46\x07\0\0\x43\0\0\0\x40\0\0\0\x36\0\0\0\
\x46\0\0\0\x60\0\0\0\x4b\x07\0\0\x47\0\0\0\x80\0\0\0\x51\x07\0\0\x47\0\0\0\x88\
\0\0\0\0\0\0\0\0\0\0\x02\x42\0\0\0\0\0\0\0\0\0\0\x0a\x4e\0\0\0\x5f\x07\0\0\0\0\
\0\x08\x44\0\0\0\x6a\x07\0\0\x01\0\0\x04\x04\0\0\0\0\0\0\0\x45\0\0\0\0\0\0\0\0\
\0\0\0\x01\0\0\x05\x04\0\0\0\x73\x07\0\0\x25\0\0\0\0\0\0\0\x79\x07\0\0\x22\0\0\
\x06\x04\0\0\0\x87\x07\0\0\0\0\0\0\x9c\x07\0\0\x01\0\0\0\xb8\x07\0\0\x02\0\0\0\
\xcd\x07\0\0\x03\0\0\0\xe5\x07\0\0\x04\0\0\0\xfd\x07\0\0\x05\0\0\0\x16\x08\0\0\
\x06\0\0\0\x28\x08\0\0\x07\0\0\0\x41\x08\0\0\x08\0\0\0\x5a\x08\0\0\x09\0\0\0\
\x74\x08\0\0\x0a\0\0\0\x89\x08\0\0\x0b\0\0\0\x9f\x08\0\0\x0c\0\0\0\xb6\x08\0\0\
\x0d\0\0\0\xcd\x08\0\0\x0e\0\0\0\xe2\x08\0\0\x0f\0\0\0\xfe\x08\0\0\x10\0\0\0\
\x13\x09\0\0\x11\0\0\0\x30\x09\0\0\x12\0\0\0\x4f\x09\0\0\x13\0\0\0\x6b\x09\0\0\
\x14\0\0\0\x84\x09\0\0\x15\0\0\0\x9f\x09\0\0\x16\0\0\0\xbc\x09\0\0\x17\0\0\0\
\xd8\x09\0\0\x18\0\0\0\xfe\x09\0\0\x19\0\0\0\x1b\x0a\0\0\x1a\0\0\0\x31\x0a\0\0\
\x1b\0\0\0\x4a\x0a\0\0\x1c\0\0\0\x5c\x0a\0\0\x1d\0\0\0\x6e\x0a\0\0\x1e\0\0\0\
\x86\x0a\0\0\x1f\0\0\0\x9c\x0a\0\0\x20\0\0\0\xb4\x0a\0\0\x21\0\0\0\xc8\x0a\0\0\
\0\0\0\x08\x48\0\0\0\xcd\x0a\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x04\0\0\0\0\0\0\0\
\x02\x21\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x1b\0\0\0\x04\0\0\0\x04\0\0\0\xd3\x0a\
\0\0\0\0\0\x0e\x4a\0\0\0\x01\0\0\0\xdc\x0a\0\0\0\0\0\x07\0\0\0\0\x80\x01\0\0\0\
\0\0\x07\0\0\0\0\xe8\x0a\0\0\0\0\0\x07\0\0\0\0\xf1\x0a\0\0\0\0\0\x07\0\0\0\0\
\xfc\x0a\0\0\0\0\0\x07\0\0\0\0\x6e\x0c\0\0\x01\0\0\x0f\x04\0\0\0\x4b\0\0\0\0\0\
\0\0\x04\0\0\0\x76\x0c\0\0\x01\0\0\x0f\x20\0\0\0\x0a\0\0\0\0\0\0\0\x20\0\0\0\0\
\x69\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\
\x45\x5f\x5f\0\x75\x36\x34\0\x5f\x5f\x75\x36\x34\0\x75\x6e\x73\x69\x67\x6e\x65\
\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x74\x79\x70\x65\0\x6d\x61\x78\
\x5f\x65\x6e\x74\x72\x69\x65\x73\0\x6b\x65\x79\0\x76\x61\x6c\x75\x65\0\x6d\x5f\
\x68\x61\x73\x68\0\x63\x74\x78\0\x6a\x65\x71\x5f\x69\x6e\x66\x65\x72\x5f\x6e\
\x6f\x74\x5f\x6e\x75\x6c\x6c\x5f\x70\x74\x72\x5f\x74\x6f\x5f\x62\x74\x66\x69\
\x64\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\
\x74\x5f\x66\x61\x69\x6c\x75\x72\x65\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\
\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x30\x3d\x52\x38\x20\
\x69\x6e\x76\x61\x6c\x69\x64\x20\x6d\x65\x6d\x20\x61\x63\x63\x65\x73\x73\x20\
\x27\x6d\x61\x70\x5f\x76\x61\x6c\x75\x65\x5f\x6f\x72\x5f\x6e\x75\x6c\x6c\0\x62\
\x70\x66\x5f\x6d\x61\x70\0\x6f\x70\x73\0\x69\x6e\x6e\x65\x72\x5f\x6d\x61\x70\
\x5f\x6d\x65\x74\x61\0\x73\x65\x63\x75\x72\x69\x74\x79\0\x6d\x61\x70\x5f\x74\
\x79\x70\x65\0\x6b\x65\x79\x5f\x73\x69\x7a\x65\0\x76\x61\x6c\x75\x65\x5f\x73\
\x69\x7a\x65\0\x6d\x61\x70\x5f\x65\x78\x74\x72\x61\0\x6d\x61\x70\x5f\x66\x6c\
\x61\x67\x73\0\x69\x64\0\x72\x65\x63\x6f\x72\x64\0\x6e\x75\x6d\x61\x5f\x6e\x6f\
\x64\x65\0\x62\x74\x66\x5f\x6b\x65\x79\x5f\x74\x79\x70\x65\x5f\x69\x64\0\x62\
\x74\x66\x5f\x76\x61\x6c\x75\x65\x5f\x74\x79\x70\x65\x5f\x69\x64\0\x62\x74\x66\
\x5f\x76\x6d\x6c\x69\x6e\x75\x78\x5f\x76\x61\x6c\x75\x65\x5f\x74\x79\x70\x65\
\x5f\x69\x64\0\x62\x74\x66\0\x6f\x62\x6a\x63\x67\0\x6e\x61\x6d\x65\0\x66\x72\
\x65\x65\x7a\x65\x5f\x6d\x75\x74\x65\x78\0\x72\x65\x66\x63\x6e\x74\0\x75\x73\
\x65\x72\x63\x6e\x74\0\x77\x72\x69\x74\x65\x63\x6e\x74\0\x6f\x77\x6e\x65\x72\0\
\x62\x79\x70\x61\x73\x73\x5f\x73\x70\x65\x63\x5f\x76\x31\0\x66\x72\x6f\x7a\x65\
\x6e\0\x66\x72\x65\x65\x5f\x61\x66\x74\x65\x72\x5f\x6d\x75\x6c\x74\x5f\x72\x63\
\x75\x5f\x67\x70\0\x66\x72\x65\x65\x5f\x61\x66\x74\x65\x72\x5f\x72\x63\x75\x5f\
\x67\x70\0\x73\x6c\x65\x65\x70\x61\x62\x6c\x65\x5f\x72\x65\x66\x63\x6e\x74\0\
\x65\x6c\x65\x6d\x5f\x63\x6f\x75\x6e\x74\0\x62\x70\x66\x5f\x6d\x61\x70\x5f\x74\
\x79\x70\x65\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x55\x4e\x53\
\x50\x45\x43\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x48\x41\x53\
\x48\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x41\x52\x52\x41\x59\
\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x50\x52\x4f\x47\x5f\x41\
\x52\x52\x41\x59\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x50\x45\
\x52\x46\x5f\x45\x56\x45\x4e\x54\x5f\x41\x52\x52\x41\x59\0\x42\x50\x46\x5f\x4d\
\x41\x50\x5f\x54\x59\x50\x45\x5f\x50\x45\x52\x43\x50\x55\x5f\x48\x41\x53\x48\0\
\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x50\x45\x52\x43\x50\x55\
\x5f\x41\x52\x52\x41\x59\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\
\x53\x54\x41\x43\x4b\x5f\x54\x52\x41\x43\x45\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\
\x54\x59\x50\x45\x5f\x43\x47\x52\x4f\x55\x50\x5f\x41\x52\x52\x41\x59\0\x42\x50\
\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x4c\x52\x55\x5f\x48\x41\x53\x48\0\
\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x4c\x52\x55\x5f\x50\x45\
\x52\x43\x50\x55\x5f\x48\x41\x53\x48\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\
\x50\x45\x5f\x4c\x50\x4d\x5f\x54\x52\x49\x45\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\
\x54\x59\x50\x45\x5f\x41\x52\x52\x41\x59\x5f\x4f\x46\x5f\x4d\x41\x50\x53\0\x42\
\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x48\x41\x53\x48\x5f\x4f\x46\
\x5f\x4d\x41\x50\x53\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x44\
\x45\x56\x4d\x41\x50\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x53\
\x4f\x43\x4b\x4d\x41\x50\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\
\x43\x50\x55\x4d\x41\x50\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\
\x58\x53\x4b\x4d\x41\x50\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\
\x53\x4f\x43\x4b\x48\x41\x53\x48\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\
\x45\x5f\x43\x47\x52\x4f\x55\x50\x5f\x53\x54\x4f\x52\x41\x47\x45\x5f\x44\x45\
\x50\x52\x45\x43\x41\x54\x45\x44\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\
\x45\x5f\x43\x47\x52\x4f\x55\x50\x5f\x53\x54\x4f\x52\x41\x47\x45\0\x42\x50\x46\
\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x52\x45\x55\x53\x45\x50\x4f\x52\x54\
\x5f\x53\x4f\x43\x4b\x41\x52\x52\x41\x59\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\
\x59\x50\x45\x5f\x50\x45\x52\x43\x50\x55\x5f\x43\x47\x52\x4f\x55\x50\x5f\x53\
\x54\x4f\x52\x41\x47\x45\x5f\x44\x45\x50\x52\x45\x43\x41\x54\x45\x44\0\x42\x50\
\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x50\x45\x52\x43\x50\x55\x5f\x43\
\x47\x52\x4f\x55\x50\x5f\x53\x54\x4f\x52\x41\x47\x45\0\x42\x50\x46\x5f\x4d\x41\
\x50\x5f\x54\x59\x50\x45\x5f\x51\x55\x45\x55\x45\0\x42\x50\x46\x5f\x4d\x41\x50\
\x5f\x54\x59\x50\x45\x5f\x53\x54\x41\x43\x4b\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\
\x54\x59\x50\x45\x5f\x53\x4b\x5f\x53\x54\x4f\x52\x41\x47\x45\0\x42\x50\x46\x5f\
\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x44\x45\x56\x4d\x41\x50\x5f\x48\x41\x53\
\x48\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x53\x54\x52\x55\x43\
\x54\x5f\x4f\x50\x53\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x52\
\x49\x4e\x47\x42\x55\x46\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\
\x49\x4e\x4f\x44\x45\x5f\x53\x54\x4f\x52\x41\x47\x45\0\x42\x50\x46\x5f\x4d\x41\
\x50\x5f\x54\x59\x50\x45\x5f\x54\x41\x53\x4b\x5f\x53\x54\x4f\x52\x41\x47\x45\0\
\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x42\x4c\x4f\x4f\x4d\x5f\
\x46\x49\x4c\x54\x45\x52\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\
\x55\x53\x45\x52\x5f\x52\x49\x4e\x47\x42\x55\x46\0\x42\x50\x46\x5f\x4d\x41\x50\
\x5f\x54\x59\x50\x45\x5f\x43\x47\x52\x50\x5f\x53\x54\x4f\x52\x41\x47\x45\0\x42\
\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x41\x52\x45\x4e\x41\0\x5f\x5f\
\x4d\x41\x58\x5f\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\0\x75\x33\x32\
\0\x5f\x5f\x75\x33\x32\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x63\
\x68\x61\x72\0\x6d\x75\x74\x65\x78\0\x77\x61\x69\x74\x5f\x6c\x6f\x63\x6b\0\x6f\
\x73\x71\0\x77\x61\x69\x74\x5f\x6c\x69\x73\x74\0\x61\x74\x6f\x6d\x69\x63\x5f\
\x6c\x6f\x6e\x67\x5f\x74\0\x61\x74\x6f\x6d\x69\x63\x36\x34\x5f\x74\0\x63\x6f\
\x75\x6e\x74\x65\x72\0\x73\x36\x34\0\x5f\x5f\x73\x36\x34\0\x6c\x6f\x6e\x67\x20\
\x6c\x6f\x6e\x67\0\x72\x61\x77\x5f\x73\x70\x69\x6e\x6c\x6f\x63\x6b\x5f\x74\0\
\x72\x61\x77\x5f\x73\x70\x69\x6e\x6c\x6f\x63\x6b\0\x72\x61\x77\x5f\x6c\x6f\x63\
\x6b\0\x61\x72\x63\x68\x5f\x73\x70\x69\x6e\x6c\x6f\x63\x6b\x5f\x74\0\x71\x73\
\x70\x69\x6e\x6c\x6f\x63\x6b\0\x76\x61\x6c\0\x61\x74\x6f\x6d\x69\x63\x5f\x74\0\
\x6c\x6f\x63\x6b\x65\x64\0\x70\x65\x6e\x64\x69\x6e\x67\0\x75\x38\0\x5f\x5f\x75\
\x38\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x63\x68\x61\x72\0\x6c\x6f\x63\x6b\
\x65\x64\x5f\x70\x65\x6e\x64\x69\x6e\x67\0\x74\x61\x69\x6c\0\x75\x31\x36\0\x5f\
\x5f\x75\x31\x36\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x73\x68\x6f\x72\x74\0\
\x6f\x70\x74\x69\x6d\x69\x73\x74\x69\x63\x5f\x73\x70\x69\x6e\x5f\x71\x75\x65\
\x75\x65\0\x6c\x69\x73\x74\x5f\x68\x65\x61\x64\0\x6e\x65\x78\x74\0\x70\x72\x65\
\x76\0\x77\x6f\x72\x6b\0\x72\x63\x75\0\x77\x6f\x72\x6b\x5f\x73\x74\x72\x75\x63\
\x74\0\x64\x61\x74\x61\0\x65\x6e\x74\x72\x79\0\x66\x75\x6e\x63\0\x77\x6f\x72\
\x6b\x5f\x66\x75\x6e\x63\x5f\x74\0\x63\x61\x6c\x6c\x62\x61\x63\x6b\x5f\x68\x65\
\x61\x64\0\x61\x74\x74\x61\x63\x68\x5f\x66\x75\x6e\x63\x5f\x70\x72\x6f\x74\x6f\
\0\x6c\x6f\x63\x6b\0\x6a\x69\x74\x65\x64\0\x78\x64\x70\x5f\x68\x61\x73\x5f\x66\
\x72\x61\x67\x73\0\x73\x70\x69\x6e\x6c\x6f\x63\x6b\x5f\x74\0\x73\x70\x69\x6e\
\x6c\x6f\x63\x6b\0\x72\x6c\x6f\x63\x6b\0\x62\x70\x66\x5f\x70\x72\x6f\x67\x5f\
\x74\x79\x70\x65\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x55\
\x4e\x53\x50\x45\x43\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\
\x53\x4f\x43\x4b\x45\x54\x5f\x46\x49\x4c\x54\x45\x52\0\x42\x50\x46\x5f\x50\x52\
\x4f\x47\x5f\x54\x59\x50\x45\x5f\x4b\x50\x52\x4f\x42\x45\0\x42\x50\x46\x5f\x50\
\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x53\x43\x48\x45\x44\x5f\x43\x4c\x53\0\x42\
\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x53\x43\x48\x45\x44\x5f\
\x41\x43\x54\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x54\x52\
\x41\x43\x45\x50\x4f\x49\x4e\x54\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\
\x50\x45\x5f\x58\x44\x50\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\
\x5f\x50\x45\x52\x46\x5f\x45\x56\x45\x4e\x54\0\x42\x50\x46\x5f\x50\x52\x4f\x47\
\x5f\x54\x59\x50\x45\x5f\x43\x47\x52\x4f\x55\x50\x5f\x53\x4b\x42\0\x42\x50\x46\
\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x43\x47\x52\x4f\x55\x50\x5f\x53\
\x4f\x43\x4b\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x4c\x57\
\x54\x5f\x49\x4e\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x4c\
\x57\x54\x5f\x4f\x55\x54\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\
\x5f\x4c\x57\x54\x5f\x58\x4d\x49\x54\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\
\x59\x50\x45\x5f\x53\x4f\x43\x4b\x5f\x4f\x50\x53\0\x42\x50\x46\x5f\x50\x52\x4f\
\x47\x5f\x54\x59\x50\x45\x5f\x53\x4b\x5f\x53\x4b\x42\0\x42\x50\x46\x5f\x50\x52\
\x4f\x47\x5f\x54\x59\x50\x45\x5f\x43\x47\x52\x4f\x55\x50\x5f\x44\x45\x56\x49\
\x43\x45\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x53\x4b\x5f\
\x4d\x53\x47\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x52\x41\
\x57\x5f\x54\x52\x41\x43\x45\x50\x4f\x49\x4e\x54\0\x42\x50\x46\x5f\x50\x52\x4f\
\x47\x5f\x54\x59\x50\x45\x5f\x43\x47\x52\x4f\x55\x50\x5f\x53\x4f\x43\x4b\x5f\
\x41\x44\x44\x52\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x4c\
\x57\x54\x5f\x53\x45\x47\x36\x4c\x4f\x43\x41\x4c\0\x42\x50\x46\x5f\x50\x52\x4f\
\x47\x5f\x54\x59\x50\x45\x5f\x4c\x49\x52\x43\x5f\x4d\x4f\x44\x45\x32\0\x42\x50\
\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x53\x4b\x5f\x52\x45\x55\x53\
\x45\x50\x4f\x52\x54\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\
\x46\x4c\x4f\x57\x5f\x44\x49\x53\x53\x45\x43\x54\x4f\x52\0\x42\x50\x46\x5f\x50\
\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x43\x47\x52\x4f\x55\x50\x5f\x53\x59\x53\
\x43\x54\x4c\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x52\x41\
\x57\x5f\x54\x52\x41\x43\x45\x50\x4f\x49\x4e\x54\x5f\x57\x52\x49\x54\x41\x42\
\x4c\x45\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x43\x47\x52\
\x4f\x55\x50\x5f\x53\x4f\x43\x4b\x4f\x50\x54\0\x42\x50\x46\x5f\x50\x52\x4f\x47\
\x5f\x54\x59\x50\x45\x5f\x54\x52\x41\x43\x49\x4e\x47\0\x42\x50\x46\x5f\x50\x52\
\x4f\x47\x5f\x54\x59\x50\x45\x5f\x53\x54\x52\x55\x43\x54\x5f\x4f\x50\x53\0\x42\
\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x45\x58\x54\0\x42\x50\x46\
\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x4c\x53\x4d\0\x42\x50\x46\x5f\x50\
\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x53\x4b\x5f\x4c\x4f\x4f\x4b\x55\x50\0\x42\
\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x53\x59\x53\x43\x41\x4c\
\x4c\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x4e\x45\x54\x46\
\x49\x4c\x54\x45\x52\0\x5f\x5f\x4d\x41\x58\x5f\x42\x50\x46\x5f\x50\x52\x4f\x47\
\x5f\x54\x59\x50\x45\0\x62\x6f\x6f\x6c\0\x5f\x42\x6f\x6f\x6c\0\x5f\x6c\x69\x63\
\x65\x6e\x73\x65\0\x62\x70\x66\x5f\x6d\x61\x70\x5f\x6f\x70\x73\0\x62\x74\x66\
\x5f\x74\x79\x70\x65\0\x62\x74\x66\x5f\x72\x65\x63\x6f\x72\x64\0\x6f\x62\x6a\
\x5f\x63\x67\x72\x6f\x75\x70\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\
\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\
\x31\x34\x2e\x30\x2d\x35\x37\x30\x2e\x32\x38\x2e\x31\x2e\x65\x6c\x39\x5f\x36\
\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x37\x30\x2e\x32\
\x38\x2e\x31\x2e\x65\x6c\x39\x5f\x36\x2e\x78\x38\x36\x5f\x36\x34\x2f\x74\x6f\
\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\
\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x6a\x65\x71\x5f\x69\x6e\
\x66\x65\x72\x5f\x6e\x6f\x74\x5f\x6e\x75\x6c\x6c\x5f\x66\x61\x69\x6c\x2e\x63\0\
\x69\x6e\x74\x20\x6a\x65\x71\x5f\x69\x6e\x66\x65\x72\x5f\x6e\x6f\x74\x5f\x6e\
\x75\x6c\x6c\x5f\x70\x74\x72\x5f\x74\x6f\x5f\x62\x74\x66\x69\x64\x28\x76\x6f\
\x69\x64\x20\x2a\x63\x74\x78\x29\0\x09\x73\x74\x72\x75\x63\x74\x20\x62\x70\x66\
\x5f\x6d\x61\x70\x20\x2a\x69\x6e\x6e\x65\x72\x5f\x6d\x61\x70\x20\x3d\x20\x6d\
\x61\x70\x2d\x3e\x69\x6e\x6e\x65\x72\x5f\x6d\x61\x70\x5f\x6d\x65\x74\x61\x3b\0\
\x09\x75\x36\x34\x20\x6b\x65\x79\x20\x3d\x20\x30\x2c\x20\x72\x65\x74\x20\x3d\
\x20\x30\x2c\x20\x2a\x76\x61\x6c\x3b\0\x09\x76\x61\x6c\x20\x3d\x20\x62\x70\x66\
\x5f\x6d\x61\x70\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\x65\x6c\x65\x6d\x28\x6d\x61\
\x70\x2c\x20\x26\x6b\x65\x79\x29\x3b\0\x09\x61\x73\x6d\x20\x76\x6f\x6c\x61\x74\
\x69\x6c\x65\x28\x22\x72\x38\x20\x3d\x20\x25\x5b\x76\x61\x6c\x5d\x3b\x5c\x6e\
\x22\0\x09\x72\x65\x74\x75\x72\x6e\x20\x72\x65\x74\x3b\0\x30\x3a\x31\0\x6c\x69\
\x63\x65\x6e\x73\x65\0\x2e\x6d\x61\x70\x73\0\x3f\x72\x61\x77\x5f\x74\x70\0\0\0\
\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x14\0\0\0\x14\0\0\0\x6c\0\0\0\x80\0\0\0\
\x1c\0\0\0\x08\0\0\0\x7c\x0c\0\0\x01\0\0\0\0\0\0\0\x0d\0\0\0\x10\0\0\0\x7c\x0c\
\0\0\x06\0\0\0\0\0\0\0\x07\x0b\0\0\x99\x0b\0\0\0\x58\0\0\x10\0\0\0\x07\x0b\0\0\
\xc8\x0b\0\0\x23\x64\0\0\x20\0\0\0\x07\x0b\0\0\xfa\x0b\0\0\x06\x68\0\0\x38\0\0\
\0\x07\x0b\0\0\x17\x0c\0\0\x08\x70\0\0\x40\0\0\0\x07\x0b\0\0\x3e\x0c\0\0\x02\
\x94\0\0\x60\0\0\0\x07\x0b\0\0\x5d\x0c\0\0\x02\xb4\0\0\x10\0\0\0\x7c\x0c\0\0\
\x01\0\0\0\x10\0\0\0\x10\0\0\0\x6a\x0c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x40\0\0\0\0\0\0\0\x8b\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd0\0\0\0\0\
\0\0\0\x90\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\
\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x60\x01\0\0\0\0\0\0\x70\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x19\0\0\0\x01\
\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd0\x01\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x21\0\0\0\x01\0\0\0\x03\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\xd8\x01\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x71\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\xf8\x01\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x02\0\0\0\x03\0\0\0\x08\0\0\
\0\0\0\0\0\x10\0\0\0\0\0\0\0\x7d\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x08\x02\0\0\0\0\0\0\x4c\x16\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x82\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x58\x18\0\0\
\0\0\0\0\xbc\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct jeq_infer_not_null_fail *jeq_infer_not_null_fail::open(const struct bpf_object_open_opts *opts) { return jeq_infer_not_null_fail__open_opts(opts); }
struct jeq_infer_not_null_fail *jeq_infer_not_null_fail::open_and_load() { return jeq_infer_not_null_fail__open_and_load(); }
int jeq_infer_not_null_fail::load(struct jeq_infer_not_null_fail *skel) { return jeq_infer_not_null_fail__load(skel); }
int jeq_infer_not_null_fail::attach(struct jeq_infer_not_null_fail *skel) { return jeq_infer_not_null_fail__attach(skel); }
void jeq_infer_not_null_fail::detach(struct jeq_infer_not_null_fail *skel) { jeq_infer_not_null_fail__detach(skel); }
void jeq_infer_not_null_fail::destroy(struct jeq_infer_not_null_fail *skel) { jeq_infer_not_null_fail__destroy(skel); }
const void *jeq_infer_not_null_fail::elf_bytes(size_t *sz) { return jeq_infer_not_null_fail__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
jeq_infer_not_null_fail__assert(struct jeq_infer_not_null_fail *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __JEQ_INFER_NOT_NULL_FAIL_SKEL_H__ */
