/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __TEST_BTF_SKC_CLS_INGRESS_SKEL_H__
#define __TEST_BTF_SKC_CLS_INGRESS_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct test_btf_skc_cls_ingress {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *cls_ingress;
	} progs;
	struct {
		struct bpf_link *cls_ingress;
	} links;
	struct test_btf_skc_cls_ingress__bss {
		struct sockaddr_in6 srv_sa6;
		__u16 listen_tp_sport;
		__u16 req_sk_sport;
		__u32 recv_cookie;
		__u32 gen_cookie;
		__u32 linum;
	} *bss;

#ifdef __cplusplus
	static inline struct test_btf_skc_cls_ingress *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct test_btf_skc_cls_ingress *open_and_load();
	static inline int load(struct test_btf_skc_cls_ingress *skel);
	static inline int attach(struct test_btf_skc_cls_ingress *skel);
	static inline void detach(struct test_btf_skc_cls_ingress *skel);
	static inline void destroy(struct test_btf_skc_cls_ingress *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
test_btf_skc_cls_ingress__destroy(struct test_btf_skc_cls_ingress *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_btf_skc_cls_ingress__create_skeleton(struct test_btf_skc_cls_ingress *obj);

static inline struct test_btf_skc_cls_ingress *
test_btf_skc_cls_ingress__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_btf_skc_cls_ingress *obj;
	int err;

	obj = (struct test_btf_skc_cls_ingress *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = test_btf_skc_cls_ingress__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	test_btf_skc_cls_ingress__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct test_btf_skc_cls_ingress *
test_btf_skc_cls_ingress__open(void)
{
	return test_btf_skc_cls_ingress__open_opts(NULL);
}

static inline int
test_btf_skc_cls_ingress__load(struct test_btf_skc_cls_ingress *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_btf_skc_cls_ingress *
test_btf_skc_cls_ingress__open_and_load(void)
{
	struct test_btf_skc_cls_ingress *obj;
	int err;

	obj = test_btf_skc_cls_ingress__open();
	if (!obj)
		return NULL;
	err = test_btf_skc_cls_ingress__load(obj);
	if (err) {
		test_btf_skc_cls_ingress__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
test_btf_skc_cls_ingress__attach(struct test_btf_skc_cls_ingress *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_btf_skc_cls_ingress__detach(struct test_btf_skc_cls_ingress *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *test_btf_skc_cls_ingress__elf_bytes(size_t *sz);

static inline int
test_btf_skc_cls_ingress__create_skeleton(struct test_btf_skc_cls_ingress *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "test_btf_skc_cls_ingress";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "test_btf.bss";
	map->map = &obj->maps.bss;
	map->mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "cls_ingress";
	s->progs[0].prog = &obj->progs.cls_ingress;
	s->progs[0].link = &obj->links.cls_ingress;

	s->data = test_btf_skc_cls_ingress__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *test_btf_skc_cls_ingress__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x08\x25\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0b\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\x74\
\x65\x78\x74\0\x74\x63\0\x2e\x62\x73\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x74\
\x65\x73\x74\x5f\x62\x74\x66\x5f\x73\x6b\x63\x5f\x63\x6c\x73\x5f\x69\x6e\x67\
\x72\x65\x73\x73\x2e\x63\0\x74\x65\x73\x74\x5f\x73\x79\x6e\x63\x6f\x6f\x6b\x69\
\x65\x5f\x68\x65\x6c\x70\x65\x72\0\x63\x6c\x73\x5f\x69\x6e\x67\x72\x65\x73\x73\
\0\x73\x72\x76\x5f\x73\x61\x36\0\x6c\x69\x6e\x75\x6d\0\x72\x65\x71\x5f\x73\x6b\
\x5f\x73\x70\x6f\x72\x74\0\x6c\x69\x73\x74\x65\x6e\x5f\x74\x70\x5f\x73\x70\x6f\
\x72\x74\0\x67\x65\x6e\x5f\x63\x6f\x6f\x6b\x69\x65\0\x72\x65\x63\x76\x5f\x63\
\x6f\x6f\x6b\x69\x65\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x2e\
\x74\x65\x78\x74\0\x2e\x72\x65\x6c\x74\x63\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\
\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x27\0\0\
\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x42\
\0\0\0\x02\0\x03\0\0\0\0\0\0\0\0\0\x78\x02\0\0\0\0\0\0\x58\0\0\0\x12\0\x04\0\0\
\0\0\0\0\0\0\0\xa8\x03\0\0\0\0\0\0\x64\0\0\0\x11\0\x05\0\0\0\0\0\0\0\0\0\x1c\0\
\0\0\0\0\0\0\x6c\0\0\0\x11\0\x05\0\x28\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x72\0\0\
\0\x11\0\x05\0\x1e\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\0\x7f\0\0\0\x11\0\x05\0\x1c\0\
\0\0\0\0\0\0\x02\0\0\0\0\0\0\0\x8f\0\0\0\x11\0\x05\0\x24\0\0\0\0\0\0\0\x04\0\0\
\0\0\0\0\0\x9a\0\0\0\x11\0\x05\0\x20\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xa6\0\0\0\
\x11\0\x06\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xbf\x26\0\0\0\0\0\0\xbf\x12\0\0\
\0\0\0\0\x69\x61\x0c\0\0\0\0\0\xbf\x15\0\0\0\0\0\0\x57\x05\0\0\0\x02\0\0\x15\
\x05\x09\0\0\0\0\0\x57\x01\0\0\xf0\0\0\0\x15\x01\x21\0\xa0\0\0\0\x18\x01\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x61\x12\0\0\0\0\0\0\x55\x02\x42\0\0\0\0\0\xb7\x02\0\0\
\x26\0\0\0\x63\x21\0\0\0\0\0\0\x05\0\x3f\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x61\x11\0\0\0\0\0\0\x15\x01\x3b\0\0\0\0\0\xbf\x31\0\0\0\0\0\0\xb7\x03\
\0\0\x28\0\0\0\xbf\x64\0\0\0\0\0\0\xb7\x05\0\0\x14\0\0\0\x85\0\0\0\x64\0\0\0\
\x67\0\0\0\x20\0\0\0\xbf\x01\0\0\0\0\0\0\xc7\x01\0\0\x20\0\0\0\x65\x01\x18\0\
\xff\xff\xff\xff\x77\0\0\0\x20\0\0\0\x18\x01\0\0\xfe\xff\xff\xff\0\0\0\0\0\0\0\
\0\x1d\x10\x2e\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x11\0\0\0\0\0\
\0\x55\x01\x2a\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x02\0\0\x3e\0\
\0\0\x63\x21\0\0\0\0\0\0\x05\0\x25\0\0\0\0\0\x61\x41\x50\0\0\0\0\0\xbf\x64\0\0\
\0\0\0\0\x07\x04\0\0\x28\0\0\0\xbd\x14\x0e\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x61\x12\0\0\0\0\0\0\x55\x02\x1d\0\0\0\0\0\xb7\x02\0\0\x2b\0\0\0\x63\
\x21\0\0\0\0\0\0\x05\0\x1a\0\0\0\0\0\x61\x61\x08\0\0\0\0\0\xdc\x01\0\0\x20\0\0\
\0\x07\x01\0\0\xff\xff\xff\xff\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x63\x12\0\0\
\0\0\0\0\x05\0\x13\0\0\0\0\0\xbf\x31\0\0\0\0\0\0\xb7\x03\0\0\x28\0\0\0\xbf\x64\
\0\0\0\0\0\0\xb7\x05\0\0\x28\0\0\0\x85\0\0\0\x6e\0\0\0\x65\0\x0a\0\xff\xff\xff\
\xff\x15\0\x0c\0\xfe\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x11\0\
\0\0\0\0\0\x55\x01\x08\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x02\0\
\0\x33\0\0\0\x63\x21\0\0\0\0\0\0\x05\0\x03\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x63\x01\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x61\x13\x50\0\0\0\0\0\x61\x12\
\x4c\0\0\0\0\0\xbf\x27\0\0\0\0\0\0\x07\x07\0\0\x0e\0\0\0\x2d\x37\x5d\0\0\0\0\0\
\x71\x24\x0d\0\0\0\0\0\x67\x04\0\0\x08\0\0\0\x71\x25\x0c\0\0\0\0\0\x4f\x54\0\0\
\0\0\0\0\x55\x04\x58\0\x86\xdd\0\0\xbf\x28\0\0\0\0\0\0\x07\x08\0\0\x36\0\0\0\
\x2d\x38\x55\0\0\0\0\0\x71\x24\x14\0\0\0\0\0\x55\x04\x53\0\x06\0\0\0\xbf\x24\0\
\0\0\0\0\0\x07\x04\0\0\x4a\0\0\0\x2d\x34\x50\0\0\0\0\0\x18\x03\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x69\x33\x02\0\0\0\0\0\x69\x24\x38\0\0\0\0\0\x5d\x34\x4b\0\0\0\0\0\
\x07\x02\0\0\x16\0\0\0\xbf\x19\0\0\0\0\0\0\xb7\x03\0\0\x24\0\0\0\xb7\x04\0\0\
\xff\xff\xff\xff\xb7\x05\0\0\0\0\0\0\x85\0\0\0\x63\0\0\0\xbf\x06\0\0\0\0\0\0\
\x55\x06\x07\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x12\0\0\0\0\0\0\
\x55\x02\x3f\0\0\0\0\0\xb7\x02\0\0\x61\0\0\0\x63\x21\0\0\0\0\0\0\x05\0\x3c\0\0\
\0\0\0\x61\x61\x48\0\0\0\0\0\x15\x01\x0b\0\x0a\0\0\0\x55\x01\x2a\0\x0c\0\0\0\
\xbf\x61\0\0\0\0\0\0\x85\0\0\0\x8b\0\0\0\xbf\x07\0\0\0\0\0\0\x55\x07\x0f\0\0\0\
\0\0\xb7\x01\0\0\x6a\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x22\0\0\0\0\
\0\0\x15\x02\x2b\0\0\0\0\0\x05\0\x2d\0\0\0\0\0\xbf\x61\0\0\0\0\0\0\x85\0\0\0\
\x89\0\0\0\x55\0\x11\0\0\0\0\0\xb7\x01\0\0\x7c\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x61\x22\0\0\0\0\0\0\x15\x02\x22\0\0\0\0\0\x05\0\x24\0\0\0\0\0\xbf\
\x91\0\0\0\0\0\0\xbf\x72\0\0\0\0\0\0\xb7\x03\0\0\0\0\0\0\x85\0\0\0\x7c\0\0\0\
\x15\0\x23\0\0\0\0\0\xb7\x01\0\0\x6f\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x61\x22\0\0\0\0\0\0\x15\x02\x17\0\0\0\0\0\x05\0\x19\0\0\0\0\0\xbf\x91\0\0\0\0\
\0\0\x7b\x0a\xf8\xff\0\0\0\0\xbf\x02\0\0\0\0\0\0\xb7\x03\0\0\0\0\0\0\x85\0\0\0\
\x7c\0\0\0\x15\0\x1d\0\0\0\0\0\xb7\x01\0\0\x81\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x61\x22\0\0\0\0\0\0\x15\x02\x0b\0\0\0\0\0\x05\0\x0d\0\0\0\0\0\xbf\
\x91\0\0\0\0\0\0\xbf\x62\0\0\0\0\0\0\xb7\x03\0\0\0\0\0\0\x85\0\0\0\x7c\0\0\0\
\x15\0\x08\0\0\0\0\0\xb7\x01\0\0\x8d\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x61\x22\0\0\0\0\0\0\x55\x02\x03\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x63\x12\0\0\0\0\0\0\xbf\x61\0\0\0\0\0\0\x85\0\0\0\x56\0\0\0\xb7\0\0\0\0\0\0\0\
\x95\0\0\0\0\0\0\0\x69\x71\x02\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x6b\x12\0\0\0\0\0\0\xbf\x71\0\0\0\0\0\0\x05\0\xf7\xff\0\0\0\0\x79\xa6\xf8\xff\
\0\0\0\0\x69\x61\x02\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x6b\x12\0\0\
\0\0\0\0\xbf\x71\0\0\0\0\0\0\xbf\x82\0\0\0\0\0\0\xbf\x63\0\0\0\0\0\0\xbf\x94\0\
\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\x05\0\xeb\xff\0\0\0\0\x47\x50\x4c\0\0\0\
\0\0\x40\0\0\0\0\0\0\0\x01\0\0\0\x07\0\0\0\x78\0\0\0\0\0\0\0\x01\0\0\0\x0a\0\0\
\0\0\x01\0\0\0\0\0\0\x01\0\0\0\x07\0\0\0\x20\x01\0\0\0\0\0\0\x01\0\0\0\x07\0\0\
\0\x68\x01\0\0\0\0\0\0\x01\0\0\0\x07\0\0\0\xb8\x01\0\0\0\0\0\0\x01\0\0\0\x0b\0\
\0\0\x10\x02\0\0\0\0\0\0\x01\0\0\0\x07\0\0\0\x30\x02\0\0\0\0\0\0\x01\0\0\0\x07\
\0\0\0\x58\x02\0\0\0\0\0\0\x01\0\0\0\x0a\0\0\0\x90\0\0\0\0\0\0\0\x01\0\0\0\x06\
\0\0\0\xf8\0\0\0\0\0\0\0\x01\0\0\0\x07\0\0\0\x70\x01\0\0\0\0\0\0\x01\0\0\0\x07\
\0\0\0\xb8\x01\0\0\0\0\0\0\x01\0\0\0\x07\0\0\0\x10\x02\0\0\0\0\0\0\x01\0\0\0\
\x07\0\0\0\x70\x02\0\0\0\0\0\0\x01\0\0\0\x07\0\0\0\xc8\x02\0\0\0\0\0\0\x01\0\0\
\0\x07\0\0\0\xe8\x02\0\0\0\0\0\0\x01\0\0\0\x07\0\0\0\x28\x03\0\0\0\0\0\0\x01\0\
\0\0\x08\0\0\0\x60\x03\0\0\0\0\0\0\x01\0\0\0\x09\0\0\0\x98\x03\0\0\0\0\0\0\x0a\
\0\0\0\x02\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\xa4\x09\0\0\xa4\x09\0\0\x23\
\x0c\0\0\0\0\0\0\0\0\0\x02\x02\0\0\0\x01\0\0\0\x22\0\0\x04\xc0\0\0\0\x0b\0\0\0\
\x03\0\0\0\0\0\0\0\x0f\0\0\0\x03\0\0\0\x20\0\0\0\x18\0\0\0\x03\0\0\0\x40\0\0\0\
\x1d\0\0\0\x03\0\0\0\x60\0\0\0\x2b\0\0\0\x03\0\0\0\x80\0\0\0\x34\0\0\0\x03\0\0\
\0\xa0\0\0\0\x41\0\0\0\x03\0\0\0\xc0\0\0\0\x4a\0\0\0\x03\0\0\0\xe0\0\0\0\x55\0\
\0\0\x03\0\0\0\0\x01\0\0\x5e\0\0\0\x03\0\0\0\x20\x01\0\0\x6e\0\0\0\x03\0\0\0\
\x40\x01\0\0\x76\0\0\0\x03\0\0\0\x60\x01\0\0\x7f\0\0\0\x05\0\0\0\x80\x01\0\0\
\x82\0\0\0\x03\0\0\0\x20\x02\0\0\x87\0\0\0\x03\0\0\0\x40\x02\0\0\x92\0\0\0\x03\
\0\0\0\x60\x02\0\0\x97\0\0\0\x03\0\0\0\x80\x02\0\0\xa0\0\0\0\x03\0\0\0\xa0\x02\
\0\0\xa8\0\0\0\x03\0\0\0\xc0\x02\0\0\xaf\0\0\0\x03\0\0\0\xe0\x02\0\0\xba\0\0\0\
\x03\0\0\0\0\x03\0\0\xc4\0\0\0\x07\0\0\0\x20\x03\0\0\xcf\0\0\0\x07\0\0\0\xa0\
\x03\0\0\xd9\0\0\0\x03\0\0\0\x20\x04\0\0\xe5\0\0\0\x03\0\0\0\x40\x04\0\0\xf0\0\
\0\0\x03\0\0\0\x60\x04\0\0\0\0\0\0\x08\0\0\0\x80\x04\0\0\xfa\0\0\0\x0a\0\0\0\
\xc0\x04\0\0\x01\x01\0\0\x03\0\0\0\0\x05\0\0\x0a\x01\0\0\x03\0\0\0\x20\x05\0\0\
\0\0\0\0\x0c\0\0\0\x40\x05\0\0\x13\x01\0\0\x03\0\0\0\x80\x05\0\0\x1c\x01\0\0\
\x0e\0\0\0\xa0\x05\0\0\x28\x01\0\0\x0a\0\0\0\xc0\x05\0\0\x31\x01\0\0\0\0\0\x08\
\x04\0\0\0\x37\x01\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\
\x03\0\0\0\x06\0\0\0\x05\0\0\0\x44\x01\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\
\0\0\0\0\x03\0\0\0\0\x03\0\0\0\x06\0\0\0\x04\0\0\0\0\0\0\0\x01\0\0\x05\x08\0\0\
\0\x58\x01\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x44\0\0\0\x62\x01\0\0\0\0\0\
\x08\x0b\0\0\0\x68\x01\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\0\0\0\0\x01\0\0\x05\
\x08\0\0\0\x7b\x01\0\0\x0d\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x43\0\0\0\x7e\x01\0\
\0\0\0\0\x08\x0f\0\0\0\x83\x01\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\0\0\0\0\0\x01\0\
\0\x0d\x11\0\0\0\x91\x01\0\0\x01\0\0\0\x95\x01\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\
\x01\x99\x01\0\0\x01\0\0\x0c\x10\0\0\0\xa5\x01\0\0\x01\0\0\x04\x04\0\0\0\xb2\
\x01\0\0\x14\0\0\0\0\0\0\0\xbf\x01\0\0\x02\0\0\x04\x04\0\0\0\xcb\x01\0\0\x0f\0\
\0\0\0\0\0\0\xd5\x01\0\0\x15\0\0\0\x10\0\0\0\xdd\x01\0\0\0\0\0\x08\x16\0\0\0\
\xe3\x01\0\0\0\0\0\x01\x02\0\0\0\x10\0\0\0\xf2\x01\0\0\x19\0\0\x84\xd8\0\0\0\
\xfb\x01\0\0\x18\0\0\0\0\0\0\0\x05\x02\0\0\x03\0\0\0\x40\x04\0\0\x0d\x02\0\0\
\x03\0\0\0\x60\x04\0\0\x15\x02\0\0\x03\0\0\0\x80\x04\0\0\x1d\x02\0\0\x03\0\0\0\
\xa0\x04\0\0\x2a\x02\0\0\x0e\0\0\0\xc0\x04\0\0\x34\x02\0\0\x03\0\0\0\xe0\x04\0\
\0\x3e\x02\0\0\x03\0\0\0\0\x05\0\0\x4b\x02\0\0\x03\0\0\0\x20\x05\0\0\x54\x02\0\
\0\x03\0\0\0\x40\x05\0\0\x61\x02\0\0\x03\0\0\0\x60\x05\0\0\x70\x02\0\0\x03\0\0\
\0\x80\x05\0\0\x7d\x02\0\0\x0e\0\0\0\xa0\x05\0\x01\x86\x02\0\0\x0e\0\0\0\xa1\
\x05\0\x01\x93\x02\0\0\x0e\0\0\0\xa2\x05\0\x01\xa4\x02\0\0\x0e\0\0\0\xa3\x05\0\
\x01\xb4\x02\0\0\x0e\0\0\0\xa4\x05\0\x01\xc3\x02\0\0\x0e\0\0\0\xa5\x05\0\x01\
\xcc\x02\0\0\x0e\0\0\0\xa6\x05\0\x01\xdc\x02\0\0\x0e\0\0\0\xa7\x05\0\x01\xe4\
\x02\0\0\x03\0\0\0\xc0\x05\0\0\xf4\x02\0\0\x03\0\0\0\xe0\x05\0\0\xfd\x02\0\0\
\x03\0\0\0\0\x06\0\0\x08\x03\0\0\x0a\0\0\0\x40\x06\0\0\x13\x03\0\0\x1e\0\0\0\
\x80\x06\0\0\x1c\x03\0\0\x06\0\0\x84\x88\0\0\0\x31\x03\0\0\x19\0\0\0\0\0\0\0\
\x3b\x03\0\0\x0e\0\0\0\xc0\0\0\x06\x49\x03\0\0\x0e\0\0\0\xc6\0\0\x01\x5c\x03\0\
\0\x0e\0\0\0\xc7\0\0\x01\x6f\x03\0\0\x1c\0\0\0\xc8\0\0\0\x78\x03\0\0\x1d\0\0\0\
\0\x01\0\0\x85\x03\0\0\x01\0\0\x04\x18\0\0\0\x7b\x01\0\0\x1a\0\0\0\0\0\0\0\x8f\
\x03\0\0\x03\0\0\x04\x18\0\0\0\x94\x03\0\0\x14\0\0\0\0\0\0\0\xa0\x03\0\0\x1b\0\
\0\0\x40\0\0\0\xaf\x03\0\0\x03\0\0\0\x80\0\0\0\xc0\x03\0\0\0\0\0\x01\x08\0\0\0\
\x40\0\0\0\0\0\0\0\x01\0\0\x04\x01\0\0\0\xce\x03\0\0\x0e\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x03\0\0\0\0\x0a\0\0\0\x06\0\0\0\x0d\0\0\0\xd6\x03\0\0\0\0\0\x01\x01\0\0\
\0\x08\0\0\x04\0\0\0\0\0\0\0\x02\x20\0\0\0\xdc\x03\0\0\x07\0\0\x84\x28\0\0\0\
\x55\0\0\0\x0e\0\0\0\0\0\0\x04\xe4\x03\0\0\x0e\0\0\0\x04\0\0\x04\xec\x03\0\0\
\x21\0\0\0\x08\0\0\0\xf5\x03\0\0\x22\0\0\0\x20\0\0\0\x01\x04\0\0\x0e\0\0\0\x30\
\0\0\0\x09\x04\0\0\x0e\0\0\0\x38\0\0\0\0\0\0\0\x23\0\0\0\x40\0\0\0\0\0\0\0\0\0\
\0\x03\0\0\0\0\x0e\0\0\0\x06\0\0\0\x03\0\0\0\x13\x04\0\0\0\0\0\x08\x15\0\0\0\0\
\0\0\0\x02\0\0\x05\x20\0\0\0\0\0\0\0\x24\0\0\0\0\0\0\0\x1a\x04\0\0\x24\0\0\0\0\
\0\0\0\0\0\0\0\x02\0\0\x04\x20\0\0\0\x20\x04\0\0\x25\0\0\0\0\0\0\0\x26\x04\0\0\
\x25\0\0\0\x80\0\0\0\x2c\x04\0\0\x01\0\0\x04\x10\0\0\0\x35\x04\0\0\x26\0\0\0\0\
\0\0\0\0\0\0\0\x03\0\0\x05\x10\0\0\0\x3d\x04\0\0\x29\0\0\0\0\0\0\0\x48\x04\0\0\
\x2c\0\0\0\0\0\0\0\x54\x04\0\0\x2f\0\0\0\0\0\0\0\x60\x04\0\0\0\0\0\x08\x28\0\0\
\0\x68\x04\0\0\0\0\0\x08\x0f\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x27\0\0\0\x06\0\0\
\0\x10\0\0\0\x72\x04\0\0\0\0\0\x08\x2b\0\0\0\x7b\x04\0\0\0\0\0\x08\x16\0\0\0\0\
\0\0\0\0\0\0\x03\0\0\0\0\x2a\0\0\0\x06\0\0\0\x08\0\0\0\x86\x04\0\0\0\0\0\x08\
\x2e\0\0\0\x8f\x04\0\0\0\0\0\x08\x04\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x2d\0\0\0\
\x06\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\x02\x31\0\0\0\x9a\x04\0\0\x11\0\0\x84\x14\0\
\0\0\xa1\x04\0\0\x22\0\0\0\0\0\0\0\xa8\x04\0\0\x22\0\0\0\x10\0\0\0\xad\x04\0\0\
\x32\0\0\0\x20\0\0\0\xb1\x04\0\0\x32\0\0\0\x40\0\0\0\xb9\x04\0\0\x15\0\0\0\x60\
\0\0\x04\xbe\x04\0\0\x15\0\0\0\x64\0\0\x04\xc3\x04\0\0\x15\0\0\0\x68\0\0\x01\
\xc7\x04\0\0\x15\0\0\0\x69\0\0\x01\xcb\x04\0\0\x15\0\0\0\x6a\0\0\x01\xcf\x04\0\
\0\x15\0\0\0\x6b\0\0\x01\xd3\x04\0\0\x15\0\0\0\x6c\0\0\x01\xd7\x04\0\0\x15\0\0\
\0\x6d\0\0\x01\xdb\x04\0\0\x15\0\0\0\x6e\0\0\x01\xdf\x04\0\0\x15\0\0\0\x6f\0\0\
\x01\xe3\x04\0\0\x22\0\0\0\x70\0\0\0\xea\x04\0\0\x33\0\0\0\x80\0\0\0\xf0\x04\0\
\0\x22\0\0\0\x90\0\0\0\xf8\x04\0\0\0\0\0\x08\x03\0\0\0\xff\x04\0\0\0\0\0\x08\
\x15\0\0\0\0\0\0\0\0\0\0\x02\x17\0\0\0\0\0\0\0\x04\0\0\x0d\0\0\0\0\x07\x05\0\0\
\x1f\0\0\0\x0c\x05\0\0\x30\0\0\0\x0f\x05\0\0\x34\0\0\0\x91\x01\0\0\x01\0\0\0\
\x12\x05\0\0\0\0\0\x0c\x35\0\0\0\x28\x05\0\0\x05\0\0\x04\x1c\0\0\0\x35\x05\0\0\
\x38\0\0\0\0\0\0\0\x41\x05\0\0\x39\0\0\0\x10\0\0\0\x4b\x05\0\0\x2d\0\0\0\x20\0\
\0\0\x59\x05\0\0\x25\0\0\0\x40\0\0\0\x63\x05\0\0\x2d\0\0\0\xc0\0\0\0\x71\x05\0\
\0\0\0\0\x08\x16\0\0\0\x7d\x05\0\0\0\0\0\x08\x2a\0\0\0\x87\x05\0\0\0\0\0\x0e\
\x37\0\0\0\x01\0\0\0\x8f\x05\0\0\0\0\0\x0e\x15\0\0\0\x01\0\0\0\x9f\x05\0\0\0\0\
\0\x0e\x15\0\0\0\x01\0\0\0\xac\x05\0\0\0\0\0\x0e\x03\0\0\0\x01\0\0\0\xb8\x05\0\
\0\0\0\0\x0e\x03\0\0\0\x01\0\0\0\xc3\x05\0\0\0\0\0\x0e\x03\0\0\0\x01\0\0\0\xc9\
\x05\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x40\0\0\0\
\x06\0\0\0\x04\0\0\0\xce\x05\0\0\0\0\0\x0e\x41\0\0\0\x01\0\0\0\xd7\x05\0\0\0\0\
\0\x07\0\0\0\0\xe0\x05\0\0\0\0\0\x07\0\0\0\0\x0d\x0c\0\0\x06\0\0\x0f\x2c\0\0\0\
\x3a\0\0\0\0\0\0\0\x1c\0\0\0\x3b\0\0\0\x1c\0\0\0\x02\0\0\0\x3c\0\0\0\x1e\0\0\0\
\x02\0\0\0\x3d\0\0\0\x20\0\0\0\x04\0\0\0\x3e\0\0\0\x24\0\0\0\x04\0\0\0\x3f\0\0\
\0\x28\0\0\0\x04\0\0\0\x12\x0c\0\0\x01\0\0\x0f\x04\0\0\0\x42\0\0\0\0\0\0\0\x04\
\0\0\0\0\x5f\x5f\x73\x6b\x5f\x62\x75\x66\x66\0\x6c\x65\x6e\0\x70\x6b\x74\x5f\
\x74\x79\x70\x65\0\x6d\x61\x72\x6b\0\x71\x75\x65\x75\x65\x5f\x6d\x61\x70\x70\
\x69\x6e\x67\0\x70\x72\x6f\x74\x6f\x63\x6f\x6c\0\x76\x6c\x61\x6e\x5f\x70\x72\
\x65\x73\x65\x6e\x74\0\x76\x6c\x61\x6e\x5f\x74\x63\x69\0\x76\x6c\x61\x6e\x5f\
\x70\x72\x6f\x74\x6f\0\x70\x72\x69\x6f\x72\x69\x74\x79\0\x69\x6e\x67\x72\x65\
\x73\x73\x5f\x69\x66\x69\x6e\x64\x65\x78\0\x69\x66\x69\x6e\x64\x65\x78\0\x74\
\x63\x5f\x69\x6e\x64\x65\x78\0\x63\x62\0\x68\x61\x73\x68\0\x74\x63\x5f\x63\x6c\
\x61\x73\x73\x69\x64\0\x64\x61\x74\x61\0\x64\x61\x74\x61\x5f\x65\x6e\x64\0\x6e\
\x61\x70\x69\x5f\x69\x64\0\x66\x61\x6d\x69\x6c\x79\0\x72\x65\x6d\x6f\x74\x65\
\x5f\x69\x70\x34\0\x6c\x6f\x63\x61\x6c\x5f\x69\x70\x34\0\x72\x65\x6d\x6f\x74\
\x65\x5f\x69\x70\x36\0\x6c\x6f\x63\x61\x6c\x5f\x69\x70\x36\0\x72\x65\x6d\x6f\
\x74\x65\x5f\x70\x6f\x72\x74\0\x6c\x6f\x63\x61\x6c\x5f\x70\x6f\x72\x74\0\x64\
\x61\x74\x61\x5f\x6d\x65\x74\x61\0\x74\x73\x74\x61\x6d\x70\0\x77\x69\x72\x65\
\x5f\x6c\x65\x6e\0\x67\x73\x6f\x5f\x73\x65\x67\x73\0\x67\x73\x6f\x5f\x73\x69\
\x7a\x65\0\x74\x73\x74\x61\x6d\x70\x5f\x74\x79\x70\x65\0\x68\x77\x74\x73\x74\
\x61\x6d\x70\0\x5f\x5f\x75\x33\x32\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\
\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\
\x5f\x5f\0\x66\x6c\x6f\x77\x5f\x6b\x65\x79\x73\0\x5f\x5f\x75\x36\x34\0\x75\x6e\
\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x73\x6b\0\
\x5f\x5f\x75\x38\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x63\x68\x61\x72\0\x73\
\x6b\x62\0\x69\x6e\x74\0\x63\x6c\x73\x5f\x69\x6e\x67\x72\x65\x73\x73\0\x72\x65\
\x71\x75\x65\x73\x74\x5f\x73\x6f\x63\x6b\0\x5f\x5f\x72\x65\x71\x5f\x63\x6f\x6d\
\x6d\x6f\x6e\0\x73\x6f\x63\x6b\x5f\x63\x6f\x6d\x6d\x6f\x6e\0\x73\x6b\x63\x5f\
\x73\x74\x61\x74\x65\0\x73\x6b\x63\x5f\x6e\x75\x6d\0\x5f\x5f\x75\x31\x36\0\x75\
\x6e\x73\x69\x67\x6e\x65\x64\x20\x73\x68\x6f\x72\x74\0\x74\x63\x70\x5f\x73\x6f\
\x63\x6b\0\x69\x6e\x65\x74\x5f\x63\x6f\x6e\x6e\0\x72\x63\x76\x5f\x6e\x78\x74\0\
\x73\x6e\x64\x5f\x6e\x78\x74\0\x73\x6e\x64\x5f\x75\x6e\x61\0\x77\x69\x6e\x64\
\x6f\x77\x5f\x63\x6c\x61\x6d\x70\0\x65\x63\x6e\x5f\x66\x6c\x61\x67\x73\0\x64\
\x65\x6c\x69\x76\x65\x72\x65\x64\0\x64\x65\x6c\x69\x76\x65\x72\x65\x64\x5f\x63\
\x65\0\x73\x6e\x64\x5f\x63\x77\x6e\x64\0\x73\x6e\x64\x5f\x63\x77\x6e\x64\x5f\
\x63\x6e\x74\0\x73\x6e\x64\x5f\x63\x77\x6e\x64\x5f\x63\x6c\x61\x6d\x70\0\x73\
\x6e\x64\x5f\x73\x73\x74\x68\x72\x65\x73\x68\0\x73\x79\x6e\x5f\x64\x61\x74\x61\
\0\x73\x79\x6e\x5f\x66\x61\x73\x74\x6f\x70\x65\x6e\0\x73\x79\x6e\x5f\x66\x61\
\x73\x74\x6f\x70\x65\x6e\x5f\x65\x78\x70\0\x73\x79\x6e\x5f\x66\x61\x73\x74\x6f\
\x70\x65\x6e\x5f\x63\x68\0\x73\x79\x6e\x5f\x64\x61\x74\x61\x5f\x61\x63\x6b\x65\
\x64\0\x73\x61\x76\x65\x5f\x73\x79\x6e\0\x69\x73\x5f\x63\x77\x6e\x64\x5f\x6c\
\x69\x6d\x69\x74\x65\x64\0\x73\x79\x6e\x5f\x73\x6d\x63\0\x6d\x61\x78\x5f\x70\
\x61\x63\x6b\x65\x74\x73\x5f\x6f\x75\x74\0\x6c\x73\x6e\x64\x74\x69\x6d\x65\0\
\x70\x72\x69\x6f\x72\x5f\x63\x77\x6e\x64\0\x74\x63\x70\x5f\x6d\x73\x74\x61\x6d\
\x70\0\x69\x73\x5f\x6d\x70\x74\x63\x70\0\x69\x6e\x65\x74\x5f\x63\x6f\x6e\x6e\
\x65\x63\x74\x69\x6f\x6e\x5f\x73\x6f\x63\x6b\0\x69\x63\x73\x6b\x5f\x69\x6e\x65\
\x74\0\x69\x63\x73\x6b\x5f\x63\x61\x5f\x73\x74\x61\x74\x65\0\x69\x63\x73\x6b\
\x5f\x63\x61\x5f\x73\x65\x74\x73\x6f\x63\x6b\x6f\x70\x74\0\x69\x63\x73\x6b\x5f\
\x63\x61\x5f\x64\x73\x74\x5f\x6c\x6f\x63\x6b\x65\x64\0\x69\x63\x73\x6b\x5f\x61\
\x63\x6b\0\x69\x63\x73\x6b\x5f\x63\x61\x5f\x70\x72\x69\x76\0\x69\x6e\x65\x74\
\x5f\x73\x6f\x63\x6b\0\x73\x6f\x63\x6b\0\x5f\x5f\x73\x6b\x5f\x63\x6f\x6d\x6d\
\x6f\x6e\0\x73\x6b\x5f\x70\x61\x63\x69\x6e\x67\x5f\x72\x61\x74\x65\0\x73\x6b\
\x5f\x70\x61\x63\x69\x6e\x67\x5f\x73\x74\x61\x74\x75\x73\0\x75\x6e\x73\x69\x67\
\x6e\x65\x64\x20\x6c\x6f\x6e\x67\0\x70\x65\x6e\x64\x69\x6e\x67\0\x5f\x42\x6f\
\x6f\x6c\0\x69\x70\x76\x36\x68\x64\x72\0\x76\x65\x72\x73\x69\x6f\x6e\0\x66\x6c\
\x6f\x77\x5f\x6c\x62\x6c\0\x70\x61\x79\x6c\x6f\x61\x64\x5f\x6c\x65\x6e\0\x6e\
\x65\x78\x74\x68\x64\x72\0\x68\x6f\x70\x5f\x6c\x69\x6d\x69\x74\0\x5f\x5f\x62\
\x65\x31\x36\0\x61\x64\x64\x72\x73\0\x73\x61\x64\x64\x72\0\x64\x61\x64\x64\x72\
\0\x69\x6e\x36\x5f\x61\x64\x64\x72\0\x5f\x5f\x69\x6e\x36\x5f\x75\0\x5f\x5f\x75\
\x36\x5f\x61\x64\x64\x72\x38\0\x5f\x5f\x75\x36\x5f\x61\x64\x64\x72\x31\x36\0\
\x5f\x5f\x75\x36\x5f\x61\x64\x64\x72\x33\x32\0\x75\x69\x6e\x74\x38\x5f\x74\0\
\x5f\x5f\x75\x69\x6e\x74\x38\x5f\x74\0\x75\x69\x6e\x74\x31\x36\x5f\x74\0\x5f\
\x5f\x75\x69\x6e\x74\x31\x36\x5f\x74\0\x75\x69\x6e\x74\x33\x32\x5f\x74\0\x5f\
\x5f\x75\x69\x6e\x74\x33\x32\x5f\x74\0\x74\x63\x70\x68\x64\x72\0\x73\x6f\x75\
\x72\x63\x65\0\x64\x65\x73\x74\0\x73\x65\x71\0\x61\x63\x6b\x5f\x73\x65\x71\0\
\x72\x65\x73\x31\0\x64\x6f\x66\x66\0\x66\x69\x6e\0\x73\x79\x6e\0\x72\x73\x74\0\
\x70\x73\x68\0\x61\x63\x6b\0\x75\x72\x67\0\x65\x63\x65\0\x63\x77\x72\0\x77\x69\
\x6e\x64\x6f\x77\0\x63\x68\x65\x63\x6b\0\x75\x72\x67\x5f\x70\x74\x72\0\x5f\x5f\
\x62\x65\x33\x32\0\x5f\x5f\x73\x75\x6d\x31\x36\0\x69\x70\x36\x68\0\x74\x68\0\
\x74\x70\0\x74\x65\x73\x74\x5f\x73\x79\x6e\x63\x6f\x6f\x6b\x69\x65\x5f\x68\x65\
\x6c\x70\x65\x72\0\x73\x6f\x63\x6b\x61\x64\x64\x72\x5f\x69\x6e\x36\0\x73\x69\
\x6e\x36\x5f\x66\x61\x6d\x69\x6c\x79\0\x73\x69\x6e\x36\x5f\x70\x6f\x72\x74\0\
\x73\x69\x6e\x36\x5f\x66\x6c\x6f\x77\x69\x6e\x66\x6f\0\x73\x69\x6e\x36\x5f\x61\
\x64\x64\x72\0\x73\x69\x6e\x36\x5f\x73\x63\x6f\x70\x65\x5f\x69\x64\0\x73\x61\
\x5f\x66\x61\x6d\x69\x6c\x79\x5f\x74\0\x69\x6e\x5f\x70\x6f\x72\x74\x5f\x74\0\
\x73\x72\x76\x5f\x73\x61\x36\0\x6c\x69\x73\x74\x65\x6e\x5f\x74\x70\x5f\x73\x70\
\x6f\x72\x74\0\x72\x65\x71\x5f\x73\x6b\x5f\x73\x70\x6f\x72\x74\0\x72\x65\x63\
\x76\x5f\x63\x6f\x6f\x6b\x69\x65\0\x67\x65\x6e\x5f\x63\x6f\x6f\x6b\x69\x65\0\
\x6c\x69\x6e\x75\x6d\0\x63\x68\x61\x72\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x62\
\x70\x66\x5f\x73\x6f\x63\x6b\0\x62\x70\x66\x5f\x66\x6c\x6f\x77\x5f\x6b\x65\x79\
\x73\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\
\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\
\x37\x30\x2e\x32\x38\x2e\x31\x2e\x65\x6c\x39\x5f\x36\x2f\x6c\x69\x6e\x75\x78\
\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x37\x30\x2e\x32\x38\x2e\x31\x2e\x65\x6c\
\x39\x5f\x36\x2e\x78\x38\x36\x5f\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\
\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\
\x2f\x70\x72\x6f\x67\x73\x2f\x74\x65\x73\x74\x5f\x62\x74\x66\x5f\x73\x6b\x63\
\x5f\x63\x6c\x73\x5f\x69\x6e\x67\x72\x65\x73\x73\x2e\x63\0\x73\x74\x61\x74\x69\
\x63\x20\x76\x6f\x69\x64\x20\x74\x65\x73\x74\x5f\x73\x79\x6e\x63\x6f\x6f\x6b\
\x69\x65\x5f\x68\x65\x6c\x70\x65\x72\x28\x73\x74\x72\x75\x63\x74\x20\x69\x70\
\x76\x36\x68\x64\x72\x20\x2a\x69\x70\x36\x68\x2c\x20\x73\x74\x72\x75\x63\x74\
\x20\x74\x63\x70\x68\x64\x72\x20\x2a\x74\x68\x2c\0\x09\x69\x66\x20\x28\x74\x68\
\x2d\x3e\x73\x79\x6e\x29\x20\x7b\0\x09\x09\x69\x66\x20\x28\x74\x68\x2d\x3e\x64\
\x6f\x66\x66\x20\x2a\x20\x34\x20\x21\x3d\x20\x34\x30\x29\x20\x7b\0\x09\x09\x09\
\x4c\x4f\x47\x28\x29\x3b\0\x09\x09\x09\x09\x4c\x4f\x47\x28\x29\x3b\0\x09\x7d\
\x20\x65\x6c\x73\x65\x20\x69\x66\x20\x28\x67\x65\x6e\x5f\x63\x6f\x6f\x6b\x69\
\x65\x29\x20\x7b\0\x09\x09\x69\x6e\x74\x20\x72\x65\x74\x20\x3d\x20\x62\x70\x66\
\x5f\x74\x63\x70\x5f\x63\x68\x65\x63\x6b\x5f\x73\x79\x6e\x63\x6f\x6f\x6b\x69\
\x65\x28\x74\x70\x2c\x20\x69\x70\x36\x68\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\
\x2a\x69\x70\x36\x68\x29\x2c\0\x09\x09\x69\x66\x20\x28\x72\x65\x74\x20\x3c\x20\
\x30\x29\x20\x7b\0\x09\x09\x09\x69\x66\x20\x28\x72\x65\x74\x20\x21\x3d\x20\x2d\
\x45\x4e\x4f\x45\x4e\x54\x29\0\x09\x09\x64\x61\x74\x61\x5f\x65\x6e\x64\x20\x3d\
\x20\x28\x76\x6f\x69\x64\x20\x2a\x29\x28\x6c\x6f\x6e\x67\x29\x28\x73\x6b\x62\
\x2d\x3e\x64\x61\x74\x61\x5f\x65\x6e\x64\x29\x3b\0\x09\x09\x69\x66\x20\x28\x28\
\x76\x6f\x69\x64\x20\x2a\x29\x74\x68\x20\x2b\x20\x34\x30\x20\x3e\x20\x64\x61\
\x74\x61\x5f\x65\x6e\x64\x29\x20\x7b\0\x09\x09\x09\x72\x65\x63\x76\x5f\x63\x6f\
\x6f\x6b\x69\x65\x20\x3d\x20\x62\x70\x66\x5f\x6e\x74\x6f\x68\x6c\x28\x74\x68\
\x2d\x3e\x61\x63\x6b\x5f\x73\x65\x71\x29\x20\x2d\x20\x31\x3b\0\x09\x09\x6d\x73\
\x73\x5f\x63\x6f\x6f\x6b\x69\x65\x20\x3d\x20\x62\x70\x66\x5f\x74\x63\x70\x5f\
\x67\x65\x6e\x5f\x73\x79\x6e\x63\x6f\x6f\x6b\x69\x65\x28\x74\x70\x2c\x20\x69\
\x70\x36\x68\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x2a\x69\x70\x36\x68\x29\x2c\0\
\x09\x09\x69\x66\x20\x28\x6d\x73\x73\x5f\x63\x6f\x6f\x6b\x69\x65\x20\x3c\x20\
\x30\x29\x20\x7b\0\x09\x09\x09\x69\x66\x20\x28\x6d\x73\x73\x5f\x63\x6f\x6f\x6b\
\x69\x65\x20\x21\x3d\x20\x2d\x45\x4e\x4f\x45\x4e\x54\x29\0\x09\x09\x09\x67\x65\
\x6e\x5f\x63\x6f\x6f\x6b\x69\x65\x20\x3d\x20\x28\x5f\x5f\x75\x33\x32\x29\x6d\
\x73\x73\x5f\x63\x6f\x6f\x6b\x69\x65\x3b\0\x7d\0\x09\x64\x61\x74\x61\x5f\x65\
\x6e\x64\x20\x3d\x20\x28\x76\x6f\x69\x64\x20\x2a\x29\x28\x6c\x6f\x6e\x67\x29\
\x28\x73\x6b\x62\x2d\x3e\x64\x61\x74\x61\x5f\x65\x6e\x64\x29\x3b\0\x09\x65\x74\
\x68\x20\x3d\x20\x28\x73\x74\x72\x75\x63\x74\x20\x65\x74\x68\x68\x64\x72\x20\
\x2a\x29\x28\x6c\x6f\x6e\x67\x29\x28\x73\x6b\x62\x2d\x3e\x64\x61\x74\x61\x29\
\x3b\0\x09\x69\x66\x20\x28\x65\x74\x68\x20\x2b\x20\x31\x20\x3e\x20\x64\x61\x74\
\x61\x5f\x65\x6e\x64\x29\0\x09\x69\x66\x20\x28\x65\x74\x68\x2d\x3e\x68\x5f\x70\
\x72\x6f\x74\x6f\x20\x21\x3d\x20\x62\x70\x66\x5f\x68\x74\x6f\x6e\x73\x28\x45\
\x54\x48\x5f\x50\x5f\x49\x50\x56\x36\x29\x29\0\x09\x69\x66\x20\x28\x69\x70\x36\
\x68\x2d\x3e\x6e\x65\x78\x74\x68\x64\x72\x20\x3d\x3d\x20\x49\x50\x50\x52\x4f\
\x54\x4f\x5f\x54\x43\x50\x29\0\x09\x69\x66\x20\x28\x74\x68\x2d\x3e\x64\x65\x73\
\x74\x20\x21\x3d\x20\x73\x72\x76\x5f\x73\x61\x36\x2e\x73\x69\x6e\x36\x5f\x70\
\x6f\x72\x74\x29\0\x09\x74\x75\x70\x6c\x65\x20\x3d\x20\x28\x73\x74\x72\x75\x63\
\x74\x20\x62\x70\x66\x5f\x73\x6f\x63\x6b\x5f\x74\x75\x70\x6c\x65\x20\x2a\x29\
\x26\x69\x70\x36\x68\x2d\x3e\x73\x61\x64\x64\x72\x3b\0\x09\x62\x70\x66\x5f\x73\
\x6b\x63\x20\x3d\x20\x62\x70\x66\x5f\x73\x6b\x63\x5f\x6c\x6f\x6f\x6b\x75\x70\
\x5f\x74\x63\x70\x28\x73\x6b\x62\x2c\x20\x74\x75\x70\x6c\x65\x2c\x20\x74\x75\
\x70\x6c\x65\x5f\x6c\x65\x6e\x2c\0\x09\x69\x66\x20\x28\x21\x62\x70\x66\x5f\x73\
\x6b\x63\x29\x20\x7b\0\x09\x09\x4c\x4f\x47\x28\x29\x3b\0\x09\x69\x66\x20\x28\
\x62\x70\x66\x5f\x73\x6b\x63\x2d\x3e\x73\x74\x61\x74\x65\x20\x3d\x3d\x20\x42\
\x50\x46\x5f\x54\x43\x50\x5f\x4e\x45\x57\x5f\x53\x59\x4e\x5f\x52\x45\x43\x56\
\x29\x20\x7b\0\x09\x09\x72\x65\x71\x5f\x73\x6b\x20\x3d\x20\x28\x73\x74\x72\x75\
\x63\x74\x20\x72\x65\x71\x75\x65\x73\x74\x5f\x73\x6f\x63\x6b\x20\x2a\x29\x62\
\x70\x66\x5f\x73\x6b\x63\x5f\x74\x6f\x5f\x74\x63\x70\x5f\x72\x65\x71\x75\x65\
\x73\x74\x5f\x73\x6f\x63\x6b\x28\x62\x70\x66\x5f\x73\x6b\x63\x29\x3b\0\x09\x09\
\x69\x66\x20\x28\x21\x72\x65\x71\x5f\x73\x6b\x29\x20\x7b\0\x09\x09\x74\x70\x20\
\x3d\x20\x62\x70\x66\x5f\x73\x6b\x63\x5f\x74\x6f\x5f\x74\x63\x70\x5f\x73\x6f\
\x63\x6b\x28\x62\x70\x66\x5f\x73\x6b\x63\x29\x3b\0\x09\x09\x69\x66\x20\x28\x21\
\x74\x70\x29\x20\x7b\0\x09\x09\x69\x66\x20\x28\x62\x70\x66\x5f\x73\x6b\x5f\x61\
\x73\x73\x69\x67\x6e\x28\x73\x6b\x62\x2c\x20\x72\x65\x71\x5f\x73\x6b\x2c\x20\
\x30\x29\x29\x20\x7b\0\x09\x09\x69\x66\x20\x28\x62\x70\x66\x5f\x73\x6b\x5f\x61\
\x73\x73\x69\x67\x6e\x28\x73\x6b\x62\x2c\x20\x74\x70\x2c\x20\x30\x29\x29\x20\
\x7b\0\x09\x69\x66\x20\x28\x62\x70\x66\x5f\x73\x6b\x5f\x61\x73\x73\x69\x67\x6e\
\x28\x73\x6b\x62\x2c\x20\x62\x70\x66\x5f\x73\x6b\x63\x2c\x20\x30\x29\x29\0\x09\
\x09\x72\x65\x71\x5f\x73\x6b\x5f\x73\x70\x6f\x72\x74\x20\x3d\x20\x72\x65\x71\
\x5f\x73\x6b\x2d\x3e\x5f\x5f\x72\x65\x71\x5f\x63\x6f\x6d\x6d\x6f\x6e\x2e\x73\
\x6b\x63\x5f\x6e\x75\x6d\x3b\0\x09\x09\x62\x70\x66\x5f\x73\x6b\x5f\x72\x65\x6c\
\x65\x61\x73\x65\x28\x72\x65\x71\x5f\x73\x6b\x29\x3b\0\x09\x09\x6c\x69\x73\x74\
\x65\x6e\x5f\x74\x70\x5f\x73\x70\x6f\x72\x74\x20\x3d\x20\x74\x70\x2d\x3e\x69\
\x6e\x65\x74\x5f\x63\x6f\x6e\x6e\x2e\x69\x63\x73\x6b\x5f\x69\x6e\x65\x74\x2e\
\x73\x6b\x2e\x5f\x5f\x73\x6b\x5f\x63\x6f\x6d\x6d\x6f\x6e\x2e\x73\x6b\x63\x5f\
\x6e\x75\x6d\x3b\0\x09\x09\x74\x65\x73\x74\x5f\x73\x79\x6e\x63\x6f\x6f\x6b\x69\
\x65\x5f\x68\x65\x6c\x70\x65\x72\x28\x69\x70\x36\x68\x2c\x20\x74\x68\x2c\x20\
\x74\x70\x2c\x20\x73\x6b\x62\x29\x3b\0\x09\x09\x62\x70\x66\x5f\x73\x6b\x5f\x72\
\x65\x6c\x65\x61\x73\x65\x28\x74\x70\x29\x3b\0\x30\x3a\x30\x3a\x31\0\x30\x3a\
\x30\x3a\x30\x3a\x30\x3a\x30\x3a\x31\0\x2e\x62\x73\x73\0\x6c\x69\x63\x65\x6e\
\x73\x65\0\x2e\x74\x65\x78\x74\0\x74\x63\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\
\x24\0\0\0\x24\0\0\0\x04\x05\0\0\x28\x05\0\0\x2c\0\0\0\x08\0\0\0\x1a\x0c\0\0\
\x01\0\0\0\0\0\0\0\x36\0\0\0\x20\x0c\0\0\x01\0\0\0\0\0\0\0\x12\0\0\0\x10\0\0\0\
\x1a\x0c\0\0\x22\0\0\0\0\0\0\0\xee\x05\0\0\x81\x06\0\0\0\x6c\0\0\x10\0\0\0\xee\
\x05\0\0\xcc\x06\0\0\x0a\x7c\0\0\x18\0\0\0\xee\x05\0\0\xcc\x06\0\0\x06\x7c\0\0\
\x28\0\0\0\xee\x05\0\0\xcc\x06\0\0\x06\x7c\0\0\x30\0\0\0\xee\x05\0\0\xdc\x06\0\
\0\x14\x94\0\0\x38\0\0\0\xee\x05\0\0\xdc\x06\0\0\x07\x94\0\0\x40\0\0\0\xee\x05\
\0\0\xf8\x06\0\0\x04\x98\0\0\x58\0\0\0\xee\x05\0\0\xf8\x06\0\0\x04\x98\0\0\x68\
\0\0\0\xee\x05\0\0\xf8\x06\0\0\x04\x98\0\0\x70\0\0\0\xee\x05\0\0\x02\x07\0\0\
\x05\xf8\0\0\x78\0\0\0\xee\x05\0\0\x0d\x07\0\0\x0d\xdc\0\0\x90\0\0\0\xee\x05\0\
\0\x0d\x07\0\0\x0d\xdc\0\0\x98\0\0\0\xee\x05\0\0\x27\x07\0\0\x0d\xe4\0\0\xd8\0\
\0\0\xee\x05\0\0\x64\x07\0\0\x07\xf0\0\0\xe0\0\0\0\xee\x05\0\0\x27\x07\0\0\x0d\
\xe4\0\0\xf8\0\0\0\xee\x05\0\0\x75\x07\0\0\x08\xf4\0\0\x20\x01\0\0\xee\x05\0\0\
\x02\x07\0\0\x05\xf8\0\0\x48\x01\0\0\xee\x05\0\0\x8c\x07\0\0\x22\x8c\0\0\x50\
\x01\0\0\xee\x05\0\0\xb8\x07\0\0\x12\xa8\0\0\x60\x01\0\0\xee\x05\0\0\xb8\x07\0\
\0\x07\xa8\0\0\x68\x01\0\0\xee\x05\0\0\xf8\x06\0\0\x04\xac\0\0\x80\x01\0\0\xee\
\x05\0\0\xf8\x06\0\0\x04\xac\0\0\x90\x01\0\0\xee\x05\0\0\xf8\x06\0\0\x04\xac\0\
\0\x98\x01\0\0\xee\x05\0\0\x02\x07\0\0\x05\xf8\0\0\xa0\x01\0\0\xee\x05\0\0\xdc\
\x07\0\0\x12\0\x01\0\xb0\x01\0\0\xee\x05\0\0\xdc\x07\0\0\x29\0\x01\0\xb8\x01\0\
\0\xee\x05\0\0\xdc\x07\0\0\x10\0\x01\0\xd8\x01\0\0\xee\x05\0\0\x09\x08\0\0\x10\
\xbc\0\0\0\x02\0\0\xee\x05\0\0\x47\x08\0\0\x07\xc4\0\0\x08\x02\0\0\xee\x05\0\0\
\x5f\x08\0\0\x08\xc8\0\0\x30\x02\0\0\xee\x05\0\0\x02\x07\0\0\x05\xcc\0\0\x50\
\x02\0\0\xee\x05\0\0\x02\x07\0\0\x05\xf8\0\0\x58\x02\0\0\xee\x05\0\0\x7d\x08\0\
\0\x0f\xd4\0\0\x70\x02\0\0\xee\x05\0\0\xa0\x08\0\0\x01\x0c\x01\0\x20\x0c\0\0\
\x2d\0\0\0\0\0\0\0\xee\x05\0\0\xa2\x08\0\0\x21\x6c\x02\0\x08\0\0\0\xee\x05\0\0\
\xcd\x08\0\0\x25\x74\x02\0\x10\0\0\0\xee\x05\0\0\xf8\x08\0\0\x0a\x78\x02\0\x20\
\0\0\0\xee\x05\0\0\xf8\x08\0\0\x06\x78\x02\0\x28\0\0\0\xee\x05\0\0\x11\x09\0\0\
\x0b\x84\x02\0\x48\0\0\0\xee\x05\0\0\x11\x09\0\0\x06\x84\x02\0\x68\0\0\0\xee\
\x05\0\0\x3d\x09\0\0\x0c\xa0\x02\0\x70\0\0\0\xee\x05\0\0\x3d\x09\0\0\x06\xa0\
\x02\0\x90\0\0\0\xee\x05\0\0\x60\x09\0\0\x1a\x50\x01\0\xa8\0\0\0\xee\x05\0\0\
\x60\x09\0\0\x0a\x50\x01\0\xb0\0\0\0\xee\x05\0\0\x60\x09\0\0\x06\x50\x01\0\xb8\
\0\0\0\xee\x05\0\0\x84\x09\0\0\x2a\x60\x01\0\xc8\0\0\0\xee\x05\0\0\xb4\x09\0\0\
\x0c\x78\x01\0\xf0\0\0\0\xee\x05\0\0\xe9\x09\0\0\x06\x80\x01\0\xf8\0\0\0\xee\
\x05\0\0\xfa\x09\0\0\x03\x84\x01\0\x10\x01\0\0\xee\x05\0\0\xfa\x09\0\0\x03\x84\
\x01\0\x20\x01\0\0\xee\x05\0\0\xfa\x09\0\0\x03\x84\x01\0\x30\x01\0\0\xee\x05\0\
\0\x03\x0a\0\0\x0f\x94\x01\0\x38\x01\0\0\xee\x05\0\0\x03\x0a\0\0\x06\x94\x01\0\
\x48\x01\0\0\xee\x05\0\0\x32\x0a\0\0\x23\xa0\x01\0\x60\x01\0\0\xee\x05\0\0\x7a\
\x0a\0\0\x07\xa4\x01\0\x70\x01\0\0\xee\x05\0\0\xf8\x06\0\0\x04\xa8\x01\0\x88\
\x01\0\0\xee\x05\0\0\xf8\x06\0\0\x04\xa8\x01\0\x98\x01\0\0\xee\x05\0\0\x8b\x0a\
\0\0\x08\xe8\x01\0\xa8\x01\0\0\xee\x05\0\0\xb0\x0a\0\0\x07\xec\x01\0\xb8\x01\0\
\0\xee\x05\0\0\xf8\x06\0\0\x04\xf0\x01\0\xd0\x01\0\0\xee\x05\0\0\xf8\x06\0\0\
\x04\xf0\x01\0\xe0\x01\0\0\xee\x05\0\0\xbd\x0a\0\0\x07\xb8\x01\0\0\x02\0\0\xee\
\x05\0\0\xbd\x0a\0\0\x07\xb8\x01\0\x10\x02\0\0\xee\x05\0\0\xf8\x06\0\0\x04\xbc\
\x01\0\x28\x02\0\0\xee\x05\0\0\xf8\x06\0\0\x04\xbc\x01\0\x38\x02\0\0\xee\x05\0\
\0\xe4\x0a\0\0\x07\0\x02\0\x60\x02\0\0\xee\x05\0\0\xe4\x0a\0\0\x07\0\x02\0\x70\
\x02\0\0\xee\x05\0\0\xf8\x06\0\0\x04\x04\x02\0\x88\x02\0\0\xee\x05\0\0\xf8\x06\
\0\0\x04\x04\x02\0\x98\x02\0\0\xee\x05\0\0\x07\x0b\0\0\x06\x30\x02\0\xb8\x02\0\
\0\xee\x05\0\0\x07\x0b\0\0\x06\x30\x02\0\x10\x03\0\0\xee\x05\0\0\xa0\x08\0\0\
\x01\xb0\x02\0\x20\x03\0\0\xee\x05\0\0\x2c\x0b\0\0\x27\xcc\x01\0\x28\x03\0\0\
\xee\x05\0\0\x2c\x0b\0\0\x10\xcc\x01\0\x40\x03\0\0\xee\x05\0\0\x5b\x0b\0\0\x03\
\xd4\x01\0\x58\x03\0\0\xee\x05\0\0\x75\x0b\0\0\x3c\x14\x02\0\x60\x03\0\0\xee\
\x05\0\0\x75\x0b\0\0\x13\x14\x02\0\x78\x03\0\0\xee\x05\0\0\xb9\x0b\0\0\x03\x1c\
\x02\0\xa0\x03\0\0\xee\x05\0\0\xe5\x0b\0\0\x03\x20\x02\0\x10\0\0\0\x20\x0c\0\0\
\x02\0\0\0\x20\x03\0\0\x13\0\0\0\xfb\x0b\0\0\0\0\0\0\x58\x03\0\0\x17\0\0\0\x01\
\x0c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\
\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\xce\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\x01\0\0\0\0\0\0\x38\x01\0\0\0\0\0\0\x01\0\
\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x48\x02\0\0\0\0\0\0\x78\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x17\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\xc0\x04\0\0\0\0\0\0\xa8\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x1a\0\0\0\x08\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x68\x08\0\0\0\0\0\0\x2c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x1f\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x68\x08\0\0\0\
\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xaf\
\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x70\x08\0\0\0\0\0\0\x90\0\0\
\0\0\0\0\0\x02\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xb9\0\0\0\
\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\0\0\0\xb0\0\0\0\0\0\0\
\0\x02\0\0\0\x04\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xc0\0\0\0\x01\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb0\x09\0\0\0\0\0\0\xdf\x15\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc5\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x90\x1f\0\0\0\0\0\0\x74\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct test_btf_skc_cls_ingress *test_btf_skc_cls_ingress::open(const struct bpf_object_open_opts *opts) { return test_btf_skc_cls_ingress__open_opts(opts); }
struct test_btf_skc_cls_ingress *test_btf_skc_cls_ingress::open_and_load() { return test_btf_skc_cls_ingress__open_and_load(); }
int test_btf_skc_cls_ingress::load(struct test_btf_skc_cls_ingress *skel) { return test_btf_skc_cls_ingress__load(skel); }
int test_btf_skc_cls_ingress::attach(struct test_btf_skc_cls_ingress *skel) { return test_btf_skc_cls_ingress__attach(skel); }
void test_btf_skc_cls_ingress::detach(struct test_btf_skc_cls_ingress *skel) { test_btf_skc_cls_ingress__detach(skel); }
void test_btf_skc_cls_ingress::destroy(struct test_btf_skc_cls_ingress *skel) { test_btf_skc_cls_ingress__destroy(skel); }
const void *test_btf_skc_cls_ingress::elf_bytes(size_t *sz) { return test_btf_skc_cls_ingress__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
test_btf_skc_cls_ingress__assert(struct test_btf_skc_cls_ingress *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->srv_sa6) == 28, "unexpected size of 'srv_sa6'");
	_Static_assert(sizeof(s->bss->listen_tp_sport) == 2, "unexpected size of 'listen_tp_sport'");
	_Static_assert(sizeof(s->bss->req_sk_sport) == 2, "unexpected size of 'req_sk_sport'");
	_Static_assert(sizeof(s->bss->recv_cookie) == 4, "unexpected size of 'recv_cookie'");
	_Static_assert(sizeof(s->bss->gen_cookie) == 4, "unexpected size of 'gen_cookie'");
	_Static_assert(sizeof(s->bss->linum) == 4, "unexpected size of 'linum'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __TEST_BTF_SKC_CLS_INGRESS_SKEL_H__ */
