/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __XFRM_INFO_SKEL_H__
#define __XFRM_INFO_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct xfrm_info {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *set_xfrm_info;
		struct bpf_program *get_xfrm_info;
	} progs;
	struct {
		struct bpf_link *set_xfrm_info;
		struct bpf_link *get_xfrm_info;
	} links;
	struct xfrm_info__bss {
		__u32 req_if_id;
		__u32 resp_if_id;
	} *bss;

#ifdef __cplusplus
	static inline struct xfrm_info *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct xfrm_info *open_and_load();
	static inline int load(struct xfrm_info *skel);
	static inline int attach(struct xfrm_info *skel);
	static inline void detach(struct xfrm_info *skel);
	static inline void destroy(struct xfrm_info *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
xfrm_info__destroy(struct xfrm_info *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
xfrm_info__create_skeleton(struct xfrm_info *obj);

static inline struct xfrm_info *
xfrm_info__open_opts(const struct bpf_object_open_opts *opts)
{
	struct xfrm_info *obj;
	int err;

	obj = (struct xfrm_info *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = xfrm_info__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	xfrm_info__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct xfrm_info *
xfrm_info__open(void)
{
	return xfrm_info__open_opts(NULL);
}

static inline int
xfrm_info__load(struct xfrm_info *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct xfrm_info *
xfrm_info__open_and_load(void)
{
	struct xfrm_info *obj;
	int err;

	obj = xfrm_info__open();
	if (!obj)
		return NULL;
	err = xfrm_info__load(obj);
	if (err) {
		xfrm_info__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
xfrm_info__attach(struct xfrm_info *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
xfrm_info__detach(struct xfrm_info *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *xfrm_info__elf_bytes(size_t *sz);

static inline int
xfrm_info__create_skeleton(struct xfrm_info *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "xfrm_info";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "xfrm_inf.bss";
	map->map = &obj->maps.bss;
	map->mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 2;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "set_xfrm_info";
	s->progs[0].prog = &obj->progs.set_xfrm_info;
	s->progs[0].link = &obj->links.set_xfrm_info;

	s->progs[1].name = "get_xfrm_info";
	s->progs[1].prog = &obj->progs.get_xfrm_info;
	s->progs[1].link = &obj->links.get_xfrm_info;

	s->data = xfrm_info__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *xfrm_info__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x0d\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x09\0\x01\
\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x74\x63\0\x2e\
\x62\x73\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x78\x66\x72\x6d\x5f\x69\x6e\x66\
\x6f\x2e\x63\0\x73\x65\x74\x5f\x78\x66\x72\x6d\x5f\x69\x6e\x66\x6f\0\x72\x65\
\x71\x5f\x69\x66\x5f\x69\x64\0\x62\x70\x66\x5f\x73\x6b\x62\x5f\x73\x65\x74\x5f\
\x78\x66\x72\x6d\x5f\x69\x6e\x66\x6f\0\x67\x65\x74\x5f\x78\x66\x72\x6d\x5f\x69\
\x6e\x66\x6f\0\x62\x70\x66\x5f\x73\x6b\x62\x5f\x67\x65\x74\x5f\x78\x66\x72\x6d\
\x5f\x69\x6e\x66\x6f\0\x72\x65\x73\x70\x5f\x69\x66\x5f\x69\x64\0\x5f\x6c\x69\
\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x74\x63\0\x2e\x42\x54\x46\0\x2e\x42\x54\
\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x21\0\0\
\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x2d\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\x80\0\0\0\0\0\0\0\
\x3b\0\0\0\x11\0\x04\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x45\0\0\0\x10\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x5b\0\0\0\x12\0\x03\0\x80\0\0\0\0\0\0\0\x98\0\0\
\0\0\0\0\0\x69\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7f\0\0\0\x11\0\
\x04\0\x04\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x8a\0\0\0\x11\0\x05\0\0\0\0\0\0\0\0\
\0\x04\0\0\0\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xf8\xff\xff\xff\x18\x03\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x33\0\0\0\0\0\0\x63\x32\0\0\0\0\0\0\xb7\x03\0\0\
\0\0\0\0\x63\x32\x04\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\xbf\x01\0\0\0\0\0\0\
\x67\x01\0\0\x20\0\0\0\x77\x01\0\0\x20\0\0\0\xb7\0\0\0\xff\xff\xff\xff\x15\x01\
\x01\0\0\0\0\0\xb7\0\0\0\x02\0\0\0\x95\0\0\0\0\0\0\0\xb7\x02\0\0\0\0\0\0\x7b\
\x2a\xf8\xff\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xf8\xff\xff\xff\x85\x10\0\
\0\xff\xff\xff\xff\xbf\x01\0\0\0\0\0\0\xb7\0\0\0\x02\0\0\0\x67\x01\0\0\x20\0\0\
\0\xc7\x01\0\0\x20\0\0\0\xc5\x01\x08\0\0\0\0\0\xbf\xa1\0\0\0\0\0\0\x07\x01\0\0\
\xf8\xff\xff\xff\x61\x11\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x63\
\x12\0\0\0\0\0\0\x18\0\0\0\xff\xff\xff\xff\0\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\
\x47\x50\x4c\0\0\0\0\0\x10\0\0\0\0\0\0\0\x01\0\0\0\x04\0\0\0\x40\0\0\0\0\0\0\0\
\x0a\0\0\0\x05\0\0\0\xa0\0\0\0\0\0\0\0\x0a\0\0\0\x07\0\0\0\xe8\0\0\0\0\0\0\0\
\x01\0\0\0\x08\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\x3c\x04\0\0\x3c\x04\0\0\
\x2c\x04\0\0\0\0\0\0\0\0\0\x02\x02\0\0\0\x01\0\0\0\x22\0\0\x04\xc0\0\0\0\x0b\0\
\0\0\x03\0\0\0\0\0\0\0\x0f\0\0\0\x03\0\0\0\x20\0\0\0\x18\0\0\0\x03\0\0\0\x40\0\
\0\0\x1d\0\0\0\x03\0\0\0\x60\0\0\0\x2b\0\0\0\x03\0\0\0\x80\0\0\0\x34\0\0\0\x03\
\0\0\0\xa0\0\0\0\x41\0\0\0\x03\0\0\0\xc0\0\0\0\x4a\0\0\0\x03\0\0\0\xe0\0\0\0\
\x55\0\0\0\x03\0\0\0\0\x01\0\0\x5e\0\0\0\x03\0\0\0\x20\x01\0\0\x6e\0\0\0\x03\0\
\0\0\x40\x01\0\0\x76\0\0\0\x03\0\0\0\x60\x01\0\0\x7f\0\0\0\x05\0\0\0\x80\x01\0\
\0\x82\0\0\0\x03\0\0\0\x20\x02\0\0\x87\0\0\0\x03\0\0\0\x40\x02\0\0\x92\0\0\0\
\x03\0\0\0\x60\x02\0\0\x97\0\0\0\x03\0\0\0\x80\x02\0\0\xa0\0\0\0\x03\0\0\0\xa0\
\x02\0\0\xa8\0\0\0\x03\0\0\0\xc0\x02\0\0\xaf\0\0\0\x03\0\0\0\xe0\x02\0\0\xba\0\
\0\0\x03\0\0\0\0\x03\0\0\xc4\0\0\0\x07\0\0\0\x20\x03\0\0\xcf\0\0\0\x07\0\0\0\
\xa0\x03\0\0\xd9\0\0\0\x03\0\0\0\x20\x04\0\0\xe5\0\0\0\x03\0\0\0\x40\x04\0\0\
\xf0\0\0\0\x03\0\0\0\x60\x04\0\0\0\0\0\0\x08\0\0\0\x80\x04\0\0\xfa\0\0\0\x0a\0\
\0\0\xc0\x04\0\0\x01\x01\0\0\x03\0\0\0\0\x05\0\0\x0a\x01\0\0\x03\0\0\0\x20\x05\
\0\0\0\0\0\0\x0c\0\0\0\x40\x05\0\0\x13\x01\0\0\x03\0\0\0\x80\x05\0\0\x1c\x01\0\
\0\x0e\0\0\0\xa0\x05\0\0\x28\x01\0\0\x0a\0\0\0\xc0\x05\0\0\x31\x01\0\0\0\0\0\
\x08\x04\0\0\0\x37\x01\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x03\0\0\
\0\0\x03\0\0\0\x06\0\0\0\x05\0\0\0\x44\x01\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\
\0\0\0\0\0\0\x03\0\0\0\0\x03\0\0\0\x06\0\0\0\x04\0\0\0\0\0\0\0\x01\0\0\x05\x08\
\0\0\0\x58\x01\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x22\0\0\0\x62\x01\0\0\0\
\0\0\x08\x0b\0\0\0\x68\x01\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\0\0\0\0\x01\0\0\
\x05\x08\0\0\0\x7b\x01\0\0\x0d\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x23\0\0\0\x7e\
\x01\0\0\0\0\0\x08\x0f\0\0\0\x83\x01\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\0\0\0\0\0\
\x01\0\0\x0d\x11\0\0\0\x91\x01\0\0\x01\0\0\0\x95\x01\0\0\0\0\0\x01\x04\0\0\0\
\x20\0\0\x01\x99\x01\0\0\x01\0\0\x0c\x10\0\0\0\xa7\x01\0\0\x02\0\0\x04\x08\0\0\
\0\xbd\x01\0\0\x14\0\0\0\0\0\0\0\xc3\x01\0\0\x11\0\0\0\x20\0\0\0\xc8\x01\0\0\0\
\0\0\x08\x03\0\0\0\0\0\0\0\x02\0\0\x0d\x11\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x16\
\0\0\0\0\0\0\0\0\0\0\x02\x17\0\0\0\0\0\0\0\0\0\0\x0a\x13\0\0\0\xcc\x01\0\0\x02\
\0\0\x0c\x15\0\0\0\xe2\x01\0\0\x01\0\0\x0c\x10\0\0\0\0\0\0\0\x02\0\0\x0d\x11\0\
\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x1b\0\0\0\0\0\0\0\0\0\0\x02\x13\0\0\0\xf0\x01\0\
\0\x02\0\0\x0c\x1a\0\0\0\x06\x02\0\0\0\0\0\x0e\x03\0\0\0\x01\0\0\0\x10\x02\0\0\
\0\0\0\x0e\x03\0\0\0\x01\0\0\0\x1b\x02\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\
\0\0\0\0\0\x03\0\0\0\0\x1f\0\0\0\x06\0\0\0\x04\0\0\0\x20\x02\0\0\0\0\0\x0e\x20\
\0\0\0\x01\0\0\0\x29\x02\0\0\0\0\0\x07\0\0\0\0\x37\x02\0\0\0\0\0\x07\0\0\0\0\
\x15\x04\0\0\x02\0\0\x0f\x08\0\0\0\x1d\0\0\0\0\0\0\0\x04\0\0\0\x1e\0\0\0\x04\0\
\0\0\x04\0\0\0\x1a\x04\0\0\x01\0\0\x0f\x04\0\0\0\x21\0\0\0\0\0\0\0\x04\0\0\0\
\x22\x04\0\0\x02\0\0\x0f\0\0\0\0\x18\0\0\0\0\0\0\0\0\0\0\0\x1c\0\0\0\0\0\0\0\0\
\0\0\0\0\x5f\x5f\x73\x6b\x5f\x62\x75\x66\x66\0\x6c\x65\x6e\0\x70\x6b\x74\x5f\
\x74\x79\x70\x65\0\x6d\x61\x72\x6b\0\x71\x75\x65\x75\x65\x5f\x6d\x61\x70\x70\
\x69\x6e\x67\0\x70\x72\x6f\x74\x6f\x63\x6f\x6c\0\x76\x6c\x61\x6e\x5f\x70\x72\
\x65\x73\x65\x6e\x74\0\x76\x6c\x61\x6e\x5f\x74\x63\x69\0\x76\x6c\x61\x6e\x5f\
\x70\x72\x6f\x74\x6f\0\x70\x72\x69\x6f\x72\x69\x74\x79\0\x69\x6e\x67\x72\x65\
\x73\x73\x5f\x69\x66\x69\x6e\x64\x65\x78\0\x69\x66\x69\x6e\x64\x65\x78\0\x74\
\x63\x5f\x69\x6e\x64\x65\x78\0\x63\x62\0\x68\x61\x73\x68\0\x74\x63\x5f\x63\x6c\
\x61\x73\x73\x69\x64\0\x64\x61\x74\x61\0\x64\x61\x74\x61\x5f\x65\x6e\x64\0\x6e\
\x61\x70\x69\x5f\x69\x64\0\x66\x61\x6d\x69\x6c\x79\0\x72\x65\x6d\x6f\x74\x65\
\x5f\x69\x70\x34\0\x6c\x6f\x63\x61\x6c\x5f\x69\x70\x34\0\x72\x65\x6d\x6f\x74\
\x65\x5f\x69\x70\x36\0\x6c\x6f\x63\x61\x6c\x5f\x69\x70\x36\0\x72\x65\x6d\x6f\
\x74\x65\x5f\x70\x6f\x72\x74\0\x6c\x6f\x63\x61\x6c\x5f\x70\x6f\x72\x74\0\x64\
\x61\x74\x61\x5f\x6d\x65\x74\x61\0\x74\x73\x74\x61\x6d\x70\0\x77\x69\x72\x65\
\x5f\x6c\x65\x6e\0\x67\x73\x6f\x5f\x73\x65\x67\x73\0\x67\x73\x6f\x5f\x73\x69\
\x7a\x65\0\x74\x73\x74\x61\x6d\x70\x5f\x74\x79\x70\x65\0\x68\x77\x74\x73\x74\
\x61\x6d\x70\0\x5f\x5f\x75\x33\x32\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\
\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\
\x5f\x5f\0\x66\x6c\x6f\x77\x5f\x6b\x65\x79\x73\0\x5f\x5f\x75\x36\x34\0\x75\x6e\
\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x73\x6b\0\
\x5f\x5f\x75\x38\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x63\x68\x61\x72\0\x73\
\x6b\x62\0\x69\x6e\x74\0\x73\x65\x74\x5f\x78\x66\x72\x6d\x5f\x69\x6e\x66\x6f\0\
\x62\x70\x66\x5f\x78\x66\x72\x6d\x5f\x69\x6e\x66\x6f\x5f\x5f\x5f\x6c\x6f\x63\
\x61\x6c\0\x69\x66\x5f\x69\x64\0\x6c\x69\x6e\x6b\0\x75\x33\x32\0\x62\x70\x66\
\x5f\x73\x6b\x62\x5f\x73\x65\x74\x5f\x78\x66\x72\x6d\x5f\x69\x6e\x66\x6f\0\x67\
\x65\x74\x5f\x78\x66\x72\x6d\x5f\x69\x6e\x66\x6f\0\x62\x70\x66\x5f\x73\x6b\x62\
\x5f\x67\x65\x74\x5f\x78\x66\x72\x6d\x5f\x69\x6e\x66\x6f\0\x72\x65\x71\x5f\x69\
\x66\x5f\x69\x64\0\x72\x65\x73\x70\x5f\x69\x66\x5f\x69\x64\0\x63\x68\x61\x72\0\
\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x62\x70\x66\x5f\x66\x6c\x6f\x77\x5f\x6b\x65\
\x79\x73\0\x62\x70\x66\x5f\x73\x6f\x63\x6b\0\x2f\x62\x75\x69\x6c\x64\x64\x69\
\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\
\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x37\x30\x2e\x32\x38\x2e\x31\x2e\x65\
\x6c\x39\x5f\x36\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\
\x37\x30\x2e\x32\x38\x2e\x31\x2e\x65\x6c\x39\x5f\x36\x2e\x78\x38\x36\x5f\x36\
\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\
\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x78\x66\
\x72\x6d\x5f\x69\x6e\x66\x6f\x2e\x63\0\x69\x6e\x74\x20\x73\x65\x74\x5f\x78\x66\
\x72\x6d\x5f\x69\x6e\x66\x6f\x28\x73\x74\x72\x75\x63\x74\x20\x5f\x5f\x73\x6b\
\x5f\x62\x75\x66\x66\x20\x2a\x73\x6b\x62\x29\0\x09\x73\x74\x72\x75\x63\x74\x20\
\x62\x70\x66\x5f\x78\x66\x72\x6d\x5f\x69\x6e\x66\x6f\x5f\x5f\x5f\x6c\x6f\x63\
\x61\x6c\x20\x69\x6e\x66\x6f\x20\x3d\x20\x7b\x20\x2e\x69\x66\x5f\x69\x64\x20\
\x3d\x20\x72\x65\x71\x5f\x69\x66\x5f\x69\x64\x20\x7d\x3b\0\x09\x72\x65\x74\x75\
\x72\x6e\x20\x62\x70\x66\x5f\x73\x6b\x62\x5f\x73\x65\x74\x5f\x78\x66\x72\x6d\
\x5f\x69\x6e\x66\x6f\x28\x73\x6b\x62\x2c\x20\x26\x69\x6e\x66\x6f\x29\x20\x3f\
\x20\x54\x43\x5f\x41\x43\x54\x5f\x53\x48\x4f\x54\x20\x3a\x20\x54\x43\x5f\x41\
\x43\x54\x5f\x55\x4e\x53\x50\x45\x43\x3b\0\x69\x6e\x74\x20\x67\x65\x74\x5f\x78\
\x66\x72\x6d\x5f\x69\x6e\x66\x6f\x28\x73\x74\x72\x75\x63\x74\x20\x5f\x5f\x73\
\x6b\x5f\x62\x75\x66\x66\x20\x2a\x73\x6b\x62\x29\0\x09\x73\x74\x72\x75\x63\x74\
\x20\x62\x70\x66\x5f\x78\x66\x72\x6d\x5f\x69\x6e\x66\x6f\x5f\x5f\x5f\x6c\x6f\
\x63\x61\x6c\x20\x69\x6e\x66\x6f\x20\x3d\x20\x7b\x7d\x3b\0\x09\x69\x66\x20\x28\
\x62\x70\x66\x5f\x73\x6b\x62\x5f\x67\x65\x74\x5f\x78\x66\x72\x6d\x5f\x69\x6e\
\x66\x6f\x28\x73\x6b\x62\x2c\x20\x26\x69\x6e\x66\x6f\x29\x20\x3c\x20\x30\x29\0\
\x09\x72\x65\x73\x70\x5f\x69\x66\x5f\x69\x64\x20\x3d\x20\x69\x6e\x66\x6f\x2e\
\x69\x66\x5f\x69\x64\x3b\0\x7d\0\x30\x3a\x30\0\x30\x3a\x31\0\x2e\x62\x73\x73\0\
\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x6b\x73\x79\x6d\x73\0\x74\x63\0\x9f\xeb\x01\
\0\x20\0\0\0\0\0\0\0\x1c\0\0\0\x1c\0\0\0\xcc\0\0\0\xe8\0\0\0\x3c\0\0\0\x08\0\0\
\0\x29\x04\0\0\x02\0\0\0\0\0\0\0\x12\0\0\0\x80\0\0\0\x19\0\0\0\x10\0\0\0\x29\
\x04\0\0\x0c\0\0\0\0\0\0\0\x40\x02\0\0\xc4\x02\0\0\0\x54\0\0\x10\0\0\0\x40\x02\
\0\0\xed\x02\0\0\x31\x5c\0\0\x28\0\0\0\x40\x02\0\0\xed\x02\0\0\x26\x5c\0\0\x40\
\0\0\0\x40\x02\0\0\x2a\x03\0\0\x09\x64\0\0\x68\0\0\0\x40\x02\0\0\x2a\x03\0\0\
\x02\x64\0\0\x80\0\0\0\x40\x02\0\0\x73\x03\0\0\0\x74\0\0\x88\0\0\0\x40\x02\0\0\
\x9c\x03\0\0\x1f\x7c\0\0\xa0\0\0\0\x40\x02\0\0\xc5\x03\0\0\x06\x84\0\0\xc8\0\0\
\0\x40\x02\0\0\xc5\x03\0\0\x06\x84\0\0\xe0\0\0\0\x40\x02\0\0\xf1\x03\0\0\x14\
\x90\0\0\xe8\0\0\0\x40\x02\0\0\xf1\x03\0\0\x0d\x90\0\0\x10\x01\0\0\x40\x02\0\0\
\x0b\x04\0\0\x01\x9c\0\0\x10\0\0\0\x29\x04\0\0\x03\0\0\0\x28\0\0\0\x13\0\0\0\
\x0d\x04\0\0\0\0\0\0\x38\0\0\0\x13\0\0\0\x11\x04\0\0\0\0\0\0\xe0\0\0\0\x13\0\0\
\0\x0d\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\xa8\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe8\0\0\0\0\0\0\0\xf0\0\0\0\0\0\0\0\x01\
\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\xd8\x01\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x14\0\0\0\x08\0\0\0\x03\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\xf0\x02\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x19\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xf0\x02\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x93\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf8\x02\0\0\0\
\0\0\0\x40\0\0\0\0\0\0\0\x02\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\
\0\x9a\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x38\x03\0\0\0\0\0\0\x80\
\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x9f\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb8\x0b\0\0\0\0\0\0\x44\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct xfrm_info *xfrm_info::open(const struct bpf_object_open_opts *opts) { return xfrm_info__open_opts(opts); }
struct xfrm_info *xfrm_info::open_and_load() { return xfrm_info__open_and_load(); }
int xfrm_info::load(struct xfrm_info *skel) { return xfrm_info__load(skel); }
int xfrm_info::attach(struct xfrm_info *skel) { return xfrm_info__attach(skel); }
void xfrm_info::detach(struct xfrm_info *skel) { xfrm_info__detach(skel); }
void xfrm_info::destroy(struct xfrm_info *skel) { xfrm_info__destroy(skel); }
const void *xfrm_info::elf_bytes(size_t *sz) { return xfrm_info__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
xfrm_info__assert(struct xfrm_info *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->req_if_id) == 4, "unexpected size of 'req_if_id'");
	_Static_assert(sizeof(s->bss->resp_if_id) == 4, "unexpected size of 'resp_if_id'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __XFRM_INFO_SKEL_H__ */
