/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __SOCK_DESTROY_PROG_FAIL_SKEL_H__
#define __SOCK_DESTROY_PROG_FAIL_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct sock_destroy_prog_fail {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_program *trace_tcp_destroy_sock;
	} progs;
	struct {
		struct bpf_link *trace_tcp_destroy_sock;
	} links;

#ifdef __cplusplus
	static inline struct sock_destroy_prog_fail *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct sock_destroy_prog_fail *open_and_load();
	static inline int load(struct sock_destroy_prog_fail *skel);
	static inline int attach(struct sock_destroy_prog_fail *skel);
	static inline void detach(struct sock_destroy_prog_fail *skel);
	static inline void destroy(struct sock_destroy_prog_fail *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
sock_destroy_prog_fail__destroy(struct sock_destroy_prog_fail *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
sock_destroy_prog_fail__create_skeleton(struct sock_destroy_prog_fail *obj);

static inline struct sock_destroy_prog_fail *
sock_destroy_prog_fail__open_opts(const struct bpf_object_open_opts *opts)
{
	struct sock_destroy_prog_fail *obj;
	int err;

	obj = (struct sock_destroy_prog_fail *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = sock_destroy_prog_fail__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	sock_destroy_prog_fail__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct sock_destroy_prog_fail *
sock_destroy_prog_fail__open(void)
{
	return sock_destroy_prog_fail__open_opts(NULL);
}

static inline int
sock_destroy_prog_fail__load(struct sock_destroy_prog_fail *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct sock_destroy_prog_fail *
sock_destroy_prog_fail__open_and_load(void)
{
	struct sock_destroy_prog_fail *obj;
	int err;

	obj = sock_destroy_prog_fail__open();
	if (!obj)
		return NULL;
	err = sock_destroy_prog_fail__load(obj);
	if (err) {
		sock_destroy_prog_fail__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
sock_destroy_prog_fail__attach(struct sock_destroy_prog_fail *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
sock_destroy_prog_fail__detach(struct sock_destroy_prog_fail *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *sock_destroy_prog_fail__elf_bytes(size_t *sz);

static inline int
sock_destroy_prog_fail__create_skeleton(struct sock_destroy_prog_fail *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "sock_destroy_prog_fail";
	s->obj = &obj->obj;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "trace_tcp_destroy_sock";
	s->progs[0].prog = &obj->progs.trace_tcp_destroy_sock;
	s->progs[0].link = &obj->links.trace_tcp_destroy_sock;

	s->data = sock_destroy_prog_fail__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *sock_destroy_prog_fail__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x58\x0e\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x08\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x74\x70\
\x5f\x62\x74\x66\x2f\x74\x63\x70\x5f\x64\x65\x73\x74\x72\x6f\x79\x5f\x73\x6f\
\x63\x6b\0\x6c\x69\x63\x65\x6e\x73\x65\0\x73\x6f\x63\x6b\x5f\x64\x65\x73\x74\
\x72\x6f\x79\x5f\x70\x72\x6f\x67\x5f\x66\x61\x69\x6c\x2e\x63\0\x74\x72\x61\x63\
\x65\x5f\x74\x63\x70\x5f\x64\x65\x73\x74\x72\x6f\x79\x5f\x73\x6f\x63\x6b\0\x62\
\x70\x66\x5f\x73\x6f\x63\x6b\x5f\x64\x65\x73\x74\x72\x6f\x79\0\x5f\x6c\x69\x63\
\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x74\x70\x5f\x62\x74\x66\x2f\x74\x63\x70\x5f\
\x64\x65\x73\x74\x72\x6f\x79\x5f\x73\x6f\x63\x6b\0\x2e\x42\x54\x46\0\x2e\x42\
\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x31\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x4a\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\x20\0\0\
\0\0\0\0\0\x61\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x72\0\0\0\x11\0\
\x04\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x79\x11\0\0\0\0\0\0\x85\x10\0\0\xff\
\xff\xff\xff\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\x08\0\0\
\0\0\0\0\0\x0a\0\0\0\x04\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\xdc\x06\0\0\xdc\
\x06\0\0\x43\x05\0\0\0\0\0\0\0\0\0\x02\x02\0\0\0\x01\0\0\0\0\0\0\x01\x08\0\0\0\
\x40\0\0\0\0\0\0\0\x01\0\0\x0d\x04\0\0\0\x14\0\0\0\x01\0\0\0\x18\0\0\0\0\0\0\
\x01\x04\0\0\0\x20\0\0\x01\x1c\0\0\0\x01\0\0\x0c\x03\0\0\0\x33\0\0\0\0\0\0\x11\
\x05\0\0\0\xff\xff\xff\xff\x4f\0\0\0\0\0\0\x11\x05\0\0\0\xff\xff\xff\xff\0\0\0\
\0\x01\0\0\x0d\x04\0\0\0\0\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\x02\x0a\0\0\0\xa1\0\0\
\0\x19\0\0\x84\x88\0\0\0\0\0\0\0\x0b\0\0\0\0\0\0\0\0\0\0\0\x12\0\0\0\x40\0\0\0\
\0\0\0\0\x17\0\0\0\x60\0\0\0\xad\0\0\0\x14\0\0\0\x80\0\0\0\xb8\0\0\0\x1b\0\0\0\
\x90\0\0\0\xc2\0\0\0\x1c\0\0\0\x98\0\0\x04\xcc\0\0\0\x1c\0\0\0\x9c\0\0\x01\xda\
\0\0\0\x1c\0\0\0\x9d\0\0\x01\xe7\0\0\0\x1c\0\0\0\x9e\0\0\x01\xf6\0\0\0\x04\0\0\
\0\xa0\0\0\0\0\0\0\0\x1d\0\0\0\xc0\0\0\0\x07\x01\0\0\x21\0\0\0\x40\x01\0\0\x10\
\x01\0\0\x22\0\0\0\x80\x01\0\0\x18\x01\0\0\x25\0\0\0\xc0\x01\0\0\x25\x01\0\0\
\x25\0\0\0\x40\x02\0\0\x36\x01\0\0\x2b\0\0\0\xc0\x02\0\0\0\0\0\0\x30\0\0\0\0\
\x03\0\0\x41\x01\0\0\x34\0\0\0\x40\x03\0\0\0\0\0\0\x35\0\0\0\x40\x03\0\0\x54\
\x01\0\0\x14\0\0\0\xc0\x03\0\0\x69\x01\0\0\x14\0\0\0\xd0\x03\0\0\0\0\0\0\x39\0\
\0\0\xe0\x03\0\0\x7e\x01\0\0\x3b\0\0\0\0\x04\0\0\x89\x01\0\0\x34\0\0\0\x20\x04\
\0\0\0\0\0\0\x3f\0\0\0\x20\x04\0\0\0\0\0\0\x02\0\0\x05\x08\0\0\0\x9a\x01\0\0\
\x0c\0\0\0\0\0\0\0\0\0\0\0\x0e\0\0\0\0\0\0\0\xa7\x01\0\0\0\0\0\x08\x0d\0\0\0\
\xb2\x01\0\0\0\0\0\x08\x02\0\0\0\0\0\0\0\x02\0\0\x04\x08\0\0\0\xb8\x01\0\0\x0f\
\0\0\0\0\0\0\0\xc2\x01\0\0\x0f\0\0\0\x20\0\0\0\xd0\x01\0\0\0\0\0\x08\x10\0\0\0\
\xd7\x01\0\0\0\0\0\x08\x11\0\0\0\xdd\x01\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\
\0\0\x02\0\0\x05\x04\0\0\0\xea\x01\0\0\x11\0\0\0\0\0\0\0\xf3\x01\0\0\x15\0\0\0\
\0\0\0\0\x01\x02\0\0\0\0\0\x08\x14\0\0\0\x07\x02\0\0\0\0\0\x01\x02\0\0\0\x10\0\
\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x13\0\0\0\x16\0\0\0\x02\0\0\0\x16\x02\0\0\0\0\0\
\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\x02\0\0\x05\x04\0\0\0\x2a\x02\0\0\x18\0\0\0\0\
\0\0\0\0\0\0\0\x19\0\0\0\0\0\0\0\x37\x02\0\0\0\0\0\x08\x10\0\0\0\0\0\0\0\x02\0\
\0\x04\x04\0\0\0\x42\x02\0\0\x1a\0\0\0\0\0\0\0\x4c\x02\0\0\x13\0\0\0\x10\0\0\0\
\x54\x02\0\0\0\0\0\x08\x13\0\0\0\0\0\0\0\0\0\0\x09\x1c\0\0\0\x5b\x02\0\0\0\0\0\
\x01\x01\0\0\0\x08\0\0\0\0\0\0\0\x02\0\0\x05\x10\0\0\0\x69\x02\0\0\x1e\0\0\0\0\
\0\0\0\x77\x02\0\0\x1e\0\0\0\0\0\0\0\x89\x02\0\0\x02\0\0\x04\x10\0\0\0\x94\x02\
\0\0\x1f\0\0\0\0\0\0\0\x99\x02\0\0\x20\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\x02\x1e\0\
\0\0\0\0\0\0\0\0\0\x02\x1f\0\0\0\0\0\0\0\0\0\0\x02\x44\0\0\0\x9f\x02\0\0\0\0\0\
\x08\x23\0\0\0\0\0\0\0\x01\0\0\x04\x08\0\0\0\xae\x02\0\0\x24\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x02\x47\0\0\0\xb2\x02\0\0\x01\0\0\x04\x10\0\0\0\xbb\x02\0\0\x26\0\0\
\0\0\0\0\0\0\0\0\0\x03\0\0\x05\x10\0\0\0\xc1\x02\0\0\x28\0\0\0\0\0\0\0\xca\x02\
\0\0\x29\0\0\0\0\0\0\0\xd4\x02\0\0\x2a\0\0\0\0\0\0\0\xde\x02\0\0\0\0\0\x08\x1c\
\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x27\0\0\0\x16\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\
\x03\0\0\0\0\x1a\0\0\0\x16\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x0f\0\0\0\
\x16\0\0\0\x04\0\0\0\xe3\x02\0\0\0\0\0\x08\x2c\0\0\0\0\0\0\0\x01\0\0\x04\x08\0\
\0\0\xee\x02\0\0\x2d\0\0\0\0\0\0\0\xf6\x02\0\0\0\0\0\x08\x2e\0\0\0\xfa\x02\0\0\
\0\0\0\x08\x2f\0\0\0\0\x03\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\x01\0\0\0\0\x03\0\0\
\x05\x08\0\0\0\x0a\x03\0\0\x31\0\0\0\0\0\0\0\x14\x03\0\0\x32\0\0\0\0\0\0\0\x21\
\x03\0\0\x33\0\0\0\0\0\0\0\x2b\x03\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\0\0\0\0\0\
\0\0\x02\x45\0\0\0\0\0\0\0\0\0\0\x02\x46\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x04\0\
\0\0\x16\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\x05\x10\0\0\0\x39\x03\0\0\x1e\0\0\0\0\0\
\0\0\x42\x03\0\0\x36\0\0\0\0\0\0\0\x51\x03\0\0\x02\0\0\x04\x10\0\0\0\x94\x02\0\
\0\x37\0\0\0\0\0\0\0\x99\x02\0\0\x38\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\x02\x36\0\0\
\0\0\0\0\0\0\0\0\x02\x37\0\0\0\0\0\0\0\x03\0\0\x05\x04\0\0\0\x62\x03\0\0\x04\0\
\0\0\0\0\0\0\x73\x03\0\0\x3a\0\0\0\0\0\0\0\x7f\x03\0\0\x3a\0\0\0\0\0\0\0\x8e\
\x03\0\0\0\0\0\x08\x10\0\0\0\x92\x03\0\0\0\0\0\x08\x3c\0\0\0\x9d\x03\0\0\x01\0\
\0\x04\x04\0\0\0\xad\x03\0\0\x3d\0\0\0\0\0\0\0\xb2\x03\0\0\0\0\0\x08\x3e\0\0\0\
\0\0\0\0\x01\0\0\x04\x04\0\0\0\xee\x02\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\
\x05\x04\0\0\0\xbb\x03\0\0\x3a\0\0\0\0\0\0\0\xc6\x03\0\0\x3a\0\0\0\0\0\0\0\xd7\
\x03\0\0\x3a\0\0\0\0\0\0\0\xe6\x03\0\0\x02\0\0\x0c\x08\0\0\0\xf7\x03\0\0\0\0\0\
\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x41\0\0\0\x16\0\0\0\x04\0\
\0\0\xfc\x03\0\0\0\0\0\x0e\x42\0\0\0\x01\0\0\0\x05\x04\0\0\0\0\0\x07\0\0\0\0\
\x0b\x04\0\0\0\0\0\x07\0\0\0\0\x10\x04\0\0\0\0\0\x07\0\0\0\0\xae\x02\0\0\0\0\0\
\x07\0\0\0\0\x1c\x05\0\0\x01\0\0\x0f\x04\0\0\0\x43\0\0\0\0\0\0\0\x04\0\0\0\x24\
\x05\0\0\x01\0\0\x0f\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\x75\x6e\x73\x69\x67\
\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x63\x74\x78\0\x69\x6e\
\x74\0\x74\x72\x61\x63\x65\x5f\x74\x63\x70\x5f\x64\x65\x73\x74\x72\x6f\x79\x5f\
\x73\x6f\x63\x6b\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\
\x70\x65\x63\x74\x5f\x66\x61\x69\x6c\x75\x72\x65\0\x63\x6f\x6d\x6d\x65\x6e\x74\
\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x30\x3d\
\x63\x61\x6c\x6c\x69\x6e\x67\x20\x6b\x65\x72\x6e\x65\x6c\x20\x66\x75\x6e\x63\
\x74\x69\x6f\x6e\x20\x62\x70\x66\x5f\x73\x6f\x63\x6b\x5f\x64\x65\x73\x74\x72\
\x6f\x79\x20\x69\x73\x20\x6e\x6f\x74\x20\x61\x6c\x6c\x6f\x77\x65\x64\0\x73\x6f\
\x63\x6b\x5f\x63\x6f\x6d\x6d\x6f\x6e\0\x73\x6b\x63\x5f\x66\x61\x6d\x69\x6c\x79\
\0\x73\x6b\x63\x5f\x73\x74\x61\x74\x65\0\x73\x6b\x63\x5f\x72\x65\x75\x73\x65\0\
\x73\x6b\x63\x5f\x72\x65\x75\x73\x65\x70\x6f\x72\x74\0\x73\x6b\x63\x5f\x69\x70\
\x76\x36\x6f\x6e\x6c\x79\0\x73\x6b\x63\x5f\x6e\x65\x74\x5f\x72\x65\x66\x63\x6e\
\x74\0\x73\x6b\x63\x5f\x62\x6f\x75\x6e\x64\x5f\x64\x65\x76\x5f\x69\x66\0\x73\
\x6b\x63\x5f\x70\x72\x6f\x74\0\x73\x6b\x63\x5f\x6e\x65\x74\0\x73\x6b\x63\x5f\
\x76\x36\x5f\x64\x61\x64\x64\x72\0\x73\x6b\x63\x5f\x76\x36\x5f\x72\x63\x76\x5f\
\x73\x61\x64\x64\x72\0\x73\x6b\x63\x5f\x63\x6f\x6f\x6b\x69\x65\0\x73\x6b\x63\
\x5f\x64\x6f\x6e\x74\x63\x6f\x70\x79\x5f\x62\x65\x67\x69\x6e\0\x73\x6b\x63\x5f\
\x74\x78\x5f\x71\x75\x65\x75\x65\x5f\x6d\x61\x70\x70\x69\x6e\x67\0\x73\x6b\x63\
\x5f\x72\x78\x5f\x71\x75\x65\x75\x65\x5f\x6d\x61\x70\x70\x69\x6e\x67\0\x73\x6b\
\x63\x5f\x72\x65\x66\x63\x6e\x74\0\x73\x6b\x63\x5f\x64\x6f\x6e\x74\x63\x6f\x70\
\x79\x5f\x65\x6e\x64\0\x73\x6b\x63\x5f\x61\x64\x64\x72\x70\x61\x69\x72\0\x5f\
\x5f\x61\x64\x64\x72\x70\x61\x69\x72\0\x5f\x5f\x75\x36\x34\0\x73\x6b\x63\x5f\
\x64\x61\x64\x64\x72\0\x73\x6b\x63\x5f\x72\x63\x76\x5f\x73\x61\x64\x64\x72\0\
\x5f\x5f\x62\x65\x33\x32\0\x5f\x5f\x75\x33\x32\0\x75\x6e\x73\x69\x67\x6e\x65\
\x64\x20\x69\x6e\x74\0\x73\x6b\x63\x5f\x68\x61\x73\x68\0\x73\x6b\x63\x5f\x75\
\x31\x36\x68\x61\x73\x68\x65\x73\0\x5f\x5f\x75\x31\x36\0\x75\x6e\x73\x69\x67\
\x6e\x65\x64\x20\x73\x68\x6f\x72\x74\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\
\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x73\x6b\x63\x5f\x70\x6f\x72\x74\x70\x61\
\x69\x72\0\x5f\x5f\x70\x6f\x72\x74\x70\x61\x69\x72\0\x73\x6b\x63\x5f\x64\x70\
\x6f\x72\x74\0\x73\x6b\x63\x5f\x6e\x75\x6d\0\x5f\x5f\x62\x65\x31\x36\0\x75\x6e\
\x73\x69\x67\x6e\x65\x64\x20\x63\x68\x61\x72\0\x73\x6b\x63\x5f\x62\x69\x6e\x64\
\x5f\x6e\x6f\x64\x65\0\x73\x6b\x63\x5f\x70\x6f\x72\x74\x61\x64\x64\x72\x5f\x6e\
\x6f\x64\x65\0\x68\x6c\x69\x73\x74\x5f\x6e\x6f\x64\x65\0\x6e\x65\x78\x74\0\x70\
\x70\x72\x65\x76\0\x70\x6f\x73\x73\x69\x62\x6c\x65\x5f\x6e\x65\x74\x5f\x74\0\
\x6e\x65\x74\0\x69\x6e\x36\x5f\x61\x64\x64\x72\0\x69\x6e\x36\x5f\x75\0\x75\x36\
\x5f\x61\x64\x64\x72\x38\0\x75\x36\x5f\x61\x64\x64\x72\x31\x36\0\x75\x36\x5f\
\x61\x64\x64\x72\x33\x32\0\x5f\x5f\x75\x38\0\x61\x74\x6f\x6d\x69\x63\x36\x34\
\x5f\x74\0\x63\x6f\x75\x6e\x74\x65\x72\0\x73\x36\x34\0\x5f\x5f\x73\x36\x34\0\
\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x73\x6b\x63\x5f\x66\x6c\x61\x67\x73\0\
\x73\x6b\x63\x5f\x6c\x69\x73\x74\x65\x6e\x65\x72\0\x73\x6b\x63\x5f\x74\x77\x5f\
\x64\x72\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\0\x73\x6b\x63\
\x5f\x6e\x6f\x64\x65\0\x73\x6b\x63\x5f\x6e\x75\x6c\x6c\x73\x5f\x6e\x6f\x64\x65\
\0\x68\x6c\x69\x73\x74\x5f\x6e\x75\x6c\x6c\x73\x5f\x6e\x6f\x64\x65\0\x73\x6b\
\x63\x5f\x69\x6e\x63\x6f\x6d\x69\x6e\x67\x5f\x63\x70\x75\0\x73\x6b\x63\x5f\x72\
\x63\x76\x5f\x77\x6e\x64\0\x73\x6b\x63\x5f\x74\x77\x5f\x72\x63\x76\x5f\x6e\x78\
\x74\0\x75\x33\x32\0\x72\x65\x66\x63\x6f\x75\x6e\x74\x5f\x74\0\x72\x65\x66\x63\
\x6f\x75\x6e\x74\x5f\x73\x74\x72\x75\x63\x74\0\x72\x65\x66\x73\0\x61\x74\x6f\
\x6d\x69\x63\x5f\x74\0\x73\x6b\x63\x5f\x72\x78\x68\x61\x73\x68\0\x73\x6b\x63\
\x5f\x77\x69\x6e\x64\x6f\x77\x5f\x63\x6c\x61\x6d\x70\0\x73\x6b\x63\x5f\x74\x77\
\x5f\x73\x6e\x64\x5f\x6e\x78\x74\0\x62\x70\x66\x5f\x73\x6f\x63\x6b\x5f\x64\x65\
\x73\x74\x72\x6f\x79\0\x63\x68\x61\x72\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x70\
\x72\x6f\x74\x6f\0\x73\x6f\x63\x6b\0\x69\x6e\x65\x74\x5f\x74\x69\x6d\x65\x77\
\x61\x69\x74\x5f\x64\x65\x61\x74\x68\x5f\x72\x6f\x77\0\x2f\x62\x75\x69\x6c\x64\
\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\
\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x37\x30\x2e\x32\x38\x2e\x31\
\x2e\x65\x6c\x39\x5f\x36\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\
\x2d\x35\x37\x30\x2e\x32\x38\x2e\x31\x2e\x65\x6c\x39\x5f\x36\x2e\x78\x38\x36\
\x5f\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\
\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\
\x73\x6f\x63\x6b\x5f\x64\x65\x73\x74\x72\x6f\x79\x5f\x70\x72\x6f\x67\x5f\x66\
\x61\x69\x6c\x2e\x63\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\x74\
\x72\x61\x63\x65\x5f\x74\x63\x70\x5f\x64\x65\x73\x74\x72\x6f\x79\x5f\x73\x6f\
\x63\x6b\x2c\x20\x73\x74\x72\x75\x63\x74\x20\x73\x6f\x63\x6b\x20\x2a\x73\x6b\
\x29\0\x09\x62\x70\x66\x5f\x73\x6f\x63\x6b\x5f\x64\x65\x73\x74\x72\x6f\x79\x28\
\x28\x73\x74\x72\x75\x63\x74\x20\x73\x6f\x63\x6b\x5f\x63\x6f\x6d\x6d\x6f\x6e\
\x20\x2a\x29\x73\x6b\x29\x3b\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x6b\x73\x79\
\x6d\x73\0\x74\x70\x5f\x62\x74\x66\x2f\x74\x63\x70\x5f\x64\x65\x73\x74\x72\x6f\
\x79\x5f\x73\x6f\x63\x6b\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x14\0\0\0\x14\0\0\
\0\x3c\0\0\0\x50\0\0\0\0\0\0\0\x08\0\0\0\x2b\x05\0\0\x01\0\0\0\0\0\0\0\x05\0\0\
\0\x10\0\0\0\x2b\x05\0\0\x03\0\0\0\0\0\0\0\x28\x04\0\0\xb9\x04\0\0\x05\x3c\0\0\
\x08\0\0\0\x28\x04\0\0\xef\x04\0\0\x02\x48\0\0\x10\0\0\0\x28\x04\0\0\xb9\x04\0\
\0\x05\x3c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\
\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\xa5\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xe8\0\0\0\0\0\0\0\x90\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x78\x01\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x29\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x98\x01\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x7b\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa0\x01\0\0\0\
\0\0\0\x10\0\0\0\0\0\0\0\x02\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\
\0\x97\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb0\x01\0\0\0\0\0\0\x37\
\x0c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x9c\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe8\x0d\0\0\0\0\0\0\x70\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct sock_destroy_prog_fail *sock_destroy_prog_fail::open(const struct bpf_object_open_opts *opts) { return sock_destroy_prog_fail__open_opts(opts); }
struct sock_destroy_prog_fail *sock_destroy_prog_fail::open_and_load() { return sock_destroy_prog_fail__open_and_load(); }
int sock_destroy_prog_fail::load(struct sock_destroy_prog_fail *skel) { return sock_destroy_prog_fail__load(skel); }
int sock_destroy_prog_fail::attach(struct sock_destroy_prog_fail *skel) { return sock_destroy_prog_fail__attach(skel); }
void sock_destroy_prog_fail::detach(struct sock_destroy_prog_fail *skel) { sock_destroy_prog_fail__detach(skel); }
void sock_destroy_prog_fail::destroy(struct sock_destroy_prog_fail *skel) { sock_destroy_prog_fail__destroy(skel); }
const void *sock_destroy_prog_fail::elf_bytes(size_t *sz) { return sock_destroy_prog_fail__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
sock_destroy_prog_fail__assert(struct sock_destroy_prog_fail *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __SOCK_DESTROY_PROG_FAIL_SKEL_H__ */
