/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __SOCKET_COOKIE_PROG_SKEL_H__
#define __SOCKET_COOKIE_PROG_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct socket_cookie_prog {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *socket_cookies;
	} maps;
	struct {
		struct bpf_program *set_cookie;
		struct bpf_program *update_cookie_sockops;
		struct bpf_program *update_cookie_tracing;
	} progs;
	struct {
		struct bpf_link *set_cookie;
		struct bpf_link *update_cookie_sockops;
		struct bpf_link *update_cookie_tracing;
	} links;

#ifdef __cplusplus
	static inline struct socket_cookie_prog *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct socket_cookie_prog *open_and_load();
	static inline int load(struct socket_cookie_prog *skel);
	static inline int attach(struct socket_cookie_prog *skel);
	static inline void detach(struct socket_cookie_prog *skel);
	static inline void destroy(struct socket_cookie_prog *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
socket_cookie_prog__destroy(struct socket_cookie_prog *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
socket_cookie_prog__create_skeleton(struct socket_cookie_prog *obj);

static inline struct socket_cookie_prog *
socket_cookie_prog__open_opts(const struct bpf_object_open_opts *opts)
{
	struct socket_cookie_prog *obj;
	int err;

	obj = (struct socket_cookie_prog *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = socket_cookie_prog__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	socket_cookie_prog__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct socket_cookie_prog *
socket_cookie_prog__open(void)
{
	return socket_cookie_prog__open_opts(NULL);
}

static inline int
socket_cookie_prog__load(struct socket_cookie_prog *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct socket_cookie_prog *
socket_cookie_prog__open_and_load(void)
{
	struct socket_cookie_prog *obj;
	int err;

	obj = socket_cookie_prog__open();
	if (!obj)
		return NULL;
	err = socket_cookie_prog__load(obj);
	if (err) {
		socket_cookie_prog__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
socket_cookie_prog__attach(struct socket_cookie_prog *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
socket_cookie_prog__detach(struct socket_cookie_prog *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *socket_cookie_prog__elf_bytes(size_t *sz);

static inline int
socket_cookie_prog__create_skeleton(struct socket_cookie_prog *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "socket_cookie_prog";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "socket_cookies";
	map->map = &obj->maps.socket_cookies;

	/* programs */
	s->prog_cnt = 3;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "set_cookie";
	s->progs[0].prog = &obj->progs.set_cookie;
	s->progs[0].link = &obj->links.set_cookie;

	s->progs[1].name = "update_cookie_sockops";
	s->progs[1].prog = &obj->progs.update_cookie_sockops;
	s->progs[1].link = &obj->links.update_cookie_sockops;

	s->progs[2].name = "update_cookie_tracing";
	s->progs[2].prog = &obj->progs.update_cookie_tracing;
	s->progs[2].link = &obj->links.update_cookie_tracing;

	s->data = socket_cookie_prog__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *socket_cookie_prog__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x98\x1a\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0d\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x63\x67\
\x72\x6f\x75\x70\x2f\x63\x6f\x6e\x6e\x65\x63\x74\x36\0\x73\x6f\x63\x6b\x6f\x70\
\x73\0\x66\x65\x78\x69\x74\x2f\x69\x6e\x65\x74\x5f\x73\x74\x72\x65\x61\x6d\x5f\
\x63\x6f\x6e\x6e\x65\x63\x74\0\x2e\x6d\x61\x70\x73\0\x6c\x69\x63\x65\x6e\x73\
\x65\0\x73\x6f\x63\x6b\x65\x74\x5f\x63\x6f\x6f\x6b\x69\x65\x5f\x70\x72\x6f\x67\
\x2e\x63\0\x73\x65\x74\x5f\x63\x6f\x6f\x6b\x69\x65\0\x73\x6f\x63\x6b\x65\x74\
\x5f\x63\x6f\x6f\x6b\x69\x65\x73\0\x75\x70\x64\x61\x74\x65\x5f\x63\x6f\x6f\x6b\
\x69\x65\x5f\x73\x6f\x63\x6b\x6f\x70\x73\0\x75\x70\x64\x61\x74\x65\x5f\x63\x6f\
\x6f\x6b\x69\x65\x5f\x74\x72\x61\x63\x69\x6e\x67\0\x5f\x6c\x69\x63\x65\x6e\x73\
\x65\0\x2e\x72\x65\x6c\x63\x67\x72\x6f\x75\x70\x2f\x63\x6f\x6e\x6e\x65\x63\x74\
\x36\0\x2e\x72\x65\x6c\x73\x6f\x63\x6b\x6f\x70\x73\0\x2e\x72\x65\x6c\x66\x65\
\x78\x69\x74\x2f\x69\x6e\x65\x74\x5f\x73\x74\x72\x65\x61\x6d\x5f\x63\x6f\x6e\
\x6e\x65\x63\x74\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x51\0\0\0\x04\0\xf1\xff\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x03\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x05\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x66\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\xa0\0\0\
\0\0\0\0\0\x71\0\0\0\x11\0\x06\0\0\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x80\0\0\0\
\x12\0\x04\0\0\0\0\0\0\0\0\0\xc8\0\0\0\0\0\0\0\x96\0\0\0\x12\0\x05\0\0\0\0\0\0\
\0\0\0\xa8\0\0\0\0\0\0\0\xac\0\0\0\x11\0\x07\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\
\0\x61\x12\x1c\0\0\0\0\0\x56\x02\x10\0\x0a\0\0\0\x61\x12\0\0\0\0\0\0\x56\x02\
\x0e\0\x0a\0\0\0\x79\x12\x40\0\0\0\0\0\xbf\x16\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\xb7\x03\0\0\0\0\0\0\xb7\x04\0\0\x01\0\0\0\x85\0\0\0\x6b\0\0\0\
\xbf\x61\0\0\0\0\0\0\x15\0\x05\0\0\0\0\0\xb4\x02\0\0\x0f\0\0\0\x63\x20\x08\0\0\
\0\0\0\xbf\x06\0\0\0\0\0\0\x85\0\0\0\x2e\0\0\0\x7b\x06\0\0\0\0\0\0\xb4\0\0\0\
\x01\0\0\0\x95\0\0\0\0\0\0\0\xbf\x16\0\0\0\0\0\0\x79\x62\xb8\0\0\0\0\0\x61\x61\
\x14\0\0\0\0\0\x56\x01\x13\0\x0a\0\0\0\x61\x61\0\0\0\0\0\0\x56\x01\x11\0\x03\0\
\0\0\x15\x02\x10\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x03\0\0\0\0\
\0\0\xb7\x04\0\0\0\0\0\0\x85\0\0\0\x6b\0\0\0\xbf\x07\0\0\0\0\0\0\x15\x07\x09\0\
\0\0\0\0\x79\x78\0\0\0\0\0\0\xbf\x61\0\0\0\0\0\0\x85\0\0\0\x2e\0\0\0\x5d\x08\
\x05\0\0\0\0\0\x61\x61\x44\0\0\0\0\0\x64\x01\0\0\x08\0\0\0\x61\x72\x08\0\0\0\0\
\0\x4c\x12\0\0\0\0\0\0\x63\x27\x08\0\0\0\0\0\xb4\0\0\0\x01\0\0\0\x95\0\0\0\0\0\
\0\0\x79\x12\x08\0\0\0\0\0\x69\x22\0\0\0\0\0\0\x56\x02\x10\0\x0a\0\0\0\x79\x17\
\0\0\0\0\0\0\x79\x72\x18\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x03\
\0\0\0\0\0\0\xb7\x04\0\0\0\0\0\0\x85\0\0\0\x6b\0\0\0\xbf\x06\0\0\0\0\0\0\x15\
\x06\x07\0\0\0\0\0\x79\x71\x18\0\0\0\0\0\x79\x67\0\0\0\0\0\0\x85\0\0\0\x2e\0\0\
\0\x5d\x07\x03\0\0\0\0\0\x61\x61\x08\0\0\0\0\0\x44\x01\0\0\xf0\0\0\0\x63\x16\
\x08\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\x30\0\0\0\0\0\0\0\
\x01\0\0\0\x06\0\0\0\x38\0\0\0\0\0\0\0\x01\0\0\0\x06\0\0\0\x28\0\0\0\0\0\0\0\
\x01\0\0\0\x06\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\x44\x09\0\0\x44\x09\0\0\
\xfc\x08\0\0\0\0\0\0\0\0\0\x02\x03\0\0\0\x01\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\
\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x18\0\0\0\x05\0\0\0\0\0\0\
\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x02\x06\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\
\x02\0\0\0\x04\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x02\0\0\0\0\0\0\0\0\0\0\x02\
\x09\0\0\0\x19\0\0\0\x02\0\0\x04\x10\0\0\0\x27\0\0\0\x0a\0\0\0\0\0\0\0\x32\0\0\
\0\x0c\0\0\0\x40\0\0\0\x3f\0\0\0\0\0\0\x08\x0b\0\0\0\x45\0\0\0\0\0\0\x01\x08\0\
\0\0\x40\0\0\0\x58\0\0\0\0\0\0\x08\x0d\0\0\0\x5e\0\0\0\0\0\0\x01\x04\0\0\0\x20\
\0\0\0\0\0\0\0\x04\0\0\x04\x20\0\0\0\x6b\0\0\0\x01\0\0\0\0\0\0\0\x70\0\0\0\x05\
\0\0\0\x40\0\0\0\x7a\0\0\0\x07\0\0\0\x80\0\0\0\x7e\0\0\0\x08\0\0\0\xc0\0\0\0\
\x84\0\0\0\0\0\0\x0e\x0e\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x11\0\0\0\x93\0\0\0\
\x0a\0\0\x04\x48\0\0\0\xa1\0\0\0\x0c\0\0\0\0\0\0\0\xad\0\0\0\x0c\0\0\0\x20\0\0\
\0\xb6\0\0\0\x12\0\0\0\x40\0\0\0\xbf\0\0\0\x0c\0\0\0\xc0\0\0\0\xc9\0\0\0\x0c\0\
\0\0\xe0\0\0\0\x6b\0\0\0\x0c\0\0\0\0\x01\0\0\xd0\0\0\0\x0c\0\0\0\x20\x01\0\0\
\xd9\0\0\0\x0c\0\0\0\x40\x01\0\0\xe5\0\0\0\x12\0\0\0\x60\x01\0\0\0\0\0\0\x13\0\
\0\0\0\x02\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x0c\0\0\0\x04\0\0\0\x04\0\0\0\0\0\0\0\
\x01\0\0\x05\x08\0\0\0\xf1\0\0\0\x14\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x4d\0\0\0\
\0\0\0\0\x01\0\0\x0d\x02\0\0\0\xf4\0\0\0\x10\0\0\0\xf8\0\0\0\x01\0\0\x0c\x15\0\
\0\0\0\0\0\0\0\0\0\x02\x18\0\0\0\x03\x01\0\0\x29\0\0\x04\xe0\0\0\0\x10\x01\0\0\
\x0c\0\0\0\0\0\0\0\0\0\0\0\x19\0\0\0\x20\0\0\0\xc9\0\0\0\x0c\0\0\0\xa0\0\0\0\
\x13\x01\0\0\x0c\0\0\0\xc0\0\0\0\x1e\x01\0\0\x0c\0\0\0\xe0\0\0\0\x28\x01\0\0\
\x12\0\0\0\0\x01\0\0\x33\x01\0\0\x12\0\0\0\x80\x01\0\0\x3d\x01\0\0\x0c\0\0\0\0\
\x02\0\0\x49\x01\0\0\x0c\0\0\0\x20\x02\0\0\x54\x01\0\0\x0c\0\0\0\x40\x02\0\0\
\x60\x01\0\0\x0c\0\0\0\x60\x02\0\0\x69\x01\0\0\x0c\0\0\0\x80\x02\0\0\x71\x01\0\
\0\x0c\0\0\0\xa0\x02\0\0\x87\x01\0\0\x0c\0\0\0\xc0\x02\0\0\x8d\x01\0\0\x0c\0\0\
\0\xe0\x02\0\0\x95\x01\0\0\x0c\0\0\0\0\x03\0\0\xa2\x01\0\0\x0c\0\0\0\x20\x03\0\
\0\xaa\x01\0\0\x0c\0\0\0\x40\x03\0\0\xb2\x01\0\0\x0c\0\0\0\x60\x03\0\0\xba\x01\
\0\0\x0c\0\0\0\x80\x03\0\0\xc4\x01\0\0\x0c\0\0\0\xa0\x03\0\0\xce\x01\0\0\x0c\0\
\0\0\xc0\x03\0\0\xdd\x01\0\0\x0c\0\0\0\xe0\x03\0\0\xee\x01\0\0\x0c\0\0\0\0\x04\
\0\0\xfa\x01\0\0\x0c\0\0\0\x20\x04\0\0\x06\x02\0\0\x0c\0\0\0\x40\x04\0\0\x14\
\x02\0\0\x0c\0\0\0\x60\x04\0\0\x1c\x02\0\0\x0c\0\0\0\x80\x04\0\0\x29\x02\0\0\
\x0c\0\0\0\xa0\x04\0\0\x32\x02\0\0\x0c\0\0\0\xc0\x04\0\0\x40\x02\0\0\x0c\0\0\0\
\xe0\x04\0\0\x49\x02\0\0\x0c\0\0\0\0\x05\0\0\x54\x02\0\0\x0c\0\0\0\x20\x05\0\0\
\x5e\x02\0\0\x0a\0\0\0\x40\x05\0\0\x6d\x02\0\0\x0a\0\0\0\x80\x05\0\0\0\0\0\0\
\x13\0\0\0\xc0\x05\0\0\0\0\0\0\x1a\0\0\0\0\x06\0\0\0\0\0\0\x1c\0\0\0\x40\x06\0\
\0\x79\x02\0\0\x0c\0\0\0\x80\x06\0\0\x81\x02\0\0\x0c\0\0\0\xa0\x06\0\0\x8f\x02\
\0\0\x0a\0\0\0\xc0\x06\0\0\0\0\0\0\x03\0\0\x05\x10\0\0\0\x9c\x02\0\0\x12\0\0\0\
\0\0\0\0\xa1\x02\0\0\x0c\0\0\0\0\0\0\0\xa7\x02\0\0\x12\0\0\0\0\0\0\0\0\0\0\0\
\x01\0\0\x05\x08\0\0\0\xb1\x02\0\0\x1b\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\0\
\0\0\0\0\x01\0\0\x05\x08\0\0\0\xba\x02\0\0\x1b\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\
\x0d\x02\0\0\0\xf4\0\0\0\x17\0\0\0\xc7\x02\0\0\x01\0\0\x0c\x1d\0\0\0\0\0\0\0\0\
\0\0\x02\x0b\0\0\0\0\0\0\0\x01\0\0\x0d\x02\0\0\0\xf4\0\0\0\x1f\0\0\0\xdd\x02\0\
\0\x01\0\0\x0c\x20\0\0\0\xf3\x02\0\0\x02\0\0\x04\x10\0\0\0\xfc\x02\0\0\x23\0\0\
\0\0\0\0\0\x06\x03\0\0\x27\0\0\0\x10\0\0\0\x0e\x03\0\0\0\0\0\x08\x24\0\0\0\x1a\
\x03\0\0\0\0\0\x08\x25\0\0\0\x2f\x03\0\0\0\0\0\x01\x02\0\0\0\x10\0\0\0\x3e\x03\
\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x26\0\0\0\x04\0\
\0\0\x0e\0\0\0\x43\x03\0\0\x07\0\0\x04\xc0\0\0\0\x87\x01\0\0\x29\0\0\0\0\0\0\0\
\x6b\0\0\0\x2b\0\0\0\x20\0\0\0\x4a\x03\0\0\x2c\0\0\0\x40\0\0\0\x50\x03\0\0\x2d\
\0\0\0\x80\0\0\0\xf1\0\0\0\x2e\0\0\0\xc0\0\0\0\x55\x03\0\0\x2f\0\0\0\0\x01\0\0\
\x59\x03\0\0\x31\0\0\0\0\x02\0\0\x5c\x03\0\0\0\0\0\x08\x2a\0\0\0\0\0\0\0\x05\0\
\0\x06\x04\0\0\0\x69\x03\0\0\0\0\0\0\x71\x03\0\0\x01\0\0\0\x80\x03\0\0\x02\0\0\
\0\x8e\x03\0\0\x03\0\0\0\x9b\x03\0\0\x04\0\0\0\xac\x03\0\0\0\0\0\x01\x02\0\0\0\
\x10\0\0\x01\xb2\x03\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\x02\x4e\0\
\0\0\0\0\0\0\0\0\0\x02\x50\0\0\0\0\0\0\0\0\0\0\x02\x30\0\0\0\0\0\0\0\0\0\0\x0a\
\x51\0\0\0\xc0\x03\0\0\x08\0\0\x04\x80\0\0\0\xca\x03\0\0\x32\0\0\0\0\0\0\0\xcf\
\x03\0\0\x46\0\0\0\xc0\0\0\0\x4a\x03\0\0\x2c\0\0\0\0\x01\0\0\xdb\x03\0\0\x47\0\
\0\0\x40\x01\0\0\xdf\x03\0\0\x2c\0\0\0\xc0\x01\0\0\xec\x03\0\0\x2c\0\0\0\0\x02\
\0\0\xf9\x03\0\0\x2c\0\0\0\x40\x02\0\0\x06\x04\0\0\x2c\0\0\0\x80\x02\0\0\x13\
\x04\0\0\0\0\0\x08\x33\0\0\0\x25\x04\0\0\x02\0\0\x04\x18\0\0\0\x35\x04\0\0\x34\
\0\0\0\0\0\0\0\x3a\x04\0\0\x44\0\0\0\x40\0\0\0\x3f\x04\0\0\0\0\0\x08\x35\0\0\0\
\x4a\x04\0\0\x01\0\0\x04\x04\0\0\0\0\0\0\0\x36\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\
\x05\x04\0\0\0\x53\x04\0\0\x37\0\0\0\0\0\0\0\x59\x04\0\0\x01\0\0\x04\x04\0\0\0\
\x66\x04\0\0\x38\0\0\0\0\0\0\0\x6f\x04\0\0\0\0\0\x08\x39\0\0\0\x7f\x04\0\0\x01\
\0\0\x04\x04\0\0\0\0\0\0\0\x3a\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x05\x04\0\0\0\x89\
\x04\0\0\x3b\0\0\0\0\0\0\0\0\0\0\0\x3d\0\0\0\0\0\0\0\0\0\0\0\x41\0\0\0\0\0\0\0\
\x8d\x04\0\0\0\0\0\x08\x3c\0\0\0\0\0\0\0\x01\0\0\x04\x04\0\0\0\x96\x04\0\0\x02\
\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\x04\x02\0\0\0\x9e\x04\0\0\x3e\0\0\0\0\0\0\0\xa5\
\x04\0\0\x3e\0\0\0\x08\0\0\0\xad\x04\0\0\0\0\0\x08\x3f\0\0\0\xb0\x04\0\0\0\0\0\
\x08\x40\0\0\0\xb5\x04\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\0\0\0\0\0\x02\0\0\x04\
\x04\0\0\0\xc3\x04\0\0\x42\0\0\0\0\0\0\0\xd2\x04\0\0\x42\0\0\0\x10\0\0\0\xd7\
\x04\0\0\0\0\0\x08\x43\0\0\0\xdb\x04\0\0\0\0\0\x08\x25\0\0\0\xe1\x04\0\0\x02\0\
\0\x04\x10\0\0\0\xeb\x04\0\0\x45\0\0\0\0\0\0\0\xf0\x04\0\0\x45\0\0\0\x40\0\0\0\
\0\0\0\0\0\0\0\x02\x44\0\0\0\0\0\0\0\0\0\0\x02\x4f\0\0\0\xf5\x04\0\0\x02\0\0\
\x04\x10\0\0\0\xeb\x04\0\0\x48\0\0\0\0\0\0\0\x03\x05\0\0\x49\0\0\0\x40\0\0\0\0\
\0\0\0\0\0\0\x02\x47\0\0\0\0\0\0\0\0\0\0\x02\x4a\0\0\0\0\0\0\0\x01\0\0\x0d\0\0\
\0\0\0\0\0\0\x48\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x26\0\0\0\x04\0\0\0\x04\0\0\0\
\x08\x05\0\0\0\0\0\x0e\x4b\0\0\0\x01\0\0\0\x11\x05\0\0\0\0\0\x07\0\0\0\0\x50\
\x03\0\0\0\0\0\x07\0\0\0\0\x1a\x05\0\0\0\0\0\x07\0\0\0\0\x28\x05\0\0\0\0\0\x07\
\0\0\0\0\x2d\x05\0\0\0\0\0\x07\0\0\0\0\xbc\x08\0\0\x01\0\0\x0f\x20\0\0\0\x0f\0\
\0\0\0\0\0\0\x20\0\0\0\xc2\x08\0\0\x01\0\0\x0f\x04\0\0\0\x4c\0\0\0\0\0\0\0\x04\
\0\0\0\0\x69\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\
\x59\x50\x45\x5f\x5f\0\x73\x6f\x63\x6b\x65\x74\x5f\x63\x6f\x6f\x6b\x69\x65\0\
\x63\x6f\x6f\x6b\x69\x65\x5f\x6b\x65\x79\0\x63\x6f\x6f\x6b\x69\x65\x5f\x76\x61\
\x6c\x75\x65\0\x5f\x5f\x75\x36\x34\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\
\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x5f\x5f\x75\x33\x32\0\x75\x6e\x73\x69\x67\
\x6e\x65\x64\x20\x69\x6e\x74\0\x74\x79\x70\x65\0\x6d\x61\x70\x5f\x66\x6c\x61\
\x67\x73\0\x6b\x65\x79\0\x76\x61\x6c\x75\x65\0\x73\x6f\x63\x6b\x65\x74\x5f\x63\
\x6f\x6f\x6b\x69\x65\x73\0\x62\x70\x66\x5f\x73\x6f\x63\x6b\x5f\x61\x64\x64\x72\
\0\x75\x73\x65\x72\x5f\x66\x61\x6d\x69\x6c\x79\0\x75\x73\x65\x72\x5f\x69\x70\
\x34\0\x75\x73\x65\x72\x5f\x69\x70\x36\0\x75\x73\x65\x72\x5f\x70\x6f\x72\x74\0\
\x66\x61\x6d\x69\x6c\x79\0\x70\x72\x6f\x74\x6f\x63\x6f\x6c\0\x6d\x73\x67\x5f\
\x73\x72\x63\x5f\x69\x70\x34\0\x6d\x73\x67\x5f\x73\x72\x63\x5f\x69\x70\x36\0\
\x73\x6b\0\x63\x74\x78\0\x73\x65\x74\x5f\x63\x6f\x6f\x6b\x69\x65\0\x62\x70\x66\
\x5f\x73\x6f\x63\x6b\x5f\x6f\x70\x73\0\x6f\x70\0\x72\x65\x6d\x6f\x74\x65\x5f\
\x69\x70\x34\0\x6c\x6f\x63\x61\x6c\x5f\x69\x70\x34\0\x72\x65\x6d\x6f\x74\x65\
\x5f\x69\x70\x36\0\x6c\x6f\x63\x61\x6c\x5f\x69\x70\x36\0\x72\x65\x6d\x6f\x74\
\x65\x5f\x70\x6f\x72\x74\0\x6c\x6f\x63\x61\x6c\x5f\x70\x6f\x72\x74\0\x69\x73\
\x5f\x66\x75\x6c\x6c\x73\x6f\x63\x6b\0\x73\x6e\x64\x5f\x63\x77\x6e\x64\0\x73\
\x72\x74\x74\x5f\x75\x73\0\x62\x70\x66\x5f\x73\x6f\x63\x6b\x5f\x6f\x70\x73\x5f\
\x63\x62\x5f\x66\x6c\x61\x67\x73\0\x73\x74\x61\x74\x65\0\x72\x74\x74\x5f\x6d\
\x69\x6e\0\x73\x6e\x64\x5f\x73\x73\x74\x68\x72\x65\x73\x68\0\x72\x63\x76\x5f\
\x6e\x78\x74\0\x73\x6e\x64\x5f\x6e\x78\x74\0\x73\x6e\x64\x5f\x75\x6e\x61\0\x6d\
\x73\x73\x5f\x63\x61\x63\x68\x65\0\x65\x63\x6e\x5f\x66\x6c\x61\x67\x73\0\x72\
\x61\x74\x65\x5f\x64\x65\x6c\x69\x76\x65\x72\x65\x64\0\x72\x61\x74\x65\x5f\x69\
\x6e\x74\x65\x72\x76\x61\x6c\x5f\x75\x73\0\x70\x61\x63\x6b\x65\x74\x73\x5f\x6f\
\x75\x74\0\x72\x65\x74\x72\x61\x6e\x73\x5f\x6f\x75\x74\0\x74\x6f\x74\x61\x6c\
\x5f\x72\x65\x74\x72\x61\x6e\x73\0\x73\x65\x67\x73\x5f\x69\x6e\0\x64\x61\x74\
\x61\x5f\x73\x65\x67\x73\x5f\x69\x6e\0\x73\x65\x67\x73\x5f\x6f\x75\x74\0\x64\
\x61\x74\x61\x5f\x73\x65\x67\x73\x5f\x6f\x75\x74\0\x6c\x6f\x73\x74\x5f\x6f\x75\
\x74\0\x73\x61\x63\x6b\x65\x64\x5f\x6f\x75\x74\0\x73\x6b\x5f\x74\x78\x68\x61\
\x73\x68\0\x62\x79\x74\x65\x73\x5f\x72\x65\x63\x65\x69\x76\x65\x64\0\x62\x79\
\x74\x65\x73\x5f\x61\x63\x6b\x65\x64\0\x73\x6b\x62\x5f\x6c\x65\x6e\0\x73\x6b\
\x62\x5f\x74\x63\x70\x5f\x66\x6c\x61\x67\x73\0\x73\x6b\x62\x5f\x68\x77\x74\x73\
\x74\x61\x6d\x70\0\x61\x72\x67\x73\0\x72\x65\x70\x6c\x79\0\x72\x65\x70\x6c\x79\
\x6c\x6f\x6e\x67\0\x73\x6b\x62\x5f\x64\x61\x74\x61\0\x73\x6b\x62\x5f\x64\x61\
\x74\x61\x5f\x65\x6e\x64\0\x75\x70\x64\x61\x74\x65\x5f\x63\x6f\x6f\x6b\x69\x65\
\x5f\x73\x6f\x63\x6b\x6f\x70\x73\0\x75\x70\x64\x61\x74\x65\x5f\x63\x6f\x6f\x6b\
\x69\x65\x5f\x74\x72\x61\x63\x69\x6e\x67\0\x73\x6f\x63\x6b\x61\x64\x64\x72\0\
\x73\x61\x5f\x66\x61\x6d\x69\x6c\x79\0\x73\x61\x5f\x64\x61\x74\x61\0\x73\x61\
\x5f\x66\x61\x6d\x69\x6c\x79\x5f\x74\0\x5f\x5f\x6b\x65\x72\x6e\x65\x6c\x5f\x73\
\x61\x5f\x66\x61\x6d\x69\x6c\x79\x5f\x74\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\
\x73\x68\x6f\x72\x74\0\x63\x68\x61\x72\0\x73\x6f\x63\x6b\x65\x74\0\x66\x6c\x61\
\x67\x73\0\x66\x69\x6c\x65\0\x6f\x70\x73\0\x77\x71\0\x73\x6f\x63\x6b\x65\x74\
\x5f\x73\x74\x61\x74\x65\0\x53\x53\x5f\x46\x52\x45\x45\0\x53\x53\x5f\x55\x4e\
\x43\x4f\x4e\x4e\x45\x43\x54\x45\x44\0\x53\x53\x5f\x43\x4f\x4e\x4e\x45\x43\x54\
\x49\x4e\x47\0\x53\x53\x5f\x43\x4f\x4e\x4e\x45\x43\x54\x45\x44\0\x53\x53\x5f\
\x44\x49\x53\x43\x4f\x4e\x4e\x45\x43\x54\x49\x4e\x47\0\x73\x68\x6f\x72\x74\0\
\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\0\x73\x6f\x63\x6b\x65\x74\
\x5f\x77\x71\0\x77\x61\x69\x74\0\x66\x61\x73\x79\x6e\x63\x5f\x6c\x69\x73\x74\0\
\x72\x63\x75\0\x72\x68\x5f\x72\x65\x73\x65\x72\x76\x65\x64\x31\0\x72\x68\x5f\
\x72\x65\x73\x65\x72\x76\x65\x64\x32\0\x72\x68\x5f\x72\x65\x73\x65\x72\x76\x65\
\x64\x33\0\x72\x68\x5f\x72\x65\x73\x65\x72\x76\x65\x64\x34\0\x77\x61\x69\x74\
\x5f\x71\x75\x65\x75\x65\x5f\x68\x65\x61\x64\x5f\x74\0\x77\x61\x69\x74\x5f\x71\
\x75\x65\x75\x65\x5f\x68\x65\x61\x64\0\x6c\x6f\x63\x6b\0\x68\x65\x61\x64\0\x73\
\x70\x69\x6e\x6c\x6f\x63\x6b\x5f\x74\0\x73\x70\x69\x6e\x6c\x6f\x63\x6b\0\x72\
\x6c\x6f\x63\x6b\0\x72\x61\x77\x5f\x73\x70\x69\x6e\x6c\x6f\x63\x6b\0\x72\x61\
\x77\x5f\x6c\x6f\x63\x6b\0\x61\x72\x63\x68\x5f\x73\x70\x69\x6e\x6c\x6f\x63\x6b\
\x5f\x74\0\x71\x73\x70\x69\x6e\x6c\x6f\x63\x6b\0\x76\x61\x6c\0\x61\x74\x6f\x6d\
\x69\x63\x5f\x74\0\x63\x6f\x75\x6e\x74\x65\x72\0\x6c\x6f\x63\x6b\x65\x64\0\x70\
\x65\x6e\x64\x69\x6e\x67\0\x75\x38\0\x5f\x5f\x75\x38\0\x75\x6e\x73\x69\x67\x6e\
\x65\x64\x20\x63\x68\x61\x72\0\x6c\x6f\x63\x6b\x65\x64\x5f\x70\x65\x6e\x64\x69\
\x6e\x67\0\x74\x61\x69\x6c\0\x75\x31\x36\0\x5f\x5f\x75\x31\x36\0\x6c\x69\x73\
\x74\x5f\x68\x65\x61\x64\0\x6e\x65\x78\x74\0\x70\x72\x65\x76\0\x63\x61\x6c\x6c\
\x62\x61\x63\x6b\x5f\x68\x65\x61\x64\0\x66\x75\x6e\x63\0\x5f\x6c\x69\x63\x65\
\x6e\x73\x65\0\x62\x70\x66\x5f\x73\x6f\x63\x6b\0\x66\x61\x73\x79\x6e\x63\x5f\
\x73\x74\x72\x75\x63\x74\0\x73\x6f\x63\x6b\0\x70\x72\x6f\x74\x6f\x5f\x6f\x70\
\x73\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\
\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\
\x37\x30\x2e\x32\x38\x2e\x31\x2e\x65\x6c\x39\x5f\x36\x2f\x6c\x69\x6e\x75\x78\
\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x37\x30\x2e\x32\x38\x2e\x31\x2e\x65\x6c\
\x39\x5f\x36\x2e\x78\x38\x36\x5f\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\
\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\
\x2f\x70\x72\x6f\x67\x73\x2f\x73\x6f\x63\x6b\x65\x74\x5f\x63\x6f\x6f\x6b\x69\
\x65\x5f\x70\x72\x6f\x67\x2e\x63\0\x09\x69\x66\x20\x28\x63\x74\x78\x2d\x3e\x66\
\x61\x6d\x69\x6c\x79\x20\x21\x3d\x20\x41\x46\x5f\x49\x4e\x45\x54\x36\x20\x7c\
\x7c\x20\x63\x74\x78\x2d\x3e\x75\x73\x65\x72\x5f\x66\x61\x6d\x69\x6c\x79\x20\
\x21\x3d\x20\x41\x46\x5f\x49\x4e\x45\x54\x36\x29\0\x09\x70\x20\x3d\x20\x62\x70\
\x66\x5f\x73\x6b\x5f\x73\x74\x6f\x72\x61\x67\x65\x5f\x67\x65\x74\x28\x26\x73\
\x6f\x63\x6b\x65\x74\x5f\x63\x6f\x6f\x6b\x69\x65\x73\x2c\x20\x63\x74\x78\x2d\
\x3e\x73\x6b\x2c\x20\x30\x2c\0\x09\x69\x66\x20\x28\x21\x70\x29\0\x09\x70\x2d\
\x3e\x63\x6f\x6f\x6b\x69\x65\x5f\x76\x61\x6c\x75\x65\x20\x3d\x20\x30\x78\x46\
\x3b\0\x09\x70\x2d\x3e\x63\x6f\x6f\x6b\x69\x65\x5f\x6b\x65\x79\x20\x3d\x20\x62\
\x70\x66\x5f\x67\x65\x74\x5f\x73\x6f\x63\x6b\x65\x74\x5f\x63\x6f\x6f\x6b\x69\
\x65\x28\x63\x74\x78\x29\x3b\0\x7d\0\x69\x6e\x74\x20\x75\x70\x64\x61\x74\x65\
\x5f\x63\x6f\x6f\x6b\x69\x65\x5f\x73\x6f\x63\x6b\x6f\x70\x73\x28\x73\x74\x72\
\x75\x63\x74\x20\x62\x70\x66\x5f\x73\x6f\x63\x6b\x5f\x6f\x70\x73\x20\x2a\x63\
\x74\x78\x29\0\x09\x73\x74\x72\x75\x63\x74\x20\x62\x70\x66\x5f\x73\x6f\x63\x6b\
\x20\x2a\x73\x6b\x20\x3d\x20\x63\x74\x78\x2d\x3e\x73\x6b\x3b\0\x09\x69\x66\x20\
\x28\x63\x74\x78\x2d\x3e\x66\x61\x6d\x69\x6c\x79\x20\x21\x3d\x20\x41\x46\x5f\
\x49\x4e\x45\x54\x36\x29\0\x09\x69\x66\x20\x28\x63\x74\x78\x2d\x3e\x6f\x70\x20\
\x21\x3d\x20\x42\x50\x46\x5f\x53\x4f\x43\x4b\x5f\x4f\x50\x53\x5f\x54\x43\x50\
\x5f\x43\x4f\x4e\x4e\x45\x43\x54\x5f\x43\x42\x29\0\x09\x70\x20\x3d\x20\x62\x70\
\x66\x5f\x73\x6b\x5f\x73\x74\x6f\x72\x61\x67\x65\x5f\x67\x65\x74\x28\x26\x73\
\x6f\x63\x6b\x65\x74\x5f\x63\x6f\x6f\x6b\x69\x65\x73\x2c\x20\x73\x6b\x2c\x20\
\x30\x2c\x20\x30\x29\x3b\0\x09\x69\x66\x20\x28\x70\x2d\x3e\x63\x6f\x6f\x6b\x69\
\x65\x5f\x6b\x65\x79\x20\x21\x3d\x20\x62\x70\x66\x5f\x67\x65\x74\x5f\x73\x6f\
\x63\x6b\x65\x74\x5f\x63\x6f\x6f\x6b\x69\x65\x28\x63\x74\x78\x29\x29\0\x09\x70\
\x2d\x3e\x63\x6f\x6f\x6b\x69\x65\x5f\x76\x61\x6c\x75\x65\x20\x7c\x3d\x20\x28\
\x63\x74\x78\x2d\x3e\x6c\x6f\x63\x61\x6c\x5f\x70\x6f\x72\x74\x20\x3c\x3c\x20\
\x38\x29\x3b\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\x75\x70\x64\
\x61\x74\x65\x5f\x63\x6f\x6f\x6b\x69\x65\x5f\x74\x72\x61\x63\x69\x6e\x67\x2c\
\x20\x73\x74\x72\x75\x63\x74\x20\x73\x6f\x63\x6b\x65\x74\x20\x2a\x73\x6f\x63\
\x6b\x2c\0\x09\x69\x66\x20\x28\x75\x61\x64\x64\x72\x2d\x3e\x73\x61\x5f\x66\x61\
\x6d\x69\x6c\x79\x20\x21\x3d\x20\x41\x46\x5f\x49\x4e\x45\x54\x36\x29\0\x09\x70\
\x20\x3d\x20\x62\x70\x66\x5f\x73\x6b\x5f\x73\x74\x6f\x72\x61\x67\x65\x5f\x67\
\x65\x74\x28\x26\x73\x6f\x63\x6b\x65\x74\x5f\x63\x6f\x6f\x6b\x69\x65\x73\x2c\
\x20\x73\x6f\x63\x6b\x2d\x3e\x73\x6b\x2c\x20\x30\x2c\x20\x30\x29\x3b\0\x09\x69\
\x66\x20\x28\x70\x2d\x3e\x63\x6f\x6f\x6b\x69\x65\x5f\x6b\x65\x79\x20\x21\x3d\
\x20\x62\x70\x66\x5f\x67\x65\x74\x5f\x73\x6f\x63\x6b\x65\x74\x5f\x63\x6f\x6f\
\x6b\x69\x65\x28\x73\x6f\x63\x6b\x2d\x3e\x73\x6b\x29\x29\0\x09\x70\x2d\x3e\x63\
\x6f\x6f\x6b\x69\x65\x5f\x76\x61\x6c\x75\x65\x20\x7c\x3d\x20\x30\x78\x46\x30\
\x3b\0\x30\x3a\x34\0\x30\x3a\x30\0\x30\x3a\x39\x3a\x30\0\x30\x3a\x33\x35\x3a\
\x30\0\x30\x3a\x32\0\x30\x3a\x38\0\x2e\x6d\x61\x70\x73\0\x6c\x69\x63\x65\x6e\
\x73\x65\0\x63\x67\x72\x6f\x75\x70\x2f\x63\x6f\x6e\x6e\x65\x63\x74\x36\0\x73\
\x6f\x63\x6b\x6f\x70\x73\0\x66\x65\x78\x69\x74\x2f\x69\x6e\x65\x74\x5f\x73\x74\
\x72\x65\x61\x6d\x5f\x63\x6f\x6e\x6e\x65\x63\x74\0\x9f\xeb\x01\0\x20\0\0\0\0\0\
\0\0\x34\0\0\0\x34\0\0\0\x8c\x02\0\0\xc0\x02\0\0\xbc\0\0\0\x08\0\0\0\xca\x08\0\
\0\x01\0\0\0\0\0\0\0\x16\0\0\0\xda\x08\0\0\x01\0\0\0\0\0\0\0\x1e\0\0\0\xe2\x08\
\0\0\x01\0\0\0\0\0\0\0\x21\0\0\0\x10\0\0\0\xca\x08\0\0\x0b\0\0\0\0\0\0\0\x37\
\x05\0\0\xc4\x05\0\0\x0b\x94\0\0\x08\0\0\0\x37\x05\0\0\xc4\x05\0\0\x1e\x94\0\0\
\x10\0\0\0\x37\x05\0\0\xc4\x05\0\0\x26\x94\0\0\x18\0\0\0\x37\x05\0\0\xc4\x05\0\
\0\x06\x94\0\0\x20\0\0\0\x37\x05\0\0\x02\x06\0\0\x2f\xa0\0\0\x30\0\0\0\x37\x05\
\0\0\x02\x06\0\0\x06\xa0\0\0\x60\0\0\0\x37\x05\0\0\x37\x06\0\0\x06\xa8\0\0\x70\
\0\0\0\x37\x05\0\0\x40\x06\0\0\x12\xb4\0\0\x80\0\0\0\x37\x05\0\0\x58\x06\0\0\
\x12\xb8\0\0\x88\0\0\0\x37\x05\0\0\x58\x06\0\0\x10\xb8\0\0\x90\0\0\0\x37\x05\0\
\0\x85\x06\0\0\x01\xc4\0\0\xda\x08\0\0\x0f\0\0\0\0\0\0\0\x37\x05\0\0\x87\x06\0\
\0\0\xd0\0\0\x08\0\0\0\x37\x05\0\0\xbb\x06\0\0\x1d\xd8\0\0\x10\0\0\0\x37\x05\0\
\0\xdb\x06\0\0\x0b\xe4\0\0\x18\0\0\0\x37\x05\0\0\xdb\x06\0\0\x06\xe4\0\0\x20\0\
\0\0\x37\x05\0\0\xf9\x06\0\0\x0b\xf0\0\0\x28\0\0\0\x37\x05\0\0\xf9\x06\0\0\x06\
\xf0\0\0\x38\0\0\0\x37\x05\0\0\x26\x07\0\0\x06\x08\x01\0\x68\0\0\0\x37\x05\0\0\
\x37\x06\0\0\x06\x0c\x01\0\x70\0\0\0\x37\x05\0\0\x5a\x07\0\0\x09\x18\x01\0\x78\
\0\0\0\x37\x05\0\0\x5a\x07\0\0\x17\x18\x01\0\x88\0\0\0\x37\x05\0\0\x5a\x07\0\0\
\x06\x18\x01\0\x90\0\0\0\x37\x05\0\0\x8c\x07\0\0\x1b\x24\x01\0\x98\0\0\0\x37\
\x05\0\0\x8c\x07\0\0\x26\x24\x01\0\xa0\0\0\0\x37\x05\0\0\x8c\x07\0\0\x12\x24\
\x01\0\xb8\0\0\0\x37\x05\0\0\x85\x06\0\0\x01\x30\x01\0\xe2\x08\0\0\x0d\0\0\0\0\
\0\0\0\x37\x05\0\0\xb8\x07\0\0\x05\x3c\x01\0\x08\0\0\0\x37\x05\0\0\xf1\x07\0\0\
\x0d\x50\x01\0\x10\0\0\0\x37\x05\0\0\xf1\x07\0\0\x06\x50\x01\0\x18\0\0\0\x37\
\x05\0\0\xb8\x07\0\0\x05\x3c\x01\0\x20\0\0\0\x37\x05\0\0\x14\x08\0\0\x30\x5c\
\x01\0\x28\0\0\0\x37\x05\0\0\x14\x08\0\0\x06\x5c\x01\0\x58\0\0\0\x37\x05\0\0\
\x37\x06\0\0\x06\x60\x01\0\x60\0\0\0\x37\x05\0\0\x4e\x08\0\0\x33\x6c\x01\0\x68\
\0\0\0\x37\x05\0\0\x4e\x08\0\0\x09\x6c\x01\0\x70\0\0\0\x37\x05\0\0\x4e\x08\0\0\
\x17\x6c\x01\0\x78\0\0\0\x37\x05\0\0\x4e\x08\0\0\x06\x6c\x01\0\x80\0\0\0\x37\
\x05\0\0\x85\x08\0\0\x12\x78\x01\0\x98\0\0\0\x37\x05\0\0\xb8\x07\0\0\x05\x3c\
\x01\0\x10\0\0\0\xca\x08\0\0\x03\0\0\0\0\0\0\0\x11\0\0\0\x9f\x08\0\0\0\0\0\0\
\x10\0\0\0\x11\0\0\0\xa3\x08\0\0\0\0\0\0\x20\0\0\0\x11\0\0\0\xa7\x08\0\0\0\0\0\
\0\xda\x08\0\0\x04\0\0\0\x08\0\0\0\x18\0\0\0\xad\x08\0\0\0\0\0\0\x10\0\0\0\x18\
\0\0\0\xb4\x08\0\0\0\0\0\0\x20\0\0\0\x18\0\0\0\xa3\x08\0\0\0\0\0\0\x90\0\0\0\
\x18\0\0\0\xb8\x08\0\0\0\0\0\0\xe2\x08\0\0\x03\0\0\0\x08\0\0\0\x22\0\0\0\xa3\
\x08\0\0\0\0\0\0\x20\0\0\0\x28\0\0\0\x9f\x08\0\0\0\0\0\0\x60\0\0\0\x28\0\0\0\
\x9f\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x01\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\
\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x48\x01\0\0\0\0\0\0\xf0\0\0\0\0\0\0\
\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\
\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x38\x02\0\0\0\0\0\0\xa0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x21\0\0\0\x01\0\0\0\x06\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\xd8\x02\0\0\0\0\0\0\xc8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x29\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\xa0\x03\0\0\0\0\0\0\xa8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x43\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x48\x04\
\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x49\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x68\x04\0\0\0\0\0\0\
\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb5\0\0\0\
\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x70\x04\0\0\0\0\0\0\x10\0\0\0\0\0\
\0\0\x02\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xc9\0\0\0\x09\0\0\
\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x80\x04\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x02\
\0\0\0\x04\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xd5\0\0\0\x09\0\0\0\x40\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x90\x04\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x02\0\0\0\
\x05\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xf3\0\0\0\x01\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\xa0\x04\0\0\0\0\0\0\x58\x12\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf8\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\xf8\x16\0\0\0\0\0\0\x9c\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct socket_cookie_prog *socket_cookie_prog::open(const struct bpf_object_open_opts *opts) { return socket_cookie_prog__open_opts(opts); }
struct socket_cookie_prog *socket_cookie_prog::open_and_load() { return socket_cookie_prog__open_and_load(); }
int socket_cookie_prog::load(struct socket_cookie_prog *skel) { return socket_cookie_prog__load(skel); }
int socket_cookie_prog::attach(struct socket_cookie_prog *skel) { return socket_cookie_prog__attach(skel); }
void socket_cookie_prog::detach(struct socket_cookie_prog *skel) { socket_cookie_prog__detach(skel); }
void socket_cookie_prog::destroy(struct socket_cookie_prog *skel) { socket_cookie_prog__destroy(skel); }
const void *socket_cookie_prog::elf_bytes(size_t *sz) { return socket_cookie_prog__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
socket_cookie_prog__assert(struct socket_cookie_prog *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __SOCKET_COOKIE_PROG_SKEL_H__ */
