/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __TAILCALL_POKE_SKEL_H__
#define __TAILCALL_POKE_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct tailcall_poke {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *jmp_table;
	} maps;
	struct {
		struct bpf_program *test;
		struct bpf_program *call1;
		struct bpf_program *call2;
	} progs;
	struct {
		struct bpf_link *test;
		struct bpf_link *call1;
		struct bpf_link *call2;
	} links;

#ifdef __cplusplus
	static inline struct tailcall_poke *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct tailcall_poke *open_and_load();
	static inline int load(struct tailcall_poke *skel);
	static inline int attach(struct tailcall_poke *skel);
	static inline void detach(struct tailcall_poke *skel);
	static inline void destroy(struct tailcall_poke *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
tailcall_poke__destroy(struct tailcall_poke *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
tailcall_poke__create_skeleton(struct tailcall_poke *obj);

static inline struct tailcall_poke *
tailcall_poke__open_opts(const struct bpf_object_open_opts *opts)
{
	struct tailcall_poke *obj;
	int err;

	obj = (struct tailcall_poke *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = tailcall_poke__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	tailcall_poke__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct tailcall_poke *
tailcall_poke__open(void)
{
	return tailcall_poke__open_opts(NULL);
}

static inline int
tailcall_poke__load(struct tailcall_poke *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct tailcall_poke *
tailcall_poke__open_and_load(void)
{
	struct tailcall_poke *obj;
	int err;

	obj = tailcall_poke__open();
	if (!obj)
		return NULL;
	err = tailcall_poke__load(obj);
	if (err) {
		tailcall_poke__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
tailcall_poke__attach(struct tailcall_poke *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
tailcall_poke__detach(struct tailcall_poke *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *tailcall_poke__elf_bytes(size_t *sz);

static inline int
tailcall_poke__create_skeleton(struct tailcall_poke *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "tailcall_poke";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "jmp_table";
	map->map = &obj->maps.jmp_table;

	/* programs */
	s->prog_cnt = 3;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "test";
	s->progs[0].prog = &obj->progs.test;
	s->progs[0].link = &obj->links.test;

	s->progs[1].name = "call1";
	s->progs[1].prog = &obj->progs.call1;
	s->progs[1].link = &obj->links.call1;

	s->progs[2].name = "call2";
	s->progs[2].prog = &obj->progs.call2;
	s->progs[2].link = &obj->links.call2;

	s->data = tailcall_poke__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *tailcall_poke__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x10\x07\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0a\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x3f\x66\
\x65\x6e\x74\x72\x79\x2f\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\
\x73\x74\x31\0\x66\x65\x6e\x74\x72\x79\x2f\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\
\x79\x5f\x74\x65\x73\x74\x31\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x6d\x61\x70\
\x73\0\x74\x61\x69\x6c\x63\x61\x6c\x6c\x5f\x70\x6f\x6b\x65\x2e\x63\0\x74\x65\
\x73\x74\0\x6a\x6d\x70\x5f\x74\x61\x62\x6c\x65\0\x63\x61\x6c\x6c\x31\0\x63\x61\
\x6c\x6c\x32\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x3f\x66\x65\
\x6e\x74\x72\x79\x2f\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\
\x74\x31\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x50\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\
\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x60\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\
\x48\0\0\0\0\0\0\0\x65\0\0\0\x11\0\x06\0\0\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x6f\
\0\0\0\x12\0\x04\0\0\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x75\0\0\0\x12\0\x04\0\x10\
\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x7b\0\0\0\x11\0\x05\0\0\0\0\0\0\0\0\0\x04\0\0\
\0\0\0\0\0\xbf\x16\0\0\0\0\0\0\x18\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xbf\x61\0\0\
\0\0\0\0\xbf\x72\0\0\0\0\0\0\xb7\x03\0\0\0\0\0\0\x85\0\0\0\x0c\0\0\0\xb4\0\0\0\
\0\0\0\0\x95\0\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb4\0\0\0\0\0\0\
\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x01\0\0\0\x05\0\0\0\x9f\xeb\x01\
\0\x18\0\0\0\0\0\0\0\x94\x01\0\0\x94\x01\0\0\x47\x02\0\0\0\0\0\0\0\0\0\x02\x03\
\0\0\0\x01\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x02\
\0\0\0\x04\0\0\0\x03\0\0\0\x05\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\
\0\x02\x06\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x01\0\0\0\0\0\0\
\0\0\0\0\x02\x08\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x04\0\0\0\
\0\0\0\0\x04\0\0\x04\x20\0\0\0\x19\0\0\0\x01\0\0\0\0\0\0\0\x1e\0\0\0\x05\0\0\0\
\x40\0\0\0\x2a\0\0\0\x07\0\0\0\x80\0\0\0\x33\0\0\0\x07\0\0\0\xc0\0\0\0\x3e\0\0\
\0\0\0\0\x0e\x09\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x0c\0\0\0\x48\0\0\0\0\0\0\
\x01\x08\0\0\0\x40\0\0\0\0\0\0\0\x01\0\0\x0d\x02\0\0\0\x5b\0\0\0\x0b\0\0\0\x5f\
\0\0\0\x01\0\0\x0c\x0d\0\0\0\x64\0\0\0\x01\0\0\x0c\x0d\0\0\0\x6a\0\0\0\x01\0\0\
\x0c\x0d\0\0\0\x70\0\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\
\0\0\x11\0\0\0\x04\0\0\0\x04\0\0\0\x75\0\0\0\0\0\0\x0e\x12\0\0\0\x01\0\0\0\x08\
\x02\0\0\x01\0\0\x0f\x04\0\0\0\x13\0\0\0\0\0\0\0\x04\0\0\0\x10\x02\0\0\x01\0\0\
\x0f\x20\0\0\0\x0a\0\0\0\0\0\0\0\x20\0\0\0\0\x69\x6e\x74\0\x5f\x5f\x41\x52\x52\
\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x74\x79\x70\x65\0\
\x6d\x61\x78\x5f\x65\x6e\x74\x72\x69\x65\x73\0\x6b\x65\x79\x5f\x73\x69\x7a\x65\
\0\x76\x61\x6c\x75\x65\x5f\x73\x69\x7a\x65\0\x6a\x6d\x70\x5f\x74\x61\x62\x6c\
\x65\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\
\0\x63\x74\x78\0\x74\x65\x73\x74\0\x63\x61\x6c\x6c\x31\0\x63\x61\x6c\x6c\x32\0\
\x63\x68\x61\x72\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2f\x62\x75\x69\x6c\x64\
\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\
\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x37\x30\x2e\x32\x38\x2e\x31\
\x2e\x65\x6c\x39\x5f\x36\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\
\x2d\x35\x37\x30\x2e\x32\x38\x2e\x31\x2e\x65\x6c\x39\x5f\x36\x2e\x78\x38\x36\
\x5f\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\
\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\
\x74\x61\x69\x6c\x63\x61\x6c\x6c\x5f\x70\x6f\x6b\x65\x2e\x63\0\x69\x6e\x74\x20\
\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\x74\x65\x73\x74\x2c\x20\x69\x6e\x74\x20\
\x61\x29\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\
\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\
\x35\x37\x30\x2e\x32\x38\x2e\x31\x2e\x65\x6c\x39\x5f\x36\x2f\x6c\x69\x6e\x75\
\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x37\x30\x2e\x32\x38\x2e\x31\x2e\x65\
\x6c\x39\x5f\x36\x2e\x78\x38\x36\x5f\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\
\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\
\x66\x2f\x74\x6f\x6f\x6c\x73\x2f\x69\x6e\x63\x6c\x75\x64\x65\x2f\x62\x70\x66\
\x2f\x62\x70\x66\x5f\x68\x65\x6c\x70\x65\x72\x73\x2e\x68\0\x09\x61\x73\x6d\x20\
\x76\x6f\x6c\x61\x74\x69\x6c\x65\x28\x22\x72\x31\x20\x3d\x20\x25\x5b\x63\x74\
\x78\x5d\x5c\x6e\x5c\x74\x22\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\
\x28\x63\x61\x6c\x6c\x31\x2c\x20\x69\x6e\x74\x20\x61\x29\0\x69\x6e\x74\x20\x42\
\x50\x46\x5f\x50\x52\x4f\x47\x28\x63\x61\x6c\x6c\x32\x2c\x20\x69\x6e\x74\x20\
\x61\x29\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x6d\x61\x70\x73\0\x3f\x66\x65\x6e\
\x74\x72\x79\x2f\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\x74\x65\x73\x74\
\x31\0\x66\x65\x6e\x74\x72\x79\x2f\x62\x70\x66\x5f\x66\x65\x6e\x74\x72\x79\x5f\
\x74\x65\x73\x74\x31\0\0\0\0\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x2c\0\0\0\x2c\
\0\0\0\x64\0\0\0\x90\0\0\0\0\0\0\0\x08\0\0\0\x16\x02\0\0\x01\0\0\0\0\0\0\0\x0e\
\0\0\0\x2f\x02\0\0\x02\0\0\0\0\0\0\0\x0f\0\0\0\x10\0\0\0\x10\0\0\0\x10\0\0\0\
\x16\x02\0\0\x03\0\0\0\0\0\0\0\x7e\0\0\0\x06\x01\0\0\0\x40\0\0\x08\0\0\0\x20\
\x01\0\0\xb2\x01\0\0\x02\x84\x02\0\x38\0\0\0\x7e\0\0\0\x06\x01\0\0\x05\x40\0\0\
\x2f\x02\0\0\x02\0\0\0\0\0\0\0\x7e\0\0\0\xd2\x01\0\0\x05\x5c\0\0\x10\0\0\0\x7e\
\0\0\0\xed\x01\0\0\x05\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\xaf\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf0\0\0\0\0\0\0\0\xd8\0\0\0\0\0\0\0\x01\
\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\xc8\x01\0\0\0\0\0\0\x48\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x2a\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x10\x02\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x42\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x30\x02\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x4a\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x38\x02\0\0\0\
\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x84\
\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x58\x02\0\0\0\0\0\0\x10\0\0\
\0\0\0\0\0\x02\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xa1\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x68\x02\0\0\0\0\0\0\xf3\x03\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa6\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x60\x06\0\0\0\0\0\0\xb0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct tailcall_poke *tailcall_poke::open(const struct bpf_object_open_opts *opts) { return tailcall_poke__open_opts(opts); }
struct tailcall_poke *tailcall_poke::open_and_load() { return tailcall_poke__open_and_load(); }
int tailcall_poke::load(struct tailcall_poke *skel) { return tailcall_poke__load(skel); }
int tailcall_poke::attach(struct tailcall_poke *skel) { return tailcall_poke__attach(skel); }
void tailcall_poke::detach(struct tailcall_poke *skel) { tailcall_poke__detach(skel); }
void tailcall_poke::destroy(struct tailcall_poke *skel) { tailcall_poke__destroy(skel); }
const void *tailcall_poke::elf_bytes(size_t *sz) { return tailcall_poke__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
tailcall_poke__assert(struct tailcall_poke *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __TAILCALL_POKE_SKEL_H__ */
