/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __TEST_BUILD_ID_SKEL_H__
#define __TEST_BUILD_ID_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct test_build_id {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *uprobe_nofault;
		struct bpf_program *uprobe_sleepable;
	} progs;
	struct {
		struct bpf_link *uprobe_nofault;
		struct bpf_link *uprobe_sleepable;
	} links;
	struct test_build_id__bss {
		struct bpf_stack_build_id stack_nofault[128];
		int res_nofault;
		char __pad0[4];
		struct bpf_stack_build_id stack_sleepable[128];
		int res_sleepable;
	} *bss;

#ifdef __cplusplus
	static inline struct test_build_id *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct test_build_id *open_and_load();
	static inline int load(struct test_build_id *skel);
	static inline int attach(struct test_build_id *skel);
	static inline void detach(struct test_build_id *skel);
	static inline void destroy(struct test_build_id *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
test_build_id__destroy(struct test_build_id *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_build_id__create_skeleton(struct test_build_id *obj);

static inline struct test_build_id *
test_build_id__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_build_id *obj;
	int err;

	obj = (struct test_build_id *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = test_build_id__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	test_build_id__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct test_build_id *
test_build_id__open(void)
{
	return test_build_id__open_opts(NULL);
}

static inline int
test_build_id__load(struct test_build_id *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_build_id *
test_build_id__open_and_load(void)
{
	struct test_build_id *obj;
	int err;

	obj = test_build_id__open();
	if (!obj)
		return NULL;
	err = test_build_id__load(obj);
	if (err) {
		test_build_id__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
test_build_id__attach(struct test_build_id *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_build_id__detach(struct test_build_id *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *test_build_id__elf_bytes(size_t *sz);

static inline int
test_build_id__create_skeleton(struct test_build_id *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "test_build_id";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "test_bui.bss";
	map->map = &obj->maps.bss;
	map->mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 2;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "uprobe_nofault";
	s->progs[0].prog = &obj->progs.uprobe_nofault;
	s->progs[0].link = &obj->links.uprobe_nofault;

	s->progs[1].name = "uprobe_sleepable";
	s->progs[1].prog = &obj->progs.uprobe_sleepable;
	s->progs[1].link = &obj->links.uprobe_sleepable;

	s->data = test_build_id__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *test_build_id__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xf0\x09\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0b\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x75\x70\
\x72\x6f\x62\x65\x2e\x6d\x75\x6c\x74\x69\x2f\x2e\x2f\x75\x70\x72\x6f\x62\x65\
\x5f\x6d\x75\x6c\x74\x69\x3a\x75\x70\x72\x6f\x62\x65\0\x75\x70\x72\x6f\x62\x65\
\x2e\x6d\x75\x6c\x74\x69\x2e\x73\x2f\x2e\x2f\x75\x70\x72\x6f\x62\x65\x5f\x6d\
\x75\x6c\x74\x69\x3a\x75\x70\x72\x6f\x62\x65\0\x2e\x62\x73\x73\0\x6c\x69\x63\
\x65\x6e\x73\x65\0\x74\x65\x73\x74\x5f\x62\x75\x69\x6c\x64\x5f\x69\x64\x2e\x63\
\0\x75\x70\x72\x6f\x62\x65\x5f\x6e\x6f\x66\x61\x75\x6c\x74\0\x73\x74\x61\x63\
\x6b\x5f\x6e\x6f\x66\x61\x75\x6c\x74\0\x72\x65\x73\x5f\x6e\x6f\x66\x61\x75\x6c\
\x74\0\x75\x70\x72\x6f\x62\x65\x5f\x73\x6c\x65\x65\x70\x61\x62\x6c\x65\0\x73\
\x74\x61\x63\x6b\x5f\x73\x6c\x65\x65\x70\x61\x62\x6c\x65\0\x72\x65\x73\x5f\x73\
\x6c\x65\x65\x70\x61\x62\x6c\x65\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\
\x65\x6c\x75\x70\x72\x6f\x62\x65\x2e\x6d\x75\x6c\x74\x69\x2f\x2e\x2f\x75\x70\
\x72\x6f\x62\x65\x5f\x6d\x75\x6c\x74\x69\x3a\x75\x70\x72\x6f\x62\x65\0\x2e\x72\
\x65\x6c\x75\x70\x72\x6f\x62\x65\x2e\x6d\x75\x6c\x74\x69\x2e\x73\x2f\x2e\x2f\
\x75\x70\x72\x6f\x62\x65\x5f\x6d\x75\x6c\x74\x69\x3a\x75\x70\x72\x6f\x62\x65\0\
\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x66\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x04\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x76\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\x50\0\0\
\0\0\0\0\0\x85\0\0\0\x11\0\x05\0\0\0\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\x93\0\0\0\
\x11\0\x05\0\0\x10\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x9f\0\0\0\x12\0\x04\0\0\0\0\0\
\0\0\0\0\x50\0\0\0\0\0\0\0\xb0\0\0\0\x11\0\x05\0\x08\x10\0\0\0\0\0\0\0\x10\0\0\
\0\0\0\0\xc0\0\0\0\x11\0\x05\0\x08\x20\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xce\0\0\0\
\x11\0\x06\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\xb4\x03\0\0\0\x10\0\0\xb7\x04\0\0\0\x09\0\0\x85\0\0\0\x43\0\0\0\x18\x01\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x63\x01\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\
\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb4\x03\0\0\0\x10\0\0\xb7\x04\0\0\0\
\x09\0\0\x85\0\0\0\x43\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x63\x01\0\0\0\
\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x01\0\0\0\x05\0\0\0\x28\0\0\0\0\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\
\x01\0\0\0\x08\0\0\0\x28\0\0\0\0\0\0\0\x01\0\0\0\x09\0\0\0\x9f\xeb\x01\0\x18\0\
\0\0\0\0\0\0\xf8\x02\0\0\xf8\x02\0\0\xbb\x02\0\0\0\0\0\0\0\0\0\x02\x02\0\0\0\
\x01\0\0\0\x15\0\0\x04\xa8\0\0\0\x09\0\0\0\x03\0\0\0\0\0\0\0\x0d\0\0\0\x03\0\0\
\0\x40\0\0\0\x11\0\0\0\x03\0\0\0\x80\0\0\0\x15\0\0\0\x03\0\0\0\xc0\0\0\0\x19\0\
\0\0\x03\0\0\0\0\x01\0\0\x1c\0\0\0\x03\0\0\0\x40\x01\0\0\x1f\0\0\0\x03\0\0\0\
\x80\x01\0\0\x23\0\0\0\x03\0\0\0\xc0\x01\0\0\x27\0\0\0\x03\0\0\0\0\x02\0\0\x2a\
\0\0\0\x03\0\0\0\x40\x02\0\0\x2d\0\0\0\x03\0\0\0\x80\x02\0\0\x30\0\0\0\x03\0\0\
\0\xc0\x02\0\0\x33\0\0\0\x03\0\0\0\0\x03\0\0\x36\0\0\0\x03\0\0\0\x40\x03\0\0\
\x39\0\0\0\x03\0\0\0\x80\x03\0\0\x3c\0\0\0\x03\0\0\0\xc0\x03\0\0\x44\0\0\0\x03\
\0\0\0\0\x04\0\0\x47\0\0\0\x03\0\0\0\x40\x04\0\0\x4a\0\0\0\x03\0\0\0\x80\x04\0\
\0\x50\0\0\0\x03\0\0\0\xc0\x04\0\0\x53\0\0\0\x03\0\0\0\0\x05\0\0\x56\0\0\0\0\0\
\0\x01\x08\0\0\0\x40\0\0\0\0\0\0\0\x01\0\0\x0d\x05\0\0\0\x64\0\0\0\x01\0\0\0\
\x68\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\x6c\0\0\0\x01\0\0\x0c\x04\0\0\0\x7b\
\0\0\0\x01\0\0\x0c\x04\0\0\0\x8c\0\0\0\x03\0\0\x04\x20\0\0\0\x9f\0\0\0\x09\0\0\
\0\0\0\0\0\xa6\0\0\0\x0b\0\0\0\x20\0\0\0\0\0\0\0\x0d\0\0\0\xc0\0\0\0\xaf\0\0\0\
\0\0\0\x08\x05\0\0\0\xb5\0\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\x03\
\0\0\0\0\x0a\0\0\0\x0c\0\0\0\x14\0\0\0\xc3\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\
\0\0\0\0\x02\0\0\x05\x08\0\0\0\xd7\0\0\0\x0e\0\0\0\0\0\0\0\x44\0\0\0\x0e\0\0\0\
\0\0\0\0\xde\0\0\0\0\0\0\x08\x0f\0\0\0\xe4\0\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\
\0\0\0\0\0\0\0\x03\0\0\0\0\x08\0\0\0\x0c\0\0\0\x80\0\0\0\xf7\0\0\0\0\0\0\x0e\
\x10\0\0\0\x01\0\0\0\x05\x01\0\0\0\0\0\x0e\x05\0\0\0\x01\0\0\0\x11\x01\0\0\0\0\
\0\x0e\x10\0\0\0\x01\0\0\0\x21\x01\0\0\0\0\0\x0e\x05\0\0\0\x01\0\0\0\x2f\x01\0\
\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x15\0\0\0\x0c\0\0\
\0\x04\0\0\0\x34\x01\0\0\0\0\0\x0e\x16\0\0\0\x01\0\0\0\x66\x02\0\0\x04\0\0\x0f\
\x0c\x20\0\0\x11\0\0\0\0\0\0\0\0\x10\0\0\x12\0\0\0\0\x10\0\0\x04\0\0\0\x13\0\0\
\0\x08\x10\0\0\0\x10\0\0\x14\0\0\0\x08\x20\0\0\x04\0\0\0\x6b\x02\0\0\x01\0\0\
\x0f\x04\0\0\0\x17\0\0\0\0\0\0\0\x04\0\0\0\0\x70\x74\x5f\x72\x65\x67\x73\0\x72\
\x31\x35\0\x72\x31\x34\0\x72\x31\x33\0\x72\x31\x32\0\x62\x70\0\x62\x78\0\x72\
\x31\x31\0\x72\x31\x30\0\x72\x39\0\x72\x38\0\x61\x78\0\x63\x78\0\x64\x78\0\x73\
\x69\0\x64\x69\0\x6f\x72\x69\x67\x5f\x61\x78\0\x69\x70\0\x63\x73\0\x66\x6c\x61\
\x67\x73\0\x73\x70\0\x73\x73\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\
\x67\0\x63\x74\x78\0\x69\x6e\x74\0\x75\x70\x72\x6f\x62\x65\x5f\x6e\x6f\x66\x61\
\x75\x6c\x74\0\x75\x70\x72\x6f\x62\x65\x5f\x73\x6c\x65\x65\x70\x61\x62\x6c\x65\
\0\x62\x70\x66\x5f\x73\x74\x61\x63\x6b\x5f\x62\x75\x69\x6c\x64\x5f\x69\x64\0\
\x73\x74\x61\x74\x75\x73\0\x62\x75\x69\x6c\x64\x5f\x69\x64\0\x5f\x5f\x73\x33\
\x32\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x63\x68\x61\x72\0\x5f\x5f\x41\x52\
\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x6f\x66\x66\x73\
\x65\x74\0\x5f\x5f\x75\x36\x34\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\
\x6e\x67\x20\x6c\x6f\x6e\x67\0\x73\x74\x61\x63\x6b\x5f\x6e\x6f\x66\x61\x75\x6c\
\x74\0\x72\x65\x73\x5f\x6e\x6f\x66\x61\x75\x6c\x74\0\x73\x74\x61\x63\x6b\x5f\
\x73\x6c\x65\x65\x70\x61\x62\x6c\x65\0\x72\x65\x73\x5f\x73\x6c\x65\x65\x70\x61\
\x62\x6c\x65\0\x63\x68\x61\x72\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2f\x62\x75\
\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\
\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x37\x30\x2e\x32\
\x38\x2e\x31\x2e\x65\x6c\x39\x5f\x36\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\
\x34\x2e\x30\x2d\x35\x37\x30\x2e\x32\x38\x2e\x31\x2e\x65\x6c\x39\x5f\x36\x2e\
\x78\x38\x36\x5f\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\
\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\
\x67\x73\x2f\x74\x65\x73\x74\x5f\x62\x75\x69\x6c\x64\x5f\x69\x64\x2e\x63\0\x09\
\x72\x65\x73\x5f\x6e\x6f\x66\x61\x75\x6c\x74\x20\x3d\x20\x62\x70\x66\x5f\x67\
\x65\x74\x5f\x73\x74\x61\x63\x6b\x28\x63\x74\x78\x2c\x20\x73\x74\x61\x63\x6b\
\x5f\x6e\x6f\x66\x61\x75\x6c\x74\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x73\x74\
\x61\x63\x6b\x5f\x6e\x6f\x66\x61\x75\x6c\x74\x29\x2c\0\x09\x72\x65\x74\x75\x72\
\x6e\x20\x30\x3b\0\x09\x72\x65\x73\x5f\x73\x6c\x65\x65\x70\x61\x62\x6c\x65\x20\
\x3d\x20\x62\x70\x66\x5f\x67\x65\x74\x5f\x73\x74\x61\x63\x6b\x28\x63\x74\x78\
\x2c\x20\x73\x74\x61\x63\x6b\x5f\x73\x6c\x65\x65\x70\x61\x62\x6c\x65\x2c\x20\
\x73\x69\x7a\x65\x6f\x66\x28\x73\x74\x61\x63\x6b\x5f\x73\x6c\x65\x65\x70\x61\
\x62\x6c\x65\x29\x2c\0\x2e\x62\x73\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x75\x70\
\x72\x6f\x62\x65\x2e\x6d\x75\x6c\x74\x69\x2f\x2e\x2f\x75\x70\x72\x6f\x62\x65\
\x5f\x6d\x75\x6c\x74\x69\x3a\x75\x70\x72\x6f\x62\x65\0\x75\x70\x72\x6f\x62\x65\
\x2e\x6d\x75\x6c\x74\x69\x2e\x73\x2f\x2e\x2f\x75\x70\x72\x6f\x62\x65\x5f\x6d\
\x75\x6c\x74\x69\x3a\x75\x70\x72\x6f\x62\x65\0\0\0\0\0\0\x9f\xeb\x01\0\x20\0\0\
\0\0\0\0\0\x24\0\0\0\x24\0\0\0\x74\0\0\0\x98\0\0\0\0\0\0\0\x08\0\0\0\x73\x02\0\
\0\x01\0\0\0\0\0\0\0\x06\0\0\0\x96\x02\0\0\x01\0\0\0\0\0\0\0\x07\0\0\0\x10\0\0\
\0\x73\x02\0\0\x03\0\0\0\0\0\0\0\x3d\x01\0\0\xc5\x01\0\0\x10\x40\0\0\x28\0\0\0\
\x3d\x01\0\0\xc5\x01\0\0\x0e\x40\0\0\x40\0\0\0\x3d\x01\0\0\x0d\x02\0\0\x02\x4c\
\0\0\x96\x02\0\0\x03\0\0\0\0\0\0\0\x3d\x01\0\0\x18\x02\0\0\x12\x64\0\0\x28\0\0\
\0\x3d\x01\0\0\x18\x02\0\0\x10\x64\0\0\x40\0\0\0\x3d\x01\0\0\x0d\x02\0\0\x02\
\x70\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\
\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x35\x01\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x78\x01\0\0\0\0\0\0\x08\x01\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x80\x02\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x34\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xd0\x02\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x59\0\0\0\x08\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\x03\0\0\0\
\0\0\0\x0c\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x5e\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\x03\0\0\0\0\0\0\x04\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd7\0\0\0\x09\
\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x28\x03\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\
\x02\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xfe\0\0\0\x09\0\0\0\
\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x48\x03\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x02\0\
\0\0\x04\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x27\x01\0\0\x01\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x68\x03\0\0\0\0\0\0\xcb\x05\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x2c\x01\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x38\x09\0\0\0\0\0\0\xb8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct test_build_id *test_build_id::open(const struct bpf_object_open_opts *opts) { return test_build_id__open_opts(opts); }
struct test_build_id *test_build_id::open_and_load() { return test_build_id__open_and_load(); }
int test_build_id::load(struct test_build_id *skel) { return test_build_id__load(skel); }
int test_build_id::attach(struct test_build_id *skel) { return test_build_id__attach(skel); }
void test_build_id::detach(struct test_build_id *skel) { test_build_id__detach(skel); }
void test_build_id::destroy(struct test_build_id *skel) { test_build_id__destroy(skel); }
const void *test_build_id::elf_bytes(size_t *sz) { return test_build_id__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
test_build_id__assert(struct test_build_id *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->stack_nofault) == 4096, "unexpected size of 'stack_nofault'");
	_Static_assert(sizeof(s->bss->res_nofault) == 4, "unexpected size of 'res_nofault'");
	_Static_assert(sizeof(s->bss->stack_sleepable) == 4096, "unexpected size of 'stack_sleepable'");
	_Static_assert(sizeof(s->bss->res_sleepable) == 4, "unexpected size of 'res_sleepable'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __TEST_BUILD_ID_SKEL_H__ */
