/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __TEST_GLOBAL_FUNC1_SKEL_H__
#define __TEST_GLOBAL_FUNC1_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct test_global_func1 {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_program *global_func1;
	} progs;
	struct {
		struct bpf_link *global_func1;
	} links;

#ifdef __cplusplus
	static inline struct test_global_func1 *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct test_global_func1 *open_and_load();
	static inline int load(struct test_global_func1 *skel);
	static inline int attach(struct test_global_func1 *skel);
	static inline void detach(struct test_global_func1 *skel);
	static inline void destroy(struct test_global_func1 *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
test_global_func1__destroy(struct test_global_func1 *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_global_func1__create_skeleton(struct test_global_func1 *obj);

static inline struct test_global_func1 *
test_global_func1__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_global_func1 *obj;
	int err;

	obj = (struct test_global_func1 *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = test_global_func1__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	test_global_func1__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct test_global_func1 *
test_global_func1__open(void)
{
	return test_global_func1__open_opts(NULL);
}

static inline int
test_global_func1__load(struct test_global_func1 *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_global_func1 *
test_global_func1__open_and_load(void)
{
	struct test_global_func1 *obj;
	int err;

	obj = test_global_func1__open();
	if (!obj)
		return NULL;
	err = test_global_func1__load(obj);
	if (err) {
		test_global_func1__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
test_global_func1__attach(struct test_global_func1 *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_global_func1__detach(struct test_global_func1 *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *test_global_func1__elf_bytes(size_t *sz);

static inline int
test_global_func1__create_skeleton(struct test_global_func1 *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "test_global_func1";
	s->obj = &obj->obj;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "global_func1";
	s->progs[0].prog = &obj->progs.global_func1;
	s->progs[0].link = &obj->links.global_func1;

	s->data = test_global_func1__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *test_global_func1__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x08\x11\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x09\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\x74\
\x65\x78\x74\0\x74\x63\0\x74\x65\x73\x74\x5f\x67\x6c\x6f\x62\x61\x6c\x5f\x66\
\x75\x6e\x63\x31\x2e\x63\0\x66\x30\0\x66\x31\0\x66\x32\0\x66\x33\0\x67\x6c\x6f\
\x62\x61\x6c\x5f\x66\x75\x6e\x63\x31\0\x2e\x72\x65\x6c\x2e\x74\x65\x78\x74\0\
\x2e\x72\x65\x6c\x74\x63\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1a\0\0\0\x04\0\xf1\xff\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x2e\0\0\0\x02\0\x03\0\x60\x01\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\x03\0\
\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x31\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\
\x60\x01\0\0\0\0\0\0\x34\0\0\0\x12\0\x03\0\x70\x01\0\0\0\0\0\0\x80\x01\0\0\0\0\
\0\0\x37\0\0\0\x12\0\x03\0\xf0\x02\0\0\0\0\0\0\x50\x01\0\0\0\0\0\0\x3a\0\0\0\
\x12\0\x04\0\0\0\0\0\0\0\0\0\x90\0\0\0\0\0\0\0\xbf\x16\0\0\0\0\0\0\xb4\x01\0\0\
\0\0\0\0\x63\x1a\xf8\xff\0\0\0\0\xb7\x01\0\0\0\0\0\0\x7b\x1a\xf0\xff\0\0\0\0\
\x7b\x1a\xe8\xff\0\0\0\0\x7b\x1a\xe0\xff\0\0\0\0\x7b\x1a\xd8\xff\0\0\0\0\x7b\
\x1a\xd0\xff\0\0\0\0\x7b\x1a\xc8\xff\0\0\0\0\x7b\x1a\xc0\xff\0\0\0\0\x7b\x1a\
\xb8\xff\0\0\0\0\x7b\x1a\xb0\xff\0\0\0\0\x7b\x1a\xa8\xff\0\0\0\0\x7b\x1a\xa0\
\xff\0\0\0\0\x7b\x1a\x98\xff\0\0\0\0\x7b\x1a\x90\xff\0\0\0\0\x7b\x1a\x88\xff\0\
\0\0\0\x7b\x1a\x80\xff\0\0\0\0\x7b\x1a\x78\xff\0\0\0\0\x7b\x1a\x70\xff\0\0\0\0\
\x7b\x1a\x68\xff\0\0\0\0\x7b\x1a\x60\xff\0\0\0\0\x7b\x1a\x58\xff\0\0\0\0\x7b\
\x1a\x50\xff\0\0\0\0\x7b\x1a\x48\xff\0\0\0\0\x7b\x1a\x40\xff\0\0\0\0\x7b\x1a\
\x38\xff\0\0\0\0\x7b\x1a\x30\xff\0\0\0\0\x7b\x1a\x28\xff\0\0\0\0\x7b\x1a\x20\
\xff\0\0\0\0\x7b\x1a\x18\xff\0\0\0\0\x7b\x1a\x10\xff\0\0\0\0\x7b\x1a\x08\xff\0\
\0\0\0\x7b\x1a\0\xff\0\0\0\0\x7b\x1a\xf8\xfe\0\0\0\0\x71\xa1\xfb\xff\0\0\0\0\
\x73\x1a\xfb\xff\0\0\0\0\xbf\x61\0\0\0\0\0\0\x85\x10\0\0\x04\0\0\0\x61\x61\0\0\
\0\0\0\0\x0c\x01\0\0\0\0\0\0\xbc\x10\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x61\x10\0\0\
\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\x26\0\0\0\0\0\0\xbc\x17\0\0\0\0\0\0\xb4\x01\0\0\
\0\0\0\0\x63\x1a\xf8\xff\0\0\0\0\xb7\x01\0\0\0\0\0\0\x7b\x1a\xf0\xff\0\0\0\0\
\x7b\x1a\xe8\xff\0\0\0\0\x7b\x1a\xe0\xff\0\0\0\0\x7b\x1a\xd8\xff\0\0\0\0\x7b\
\x1a\xd0\xff\0\0\0\0\x7b\x1a\xc8\xff\0\0\0\0\x7b\x1a\xc0\xff\0\0\0\0\x7b\x1a\
\xb8\xff\0\0\0\0\x7b\x1a\xb0\xff\0\0\0\0\x7b\x1a\xa8\xff\0\0\0\0\x7b\x1a\xa0\
\xff\0\0\0\0\x7b\x1a\x98\xff\0\0\0\0\x7b\x1a\x90\xff\0\0\0\0\x7b\x1a\x88\xff\0\
\0\0\0\x7b\x1a\x80\xff\0\0\0\0\x7b\x1a\x78\xff\0\0\0\0\x7b\x1a\x70\xff\0\0\0\0\
\x7b\x1a\x68\xff\0\0\0\0\x7b\x1a\x60\xff\0\0\0\0\x7b\x1a\x58\xff\0\0\0\0\x7b\
\x1a\x50\xff\0\0\0\0\x7b\x1a\x48\xff\0\0\0\0\x7b\x1a\x40\xff\0\0\0\0\x7b\x1a\
\x38\xff\0\0\0\0\x7b\x1a\x30\xff\0\0\0\0\x7b\x1a\x28\xff\0\0\0\0\x7b\x1a\x20\
\xff\0\0\0\0\x7b\x1a\x18\xff\0\0\0\0\x7b\x1a\x10\xff\0\0\0\0\x7b\x1a\x08\xff\0\
\0\0\0\x7b\x1a\0\xff\0\0\0\0\x7b\x1a\xf8\xfe\0\0\0\0\x71\xa1\xfb\xff\0\0\0\0\
\x73\x1a\xfb\xff\0\0\0\0\xbf\x61\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\xbc\
\x08\0\0\0\0\0\0\xbc\x71\0\0\0\0\0\0\xbf\x62\0\0\0\0\0\0\xb4\x03\0\0\x01\0\0\0\
\x85\x10\0\0\xff\xff\xff\xff\x0c\x80\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xbc\x30\0\0\
\0\0\0\0\xb4\x03\0\0\0\0\0\0\x63\x3a\xf8\xff\0\0\0\0\xb7\x03\0\0\0\0\0\0\x7b\
\x3a\xf0\xff\0\0\0\0\x7b\x3a\xe8\xff\0\0\0\0\x7b\x3a\xe0\xff\0\0\0\0\x7b\x3a\
\xd8\xff\0\0\0\0\x7b\x3a\xd0\xff\0\0\0\0\x7b\x3a\xc8\xff\0\0\0\0\x7b\x3a\xc0\
\xff\0\0\0\0\x7b\x3a\xb8\xff\0\0\0\0\x7b\x3a\xb0\xff\0\0\0\0\x7b\x3a\xa8\xff\0\
\0\0\0\x7b\x3a\xa0\xff\0\0\0\0\x7b\x3a\x98\xff\0\0\0\0\x7b\x3a\x90\xff\0\0\0\0\
\x7b\x3a\x88\xff\0\0\0\0\x7b\x3a\x80\xff\0\0\0\0\x7b\x3a\x78\xff\0\0\0\0\x7b\
\x3a\x70\xff\0\0\0\0\x7b\x3a\x68\xff\0\0\0\0\x7b\x3a\x60\xff\0\0\0\0\x7b\x3a\
\x58\xff\0\0\0\0\x7b\x3a\x50\xff\0\0\0\0\x7b\x3a\x48\xff\0\0\0\0\x7b\x3a\x40\
\xff\0\0\0\0\x7b\x3a\x38\xff\0\0\0\0\x7b\x3a\x30\xff\0\0\0\0\x7b\x3a\x28\xff\0\
\0\0\0\x7b\x3a\x20\xff\0\0\0\0\x7b\x3a\x18\xff\0\0\0\0\x7b\x3a\x10\xff\0\0\0\0\
\x7b\x3a\x08\xff\0\0\0\0\x7b\x3a\0\xff\0\0\0\0\x7b\x3a\xf8\xfe\0\0\0\0\x71\xa3\
\xfb\xff\0\0\0\0\x73\x3a\xfb\xff\0\0\0\0\x2c\x10\0\0\0\0\0\0\x61\x21\x28\0\0\0\
\0\0\x2c\x10\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\x16\0\0\0\0\0\0\x85\x10\0\0\x2b\
\0\0\0\xbc\x08\0\0\0\0\0\0\xbf\x61\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\xbc\
\x07\0\0\0\0\0\0\x0c\x87\0\0\0\0\0\0\xb4\x01\0\0\x02\0\0\0\xbf\x62\0\0\0\0\0\0\
\x85\x10\0\0\xff\xff\xff\xff\x0c\x07\0\0\0\0\0\0\xb4\x01\0\0\x03\0\0\0\xbf\x62\
\0\0\0\0\0\0\xb4\x03\0\0\x04\0\0\0\x85\x10\0\0\xff\xff\xff\xff\x0c\x07\0\0\0\0\
\0\0\xbc\x70\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb0\x02\0\0\0\0\0\0\x0a\0\0\0\x05\0\
\0\0\xd8\x02\0\0\0\0\0\0\x0a\0\0\0\x07\0\0\0\x08\0\0\0\0\0\0\0\x0a\0\0\0\x02\0\
\0\0\x20\0\0\0\0\0\0\0\x0a\0\0\0\x05\0\0\0\x48\0\0\0\0\0\0\0\x0a\0\0\0\x06\0\0\
\0\x70\0\0\0\0\0\0\0\x0a\0\0\0\x07\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\x80\
\x03\0\0\x80\x03\0\0\x4d\x04\0\0\0\0\0\0\0\0\0\x02\x02\0\0\0\x01\0\0\0\x22\0\0\
\x04\xc0\0\0\0\x0b\0\0\0\x03\0\0\0\0\0\0\0\x0f\0\0\0\x03\0\0\0\x20\0\0\0\x18\0\
\0\0\x03\0\0\0\x40\0\0\0\x1d\0\0\0\x03\0\0\0\x60\0\0\0\x2b\0\0\0\x03\0\0\0\x80\
\0\0\0\x34\0\0\0\x03\0\0\0\xa0\0\0\0\x41\0\0\0\x03\0\0\0\xc0\0\0\0\x4a\0\0\0\
\x03\0\0\0\xe0\0\0\0\x55\0\0\0\x03\0\0\0\0\x01\0\0\x5e\0\0\0\x03\0\0\0\x20\x01\
\0\0\x6e\0\0\0\x03\0\0\0\x40\x01\0\0\x76\0\0\0\x03\0\0\0\x60\x01\0\0\x7f\0\0\0\
\x05\0\0\0\x80\x01\0\0\x82\0\0\0\x03\0\0\0\x20\x02\0\0\x87\0\0\0\x03\0\0\0\x40\
\x02\0\0\x92\0\0\0\x03\0\0\0\x60\x02\0\0\x97\0\0\0\x03\0\0\0\x80\x02\0\0\xa0\0\
\0\0\x03\0\0\0\xa0\x02\0\0\xa8\0\0\0\x03\0\0\0\xc0\x02\0\0\xaf\0\0\0\x03\0\0\0\
\xe0\x02\0\0\xba\0\0\0\x03\0\0\0\0\x03\0\0\xc4\0\0\0\x07\0\0\0\x20\x03\0\0\xcf\
\0\0\0\x07\0\0\0\xa0\x03\0\0\xd9\0\0\0\x03\0\0\0\x20\x04\0\0\xe5\0\0\0\x03\0\0\
\0\x40\x04\0\0\xf0\0\0\0\x03\0\0\0\x60\x04\0\0\0\0\0\0\x08\0\0\0\x80\x04\0\0\
\xfa\0\0\0\x0a\0\0\0\xc0\x04\0\0\x01\x01\0\0\x03\0\0\0\0\x05\0\0\x0a\x01\0\0\
\x03\0\0\0\x20\x05\0\0\0\0\0\0\x0c\0\0\0\x40\x05\0\0\x13\x01\0\0\x03\0\0\0\x80\
\x05\0\0\x1c\x01\0\0\x0e\0\0\0\xa0\x05\0\0\x28\x01\0\0\x0a\0\0\0\xc0\x05\0\0\
\x31\x01\0\0\0\0\0\x08\x04\0\0\0\x37\x01\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\
\0\0\0\0\0\x03\0\0\0\0\x03\0\0\0\x06\0\0\0\x05\0\0\0\x44\x01\0\0\0\0\0\x01\x04\
\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x03\0\0\0\x06\0\0\0\x04\0\0\0\0\0\0\
\0\x01\0\0\x05\x08\0\0\0\x58\x01\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x1c\0\
\0\0\x62\x01\0\0\0\0\0\x08\x0b\0\0\0\x68\x01\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\
\0\0\0\0\x01\0\0\x05\x08\0\0\0\x7b\x01\0\0\x0d\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\
\x1d\0\0\0\x7e\x01\0\0\0\0\0\x08\x0f\0\0\0\x83\x01\0\0\0\0\0\x01\x01\0\0\0\x08\
\0\0\0\0\0\0\0\x01\0\0\x0d\x11\0\0\0\x91\x01\0\0\x01\0\0\0\x95\x01\0\0\0\0\0\
\x01\x04\0\0\0\x20\0\0\x01\x99\x01\0\0\x01\0\0\x0c\x10\0\0\0\0\0\0\0\x02\0\0\
\x0d\x11\0\0\0\x9c\x01\0\0\x11\0\0\0\x91\x01\0\0\x01\0\0\0\xa0\x01\0\0\0\0\0\
\x0c\x13\0\0\0\0\0\0\0\x02\0\0\x0d\x11\0\0\0\xa3\x01\0\0\x11\0\0\0\x91\x01\0\0\
\x01\0\0\0\xa7\x01\0\0\x01\0\0\x0c\x15\0\0\0\0\0\0\0\x03\0\0\x0d\x11\0\0\0\xa3\
\x01\0\0\x11\0\0\0\x91\x01\0\0\x01\0\0\0\x9c\x01\0\0\x11\0\0\0\xaa\x01\0\0\x01\
\0\0\x0c\x17\0\0\0\xad\x01\0\0\x01\0\0\x0c\x10\0\0\0\xba\x01\0\0\0\0\0\x11\x19\
\0\0\0\xff\xff\xff\xff\xd6\x01\0\0\0\0\0\x11\x19\0\0\0\xff\xff\xff\xff\x12\x02\
\0\0\0\0\0\x07\0\0\0\0\x20\x02\0\0\0\0\0\x07\0\0\0\0\0\x5f\x5f\x73\x6b\x5f\x62\
\x75\x66\x66\0\x6c\x65\x6e\0\x70\x6b\x74\x5f\x74\x79\x70\x65\0\x6d\x61\x72\x6b\
\0\x71\x75\x65\x75\x65\x5f\x6d\x61\x70\x70\x69\x6e\x67\0\x70\x72\x6f\x74\x6f\
\x63\x6f\x6c\0\x76\x6c\x61\x6e\x5f\x70\x72\x65\x73\x65\x6e\x74\0\x76\x6c\x61\
\x6e\x5f\x74\x63\x69\0\x76\x6c\x61\x6e\x5f\x70\x72\x6f\x74\x6f\0\x70\x72\x69\
\x6f\x72\x69\x74\x79\0\x69\x6e\x67\x72\x65\x73\x73\x5f\x69\x66\x69\x6e\x64\x65\
\x78\0\x69\x66\x69\x6e\x64\x65\x78\0\x74\x63\x5f\x69\x6e\x64\x65\x78\0\x63\x62\
\0\x68\x61\x73\x68\0\x74\x63\x5f\x63\x6c\x61\x73\x73\x69\x64\0\x64\x61\x74\x61\
\0\x64\x61\x74\x61\x5f\x65\x6e\x64\0\x6e\x61\x70\x69\x5f\x69\x64\0\x66\x61\x6d\
\x69\x6c\x79\0\x72\x65\x6d\x6f\x74\x65\x5f\x69\x70\x34\0\x6c\x6f\x63\x61\x6c\
\x5f\x69\x70\x34\0\x72\x65\x6d\x6f\x74\x65\x5f\x69\x70\x36\0\x6c\x6f\x63\x61\
\x6c\x5f\x69\x70\x36\0\x72\x65\x6d\x6f\x74\x65\x5f\x70\x6f\x72\x74\0\x6c\x6f\
\x63\x61\x6c\x5f\x70\x6f\x72\x74\0\x64\x61\x74\x61\x5f\x6d\x65\x74\x61\0\x74\
\x73\x74\x61\x6d\x70\0\x77\x69\x72\x65\x5f\x6c\x65\x6e\0\x67\x73\x6f\x5f\x73\
\x65\x67\x73\0\x67\x73\x6f\x5f\x73\x69\x7a\x65\0\x74\x73\x74\x61\x6d\x70\x5f\
\x74\x79\x70\x65\0\x68\x77\x74\x73\x74\x61\x6d\x70\0\x5f\x5f\x75\x33\x32\0\x75\
\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\
\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x66\x6c\x6f\x77\x5f\x6b\x65\x79\
\x73\0\x5f\x5f\x75\x36\x34\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\
\x67\x20\x6c\x6f\x6e\x67\0\x73\x6b\0\x5f\x5f\x75\x38\0\x75\x6e\x73\x69\x67\x6e\
\x65\x64\x20\x63\x68\x61\x72\0\x73\x6b\x62\0\x69\x6e\x74\0\x66\x31\0\x76\x61\
\x72\0\x66\x30\0\x76\x61\x6c\0\x66\x32\0\x66\x33\0\x67\x6c\x6f\x62\x61\x6c\x5f\
\x66\x75\x6e\x63\x31\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\
\x78\x70\x65\x63\x74\x5f\x66\x61\x69\x6c\x75\x72\x65\0\x63\x6f\x6d\x6d\x65\x6e\
\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x30\
\x3d\x63\x6f\x6d\x62\x69\x6e\x65\x64\x20\x73\x74\x61\x63\x6b\x20\x73\x69\x7a\
\x65\x20\x6f\x66\x20\x33\x20\x63\x61\x6c\x6c\x73\x20\x69\x73\0\x62\x70\x66\x5f\
\x66\x6c\x6f\x77\x5f\x6b\x65\x79\x73\0\x62\x70\x66\x5f\x73\x6f\x63\x6b\0\x2f\
\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\
\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x37\x30\
\x2e\x32\x38\x2e\x31\x2e\x65\x6c\x39\x5f\x36\x2f\x6c\x69\x6e\x75\x78\x2d\x35\
\x2e\x31\x34\x2e\x30\x2d\x35\x37\x30\x2e\x32\x38\x2e\x31\x2e\x65\x6c\x39\x5f\
\x36\x2e\x78\x38\x36\x5f\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\
\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\
\x72\x6f\x67\x73\x2f\x74\x65\x73\x74\x5f\x67\x6c\x6f\x62\x61\x6c\x5f\x66\x75\
\x6e\x63\x31\x2e\x63\0\x69\x6e\x74\x20\x66\x31\x28\x73\x74\x72\x75\x63\x74\x20\
\x5f\x5f\x73\x6b\x5f\x62\x75\x66\x66\x20\x2a\x73\x6b\x62\x29\0\x09\x76\x6f\x6c\
\x61\x74\x69\x6c\x65\x20\x63\x68\x61\x72\x20\x62\x75\x66\x5b\x4d\x41\x58\x5f\
\x53\x54\x41\x43\x4b\x5d\x20\x3d\x20\x7b\x7d\x3b\0\x09\x5f\x5f\x73\x69\x6e\x6b\
\x28\x62\x75\x66\x5b\x4d\x41\x58\x5f\x53\x54\x41\x43\x4b\x20\x2d\x20\x31\x5d\
\x29\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x66\x30\x28\x30\x2c\x20\x73\x6b\x62\
\x29\x20\x2b\x20\x73\x6b\x62\x2d\x3e\x6c\x65\x6e\x3b\0\x09\x72\x65\x74\x75\x72\
\x6e\x20\x73\x6b\x62\x2d\x3e\x6c\x65\x6e\x3b\0\x69\x6e\x74\x20\x66\x32\x28\x69\
\x6e\x74\x20\x76\x61\x6c\x2c\x20\x73\x74\x72\x75\x63\x74\x20\x5f\x5f\x73\x6b\
\x5f\x62\x75\x66\x66\x20\x2a\x73\x6b\x62\x29\0\x09\x72\x65\x74\x75\x72\x6e\x20\
\x66\x31\x28\x73\x6b\x62\x29\x20\x2b\x20\x66\x33\x28\x76\x61\x6c\x2c\x20\x73\
\x6b\x62\x2c\x20\x31\x29\x3b\0\x69\x6e\x74\x20\x66\x33\x28\x69\x6e\x74\x20\x76\
\x61\x6c\x2c\x20\x73\x74\x72\x75\x63\x74\x20\x5f\x5f\x73\x6b\x5f\x62\x75\x66\
\x66\x20\x2a\x73\x6b\x62\x2c\x20\x69\x6e\x74\x20\x76\x61\x72\x29\0\x09\x72\x65\
\x74\x75\x72\x6e\x20\x73\x6b\x62\x2d\x3e\x69\x66\x69\x6e\x64\x65\x78\x20\x2a\
\x20\x76\x61\x6c\x20\x2a\x20\x76\x61\x72\x3b\0\x69\x6e\x74\x20\x67\x6c\x6f\x62\
\x61\x6c\x5f\x66\x75\x6e\x63\x31\x28\x73\x74\x72\x75\x63\x74\x20\x5f\x5f\x73\
\x6b\x5f\x62\x75\x66\x66\x20\x2a\x73\x6b\x62\x29\0\x09\x72\x65\x74\x75\x72\x6e\
\x20\x66\x30\x28\x31\x2c\x20\x73\x6b\x62\x29\x20\x2b\x20\x66\x31\x28\x73\x6b\
\x62\x29\x20\x2b\x20\x66\x32\x28\x32\x2c\x20\x73\x6b\x62\x29\x20\x2b\x20\x66\
\x33\x28\x33\x2c\x20\x73\x6b\x62\x2c\x20\x34\x29\x3b\0\x2e\x74\x65\x78\x74\0\
\x74\x63\0\0\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x3c\0\0\0\x3c\0\0\0\x14\x02\0\
\0\x50\x02\0\0\0\0\0\0\x08\0\0\0\x44\x04\0\0\x04\0\0\0\0\0\0\0\x12\0\0\0\x60\
\x01\0\0\x14\0\0\0\x70\x01\0\0\x16\0\0\0\xf0\x02\0\0\x18\0\0\0\x4a\x04\0\0\x01\
\0\0\0\0\0\0\0\x19\0\0\0\x10\0\0\0\x44\x04\0\0\x17\0\0\0\0\0\0\0\x29\x02\0\0\
\xb5\x02\0\0\0\x4c\0\0\x10\0\0\0\x29\x02\0\0\xd3\x02\0\0\x10\x54\0\0\x20\x01\0\
\0\x29\x02\0\0\xf7\x02\0\0\x02\x5c\0\0\x30\x01\0\0\x29\x02\0\0\x14\x03\0\0\x09\
\x64\0\0\x40\x01\0\0\x29\x02\0\0\x14\x03\0\0\x1b\x64\0\0\x48\x01\0\0\x29\x02\0\
\0\x14\x03\0\0\x14\x64\0\0\x50\x01\0\0\x29\x02\0\0\x14\x03\0\0\x02\x64\0\0\x60\
\x01\0\0\x29\x02\0\0\x33\x03\0\0\x0e\x3c\0\0\x68\x01\0\0\x29\x02\0\0\x33\x03\0\
\0\x02\x3c\0\0\x70\x01\0\0\x29\x02\0\0\x45\x03\0\0\0\x7c\0\0\x88\x01\0\0\x29\
\x02\0\0\xd3\x02\0\0\x10\x84\0\0\x98\x02\0\0\x29\x02\0\0\xf7\x02\0\0\x02\x8c\0\
\0\xa8\x02\0\0\x29\x02\0\0\x6c\x03\0\0\x09\x94\0\0\xc0\x02\0\0\x29\x02\0\0\x6c\
\x03\0\0\x13\x94\0\0\xe0\x02\0\0\x29\x02\0\0\x6c\x03\0\0\x11\x94\0\0\xe8\x02\0\
\0\x29\x02\0\0\x6c\x03\0\0\x02\x94\0\0\xf0\x02\0\0\x29\x02\0\0\x8f\x03\0\0\0\
\xa4\0\0\0\x03\0\0\x29\x02\0\0\xd3\x02\0\0\x10\xac\0\0\x10\x04\0\0\x29\x02\0\0\
\xf7\x02\0\0\x02\xb4\0\0\x20\x04\0\0\x29\x02\0\0\xbf\x03\0\0\x16\xbc\0\0\x28\
\x04\0\0\x29\x02\0\0\xbf\x03\0\0\x0e\xbc\0\0\x30\x04\0\0\x29\x02\0\0\xbf\x03\0\
\0\x1c\xbc\0\0\x38\x04\0\0\x29\x02\0\0\xbf\x03\0\0\x02\xbc\0\0\x4a\x04\0\0\x09\
\0\0\0\0\0\0\0\x29\x02\0\0\xe1\x03\0\0\0\xd0\0\0\x08\0\0\0\x29\x02\0\0\x09\x04\
\0\0\x09\xd8\0\0\x18\0\0\0\x29\x02\0\0\x09\x04\0\0\x16\xd8\0\0\x30\0\0\0\x29\
\x02\0\0\x09\x04\0\0\x14\xd8\0\0\x38\0\0\0\x29\x02\0\0\x09\x04\0\0\x20\xd8\0\0\
\x50\0\0\0\x29\x02\0\0\x09\x04\0\0\x1e\xd8\0\0\x58\0\0\0\x29\x02\0\0\x09\x04\0\
\0\x2d\xd8\0\0\x78\0\0\0\x29\x02\0\0\x09\x04\0\0\x2b\xd8\0\0\x80\0\0\0\x29\x02\
\0\0\x09\x04\0\0\x02\xd8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x66\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa8\0\0\0\0\0\0\0\xd8\0\0\0\0\0\0\0\x01\0\
\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x80\x01\0\0\0\0\0\0\x40\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x17\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\xc0\x05\0\0\0\0\0\0\x90\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x47\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x50\x06\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x02\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\
\x10\0\0\0\0\0\0\0\x51\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x70\
\x06\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x08\0\0\0\0\0\0\0\x10\0\
\0\0\0\0\0\0\x58\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb0\x06\0\0\0\
\0\0\0\xe5\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x5d\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x98\x0e\0\0\0\0\0\0\x70\
\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct test_global_func1 *test_global_func1::open(const struct bpf_object_open_opts *opts) { return test_global_func1__open_opts(opts); }
struct test_global_func1 *test_global_func1::open_and_load() { return test_global_func1__open_and_load(); }
int test_global_func1::load(struct test_global_func1 *skel) { return test_global_func1__load(skel); }
int test_global_func1::attach(struct test_global_func1 *skel) { return test_global_func1__attach(skel); }
void test_global_func1::detach(struct test_global_func1 *skel) { test_global_func1__detach(skel); }
void test_global_func1::destroy(struct test_global_func1 *skel) { test_global_func1__destroy(skel); }
const void *test_global_func1::elf_bytes(size_t *sz) { return test_global_func1__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
test_global_func1__assert(struct test_global_func1 *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __TEST_GLOBAL_FUNC1_SKEL_H__ */
