/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __TEST_LOG_FIXUP_SKEL_H__
#define __TEST_LOG_FIXUP_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct test_log_fixup {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *existing_map;
		struct bpf_map *missing_map;
	} maps;
	struct {
		struct bpf_program *bad_relo;
		struct bpf_program *bad_relo_subprog;
		struct bpf_program *use_missing_map;
		struct bpf_program *use_missing_kfunc;
	} progs;
	struct {
		struct bpf_link *bad_relo;
		struct bpf_link *bad_relo_subprog;
		struct bpf_link *use_missing_map;
		struct bpf_link *use_missing_kfunc;
	} links;

#ifdef __cplusplus
	static inline struct test_log_fixup *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct test_log_fixup *open_and_load();
	static inline int load(struct test_log_fixup *skel);
	static inline int attach(struct test_log_fixup *skel);
	static inline void detach(struct test_log_fixup *skel);
	static inline void destroy(struct test_log_fixup *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
test_log_fixup__destroy(struct test_log_fixup *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_log_fixup__create_skeleton(struct test_log_fixup *obj);

static inline struct test_log_fixup *
test_log_fixup__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_log_fixup *obj;
	int err;

	obj = (struct test_log_fixup *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = test_log_fixup__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	test_log_fixup__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct test_log_fixup *
test_log_fixup__open(void)
{
	return test_log_fixup__open_opts(NULL);
}

static inline int
test_log_fixup__load(struct test_log_fixup *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_log_fixup *
test_log_fixup__open_and_load(void)
{
	struct test_log_fixup *obj;
	int err;

	obj = test_log_fixup__open();
	if (!obj)
		return NULL;
	err = test_log_fixup__load(obj);
	if (err) {
		test_log_fixup__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
test_log_fixup__attach(struct test_log_fixup *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_log_fixup__detach(struct test_log_fixup *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *test_log_fixup__elf_bytes(size_t *sz);

static inline int
test_log_fixup__create_skeleton(struct test_log_fixup *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "test_log_fixup";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 2;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "existing_map";
	map->map = &obj->maps.existing_map;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 1 * s->map_skel_sz);
	map->name = "missing_map";
	map->map = &obj->maps.missing_map;

	/* programs */
	s->prog_cnt = 4;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "bad_relo";
	s->progs[0].prog = &obj->progs.bad_relo;
	s->progs[0].link = &obj->links.bad_relo;

	s->progs[1].name = "bad_relo_subprog";
	s->progs[1].prog = &obj->progs.bad_relo_subprog;
	s->progs[1].link = &obj->links.bad_relo_subprog;

	s->progs[2].name = "use_missing_map";
	s->progs[2].prog = &obj->progs.use_missing_map;
	s->progs[2].link = &obj->links.use_missing_map;

	s->progs[3].name = "use_missing_kfunc";
	s->progs[3].prog = &obj->progs.use_missing_kfunc;
	s->progs[3].link = &obj->links.use_missing_kfunc;

	s->data = test_log_fixup__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *test_log_fixup__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xb8\x0a\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0a\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\x74\
\x65\x78\x74\0\x3f\x72\x61\x77\x5f\x74\x70\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\
\x72\0\x2e\x6d\x61\x70\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x74\x65\x73\x74\x5f\
\x6c\x6f\x67\x5f\x66\x69\x78\x75\x70\x2e\x63\0\x62\x61\x64\x5f\x73\x75\x62\x70\
\x72\x6f\x67\0\x62\x61\x64\x5f\x72\x65\x6c\x6f\0\x62\x61\x64\x5f\x72\x65\x6c\
\x6f\x5f\x73\x75\x62\x70\x72\x6f\x67\0\x75\x73\x65\x5f\x6d\x69\x73\x73\x69\x6e\
\x67\x5f\x6d\x61\x70\0\x65\x78\x69\x73\x74\x69\x6e\x67\x5f\x6d\x61\x70\0\x6d\
\x69\x73\x73\x69\x6e\x67\x5f\x6d\x61\x70\0\x75\x73\x65\x5f\x6d\x69\x73\x73\x69\
\x6e\x67\x5f\x6b\x66\x75\x6e\x63\0\x62\x70\x66\x5f\x6e\x6f\x6e\x65\x78\x69\x73\
\x74\x65\x6e\x74\x5f\x6b\x66\x75\x6e\x63\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\
\x2e\x72\x65\x6c\x3f\x72\x61\x77\x5f\x74\x70\x2f\x73\x79\x73\x5f\x65\x6e\x74\
\x65\x72\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x37\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x03\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x48\0\0\0\x02\0\x03\0\0\0\0\0\0\0\
\0\0\x10\0\0\0\0\0\0\0\x54\0\0\0\x12\0\x04\0\0\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\
\x5d\0\0\0\x12\0\x04\0\x10\0\0\0\0\0\0\0\x28\0\0\0\0\0\0\0\x6e\0\0\0\x12\0\x04\
\0\x38\0\0\0\0\0\0\0\x88\0\0\0\0\0\0\0\x7e\0\0\0\x11\0\x05\0\0\0\0\0\0\0\0\0\
\x20\0\0\0\0\0\0\0\x8b\0\0\0\x11\0\x05\0\x20\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\
\x97\0\0\0\x12\0\x04\0\xc0\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\xa9\0\0\0\x20\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xbf\0\0\0\x11\0\x06\0\0\0\0\0\0\0\0\0\x04\0\0\
\0\0\0\0\0\xb7\0\0\0\x08\0\0\0\x95\0\0\0\0\0\0\0\xb7\0\0\0\x04\0\0\0\x95\0\0\0\
\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\xb7\x01\0\0\x04\0\0\0\x0c\x01\0\0\0\0\0\0\
\xbc\x10\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb4\x01\0\0\0\0\0\0\x63\x1a\xfc\xff\0\0\
\0\0\xbf\xa6\0\0\0\0\0\0\x07\x06\0\0\xfc\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\xbf\x62\0\0\0\0\0\0\x85\0\0\0\x01\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\xbf\x62\0\0\0\0\0\0\x85\0\0\0\x01\0\0\0\xbf\x01\0\0\0\0\0\0\xb4\0\0\0\
\x01\0\0\0\x55\x01\x01\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x85\x10\0\
\0\xff\xff\xff\xff\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\x10\0\0\0\0\0\0\0\x0a\0\0\0\
\x02\0\0\0\x58\0\0\0\0\0\0\0\x01\0\0\0\x08\0\0\0\x78\0\0\0\0\0\0\0\x01\0\0\0\
\x09\0\0\0\xc0\0\0\0\0\0\0\0\x0a\0\0\0\x0b\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\
\0\x18\x02\0\0\x18\x02\0\0\x27\x03\0\0\0\0\0\0\0\0\0\x02\x03\0\0\0\x01\0\0\0\0\
\0\0\x01\x04\0\0\0\x20\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\
\x02\0\0\0\x05\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x02\x06\0\0\0\
\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x02\
\0\0\0\0\0\0\0\x04\0\0\x04\x20\0\0\0\x19\0\0\0\x01\0\0\0\0\0\0\0\x1e\0\0\0\x05\
\0\0\0\x40\0\0\0\x2a\0\0\0\x07\0\0\0\x80\0\0\0\x2e\0\0\0\x07\0\0\0\xc0\0\0\0\
\x34\0\0\0\0\0\0\x0e\x08\0\0\0\x01\0\0\0\x41\0\0\0\0\0\0\x0e\x08\0\0\0\x01\0\0\
\0\0\0\0\0\0\0\0\x02\x0c\0\0\0\0\0\0\0\0\0\0\x0a\0\0\0\0\0\0\0\0\x01\0\0\x0d\
\x02\0\0\0\x4d\0\0\0\x0b\0\0\0\x51\0\0\0\x01\0\0\x0c\x0d\0\0\0\x5a\0\0\0\x03\0\
\0\x04\x10\0\0\0\x6c\0\0\0\x02\0\0\0\0\0\0\0\x70\0\0\0\x02\0\0\0\x20\0\0\0\x7b\
\0\0\0\x10\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\0\x8e\0\0\0\x01\0\0\x0c\x0d\
\0\0\0\0\0\0\0\0\0\0\x0d\x02\0\0\0\x9f\0\0\0\0\0\0\x0c\x12\0\0\0\xab\0\0\0\x01\
\0\0\x0c\x0d\0\0\0\xbb\0\0\0\x01\0\0\x0c\x0d\0\0\0\xcd\0\0\0\x02\0\0\x0c\x12\0\
\0\0\xe3\0\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x17\0\
\0\0\x04\0\0\0\x04\0\0\0\xe8\0\0\0\0\0\0\x0e\x18\0\0\0\x01\0\0\0\xfa\x02\0\0\
\x02\0\0\x0f\x40\0\0\0\x09\0\0\0\0\0\0\0\x20\0\0\0\x0a\0\0\0\x20\0\0\0\x20\0\0\
\0\0\x03\0\0\x01\0\0\x0f\x04\0\0\0\x19\0\0\0\0\0\0\0\x04\0\0\0\x08\x03\0\0\x01\
\0\0\x0f\0\0\0\0\x16\0\0\0\0\0\0\0\0\0\0\0\0\x69\x6e\x74\0\x5f\x5f\x41\x52\x52\
\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x74\x79\x70\x65\0\
\x6d\x61\x78\x5f\x65\x6e\x74\x72\x69\x65\x73\0\x6b\x65\x79\0\x76\x61\x6c\x75\
\x65\0\x65\x78\x69\x73\x74\x69\x6e\x67\x5f\x6d\x61\x70\0\x6d\x69\x73\x73\x69\
\x6e\x67\x5f\x6d\x61\x70\0\x63\x74\x78\0\x62\x61\x64\x5f\x72\x65\x6c\x6f\0\x74\
\x61\x73\x6b\x5f\x73\x74\x72\x75\x63\x74\x5f\x5f\x5f\x62\x61\x64\0\x70\x69\x64\
\0\x66\x61\x6b\x65\x5f\x66\x69\x65\x6c\x64\0\x66\x61\x6b\x65\x5f\x66\x69\x65\
\x6c\x64\x5f\x73\x75\x62\x70\x72\x6f\x67\0\x62\x61\x64\x5f\x72\x65\x6c\x6f\x5f\
\x73\x75\x62\x70\x72\x6f\x67\0\x62\x61\x64\x5f\x73\x75\x62\x70\x72\x6f\x67\0\
\x75\x73\x65\x5f\x6d\x69\x73\x73\x69\x6e\x67\x5f\x6d\x61\x70\0\x75\x73\x65\x5f\
\x6d\x69\x73\x73\x69\x6e\x67\x5f\x6b\x66\x75\x6e\x63\0\x62\x70\x66\x5f\x6e\x6f\
\x6e\x65\x78\x69\x73\x74\x65\x6e\x74\x5f\x6b\x66\x75\x6e\x63\0\x63\x68\x61\x72\
\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\
\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\
\x35\x2e\x31\x34\x2e\x30\x2d\x35\x37\x30\x2e\x32\x38\x2e\x31\x2e\x65\x6c\x39\
\x5f\x36\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x37\x30\
\x2e\x32\x38\x2e\x31\x2e\x65\x6c\x39\x5f\x36\x2e\x78\x38\x36\x5f\x36\x34\x2f\
\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\
\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x74\x65\x73\x74\
\x5f\x6c\x6f\x67\x5f\x66\x69\x78\x75\x70\x2e\x63\0\x09\x72\x65\x74\x75\x72\x6e\
\x20\x28\x76\x6f\x69\x64\x20\x2a\x29\x26\x74\x2d\x3e\x66\x61\x6b\x65\x5f\x66\
\x69\x65\x6c\x64\x5f\x73\x75\x62\x70\x72\x6f\x67\x20\x2d\x20\x28\x76\x6f\x69\
\x64\x20\x2a\x29\x74\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x62\x70\x66\x5f\x63\
\x6f\x72\x65\x5f\x66\x69\x65\x6c\x64\x5f\x73\x69\x7a\x65\x28\x74\x2d\x3e\x66\
\x61\x6b\x65\x5f\x66\x69\x65\x6c\x64\x29\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\
\x62\x61\x64\x5f\x73\x75\x62\x70\x72\x6f\x67\x28\x29\x20\x2b\x20\x62\x70\x66\
\x5f\x63\x6f\x72\x65\x5f\x66\x69\x65\x6c\x64\x5f\x73\x69\x7a\x65\x28\x74\x2d\
\x3e\x70\x69\x64\x29\x3b\0\x69\x6e\x74\x20\x75\x73\x65\x5f\x6d\x69\x73\x73\x69\
\x6e\x67\x5f\x6d\x61\x70\x28\x63\x6f\x6e\x73\x74\x20\x76\x6f\x69\x64\x20\x2a\
\x63\x74\x78\x29\0\x09\x69\x6e\x74\x20\x7a\x65\x72\x6f\x20\x3d\x20\x30\x2c\x20\
\x2a\x76\x61\x6c\x75\x65\x3b\0\x09\x76\x61\x6c\x75\x65\x20\x3d\x20\x62\x70\x66\
\x5f\x6d\x61\x70\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\x65\x6c\x65\x6d\x28\x26\x65\
\x78\x69\x73\x74\x69\x6e\x67\x5f\x6d\x61\x70\x2c\x20\x26\x7a\x65\x72\x6f\x29\
\x3b\0\x09\x76\x61\x6c\x75\x65\x20\x3d\x20\x62\x70\x66\x5f\x6d\x61\x70\x5f\x6c\
\x6f\x6f\x6b\x75\x70\x5f\x65\x6c\x65\x6d\x28\x26\x6d\x69\x73\x73\x69\x6e\x67\
\x5f\x6d\x61\x70\x2c\x20\x26\x7a\x65\x72\x6f\x29\x3b\0\x09\x72\x65\x74\x75\x72\
\x6e\x20\x76\x61\x6c\x75\x65\x20\x21\x3d\x20\x4e\x55\x4c\x4c\x3b\0\x09\x62\x70\
\x66\x5f\x6e\x6f\x6e\x65\x78\x69\x73\x74\x65\x6e\x74\x5f\x6b\x66\x75\x6e\x63\
\x28\x29\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x30\x3b\0\x30\x3a\x32\0\x30\x3a\
\x31\0\x30\x3a\x30\0\x2e\x6d\x61\x70\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\
\x6b\x73\x79\x6d\x73\0\x2e\x74\x65\x78\x74\0\x3f\x72\x61\x77\x5f\x74\x70\x2f\
\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x3c\0\
\0\0\x3c\0\0\0\xe4\0\0\0\x20\x01\0\0\x44\0\0\0\x08\0\0\0\x0f\x03\0\0\x01\0\0\0\
\0\0\0\0\x13\0\0\0\x15\x03\0\0\x04\0\0\0\0\0\0\0\x0e\0\0\0\x10\0\0\0\x11\0\0\0\
\x38\0\0\0\x14\0\0\0\xc0\0\0\0\x15\0\0\0\x10\0\0\0\x0f\x03\0\0\x01\0\0\0\0\0\0\
\0\xf1\0\0\0\x7a\x01\0\0\x02\x6c\0\0\x15\x03\0\0\x0c\0\0\0\0\0\0\0\xf1\0\0\0\
\xae\x01\0\0\x02\x4c\0\0\x10\0\0\0\xf1\0\0\0\xda\x01\0\0\x09\x8c\0\0\x20\0\0\0\
\xf1\0\0\0\xda\x01\0\0\x17\x8c\0\0\x28\0\0\0\xf1\0\0\0\xda\x01\0\0\x02\x8c\0\0\
\x38\0\0\0\xf1\0\0\0\x0f\x02\0\0\0\xd4\0\0\x40\0\0\0\xf1\0\0\0\x34\x02\0\0\x06\
\xdc\0\0\x58\0\0\0\xf1\0\0\0\x4b\x02\0\0\x0a\xe4\0\0\x78\0\0\0\xf1\0\0\0\x7f\
\x02\0\0\x0a\xec\0\0\xa8\0\0\0\xf1\0\0\0\xb2\x02\0\0\x0f\xf4\0\0\xb8\0\0\0\xf1\
\0\0\0\xb2\x02\0\0\x02\xf4\0\0\xc0\0\0\0\xf1\0\0\0\xc9\x02\0\0\x02\x14\x01\0\
\xc8\0\0\0\xf1\0\0\0\xe3\x02\0\0\x02\x1c\x01\0\x10\0\0\0\x0f\x03\0\0\x01\0\0\0\
\0\0\0\0\x0f\0\0\0\xee\x02\0\0\0\0\0\0\x15\x03\0\0\x02\0\0\0\0\0\0\0\x0f\0\0\0\
\xf2\x02\0\0\x01\0\0\0\x18\0\0\0\x0f\0\0\0\xf6\x02\0\0\x01\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\xec\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x30\x01\0\0\0\0\0\0\x38\x01\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\
\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x68\
\x02\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x17\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x78\x02\0\0\0\0\0\
\0\xd8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x29\0\0\
\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x50\x03\0\0\0\0\0\0\x40\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x2f\0\0\0\x01\0\0\0\
\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x90\x03\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc8\0\0\0\x09\0\0\0\x40\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x98\x03\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\
\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xde\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\xd8\x03\0\0\0\0\0\0\x57\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xe3\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x30\
\x09\0\0\0\0\0\0\x84\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct test_log_fixup *test_log_fixup::open(const struct bpf_object_open_opts *opts) { return test_log_fixup__open_opts(opts); }
struct test_log_fixup *test_log_fixup::open_and_load() { return test_log_fixup__open_and_load(); }
int test_log_fixup::load(struct test_log_fixup *skel) { return test_log_fixup__load(skel); }
int test_log_fixup::attach(struct test_log_fixup *skel) { return test_log_fixup__attach(skel); }
void test_log_fixup::detach(struct test_log_fixup *skel) { test_log_fixup__detach(skel); }
void test_log_fixup::destroy(struct test_log_fixup *skel) { test_log_fixup__destroy(skel); }
const void *test_log_fixup::elf_bytes(size_t *sz) { return test_log_fixup__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
test_log_fixup__assert(struct test_log_fixup *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __TEST_LOG_FIXUP_SKEL_H__ */
