/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __TEST_NS_CURRENT_PID_TGID_SKEL_H__
#define __TEST_NS_CURRENT_PID_TGID_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct test_ns_current_pid_tgid {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *sock_map;
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *tp_handler;
		struct bpf_program *cgroup_bind4;
		struct bpf_program *sk_msg;
	} progs;
	struct {
		struct bpf_link *tp_handler;
		struct bpf_link *cgroup_bind4;
		struct bpf_link *sk_msg;
	} links;
	struct test_ns_current_pid_tgid__bss {
		__u64 user_pid;
		__u64 user_tgid;
		__u64 dev;
		__u64 ino;
	} *bss;

#ifdef __cplusplus
	static inline struct test_ns_current_pid_tgid *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct test_ns_current_pid_tgid *open_and_load();
	static inline int load(struct test_ns_current_pid_tgid *skel);
	static inline int attach(struct test_ns_current_pid_tgid *skel);
	static inline void detach(struct test_ns_current_pid_tgid *skel);
	static inline void destroy(struct test_ns_current_pid_tgid *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
test_ns_current_pid_tgid__destroy(struct test_ns_current_pid_tgid *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_ns_current_pid_tgid__create_skeleton(struct test_ns_current_pid_tgid *obj);

static inline struct test_ns_current_pid_tgid *
test_ns_current_pid_tgid__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_ns_current_pid_tgid *obj;
	int err;

	obj = (struct test_ns_current_pid_tgid *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = test_ns_current_pid_tgid__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	test_ns_current_pid_tgid__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct test_ns_current_pid_tgid *
test_ns_current_pid_tgid__open(void)
{
	return test_ns_current_pid_tgid__open_opts(NULL);
}

static inline int
test_ns_current_pid_tgid__load(struct test_ns_current_pid_tgid *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_ns_current_pid_tgid *
test_ns_current_pid_tgid__open_and_load(void)
{
	struct test_ns_current_pid_tgid *obj;
	int err;

	obj = test_ns_current_pid_tgid__open();
	if (!obj)
		return NULL;
	err = test_ns_current_pid_tgid__load(obj);
	if (err) {
		test_ns_current_pid_tgid__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
test_ns_current_pid_tgid__attach(struct test_ns_current_pid_tgid *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_ns_current_pid_tgid__detach(struct test_ns_current_pid_tgid *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *test_ns_current_pid_tgid__elf_bytes(size_t *sz);

static inline int
test_ns_current_pid_tgid__create_skeleton(struct test_ns_current_pid_tgid *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "test_ns_current_pid_tgid";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 2;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "sock_map";
	map->map = &obj->maps.sock_map;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 1 * s->map_skel_sz);
	map->name = "test_ns_.bss";
	map->map = &obj->maps.bss;
	map->mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 3;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "tp_handler";
	s->progs[0].prog = &obj->progs.tp_handler;
	s->progs[0].link = &obj->links.tp_handler;

	s->progs[1].name = "cgroup_bind4";
	s->progs[1].prog = &obj->progs.cgroup_bind4;
	s->progs[1].link = &obj->links.cgroup_bind4;

	s->progs[2].name = "sk_msg";
	s->progs[2].prog = &obj->progs.sk_msg;
	s->progs[2].link = &obj->links.sk_msg;

	s->data = test_ns_current_pid_tgid__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *test_ns_current_pid_tgid__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xe8\x0e\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0e\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x3f\x74\
\x72\x61\x63\x65\x70\x6f\x69\x6e\x74\x2f\x73\x79\x73\x63\x61\x6c\x6c\x73\x2f\
\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\x5f\x6e\x61\x6e\x6f\x73\x6c\x65\x65\x70\0\
\x3f\x63\x67\x72\x6f\x75\x70\x2f\x62\x69\x6e\x64\x34\0\x3f\x73\x6b\x5f\x6d\x73\
\x67\0\x2e\x62\x73\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x6d\x61\x70\x73\0\
\x74\x65\x73\x74\x5f\x6e\x73\x5f\x63\x75\x72\x72\x65\x6e\x74\x5f\x70\x69\x64\
\x5f\x74\x67\x69\x64\x2e\x63\0\x74\x70\x5f\x68\x61\x6e\x64\x6c\x65\x72\0\x64\
\x65\x76\0\x69\x6e\x6f\0\x75\x73\x65\x72\x5f\x70\x69\x64\0\x75\x73\x65\x72\x5f\
\x74\x67\x69\x64\0\x63\x67\x72\x6f\x75\x70\x5f\x62\x69\x6e\x64\x34\0\x73\x6b\
\x5f\x6d\x73\x67\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x73\x6f\x63\x6b\x5f\x6d\
\x61\x70\0\x2e\x72\x65\x6c\x3f\x74\x72\x61\x63\x65\x70\x6f\x69\x6e\x74\x2f\x73\
\x79\x73\x63\x61\x6c\x6c\x73\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\x5f\x6e\
\x61\x6e\x6f\x73\x6c\x65\x65\x70\0\x2e\x72\x65\x6c\x3f\x63\x67\x72\x6f\x75\x70\
\x2f\x62\x69\x6e\x64\x34\0\x2e\x72\x65\x6c\x3f\x73\x6b\x5f\x6d\x73\x67\0\x2e\
\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x63\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x04\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x7e\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\xa8\0\0\0\0\0\0\0\x89\0\0\0\x11\0\
\x06\0\x10\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x8d\0\0\0\x11\0\x06\0\x18\0\0\0\0\0\
\0\0\x08\0\0\0\0\0\0\0\x91\0\0\0\x11\0\x06\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\
\x9a\0\0\0\x11\0\x06\0\x08\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\xa4\0\0\0\x12\0\x04\
\0\0\0\0\0\0\0\0\0\xa8\0\0\0\0\0\0\0\xb1\0\0\0\x12\0\x05\0\0\0\0\0\0\0\0\0\xa8\
\0\0\0\0\0\0\0\xb8\0\0\0\x11\0\x07\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xc1\0\0\
\0\x11\0\x08\0\0\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x79\x11\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x79\x22\0\0\0\0\
\0\0\xbf\xa3\0\0\0\0\0\0\x07\x03\0\0\xf8\xff\xff\xff\xb4\x04\0\0\x08\0\0\0\x85\
\0\0\0\x78\0\0\0\x55\0\x08\0\0\0\0\0\x61\xa1\xf8\xff\0\0\0\0\x18\x02\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x7b\x12\0\0\0\0\0\0\x61\xa1\xfc\xff\0\0\0\0\x18\x02\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x7b\x12\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\
\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x79\x11\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x79\x22\0\0\0\0\0\0\xbf\xa3\0\0\0\0\0\0\x07\x03\0\0\xf8\xff\xff\
\xff\xb4\x04\0\0\x08\0\0\0\x85\0\0\0\x78\0\0\0\x55\0\x08\0\0\0\0\0\x61\xa1\xf8\
\xff\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x12\0\0\0\0\0\0\x61\xa1\
\xfc\xff\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x12\0\0\0\0\0\0\xb4\0\
\0\0\x01\0\0\0\x95\0\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x79\x11\0\
\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x79\x22\0\0\0\0\0\0\xbf\xa3\0\0\
\0\0\0\0\x07\x03\0\0\xf8\xff\xff\xff\xb4\x04\0\0\x08\0\0\0\x85\0\0\0\x78\0\0\0\
\x55\0\x08\0\0\0\0\0\x61\xa1\xf8\xff\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x7b\x12\0\0\0\0\0\0\x61\xa1\xfc\xff\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x7b\x12\0\0\0\0\0\0\xb4\0\0\0\x01\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x01\0\0\0\x06\0\0\0\x18\0\0\0\0\0\0\0\x01\0\0\0\x07\0\0\0\x60\0\0\0\0\
\0\0\0\x01\0\0\0\x08\0\0\0\x80\0\0\0\0\0\0\0\x01\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\
\0\x01\0\0\0\x06\0\0\0\x18\0\0\0\0\0\0\0\x01\0\0\0\x07\0\0\0\x60\0\0\0\0\0\0\0\
\x01\0\0\0\x08\0\0\0\x80\0\0\0\0\0\0\0\x01\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\x01\
\0\0\0\x06\0\0\0\x18\0\0\0\0\0\0\0\x01\0\0\0\x07\0\0\0\x60\0\0\0\0\0\0\0\x01\0\
\0\0\x08\0\0\0\x80\0\0\0\0\0\0\0\x01\0\0\0\x09\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\
\0\0\0\x04\x04\0\0\x04\x04\0\0\x13\x03\0\0\0\0\0\0\0\0\0\x02\x03\0\0\0\x01\0\0\
\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\
\0\x0f\0\0\0\x05\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x02\x06\0\0\
\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\x02\
\x08\0\0\0\x19\0\0\0\0\0\0\x08\x09\0\0\0\x1f\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\
\0\0\0\0\0\x04\0\0\x04\x20\0\0\0\x2c\0\0\0\x01\0\0\0\0\0\0\0\x31\0\0\0\x05\0\0\
\0\x40\0\0\0\x3d\0\0\0\x07\0\0\0\x80\0\0\0\x41\0\0\0\x07\0\0\0\xc0\0\0\0\x47\0\
\0\0\0\0\0\x0e\x0a\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x0d\0\0\0\0\0\0\0\0\0\0\
\x0a\0\0\0\0\0\0\0\0\x01\0\0\x0d\x02\0\0\0\x50\0\0\0\x0c\0\0\0\x54\0\0\0\x01\0\
\0\x0c\x0e\0\0\0\0\0\0\0\0\0\0\x02\x11\0\0\0\x5f\0\0\0\x0a\0\0\x04\x48\0\0\0\
\x6d\0\0\0\x08\0\0\0\0\0\0\0\x79\0\0\0\x08\0\0\0\x20\0\0\0\x82\0\0\0\x12\0\0\0\
\x40\0\0\0\x8b\0\0\0\x08\0\0\0\xc0\0\0\0\x95\0\0\0\x08\0\0\0\xe0\0\0\0\x2c\0\0\
\0\x08\0\0\0\0\x01\0\0\x9c\0\0\0\x08\0\0\0\x20\x01\0\0\xa5\0\0\0\x08\0\0\0\x40\
\x01\0\0\xb1\0\0\0\x12\0\0\0\x60\x01\0\0\0\0\0\0\x13\0\0\0\0\x02\0\0\0\0\0\0\0\
\0\0\x03\0\0\0\0\x08\0\0\0\x04\0\0\0\x04\0\0\0\0\0\0\0\x01\0\0\x05\x08\0\0\0\
\xbd\0\0\0\x14\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x27\0\0\0\0\0\0\0\x01\0\0\x0d\
\x02\0\0\0\x50\0\0\0\x10\0\0\0\xc0\0\0\0\x01\0\0\x0c\x15\0\0\0\0\0\0\0\0\0\0\
\x02\x18\0\0\0\xcd\0\0\0\x0b\0\0\x04\x50\0\0\0\0\0\0\0\x19\0\0\0\0\0\0\0\0\0\0\
\0\x1b\0\0\0\x40\0\0\0\x95\0\0\0\x08\0\0\0\x80\0\0\0\xd7\0\0\0\x08\0\0\0\xa0\0\
\0\0\xe2\0\0\0\x08\0\0\0\xc0\0\0\0\xec\0\0\0\x12\0\0\0\xe0\0\0\0\xf7\0\0\0\x12\
\0\0\0\x60\x01\0\0\x01\x01\0\0\x08\0\0\0\xe0\x01\0\0\x0d\x01\0\0\x08\0\0\0\0\
\x02\0\0\x18\x01\0\0\x08\0\0\0\x20\x02\0\0\0\0\0\0\x13\0\0\0\x40\x02\0\0\0\0\0\
\0\x01\0\0\x05\x08\0\0\0\x1d\x01\0\0\x1a\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\
\0\0\0\0\0\x01\0\0\x05\x08\0\0\0\x22\x01\0\0\x1a\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\
\x0d\x02\0\0\0\x2b\x01\0\0\x17\0\0\0\x2f\x01\0\0\x01\0\0\x0c\x1c\0\0\0\x36\x01\
\0\0\0\0\0\x08\x1f\0\0\0\x3c\x01\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\x4f\x01\0\0\
\0\0\0\x0e\x1e\0\0\0\x01\0\0\0\x58\x01\0\0\0\0\0\x0e\x1e\0\0\0\x01\0\0\0\x62\
\x01\0\0\0\0\0\x0e\x1e\0\0\0\x01\0\0\0\x66\x01\0\0\0\0\0\x0e\x1e\0\0\0\x01\0\0\
\0\x6a\x01\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x24\0\
\0\0\x04\0\0\0\x04\0\0\0\x6f\x01\0\0\0\0\0\x0e\x25\0\0\0\x01\0\0\0\x78\x01\0\0\
\0\0\0\x07\0\0\0\0\xc1\x02\0\0\x04\0\0\x0f\x20\0\0\0\x20\0\0\0\0\0\0\0\x08\0\0\
\0\x21\0\0\0\x08\0\0\0\x08\0\0\0\x22\0\0\0\x10\0\0\0\x08\0\0\0\x23\0\0\0\x18\0\
\0\0\x08\0\0\0\xc6\x02\0\0\x01\0\0\x0f\x04\0\0\0\x26\0\0\0\0\0\0\0\x04\0\0\0\
\xce\x02\0\0\x01\0\0\x0f\x20\0\0\0\x0b\0\0\0\0\0\0\0\x20\0\0\0\0\x69\x6e\x74\0\
\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\
\x5f\x5f\x75\x33\x32\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x74\
\x79\x70\x65\0\x6d\x61\x78\x5f\x65\x6e\x74\x72\x69\x65\x73\0\x6b\x65\x79\0\x76\
\x61\x6c\x75\x65\0\x73\x6f\x63\x6b\x5f\x6d\x61\x70\0\x63\x74\x78\0\x74\x70\x5f\
\x68\x61\x6e\x64\x6c\x65\x72\0\x62\x70\x66\x5f\x73\x6f\x63\x6b\x5f\x61\x64\x64\
\x72\0\x75\x73\x65\x72\x5f\x66\x61\x6d\x69\x6c\x79\0\x75\x73\x65\x72\x5f\x69\
\x70\x34\0\x75\x73\x65\x72\x5f\x69\x70\x36\0\x75\x73\x65\x72\x5f\x70\x6f\x72\
\x74\0\x66\x61\x6d\x69\x6c\x79\0\x70\x72\x6f\x74\x6f\x63\x6f\x6c\0\x6d\x73\x67\
\x5f\x73\x72\x63\x5f\x69\x70\x34\0\x6d\x73\x67\x5f\x73\x72\x63\x5f\x69\x70\x36\
\0\x73\x6b\0\x63\x67\x72\x6f\x75\x70\x5f\x62\x69\x6e\x64\x34\0\x73\x6b\x5f\x6d\
\x73\x67\x5f\x6d\x64\0\x72\x65\x6d\x6f\x74\x65\x5f\x69\x70\x34\0\x6c\x6f\x63\
\x61\x6c\x5f\x69\x70\x34\0\x72\x65\x6d\x6f\x74\x65\x5f\x69\x70\x36\0\x6c\x6f\
\x63\x61\x6c\x5f\x69\x70\x36\0\x72\x65\x6d\x6f\x74\x65\x5f\x70\x6f\x72\x74\0\
\x6c\x6f\x63\x61\x6c\x5f\x70\x6f\x72\x74\0\x73\x69\x7a\x65\0\x64\x61\x74\x61\0\
\x64\x61\x74\x61\x5f\x65\x6e\x64\0\x6d\x73\x67\0\x73\x6b\x5f\x6d\x73\x67\0\x5f\
\x5f\x75\x36\x34\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\
\x6f\x6e\x67\0\x75\x73\x65\x72\x5f\x70\x69\x64\0\x75\x73\x65\x72\x5f\x74\x67\
\x69\x64\0\x64\x65\x76\0\x69\x6e\x6f\0\x63\x68\x61\x72\0\x5f\x6c\x69\x63\x65\
\x6e\x73\x65\0\x62\x70\x66\x5f\x73\x6f\x63\x6b\0\x2f\x62\x75\x69\x6c\x64\x64\
\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\
\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x37\x30\x2e\x32\x38\x2e\x31\x2e\
\x65\x6c\x39\x5f\x36\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\
\x35\x37\x30\x2e\x32\x38\x2e\x31\x2e\x65\x6c\x39\x5f\x36\x2e\x78\x38\x36\x5f\
\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\
\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x74\
\x65\x73\x74\x5f\x6e\x73\x5f\x63\x75\x72\x72\x65\x6e\x74\x5f\x70\x69\x64\x5f\
\x74\x67\x69\x64\x2e\x63\0\x09\x69\x66\x20\x28\x62\x70\x66\x5f\x67\x65\x74\x5f\
\x6e\x73\x5f\x63\x75\x72\x72\x65\x6e\x74\x5f\x70\x69\x64\x5f\x74\x67\x69\x64\
\x28\x64\x65\x76\x2c\x20\x69\x6e\x6f\x2c\x20\x26\x6e\x73\x64\x61\x74\x61\x2c\
\x20\x73\x69\x7a\x65\x6f\x66\x28\x73\x74\x72\x75\x63\x74\x20\x62\x70\x66\x5f\
\x70\x69\x64\x6e\x73\x5f\x69\x6e\x66\x6f\x29\x29\x29\0\x09\x75\x73\x65\x72\x5f\
\x70\x69\x64\x20\x3d\x20\x6e\x73\x64\x61\x74\x61\x2e\x70\x69\x64\x3b\0\x09\x75\
\x73\x65\x72\x5f\x74\x67\x69\x64\x20\x3d\x20\x6e\x73\x64\x61\x74\x61\x2e\x74\
\x67\x69\x64\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x30\x3b\0\x09\x72\x65\x74\
\x75\x72\x6e\x20\x31\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x53\x4b\x5f\x50\x41\
\x53\x53\x3b\0\x2e\x62\x73\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x6d\x61\x70\
\x73\0\x3f\x74\x72\x61\x63\x65\x70\x6f\x69\x6e\x74\x2f\x73\x79\x73\x63\x61\x6c\
\x6c\x73\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\x5f\x6e\x61\x6e\x6f\x73\x6c\
\x65\x65\x70\0\x3f\x63\x67\x72\x6f\x75\x70\x2f\x62\x69\x6e\x64\x34\0\x3f\x73\
\x6b\x5f\x6d\x73\x67\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x34\0\0\0\x34\0\0\0\
\xcc\x01\0\0\0\x02\0\0\0\0\0\0\x08\0\0\0\xd4\x02\0\0\x01\0\0\0\0\0\0\0\x0f\0\0\
\0\xfd\x02\0\0\x01\0\0\0\0\0\0\0\x16\0\0\0\x0b\x03\0\0\x01\0\0\0\0\0\0\0\x1d\0\
\0\0\x10\0\0\0\xd4\x02\0\0\x09\0\0\0\0\0\0\0\x81\x01\0\0\x14\x02\0\0\x22\x60\0\
\0\x18\0\0\0\x81\x01\0\0\x14\x02\0\0\x27\x60\0\0\x40\0\0\0\x81\x01\0\0\x14\x02\
\0\0\x06\x60\0\0\x50\0\0\0\x81\x01\0\0\x14\x02\0\0\x06\x60\0\0\x58\0\0\0\x81\
\x01\0\0\x68\x02\0\0\x14\x6c\0\0\x60\0\0\0\x81\x01\0\0\x68\x02\0\0\x0b\x6c\0\0\
\x78\0\0\0\x81\x01\0\0\x80\x02\0\0\x15\x70\0\0\x80\0\0\0\x81\x01\0\0\x80\x02\0\
\0\x0c\x70\0\0\x98\0\0\0\x81\x01\0\0\x9a\x02\0\0\x02\x8c\0\0\xfd\x02\0\0\x09\0\
\0\0\0\0\0\0\x81\x01\0\0\x14\x02\0\0\x22\x60\0\0\x18\0\0\0\x81\x01\0\0\x14\x02\
\0\0\x27\x60\0\0\x40\0\0\0\x81\x01\0\0\x14\x02\0\0\x06\x60\0\0\x50\0\0\0\x81\
\x01\0\0\x14\x02\0\0\x06\x60\0\0\x58\0\0\0\x81\x01\0\0\x68\x02\0\0\x14\x6c\0\0\
\x60\0\0\0\x81\x01\0\0\x68\x02\0\0\x0b\x6c\0\0\x78\0\0\0\x81\x01\0\0\x80\x02\0\
\0\x15\x70\0\0\x80\0\0\0\x81\x01\0\0\x80\x02\0\0\x0c\x70\0\0\x98\0\0\0\x81\x01\
\0\0\xa5\x02\0\0\x02\xa8\0\0\x0b\x03\0\0\x09\0\0\0\0\0\0\0\x81\x01\0\0\x14\x02\
\0\0\x22\x60\0\0\x18\0\0\0\x81\x01\0\0\x14\x02\0\0\x27\x60\0\0\x40\0\0\0\x81\
\x01\0\0\x14\x02\0\0\x06\x60\0\0\x50\0\0\0\x81\x01\0\0\x14\x02\0\0\x06\x60\0\0\
\x58\0\0\0\x81\x01\0\0\x68\x02\0\0\x14\x6c\0\0\x60\0\0\0\x81\x01\0\0\x68\x02\0\
\0\x0b\x6c\0\0\x78\0\0\0\x81\x01\0\0\x80\x02\0\0\x15\x70\0\0\x80\0\0\0\x81\x01\
\0\0\x80\x02\0\0\x0c\x70\0\0\x98\0\0\0\x81\x01\0\0\xb0\x02\0\0\x02\xc4\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x23\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x68\x01\0\0\0\0\0\0\x50\x01\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\
\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xb8\x02\0\0\0\0\0\0\xa8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x3a\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x60\x03\0\0\0\
\0\0\0\xa8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x48\
\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\x04\0\0\0\0\0\0\xa8\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x50\0\0\0\x08\0\0\
\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb0\x04\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x55\0\0\0\x01\0\0\0\x03\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xb0\x04\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x5d\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\xb8\x04\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\xca\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd8\
\x04\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x02\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\
\0\0\0\0\0\0\xf7\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x05\0\0\
\0\0\0\0\x40\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\
\0\0\x09\x01\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x58\x05\0\0\0\0\0\
\0\x40\0\0\0\0\0\0\0\x02\0\0\0\x05\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\
\x15\x01\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x98\x05\0\0\0\0\0\0\x2f\
\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1a\x01\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc8\x0c\0\0\0\0\0\0\x20\x02\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct test_ns_current_pid_tgid *test_ns_current_pid_tgid::open(const struct bpf_object_open_opts *opts) { return test_ns_current_pid_tgid__open_opts(opts); }
struct test_ns_current_pid_tgid *test_ns_current_pid_tgid::open_and_load() { return test_ns_current_pid_tgid__open_and_load(); }
int test_ns_current_pid_tgid::load(struct test_ns_current_pid_tgid *skel) { return test_ns_current_pid_tgid__load(skel); }
int test_ns_current_pid_tgid::attach(struct test_ns_current_pid_tgid *skel) { return test_ns_current_pid_tgid__attach(skel); }
void test_ns_current_pid_tgid::detach(struct test_ns_current_pid_tgid *skel) { test_ns_current_pid_tgid__detach(skel); }
void test_ns_current_pid_tgid::destroy(struct test_ns_current_pid_tgid *skel) { test_ns_current_pid_tgid__destroy(skel); }
const void *test_ns_current_pid_tgid::elf_bytes(size_t *sz) { return test_ns_current_pid_tgid__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
test_ns_current_pid_tgid__assert(struct test_ns_current_pid_tgid *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->user_pid) == 8, "unexpected size of 'user_pid'");
	_Static_assert(sizeof(s->bss->user_tgid) == 8, "unexpected size of 'user_tgid'");
	_Static_assert(sizeof(s->bss->dev) == 8, "unexpected size of 'dev'");
	_Static_assert(sizeof(s->bss->ino) == 8, "unexpected size of 'ino'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __TEST_NS_CURRENT_PID_TGID_SKEL_H__ */
