/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __TEST_PERF_BUFFER_SKEL_H__
#define __TEST_PERF_BUFFER_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct test_perf_buffer {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *my_pid_map;
		struct bpf_map *perf_buf_map;
	} maps;
	struct {
		struct bpf_program *handle_sys_enter;
	} progs;
	struct {
		struct bpf_link *handle_sys_enter;
	} links;

#ifdef __cplusplus
	static inline struct test_perf_buffer *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct test_perf_buffer *open_and_load();
	static inline int load(struct test_perf_buffer *skel);
	static inline int attach(struct test_perf_buffer *skel);
	static inline void detach(struct test_perf_buffer *skel);
	static inline void destroy(struct test_perf_buffer *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
test_perf_buffer__destroy(struct test_perf_buffer *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_perf_buffer__create_skeleton(struct test_perf_buffer *obj);

static inline struct test_perf_buffer *
test_perf_buffer__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_perf_buffer *obj;
	int err;

	obj = (struct test_perf_buffer *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = test_perf_buffer__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	test_perf_buffer__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct test_perf_buffer *
test_perf_buffer__open(void)
{
	return test_perf_buffer__open_opts(NULL);
}

static inline int
test_perf_buffer__load(struct test_perf_buffer *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_perf_buffer *
test_perf_buffer__open_and_load(void)
{
	struct test_perf_buffer *obj;
	int err;

	obj = test_perf_buffer__open();
	if (!obj)
		return NULL;
	err = test_perf_buffer__load(obj);
	if (err) {
		test_perf_buffer__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
test_perf_buffer__attach(struct test_perf_buffer *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_perf_buffer__detach(struct test_perf_buffer *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *test_perf_buffer__elf_bytes(size_t *sz);

static inline int
test_perf_buffer__create_skeleton(struct test_perf_buffer *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "test_perf_buffer";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 2;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "my_pid_map";
	map->map = &obj->maps.my_pid_map;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 1 * s->map_skel_sz);
	map->name = "perf_buf_map";
	map->map = &obj->maps.perf_buf_map;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "handle_sys_enter";
	s->progs[0].prog = &obj->progs.handle_sys_enter;
	s->progs[0].link = &obj->links.handle_sys_enter;

	s->data = test_perf_buffer__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *test_perf_buffer__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x09\0\x01\
\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x74\x70\x2f\
\x72\x61\x77\x5f\x73\x79\x73\x63\x61\x6c\x6c\x73\x2f\x73\x79\x73\x5f\x65\x6e\
\x74\x65\x72\0\x2e\x6d\x61\x70\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x74\x65\x73\
\x74\x5f\x70\x65\x72\x66\x5f\x62\x75\x66\x66\x65\x72\x2e\x63\0\x68\x61\x6e\x64\
\x6c\x65\x5f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\0\x6d\x79\x5f\x70\x69\x64\x5f\
\x6d\x61\x70\0\x70\x65\x72\x66\x5f\x62\x75\x66\x5f\x6d\x61\x70\0\x5f\x6c\x69\
\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x74\x70\x2f\x72\x61\x77\x5f\x73\x79\x73\
\x63\x61\x6c\x6c\x73\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\0\x2e\x42\x54\x46\
\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x39\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x4c\0\0\0\x12\0\x03\0\0\0\0\0\
\0\0\0\0\xd8\0\0\0\0\0\0\0\x5d\0\0\0\x11\0\x04\0\0\0\0\0\0\0\0\0\x20\0\0\0\0\0\
\0\0\x68\0\0\0\x11\0\x04\0\x20\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x75\0\0\0\x11\0\
\x05\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xbf\x16\0\0\0\0\0\0\xb4\x01\0\0\0\0\0\
\0\x63\x1a\xfc\xff\0\0\0\0\x85\0\0\0\x08\0\0\0\x63\x0a\xf8\xff\0\0\0\0\xbf\xa2\
\0\0\0\0\0\0\x07\x02\0\0\xfc\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x85\0\0\0\x01\0\0\0\xbf\x07\0\0\0\0\0\0\x15\x07\x0d\0\0\0\0\0\x85\0\0\0\x0e\0\
\0\0\x61\x71\0\0\0\0\0\0\x77\0\0\0\x20\0\0\0\x5e\x01\x09\0\0\0\0\0\xbf\xa4\0\0\
\0\0\0\0\x07\x04\0\0\xf8\xff\xff\xff\xbf\x61\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x18\x03\0\0\xff\xff\xff\xff\0\0\0\0\0\0\0\0\xb7\x05\0\0\x04\0\0\
\0\x85\0\0\0\x19\0\0\0\xb4\0\0\0\x01\0\0\0\x95\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\x38\0\0\0\0\0\0\0\x01\0\0\0\x04\0\0\0\
\x98\0\0\0\0\0\0\0\x01\0\0\0\x05\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\xc4\x01\
\0\0\xc4\x01\0\0\x51\x02\0\0\0\0\0\0\0\0\0\x02\x03\0\0\0\x01\0\0\0\0\0\0\x01\
\x04\0\0\0\x20\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x02\0\0\0\
\x05\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x02\x02\0\0\0\0\0\0\0\0\
\0\0\x02\x07\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x01\0\0\0\0\0\
\0\0\x04\0\0\x04\x20\0\0\0\x19\0\0\0\x01\0\0\0\0\0\0\0\x1e\0\0\0\x05\0\0\0\x40\
\0\0\0\x22\0\0\0\x05\0\0\0\x80\0\0\0\x28\0\0\0\x06\0\0\0\xc0\0\0\0\x34\0\0\0\0\
\0\0\x0e\x08\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x0b\0\0\0\0\0\0\0\0\0\0\x03\0\0\
\0\0\x02\0\0\0\x04\0\0\0\x04\0\0\0\0\0\0\0\x03\0\0\x04\x18\0\0\0\x19\0\0\0\x0a\
\0\0\0\0\0\0\0\x1e\0\0\0\x05\0\0\0\x40\0\0\0\x22\0\0\0\x05\0\0\0\x80\0\0\0\x3f\
\0\0\0\0\0\0\x0e\x0c\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\0\0\x01\0\0\
\x0d\x02\0\0\0\x4c\0\0\0\x0e\0\0\0\x50\0\0\0\x01\0\0\x0c\x0f\0\0\0\x61\0\0\0\0\
\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x11\0\0\0\x04\0\0\0\
\x04\0\0\0\x66\0\0\0\0\0\0\x0e\x12\0\0\0\x01\0\0\0\x29\x02\0\0\x02\0\0\x0f\x38\
\0\0\0\x09\0\0\0\0\0\0\0\x20\0\0\0\x0d\0\0\0\x20\0\0\0\x18\0\0\0\x2f\x02\0\0\
\x01\0\0\x0f\x04\0\0\0\x13\0\0\0\0\0\0\0\x04\0\0\0\0\x69\x6e\x74\0\x5f\x5f\x41\
\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x74\x79\x70\
\x65\0\x6b\x65\x79\0\x76\x61\x6c\x75\x65\0\x6d\x61\x78\x5f\x65\x6e\x74\x72\x69\
\x65\x73\0\x6d\x79\x5f\x70\x69\x64\x5f\x6d\x61\x70\0\x70\x65\x72\x66\x5f\x62\
\x75\x66\x5f\x6d\x61\x70\0\x63\x74\x78\0\x68\x61\x6e\x64\x6c\x65\x5f\x73\x79\
\x73\x5f\x65\x6e\x74\x65\x72\0\x63\x68\x61\x72\0\x5f\x6c\x69\x63\x65\x6e\x73\
\x65\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\
\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\
\x37\x30\x2e\x32\x38\x2e\x31\x2e\x65\x6c\x39\x5f\x36\x2f\x6c\x69\x6e\x75\x78\
\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x37\x30\x2e\x32\x38\x2e\x31\x2e\x65\x6c\
\x39\x5f\x36\x2e\x78\x38\x36\x5f\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\
\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\
\x2f\x70\x72\x6f\x67\x73\x2f\x74\x65\x73\x74\x5f\x70\x65\x72\x66\x5f\x62\x75\
\x66\x66\x65\x72\x2e\x63\0\x69\x6e\x74\x20\x68\x61\x6e\x64\x6c\x65\x5f\x73\x79\
\x73\x5f\x65\x6e\x74\x65\x72\x28\x76\x6f\x69\x64\x20\x2a\x63\x74\x78\x29\0\x09\
\x69\x6e\x74\x20\x7a\x65\x72\x6f\x20\x3d\x20\x30\x2c\x20\x2a\x6d\x79\x5f\x70\
\x69\x64\x2c\x20\x63\x75\x72\x5f\x70\x69\x64\x3b\0\x09\x69\x6e\x74\x20\x63\x70\
\x75\x20\x3d\x20\x62\x70\x66\x5f\x67\x65\x74\x5f\x73\x6d\x70\x5f\x70\x72\x6f\
\x63\x65\x73\x73\x6f\x72\x5f\x69\x64\x28\x29\x3b\0\x09\x6d\x79\x5f\x70\x69\x64\
\x20\x3d\x20\x62\x70\x66\x5f\x6d\x61\x70\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\x65\
\x6c\x65\x6d\x28\x26\x6d\x79\x5f\x70\x69\x64\x5f\x6d\x61\x70\x2c\x20\x26\x7a\
\x65\x72\x6f\x29\x3b\0\x09\x69\x66\x20\x28\x21\x6d\x79\x5f\x70\x69\x64\x29\0\
\x09\x63\x75\x72\x5f\x70\x69\x64\x20\x3d\x20\x62\x70\x66\x5f\x67\x65\x74\x5f\
\x63\x75\x72\x72\x65\x6e\x74\x5f\x70\x69\x64\x5f\x74\x67\x69\x64\x28\x29\x20\
\x3e\x3e\x20\x33\x32\x3b\0\x09\x69\x66\x20\x28\x63\x75\x72\x5f\x70\x69\x64\x20\
\x21\x3d\x20\x2a\x6d\x79\x5f\x70\x69\x64\x29\0\x09\x62\x70\x66\x5f\x70\x65\x72\
\x66\x5f\x65\x76\x65\x6e\x74\x5f\x6f\x75\x74\x70\x75\x74\x28\x63\x74\x78\x2c\
\x20\x26\x70\x65\x72\x66\x5f\x62\x75\x66\x5f\x6d\x61\x70\x2c\x20\x42\x50\x46\
\x5f\x46\x5f\x43\x55\x52\x52\x45\x4e\x54\x5f\x43\x50\x55\x2c\0\x7d\0\x2e\x6d\
\x61\x70\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x74\x70\x2f\x72\x61\x77\x5f\x73\
\x79\x73\x63\x61\x6c\x6c\x73\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\0\0\0\0\
\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x14\0\0\0\x14\0\0\0\xcc\0\0\0\xe0\0\0\0\0\0\0\
\0\x08\0\0\0\x37\x02\0\0\x01\0\0\0\0\0\0\0\x10\0\0\0\x10\0\0\0\x37\x02\0\0\x0c\
\0\0\0\0\0\0\0\x6f\0\0\0\xfa\0\0\0\0\x5c\0\0\x10\0\0\0\x6f\0\0\0\x1a\x01\0\0\
\x06\x64\0\0\x18\0\0\0\x6f\0\0\0\x3b\x01\0\0\x0c\x68\0\0\x20\0\0\0\x6f\0\0\0\
\x3b\x01\0\0\x06\x68\0\0\x38\0\0\0\x6f\0\0\0\x62\x01\0\0\x0b\x70\0\0\x58\0\0\0\
\x6f\0\0\0\x95\x01\0\0\x06\x74\0\0\x60\0\0\0\x6f\0\0\0\xa3\x01\0\0\x0c\x80\0\0\
\x68\0\0\0\x6f\0\0\0\xd0\x01\0\0\x11\x84\0\0\x70\0\0\0\x6f\0\0\0\xa3\x01\0\0\
\x27\x80\0\0\x78\0\0\0\x6f\0\0\0\xd0\x01\0\0\x06\x84\0\0\x90\0\0\0\x6f\0\0\0\
\xe9\x01\0\0\x02\x90\0\0\xc8\0\0\0\x6f\0\0\0\x27\x02\0\0\x01\x9c\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\xaa\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xf0\0\0\0\0\0\0\0\xa8\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\
\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x98\x01\0\0\
\0\0\0\0\xd8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x2b\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x70\x02\0\0\0\0\0\0\x38\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x31\0\0\0\x01\
\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa8\x02\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7e\0\0\0\x09\0\0\0\x40\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\xb0\x02\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x02\0\0\0\x03\
\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x9c\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\xd0\x02\0\0\0\0\0\0\x2d\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa1\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x07\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct test_perf_buffer *test_perf_buffer::open(const struct bpf_object_open_opts *opts) { return test_perf_buffer__open_opts(opts); }
struct test_perf_buffer *test_perf_buffer::open_and_load() { return test_perf_buffer__open_and_load(); }
int test_perf_buffer::load(struct test_perf_buffer *skel) { return test_perf_buffer__load(skel); }
int test_perf_buffer::attach(struct test_perf_buffer *skel) { return test_perf_buffer__attach(skel); }
void test_perf_buffer::detach(struct test_perf_buffer *skel) { test_perf_buffer__detach(skel); }
void test_perf_buffer::destroy(struct test_perf_buffer *skel) { test_perf_buffer__destroy(skel); }
const void *test_perf_buffer::elf_bytes(size_t *sz) { return test_perf_buffer__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
test_perf_buffer__assert(struct test_perf_buffer *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __TEST_PERF_BUFFER_SKEL_H__ */
