/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __TEST_SK_STORAGE_TRACE_ITSELF_SKEL_H__
#define __TEST_SK_STORAGE_TRACE_ITSELF_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct test_sk_storage_trace_itself {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *sk_stg_map;
	} maps;
	struct {
		struct bpf_program *trace_bpf_sk_storage_free;
	} progs;
	struct {
		struct bpf_link *trace_bpf_sk_storage_free;
	} links;

#ifdef __cplusplus
	static inline struct test_sk_storage_trace_itself *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct test_sk_storage_trace_itself *open_and_load();
	static inline int load(struct test_sk_storage_trace_itself *skel);
	static inline int attach(struct test_sk_storage_trace_itself *skel);
	static inline void detach(struct test_sk_storage_trace_itself *skel);
	static inline void destroy(struct test_sk_storage_trace_itself *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
test_sk_storage_trace_itself__destroy(struct test_sk_storage_trace_itself *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_sk_storage_trace_itself__create_skeleton(struct test_sk_storage_trace_itself *obj);

static inline struct test_sk_storage_trace_itself *
test_sk_storage_trace_itself__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_sk_storage_trace_itself *obj;
	int err;

	obj = (struct test_sk_storage_trace_itself *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = test_sk_storage_trace_itself__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	test_sk_storage_trace_itself__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct test_sk_storage_trace_itself *
test_sk_storage_trace_itself__open(void)
{
	return test_sk_storage_trace_itself__open_opts(NULL);
}

static inline int
test_sk_storage_trace_itself__load(struct test_sk_storage_trace_itself *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_sk_storage_trace_itself *
test_sk_storage_trace_itself__open_and_load(void)
{
	struct test_sk_storage_trace_itself *obj;
	int err;

	obj = test_sk_storage_trace_itself__open();
	if (!obj)
		return NULL;
	err = test_sk_storage_trace_itself__load(obj);
	if (err) {
		test_sk_storage_trace_itself__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
test_sk_storage_trace_itself__attach(struct test_sk_storage_trace_itself *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_sk_storage_trace_itself__detach(struct test_sk_storage_trace_itself *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *test_sk_storage_trace_itself__elf_bytes(size_t *sz);

static inline int
test_sk_storage_trace_itself__create_skeleton(struct test_sk_storage_trace_itself *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "test_sk_storage_trace_itself";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "sk_stg_map";
	map->map = &obj->maps.sk_stg_map;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "trace_bpf_sk_storage_free";
	s->progs[0].prog = &obj->progs.trace_bpf_sk_storage_free;
	s->progs[0].link = &obj->links.trace_bpf_sk_storage_free;

	s->data = test_sk_storage_trace_itself__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *test_sk_storage_trace_itself__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xe8\x05\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x09\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x66\x65\
\x6e\x74\x72\x79\x2f\x62\x70\x66\x5f\x73\x6b\x5f\x73\x74\x6f\x72\x61\x67\x65\
\x5f\x66\x72\x65\x65\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x6d\x61\x70\x73\0\x74\
\x65\x73\x74\x5f\x73\x6b\x5f\x73\x74\x6f\x72\x61\x67\x65\x5f\x74\x72\x61\x63\
\x65\x5f\x69\x74\x73\x65\x6c\x66\x2e\x63\0\x74\x72\x61\x63\x65\x5f\x62\x70\x66\
\x5f\x73\x6b\x5f\x73\x74\x6f\x72\x61\x67\x65\x5f\x66\x72\x65\x65\0\x73\x6b\x5f\
\x73\x74\x67\x5f\x6d\x61\x70\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\
\x6c\x66\x65\x6e\x74\x72\x79\x2f\x62\x70\x66\x5f\x73\x6b\x5f\x73\x74\x6f\x72\
\x61\x67\x65\x5f\x66\x72\x65\x65\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\
\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x3a\0\0\0\
\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x59\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\x58\0\0\0\0\0\0\0\
\x73\0\0\0\x11\0\x05\0\0\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x7e\0\0\0\x11\0\x04\0\
\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x79\x12\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\xb7\x03\0\0\0\0\0\0\xb7\x04\0\0\x01\0\0\0\x85\0\0\0\x6b\0\0\0\x15\
\0\x02\0\0\0\0\0\xb4\x01\0\0\x01\0\0\0\x63\x10\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\
\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x01\0\0\0\x04\0\0\0\x9f\xeb\x01\0\
\x18\0\0\0\0\0\0\0\x64\x01\0\0\x64\x01\0\0\xbf\x01\0\0\0\0\0\0\0\0\0\x02\x03\0\
\0\0\x01\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\
\0\0\x04\0\0\0\x18\0\0\0\x05\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\
\x02\x06\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x01\0\0\0\0\0\0\0\
\0\0\0\x02\x02\0\0\0\0\0\0\0\x04\0\0\x04\x20\0\0\0\x19\0\0\0\x01\0\0\0\0\0\0\0\
\x1e\0\0\0\x05\0\0\0\x40\0\0\0\x28\0\0\0\x07\0\0\0\x80\0\0\0\x2c\0\0\0\x07\0\0\
\0\xc0\0\0\0\x32\0\0\0\0\0\0\x0e\x08\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x0b\0\0\
\0\x3d\0\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\0\0\0\0\x01\0\0\x0d\x02\0\0\0\x50\0\
\0\0\x0a\0\0\0\x54\0\0\0\x01\0\0\x0c\x0c\0\0\0\x6e\0\0\0\0\0\0\x01\x01\0\0\0\
\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x0e\0\0\0\x04\0\0\0\x04\0\0\0\x73\0\0\0\
\0\0\0\x0e\x0f\0\0\0\x01\0\0\0\x96\x01\0\0\x01\0\0\x0f\x04\0\0\0\x10\0\0\0\0\0\
\0\0\x04\0\0\0\x9e\x01\0\0\x01\0\0\x0f\x20\0\0\0\x09\0\0\0\0\0\0\0\x20\0\0\0\0\
\x69\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\
\x45\x5f\x5f\0\x74\x79\x70\x65\0\x6d\x61\x70\x5f\x66\x6c\x61\x67\x73\0\x6b\x65\
\x79\0\x76\x61\x6c\x75\x65\0\x73\x6b\x5f\x73\x74\x67\x5f\x6d\x61\x70\0\x75\x6e\
\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x63\x74\x78\
\0\x74\x72\x61\x63\x65\x5f\x62\x70\x66\x5f\x73\x6b\x5f\x73\x74\x6f\x72\x61\x67\
\x65\x5f\x66\x72\x65\x65\0\x63\x68\x61\x72\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\
\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\
\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x37\
\x30\x2e\x32\x38\x2e\x31\x2e\x65\x6c\x39\x5f\x36\x2f\x6c\x69\x6e\x75\x78\x2d\
\x35\x2e\x31\x34\x2e\x30\x2d\x35\x37\x30\x2e\x32\x38\x2e\x31\x2e\x65\x6c\x39\
\x5f\x36\x2e\x78\x38\x36\x5f\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\
\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\
\x70\x72\x6f\x67\x73\x2f\x74\x65\x73\x74\x5f\x73\x6b\x5f\x73\x74\x6f\x72\x61\
\x67\x65\x5f\x74\x72\x61\x63\x65\x5f\x69\x74\x73\x65\x6c\x66\x2e\x63\0\x69\x6e\
\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\x74\x72\x61\x63\x65\x5f\x62\x70\
\x66\x5f\x73\x6b\x5f\x73\x74\x6f\x72\x61\x67\x65\x5f\x66\x72\x65\x65\x2c\x20\
\x73\x74\x72\x75\x63\x74\x20\x73\x6f\x63\x6b\x20\x2a\x73\x6b\x29\0\x09\x76\x61\
\x6c\x75\x65\x20\x3d\x20\x62\x70\x66\x5f\x73\x6b\x5f\x73\x74\x6f\x72\x61\x67\
\x65\x5f\x67\x65\x74\x28\x26\x73\x6b\x5f\x73\x74\x67\x5f\x6d\x61\x70\x2c\x20\
\x73\x6b\x2c\x20\x30\x2c\0\x09\x69\x66\x20\x28\x76\x61\x6c\x75\x65\x29\0\x09\
\x09\x2a\x76\x61\x6c\x75\x65\x20\x3d\x20\x31\x3b\0\x6c\x69\x63\x65\x6e\x73\x65\
\0\x2e\x6d\x61\x70\x73\0\x66\x65\x6e\x74\x72\x79\x2f\x62\x70\x66\x5f\x73\x6b\
\x5f\x73\x74\x6f\x72\x61\x67\x65\x5f\x66\x72\x65\x65\0\0\0\0\0\0\x9f\xeb\x01\0\
\x20\0\0\0\0\0\0\0\x14\0\0\0\x14\0\0\0\x5c\0\0\0\x70\0\0\0\0\0\0\0\x08\0\0\0\
\xa4\x01\0\0\x01\0\0\0\0\0\0\0\x0d\0\0\0\x10\0\0\0\xa4\x01\0\0\x05\0\0\0\0\0\0\
\0\x7c\0\0\0\x13\x01\0\0\x05\x40\0\0\x08\0\0\0\x7c\0\0\0\x4c\x01\0\0\x0a\x50\0\
\0\x30\0\0\0\x7c\0\0\0\x7c\x01\0\0\x06\x5c\0\0\x40\0\0\0\x7c\0\0\0\x88\x01\0\0\
\x0a\x60\0\0\x48\0\0\0\x7c\0\0\0\x13\x01\0\0\x05\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x40\0\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf8\0\0\0\0\0\
\0\0\x90\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\
\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x88\x01\0\0\0\0\0\0\x58\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x2c\0\0\0\x01\
\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe0\x01\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x34\0\0\0\x01\0\0\0\x03\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\xe8\x01\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x87\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x08\x02\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x02\0\0\0\x03\0\0\0\x08\0\0\
\0\0\0\0\0\x10\0\0\0\0\0\0\0\xa6\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x18\x02\0\0\0\0\0\0\x3b\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\xab\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x58\x05\0\0\
\0\0\0\0\x90\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct test_sk_storage_trace_itself *test_sk_storage_trace_itself::open(const struct bpf_object_open_opts *opts) { return test_sk_storage_trace_itself__open_opts(opts); }
struct test_sk_storage_trace_itself *test_sk_storage_trace_itself::open_and_load() { return test_sk_storage_trace_itself__open_and_load(); }
int test_sk_storage_trace_itself::load(struct test_sk_storage_trace_itself *skel) { return test_sk_storage_trace_itself__load(skel); }
int test_sk_storage_trace_itself::attach(struct test_sk_storage_trace_itself *skel) { return test_sk_storage_trace_itself__attach(skel); }
void test_sk_storage_trace_itself::detach(struct test_sk_storage_trace_itself *skel) { test_sk_storage_trace_itself__detach(skel); }
void test_sk_storage_trace_itself::destroy(struct test_sk_storage_trace_itself *skel) { test_sk_storage_trace_itself__destroy(skel); }
const void *test_sk_storage_trace_itself::elf_bytes(size_t *sz) { return test_sk_storage_trace_itself__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
test_sk_storage_trace_itself__assert(struct test_sk_storage_trace_itself *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __TEST_SK_STORAGE_TRACE_ITSELF_SKEL_H__ */
