/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __UPROBE_MULTI_PID_FILTER_SKEL_H__
#define __UPROBE_MULTI_PID_FILTER_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct uprobe_multi_pid_filter {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *uprobe_multi_0;
		struct bpf_program *uprobe_multi_1;
		struct bpf_program *uprobe_multi_2;
	} progs;
	struct {
		struct bpf_link *uprobe_multi_0;
		struct bpf_link *uprobe_multi_1;
		struct bpf_link *uprobe_multi_2;
	} links;
	struct uprobe_multi_pid_filter__bss {
		__u32 pids[3];
		__u32 test[3][2];
	} *bss;

#ifdef __cplusplus
	static inline struct uprobe_multi_pid_filter *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct uprobe_multi_pid_filter *open_and_load();
	static inline int load(struct uprobe_multi_pid_filter *skel);
	static inline int attach(struct uprobe_multi_pid_filter *skel);
	static inline void detach(struct uprobe_multi_pid_filter *skel);
	static inline void destroy(struct uprobe_multi_pid_filter *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
uprobe_multi_pid_filter__destroy(struct uprobe_multi_pid_filter *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
uprobe_multi_pid_filter__create_skeleton(struct uprobe_multi_pid_filter *obj);

static inline struct uprobe_multi_pid_filter *
uprobe_multi_pid_filter__open_opts(const struct bpf_object_open_opts *opts)
{
	struct uprobe_multi_pid_filter *obj;
	int err;

	obj = (struct uprobe_multi_pid_filter *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = uprobe_multi_pid_filter__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	uprobe_multi_pid_filter__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct uprobe_multi_pid_filter *
uprobe_multi_pid_filter__open(void)
{
	return uprobe_multi_pid_filter__open_opts(NULL);
}

static inline int
uprobe_multi_pid_filter__load(struct uprobe_multi_pid_filter *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct uprobe_multi_pid_filter *
uprobe_multi_pid_filter__open_and_load(void)
{
	struct uprobe_multi_pid_filter *obj;
	int err;

	obj = uprobe_multi_pid_filter__open();
	if (!obj)
		return NULL;
	err = uprobe_multi_pid_filter__load(obj);
	if (err) {
		uprobe_multi_pid_filter__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
uprobe_multi_pid_filter__attach(struct uprobe_multi_pid_filter *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
uprobe_multi_pid_filter__detach(struct uprobe_multi_pid_filter *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *uprobe_multi_pid_filter__elf_bytes(size_t *sz);

static inline int
uprobe_multi_pid_filter__create_skeleton(struct uprobe_multi_pid_filter *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "uprobe_multi_pid_filter";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "uprobe_m.bss";
	map->map = &obj->maps.bss;
	map->mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 3;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "uprobe_multi_0";
	s->progs[0].prog = &obj->progs.uprobe_multi_0;
	s->progs[0].link = &obj->links.uprobe_multi_0;

	s->progs[1].name = "uprobe_multi_1";
	s->progs[1].prog = &obj->progs.uprobe_multi_1;
	s->progs[1].link = &obj->links.uprobe_multi_1;

	s->progs[2].name = "uprobe_multi_2";
	s->progs[2].prog = &obj->progs.uprobe_multi_2;
	s->progs[2].link = &obj->links.uprobe_multi_2;

	s->data = uprobe_multi_pid_filter__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *uprobe_multi_pid_filter__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x68\x09\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x09\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x75\x70\
\x72\x6f\x62\x65\x2e\x6d\x75\x6c\x74\x69\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\
\x62\x73\x73\0\x75\x70\x72\x6f\x62\x65\x5f\x6d\x75\x6c\x74\x69\x5f\x70\x69\x64\
\x5f\x66\x69\x6c\x74\x65\x72\x2e\x63\0\x75\x70\x72\x6f\x62\x65\x5f\x6d\x75\x6c\
\x74\x69\x5f\x30\0\x70\x69\x64\x73\0\x74\x65\x73\x74\0\x75\x70\x72\x6f\x62\x65\
\x5f\x6d\x75\x6c\x74\x69\x5f\x31\0\x75\x70\x72\x6f\x62\x65\x5f\x6d\x75\x6c\x74\
\x69\x5f\x32\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x75\x70\x72\
\x6f\x62\x65\x2e\x6d\x75\x6c\x74\x69\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\
\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x2b\0\0\
\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x45\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\x88\0\0\0\0\0\0\0\
\x54\0\0\0\x11\0\x05\0\0\0\0\0\0\0\0\0\x0c\0\0\0\0\0\0\0\x59\0\0\0\x11\0\x05\0\
\x0c\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x5e\0\0\0\x12\0\x03\0\x88\0\0\0\0\0\0\0\
\x80\0\0\0\0\0\0\0\x6d\0\0\0\x12\0\x03\0\x08\x01\0\0\0\0\0\0\x80\0\0\0\0\0\0\0\
\x7c\0\0\0\x11\0\x04\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x85\0\0\0\x0e\0\0\0\
\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x12\0\0\0\0\0\0\x77\0\0\0\x20\0\0\0\
\xb4\x01\0\0\x01\0\0\0\x5e\x02\x01\0\0\0\0\0\xb4\x01\0\0\0\0\0\0\x67\x01\0\0\
\x02\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0f\x12\0\0\0\0\0\0\x61\x21\0\0\
\0\0\0\0\x04\x01\0\0\x01\0\0\0\x63\x12\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\
\0\0\0\0\x85\0\0\0\x0e\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x12\x04\0\
\0\0\0\0\x77\0\0\0\x20\0\0\0\xb7\x01\0\0\x08\0\0\0\x1e\x02\x01\0\0\0\0\0\xb7\
\x01\0\0\x0c\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0f\x12\0\0\0\0\0\0\x61\
\x21\0\0\0\0\0\0\x04\x01\0\0\x01\0\0\0\x63\x12\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\
\x95\0\0\0\0\0\0\0\x85\0\0\0\x0e\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\
\x12\x08\0\0\0\0\0\x77\0\0\0\x20\0\0\0\xb7\x01\0\0\x10\0\0\0\x1e\x02\x01\0\0\0\
\0\0\xb7\x01\0\0\x14\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0f\x12\0\0\0\0\
\0\0\x61\x21\0\0\0\0\0\0\x04\x01\0\0\x01\0\0\0\x63\x12\0\0\0\0\0\0\xb4\0\0\0\0\
\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\x08\0\0\0\0\0\0\0\x01\0\0\0\x04\
\0\0\0\x48\0\0\0\0\0\0\0\x01\0\0\0\x05\0\0\0\x90\0\0\0\0\0\0\0\x01\0\0\0\x04\0\
\0\0\xc8\0\0\0\0\0\0\0\x01\0\0\0\x05\0\0\0\x10\x01\0\0\0\0\0\0\x01\0\0\0\x04\0\
\0\0\x48\x01\0\0\0\0\0\0\x01\0\0\0\x05\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\
\x74\x02\0\0\x74\x02\0\0\xd5\x01\0\0\0\0\0\0\0\0\0\x02\x02\0\0\0\x01\0\0\0\x15\
\0\0\x04\xa8\0\0\0\x09\0\0\0\x03\0\0\0\0\0\0\0\x0d\0\0\0\x03\0\0\0\x40\0\0\0\
\x11\0\0\0\x03\0\0\0\x80\0\0\0\x15\0\0\0\x03\0\0\0\xc0\0\0\0\x19\0\0\0\x03\0\0\
\0\0\x01\0\0\x1c\0\0\0\x03\0\0\0\x40\x01\0\0\x1f\0\0\0\x03\0\0\0\x80\x01\0\0\
\x23\0\0\0\x03\0\0\0\xc0\x01\0\0\x27\0\0\0\x03\0\0\0\0\x02\0\0\x2a\0\0\0\x03\0\
\0\0\x40\x02\0\0\x2d\0\0\0\x03\0\0\0\x80\x02\0\0\x30\0\0\0\x03\0\0\0\xc0\x02\0\
\0\x33\0\0\0\x03\0\0\0\0\x03\0\0\x36\0\0\0\x03\0\0\0\x40\x03\0\0\x39\0\0\0\x03\
\0\0\0\x80\x03\0\0\x3c\0\0\0\x03\0\0\0\xc0\x03\0\0\x44\0\0\0\x03\0\0\0\0\x04\0\
\0\x47\0\0\0\x03\0\0\0\x40\x04\0\0\x4a\0\0\0\x03\0\0\0\x80\x04\0\0\x50\0\0\0\
\x03\0\0\0\xc0\x04\0\0\x53\0\0\0\x03\0\0\0\0\x05\0\0\x56\0\0\0\0\0\0\x01\x08\0\
\0\0\x40\0\0\0\0\0\0\0\x01\0\0\x0d\x05\0\0\0\x64\0\0\0\x01\0\0\0\x68\0\0\0\0\0\
\0\x01\x04\0\0\0\x20\0\0\x01\x6c\0\0\0\x01\0\0\x0c\x04\0\0\0\x7b\0\0\0\x01\0\0\
\x0c\x04\0\0\0\x8a\0\0\0\x01\0\0\x0c\x04\0\0\0\x99\0\0\0\0\0\0\x01\x01\0\0\0\
\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x09\0\0\0\x0b\0\0\0\x04\0\0\0\x9e\0\0\0\
\0\0\0\x01\x04\0\0\0\x20\0\0\0\xb2\0\0\0\0\0\0\x0e\x0a\0\0\0\x01\0\0\0\xbb\0\0\
\0\0\0\0\x08\x0e\0\0\0\xc1\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\
\x03\0\0\0\0\x0d\0\0\0\x0b\0\0\0\x03\0\0\0\xce\0\0\0\0\0\0\x0e\x0f\0\0\0\x01\0\
\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x0d\0\0\0\x0b\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\x03\
\0\0\0\0\x11\0\0\0\x0b\0\0\0\x03\0\0\0\xd3\0\0\0\0\0\0\x0e\x12\0\0\0\x01\0\0\0\
\xbb\x01\0\0\x01\0\0\x0f\x04\0\0\0\x0c\0\0\0\0\0\0\0\x04\0\0\0\xc3\x01\0\0\x02\
\0\0\x0f\x24\0\0\0\x10\0\0\0\0\0\0\0\x0c\0\0\0\x13\0\0\0\x0c\0\0\0\x18\0\0\0\0\
\x70\x74\x5f\x72\x65\x67\x73\0\x72\x31\x35\0\x72\x31\x34\0\x72\x31\x33\0\x72\
\x31\x32\0\x62\x70\0\x62\x78\0\x72\x31\x31\0\x72\x31\x30\0\x72\x39\0\x72\x38\0\
\x61\x78\0\x63\x78\0\x64\x78\0\x73\x69\0\x64\x69\0\x6f\x72\x69\x67\x5f\x61\x78\
\0\x69\x70\0\x63\x73\0\x66\x6c\x61\x67\x73\0\x73\x70\0\x73\x73\0\x75\x6e\x73\
\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\0\x63\x74\x78\0\x69\x6e\x74\0\x75\x70\
\x72\x6f\x62\x65\x5f\x6d\x75\x6c\x74\x69\x5f\x30\0\x75\x70\x72\x6f\x62\x65\x5f\
\x6d\x75\x6c\x74\x69\x5f\x31\0\x75\x70\x72\x6f\x62\x65\x5f\x6d\x75\x6c\x74\x69\
\x5f\x32\0\x63\x68\x61\x72\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\
\x5f\x54\x59\x50\x45\x5f\x5f\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x5f\x5f\x75\
\x33\x32\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x70\x69\x64\x73\0\
\x74\x65\x73\x74\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\
\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\
\x30\x2d\x35\x37\x30\x2e\x32\x38\x2e\x31\x2e\x65\x6c\x39\x5f\x36\x2f\x6c\x69\
\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x37\x30\x2e\x32\x38\x2e\x31\
\x2e\x65\x6c\x39\x5f\x36\x2e\x78\x38\x36\x5f\x36\x34\x2f\x74\x6f\x6f\x6c\x73\
\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\
\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x75\x70\x72\x6f\x62\x65\x5f\x6d\x75\
\x6c\x74\x69\x5f\x70\x69\x64\x5f\x66\x69\x6c\x74\x65\x72\x2e\x63\0\x09\x5f\x5f\
\x75\x33\x32\x20\x70\x69\x64\x20\x3d\x20\x62\x70\x66\x5f\x67\x65\x74\x5f\x63\
\x75\x72\x72\x65\x6e\x74\x5f\x70\x69\x64\x5f\x74\x67\x69\x64\x28\x29\x20\x3e\
\x3e\x20\x33\x32\x3b\0\x09\x69\x66\x20\x28\x70\x69\x64\x20\x3d\x3d\x20\x70\x69\
\x64\x73\x5b\x69\x64\x78\x5d\x29\0\x09\x72\x65\x74\x75\x72\x6e\x20\x30\x3b\0\
\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x62\x73\x73\0\x75\x70\x72\x6f\x62\x65\x2e\
\x6d\x75\x6c\x74\x69\0\0\0\0\0\0\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x24\0\0\0\
\x24\0\0\0\x0c\x01\0\0\x30\x01\0\0\0\0\0\0\x08\0\0\0\xc8\x01\0\0\x03\0\0\0\0\0\
\0\0\x06\0\0\0\x88\0\0\0\x07\0\0\0\x08\x01\0\0\x08\0\0\0\x10\0\0\0\xc8\x01\0\0\
\x10\0\0\0\0\0\0\0\xd8\0\0\0\x6a\x01\0\0\x0e\x34\0\0\x08\0\0\0\xd8\0\0\0\x99\
\x01\0\0\x0d\x3c\0\0\x20\0\0\0\xd8\0\0\0\x6a\x01\0\0\x29\x34\0\0\x30\0\0\0\xd8\
\0\0\0\x99\x01\0\0\x0d\x3c\0\0\x40\0\0\0\xd8\0\0\0\x99\x01\0\0\x06\x3c\0\0\x78\
\0\0\0\xd8\0\0\0\xb0\x01\0\0\x02\x64\0\0\x88\0\0\0\xd8\0\0\0\x6a\x01\0\0\x0e\
\x34\0\0\x90\0\0\0\xd8\0\0\0\x99\x01\0\0\x0d\x3c\0\0\xa8\0\0\0\xd8\0\0\0\x6a\
\x01\0\0\x29\x34\0\0\xb8\0\0\0\xd8\0\0\0\x99\x01\0\0\x06\x3c\0\0\xf8\0\0\0\xd8\
\0\0\0\xb0\x01\0\0\x02\x80\0\0\x08\x01\0\0\xd8\0\0\0\x6a\x01\0\0\x0e\x34\0\0\
\x10\x01\0\0\xd8\0\0\0\x99\x01\0\0\x0d\x3c\0\0\x28\x01\0\0\xd8\0\0\0\x6a\x01\0\
\0\x29\x34\0\0\x38\x01\0\0\xd8\0\0\0\x99\x01\0\0\x06\x3c\0\0\x78\x01\0\0\xd8\0\
\0\0\xb0\x01\0\0\x02\x9c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\xa4\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe8\0\0\0\0\0\0\0\xd8\0\0\0\0\0\0\0\x01\0\
\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\xc0\x01\0\0\0\0\0\0\x88\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1e\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x48\x03\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x26\0\0\0\x08\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x4c\x03\0\0\0\0\0\0\x24\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x85\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x50\x03\0\0\0\
\0\0\0\x60\0\0\0\0\0\0\0\x02\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\
\0\x96\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb0\x03\0\0\0\0\0\0\x61\
\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x9b\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x08\0\0\0\0\0\0\x50\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct uprobe_multi_pid_filter *uprobe_multi_pid_filter::open(const struct bpf_object_open_opts *opts) { return uprobe_multi_pid_filter__open_opts(opts); }
struct uprobe_multi_pid_filter *uprobe_multi_pid_filter::open_and_load() { return uprobe_multi_pid_filter__open_and_load(); }
int uprobe_multi_pid_filter::load(struct uprobe_multi_pid_filter *skel) { return uprobe_multi_pid_filter__load(skel); }
int uprobe_multi_pid_filter::attach(struct uprobe_multi_pid_filter *skel) { return uprobe_multi_pid_filter__attach(skel); }
void uprobe_multi_pid_filter::detach(struct uprobe_multi_pid_filter *skel) { uprobe_multi_pid_filter__detach(skel); }
void uprobe_multi_pid_filter::destroy(struct uprobe_multi_pid_filter *skel) { uprobe_multi_pid_filter__destroy(skel); }
const void *uprobe_multi_pid_filter::elf_bytes(size_t *sz) { return uprobe_multi_pid_filter__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
uprobe_multi_pid_filter__assert(struct uprobe_multi_pid_filter *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->pids) == 12, "unexpected size of 'pids'");
	_Static_assert(sizeof(s->bss->test) == 24, "unexpected size of 'test'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __UPROBE_MULTI_PID_FILTER_SKEL_H__ */
