/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __VERIFIER_BSWAP_SKEL_H__
#define __VERIFIER_BSWAP_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct verifier_bswap {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_program *bswap_16;
		struct bpf_program *bswap_32;
		struct bpf_program *bswap_64;
	} progs;
	struct {
		struct bpf_link *bswap_16;
		struct bpf_link *bswap_32;
		struct bpf_link *bswap_64;
	} links;

#ifdef __cplusplus
	static inline struct verifier_bswap *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct verifier_bswap *open_and_load();
	static inline int load(struct verifier_bswap *skel);
	static inline int attach(struct verifier_bswap *skel);
	static inline void detach(struct verifier_bswap *skel);
	static inline void destroy(struct verifier_bswap *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
verifier_bswap__destroy(struct verifier_bswap *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
verifier_bswap__create_skeleton(struct verifier_bswap *obj);

static inline struct verifier_bswap *
verifier_bswap__open_opts(const struct bpf_object_open_opts *opts)
{
	struct verifier_bswap *obj;
	int err;

	obj = (struct verifier_bswap *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = verifier_bswap__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	verifier_bswap__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct verifier_bswap *
verifier_bswap__open(void)
{
	return verifier_bswap__open_opts(NULL);
}

static inline int
verifier_bswap__load(struct verifier_bswap *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct verifier_bswap *
verifier_bswap__open_and_load(void)
{
	struct verifier_bswap *obj;
	int err;

	obj = verifier_bswap__open();
	if (!obj)
		return NULL;
	err = verifier_bswap__load(obj);
	if (err) {
		verifier_bswap__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
verifier_bswap__attach(struct verifier_bswap *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
verifier_bswap__detach(struct verifier_bswap *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *verifier_bswap__elf_bytes(size_t *sz);

static inline int
verifier_bswap__create_skeleton(struct verifier_bswap *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "verifier_bswap";
	s->obj = &obj->obj;

	/* programs */
	s->prog_cnt = 3;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "bswap_16";
	s->progs[0].prog = &obj->progs.bswap_16;
	s->progs[0].link = &obj->links.bswap_16;

	s->progs[1].name = "bswap_32";
	s->progs[1].prog = &obj->progs.bswap_32;
	s->progs[1].link = &obj->links.bswap_32;

	s->progs[2].name = "bswap_64";
	s->progs[2].prog = &obj->progs.bswap_64;
	s->progs[2].link = &obj->links.bswap_64;

	s->data = verifier_bswap__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *verifier_bswap__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x80\x05\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x07\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x73\x6f\
\x63\x6b\x65\x74\0\x6c\x69\x63\x65\x6e\x73\x65\0\x76\x65\x72\x69\x66\x69\x65\
\x72\x5f\x62\x73\x77\x61\x70\x2e\x63\0\x62\x73\x77\x61\x70\x5f\x31\x36\0\x62\
\x73\x77\x61\x70\x5f\x33\x32\0\x62\x73\x77\x61\x70\x5f\x36\x34\0\x5f\x6c\x69\
\x63\x65\x6e\x73\x65\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\0\0\0\x04\0\xf1\xff\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x31\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x3a\0\0\0\x12\0\
\x03\0\x18\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x43\0\0\0\x12\0\x03\0\x30\0\0\0\0\0\
\0\0\x20\0\0\0\0\0\0\0\x4c\0\0\0\x11\0\x04\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\
\xb7\0\0\0\x23\xff\0\0\xd7\0\0\0\x10\0\0\0\x95\0\0\0\0\0\0\0\xb7\0\0\0\x23\xff\
\0\0\xd7\0\0\0\x20\0\0\0\x95\0\0\0\0\0\0\0\x18\0\0\0\x78\xff\x56\xff\0\0\0\0\
\x34\xff\x12\xff\xd7\0\0\0\x40\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\
\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\x50\x01\0\0\x50\x01\0\0\xee\x01\0\0\0\0\0\0\0\
\0\0\x0d\0\0\0\0\x01\0\0\0\x01\0\0\x0c\x01\0\0\0\x0a\0\0\0\0\0\0\x11\x02\0\0\0\
\xff\xff\xff\xff\x2d\0\0\0\0\0\0\x11\x02\0\0\0\xff\xff\xff\xff\x49\0\0\0\0\0\0\
\x11\x02\0\0\0\xff\xff\xff\xff\x6c\0\0\0\0\0\0\x11\x02\0\0\0\xff\xff\xff\xff\
\x87\0\0\0\x01\0\0\x0c\x01\0\0\0\x90\0\0\0\0\0\0\x11\x07\0\0\0\xff\xff\xff\xff\
\x2d\0\0\0\0\0\0\x11\x07\0\0\0\xff\xff\xff\xff\x49\0\0\0\0\0\0\x11\x07\0\0\0\
\xff\xff\xff\xff\xb3\0\0\0\0\0\0\x11\x07\0\0\0\xff\xff\xff\xff\xd2\0\0\0\x01\0\
\0\x0c\x01\0\0\0\xdb\0\0\0\0\0\0\x11\x0c\0\0\0\xff\xff\xff\xff\x2d\0\0\0\0\0\0\
\x11\x0c\0\0\0\xff\xff\xff\xff\x49\0\0\0\0\0\0\x11\x0c\0\0\0\xff\xff\xff\xff\
\xfe\0\0\0\0\0\0\x11\x0c\0\0\0\xff\xff\xff\xff\x1d\x01\0\0\0\0\0\x01\x01\0\0\0\
\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x11\0\0\0\x13\0\0\0\x04\0\0\0\x22\x01\0\
\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\x36\x01\0\0\0\0\0\x0e\x12\0\0\0\x01\0\0\0\xdf\
\x01\0\0\x01\0\0\x0f\x04\0\0\0\x14\0\0\0\0\0\0\0\x04\0\0\0\0\x62\x73\x77\x61\
\x70\x5f\x31\x36\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\
\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x42\x53\x57\x41\x50\x2c\x20\x31\x36\0\
\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\
\x5f\x73\x75\x63\x63\x65\x73\x73\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\
\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x73\x75\x63\x63\x65\x73\x73\x5f\x75\x6e\
\x70\x72\x69\x76\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x72\x65\
\x74\x76\x61\x6c\x3d\x30\x78\x32\x33\x66\x66\0\x62\x73\x77\x61\x70\x5f\x33\x32\
\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\
\x70\x74\x69\x6f\x6e\x3d\x42\x53\x57\x41\x50\x2c\x20\x33\x32\0\x63\x6f\x6d\x6d\
\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x72\x65\x74\x76\x61\x6c\x3d\x30\x78\x32\
\x33\x66\x66\x30\x30\x30\x30\0\x62\x73\x77\x61\x70\x5f\x36\x34\0\x63\x6f\x6d\
\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\
\x6f\x6e\x3d\x42\x53\x57\x41\x50\x2c\x20\x36\x34\0\x63\x6f\x6d\x6d\x65\x6e\x74\
\x3a\x74\x65\x73\x74\x5f\x72\x65\x74\x76\x61\x6c\x3d\x30\x78\x33\x34\x66\x66\
\x31\x32\x66\x66\0\x63\x68\x61\x72\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\
\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2f\
\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\
\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x37\x30\
\x2e\x32\x38\x2e\x31\x2e\x65\x6c\x39\x5f\x36\x2f\x6c\x69\x6e\x75\x78\x2d\x35\
\x2e\x31\x34\x2e\x30\x2d\x35\x37\x30\x2e\x32\x38\x2e\x31\x2e\x65\x6c\x39\x5f\
\x36\x2e\x78\x38\x36\x5f\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\
\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\
\x72\x6f\x67\x73\x2f\x76\x65\x72\x69\x66\x69\x65\x72\x5f\x62\x73\x77\x61\x70\
\x2e\x63\0\x09\x61\x73\x6d\x20\x76\x6f\x6c\x61\x74\x69\x6c\x65\x20\x28\x22\x09\
\x09\x09\x09\x09\x5c\0\x6c\x69\x63\x65\x6e\x73\x65\0\x73\x6f\x63\x6b\x65\x74\0\
\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x24\0\0\0\x24\0\0\0\x3c\0\0\0\x60\0\0\0\0\
\0\0\0\x08\0\0\0\xe7\x01\0\0\x03\0\0\0\0\0\0\0\x02\0\0\0\x18\0\0\0\x07\0\0\0\
\x30\0\0\0\x0c\0\0\0\x10\0\0\0\xe7\x01\0\0\x03\0\0\0\0\0\0\0\x3f\x01\0\0\xc8\
\x01\0\0\x02\x3c\0\0\x18\0\0\0\x3f\x01\0\0\xc8\x01\0\0\x02\x6c\0\0\x30\0\0\0\
\x3f\x01\0\0\xc8\x01\0\0\x02\x9c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\
\0\x63\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\
\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa8\0\0\0\0\0\0\0\xa8\0\0\0\0\0\0\
\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\
\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x50\x01\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\0\0\0\x01\0\0\0\x03\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\xa0\x01\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x55\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\xa8\x01\0\0\0\0\0\0\x56\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x5a\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x05\0\0\
\0\0\0\0\x80\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct verifier_bswap *verifier_bswap::open(const struct bpf_object_open_opts *opts) { return verifier_bswap__open_opts(opts); }
struct verifier_bswap *verifier_bswap::open_and_load() { return verifier_bswap__open_and_load(); }
int verifier_bswap::load(struct verifier_bswap *skel) { return verifier_bswap__load(skel); }
int verifier_bswap::attach(struct verifier_bswap *skel) { return verifier_bswap__attach(skel); }
void verifier_bswap::detach(struct verifier_bswap *skel) { verifier_bswap__detach(skel); }
void verifier_bswap::destroy(struct verifier_bswap *skel) { verifier_bswap__destroy(skel); }
const void *verifier_bswap::elf_bytes(size_t *sz) { return verifier_bswap__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
verifier_bswap__assert(struct verifier_bswap *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __VERIFIER_BSWAP_SKEL_H__ */
