/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __VERIFIER_HELPER_ACCESS_VAR_LEN_SKEL_H__
#define __VERIFIER_HELPER_ACCESS_VAR_LEN_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct verifier_helper_access_var_len {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *map_ringbuf;
		struct bpf_map *map_hash_48b;
		struct bpf_map *map_hash_8b;
	} maps;
	struct {
		struct bpf_program *bitwise_and_jmp_correct_bounds;
		struct bpf_program *bitwise_and_jmp_wrong_max;
		struct bpf_program *memory_stack_jmp_correct_bounds;
		struct bpf_program *stack_jmp_signed_correct_bounds;
		struct bpf_program *memory_stack_jmp_bounds_offset;
		struct bpf_program *memory_stack_jmp_wrong_max;
		struct bpf_program *stack_jmp_no_max_check;
		struct bpf_program *jmp_signed_no_min_check;
		struct bpf_program *memory_map_jmp_correct_bounds;
		struct bpf_program *memory_map_jmp_wrong_max;
		struct bpf_program *map_adjusted_jmp_correct_bounds;
		struct bpf_program *map_adjusted_jmp_wrong_max;
		struct bpf_program *ptr_to_mem_or_null_8;
		struct bpf_program *ptr_to_mem_or_null_9;
		struct bpf_program *ptr_to_mem_or_null_10;
		struct bpf_program *ptr_to_mem_or_null_11;
		struct bpf_program *ptr_to_mem_or_null_12;
		struct bpf_program *ptr_to_mem_or_null_13;
		struct bpf_program *bytes_no_leak_init_memory;
		struct bpf_program *stack_bitwise_and_zero_included;
		struct bpf_program *stack_jmp_no_min_check;
		struct bpf_program *variable_memory_8_bytes_leak;
		struct bpf_program *ptr_to_mem_or_null_1;
		struct bpf_program *ptr_to_mem_or_null_2;
		struct bpf_program *ptr_to_mem_or_null_3;
		struct bpf_program *ptr_to_mem_or_null_4;
		struct bpf_program *ptr_to_mem_or_null_5;
		struct bpf_program *ptr_to_mem_or_null_6;
		struct bpf_program *ptr_to_mem_or_null_7;
	} progs;
	struct {
		struct bpf_link *bitwise_and_jmp_correct_bounds;
		struct bpf_link *bitwise_and_jmp_wrong_max;
		struct bpf_link *memory_stack_jmp_correct_bounds;
		struct bpf_link *stack_jmp_signed_correct_bounds;
		struct bpf_link *memory_stack_jmp_bounds_offset;
		struct bpf_link *memory_stack_jmp_wrong_max;
		struct bpf_link *stack_jmp_no_max_check;
		struct bpf_link *jmp_signed_no_min_check;
		struct bpf_link *memory_map_jmp_correct_bounds;
		struct bpf_link *memory_map_jmp_wrong_max;
		struct bpf_link *map_adjusted_jmp_correct_bounds;
		struct bpf_link *map_adjusted_jmp_wrong_max;
		struct bpf_link *ptr_to_mem_or_null_8;
		struct bpf_link *ptr_to_mem_or_null_9;
		struct bpf_link *ptr_to_mem_or_null_10;
		struct bpf_link *ptr_to_mem_or_null_11;
		struct bpf_link *ptr_to_mem_or_null_12;
		struct bpf_link *ptr_to_mem_or_null_13;
		struct bpf_link *bytes_no_leak_init_memory;
		struct bpf_link *stack_bitwise_and_zero_included;
		struct bpf_link *stack_jmp_no_min_check;
		struct bpf_link *variable_memory_8_bytes_leak;
		struct bpf_link *ptr_to_mem_or_null_1;
		struct bpf_link *ptr_to_mem_or_null_2;
		struct bpf_link *ptr_to_mem_or_null_3;
		struct bpf_link *ptr_to_mem_or_null_4;
		struct bpf_link *ptr_to_mem_or_null_5;
		struct bpf_link *ptr_to_mem_or_null_6;
		struct bpf_link *ptr_to_mem_or_null_7;
	} links;

#ifdef __cplusplus
	static inline struct verifier_helper_access_var_len *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct verifier_helper_access_var_len *open_and_load();
	static inline int load(struct verifier_helper_access_var_len *skel);
	static inline int attach(struct verifier_helper_access_var_len *skel);
	static inline void detach(struct verifier_helper_access_var_len *skel);
	static inline void destroy(struct verifier_helper_access_var_len *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
verifier_helper_access_var_len__destroy(struct verifier_helper_access_var_len *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
verifier_helper_access_var_len__create_skeleton(struct verifier_helper_access_var_len *obj);

static inline struct verifier_helper_access_var_len *
verifier_helper_access_var_len__open_opts(const struct bpf_object_open_opts *opts)
{
	struct verifier_helper_access_var_len *obj;
	int err;

	obj = (struct verifier_helper_access_var_len *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = verifier_helper_access_var_len__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	verifier_helper_access_var_len__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct verifier_helper_access_var_len *
verifier_helper_access_var_len__open(void)
{
	return verifier_helper_access_var_len__open_opts(NULL);
}

static inline int
verifier_helper_access_var_len__load(struct verifier_helper_access_var_len *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct verifier_helper_access_var_len *
verifier_helper_access_var_len__open_and_load(void)
{
	struct verifier_helper_access_var_len *obj;
	int err;

	obj = verifier_helper_access_var_len__open();
	if (!obj)
		return NULL;
	err = verifier_helper_access_var_len__load(obj);
	if (err) {
		verifier_helper_access_var_len__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
verifier_helper_access_var_len__attach(struct verifier_helper_access_var_len *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
verifier_helper_access_var_len__detach(struct verifier_helper_access_var_len *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *verifier_helper_access_var_len__elf_bytes(size_t *sz);

static inline int
verifier_helper_access_var_len__create_skeleton(struct verifier_helper_access_var_len *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "verifier_helper_access_var_len";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 3;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "map_ringbuf";
	map->map = &obj->maps.map_ringbuf;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 1 * s->map_skel_sz);
	map->name = "map_hash_48b";
	map->map = &obj->maps.map_hash_48b;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 2 * s->map_skel_sz);
	map->name = "map_hash_8b";
	map->map = &obj->maps.map_hash_8b;

	/* programs */
	s->prog_cnt = 29;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "bitwise_and_jmp_correct_bounds";
	s->progs[0].prog = &obj->progs.bitwise_and_jmp_correct_bounds;
	s->progs[0].link = &obj->links.bitwise_and_jmp_correct_bounds;

	s->progs[1].name = "bitwise_and_jmp_wrong_max";
	s->progs[1].prog = &obj->progs.bitwise_and_jmp_wrong_max;
	s->progs[1].link = &obj->links.bitwise_and_jmp_wrong_max;

	s->progs[2].name = "memory_stack_jmp_correct_bounds";
	s->progs[2].prog = &obj->progs.memory_stack_jmp_correct_bounds;
	s->progs[2].link = &obj->links.memory_stack_jmp_correct_bounds;

	s->progs[3].name = "stack_jmp_signed_correct_bounds";
	s->progs[3].prog = &obj->progs.stack_jmp_signed_correct_bounds;
	s->progs[3].link = &obj->links.stack_jmp_signed_correct_bounds;

	s->progs[4].name = "memory_stack_jmp_bounds_offset";
	s->progs[4].prog = &obj->progs.memory_stack_jmp_bounds_offset;
	s->progs[4].link = &obj->links.memory_stack_jmp_bounds_offset;

	s->progs[5].name = "memory_stack_jmp_wrong_max";
	s->progs[5].prog = &obj->progs.memory_stack_jmp_wrong_max;
	s->progs[5].link = &obj->links.memory_stack_jmp_wrong_max;

	s->progs[6].name = "stack_jmp_no_max_check";
	s->progs[6].prog = &obj->progs.stack_jmp_no_max_check;
	s->progs[6].link = &obj->links.stack_jmp_no_max_check;

	s->progs[7].name = "jmp_signed_no_min_check";
	s->progs[7].prog = &obj->progs.jmp_signed_no_min_check;
	s->progs[7].link = &obj->links.jmp_signed_no_min_check;

	s->progs[8].name = "memory_map_jmp_correct_bounds";
	s->progs[8].prog = &obj->progs.memory_map_jmp_correct_bounds;
	s->progs[8].link = &obj->links.memory_map_jmp_correct_bounds;

	s->progs[9].name = "memory_map_jmp_wrong_max";
	s->progs[9].prog = &obj->progs.memory_map_jmp_wrong_max;
	s->progs[9].link = &obj->links.memory_map_jmp_wrong_max;

	s->progs[10].name = "map_adjusted_jmp_correct_bounds";
	s->progs[10].prog = &obj->progs.map_adjusted_jmp_correct_bounds;
	s->progs[10].link = &obj->links.map_adjusted_jmp_correct_bounds;

	s->progs[11].name = "map_adjusted_jmp_wrong_max";
	s->progs[11].prog = &obj->progs.map_adjusted_jmp_wrong_max;
	s->progs[11].link = &obj->links.map_adjusted_jmp_wrong_max;

	s->progs[12].name = "ptr_to_mem_or_null_8";
	s->progs[12].prog = &obj->progs.ptr_to_mem_or_null_8;
	s->progs[12].link = &obj->links.ptr_to_mem_or_null_8;

	s->progs[13].name = "ptr_to_mem_or_null_9";
	s->progs[13].prog = &obj->progs.ptr_to_mem_or_null_9;
	s->progs[13].link = &obj->links.ptr_to_mem_or_null_9;

	s->progs[14].name = "ptr_to_mem_or_null_10";
	s->progs[14].prog = &obj->progs.ptr_to_mem_or_null_10;
	s->progs[14].link = &obj->links.ptr_to_mem_or_null_10;

	s->progs[15].name = "ptr_to_mem_or_null_11";
	s->progs[15].prog = &obj->progs.ptr_to_mem_or_null_11;
	s->progs[15].link = &obj->links.ptr_to_mem_or_null_11;

	s->progs[16].name = "ptr_to_mem_or_null_12";
	s->progs[16].prog = &obj->progs.ptr_to_mem_or_null_12;
	s->progs[16].link = &obj->links.ptr_to_mem_or_null_12;

	s->progs[17].name = "ptr_to_mem_or_null_13";
	s->progs[17].prog = &obj->progs.ptr_to_mem_or_null_13;
	s->progs[17].link = &obj->links.ptr_to_mem_or_null_13;

	s->progs[18].name = "bytes_no_leak_init_memory";
	s->progs[18].prog = &obj->progs.bytes_no_leak_init_memory;
	s->progs[18].link = &obj->links.bytes_no_leak_init_memory;

	s->progs[19].name = "stack_bitwise_and_zero_included";
	s->progs[19].prog = &obj->progs.stack_bitwise_and_zero_included;
	s->progs[19].link = &obj->links.stack_bitwise_and_zero_included;

	s->progs[20].name = "stack_jmp_no_min_check";
	s->progs[20].prog = &obj->progs.stack_jmp_no_min_check;
	s->progs[20].link = &obj->links.stack_jmp_no_min_check;

	s->progs[21].name = "variable_memory_8_bytes_leak";
	s->progs[21].prog = &obj->progs.variable_memory_8_bytes_leak;
	s->progs[21].link = &obj->links.variable_memory_8_bytes_leak;

	s->progs[22].name = "ptr_to_mem_or_null_1";
	s->progs[22].prog = &obj->progs.ptr_to_mem_or_null_1;
	s->progs[22].link = &obj->links.ptr_to_mem_or_null_1;

	s->progs[23].name = "ptr_to_mem_or_null_2";
	s->progs[23].prog = &obj->progs.ptr_to_mem_or_null_2;
	s->progs[23].link = &obj->links.ptr_to_mem_or_null_2;

	s->progs[24].name = "ptr_to_mem_or_null_3";
	s->progs[24].prog = &obj->progs.ptr_to_mem_or_null_3;
	s->progs[24].link = &obj->links.ptr_to_mem_or_null_3;

	s->progs[25].name = "ptr_to_mem_or_null_4";
	s->progs[25].prog = &obj->progs.ptr_to_mem_or_null_4;
	s->progs[25].link = &obj->links.ptr_to_mem_or_null_4;

	s->progs[26].name = "ptr_to_mem_or_null_5";
	s->progs[26].prog = &obj->progs.ptr_to_mem_or_null_5;
	s->progs[26].link = &obj->links.ptr_to_mem_or_null_5;

	s->progs[27].name = "ptr_to_mem_or_null_6";
	s->progs[27].prog = &obj->progs.ptr_to_mem_or_null_6;
	s->progs[27].link = &obj->links.ptr_to_mem_or_null_6;

	s->progs[28].name = "ptr_to_mem_or_null_7";
	s->progs[28].prog = &obj->progs.ptr_to_mem_or_null_7;
	s->progs[28].link = &obj->links.ptr_to_mem_or_null_7;

	s->data = verifier_helper_access_var_len__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *verifier_helper_access_var_len__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xc8\x38\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0d\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x74\x72\
\x61\x63\x65\x70\x6f\x69\x6e\x74\0\x73\x6f\x63\x6b\x65\x74\0\x74\x63\0\x2e\x6d\
\x61\x70\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x76\x65\x72\x69\x66\x69\x65\x72\
\x5f\x68\x65\x6c\x70\x65\x72\x5f\x61\x63\x63\x65\x73\x73\x5f\x76\x61\x72\x5f\
\x6c\x65\x6e\x2e\x63\0\x6c\x30\x5f\x30\0\x6c\x30\x5f\x31\0\x6c\x30\x5f\x32\0\
\x6c\x30\x5f\x33\0\x6c\x30\x5f\x34\0\x6c\x30\x5f\x35\0\x6c\x30\x5f\x36\0\x6c\
\x30\x5f\x37\0\x6c\x30\x5f\x38\0\x6c\x30\x5f\x39\0\x6c\x31\x5f\x39\0\x6c\x30\
\x5f\x31\x30\0\x6c\x31\x5f\x31\x30\0\x6c\x30\x5f\x31\x31\0\x6c\x31\x5f\x31\x31\
\0\x6c\x30\x5f\x31\x32\0\x6c\x31\x5f\x31\x32\0\x6c\x30\x5f\x31\x33\0\x6c\x30\
\x5f\x31\x34\0\x6c\x30\x5f\x31\x35\0\x6c\x30\x5f\x31\x36\0\x6c\x30\x5f\x31\x37\
\0\x6c\x30\x5f\x31\x38\0\x6c\x30\x5f\x31\x39\0\x62\x69\x74\x77\x69\x73\x65\x5f\
\x61\x6e\x64\x5f\x6a\x6d\x70\x5f\x63\x6f\x72\x72\x65\x63\x74\x5f\x62\x6f\x75\
\x6e\x64\x73\0\x73\x74\x61\x63\x6b\x5f\x62\x69\x74\x77\x69\x73\x65\x5f\x61\x6e\
\x64\x5f\x7a\x65\x72\x6f\x5f\x69\x6e\x63\x6c\x75\x64\x65\x64\0\x6d\x61\x70\x5f\
\x72\x69\x6e\x67\x62\x75\x66\0\x62\x69\x74\x77\x69\x73\x65\x5f\x61\x6e\x64\x5f\
\x6a\x6d\x70\x5f\x77\x72\x6f\x6e\x67\x5f\x6d\x61\x78\0\x6d\x65\x6d\x6f\x72\x79\
\x5f\x73\x74\x61\x63\x6b\x5f\x6a\x6d\x70\x5f\x63\x6f\x72\x72\x65\x63\x74\x5f\
\x62\x6f\x75\x6e\x64\x73\0\x73\x74\x61\x63\x6b\x5f\x6a\x6d\x70\x5f\x73\x69\x67\
\x6e\x65\x64\x5f\x63\x6f\x72\x72\x65\x63\x74\x5f\x62\x6f\x75\x6e\x64\x73\0\x6d\
\x65\x6d\x6f\x72\x79\x5f\x73\x74\x61\x63\x6b\x5f\x6a\x6d\x70\x5f\x62\x6f\x75\
\x6e\x64\x73\x5f\x6f\x66\x66\x73\x65\x74\0\x6d\x65\x6d\x6f\x72\x79\x5f\x73\x74\
\x61\x63\x6b\x5f\x6a\x6d\x70\x5f\x77\x72\x6f\x6e\x67\x5f\x6d\x61\x78\0\x73\x74\
\x61\x63\x6b\x5f\x6a\x6d\x70\x5f\x6e\x6f\x5f\x6d\x61\x78\x5f\x63\x68\x65\x63\
\x6b\0\x73\x74\x61\x63\x6b\x5f\x6a\x6d\x70\x5f\x6e\x6f\x5f\x6d\x69\x6e\x5f\x63\
\x68\x65\x63\x6b\0\x6a\x6d\x70\x5f\x73\x69\x67\x6e\x65\x64\x5f\x6e\x6f\x5f\x6d\
\x69\x6e\x5f\x63\x68\x65\x63\x6b\0\x6d\x65\x6d\x6f\x72\x79\x5f\x6d\x61\x70\x5f\
\x6a\x6d\x70\x5f\x63\x6f\x72\x72\x65\x63\x74\x5f\x62\x6f\x75\x6e\x64\x73\0\x6d\
\x61\x70\x5f\x68\x61\x73\x68\x5f\x34\x38\x62\0\x6d\x65\x6d\x6f\x72\x79\x5f\x6d\
\x61\x70\x5f\x6a\x6d\x70\x5f\x77\x72\x6f\x6e\x67\x5f\x6d\x61\x78\0\x6d\x61\x70\
\x5f\x61\x64\x6a\x75\x73\x74\x65\x64\x5f\x6a\x6d\x70\x5f\x63\x6f\x72\x72\x65\
\x63\x74\x5f\x62\x6f\x75\x6e\x64\x73\0\x6d\x61\x70\x5f\x61\x64\x6a\x75\x73\x74\
\x65\x64\x5f\x6a\x6d\x70\x5f\x77\x72\x6f\x6e\x67\x5f\x6d\x61\x78\0\x70\x74\x72\
\x5f\x74\x6f\x5f\x6d\x65\x6d\x5f\x6f\x72\x5f\x6e\x75\x6c\x6c\x5f\x31\0\x70\x74\
\x72\x5f\x74\x6f\x5f\x6d\x65\x6d\x5f\x6f\x72\x5f\x6e\x75\x6c\x6c\x5f\x32\0\x70\
\x74\x72\x5f\x74\x6f\x5f\x6d\x65\x6d\x5f\x6f\x72\x5f\x6e\x75\x6c\x6c\x5f\x33\0\
\x70\x74\x72\x5f\x74\x6f\x5f\x6d\x65\x6d\x5f\x6f\x72\x5f\x6e\x75\x6c\x6c\x5f\
\x34\0\x6d\x61\x70\x5f\x68\x61\x73\x68\x5f\x38\x62\0\x70\x74\x72\x5f\x74\x6f\
\x5f\x6d\x65\x6d\x5f\x6f\x72\x5f\x6e\x75\x6c\x6c\x5f\x35\0\x70\x74\x72\x5f\x74\
\x6f\x5f\x6d\x65\x6d\x5f\x6f\x72\x5f\x6e\x75\x6c\x6c\x5f\x36\0\x70\x74\x72\x5f\
\x74\x6f\x5f\x6d\x65\x6d\x5f\x6f\x72\x5f\x6e\x75\x6c\x6c\x5f\x37\0\x70\x74\x72\
\x5f\x74\x6f\x5f\x6d\x65\x6d\x5f\x6f\x72\x5f\x6e\x75\x6c\x6c\x5f\x38\0\x70\x74\
\x72\x5f\x74\x6f\x5f\x6d\x65\x6d\x5f\x6f\x72\x5f\x6e\x75\x6c\x6c\x5f\x39\0\x70\
\x74\x72\x5f\x74\x6f\x5f\x6d\x65\x6d\x5f\x6f\x72\x5f\x6e\x75\x6c\x6c\x5f\x31\
\x30\0\x70\x74\x72\x5f\x74\x6f\x5f\x6d\x65\x6d\x5f\x6f\x72\x5f\x6e\x75\x6c\x6c\
\x5f\x31\x31\0\x70\x74\x72\x5f\x74\x6f\x5f\x6d\x65\x6d\x5f\x6f\x72\x5f\x6e\x75\
\x6c\x6c\x5f\x31\x32\0\x70\x74\x72\x5f\x74\x6f\x5f\x6d\x65\x6d\x5f\x6f\x72\x5f\
\x6e\x75\x6c\x6c\x5f\x31\x33\0\x76\x61\x72\x69\x61\x62\x6c\x65\x5f\x6d\x65\x6d\
\x6f\x72\x79\x5f\x38\x5f\x62\x79\x74\x65\x73\x5f\x6c\x65\x61\x6b\0\x62\x79\x74\
\x65\x73\x5f\x6e\x6f\x5f\x6c\x65\x61\x6b\x5f\x69\x6e\x69\x74\x5f\x6d\x65\x6d\
\x6f\x72\x79\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x74\x72\x61\
\x63\x65\x70\x6f\x69\x6e\x74\0\x2e\x72\x65\x6c\x73\x6f\x63\x6b\x65\x74\0\x2e\
\x72\x65\x6c\x74\x63\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x34\0\0\0\x04\0\xf1\xff\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x55\0\0\0\0\0\x03\0\x98\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x04\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x5a\0\0\0\0\0\x03\0\xf8\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x5f\0\0\0\0\0\x03\0\xa0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x64\0\0\0\0\0\x03\
\0\x48\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x69\0\0\0\0\0\x03\0\xb0\x02\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x6e\0\0\0\0\0\x03\0\x10\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x73\0\
\0\0\0\0\x03\0\x68\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x78\0\0\0\0\0\x04\0\xb8\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x7d\0\0\0\0\0\x03\0\xc0\x03\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x82\0\0\0\0\0\x03\0\x58\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x87\0\0\0\0\0\x03\
\0\x50\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x8c\0\0\0\0\0\x03\0\xf8\x04\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x92\0\0\0\0\0\x03\0\xf0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x98\0\
\0\0\0\0\x03\0\x98\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x9e\0\0\0\0\0\x03\0\x90\x05\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa4\0\0\0\0\0\x03\0\x40\x06\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\xaa\0\0\0\0\0\x03\0\x38\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\
\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb0\0\0\0\0\0\x05\0\x48\x01\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\xb6\0\0\0\0\0\x05\0\xd8\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xbc\0\
\0\0\0\0\x05\0\x58\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc2\0\0\0\0\0\x05\0\xc0\x02\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc8\0\0\0\0\0\x03\0\x28\x07\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\xce\0\0\0\0\0\x03\0\xa0\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd4\0\0\0\0\0\
\x03\0\x10\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xda\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\
\0\xa8\0\0\0\0\0\0\0\xf9\0\0\0\x12\0\x04\0\0\0\0\0\0\0\0\0\x60\0\0\0\0\0\0\0\
\x19\x01\0\0\x11\0\x06\0\0\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x25\x01\0\0\x12\0\
\x03\0\xa8\0\0\0\0\0\0\0\x60\0\0\0\0\0\0\0\x3f\x01\0\0\x12\0\x03\0\x08\x01\0\0\
\0\0\0\0\xa8\0\0\0\0\0\0\0\x5f\x01\0\0\x12\0\x03\0\xb0\x01\0\0\0\0\0\0\xa8\0\0\
\0\0\0\0\0\x7f\x01\0\0\x12\0\x03\0\x58\x02\0\0\0\0\0\0\x68\0\0\0\0\0\0\0\x9e\
\x01\0\0\x12\0\x03\0\xc0\x02\0\0\0\0\0\0\x60\0\0\0\0\0\0\0\xb9\x01\0\0\x12\0\
\x03\0\x20\x03\0\0\0\0\0\0\x58\0\0\0\0\0\0\0\xd0\x01\0\0\x12\0\x04\0\x60\0\0\0\
\0\0\0\0\x68\0\0\0\0\0\0\0\xe7\x01\0\0\x12\0\x03\0\x78\x03\0\0\0\0\0\0\x50\0\0\
\0\0\0\0\0\xff\x01\0\0\x12\0\x03\0\xc8\x03\0\0\0\0\0\0\x98\0\0\0\0\0\0\0\x1d\
\x02\0\0\x11\0\x06\0\x10\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x2a\x02\0\0\x12\0\x03\
\0\x60\x04\0\0\0\0\0\0\xa0\0\0\0\0\0\0\0\x43\x02\0\0\x12\0\x03\0\0\x05\0\0\0\0\
\0\0\xa0\0\0\0\0\0\0\0\x63\x02\0\0\x12\0\x03\0\xa0\x05\0\0\0\0\0\0\xa8\0\0\0\0\
\0\0\0\x7e\x02\0\0\x12\0\x05\0\0\0\0\0\0\0\0\0\x38\0\0\0\0\0\0\0\x93\x02\0\0\
\x12\0\x05\0\x38\0\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\xa8\x02\0\0\x12\0\x05\0\x88\0\
\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\xbd\x02\0\0\x12\0\x05\0\xd8\0\0\0\0\0\0\0\x78\0\
\0\0\0\0\0\0\xd2\x02\0\0\x11\0\x06\0\x30\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\xde\
\x02\0\0\x12\0\x05\0\x50\x01\0\0\0\0\0\0\x90\0\0\0\0\0\0\0\xf3\x02\0\0\x12\0\
\x05\0\xe0\x01\0\0\0\0\0\0\x80\0\0\0\0\0\0\0\x08\x03\0\0\x12\0\x05\0\x60\x02\0\
\0\0\0\0\0\x68\0\0\0\0\0\0\0\x1d\x03\0\0\x12\0\x03\0\x48\x06\0\0\0\0\0\0\x28\0\
\0\0\0\0\0\0\x32\x03\0\0\x12\0\x03\0\x70\x06\0\0\0\0\0\0\x28\0\0\0\0\0\0\0\x47\
\x03\0\0\x12\0\x03\0\x98\x06\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\x5d\x03\0\0\x12\0\
\x03\0\xc8\x06\0\0\0\0\0\0\x68\0\0\0\0\0\0\0\x73\x03\0\0\x12\0\x03\0\x30\x07\0\
\0\0\0\0\0\x78\0\0\0\0\0\0\0\x89\x03\0\0\x12\0\x03\0\xa8\x07\0\0\0\0\0\0\x70\0\
\0\0\0\0\0\0\x9f\x03\0\0\x12\0\x04\0\xc8\0\0\0\0\0\0\0\xb0\0\0\0\0\0\0\0\xbc\
\x03\0\0\x12\0\x03\0\x18\x08\0\0\0\0\0\0\x98\0\0\0\0\0\0\0\xd6\x03\0\0\x11\0\
\x07\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xbf\xa1\0\0\0\0\0\0\x07\x01\0\0\xc0\
\xff\xff\xff\xb7\0\0\0\0\0\0\0\x7b\x0a\xc0\xff\0\0\0\0\x7b\x0a\xc8\xff\0\0\0\0\
\x7b\x0a\xd0\xff\0\0\0\0\x7b\x0a\xd8\xff\0\0\0\0\x7b\x0a\xe0\xff\0\0\0\0\x7b\
\x0a\xe8\xff\0\0\0\0\x7b\x0a\xf0\xff\0\0\0\0\x7b\x0a\xf8\xff\0\0\0\0\xb7\x02\0\
\0\x10\0\0\0\x7b\x21\x80\xff\0\0\0\0\x79\x12\x80\xff\0\0\0\0\x57\x02\0\0\x40\0\
\0\0\xb7\x04\0\0\0\0\0\0\x3d\x24\x02\0\0\0\0\0\xb7\x03\0\0\0\0\0\0\x85\0\0\0\
\x71\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x79\x12\x08\0\0\0\0\0\xbf\xa1\0\
\0\0\0\0\0\x07\x01\0\0\xc0\xff\xff\xff\x7b\x21\x80\xff\0\0\0\0\x79\x12\x80\xff\
\0\0\0\0\x57\x02\0\0\x41\0\0\0\xb7\x04\0\0\0\0\0\0\x3d\x24\x02\0\0\0\0\0\xb7\
\x03\0\0\0\0\0\0\x85\0\0\0\x71\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\
\xa1\0\0\0\0\0\0\x07\x01\0\0\xc0\xff\xff\xff\xb7\0\0\0\0\0\0\0\x7b\x0a\xc0\xff\
\0\0\0\0\x7b\x0a\xc8\xff\0\0\0\0\x7b\x0a\xd0\xff\0\0\0\0\x7b\x0a\xd8\xff\0\0\0\
\0\x7b\x0a\xe0\xff\0\0\0\0\x7b\x0a\xe8\xff\0\0\0\0\x7b\x0a\xf0\xff\0\0\0\0\x7b\
\x0a\xf8\xff\0\0\0\0\xb7\x02\0\0\x10\0\0\0\x7b\x21\x80\xff\0\0\0\0\x79\x12\x80\
\xff\0\0\0\0\x25\x02\x04\0\x40\0\0\0\xb7\x04\0\0\0\0\0\0\x3d\x24\x02\0\0\0\0\0\
\xb7\x03\0\0\0\0\0\0\x85\0\0\0\x71\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\
\xbf\xa1\0\0\0\0\0\0\x07\x01\0\0\xc0\xff\xff\xff\xb7\0\0\0\0\0\0\0\x7b\x0a\xc0\
\xff\0\0\0\0\x7b\x0a\xc8\xff\0\0\0\0\x7b\x0a\xd0\xff\0\0\0\0\x7b\x0a\xd8\xff\0\
\0\0\0\x7b\x0a\xe0\xff\0\0\0\0\x7b\x0a\xe8\xff\0\0\0\0\x7b\x0a\xf0\xff\0\0\0\0\
\x7b\x0a\xf8\xff\0\0\0\0\xb7\x02\0\0\x10\0\0\0\x7b\x21\x80\xff\0\0\0\0\x79\x12\
\x80\xff\0\0\0\0\x65\x02\x04\0\x40\0\0\0\xb7\x04\0\0\0\0\0\0\x7d\x24\x02\0\0\0\
\0\0\xb7\x03\0\0\0\0\0\0\x85\0\0\0\x71\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\
\0\x79\x12\x08\0\0\0\0\0\xbf\xa1\0\0\0\0\0\0\x07\x01\0\0\xc0\xff\xff\xff\x7b\
\x21\x80\xff\0\0\0\0\x79\x12\x80\xff\0\0\0\0\x25\x02\x05\0\x40\0\0\0\xb7\x04\0\
\0\0\0\0\0\x3d\x24\x03\0\0\0\0\0\x07\x02\0\0\x01\0\0\0\xb7\x03\0\0\0\0\0\0\x85\
\0\0\0\x71\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x79\x12\x08\0\0\0\0\0\xbf\
\xa1\0\0\0\0\0\0\x07\x01\0\0\xc0\xff\xff\xff\x7b\x21\x80\xff\0\0\0\0\x79\x12\
\x80\xff\0\0\0\0\x25\x02\x04\0\x41\0\0\0\xb7\x04\0\0\0\0\0\0\x3d\x24\x02\0\0\0\
\0\0\xb7\x03\0\0\0\0\0\0\x85\0\0\0\x71\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\
\0\x79\x12\x08\0\0\0\0\0\xbf\xa1\0\0\0\0\0\0\x07\x01\0\0\xc0\xff\xff\xff\x7b\
\x21\x80\xff\0\0\0\0\x79\x12\x80\xff\0\0\0\0\xb7\x04\0\0\0\0\0\0\x3d\x24\x02\0\
\0\0\0\0\xb7\x03\0\0\0\0\0\0\x85\0\0\0\x71\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\
\0\0\0\x79\x12\x08\0\0\0\0\0\xbf\xa1\0\0\0\0\0\0\x07\x01\0\0\xc0\xff\xff\xff\
\x7b\x21\x80\xff\0\0\0\0\x79\x12\x80\xff\0\0\0\0\x65\x02\x03\0\x40\0\0\0\xb7\
\x03\0\0\0\0\0\0\x85\0\0\0\x71\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\
\xa2\0\0\0\0\0\0\x07\x02\0\0\xf8\xff\xff\xff\xb7\x01\0\0\0\0\0\0\x7b\x12\0\0\0\
\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x01\0\0\0\x15\0\x0a\0\0\0\
\0\0\xbf\x01\0\0\0\0\0\0\xb7\x02\0\0\x30\0\0\0\x7b\x2a\x80\xff\0\0\0\0\x79\xa2\
\x80\xff\0\0\0\0\x65\x02\x04\0\x30\0\0\0\xb7\x04\0\0\0\0\0\0\x7d\x24\x02\0\0\0\
\0\0\xb7\x03\0\0\0\0\0\0\x85\0\0\0\x71\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\
\0\x79\x16\x08\0\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xf8\xff\xff\xff\xb7\
\x01\0\0\0\0\0\0\x7b\x12\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\
\0\0\x01\0\0\0\x15\0\x0a\0\0\0\0\0\xbf\x01\0\0\0\0\0\0\xbf\x62\0\0\0\0\0\0\x7b\
\x2a\x80\xff\0\0\0\0\x79\xa2\x80\xff\0\0\0\0\x65\x02\x04\0\x31\0\0\0\xb7\x04\0\
\0\0\0\0\0\x7d\x24\x02\0\0\0\0\0\xb7\x03\0\0\0\0\0\0\x85\0\0\0\x71\0\0\0\xb7\0\
\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xf8\xff\xff\xff\
\xb7\x01\0\0\0\0\0\0\x7b\x12\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x85\0\0\0\x01\0\0\0\x15\0\x0b\0\0\0\0\0\xbf\x01\0\0\0\0\0\0\x07\x01\0\0\x14\0\
\0\0\xb7\x02\0\0\x30\0\0\0\x7b\x2a\x80\xff\0\0\0\0\x79\xa2\x80\xff\0\0\0\0\x65\
\x02\x04\0\x1c\0\0\0\xb7\x04\0\0\0\0\0\0\x7d\x24\x02\0\0\0\0\0\xb7\x03\0\0\0\0\
\0\0\x85\0\0\0\x71\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x79\x16\x08\0\0\0\
\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xf8\xff\xff\xff\xb7\x01\0\0\0\0\0\0\x7b\
\x12\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x01\0\0\0\x15\0\
\x0b\0\0\0\0\0\xbf\x01\0\0\0\0\0\0\x07\x01\0\0\x14\0\0\0\xbf\x62\0\0\0\0\0\0\
\x7b\x2a\x80\xff\0\0\0\0\x79\xa2\x80\xff\0\0\0\0\x65\x02\x04\0\x1d\0\0\0\xb7\
\x04\0\0\0\0\0\0\x7d\x24\x02\0\0\0\0\0\xb7\x03\0\0\0\0\0\0\x85\0\0\0\x71\0\0\0\
\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\x01\0\0\0\0\0\0\xb7\x02\0\0\0\0\0\0\
\xb7\x03\0\0\0\0\0\0\x85\0\0\0\x71\0\0\0\x95\0\0\0\0\0\0\0\xb7\x01\0\0\0\0\0\0\
\xb7\x02\0\0\x01\0\0\0\xb7\x03\0\0\0\0\0\0\x85\0\0\0\x71\0\0\0\x95\0\0\0\0\0\0\
\0\xbf\xa1\0\0\0\0\0\0\x07\x01\0\0\xf8\xff\xff\xff\xb7\x02\0\0\0\0\0\0\xb7\x03\
\0\0\0\0\0\0\x85\0\0\0\x71\0\0\0\x95\0\0\0\0\0\0\0\xb7\x01\0\0\0\0\0\0\x7b\x1a\
\xf8\xff\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xf8\xff\xff\xff\x18\x01\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x01\0\0\0\x15\0\x04\0\0\0\0\0\xbf\x01\0\0\0\0\
\0\0\xb7\x02\0\0\0\0\0\0\xb7\x03\0\0\0\0\0\0\x85\0\0\0\x71\0\0\0\x95\0\0\0\0\0\
\0\0\xb7\x01\0\0\0\0\0\0\x7b\x1a\xf8\xff\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\
\0\xf8\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x01\0\0\0\x15\
\0\x06\0\0\0\0\0\x79\x02\0\0\0\0\0\0\x25\x02\x04\0\x08\0\0\0\xbf\xa1\0\0\0\0\0\
\0\x07\x01\0\0\xf8\xff\xff\xff\xb7\x03\0\0\0\0\0\0\x85\0\0\0\x71\0\0\0\x95\0\0\
\0\0\0\0\0\xb7\x01\0\0\0\0\0\0\x7b\x1a\xf8\xff\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\
\x02\0\0\xf8\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x01\0\0\
\0\x15\0\x05\0\0\0\0\0\xbf\x01\0\0\0\0\0\0\x79\x02\0\0\0\0\0\0\x25\x02\x02\0\
\x08\0\0\0\xb7\x03\0\0\0\0\0\0\x85\0\0\0\x71\0\0\0\x95\0\0\0\0\0\0\0\xbf\xa1\0\
\0\0\0\0\0\xb7\0\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x7b\x0a\xc0\xff\0\0\0\0\x7b\x0a\
\xc8\xff\0\0\0\0\x7b\x0a\xd0\xff\0\0\0\0\x7b\x0a\xd8\xff\0\0\0\0\x7b\x0a\xe0\
\xff\0\0\0\0\x7b\x0a\xe8\xff\0\0\0\0\x7b\x0a\xf0\xff\0\0\0\0\x7b\x0a\xf8\xff\0\
\0\0\0\x07\x01\0\0\xc0\xff\xff\xff\xb7\x02\0\0\0\0\0\0\x57\x02\0\0\x20\0\0\0\
\x07\x02\0\0\x20\0\0\0\xb7\x03\0\0\0\0\0\0\x85\0\0\0\x71\0\0\0\x79\xa1\xf0\xff\
\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\x06\0\0\0\0\0\0\x7b\x6a\x80\xff\0\0\0\0\x85\0\0\
\0\x07\0\0\0\xbf\x03\0\0\0\0\0\0\x57\x03\0\0\x40\0\0\0\x18\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xc0\xff\xff\xff\xb7\x04\0\0\0\0\0\
\0\x85\0\0\0\x82\0\0\0\x95\0\0\0\0\0\0\0\xb7\x06\0\0\0\0\0\0\x7b\x6a\x80\xff\0\
\0\0\0\x85\0\0\0\x07\0\0\0\xbf\x03\0\0\0\0\0\0\x25\x03\x06\0\x40\0\0\0\x18\x01\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xc0\xff\xff\xff\
\xb7\x04\0\0\0\0\0\0\x85\0\0\0\x82\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\
\xb7\x06\0\0\0\0\0\0\x7b\x6a\x80\xff\0\0\0\0\x85\0\0\0\x07\0\0\0\xbf\x03\0\0\0\
\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xc0\
\xff\xff\xff\xb7\0\0\0\0\0\0\0\x7b\x0a\xc0\xff\0\0\0\0\x7b\x0a\xc8\xff\0\0\0\0\
\x7b\x0a\xd0\xff\0\0\0\0\x7b\x0a\xd8\xff\0\0\0\0\x7b\x0a\xe8\xff\0\0\0\0\x7b\
\x0a\xf0\xff\0\0\0\0\x7b\x0a\xf8\xff\0\0\0\0\x57\x03\0\0\x3f\0\0\0\x07\x03\0\0\
\x01\0\0\0\xb7\x04\0\0\0\0\0\0\x85\0\0\0\x82\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\
\0\0\0\0\xb7\x01\0\0\0\0\0\0\xb7\x02\0\0\0\0\0\0\xb7\x03\0\0\0\0\0\0\xb7\x04\0\
\0\0\0\0\0\xb7\x05\0\0\0\0\0\0\x85\0\0\0\x1c\0\0\0\x95\0\0\0\0\0\0\0\x61\x12\0\
\0\0\0\0\0\xb7\x01\0\0\0\0\0\0\x7b\x2a\x80\xff\0\0\0\0\x79\xa2\x80\xff\0\0\0\0\
\x57\x02\0\0\x40\0\0\0\xb7\x03\0\0\0\0\0\0\xb7\x04\0\0\0\0\0\0\xb7\x05\0\0\0\0\
\0\0\x85\0\0\0\x1c\0\0\0\x95\0\0\0\0\0\0\0\xbf\xa1\0\0\0\0\0\0\x07\x01\0\0\xf8\
\xff\xff\xff\xb7\x02\0\0\0\0\0\0\x7b\x21\0\0\0\0\0\0\x57\x02\0\0\x08\0\0\0\xb7\
\x03\0\0\0\0\0\0\xb7\x04\0\0\0\0\0\0\xb7\x05\0\0\0\0\0\0\x85\0\0\0\x1c\0\0\0\
\x95\0\0\0\0\0\0\0\xb7\x01\0\0\0\0\0\0\x7b\x1a\xf8\xff\0\0\0\0\xbf\xa2\0\0\0\0\
\0\0\x07\x02\0\0\xf8\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\
\x01\0\0\0\x15\0\x06\0\0\0\0\0\xbf\x01\0\0\0\0\0\0\xb7\x02\0\0\0\0\0\0\xb7\x03\
\0\0\0\0\0\0\xb7\x04\0\0\0\0\0\0\xb7\x05\0\0\0\0\0\0\x85\0\0\0\x1c\0\0\0\x95\0\
\0\0\0\0\0\0\xb7\x01\0\0\0\0\0\0\x7b\x1a\xf8\xff\0\0\0\0\xbf\xa2\0\0\0\0\0\0\
\x07\x02\0\0\xf8\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x01\
\0\0\0\x15\0\x09\0\0\0\0\0\x79\x02\0\0\0\0\0\0\x25\x02\x07\0\x08\0\0\0\xbf\xa1\
\0\0\0\0\0\0\x07\x01\0\0\xf8\xff\xff\xff\x7b\x21\0\0\0\0\0\0\xb7\x03\0\0\0\0\0\
\0\xb7\x04\0\0\0\0\0\0\xb7\x05\0\0\0\0\0\0\x85\0\0\0\x1c\0\0\0\x95\0\0\0\0\0\0\
\0\xb7\x01\0\0\0\0\0\0\x7b\x1a\xf8\xff\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\
\xf8\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x01\0\0\0\x15\0\
\x07\0\0\0\0\0\xbf\x01\0\0\0\0\0\0\x79\x02\0\0\0\0\0\0\x25\x02\x04\0\x08\0\0\0\
\xb7\x03\0\0\0\0\0\0\xb7\x04\0\0\0\0\0\0\xb7\x05\0\0\0\0\0\0\x85\0\0\0\x1c\0\0\
\0\x95\0\0\0\0\0\0\0\x61\x16\x4c\0\0\0\0\0\x61\x13\x50\0\0\0\0\0\xbf\x60\0\0\0\
\0\0\0\x07\0\0\0\x08\0\0\0\x2d\x30\x07\0\0\0\0\0\xbf\x61\0\0\0\0\0\0\x79\x62\0\
\0\0\0\0\0\x25\x02\x04\0\x08\0\0\0\xb7\x03\0\0\0\0\0\0\xb7\x04\0\0\0\0\0\0\xb7\
\x05\0\0\0\0\0\0\x85\0\0\0\x1c\0\0\0\x95\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\
\0\xe8\x03\0\0\0\0\0\0\x01\0\0\0\x29\0\0\0\x88\x04\0\0\0\0\0\0\x01\0\0\0\x29\0\
\0\0\x20\x05\0\0\0\0\0\0\x01\0\0\0\x29\0\0\0\xc8\x05\0\0\0\0\0\0\x01\0\0\0\x29\
\0\0\0\xe8\x06\0\0\0\0\0\0\x01\0\0\0\x31\0\0\0\x50\x07\0\0\0\0\0\0\x01\0\0\0\
\x31\0\0\0\xc8\x07\0\0\0\0\0\0\x01\0\0\0\x31\0\0\0\x28\0\0\0\0\0\0\0\x01\0\0\0\
\x1f\0\0\0\x88\0\0\0\0\0\0\0\x01\0\0\0\x1f\0\0\0\xe8\0\0\0\0\0\0\0\x01\0\0\0\
\x1f\0\0\0\xf8\0\0\0\0\0\0\0\x01\0\0\0\x31\0\0\0\x70\x01\0\0\0\0\0\0\x01\0\0\0\
\x31\0\0\0\0\x02\0\0\0\0\0\0\x01\0\0\0\x31\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\
\0\xf4\x08\0\0\xf4\x08\0\0\x6d\x14\0\0\0\0\0\0\0\0\0\x02\x03\0\0\0\x01\0\0\0\0\
\0\0\x01\x04\0\0\0\x20\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\
\x1b\0\0\0\x05\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x02\x06\0\0\0\
\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\0\x10\0\0\0\0\0\0\x02\0\0\x04\
\x10\0\0\0\x19\0\0\0\x01\0\0\0\0\0\0\0\x1e\0\0\0\x05\0\0\0\x40\0\0\0\x2a\0\0\0\
\0\0\0\x0e\x07\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x0a\0\0\0\0\0\0\0\0\0\0\x03\0\
\0\0\0\x02\0\0\0\x04\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x0c\0\0\0\x36\0\0\0\0\0\
\0\x01\x08\0\0\0\x40\0\0\x01\0\0\0\0\0\0\0\x02\x0e\0\0\0\x40\0\0\0\x02\0\0\x04\
\x30\0\0\0\x49\0\0\0\x0f\0\0\0\0\0\0\0\x4f\0\0\0\x10\0\0\0\x20\0\0\0\x53\0\0\0\
\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\
\x0b\0\0\0\0\0\0\0\x04\0\0\x04\x20\0\0\0\x19\0\0\0\x09\0\0\0\0\0\0\0\x1e\0\0\0\
\x09\0\0\0\x40\0\0\0\x60\0\0\0\x0b\0\0\0\x80\0\0\0\x64\0\0\0\x0d\0\0\0\xc0\0\0\
\0\x6a\0\0\0\0\0\0\x0e\x11\0\0\0\x01\0\0\0\0\0\0\0\x04\0\0\x04\x20\0\0\0\x19\0\
\0\0\x09\0\0\0\0\0\0\0\x1e\0\0\0\x09\0\0\0\x40\0\0\0\x60\0\0\0\x0b\0\0\0\x80\0\
\0\0\x64\0\0\0\x0b\0\0\0\xc0\0\0\0\x77\0\0\0\0\0\0\x0e\x13\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\x0d\0\0\0\0\x83\0\0\0\x01\0\0\x0c\x15\0\0\0\xa2\0\0\0\0\0\0\x11\x16\
\0\0\0\xff\xff\xff\xff\x06\x01\0\0\0\0\0\x11\x16\0\0\0\xff\xff\xff\xff\x22\x01\
\0\0\x01\0\0\x0c\x15\0\0\0\x42\x01\0\0\0\0\0\x11\x19\0\0\0\xff\xff\xff\xff\x06\
\x01\0\0\0\0\0\x11\x19\0\0\0\xff\xff\xff\xff\x9f\x01\0\0\0\0\0\x11\x19\0\0\0\
\xff\xff\xff\xff\xc2\x01\0\0\0\0\0\x11\x19\0\0\0\xff\xff\xff\xff\x19\x02\0\0\0\
\0\0\x11\x19\0\0\0\xff\xff\xff\xff\x2f\x02\0\0\x01\0\0\x0c\x15\0\0\0\x49\x02\0\
\0\0\0\0\x11\x1f\0\0\0\xff\xff\xff\xff\xa8\x02\0\0\0\0\0\x11\x1f\0\0\0\xff\xff\
\xff\xff\xc4\x02\0\0\0\0\0\x11\x1f\0\0\0\xff\xff\xff\xff\x12\x03\0\0\x01\0\0\
\x0c\x15\0\0\0\x32\x03\0\0\0\0\0\x11\x23\0\0\0\xff\xff\xff\xff\x06\x01\0\0\0\0\
\0\x11\x23\0\0\0\xff\xff\xff\xff\x88\x03\0\0\x01\0\0\x0c\x15\0\0\0\xa8\x03\0\0\
\0\0\0\x11\x26\0\0\0\xff\xff\xff\xff\x06\x01\0\0\0\0\0\x11\x26\0\0\0\xff\xff\
\xff\xff\x07\x04\0\0\x01\0\0\x0c\x15\0\0\0\x26\x04\0\0\0\0\0\x11\x29\0\0\0\xff\
\xff\xff\xff\xa8\x02\0\0\0\0\0\x11\x29\0\0\0\xff\xff\xff\xff\x7d\x04\0\0\0\0\0\
\x11\x29\0\0\0\xff\xff\xff\xff\xcb\x04\0\0\x01\0\0\x0c\x15\0\0\0\xe6\x04\0\0\0\
\0\0\x11\x2d\0\0\0\xff\xff\xff\xff\xa8\x02\0\0\0\0\0\x11\x2d\0\0\0\xff\xff\xff\
\xff\x37\x05\0\0\0\0\0\x11\x2d\0\0\0\xff\xff\xff\xff\x85\x05\0\0\x01\0\0\x0c\
\x15\0\0\0\x9c\x05\0\0\0\0\0\x11\x31\0\0\0\xff\xff\xff\xff\xa8\x02\0\0\0\0\0\
\x11\x31\0\0\0\xff\xff\xff\xff\xf0\x05\0\0\0\0\0\x11\x31\0\0\0\xff\xff\xff\xff\
\x4a\x06\0\0\x01\0\0\x0c\x15\0\0\0\x61\x06\0\0\0\0\0\x11\x35\0\0\0\xff\xff\xff\
\xff\x06\x01\0\0\0\0\0\x11\x35\0\0\0\xff\xff\xff\xff\x9f\x01\0\0\0\0\0\x11\x35\
\0\0\0\xff\xff\xff\xff\xb5\x06\0\0\0\0\0\x11\x35\0\0\0\xff\xff\xff\xff\x19\x02\
\0\0\0\0\0\x11\x35\0\0\0\xff\xff\xff\xff\x0c\x07\0\0\x01\0\0\x0c\x15\0\0\0\x24\
\x07\0\0\0\0\0\x11\x3b\0\0\0\xff\xff\xff\xff\xa8\x02\0\0\0\0\0\x11\x3b\0\0\0\
\xff\xff\xff\xff\x81\x07\0\0\0\0\0\x11\x3b\0\0\0\xff\xff\xff\xff\xb4\x07\0\0\
\x01\0\0\x0c\x15\0\0\0\xd2\x07\0\0\0\0\0\x11\x3f\0\0\0\xff\xff\xff\xff\x06\x01\
\0\0\0\0\0\x11\x3f\0\0\0\xff\xff\xff\xff\x26\x08\0\0\x01\0\0\x0c\x15\0\0\0\x3f\
\x08\0\0\0\0\0\x11\x42\0\0\0\xff\xff\xff\xff\xa8\x02\0\0\0\0\0\x11\x42\0\0\0\
\xff\xff\xff\xff\x8e\x08\0\0\0\0\0\x11\x42\0\0\0\xff\xff\xff\xff\xe1\x08\0\0\
\x01\0\0\x0c\x15\0\0\0\x01\x09\0\0\0\0\0\x11\x46\0\0\0\xff\xff\xff\xff\x06\x01\
\0\0\0\0\0\x11\x46\0\0\0\xff\xff\xff\xff\x5e\x09\0\0\x01\0\0\x0c\x15\0\0\0\x79\
\x09\0\0\0\0\0\x11\x49\0\0\0\xff\xff\xff\xff\xa8\x02\0\0\0\0\0\x11\x49\0\0\0\
\xff\xff\xff\xff\xd1\x09\0\0\0\0\0\x11\x49\0\0\0\xff\xff\xff\xff\x1f\x0a\0\0\
\x01\0\0\x0c\x15\0\0\0\x34\x0a\0\0\0\0\0\x11\x4d\0\0\0\xff\xff\xff\xff\x06\x01\
\0\0\0\0\0\x11\x4d\0\0\0\xff\xff\xff\xff\x19\x02\0\0\0\0\0\x11\x4d\0\0\0\xff\
\xff\xff\xff\xa1\x0a\0\0\x01\0\0\x0c\x15\0\0\0\xb6\x0a\0\0\0\0\0\x11\x51\0\0\0\
\xff\xff\xff\xff\xa8\x02\0\0\0\0\0\x11\x51\0\0\0\xff\xff\xff\xff\x27\x0b\0\0\0\
\0\0\x11\x51\0\0\0\xff\xff\xff\xff\x5c\x0b\0\0\x01\0\0\x0c\x15\0\0\0\x71\x0b\0\
\0\0\0\0\x11\x55\0\0\0\xff\xff\xff\xff\x06\x01\0\0\0\0\0\x11\x55\0\0\0\xff\xff\
\xff\xff\x19\x02\0\0\0\0\0\x11\x55\0\0\0\xff\xff\xff\xff\xef\x0b\0\0\x01\0\0\
\x0c\x15\0\0\0\x04\x0c\0\0\0\0\0\x11\x59\0\0\0\xff\xff\xff\xff\x06\x01\0\0\0\0\
\0\x11\x59\0\0\0\xff\xff\xff\xff\x19\x02\0\0\0\0\0\x11\x59\0\0\0\xff\xff\xff\
\xff\x80\x0c\0\0\x01\0\0\x0c\x15\0\0\0\x95\x0c\0\0\0\0\0\x11\x5d\0\0\0\xff\xff\
\xff\xff\x06\x01\0\0\0\0\0\x11\x5d\0\0\0\xff\xff\xff\xff\x19\x02\0\0\0\0\0\x11\
\x5d\0\0\0\xff\xff\xff\xff\x1c\x0d\0\0\x01\0\0\x0c\x15\0\0\0\x31\x0d\0\0\0\0\0\
\x11\x61\0\0\0\xff\xff\xff\xff\x06\x01\0\0\0\0\0\x11\x61\0\0\0\xff\xff\xff\xff\
\x19\x02\0\0\0\0\0\x11\x61\0\0\0\xff\xff\xff\xff\xb6\x0d\0\0\x01\0\0\x0c\x15\0\
\0\0\xcb\x0d\0\0\0\0\0\x11\x65\0\0\0\xff\xff\xff\xff\x06\x01\0\0\0\0\0\x11\x65\
\0\0\0\xff\xff\xff\xff\x19\x02\0\0\0\0\0\x11\x65\0\0\0\xff\xff\xff\xff\x53\x0e\
\0\0\0\0\0\x11\x65\0\0\0\xff\xff\xff\xff\x7f\x0e\0\0\x01\0\0\x0c\x15\0\0\0\x94\
\x0e\0\0\0\0\0\x11\x6a\0\0\0\xff\xff\xff\xff\xa8\x02\0\0\0\0\0\x11\x6a\0\0\0\
\xff\xff\xff\xff\x06\x0f\0\0\0\0\0\x11\x6a\0\0\0\xff\xff\xff\xff\x3c\x0f\0\0\
\x01\0\0\x0c\x15\0\0\0\x51\x0f\0\0\0\0\0\x11\x6e\0\0\0\xff\xff\xff\xff\xa8\x02\
\0\0\0\0\0\x11\x6e\0\0\0\xff\xff\xff\xff\xc3\x0f\0\0\0\0\0\x11\x6e\0\0\0\xff\
\xff\xff\xff\xf9\x0f\0\0\x01\0\0\x0c\x15\0\0\0\x0f\x10\0\0\0\0\0\x11\x72\0\0\0\
\xff\xff\xff\xff\x06\x01\0\0\0\0\0\x11\x72\0\0\0\xff\xff\xff\xff\x8e\x10\0\0\
\x01\0\0\x0c\x15\0\0\0\xa4\x10\0\0\0\0\0\x11\x75\0\0\0\xff\xff\xff\xff\x06\x01\
\0\0\0\0\0\x11\x75\0\0\0\xff\xff\xff\xff\x21\x11\0\0\x01\0\0\x0c\x15\0\0\0\x37\
\x11\0\0\0\0\0\x11\x78\0\0\0\xff\xff\xff\xff\x06\x01\0\0\0\0\0\x11\x78\0\0\0\
\xff\xff\xff\xff\xbf\x11\0\0\x01\0\0\x0c\x15\0\0\0\xd5\x11\0\0\0\0\0\x11\x7b\0\
\0\0\xff\xff\xff\xff\x06\x01\0\0\0\0\0\x11\x7b\0\0\0\xff\xff\xff\xff\x5b\x12\0\
\0\x01\0\0\x0c\x15\0\0\0\x78\x12\0\0\0\0\0\x11\x7e\0\0\0\xff\xff\xff\xff\x06\
\x01\0\0\0\0\0\x11\x7e\0\0\0\xff\xff\xff\xff\x9f\x01\0\0\0\0\0\x11\x7e\0\0\0\
\xff\xff\xff\xff\xc0\x12\0\0\0\0\0\x11\x7e\0\0\0\xff\xff\xff\xff\x19\x02\0\0\0\
\0\0\x11\x7e\0\0\0\xff\xff\xff\xff\x19\x13\0\0\x01\0\0\x0c\x15\0\0\0\x33\x13\0\
\0\0\0\0\x11\x84\0\0\0\xff\xff\xff\xff\x06\x01\0\0\0\0\0\x11\x84\0\0\0\xff\xff\
\xff\xff\x8c\x13\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\
\x87\0\0\0\x04\0\0\0\x04\0\0\0\x91\x13\0\0\0\0\0\x0e\x88\0\0\0\x01\0\0\0\x4a\
\x14\0\0\x03\0\0\x0f\x50\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\x12\0\0\0\x10\0\0\0\
\x20\0\0\0\x14\0\0\0\x30\0\0\0\x20\0\0\0\x50\x14\0\0\x01\0\0\x0f\x04\0\0\0\x89\
\0\0\0\0\0\0\0\x04\0\0\0\0\x69\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\
\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x74\x79\x70\x65\0\x6d\x61\x78\x5f\
\x65\x6e\x74\x72\x69\x65\x73\0\x6d\x61\x70\x5f\x72\x69\x6e\x67\x62\x75\x66\0\
\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x74\x65\x73\x74\x5f\x76\x61\x6c\0\x69\
\x6e\x64\x65\x78\0\x66\x6f\x6f\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\
\x74\0\x6b\x65\x79\0\x76\x61\x6c\x75\x65\0\x6d\x61\x70\x5f\x68\x61\x73\x68\x5f\
\x34\x38\x62\0\x6d\x61\x70\x5f\x68\x61\x73\x68\x5f\x38\x62\0\x62\x69\x74\x77\
\x69\x73\x65\x5f\x61\x6e\x64\x5f\x6a\x6d\x70\x5f\x63\x6f\x72\x72\x65\x63\x74\
\x5f\x62\x6f\x75\x6e\x64\x73\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\
\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x68\x65\x6c\x70\x65\x72\
\x20\x61\x63\x63\x65\x73\x73\x20\x74\x6f\x20\x76\x61\x72\x69\x61\x62\x6c\x65\
\x20\x6d\x65\x6d\x6f\x72\x79\x3a\x20\x73\x74\x61\x63\x6b\x2c\x20\x62\x69\x74\
\x77\x69\x73\x65\x20\x41\x4e\x44\x20\x2b\x20\x4a\x4d\x50\x2c\x20\x63\x6f\x72\
\x72\x65\x63\x74\x20\x62\x6f\x75\x6e\x64\x73\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\
\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x73\x75\x63\x63\x65\x73\x73\0\
\x73\x74\x61\x63\x6b\x5f\x62\x69\x74\x77\x69\x73\x65\x5f\x61\x6e\x64\x5f\x7a\
\x65\x72\x6f\x5f\x69\x6e\x63\x6c\x75\x64\x65\x64\0\x63\x6f\x6d\x6d\x65\x6e\x74\
\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x68\
\x65\x6c\x70\x65\x72\x20\x61\x63\x63\x65\x73\x73\x20\x74\x6f\x20\x76\x61\x72\
\x69\x61\x62\x6c\x65\x20\x6d\x65\x6d\x6f\x72\x79\x3a\x20\x73\x74\x61\x63\x6b\
\x2c\x20\x62\x69\x74\x77\x69\x73\x65\x20\x41\x4e\x44\x2c\x20\x7a\x65\x72\x6f\
\x20\x69\x6e\x63\x6c\x75\x64\x65\x64\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\
\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x66\x61\x69\x6c\x75\x72\x65\x5f\x75\
\x6e\x70\x72\x69\x76\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\
\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x5f\x75\x6e\x70\x72\x69\x76\x3d\x30\x3d\
\x69\x6e\x76\x61\x6c\x69\x64\x20\x69\x6e\x64\x69\x72\x65\x63\x74\x20\x72\x65\
\x61\x64\x20\x66\x72\x6f\x6d\x20\x73\x74\x61\x63\x6b\x20\x52\x32\x20\x6f\x66\
\x66\x20\x2d\x36\x34\x2b\x30\x20\x73\x69\x7a\x65\x20\x36\x34\0\x63\x6f\x6d\x6d\
\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x72\x65\x74\x76\x61\x6c\x3d\x30\0\x62\x69\
\x74\x77\x69\x73\x65\x5f\x61\x6e\x64\x5f\x6a\x6d\x70\x5f\x77\x72\x6f\x6e\x67\
\x5f\x6d\x61\x78\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\
\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x68\x65\x6c\x70\x65\x72\x20\x61\x63\
\x63\x65\x73\x73\x20\x74\x6f\x20\x76\x61\x72\x69\x61\x62\x6c\x65\x20\x6d\x65\
\x6d\x6f\x72\x79\x3a\x20\x73\x74\x61\x63\x6b\x2c\x20\x62\x69\x74\x77\x69\x73\
\x65\x20\x41\x4e\x44\x20\x2b\x20\x4a\x4d\x50\x2c\x20\x77\x72\x6f\x6e\x67\x20\
\x6d\x61\x78\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\
\x65\x63\x74\x5f\x66\x61\x69\x6c\x75\x72\x65\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\
\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x31\x3d\x69\
\x6e\x76\x61\x6c\x69\x64\x20\x69\x6e\x64\x69\x72\x65\x63\x74\x20\x61\x63\x63\
\x65\x73\x73\x20\x74\x6f\x20\x73\x74\x61\x63\x6b\x20\x52\x31\x20\x6f\x66\x66\
\x3d\x2d\x36\x34\x20\x73\x69\x7a\x65\x3d\x36\x35\0\x6d\x65\x6d\x6f\x72\x79\x5f\
\x73\x74\x61\x63\x6b\x5f\x6a\x6d\x70\x5f\x63\x6f\x72\x72\x65\x63\x74\x5f\x62\
\x6f\x75\x6e\x64\x73\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\
\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x68\x65\x6c\x70\x65\x72\x20\x61\
\x63\x63\x65\x73\x73\x20\x74\x6f\x20\x76\x61\x72\x69\x61\x62\x6c\x65\x20\x6d\
\x65\x6d\x6f\x72\x79\x3a\x20\x73\x74\x61\x63\x6b\x2c\x20\x4a\x4d\x50\x2c\x20\
\x63\x6f\x72\x72\x65\x63\x74\x20\x62\x6f\x75\x6e\x64\x73\0\x73\x74\x61\x63\x6b\
\x5f\x6a\x6d\x70\x5f\x73\x69\x67\x6e\x65\x64\x5f\x63\x6f\x72\x72\x65\x63\x74\
\x5f\x62\x6f\x75\x6e\x64\x73\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\
\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x68\x65\x6c\x70\x65\x72\
\x20\x61\x63\x63\x65\x73\x73\x20\x74\x6f\x20\x76\x61\x72\x69\x61\x62\x6c\x65\
\x20\x6d\x65\x6d\x6f\x72\x79\x3a\x20\x73\x74\x61\x63\x6b\x2c\x20\x4a\x4d\x50\
\x20\x28\x73\x69\x67\x6e\x65\x64\x29\x2c\x20\x63\x6f\x72\x72\x65\x63\x74\x20\
\x62\x6f\x75\x6e\x64\x73\0\x6d\x65\x6d\x6f\x72\x79\x5f\x73\x74\x61\x63\x6b\x5f\
\x6a\x6d\x70\x5f\x62\x6f\x75\x6e\x64\x73\x5f\x6f\x66\x66\x73\x65\x74\0\x63\x6f\
\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\
\x69\x6f\x6e\x3d\x68\x65\x6c\x70\x65\x72\x20\x61\x63\x63\x65\x73\x73\x20\x74\
\x6f\x20\x76\x61\x72\x69\x61\x62\x6c\x65\x20\x6d\x65\x6d\x6f\x72\x79\x3a\x20\
\x73\x74\x61\x63\x6b\x2c\x20\x4a\x4d\x50\x2c\x20\x62\x6f\x75\x6e\x64\x73\x20\
\x2b\x20\x6f\x66\x66\x73\x65\x74\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\
\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x32\x3d\x69\x6e\x76\x61\
\x6c\x69\x64\x20\x69\x6e\x64\x69\x72\x65\x63\x74\x20\x61\x63\x63\x65\x73\x73\
\x20\x74\x6f\x20\x73\x74\x61\x63\x6b\x20\x52\x31\x20\x6f\x66\x66\x3d\x2d\x36\
\x34\x20\x73\x69\x7a\x65\x3d\x36\x35\0\x6d\x65\x6d\x6f\x72\x79\x5f\x73\x74\x61\
\x63\x6b\x5f\x6a\x6d\x70\x5f\x77\x72\x6f\x6e\x67\x5f\x6d\x61\x78\0\x63\x6f\x6d\
\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\
\x6f\x6e\x3d\x68\x65\x6c\x70\x65\x72\x20\x61\x63\x63\x65\x73\x73\x20\x74\x6f\
\x20\x76\x61\x72\x69\x61\x62\x6c\x65\x20\x6d\x65\x6d\x6f\x72\x79\x3a\x20\x73\
\x74\x61\x63\x6b\x2c\x20\x4a\x4d\x50\x2c\x20\x77\x72\x6f\x6e\x67\x20\x6d\x61\
\x78\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\
\x74\x5f\x6d\x73\x67\x3d\x33\x3d\x69\x6e\x76\x61\x6c\x69\x64\x20\x69\x6e\x64\
\x69\x72\x65\x63\x74\x20\x61\x63\x63\x65\x73\x73\x20\x74\x6f\x20\x73\x74\x61\
\x63\x6b\x20\x52\x31\x20\x6f\x66\x66\x3d\x2d\x36\x34\x20\x73\x69\x7a\x65\x3d\
\x36\x35\0\x73\x74\x61\x63\x6b\x5f\x6a\x6d\x70\x5f\x6e\x6f\x5f\x6d\x61\x78\x5f\
\x63\x68\x65\x63\x6b\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\
\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x68\x65\x6c\x70\x65\x72\x20\x61\
\x63\x63\x65\x73\x73\x20\x74\x6f\x20\x76\x61\x72\x69\x61\x62\x6c\x65\x20\x6d\
\x65\x6d\x6f\x72\x79\x3a\x20\x73\x74\x61\x63\x6b\x2c\x20\x4a\x4d\x50\x2c\x20\
\x6e\x6f\x20\x6d\x61\x78\x20\x63\x68\x65\x63\x6b\0\x63\x6f\x6d\x6d\x65\x6e\x74\
\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x34\x3d\
\x52\x32\x20\x6d\x69\x6e\x20\x76\x61\x6c\x75\x65\x20\x69\x73\x20\x6e\x65\x67\
\x61\x74\x69\x76\x65\x2c\x20\x65\x69\x74\x68\x65\x72\x20\x75\x73\x65\x20\x75\
\x6e\x73\x69\x67\x6e\x65\x64\x20\x6f\x72\x20\x27\x76\x61\x72\x20\x26\x3d\x20\
\x63\x6f\x6e\x73\x74\x27\0\x73\x74\x61\x63\x6b\x5f\x6a\x6d\x70\x5f\x6e\x6f\x5f\
\x6d\x69\x6e\x5f\x63\x68\x65\x63\x6b\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\
\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x68\x65\x6c\x70\
\x65\x72\x20\x61\x63\x63\x65\x73\x73\x20\x74\x6f\x20\x76\x61\x72\x69\x61\x62\
\x6c\x65\x20\x6d\x65\x6d\x6f\x72\x79\x3a\x20\x73\x74\x61\x63\x6b\x2c\x20\x4a\
\x4d\x50\x2c\x20\x6e\x6f\x20\x6d\x69\x6e\x20\x63\x68\x65\x63\x6b\0\x63\x6f\x6d\
\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\
\x67\x5f\x75\x6e\x70\x72\x69\x76\x3d\x35\x3d\x69\x6e\x76\x61\x6c\x69\x64\x20\
\x69\x6e\x64\x69\x72\x65\x63\x74\x20\x72\x65\x61\x64\x20\x66\x72\x6f\x6d\x20\
\x73\x74\x61\x63\x6b\x20\x52\x32\x20\x6f\x66\x66\x20\x2d\x36\x34\x2b\x30\x20\
\x73\x69\x7a\x65\x20\x36\x34\0\x6a\x6d\x70\x5f\x73\x69\x67\x6e\x65\x64\x5f\x6e\
\x6f\x5f\x6d\x69\x6e\x5f\x63\x68\x65\x63\x6b\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\
\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x68\x65\
\x6c\x70\x65\x72\x20\x61\x63\x63\x65\x73\x73\x20\x74\x6f\x20\x76\x61\x72\x69\
\x61\x62\x6c\x65\x20\x6d\x65\x6d\x6f\x72\x79\x3a\x20\x73\x74\x61\x63\x6b\x2c\
\x20\x4a\x4d\x50\x20\x28\x73\x69\x67\x6e\x65\x64\x29\x2c\x20\x6e\x6f\x20\x6d\
\x69\x6e\x20\x63\x68\x65\x63\x6b\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\
\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x36\x3d\x52\x32\x20\x6d\
\x69\x6e\x20\x76\x61\x6c\x75\x65\x20\x69\x73\x20\x6e\x65\x67\x61\x74\x69\x76\
\x65\0\x6d\x65\x6d\x6f\x72\x79\x5f\x6d\x61\x70\x5f\x6a\x6d\x70\x5f\x63\x6f\x72\
\x72\x65\x63\x74\x5f\x62\x6f\x75\x6e\x64\x73\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\
\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x68\x65\
\x6c\x70\x65\x72\x20\x61\x63\x63\x65\x73\x73\x20\x74\x6f\x20\x76\x61\x72\x69\
\x61\x62\x6c\x65\x20\x6d\x65\x6d\x6f\x72\x79\x3a\x20\x6d\x61\x70\x2c\x20\x4a\
\x4d\x50\x2c\x20\x63\x6f\x72\x72\x65\x63\x74\x20\x62\x6f\x75\x6e\x64\x73\0\x6d\
\x65\x6d\x6f\x72\x79\x5f\x6d\x61\x70\x5f\x6a\x6d\x70\x5f\x77\x72\x6f\x6e\x67\
\x5f\x6d\x61\x78\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\
\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x68\x65\x6c\x70\x65\x72\x20\x61\x63\
\x63\x65\x73\x73\x20\x74\x6f\x20\x76\x61\x72\x69\x61\x62\x6c\x65\x20\x6d\x65\
\x6d\x6f\x72\x79\x3a\x20\x6d\x61\x70\x2c\x20\x4a\x4d\x50\x2c\x20\x77\x72\x6f\
\x6e\x67\x20\x6d\x61\x78\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\
\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x37\x3d\x69\x6e\x76\x61\x6c\x69\
\x64\x20\x61\x63\x63\x65\x73\x73\x20\x74\x6f\x20\x6d\x61\x70\x20\x76\x61\x6c\
\x75\x65\x2c\x20\x76\x61\x6c\x75\x65\x5f\x73\x69\x7a\x65\x3d\x34\x38\x20\x6f\
\x66\x66\x3d\x30\x20\x73\x69\x7a\x65\x3d\x34\x39\0\x6d\x61\x70\x5f\x61\x64\x6a\
\x75\x73\x74\x65\x64\x5f\x6a\x6d\x70\x5f\x63\x6f\x72\x72\x65\x63\x74\x5f\x62\
\x6f\x75\x6e\x64\x73\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\
\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x68\x65\x6c\x70\x65\x72\x20\x61\
\x63\x63\x65\x73\x73\x20\x74\x6f\x20\x76\x61\x72\x69\x61\x62\x6c\x65\x20\x6d\
\x65\x6d\x6f\x72\x79\x3a\x20\x6d\x61\x70\x20\x61\x64\x6a\x75\x73\x74\x65\x64\
\x2c\x20\x4a\x4d\x50\x2c\x20\x63\x6f\x72\x72\x65\x63\x74\x20\x62\x6f\x75\x6e\
\x64\x73\0\x6d\x61\x70\x5f\x61\x64\x6a\x75\x73\x74\x65\x64\x5f\x6a\x6d\x70\x5f\
\x77\x72\x6f\x6e\x67\x5f\x6d\x61\x78\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\
\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x68\x65\x6c\x70\
\x65\x72\x20\x61\x63\x63\x65\x73\x73\x20\x74\x6f\x20\x76\x61\x72\x69\x61\x62\
\x6c\x65\x20\x6d\x65\x6d\x6f\x72\x79\x3a\x20\x6d\x61\x70\x20\x61\x64\x6a\x75\
\x73\x74\x65\x64\x2c\x20\x4a\x4d\x50\x2c\x20\x77\x72\x6f\x6e\x67\x20\x6d\x61\
\x78\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\
\x74\x5f\x6d\x73\x67\x3d\x38\x3d\x52\x31\x20\x6d\x69\x6e\x20\x76\x61\x6c\x75\
\x65\x20\x69\x73\x20\x6f\x75\x74\x73\x69\x64\x65\x20\x6f\x66\x20\x74\x68\x65\
\x20\x61\x6c\x6c\x6f\x77\x65\x64\x20\x6d\x65\x6d\x6f\x72\x79\x20\x72\x61\x6e\
\x67\x65\0\x70\x74\x72\x5f\x74\x6f\x5f\x6d\x65\x6d\x5f\x6f\x72\x5f\x6e\x75\x6c\
\x6c\x5f\x31\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\
\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x68\x65\x6c\x70\x65\x72\x20\x61\x63\x63\
\x65\x73\x73\x20\x74\x6f\x20\x76\x61\x72\x69\x61\x62\x6c\x65\x20\x6d\x65\x6d\
\x6f\x72\x79\x3a\x20\x73\x69\x7a\x65\x20\x3d\x20\x30\x20\x61\x6c\x6c\x6f\x77\
\x65\x64\x20\x6f\x6e\x20\x4e\x55\x4c\x4c\x20\x28\x41\x52\x47\x5f\x50\x54\x52\
\x5f\x54\x4f\x5f\x4d\x45\x4d\x5f\x4f\x52\x5f\x4e\x55\x4c\x4c\x29\0\x70\x74\x72\
\x5f\x74\x6f\x5f\x6d\x65\x6d\x5f\x6f\x72\x5f\x6e\x75\x6c\x6c\x5f\x32\0\x63\x6f\
\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\
\x69\x6f\x6e\x3d\x68\x65\x6c\x70\x65\x72\x20\x61\x63\x63\x65\x73\x73\x20\x74\
\x6f\x20\x76\x61\x72\x69\x61\x62\x6c\x65\x20\x6d\x65\x6d\x6f\x72\x79\x3a\x20\
\x73\x69\x7a\x65\x20\x3e\x20\x30\x20\x6e\x6f\x74\x20\x61\x6c\x6c\x6f\x77\x65\
\x64\x20\x6f\x6e\x20\x4e\x55\x4c\x4c\x20\x28\x41\x52\x47\x5f\x50\x54\x52\x5f\
\x54\x4f\x5f\x4d\x45\x4d\x5f\x4f\x52\x5f\x4e\x55\x4c\x4c\x29\0\x63\x6f\x6d\x6d\
\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\
\x3d\x39\x3d\x52\x31\x20\x74\x79\x70\x65\x3d\x73\x63\x61\x6c\x61\x72\x20\x65\
\x78\x70\x65\x63\x74\x65\x64\x3d\x66\x70\0\x70\x74\x72\x5f\x74\x6f\x5f\x6d\x65\
\x6d\x5f\x6f\x72\x5f\x6e\x75\x6c\x6c\x5f\x33\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\
\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x68\x65\
\x6c\x70\x65\x72\x20\x61\x63\x63\x65\x73\x73\x20\x74\x6f\x20\x76\x61\x72\x69\
\x61\x62\x6c\x65\x20\x6d\x65\x6d\x6f\x72\x79\x3a\x20\x73\x69\x7a\x65\x20\x3d\
\x20\x30\x20\x61\x6c\x6c\x6f\x77\x65\x64\x20\x6f\x6e\x20\x21\x3d\x20\x4e\x55\
\x4c\x4c\x20\x73\x74\x61\x63\x6b\x20\x70\x6f\x69\x6e\x74\x65\x72\x20\x28\x41\
\x52\x47\x5f\x50\x54\x52\x5f\x54\x4f\x5f\x4d\x45\x4d\x5f\x4f\x52\x5f\x4e\x55\
\x4c\x4c\x29\0\x70\x74\x72\x5f\x74\x6f\x5f\x6d\x65\x6d\x5f\x6f\x72\x5f\x6e\x75\
\x6c\x6c\x5f\x34\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\
\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x68\x65\x6c\x70\x65\x72\x20\x61\x63\
\x63\x65\x73\x73\x20\x74\x6f\x20\x76\x61\x72\x69\x61\x62\x6c\x65\x20\x6d\x65\
\x6d\x6f\x72\x79\x3a\x20\x73\x69\x7a\x65\x20\x3d\x20\x30\x20\x61\x6c\x6c\x6f\
\x77\x65\x64\x20\x6f\x6e\x20\x21\x3d\x20\x4e\x55\x4c\x4c\x20\x6d\x61\x70\x20\
\x70\x6f\x69\x6e\x74\x65\x72\x20\x28\x41\x52\x47\x5f\x50\x54\x52\x5f\x54\x4f\
\x5f\x4d\x45\x4d\x5f\x4f\x52\x5f\x4e\x55\x4c\x4c\x29\0\x70\x74\x72\x5f\x74\x6f\
\x5f\x6d\x65\x6d\x5f\x6f\x72\x5f\x6e\x75\x6c\x6c\x5f\x35\0\x63\x6f\x6d\x6d\x65\
\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\
\x3d\x68\x65\x6c\x70\x65\x72\x20\x61\x63\x63\x65\x73\x73\x20\x74\x6f\x20\x76\
\x61\x72\x69\x61\x62\x6c\x65\x20\x6d\x65\x6d\x6f\x72\x79\x3a\x20\x73\x69\x7a\
\x65\x20\x70\x6f\x73\x73\x69\x62\x6c\x65\x20\x3d\x20\x30\x20\x61\x6c\x6c\x6f\
\x77\x65\x64\x20\x6f\x6e\x20\x21\x3d\x20\x4e\x55\x4c\x4c\x20\x73\x74\x61\x63\
\x6b\x20\x70\x6f\x69\x6e\x74\x65\x72\x20\x28\x41\x52\x47\x5f\x50\x54\x52\x5f\
\x54\x4f\x5f\x4d\x45\x4d\x5f\x4f\x52\x5f\x4e\x55\x4c\x4c\x29\0\x70\x74\x72\x5f\
\x74\x6f\x5f\x6d\x65\x6d\x5f\x6f\x72\x5f\x6e\x75\x6c\x6c\x5f\x36\0\x63\x6f\x6d\
\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\
\x6f\x6e\x3d\x68\x65\x6c\x70\x65\x72\x20\x61\x63\x63\x65\x73\x73\x20\x74\x6f\
\x20\x76\x61\x72\x69\x61\x62\x6c\x65\x20\x6d\x65\x6d\x6f\x72\x79\x3a\x20\x73\
\x69\x7a\x65\x20\x70\x6f\x73\x73\x69\x62\x6c\x65\x20\x3d\x20\x30\x20\x61\x6c\
\x6c\x6f\x77\x65\x64\x20\x6f\x6e\x20\x21\x3d\x20\x4e\x55\x4c\x4c\x20\x6d\x61\
\x70\x20\x70\x6f\x69\x6e\x74\x65\x72\x20\x28\x41\x52\x47\x5f\x50\x54\x52\x5f\
\x54\x4f\x5f\x4d\x45\x4d\x5f\x4f\x52\x5f\x4e\x55\x4c\x4c\x29\0\x70\x74\x72\x5f\
\x74\x6f\x5f\x6d\x65\x6d\x5f\x6f\x72\x5f\x6e\x75\x6c\x6c\x5f\x37\0\x63\x6f\x6d\
\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\
\x6f\x6e\x3d\x68\x65\x6c\x70\x65\x72\x20\x61\x63\x63\x65\x73\x73\x20\x74\x6f\
\x20\x76\x61\x72\x69\x61\x62\x6c\x65\x20\x6d\x65\x6d\x6f\x72\x79\x3a\x20\x73\
\x69\x7a\x65\x20\x70\x6f\x73\x73\x69\x62\x6c\x65\x20\x3d\x20\x30\x20\x61\x6c\
\x6c\x6f\x77\x65\x64\x20\x6f\x6e\x20\x21\x3d\x20\x4e\x55\x4c\x4c\x20\x70\x61\
\x63\x6b\x65\x74\x20\x70\x6f\x69\x6e\x74\x65\x72\x20\x28\x41\x52\x47\x5f\x50\
\x54\x52\x5f\x54\x4f\x5f\x4d\x45\x4d\x5f\x4f\x52\x5f\x4e\x55\x4c\x4c\x29\0\x63\
\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x70\x72\x6f\x67\x5f\x66\x6c\
\x61\x67\x73\x3d\x42\x50\x46\x5f\x46\x5f\x41\x4e\x59\x5f\x41\x4c\x49\x47\x4e\
\x4d\x45\x4e\x54\0\x70\x74\x72\x5f\x74\x6f\x5f\x6d\x65\x6d\x5f\x6f\x72\x5f\x6e\
\x75\x6c\x6c\x5f\x38\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\
\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x68\x65\x6c\x70\x65\x72\x20\x61\
\x63\x63\x65\x73\x73\x20\x74\x6f\x20\x76\x61\x72\x69\x61\x62\x6c\x65\x20\x6d\
\x65\x6d\x6f\x72\x79\x3a\x20\x73\x69\x7a\x65\x20\x3d\x20\x30\x20\x6e\x6f\x74\
\x20\x61\x6c\x6c\x6f\x77\x65\x64\x20\x6f\x6e\x20\x4e\x55\x4c\x4c\x20\x28\x21\
\x41\x52\x47\x5f\x50\x54\x52\x5f\x54\x4f\x5f\x4d\x45\x4d\x5f\x4f\x52\x5f\x4e\
\x55\x4c\x4c\x29\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\
\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x31\x30\x3d\x52\x31\x20\x74\x79\x70\x65\
\x3d\x73\x63\x61\x6c\x61\x72\x20\x65\x78\x70\x65\x63\x74\x65\x64\x3d\x66\x70\0\
\x70\x74\x72\x5f\x74\x6f\x5f\x6d\x65\x6d\x5f\x6f\x72\x5f\x6e\x75\x6c\x6c\x5f\
\x39\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\
\x69\x70\x74\x69\x6f\x6e\x3d\x68\x65\x6c\x70\x65\x72\x20\x61\x63\x63\x65\x73\
\x73\x20\x74\x6f\x20\x76\x61\x72\x69\x61\x62\x6c\x65\x20\x6d\x65\x6d\x6f\x72\
\x79\x3a\x20\x73\x69\x7a\x65\x20\x3e\x20\x30\x20\x6e\x6f\x74\x20\x61\x6c\x6c\
\x6f\x77\x65\x64\x20\x6f\x6e\x20\x4e\x55\x4c\x4c\x20\x28\x21\x41\x52\x47\x5f\
\x50\x54\x52\x5f\x54\x4f\x5f\x4d\x45\x4d\x5f\x4f\x52\x5f\x4e\x55\x4c\x4c\x29\0\
\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\
\x5f\x6d\x73\x67\x3d\x31\x31\x3d\x52\x31\x20\x74\x79\x70\x65\x3d\x73\x63\x61\
\x6c\x61\x72\x20\x65\x78\x70\x65\x63\x74\x65\x64\x3d\x66\x70\0\x70\x74\x72\x5f\
\x74\x6f\x5f\x6d\x65\x6d\x5f\x6f\x72\x5f\x6e\x75\x6c\x6c\x5f\x31\x30\0\x63\x6f\
\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\
\x69\x6f\x6e\x3d\x68\x65\x6c\x70\x65\x72\x20\x61\x63\x63\x65\x73\x73\x20\x74\
\x6f\x20\x76\x61\x72\x69\x61\x62\x6c\x65\x20\x6d\x65\x6d\x6f\x72\x79\x3a\x20\
\x73\x69\x7a\x65\x20\x3d\x20\x30\x20\x61\x6c\x6c\x6f\x77\x65\x64\x20\x6f\x6e\
\x20\x21\x3d\x20\x4e\x55\x4c\x4c\x20\x73\x74\x61\x63\x6b\x20\x70\x6f\x69\x6e\
\x74\x65\x72\x20\x28\x21\x41\x52\x47\x5f\x50\x54\x52\x5f\x54\x4f\x5f\x4d\x45\
\x4d\x5f\x4f\x52\x5f\x4e\x55\x4c\x4c\x29\0\x70\x74\x72\x5f\x74\x6f\x5f\x6d\x65\
\x6d\x5f\x6f\x72\x5f\x6e\x75\x6c\x6c\x5f\x31\x31\0\x63\x6f\x6d\x6d\x65\x6e\x74\
\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x68\
\x65\x6c\x70\x65\x72\x20\x61\x63\x63\x65\x73\x73\x20\x74\x6f\x20\x76\x61\x72\
\x69\x61\x62\x6c\x65\x20\x6d\x65\x6d\x6f\x72\x79\x3a\x20\x73\x69\x7a\x65\x20\
\x3d\x20\x30\x20\x61\x6c\x6c\x6f\x77\x65\x64\x20\x6f\x6e\x20\x21\x3d\x20\x4e\
\x55\x4c\x4c\x20\x6d\x61\x70\x20\x70\x6f\x69\x6e\x74\x65\x72\x20\x28\x21\x41\
\x52\x47\x5f\x50\x54\x52\x5f\x54\x4f\x5f\x4d\x45\x4d\x5f\x4f\x52\x5f\x4e\x55\
\x4c\x4c\x29\0\x70\x74\x72\x5f\x74\x6f\x5f\x6d\x65\x6d\x5f\x6f\x72\x5f\x6e\x75\
\x6c\x6c\x5f\x31\x32\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\
\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x68\x65\x6c\x70\x65\x72\x20\x61\
\x63\x63\x65\x73\x73\x20\x74\x6f\x20\x76\x61\x72\x69\x61\x62\x6c\x65\x20\x6d\
\x65\x6d\x6f\x72\x79\x3a\x20\x73\x69\x7a\x65\x20\x70\x6f\x73\x73\x69\x62\x6c\
\x65\x20\x3d\x20\x30\x20\x61\x6c\x6c\x6f\x77\x65\x64\x20\x6f\x6e\x20\x21\x3d\
\x20\x4e\x55\x4c\x4c\x20\x73\x74\x61\x63\x6b\x20\x70\x6f\x69\x6e\x74\x65\x72\
\x20\x28\x21\x41\x52\x47\x5f\x50\x54\x52\x5f\x54\x4f\x5f\x4d\x45\x4d\x5f\x4f\
\x52\x5f\x4e\x55\x4c\x4c\x29\0\x70\x74\x72\x5f\x74\x6f\x5f\x6d\x65\x6d\x5f\x6f\
\x72\x5f\x6e\x75\x6c\x6c\x5f\x31\x33\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\
\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x68\x65\x6c\x70\
\x65\x72\x20\x61\x63\x63\x65\x73\x73\x20\x74\x6f\x20\x76\x61\x72\x69\x61\x62\
\x6c\x65\x20\x6d\x65\x6d\x6f\x72\x79\x3a\x20\x73\x69\x7a\x65\x20\x70\x6f\x73\
\x73\x69\x62\x6c\x65\x20\x3d\x20\x30\x20\x61\x6c\x6c\x6f\x77\x65\x64\x20\x6f\
\x6e\x20\x21\x3d\x20\x4e\x55\x4c\x4c\x20\x6d\x61\x70\x20\x70\x6f\x69\x6e\x74\
\x65\x72\x20\x28\x21\x41\x52\x47\x5f\x50\x54\x52\x5f\x54\x4f\x5f\x4d\x45\x4d\
\x5f\x4f\x52\x5f\x4e\x55\x4c\x4c\x29\0\x76\x61\x72\x69\x61\x62\x6c\x65\x5f\x6d\
\x65\x6d\x6f\x72\x79\x5f\x38\x5f\x62\x79\x74\x65\x73\x5f\x6c\x65\x61\x6b\0\x63\
\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\
\x74\x69\x6f\x6e\x3d\x68\x65\x6c\x70\x65\x72\x20\x61\x63\x63\x65\x73\x73\x20\
\x74\x6f\x20\x76\x61\x72\x69\x61\x62\x6c\x65\x20\x6d\x65\x6d\x6f\x72\x79\x3a\
\x20\x38\x20\x62\x79\x74\x65\x73\x20\x6c\x65\x61\x6b\0\x63\x6f\x6d\x6d\x65\x6e\
\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x5f\x75\
\x6e\x70\x72\x69\x76\x3d\x31\x32\x3d\x69\x6e\x76\x61\x6c\x69\x64\x20\x69\x6e\
\x64\x69\x72\x65\x63\x74\x20\x72\x65\x61\x64\x20\x66\x72\x6f\x6d\x20\x73\x74\
\x61\x63\x6b\x20\x52\x32\x20\x6f\x66\x66\x20\x2d\x36\x34\x2b\x33\x32\x20\x73\
\x69\x7a\x65\x20\x36\x34\0\x62\x79\x74\x65\x73\x5f\x6e\x6f\x5f\x6c\x65\x61\x6b\
\x5f\x69\x6e\x69\x74\x5f\x6d\x65\x6d\x6f\x72\x79\0\x63\x6f\x6d\x6d\x65\x6e\x74\
\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x68\
\x65\x6c\x70\x65\x72\x20\x61\x63\x63\x65\x73\x73\x20\x74\x6f\x20\x76\x61\x72\
\x69\x61\x62\x6c\x65\x20\x6d\x65\x6d\x6f\x72\x79\x3a\x20\x38\x20\x62\x79\x74\
\x65\x73\x20\x6e\x6f\x20\x6c\x65\x61\x6b\x20\x28\x69\x6e\x69\x74\x20\x6d\x65\
\x6d\x6f\x72\x79\x29\0\x63\x68\x61\x72\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2f\
\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\
\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x37\x30\
\x2e\x32\x38\x2e\x31\x2e\x65\x6c\x39\x5f\x36\x2f\x6c\x69\x6e\x75\x78\x2d\x35\
\x2e\x31\x34\x2e\x30\x2d\x35\x37\x30\x2e\x32\x38\x2e\x31\x2e\x65\x6c\x39\x5f\
\x36\x2e\x78\x38\x36\x5f\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\
\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\
\x72\x6f\x67\x73\x2f\x76\x65\x72\x69\x66\x69\x65\x72\x5f\x68\x65\x6c\x70\x65\
\x72\x5f\x61\x63\x63\x65\x73\x73\x5f\x76\x61\x72\x5f\x6c\x65\x6e\x2e\x63\0\x09\
\x61\x73\x6d\x20\x76\x6f\x6c\x61\x74\x69\x6c\x65\x20\x28\x22\x09\x09\x09\x09\
\x09\x5c\0\x2e\x6d\x61\x70\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x74\x72\x61\x63\
\x65\x70\x6f\x69\x6e\x74\0\x73\x6f\x63\x6b\x65\x74\0\x74\x63\0\0\0\0\0\0\0\0\
\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x04\x01\0\0\x04\x01\0\0\xec\x01\0\0\xf0\x02\0\
\0\0\0\0\0\x08\0\0\0\x58\x14\0\0\x13\0\0\0\0\0\0\0\x16\0\0\0\xa8\0\0\0\x1f\0\0\
\0\x08\x01\0\0\x23\0\0\0\xb0\x01\0\0\x26\0\0\0\x58\x02\0\0\x29\0\0\0\xc0\x02\0\
\0\x2d\0\0\0\x20\x03\0\0\x31\0\0\0\x78\x03\0\0\x3b\0\0\0\xc8\x03\0\0\x3f\0\0\0\
\x60\x04\0\0\x42\0\0\0\0\x05\0\0\x46\0\0\0\xa0\x05\0\0\x49\0\0\0\x48\x06\0\0\
\x6a\0\0\0\x70\x06\0\0\x6e\0\0\0\x98\x06\0\0\x72\0\0\0\xc8\x06\0\0\x75\0\0\0\
\x30\x07\0\0\x78\0\0\0\xa8\x07\0\0\x7b\0\0\0\x18\x08\0\0\x84\0\0\0\x63\x14\0\0\
\x03\0\0\0\0\0\0\0\x19\0\0\0\x60\0\0\0\x35\0\0\0\xc8\0\0\0\x7e\0\0\0\x6a\x14\0\
\0\x07\0\0\0\0\0\0\0\x4d\0\0\0\x38\0\0\0\x51\0\0\0\x88\0\0\0\x55\0\0\0\xd8\0\0\
\0\x59\0\0\0\x50\x01\0\0\x5d\0\0\0\xe0\x01\0\0\x61\0\0\0\x60\x02\0\0\x65\0\0\0\
\x10\0\0\0\x58\x14\0\0\x13\0\0\0\0\0\0\0\x9a\x13\0\0\x33\x14\0\0\x02\x9c\0\0\
\xa8\0\0\0\x9a\x13\0\0\x33\x14\0\0\x02\xa8\x01\0\x08\x01\0\0\x9a\x13\0\0\x33\
\x14\0\0\x02\x04\x02\0\xb0\x01\0\0\x9a\x13\0\0\x33\x14\0\0\x02\x84\x02\0\x58\
\x02\0\0\x9a\x13\0\0\x33\x14\0\0\x02\x04\x03\0\xc0\x02\0\0\x9a\x13\0\0\x33\x14\
\0\0\x02\x64\x03\0\x20\x03\0\0\x9a\x13\0\0\x33\x14\0\0\x02\xc8\x03\0\x78\x03\0\
\0\x9a\x13\0\0\x33\x14\0\0\x02\xb0\x04\0\xc8\x03\0\0\x9a\x13\0\0\x33\x14\0\0\
\x02\x04\x05\0\x60\x04\0\0\x9a\x13\0\0\x33\x14\0\0\x02\x84\x05\0\0\x05\0\0\x9a\
\x13\0\0\x33\x14\0\0\x02\x08\x06\0\xa0\x05\0\0\x9a\x13\0\0\x33\x14\0\0\x02\x90\
\x06\0\x48\x06\0\0\x9a\x13\0\0\x33\x14\0\0\x02\xcc\x09\0\x70\x06\0\0\x9a\x13\0\
\0\x33\x14\0\0\x02\x0c\x0a\0\x98\x06\0\0\x9a\x13\0\0\x33\x14\0\0\x02\x4c\x0a\0\
\xc8\x06\0\0\x9a\x13\0\0\x33\x14\0\0\x02\x90\x0a\0\x30\x07\0\0\x9a\x13\0\0\x33\
\x14\0\0\x02\xf4\x0a\0\xa8\x07\0\0\x9a\x13\0\0\x33\x14\0\0\x02\x60\x0b\0\x18\
\x08\0\0\x9a\x13\0\0\x33\x14\0\0\x02\x80\x0c\0\x63\x14\0\0\x03\0\0\0\0\0\0\0\
\x9a\x13\0\0\x33\x14\0\0\x02\x28\x01\0\x60\0\0\0\x9a\x13\0\0\x33\x14\0\0\x02\
\x2c\x04\0\xc8\0\0\0\x9a\x13\0\0\x33\x14\0\0\x02\xd4\x0b\0\x6a\x14\0\0\x07\0\0\
\0\0\0\0\0\x9a\x13\0\0\x33\x14\0\0\x02\x18\x07\0\x38\0\0\0\x9a\x13\0\0\x33\x14\
\0\0\x02\x60\x07\0\x88\0\0\0\x9a\x13\0\0\x33\x14\0\0\x02\xb4\x07\0\xd8\0\0\0\
\x9a\x13\0\0\x33\x14\0\0\x02\x08\x08\0\x50\x01\0\0\x9a\x13\0\0\x33\x14\0\0\x02\
\x74\x08\0\xe0\x01\0\0\x9a\x13\0\0\x33\x14\0\0\x02\xec\x08\0\x60\x02\0\0\x9a\
\x13\0\0\x33\x14\0\0\x02\x64\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\
\x0e\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\
\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x50\x04\0\0\0\0\0\0\xd0\x05\0\0\0\
\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\
\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\x0a\0\0\0\0\0\0\xb0\x08\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1c\0\0\0\x01\0\0\0\x06\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\xd0\x12\0\0\0\0\0\0\x78\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x23\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x48\x14\0\0\0\0\0\0\xc8\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x26\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x10\x17\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x2c\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x60\x17\0\0\0\
\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xdf\
\x03\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x68\x17\0\0\0\0\0\0\x70\0\
\0\0\0\0\0\0\x02\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xee\x03\0\
\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd8\x17\0\0\0\0\0\0\x30\0\0\0\0\
\0\0\0\x02\0\0\0\x04\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xf9\x03\0\0\x09\
\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\x18\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\
\x02\0\0\0\x05\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\0\x04\0\0\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x38\x18\0\0\0\0\0\0\x79\x1d\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x05\x04\0\0\x01\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\xb8\x35\0\0\0\0\0\0\x10\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct verifier_helper_access_var_len *verifier_helper_access_var_len::open(const struct bpf_object_open_opts *opts) { return verifier_helper_access_var_len__open_opts(opts); }
struct verifier_helper_access_var_len *verifier_helper_access_var_len::open_and_load() { return verifier_helper_access_var_len__open_and_load(); }
int verifier_helper_access_var_len::load(struct verifier_helper_access_var_len *skel) { return verifier_helper_access_var_len__load(skel); }
int verifier_helper_access_var_len::attach(struct verifier_helper_access_var_len *skel) { return verifier_helper_access_var_len__attach(skel); }
void verifier_helper_access_var_len::detach(struct verifier_helper_access_var_len *skel) { verifier_helper_access_var_len__detach(skel); }
void verifier_helper_access_var_len::destroy(struct verifier_helper_access_var_len *skel) { verifier_helper_access_var_len__destroy(skel); }
const void *verifier_helper_access_var_len::elf_bytes(size_t *sz) { return verifier_helper_access_var_len__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
verifier_helper_access_var_len__assert(struct verifier_helper_access_var_len *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __VERIFIER_HELPER_ACCESS_VAR_LEN_SKEL_H__ */
