/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __VERIFIER_LDSX_SKEL_H__
#define __VERIFIER_LDSX_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct verifier_ldsx {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_program *ldsx_s8;
		struct bpf_program *ldsx_s16;
		struct bpf_program *ldsx_s32;
		struct bpf_program *ldsx_s8_range_priv;
		struct bpf_program *ldsx_s16_range;
		struct bpf_program *ldsx_s32_range;
		struct bpf_program *ldsx_ctx_1;
		struct bpf_program *ldsx_ctx_2;
		struct bpf_program *ldsx_ctx_3;
		struct bpf_program *ldsx_ctx_4;
		struct bpf_program *ldsx_ctx_5;
		struct bpf_program *ldsx_ctx_6;
		struct bpf_program *ldsx_ctx_7;
		struct bpf_program *ldsx_ctx_8;
	} progs;
	struct {
		struct bpf_link *ldsx_s8;
		struct bpf_link *ldsx_s16;
		struct bpf_link *ldsx_s32;
		struct bpf_link *ldsx_s8_range_priv;
		struct bpf_link *ldsx_s16_range;
		struct bpf_link *ldsx_s32_range;
		struct bpf_link *ldsx_ctx_1;
		struct bpf_link *ldsx_ctx_2;
		struct bpf_link *ldsx_ctx_3;
		struct bpf_link *ldsx_ctx_4;
		struct bpf_link *ldsx_ctx_5;
		struct bpf_link *ldsx_ctx_6;
		struct bpf_link *ldsx_ctx_7;
		struct bpf_link *ldsx_ctx_8;
	} links;

#ifdef __cplusplus
	static inline struct verifier_ldsx *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct verifier_ldsx *open_and_load();
	static inline int load(struct verifier_ldsx *skel);
	static inline int attach(struct verifier_ldsx *skel);
	static inline void detach(struct verifier_ldsx *skel);
	static inline void destroy(struct verifier_ldsx *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
verifier_ldsx__destroy(struct verifier_ldsx *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
verifier_ldsx__create_skeleton(struct verifier_ldsx *obj);

static inline struct verifier_ldsx *
verifier_ldsx__open_opts(const struct bpf_object_open_opts *opts)
{
	struct verifier_ldsx *obj;
	int err;

	obj = (struct verifier_ldsx *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = verifier_ldsx__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	verifier_ldsx__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct verifier_ldsx *
verifier_ldsx__open(void)
{
	return verifier_ldsx__open_opts(NULL);
}

static inline int
verifier_ldsx__load(struct verifier_ldsx *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct verifier_ldsx *
verifier_ldsx__open_and_load(void)
{
	struct verifier_ldsx *obj;
	int err;

	obj = verifier_ldsx__open();
	if (!obj)
		return NULL;
	err = verifier_ldsx__load(obj);
	if (err) {
		verifier_ldsx__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
verifier_ldsx__attach(struct verifier_ldsx *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
verifier_ldsx__detach(struct verifier_ldsx *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *verifier_ldsx__elf_bytes(size_t *sz);

static inline int
verifier_ldsx__create_skeleton(struct verifier_ldsx *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "verifier_ldsx";
	s->obj = &obj->obj;

	/* programs */
	s->prog_cnt = 14;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "ldsx_s8";
	s->progs[0].prog = &obj->progs.ldsx_s8;
	s->progs[0].link = &obj->links.ldsx_s8;

	s->progs[1].name = "ldsx_s16";
	s->progs[1].prog = &obj->progs.ldsx_s16;
	s->progs[1].link = &obj->links.ldsx_s16;

	s->progs[2].name = "ldsx_s32";
	s->progs[2].prog = &obj->progs.ldsx_s32;
	s->progs[2].link = &obj->links.ldsx_s32;

	s->progs[3].name = "ldsx_s8_range_priv";
	s->progs[3].prog = &obj->progs.ldsx_s8_range_priv;
	s->progs[3].link = &obj->links.ldsx_s8_range_priv;

	s->progs[4].name = "ldsx_s16_range";
	s->progs[4].prog = &obj->progs.ldsx_s16_range;
	s->progs[4].link = &obj->links.ldsx_s16_range;

	s->progs[5].name = "ldsx_s32_range";
	s->progs[5].prog = &obj->progs.ldsx_s32_range;
	s->progs[5].link = &obj->links.ldsx_s32_range;

	s->progs[6].name = "ldsx_ctx_1";
	s->progs[6].prog = &obj->progs.ldsx_ctx_1;
	s->progs[6].link = &obj->links.ldsx_ctx_1;

	s->progs[7].name = "ldsx_ctx_2";
	s->progs[7].prog = &obj->progs.ldsx_ctx_2;
	s->progs[7].link = &obj->links.ldsx_ctx_2;

	s->progs[8].name = "ldsx_ctx_3";
	s->progs[8].prog = &obj->progs.ldsx_ctx_3;
	s->progs[8].link = &obj->links.ldsx_ctx_3;

	s->progs[9].name = "ldsx_ctx_4";
	s->progs[9].prog = &obj->progs.ldsx_ctx_4;
	s->progs[9].link = &obj->links.ldsx_ctx_4;

	s->progs[10].name = "ldsx_ctx_5";
	s->progs[10].prog = &obj->progs.ldsx_ctx_5;
	s->progs[10].link = &obj->links.ldsx_ctx_5;

	s->progs[11].name = "ldsx_ctx_6";
	s->progs[11].prog = &obj->progs.ldsx_ctx_6;
	s->progs[11].link = &obj->links.ldsx_ctx_6;

	s->progs[12].name = "ldsx_ctx_7";
	s->progs[12].prog = &obj->progs.ldsx_ctx_7;
	s->progs[12].link = &obj->links.ldsx_ctx_7;

	s->progs[13].name = "ldsx_ctx_8";
	s->progs[13].prog = &obj->progs.ldsx_ctx_8;
	s->progs[13].link = &obj->links.ldsx_ctx_8;

	s->data = verifier_ldsx__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *verifier_ldsx__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x08\x13\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0a\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x73\x6f\
\x63\x6b\x65\x74\0\x78\x64\x70\0\x74\x63\x78\x2f\x69\x6e\x67\x72\x65\x73\x73\0\
\x66\x6c\x6f\x77\x5f\x64\x69\x73\x73\x65\x63\x74\x6f\x72\0\x6c\x69\x63\x65\x6e\
\x73\x65\0\x76\x65\x72\x69\x66\x69\x65\x72\x5f\x6c\x64\x73\x78\x2e\x63\0\x6c\
\x30\x5f\x30\0\x6c\x31\x5f\x30\0\x6c\x30\x5f\x31\0\x6c\x31\x5f\x31\0\x6c\x30\
\x5f\x32\0\x6c\x31\x5f\x32\0\x6c\x64\x73\x78\x5f\x73\x38\0\x6c\x64\x73\x78\x5f\
\x73\x31\x36\0\x6c\x64\x73\x78\x5f\x73\x33\x32\0\x6c\x64\x73\x78\x5f\x73\x38\
\x5f\x72\x61\x6e\x67\x65\x5f\x70\x72\x69\x76\0\x6c\x64\x73\x78\x5f\x73\x31\x36\
\x5f\x72\x61\x6e\x67\x65\0\x6c\x64\x73\x78\x5f\x73\x33\x32\x5f\x72\x61\x6e\x67\
\x65\0\x6c\x64\x73\x78\x5f\x63\x74\x78\x5f\x31\0\x6c\x64\x73\x78\x5f\x63\x74\
\x78\x5f\x32\0\x6c\x64\x73\x78\x5f\x63\x74\x78\x5f\x33\0\x6c\x64\x73\x78\x5f\
\x63\x74\x78\x5f\x34\0\x6c\x64\x73\x78\x5f\x63\x74\x78\x5f\x35\0\x6c\x64\x73\
\x78\x5f\x63\x74\x78\x5f\x36\0\x6c\x64\x73\x78\x5f\x63\x74\x78\x5f\x37\0\x6c\
\x64\x73\x78\x5f\x63\x74\x78\x5f\x38\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\
\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x3f\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x4f\0\0\0\0\0\x03\0\xa0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x54\0\0\0\0\0\x03\0\x98\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x59\0\0\0\0\0\x03\0\xe8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x5e\0\0\0\0\0\x03\0\
\xe0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x63\0\0\0\0\0\x03\0\x30\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x68\0\0\0\0\0\x03\0\x28\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x03\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x05\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x6d\0\0\
\0\x12\0\x03\0\0\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x75\0\0\0\x12\0\x03\0\x20\0\0\
\0\0\0\0\0\x20\0\0\0\0\0\0\0\x7e\0\0\0\x12\0\x03\0\x40\0\0\0\0\0\0\0\x28\0\0\0\
\0\0\0\0\x87\0\0\0\x12\0\x03\0\x68\0\0\0\0\0\0\0\x48\0\0\0\0\0\0\0\x9a\0\0\0\
\x12\0\x03\0\xb0\0\0\0\0\0\0\0\x48\0\0\0\0\0\0\0\xa9\0\0\0\x12\0\x03\0\xf8\0\0\
\0\0\0\0\0\x48\0\0\0\0\0\0\0\xb8\0\0\0\x12\0\x04\0\0\0\0\0\0\0\0\0\x18\0\0\0\0\
\0\0\0\xc3\0\0\0\x12\0\x04\0\x18\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\xce\0\0\0\x12\
\0\x04\0\x30\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\xd9\0\0\0\x12\0\x05\0\0\0\0\0\0\0\
\0\0\x18\0\0\0\0\0\0\0\xe4\0\0\0\x12\0\x05\0\x18\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\
\0\xef\0\0\0\x12\0\x05\0\x30\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\xfa\0\0\0\x12\0\
\x06\0\0\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x05\x01\0\0\x12\0\x06\0\x18\0\0\0\0\0\
\0\0\x18\0\0\0\0\0\0\0\x10\x01\0\0\x11\0\x07\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\
\0\xb7\x01\0\0\xfe\x03\0\0\x7b\x1a\xf8\xff\0\0\0\0\x91\xa0\xf8\xff\0\0\0\0\x95\
\0\0\0\0\0\0\0\xb7\x01\0\0\xfe\xff\x03\0\x7b\x1a\xf8\xff\0\0\0\0\x89\xa0\xf8\
\xff\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\x01\0\0\xfe\xff\xff\xff\x7b\x1a\xf8\xff\0\0\
\0\0\x81\xa0\xf8\xff\0\0\0\0\x77\0\0\0\x01\0\0\0\x95\0\0\0\0\0\0\0\x85\0\0\0\
\x07\0\0\0\x7b\x0a\xf8\xff\0\0\0\0\x91\xa1\xf8\xff\0\0\0\0\x65\x01\x03\0\x7f\0\
\0\0\xc5\x01\x02\0\x80\xff\xff\xff\xb7\0\0\0\x01\0\0\0\x95\0\0\0\0\0\0\0\xb7\0\
\0\0\x02\0\0\0\x05\0\xfd\xff\0\0\0\0\x85\0\0\0\x07\0\0\0\x7b\x0a\xf8\xff\0\0\0\
\0\x89\xa1\xf8\xff\0\0\0\0\x65\x01\x03\0\xff\x7f\0\0\xc5\x01\x02\0\0\x80\xff\
\xff\xb7\0\0\0\x01\0\0\0\x95\0\0\0\0\0\0\0\xb7\0\0\0\x02\0\0\0\x05\0\xfd\xff\0\
\0\0\0\x85\0\0\0\x07\0\0\0\x7b\x0a\xf8\xff\0\0\0\0\x81\xa1\xf8\xff\0\0\0\0\x65\
\x01\x03\0\xff\xff\xff\x7f\xc5\x01\x02\0\0\0\0\x80\xb7\0\0\0\x01\0\0\0\x95\0\0\
\0\0\0\0\0\xb7\0\0\0\x02\0\0\0\x05\0\xfd\xff\0\0\0\0\x81\x12\0\0\0\0\0\0\xb7\0\
\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x81\x12\x04\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\
\0\0\0\0\0\x81\x12\x08\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x81\x12\
\x4c\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x81\x12\x50\0\0\0\0\0\xb7\0\
\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x81\x12\x8c\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\
\0\0\0\0\0\x81\x12\x4c\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x81\x12\
\x50\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\x9f\
\xeb\x01\0\x18\0\0\0\0\0\0\0\x24\x04\0\0\x24\x04\0\0\x18\x07\0\0\0\0\0\0\0\0\0\
\x0d\0\0\0\0\x01\0\0\0\x01\0\0\x0c\x01\0\0\0\x09\0\0\0\0\0\0\x11\x02\0\0\0\xff\
\xff\xff\xff\x2b\0\0\0\0\0\0\x11\x02\0\0\0\xff\xff\xff\xff\x47\0\0\0\0\0\0\x11\
\x02\0\0\0\xff\xff\xff\xff\x6a\0\0\0\0\0\0\x11\x02\0\0\0\xff\xff\xff\xff\x81\0\
\0\0\x01\0\0\x0c\x01\0\0\0\x8a\0\0\0\0\0\0\x11\x07\0\0\0\xff\xff\xff\xff\x2b\0\
\0\0\0\0\0\x11\x07\0\0\0\xff\xff\xff\xff\x47\0\0\0\0\0\0\x11\x07\0\0\0\xff\xff\
\xff\xff\x6a\0\0\0\0\0\0\x11\x07\0\0\0\xff\xff\xff\xff\xad\0\0\0\x01\0\0\x0c\
\x01\0\0\0\xb6\0\0\0\0\0\0\x11\x0c\0\0\0\xff\xff\xff\xff\x2b\0\0\0\0\0\0\x11\
\x0c\0\0\0\xff\xff\xff\xff\x47\0\0\0\0\0\0\x11\x0c\0\0\0\xff\xff\xff\xff\xd9\0\
\0\0\0\0\0\x11\x0c\0\0\0\xff\xff\xff\xff\xf0\0\0\0\x01\0\0\x0c\x01\0\0\0\x03\
\x01\0\0\0\0\0\x11\x11\0\0\0\xff\xff\xff\xff\x40\x01\0\0\0\0\0\x11\x11\0\0\0\
\xff\xff\xff\xff\x2b\0\0\0\0\0\0\x11\x11\0\0\0\xff\xff\xff\xff\x59\x01\0\0\0\0\
\0\x11\x11\0\0\0\xff\xff\xff\xff\x6f\x01\0\0\0\0\0\x11\x11\0\0\0\xff\xff\xff\
\xff\xb7\x01\0\0\x01\0\0\x0c\x01\0\0\0\xc6\x01\0\0\0\0\0\x11\x17\0\0\0\xff\xff\
\xff\xff\x2b\0\0\0\0\0\0\x11\x17\0\0\0\xff\xff\xff\xff\x47\0\0\0\0\0\0\x11\x17\
\0\0\0\xff\xff\xff\xff\x59\x01\0\0\0\0\0\x11\x17\0\0\0\xff\xff\xff\xff\xf8\x01\
\0\0\x01\0\0\x0c\x01\0\0\0\x07\x02\0\0\0\0\0\x11\x1c\0\0\0\xff\xff\xff\xff\x2b\
\0\0\0\0\0\0\x11\x1c\0\0\0\xff\xff\xff\xff\x47\0\0\0\0\0\0\x11\x1c\0\0\0\xff\
\xff\xff\xff\x59\x01\0\0\0\0\0\x11\x1c\0\0\0\xff\xff\xff\xff\x39\x02\0\0\x01\0\
\0\x0c\x01\0\0\0\x44\x02\0\0\0\0\0\x11\x21\0\0\0\xff\xff\xff\xff\x78\x02\0\0\0\
\0\0\x11\x21\0\0\0\xff\xff\xff\xff\x94\x02\0\0\0\0\0\x11\x21\0\0\0\xff\xff\xff\
\xff\xc9\x02\0\0\x01\0\0\x0c\x01\0\0\0\xd4\x02\0\0\0\0\0\x11\x25\0\0\0\xff\xff\
\xff\xff\x78\x02\0\0\0\0\0\x11\x25\0\0\0\xff\xff\xff\xff\x0c\x03\0\0\0\0\0\x11\
\x25\0\0\0\xff\xff\xff\xff\x41\x03\0\0\x01\0\0\x0c\x01\0\0\0\x4c\x03\0\0\0\0\0\
\x11\x29\0\0\0\xff\xff\xff\xff\x78\x02\0\0\0\0\0\x11\x29\0\0\0\xff\xff\xff\xff\
\x85\x03\0\0\0\0\0\x11\x29\0\0\0\xff\xff\xff\xff\xba\x03\0\0\x01\0\0\x0c\x01\0\
\0\0\xc5\x03\0\0\0\0\0\x11\x2d\0\0\0\xff\xff\xff\xff\x78\x02\0\0\0\0\0\x11\x2d\
\0\0\0\xff\xff\xff\xff\xfc\x03\0\0\0\0\0\x11\x2d\0\0\0\xff\xff\xff\xff\x31\x04\
\0\0\x01\0\0\x0c\x01\0\0\0\x3c\x04\0\0\0\0\0\x11\x31\0\0\0\xff\xff\xff\xff\x78\
\x02\0\0\0\0\0\x11\x31\0\0\0\xff\xff\xff\xff\x77\x04\0\0\0\0\0\x11\x31\0\0\0\
\xff\xff\xff\xff\xac\x04\0\0\x01\0\0\x0c\x01\0\0\0\xb7\x04\0\0\0\0\0\x11\x35\0\
\0\0\xff\xff\xff\xff\x78\x02\0\0\0\0\0\x11\x35\0\0\0\xff\xff\xff\xff\xf3\x04\0\
\0\0\0\0\x11\x35\0\0\0\xff\xff\xff\xff\x28\x05\0\0\x01\0\0\x0c\x01\0\0\0\x33\
\x05\0\0\0\0\0\x11\x39\0\0\0\xff\xff\xff\xff\x78\x02\0\0\0\0\0\x11\x39\0\0\0\
\xff\xff\xff\xff\x75\x05\0\0\0\0\0\x11\x39\0\0\0\xff\xff\xff\xff\xaa\x05\0\0\
\x01\0\0\x0c\x01\0\0\0\xb5\x05\0\0\0\0\0\x11\x3d\0\0\0\xff\xff\xff\xff\x78\x02\
\0\0\0\0\0\x11\x3d\0\0\0\xff\xff\xff\xff\xfb\x05\0\0\0\0\0\x11\x3d\0\0\0\xff\
\xff\xff\xff\x30\x06\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\
\0\0\x41\0\0\0\x43\0\0\0\x04\0\0\0\x35\x06\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\
\x49\x06\0\0\0\0\0\x0e\x42\0\0\0\x01\0\0\0\xea\x06\0\0\x01\0\0\x0f\x04\0\0\0\
\x44\0\0\0\0\0\0\0\x04\0\0\0\0\x6c\x64\x73\x78\x5f\x73\x38\0\x63\x6f\x6d\x6d\
\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\
\x6e\x3d\x4c\x44\x53\x58\x2c\x20\x53\x38\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\
\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x73\x75\x63\x63\x65\x73\x73\0\x63\
\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\
\x73\x75\x63\x63\x65\x73\x73\x5f\x75\x6e\x70\x72\x69\x76\0\x63\x6f\x6d\x6d\x65\
\x6e\x74\x3a\x74\x65\x73\x74\x5f\x72\x65\x74\x76\x61\x6c\x3d\x2d\x32\0\x6c\x64\
\x73\x78\x5f\x73\x31\x36\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\
\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x4c\x44\x53\x58\x2c\x20\x53\
\x31\x36\0\x6c\x64\x73\x78\x5f\x73\x33\x32\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\
\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x4c\x44\
\x53\x58\x2c\x20\x53\x33\x32\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\
\x5f\x72\x65\x74\x76\x61\x6c\x3d\x2d\x31\0\x6c\x64\x73\x78\x5f\x73\x38\x5f\x72\
\x61\x6e\x67\x65\x5f\x70\x72\x69\x76\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\
\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x4c\x44\x53\x58\
\x2c\x20\x53\x38\x20\x72\x61\x6e\x67\x65\x20\x63\x68\x65\x63\x6b\x69\x6e\x67\
\x2c\x20\x70\x72\x69\x76\x69\x6c\x65\x67\x65\x64\0\x63\x6f\x6d\x6d\x65\x6e\x74\
\x3a\x74\x65\x73\x74\x5f\x6c\x6f\x67\x5f\x6c\x65\x76\x65\x6c\x3d\x32\0\x63\x6f\
\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x72\x65\x74\x76\x61\x6c\x3d\x31\0\
\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\
\x5f\x6d\x73\x67\x3d\x30\x3d\x52\x31\x5f\x77\x3d\x73\x63\x61\x6c\x61\x72\x28\
\x73\x6d\x69\x6e\x3d\x73\x6d\x69\x6e\x33\x32\x3d\x2d\x31\x32\x38\x2c\x73\x6d\
\x61\x78\x3d\x73\x6d\x61\x78\x33\x32\x3d\x31\x32\x37\x29\0\x6c\x64\x73\x78\x5f\
\x73\x31\x36\x5f\x72\x61\x6e\x67\x65\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\
\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x4c\x44\x53\x58\
\x2c\x20\x53\x31\x36\x20\x72\x61\x6e\x67\x65\x20\x63\x68\x65\x63\x6b\x69\x6e\
\x67\0\x6c\x64\x73\x78\x5f\x73\x33\x32\x5f\x72\x61\x6e\x67\x65\0\x63\x6f\x6d\
\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\
\x6f\x6e\x3d\x4c\x44\x53\x58\x2c\x20\x53\x33\x32\x20\x72\x61\x6e\x67\x65\x20\
\x63\x68\x65\x63\x6b\x69\x6e\x67\0\x6c\x64\x73\x78\x5f\x63\x74\x78\x5f\x31\0\
\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\
\x70\x74\x69\x6f\x6e\x3d\x4c\x44\x53\x58\x2c\x20\x78\x64\x70\x20\x73\x33\x32\
\x20\x78\x64\x70\x5f\x6d\x64\x2d\x3e\x64\x61\x74\x61\0\x63\x6f\x6d\x6d\x65\x6e\
\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x66\x61\x69\x6c\x75\
\x72\x65\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\
\x63\x74\x5f\x6d\x73\x67\x3d\x31\x3d\x69\x6e\x76\x61\x6c\x69\x64\x20\x62\x70\
\x66\x5f\x63\x6f\x6e\x74\x65\x78\x74\x20\x61\x63\x63\x65\x73\x73\0\x6c\x64\x73\
\x78\x5f\x63\x74\x78\x5f\x32\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\
\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x4c\x44\x53\x58\x2c\x20\
\x78\x64\x70\x20\x73\x33\x32\x20\x78\x64\x70\x5f\x6d\x64\x2d\x3e\x64\x61\x74\
\x61\x5f\x65\x6e\x64\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\
\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x32\x3d\x69\x6e\x76\x61\x6c\x69\x64\
\x20\x62\x70\x66\x5f\x63\x6f\x6e\x74\x65\x78\x74\x20\x61\x63\x63\x65\x73\x73\0\
\x6c\x64\x73\x78\x5f\x63\x74\x78\x5f\x33\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\
\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x4c\x44\x53\
\x58\x2c\x20\x78\x64\x70\x20\x73\x33\x32\x20\x78\x64\x70\x5f\x6d\x64\x2d\x3e\
\x64\x61\x74\x61\x5f\x6d\x65\x74\x61\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\
\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x33\x3d\x69\x6e\x76\
\x61\x6c\x69\x64\x20\x62\x70\x66\x5f\x63\x6f\x6e\x74\x65\x78\x74\x20\x61\x63\
\x63\x65\x73\x73\0\x6c\x64\x73\x78\x5f\x63\x74\x78\x5f\x34\0\x63\x6f\x6d\x6d\
\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\
\x6e\x3d\x4c\x44\x53\x58\x2c\x20\x74\x63\x78\x20\x73\x33\x32\x20\x5f\x5f\x73\
\x6b\x5f\x62\x75\x66\x66\x2d\x3e\x64\x61\x74\x61\0\x63\x6f\x6d\x6d\x65\x6e\x74\
\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x34\x3d\
\x69\x6e\x76\x61\x6c\x69\x64\x20\x62\x70\x66\x5f\x63\x6f\x6e\x74\x65\x78\x74\
\x20\x61\x63\x63\x65\x73\x73\0\x6c\x64\x73\x78\x5f\x63\x74\x78\x5f\x35\0\x63\
\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\
\x74\x69\x6f\x6e\x3d\x4c\x44\x53\x58\x2c\x20\x74\x63\x78\x20\x73\x33\x32\x20\
\x5f\x5f\x73\x6b\x5f\x62\x75\x66\x66\x2d\x3e\x64\x61\x74\x61\x5f\x65\x6e\x64\0\
\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\
\x5f\x6d\x73\x67\x3d\x35\x3d\x69\x6e\x76\x61\x6c\x69\x64\x20\x62\x70\x66\x5f\
\x63\x6f\x6e\x74\x65\x78\x74\x20\x61\x63\x63\x65\x73\x73\0\x6c\x64\x73\x78\x5f\
\x63\x74\x78\x5f\x36\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\
\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x4c\x44\x53\x58\x2c\x20\x74\x63\
\x78\x20\x73\x33\x32\x20\x5f\x5f\x73\x6b\x5f\x62\x75\x66\x66\x2d\x3e\x64\x61\
\x74\x61\x5f\x6d\x65\x74\x61\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\
\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x36\x3d\x69\x6e\x76\x61\x6c\
\x69\x64\x20\x62\x70\x66\x5f\x63\x6f\x6e\x74\x65\x78\x74\x20\x61\x63\x63\x65\
\x73\x73\0\x6c\x64\x73\x78\x5f\x63\x74\x78\x5f\x37\0\x63\x6f\x6d\x6d\x65\x6e\
\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\
\x4c\x44\x53\x58\x2c\x20\x66\x6c\x6f\x77\x5f\x64\x69\x73\x73\x65\x63\x74\x6f\
\x72\x20\x73\x33\x32\x20\x5f\x5f\x73\x6b\x5f\x62\x75\x66\x66\x2d\x3e\x64\x61\
\x74\x61\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\
\x63\x74\x5f\x6d\x73\x67\x3d\x37\x3d\x69\x6e\x76\x61\x6c\x69\x64\x20\x62\x70\
\x66\x5f\x63\x6f\x6e\x74\x65\x78\x74\x20\x61\x63\x63\x65\x73\x73\0\x6c\x64\x73\
\x78\x5f\x63\x74\x78\x5f\x38\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\
\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x4c\x44\x53\x58\x2c\x20\
\x66\x6c\x6f\x77\x5f\x64\x69\x73\x73\x65\x63\x74\x6f\x72\x20\x73\x33\x32\x20\
\x5f\x5f\x73\x6b\x5f\x62\x75\x66\x66\x2d\x3e\x64\x61\x74\x61\x5f\x65\x6e\x64\0\
\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\
\x5f\x6d\x73\x67\x3d\x38\x3d\x69\x6e\x76\x61\x6c\x69\x64\x20\x62\x70\x66\x5f\
\x63\x6f\x6e\x74\x65\x78\x74\x20\x61\x63\x63\x65\x73\x73\0\x63\x68\x61\x72\0\
\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\
\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\
\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\
\x2e\x31\x34\x2e\x30\x2d\x35\x37\x30\x2e\x32\x38\x2e\x31\x2e\x65\x6c\x39\x5f\
\x36\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x37\x30\x2e\
\x32\x38\x2e\x31\x2e\x65\x6c\x39\x5f\x36\x2e\x78\x38\x36\x5f\x36\x34\x2f\x74\
\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\
\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x76\x65\x72\x69\x66\
\x69\x65\x72\x5f\x6c\x64\x73\x78\x2e\x63\0\x09\x61\x73\x6d\x20\x76\x6f\x6c\x61\
\x74\x69\x6c\x65\x20\x28\0\x6c\x69\x63\x65\x6e\x73\x65\0\x73\x6f\x63\x6b\x65\
\x74\0\x78\x64\x70\0\x74\x63\x78\x2f\x69\x6e\x67\x72\x65\x73\x73\0\x66\x6c\x6f\
\x77\x5f\x64\x69\x73\x73\x65\x63\x74\x6f\x72\0\0\0\0\0\x9f\xeb\x01\0\x20\0\0\0\
\0\0\0\0\x94\0\0\0\x94\0\0\0\x04\x01\0\0\x98\x01\0\0\0\0\0\0\x08\0\0\0\xf2\x06\
\0\0\x06\0\0\0\0\0\0\0\x02\0\0\0\x20\0\0\0\x07\0\0\0\x40\0\0\0\x0c\0\0\0\x68\0\
\0\0\x11\0\0\0\xb0\0\0\0\x17\0\0\0\xf8\0\0\0\x1c\0\0\0\xf9\x06\0\0\x03\0\0\0\0\
\0\0\0\x21\0\0\0\x18\0\0\0\x25\0\0\0\x30\0\0\0\x29\0\0\0\xfd\x06\0\0\x03\0\0\0\
\0\0\0\0\x2d\0\0\0\x18\0\0\0\x31\0\0\0\x30\0\0\0\x35\0\0\0\x09\x07\0\0\x02\0\0\
\0\0\0\0\0\x39\0\0\0\x18\0\0\0\x3d\0\0\0\x10\0\0\0\xf2\x06\0\0\x06\0\0\0\0\0\0\
\0\x52\x06\0\0\xda\x06\0\0\x02\x3c\0\0\x20\0\0\0\x52\x06\0\0\xda\x06\0\0\x02\
\x80\0\0\x40\0\0\0\x52\x06\0\0\xda\x06\0\0\x02\xc4\0\0\x68\0\0\0\x52\x06\0\0\
\xda\x06\0\0\x02\x10\x01\0\xb0\0\0\0\x52\x06\0\0\xda\x06\0\0\x02\x7c\x01\0\xf8\
\0\0\0\x52\x06\0\0\xda\x06\0\0\x02\xe8\x01\0\xf9\x06\0\0\x03\0\0\0\0\0\0\0\x52\
\x06\0\0\xda\x06\0\0\x02\x54\x02\0\x18\0\0\0\x52\x06\0\0\xda\x06\0\0\x02\x8c\
\x02\0\x30\0\0\0\x52\x06\0\0\xda\x06\0\0\x02\xc4\x02\0\xfd\x06\0\0\x03\0\0\0\0\
\0\0\0\x52\x06\0\0\xda\x06\0\0\x02\xfc\x02\0\x18\0\0\0\x52\x06\0\0\xda\x06\0\0\
\x02\x34\x03\0\x30\0\0\0\x52\x06\0\0\xda\x06\0\0\x02\x6c\x03\0\x09\x07\0\0\x02\
\0\0\0\0\0\0\0\x52\x06\0\0\xda\x06\0\0\x02\xa4\x03\0\x18\0\0\0\x52\x06\0\0\xda\
\x06\0\0\x02\xdc\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\
\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x27\x01\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x68\x01\0\0\0\0\0\0\x88\x02\0\0\0\0\0\0\x01\0\
\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\xf0\x03\0\0\0\0\0\0\x40\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x30\x05\0\0\0\0\0\0\x48\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x1c\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x78\x05\0\0\0\0\0\0\x48\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x28\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc0\x05\0\0\0\
\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x37\
\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf0\x05\0\0\0\0\0\0\x04\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x19\x01\0\0\x01\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf8\x05\0\0\0\0\0\0\x54\x0b\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1e\x01\0\0\x01\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x50\x11\0\0\0\0\0\0\xb8\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct verifier_ldsx *verifier_ldsx::open(const struct bpf_object_open_opts *opts) { return verifier_ldsx__open_opts(opts); }
struct verifier_ldsx *verifier_ldsx::open_and_load() { return verifier_ldsx__open_and_load(); }
int verifier_ldsx::load(struct verifier_ldsx *skel) { return verifier_ldsx__load(skel); }
int verifier_ldsx::attach(struct verifier_ldsx *skel) { return verifier_ldsx__attach(skel); }
void verifier_ldsx::detach(struct verifier_ldsx *skel) { verifier_ldsx__detach(skel); }
void verifier_ldsx::destroy(struct verifier_ldsx *skel) { verifier_ldsx__destroy(skel); }
const void *verifier_ldsx::elf_bytes(size_t *sz) { return verifier_ldsx__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
verifier_ldsx__assert(struct verifier_ldsx *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __VERIFIER_LDSX_SKEL_H__ */
