/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __VERIFIER_REGALLOC_SKEL_H__
#define __VERIFIER_REGALLOC_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct verifier_regalloc {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *map_hash_48b;
	} maps;
	struct {
		struct bpf_program *regalloc_basic;
		struct bpf_program *regalloc_negative;
		struct bpf_program *regalloc_src_reg_mark;
		struct bpf_program *regalloc_src_reg_negative;
		struct bpf_program *regalloc_and_spill;
		struct bpf_program *regalloc_and_spill_negative;
		struct bpf_program *regalloc_three_regs;
		struct bpf_program *regalloc_after_call;
		struct bpf_program *regalloc_in_callee;
		struct bpf_program *regalloc_spill_jeq;
	} progs;
	struct {
		struct bpf_link *regalloc_basic;
		struct bpf_link *regalloc_negative;
		struct bpf_link *regalloc_src_reg_mark;
		struct bpf_link *regalloc_src_reg_negative;
		struct bpf_link *regalloc_and_spill;
		struct bpf_link *regalloc_and_spill_negative;
		struct bpf_link *regalloc_three_regs;
		struct bpf_link *regalloc_after_call;
		struct bpf_link *regalloc_in_callee;
		struct bpf_link *regalloc_spill_jeq;
	} links;

#ifdef __cplusplus
	static inline struct verifier_regalloc *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct verifier_regalloc *open_and_load();
	static inline int load(struct verifier_regalloc *skel);
	static inline int attach(struct verifier_regalloc *skel);
	static inline void detach(struct verifier_regalloc *skel);
	static inline void destroy(struct verifier_regalloc *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
verifier_regalloc__destroy(struct verifier_regalloc *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
verifier_regalloc__create_skeleton(struct verifier_regalloc *obj);

static inline struct verifier_regalloc *
verifier_regalloc__open_opts(const struct bpf_object_open_opts *opts)
{
	struct verifier_regalloc *obj;
	int err;

	obj = (struct verifier_regalloc *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = verifier_regalloc__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	verifier_regalloc__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct verifier_regalloc *
verifier_regalloc__open(void)
{
	return verifier_regalloc__open_opts(NULL);
}

static inline int
verifier_regalloc__load(struct verifier_regalloc *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct verifier_regalloc *
verifier_regalloc__open_and_load(void)
{
	struct verifier_regalloc *obj;
	int err;

	obj = verifier_regalloc__open();
	if (!obj)
		return NULL;
	err = verifier_regalloc__load(obj);
	if (err) {
		verifier_regalloc__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
verifier_regalloc__attach(struct verifier_regalloc *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
verifier_regalloc__detach(struct verifier_regalloc *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *verifier_regalloc__elf_bytes(size_t *sz);

static inline int
verifier_regalloc__create_skeleton(struct verifier_regalloc *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "verifier_regalloc";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "map_hash_48b";
	map->map = &obj->maps.map_hash_48b;

	/* programs */
	s->prog_cnt = 10;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "regalloc_basic";
	s->progs[0].prog = &obj->progs.regalloc_basic;
	s->progs[0].link = &obj->links.regalloc_basic;

	s->progs[1].name = "regalloc_negative";
	s->progs[1].prog = &obj->progs.regalloc_negative;
	s->progs[1].link = &obj->links.regalloc_negative;

	s->progs[2].name = "regalloc_src_reg_mark";
	s->progs[2].prog = &obj->progs.regalloc_src_reg_mark;
	s->progs[2].link = &obj->links.regalloc_src_reg_mark;

	s->progs[3].name = "regalloc_src_reg_negative";
	s->progs[3].prog = &obj->progs.regalloc_src_reg_negative;
	s->progs[3].link = &obj->links.regalloc_src_reg_negative;

	s->progs[4].name = "regalloc_and_spill";
	s->progs[4].prog = &obj->progs.regalloc_and_spill;
	s->progs[4].link = &obj->links.regalloc_and_spill;

	s->progs[5].name = "regalloc_and_spill_negative";
	s->progs[5].prog = &obj->progs.regalloc_and_spill_negative;
	s->progs[5].link = &obj->links.regalloc_and_spill_negative;

	s->progs[6].name = "regalloc_three_regs";
	s->progs[6].prog = &obj->progs.regalloc_three_regs;
	s->progs[6].link = &obj->links.regalloc_three_regs;

	s->progs[7].name = "regalloc_after_call";
	s->progs[7].prog = &obj->progs.regalloc_after_call;
	s->progs[7].link = &obj->links.regalloc_after_call;

	s->progs[8].name = "regalloc_in_callee";
	s->progs[8].prog = &obj->progs.regalloc_in_callee;
	s->progs[8].link = &obj->links.regalloc_in_callee;

	s->progs[9].name = "regalloc_spill_jeq";
	s->progs[9].prog = &obj->progs.regalloc_spill_jeq;
	s->progs[9].link = &obj->links.regalloc_spill_jeq;

	s->data = verifier_regalloc__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *verifier_regalloc__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xd8\x16\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0a\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\x74\
\x65\x78\x74\0\x74\x72\x61\x63\x65\x70\x6f\x69\x6e\x74\0\x2e\x6d\x61\x70\x73\0\
\x6c\x69\x63\x65\x6e\x73\x65\0\x76\x65\x72\x69\x66\x69\x65\x72\x5f\x72\x65\x67\
\x61\x6c\x6c\x6f\x63\x2e\x63\0\x6c\x30\x5f\x30\0\x6c\x30\x5f\x31\0\x6c\x30\x5f\
\x32\0\x6c\x30\x5f\x33\0\x6c\x30\x5f\x34\0\x6c\x30\x5f\x35\0\x6c\x30\x5f\x36\0\
\x6c\x30\x5f\x37\0\x72\x65\x67\x61\x6c\x6c\x6f\x63\x5f\x61\x66\x74\x65\x72\x5f\
\x63\x61\x6c\x6c\x5f\x5f\x31\0\x6c\x30\x5f\x38\0\x72\x65\x67\x61\x6c\x6c\x6f\
\x63\x5f\x69\x6e\x5f\x63\x61\x6c\x6c\x65\x65\x5f\x5f\x31\0\x6c\x30\x5f\x39\0\
\x6c\x30\x5f\x31\x30\0\x6c\x31\x5f\x31\x30\0\x6c\x32\x5f\x31\x30\0\x72\x65\x67\
\x61\x6c\x6c\x6f\x63\x5f\x62\x61\x73\x69\x63\0\x6d\x61\x70\x5f\x68\x61\x73\x68\
\x5f\x34\x38\x62\0\x72\x65\x67\x61\x6c\x6c\x6f\x63\x5f\x6e\x65\x67\x61\x74\x69\
\x76\x65\0\x72\x65\x67\x61\x6c\x6c\x6f\x63\x5f\x73\x72\x63\x5f\x72\x65\x67\x5f\
\x6d\x61\x72\x6b\0\x72\x65\x67\x61\x6c\x6c\x6f\x63\x5f\x73\x72\x63\x5f\x72\x65\
\x67\x5f\x6e\x65\x67\x61\x74\x69\x76\x65\0\x72\x65\x67\x61\x6c\x6c\x6f\x63\x5f\
\x61\x6e\x64\x5f\x73\x70\x69\x6c\x6c\0\x72\x65\x67\x61\x6c\x6c\x6f\x63\x5f\x61\
\x6e\x64\x5f\x73\x70\x69\x6c\x6c\x5f\x6e\x65\x67\x61\x74\x69\x76\x65\0\x72\x65\
\x67\x61\x6c\x6c\x6f\x63\x5f\x74\x68\x72\x65\x65\x5f\x72\x65\x67\x73\0\x72\x65\
\x67\x61\x6c\x6c\x6f\x63\x5f\x61\x66\x74\x65\x72\x5f\x63\x61\x6c\x6c\0\x72\x65\
\x67\x61\x6c\x6c\x6f\x63\x5f\x69\x6e\x5f\x63\x61\x6c\x6c\x65\x65\0\x72\x65\x67\
\x61\x6c\x6c\x6f\x63\x5f\x73\x70\x69\x6c\x6c\x5f\x6a\x65\x71\0\x5f\x6c\x69\x63\
\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x74\x72\x61\x63\x65\x70\x6f\x69\x6e\x74\0\
\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x30\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x04\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x44\0\0\0\0\0\x04\0\x88\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x49\0\0\0\0\0\x04\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x4e\0\0\0\0\0\
\x04\0\xb0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x53\0\0\0\0\0\x04\0\x48\x02\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x58\0\0\0\0\0\x04\0\xf0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x5d\0\0\0\0\0\x04\0\x98\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x62\0\0\0\0\0\x04\0\
\x38\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x67\0\0\0\0\0\x04\0\xd8\x04\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x6c\0\0\0\x02\0\x03\0\0\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x83\0\0\
\0\0\0\x04\0\x58\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x88\0\0\0\x02\0\x03\0\x10\0\0\
\0\0\0\0\0\x40\0\0\0\0\0\0\0\x9e\0\0\0\0\0\x03\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\xa3\0\0\0\0\0\x04\0\xb0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa9\0\0\0\0\0\x04\
\0\xc8\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xaf\0\0\0\0\0\x04\0\xe0\x05\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\xb5\0\0\0\x12\0\x04\0\0\0\0\0\0\0\0\0\x90\0\0\0\0\0\0\0\xc4\0\
\0\0\x11\0\x05\0\0\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\xd1\0\0\0\x12\0\x04\0\x90\0\
\0\0\0\0\0\0\x90\0\0\0\0\0\0\0\xe3\0\0\0\x12\0\x04\0\x20\x01\0\0\0\0\0\0\x98\0\
\0\0\0\0\0\0\xf9\0\0\0\x12\0\x04\0\xb8\x01\0\0\0\0\0\0\x98\0\0\0\0\0\0\0\x13\
\x01\0\0\x12\0\x04\0\x50\x02\0\0\0\0\0\0\xa8\0\0\0\0\0\0\0\x26\x01\0\0\x12\0\
\x04\0\xf8\x02\0\0\0\0\0\0\xa8\0\0\0\0\0\0\0\x42\x01\0\0\x12\0\x04\0\xa0\x03\0\
\0\0\0\0\0\xa0\0\0\0\0\0\0\0\x56\x01\0\0\x12\0\x04\0\x40\x04\0\0\0\0\0\0\xa0\0\
\0\0\0\0\0\0\x6a\x01\0\0\x12\0\x04\0\xe0\x04\0\0\0\0\0\0\x80\0\0\0\0\0\0\0\x7d\
\x01\0\0\x12\0\x04\0\x60\x05\0\0\0\0\0\0\x88\0\0\0\0\0\0\0\x90\x01\0\0\x11\0\
\x06\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\
\x65\x01\x05\0\x14\0\0\0\xc5\x02\x04\0\0\0\0\0\x0f\x13\0\0\0\0\0\0\x0f\x23\0\0\
\0\0\0\0\x79\x30\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\
\0\0\xbf\x16\0\0\0\0\0\0\xb7\x01\0\0\0\0\0\0\x7b\x1a\xf8\xff\0\0\0\0\xbf\xa2\0\
\0\0\0\0\0\x07\x02\0\0\xf8\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\
\0\0\0\x01\0\0\0\x15\0\x08\0\0\0\0\0\xbf\x07\0\0\0\0\0\0\x85\0\0\0\x07\0\0\0\
\xbf\x02\0\0\0\0\0\0\x65\0\x04\0\x14\0\0\0\xc5\x02\x03\0\0\0\0\0\x0f\x07\0\0\0\
\0\0\0\x0f\x27\0\0\0\0\0\0\x79\x70\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\x16\0\0\0\
\0\0\0\xb7\x01\0\0\0\0\0\0\x7b\x1a\xf8\xff\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\
\0\0\xf8\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x01\0\0\0\
\x15\0\x08\0\0\0\0\0\xbf\x07\0\0\0\0\0\0\x85\0\0\0\x07\0\0\0\xbf\x02\0\0\0\0\0\
\0\x65\0\x04\0\x18\0\0\0\xc5\x02\x03\0\0\0\0\0\x0f\x07\0\0\0\0\0\0\x0f\x27\0\0\
\0\0\0\0\x71\x70\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\x16\0\0\0\0\0\0\xb7\x01\0\0\
\0\0\0\0\x7b\x1a\xf8\xff\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xf8\xff\xff\
\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x01\0\0\0\x15\0\x09\0\0\0\0\
\0\xbf\x07\0\0\0\0\0\0\x85\0\0\0\x07\0\0\0\xbf\x02\0\0\0\0\0\0\x65\0\x05\0\x14\
\0\0\0\xb7\x03\0\0\0\0\0\0\x7d\x23\x03\0\0\0\0\0\x0f\x07\0\0\0\0\0\0\x0f\x27\0\
\0\0\0\0\0\x79\x70\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\x16\0\0\0\0\0\0\xb7\x01\0\
\0\0\0\0\0\x7b\x1a\xf8\xff\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xf8\xff\xff\
\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x01\0\0\0\x15\0\x09\0\0\0\0\
\0\xbf\x07\0\0\0\0\0\0\x85\0\0\0\x07\0\0\0\xbf\x02\0\0\0\0\0\0\x65\0\x05\0\x16\
\0\0\0\xb7\x03\0\0\0\0\0\0\x7d\x23\x03\0\0\0\0\0\x0f\x07\0\0\0\0\0\0\x0f\x27\0\
\0\0\0\0\0\x79\x70\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\x16\0\0\0\0\0\0\xb7\x01\0\
\0\0\0\0\0\x7b\x1a\xf8\xff\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xf8\xff\xff\
\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x01\0\0\0\x15\0\x0b\0\0\0\0\
\0\xbf\x07\0\0\0\0\0\0\x85\0\0\0\x07\0\0\0\xbf\x02\0\0\0\0\0\0\x65\0\x07\0\x14\
\0\0\0\x7b\x2a\xf8\xff\0\0\0\0\xb7\0\0\0\0\0\0\0\xb7\x02\0\0\0\0\0\0\x79\xa3\
\xf8\xff\0\0\0\0\x7d\x30\x02\0\0\0\0\0\x0f\x37\0\0\0\0\0\0\x79\x70\0\0\0\0\0\0\
\x95\0\0\0\0\0\0\0\xbf\x16\0\0\0\0\0\0\xb7\x01\0\0\0\0\0\0\x7b\x1a\xf8\xff\0\0\
\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xf8\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x85\0\0\0\x01\0\0\0\x15\0\x0b\0\0\0\0\0\xbf\x07\0\0\0\0\0\0\x85\0\0\
\0\x07\0\0\0\xbf\x02\0\0\0\0\0\0\x65\0\x07\0\x30\0\0\0\x7b\x2a\xf8\xff\0\0\0\0\
\xb7\0\0\0\0\0\0\0\xb7\x02\0\0\0\0\0\0\x79\xa3\xf8\xff\0\0\0\0\x7d\x30\x02\0\0\
\0\0\0\x0f\x37\0\0\0\0\0\0\x79\x70\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\x16\0\0\0\
\0\0\0\xb7\x01\0\0\0\0\0\0\x7b\x1a\xf8\xff\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\
\0\0\xf8\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x01\0\0\0\
\x15\0\x0a\0\0\0\0\0\xbf\x07\0\0\0\0\0\0\x85\0\0\0\x07\0\0\0\xbf\x02\0\0\0\0\0\
\0\xbf\x24\0\0\0\0\0\0\x65\0\x05\0\x0c\0\0\0\xc5\x02\x04\0\0\0\0\0\x0f\x07\0\0\
\0\0\0\0\x0f\x27\0\0\0\0\0\0\x0f\x47\0\0\0\0\0\0\x79\x70\0\0\0\0\0\0\x95\0\0\0\
\0\0\0\0\xbf\x16\0\0\0\0\0\0\xb7\x01\0\0\0\0\0\0\x7b\x1a\xf8\xff\0\0\0\0\xbf\
\xa2\0\0\0\0\0\0\x07\x02\0\0\xf8\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x85\0\0\0\x01\0\0\0\x15\0\x0a\0\0\0\0\0\xbf\x07\0\0\0\0\0\0\x85\0\0\0\x07\0\
\0\0\xbf\x08\0\0\0\0\0\0\xbf\x09\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\x65\
\x08\x04\0\x14\0\0\0\xc5\x09\x03\0\0\0\0\0\x0f\x87\0\0\0\0\0\0\x0f\x97\0\0\0\0\
\0\0\x79\x70\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\x16\0\0\0\0\0\0\xb7\x01\0\0\0\0\
\0\0\x7b\x1a\xf8\xff\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xf8\xff\xff\xff\
\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x01\0\0\0\x15\0\x06\0\0\0\0\0\
\xbf\x07\0\0\0\0\0\0\x85\0\0\0\x07\0\0\0\xbf\x01\0\0\0\0\0\0\xbf\x02\0\0\0\0\0\
\0\xbf\x73\0\0\0\0\0\0\x85\x10\0\0\x01\0\0\0\x95\0\0\0\0\0\0\0\xbf\x16\0\0\0\0\
\0\0\xb7\x01\0\0\0\0\0\0\x7b\x1a\xf8\xff\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\
\0\xf8\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x01\0\0\0\x7b\
\x0a\xf8\xff\0\0\0\0\x15\0\0\0\0\0\0\0\x85\0\0\0\x07\0\0\0\xbf\x02\0\0\0\0\0\0\
\x15\x02\0\0\x14\0\0\0\x79\xa3\xf8\xff\0\0\0\0\x15\x03\x01\0\0\0\0\0\x79\x30\0\
\0\0\0\0\0\x95\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\x28\0\0\0\0\0\0\0\x01\0\0\0\x14\0\0\0\xb8\
\0\0\0\0\0\0\0\x01\0\0\0\x14\0\0\0\x48\x01\0\0\0\0\0\0\x01\0\0\0\x14\0\0\0\xe0\
\x01\0\0\0\0\0\0\x01\0\0\0\x14\0\0\0\x78\x02\0\0\0\0\0\0\x01\0\0\0\x14\0\0\0\
\x20\x03\0\0\0\0\0\0\x01\0\0\0\x14\0\0\0\xc8\x03\0\0\0\0\0\0\x01\0\0\0\x14\0\0\
\0\x68\x04\0\0\0\0\0\0\x01\0\0\0\x14\0\0\0\xa8\x04\0\0\0\0\0\0\x0a\0\0\0\x02\0\
\0\0\x08\x05\0\0\0\0\0\0\x01\0\0\0\x14\0\0\0\x50\x05\0\0\0\0\0\0\x0a\0\0\0\x02\
\0\0\0\x88\x05\0\0\0\0\0\0\x01\0\0\0\x14\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\
\xf8\x03\0\0\xf8\x03\0\0\x5d\x05\0\0\0\0\0\0\0\0\0\x02\x03\0\0\0\x01\0\0\0\0\0\
\0\x01\x04\0\0\0\x20\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x01\
\0\0\0\x05\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x02\x06\0\0\0\x19\
\0\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\x01\0\0\0\0\0\0\0\x02\x08\0\0\0\x23\0\0\0\
\x02\0\0\x04\x30\0\0\0\x2c\0\0\0\x09\0\0\0\0\0\0\0\x32\0\0\0\x0a\0\0\0\x20\0\0\
\0\x36\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\
\x04\0\0\0\x0b\0\0\0\0\0\0\0\x04\0\0\x04\x20\0\0\0\x43\0\0\0\x01\0\0\0\0\0\0\0\
\x48\0\0\0\x01\0\0\0\x40\0\0\0\x54\0\0\0\x05\0\0\0\x80\0\0\0\x58\0\0\0\x07\0\0\
\0\xc0\0\0\0\x5e\0\0\0\0\0\0\x0e\x0b\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x0d\0\0\0\0\
\x6b\0\0\0\x01\0\0\x0c\x0d\0\0\0\x7a\0\0\0\0\0\0\x11\x0e\0\0\0\xff\xff\xff\xff\
\xa2\0\0\0\0\0\0\x11\x0e\0\0\0\xff\xff\xff\xff\xbe\0\0\0\0\0\0\x11\x0e\0\0\0\
\xff\xff\xff\xff\xea\0\0\0\x01\0\0\x0c\x0d\0\0\0\xfc\0\0\0\0\0\0\x11\x12\0\0\0\
\xff\xff\xff\xff\x27\x01\0\0\0\0\0\x11\x12\0\0\0\xff\xff\xff\xff\x43\x01\0\0\0\
\0\0\x11\x12\0\0\0\xff\xff\xff\xff\x96\x01\0\0\x01\0\0\x0c\x0d\0\0\0\xac\x01\0\
\0\0\0\0\x11\x16\0\0\0\xff\xff\xff\xff\xa2\0\0\0\0\0\0\x11\x16\0\0\0\xff\xff\
\xff\xff\xbe\0\0\0\0\0\0\x11\x16\0\0\0\xff\xff\xff\xff\xdb\x01\0\0\x01\0\0\x0c\
\x0d\0\0\0\xf5\x01\0\0\0\0\0\x11\x1a\0\0\0\xff\xff\xff\xff\x27\x01\0\0\0\0\0\
\x11\x1a\0\0\0\xff\xff\xff\xff\x28\x02\0\0\0\0\0\x11\x1a\0\0\0\xff\xff\xff\xff\
\xbe\0\0\0\0\0\0\x11\x1a\0\0\0\xff\xff\xff\xff\x7b\x02\0\0\x01\0\0\x0c\x0d\0\0\
\0\x8e\x02\0\0\0\0\0\x11\x1f\0\0\0\xff\xff\xff\xff\xa2\0\0\0\0\0\0\x11\x1f\0\0\
\0\xff\xff\xff\xff\xbe\0\0\0\0\0\0\x11\x1f\0\0\0\xff\xff\xff\xff\xba\x02\0\0\
\x01\0\0\x0c\x0d\0\0\0\xd6\x02\0\0\0\0\0\x11\x23\0\0\0\xff\xff\xff\xff\x27\x01\
\0\0\0\0\0\x11\x23\0\0\0\xff\xff\xff\xff\x0b\x03\0\0\0\0\0\x11\x23\0\0\0\xff\
\xff\xff\xff\xbe\0\0\0\0\0\0\x11\x23\0\0\0\xff\xff\xff\xff\x5e\x03\0\0\x01\0\0\
\x0c\x0d\0\0\0\x72\x03\0\0\0\0\0\x11\x28\0\0\0\xff\xff\xff\xff\xa2\0\0\0\0\0\0\
\x11\x28\0\0\0\xff\xff\xff\xff\xbe\0\0\0\0\0\0\x11\x28\0\0\0\xff\xff\xff\xff\
\x9f\x03\0\0\x01\0\0\x0c\x0d\0\0\0\xb3\x03\0\0\0\0\0\x11\x2c\0\0\0\xff\xff\xff\
\xff\xa2\0\0\0\0\0\0\x11\x2c\0\0\0\xff\xff\xff\xff\xbe\0\0\0\0\0\0\x11\x2c\0\0\
\0\xff\xff\xff\xff\xe0\x03\0\0\0\0\0\x0c\x0d\0\0\0\xf7\x03\0\0\x01\0\0\x0c\x0d\
\0\0\0\x0a\x04\0\0\0\0\0\x11\x31\0\0\0\xff\xff\xff\xff\xa2\0\0\0\0\0\0\x11\x31\
\0\0\0\xff\xff\xff\xff\xbe\0\0\0\0\0\0\x11\x31\0\0\0\xff\xff\xff\xff\x36\x04\0\
\0\0\0\0\x0c\x0d\0\0\0\x4c\x04\0\0\x01\0\0\x0c\x0d\0\0\0\x5f\x04\0\0\0\0\0\x11\
\x36\0\0\0\xff\xff\xff\xff\xa2\0\0\0\0\0\0\x11\x36\0\0\0\xff\xff\xff\xff\x8d\
\x04\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x39\0\0\0\
\x04\0\0\0\x04\0\0\0\x92\x04\0\0\0\0\0\x0e\x3a\0\0\0\x01\0\0\0\x3e\x05\0\0\x01\
\0\0\x0f\x20\0\0\0\x0c\0\0\0\0\0\0\0\x20\0\0\0\x44\x05\0\0\x01\0\0\x0f\x04\0\0\
\0\x3b\0\0\0\0\0\0\0\x04\0\0\0\0\x69\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\
\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\
\x67\0\x74\x65\x73\x74\x5f\x76\x61\x6c\0\x69\x6e\x64\x65\x78\0\x66\x6f\x6f\0\
\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x74\x79\x70\x65\0\x6d\x61\
\x78\x5f\x65\x6e\x74\x72\x69\x65\x73\0\x6b\x65\x79\0\x76\x61\x6c\x75\x65\0\x6d\
\x61\x70\x5f\x68\x61\x73\x68\x5f\x34\x38\x62\0\x72\x65\x67\x61\x6c\x6c\x6f\x63\
\x5f\x62\x61\x73\x69\x63\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\
\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x72\x65\x67\x61\x6c\x6c\x6f\
\x63\x20\x62\x61\x73\x69\x63\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\
\x5f\x65\x78\x70\x65\x63\x74\x5f\x73\x75\x63\x63\x65\x73\x73\0\x63\x6f\x6d\x6d\
\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x70\x72\x6f\x67\x5f\x66\x6c\x61\x67\x73\
\x3d\x42\x50\x46\x5f\x46\x5f\x41\x4e\x59\x5f\x41\x4c\x49\x47\x4e\x4d\x45\x4e\
\x54\0\x72\x65\x67\x61\x6c\x6c\x6f\x63\x5f\x6e\x65\x67\x61\x74\x69\x76\x65\0\
\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\
\x70\x74\x69\x6f\x6e\x3d\x72\x65\x67\x61\x6c\x6c\x6f\x63\x20\x6e\x65\x67\x61\
\x74\x69\x76\x65\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\
\x70\x65\x63\x74\x5f\x66\x61\x69\x6c\x75\x72\x65\0\x63\x6f\x6d\x6d\x65\x6e\x74\
\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x30\x3d\
\x69\x6e\x76\x61\x6c\x69\x64\x20\x61\x63\x63\x65\x73\x73\x20\x74\x6f\x20\x6d\
\x61\x70\x20\x76\x61\x6c\x75\x65\x2c\x20\x76\x61\x6c\x75\x65\x5f\x73\x69\x7a\
\x65\x3d\x34\x38\x20\x6f\x66\x66\x3d\x34\x38\x20\x73\x69\x7a\x65\x3d\x31\0\x72\
\x65\x67\x61\x6c\x6c\x6f\x63\x5f\x73\x72\x63\x5f\x72\x65\x67\x5f\x6d\x61\x72\
\x6b\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\
\x69\x70\x74\x69\x6f\x6e\x3d\x72\x65\x67\x61\x6c\x6c\x6f\x63\x20\x73\x72\x63\
\x5f\x72\x65\x67\x20\x6d\x61\x72\x6b\0\x72\x65\x67\x61\x6c\x6c\x6f\x63\x5f\x73\
\x72\x63\x5f\x72\x65\x67\x5f\x6e\x65\x67\x61\x74\x69\x76\x65\0\x63\x6f\x6d\x6d\
\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\
\x6e\x3d\x72\x65\x67\x61\x6c\x6c\x6f\x63\x20\x73\x72\x63\x5f\x72\x65\x67\x20\
\x6e\x65\x67\x61\x74\x69\x76\x65\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\
\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x31\x3d\x69\x6e\x76\x61\
\x6c\x69\x64\x20\x61\x63\x63\x65\x73\x73\x20\x74\x6f\x20\x6d\x61\x70\x20\x76\
\x61\x6c\x75\x65\x2c\x20\x76\x61\x6c\x75\x65\x5f\x73\x69\x7a\x65\x3d\x34\x38\
\x20\x6f\x66\x66\x3d\x34\x34\x20\x73\x69\x7a\x65\x3d\x38\0\x72\x65\x67\x61\x6c\
\x6c\x6f\x63\x5f\x61\x6e\x64\x5f\x73\x70\x69\x6c\x6c\0\x63\x6f\x6d\x6d\x65\x6e\
\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\
\x72\x65\x67\x61\x6c\x6c\x6f\x63\x20\x61\x6e\x64\x20\x73\x70\x69\x6c\x6c\0\x72\
\x65\x67\x61\x6c\x6c\x6f\x63\x5f\x61\x6e\x64\x5f\x73\x70\x69\x6c\x6c\x5f\x6e\
\x65\x67\x61\x74\x69\x76\x65\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\
\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x72\x65\x67\x61\x6c\x6c\
\x6f\x63\x20\x61\x6e\x64\x20\x73\x70\x69\x6c\x6c\x20\x6e\x65\x67\x61\x74\x69\
\x76\x65\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\
\x63\x74\x5f\x6d\x73\x67\x3d\x32\x3d\x69\x6e\x76\x61\x6c\x69\x64\x20\x61\x63\
\x63\x65\x73\x73\x20\x74\x6f\x20\x6d\x61\x70\x20\x76\x61\x6c\x75\x65\x2c\x20\
\x76\x61\x6c\x75\x65\x5f\x73\x69\x7a\x65\x3d\x34\x38\x20\x6f\x66\x66\x3d\x34\
\x38\x20\x73\x69\x7a\x65\x3d\x38\0\x72\x65\x67\x61\x6c\x6c\x6f\x63\x5f\x74\x68\
\x72\x65\x65\x5f\x72\x65\x67\x73\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\
\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x72\x65\x67\x61\x6c\
\x6c\x6f\x63\x20\x74\x68\x72\x65\x65\x20\x72\x65\x67\x73\0\x72\x65\x67\x61\x6c\
\x6c\x6f\x63\x5f\x61\x66\x74\x65\x72\x5f\x63\x61\x6c\x6c\0\x63\x6f\x6d\x6d\x65\
\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\
\x3d\x72\x65\x67\x61\x6c\x6c\x6f\x63\x20\x61\x66\x74\x65\x72\x20\x63\x61\x6c\
\x6c\0\x72\x65\x67\x61\x6c\x6c\x6f\x63\x5f\x61\x66\x74\x65\x72\x5f\x63\x61\x6c\
\x6c\x5f\x5f\x31\0\x72\x65\x67\x61\x6c\x6c\x6f\x63\x5f\x69\x6e\x5f\x63\x61\x6c\
\x6c\x65\x65\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\
\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x72\x65\x67\x61\x6c\x6c\x6f\x63\x20\x69\
\x6e\x20\x63\x61\x6c\x6c\x65\x65\0\x72\x65\x67\x61\x6c\x6c\x6f\x63\x5f\x69\x6e\
\x5f\x63\x61\x6c\x6c\x65\x65\x5f\x5f\x31\0\x72\x65\x67\x61\x6c\x6c\x6f\x63\x5f\
\x73\x70\x69\x6c\x6c\x5f\x6a\x65\x71\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\
\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x72\x65\x67\x61\
\x6c\x6c\x6f\x63\x2c\x20\x73\x70\x69\x6c\x6c\x2c\x20\x4a\x45\x51\0\x63\x68\x61\
\x72\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\
\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\
\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x37\x30\x2e\x32\x38\x2e\x31\x2e\x65\x6c\
\x39\x5f\x36\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x37\
\x30\x2e\x32\x38\x2e\x31\x2e\x65\x6c\x39\x5f\x36\x2e\x78\x38\x36\x5f\x36\x34\
\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\
\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x76\x65\x72\
\x69\x66\x69\x65\x72\x5f\x72\x65\x67\x61\x6c\x6c\x6f\x63\x2e\x63\0\x09\x61\x73\
\x6d\x20\x76\x6f\x6c\x61\x74\x69\x6c\x65\x20\x28\x22\x09\x09\x09\x09\x09\x5c\0\
\x2e\x6d\x61\x70\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x74\x65\x78\x74\0\x74\
\x72\x61\x63\x65\x70\x6f\x69\x6e\x74\0\0\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\
\x74\0\0\0\x74\0\0\0\xd4\0\0\0\x48\x01\0\0\0\0\0\0\x08\0\0\0\x4c\x05\0\0\x02\0\
\0\0\0\0\0\0\x30\0\0\0\x10\0\0\0\x35\0\0\0\x52\x05\0\0\x0a\0\0\0\0\0\0\0\x0e\0\
\0\0\x90\0\0\0\x12\0\0\0\x20\x01\0\0\x16\0\0\0\xb8\x01\0\0\x1a\0\0\0\x50\x02\0\
\0\x1f\0\0\0\xf8\x02\0\0\x23\0\0\0\xa0\x03\0\0\x28\0\0\0\x40\x04\0\0\x2c\0\0\0\
\xe0\x04\0\0\x31\0\0\0\x60\x05\0\0\x36\0\0\0\x10\0\0\0\x4c\x05\0\0\x02\0\0\0\0\
\0\0\0\x9b\x04\0\0\x27\x05\0\0\x02\x6c\x04\0\x10\0\0\0\x9b\x04\0\0\x27\x05\0\0\
\x02\0\x05\0\x52\x05\0\0\x0a\0\0\0\0\0\0\0\x9b\x04\0\0\x27\x05\0\0\x02\x6c\0\0\
\x90\0\0\0\x9b\x04\0\0\x27\x05\0\0\x02\xe4\0\0\x20\x01\0\0\x9b\x04\0\0\x27\x05\
\0\0\x02\x5c\x01\0\xb8\x01\0\0\x9b\x04\0\0\x27\x05\0\0\x02\xdc\x01\0\x50\x02\0\
\0\x9b\x04\0\0\x27\x05\0\0\x02\x58\x02\0\xf8\x02\0\0\x9b\x04\0\0\x27\x05\0\0\
\x02\xe8\x02\0\xa0\x03\0\0\x9b\x04\0\0\x27\x05\0\0\x02\x74\x03\0\x40\x04\0\0\
\x9b\x04\0\0\x27\x05\0\0\x02\xf4\x03\0\xe0\x04\0\0\x9b\x04\0\0\x27\x05\0\0\x02\
\x98\x04\0\x60\x05\0\0\x9b\x04\0\0\x27\x05\0\0\x02\x44\x05\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x40\0\0\0\0\0\0\0\xb6\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf8\x01\
\0\0\0\0\0\0\xe8\x02\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\
\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe0\x04\0\0\0\0\
\0\0\x50\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x17\0\
\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x30\x05\0\0\0\0\0\0\xe8\x05\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x22\0\0\0\x01\0\0\
\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x0b\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x28\0\0\0\x01\0\0\0\x03\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x38\x0b\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x99\x01\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x40\x0b\0\0\0\0\0\0\xc0\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x08\0\0\
\0\0\0\0\0\x10\0\0\0\0\0\0\0\xa8\x01\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x0c\0\0\0\0\0\0\x6d\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\xad\x01\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x70\x15\0\
\0\0\0\0\0\x68\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct verifier_regalloc *verifier_regalloc::open(const struct bpf_object_open_opts *opts) { return verifier_regalloc__open_opts(opts); }
struct verifier_regalloc *verifier_regalloc::open_and_load() { return verifier_regalloc__open_and_load(); }
int verifier_regalloc::load(struct verifier_regalloc *skel) { return verifier_regalloc__load(skel); }
int verifier_regalloc::attach(struct verifier_regalloc *skel) { return verifier_regalloc__attach(skel); }
void verifier_regalloc::detach(struct verifier_regalloc *skel) { verifier_regalloc__detach(skel); }
void verifier_regalloc::destroy(struct verifier_regalloc *skel) { verifier_regalloc__destroy(skel); }
const void *verifier_regalloc::elf_bytes(size_t *sz) { return verifier_regalloc__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
verifier_regalloc__assert(struct verifier_regalloc *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __VERIFIER_REGALLOC_SKEL_H__ */
