/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __VERIFIER_TAILCALL_JIT_SKEL_H__
#define __VERIFIER_TAILCALL_JIT_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct verifier_tailcall_jit {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *jmp_table;
	} maps;
	struct {
		struct bpf_program *main;
	} progs;
	struct {
		struct bpf_link *main;
	} links;

#ifdef __cplusplus
	static inline struct verifier_tailcall_jit *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct verifier_tailcall_jit *open_and_load();
	static inline int load(struct verifier_tailcall_jit *skel);
	static inline int attach(struct verifier_tailcall_jit *skel);
	static inline void detach(struct verifier_tailcall_jit *skel);
	static inline void destroy(struct verifier_tailcall_jit *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
verifier_tailcall_jit__destroy(struct verifier_tailcall_jit *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
verifier_tailcall_jit__create_skeleton(struct verifier_tailcall_jit *obj);

static inline struct verifier_tailcall_jit *
verifier_tailcall_jit__open_opts(const struct bpf_object_open_opts *opts)
{
	struct verifier_tailcall_jit *obj;
	int err;

	obj = (struct verifier_tailcall_jit *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = verifier_tailcall_jit__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	verifier_tailcall_jit__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct verifier_tailcall_jit *
verifier_tailcall_jit__open(void)
{
	return verifier_tailcall_jit__open_opts(NULL);
}

static inline int
verifier_tailcall_jit__load(struct verifier_tailcall_jit *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct verifier_tailcall_jit *
verifier_tailcall_jit__open_and_load(void)
{
	struct verifier_tailcall_jit *obj;
	int err;

	obj = verifier_tailcall_jit__open();
	if (!obj)
		return NULL;
	err = verifier_tailcall_jit__load(obj);
	if (err) {
		verifier_tailcall_jit__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
verifier_tailcall_jit__attach(struct verifier_tailcall_jit *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
verifier_tailcall_jit__detach(struct verifier_tailcall_jit *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *verifier_tailcall_jit__elf_bytes(size_t *sz);

static inline int
verifier_tailcall_jit__create_skeleton(struct verifier_tailcall_jit *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "verifier_tailcall_jit";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "jmp_table";
	map->map = &obj->maps.jmp_table;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "main";
	s->progs[0].prog = &obj->progs.main;
	s->progs[0].link = &obj->links.main;

	s->data = verifier_tailcall_jit__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *verifier_tailcall_jit__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xc0\x0d\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0c\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\x74\
\x65\x78\x74\0\x74\x63\0\x2e\x6d\x61\x70\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\
\x76\x65\x72\x69\x66\x69\x65\x72\x5f\x74\x61\x69\x6c\x63\x61\x6c\x6c\x5f\x6a\
\x69\x74\x2e\x63\0\x73\x75\x62\0\x6d\x61\x69\x6e\0\x6a\x6d\x70\x5f\x74\x61\x62\
\x6c\x65\0\x5f\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x2e\x74\x65\
\x78\x74\0\x2e\x72\x65\x6c\x74\x63\0\x2e\x72\x65\x6c\x2e\x6d\x61\x70\x73\0\x2e\
\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x28\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x04\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\x02\0\x03\0\0\0\0\0\0\0\0\0\x28\0\0\0\0\0\
\0\0\x44\0\0\0\x12\0\x04\0\0\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x49\0\0\0\x11\0\
\x05\0\0\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x53\0\0\0\x11\0\x06\0\0\0\0\0\0\0\0\0\
\x04\0\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x03\0\0\0\0\0\0\x85\
\0\0\0\x0c\0\0\0\x95\0\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\xb7\0\0\0\0\0\0\
\0\x95\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x47\x50\x4c\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\
\0\x0a\0\0\0\x02\0\0\0\x18\0\0\0\0\0\0\0\x02\0\0\0\x05\0\0\0\x9f\xeb\x01\0\x18\
\0\0\0\0\0\0\0\x34\x04\0\0\x34\x04\0\0\xda\x06\0\0\0\0\0\0\0\0\0\x02\x03\0\0\0\
\x01\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\
\x04\0\0\0\x03\0\0\0\x05\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x02\
\x06\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x01\0\0\0\0\0\0\0\0\0\
\0\x02\x08\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x04\0\0\0\0\0\0\
\0\0\0\0\x02\x0a\0\0\0\0\0\0\0\0\0\0\x0d\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x09\
\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\x04\x18\0\0\0\x19\0\0\0\x01\0\0\0\0\0\
\0\0\x1e\0\0\0\x05\0\0\0\x40\0\0\0\x2a\0\0\0\x07\0\0\0\x80\0\0\0\x33\0\0\0\x0b\
\0\0\0\xc0\0\0\0\x3a\0\0\0\0\0\0\x0e\x0c\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x0d\x02\
\0\0\0\x44\0\0\0\x01\0\0\x0c\x0e\0\0\0\x49\0\0\0\0\0\0\x11\x0f\0\0\0\xff\xff\
\xff\xff\x65\0\0\0\0\0\0\x11\x0f\0\0\0\xff\xff\xff\xff\x7e\0\0\0\0\0\0\x11\x0f\
\0\0\0\xff\xff\xff\xff\x9c\0\0\0\0\0\0\x11\x0f\0\0\0\xff\xff\xff\xff\xc3\0\0\0\
\0\0\0\x11\x0f\0\0\0\xff\xff\xff\xff\xe9\0\0\0\0\0\0\x11\x0f\0\0\0\xff\xff\xff\
\xff\x0a\x01\0\0\0\0\0\x11\x0f\0\0\0\xff\xff\xff\xff\x30\x01\0\0\0\0\0\x11\x0f\
\0\0\0\xff\xff\xff\xff\x4e\x01\0\0\0\0\0\x11\x0f\0\0\0\xff\xff\xff\xff\x75\x01\
\0\0\0\0\0\x11\x0f\0\0\0\xff\xff\xff\xff\x91\x01\0\0\0\0\0\x11\x0f\0\0\0\xff\
\xff\xff\xff\xb2\x01\0\0\0\0\0\x11\x0f\0\0\0\xff\xff\xff\xff\xd8\x01\0\0\0\0\0\
\x11\x0f\0\0\0\xff\xff\xff\xff\xf6\x01\0\0\0\0\0\x11\x0f\0\0\0\xff\xff\xff\xff\
\x1b\x02\0\0\0\0\0\x11\x0f\0\0\0\xff\xff\xff\xff\x40\x02\0\0\0\0\0\x11\x0f\0\0\
\0\xff\xff\xff\xff\x6e\x02\0\0\0\0\0\x11\x0f\0\0\0\xff\xff\xff\xff\x94\x02\0\0\
\0\0\0\x11\x0f\0\0\0\xff\xff\xff\xff\xbb\x02\0\0\0\0\0\x11\x0f\0\0\0\xff\xff\
\xff\xff\xd8\x02\0\0\0\0\0\x11\x0f\0\0\0\xff\xff\xff\xff\x01\x03\0\0\0\0\0\x11\
\x0f\0\0\0\xff\xff\xff\xff\x1b\x03\0\0\0\0\0\x11\x0f\0\0\0\xff\xff\xff\xff\x3a\
\x03\0\0\0\0\0\x11\x0f\0\0\0\xff\xff\xff\xff\x62\x03\0\0\0\0\0\x11\x0f\0\0\0\
\xff\xff\xff\xff\x85\x03\0\0\0\0\0\x11\x0f\0\0\0\xff\xff\xff\xff\xa7\x03\0\0\0\
\0\0\x11\x0f\0\0\0\xff\xff\xff\xff\xce\x03\0\0\0\0\0\x11\x0f\0\0\0\xff\xff\xff\
\xff\xed\x03\0\0\0\0\0\x11\x0f\0\0\0\xff\xff\xff\xff\x0f\x04\0\0\0\0\0\x11\x0f\
\0\0\0\xff\xff\xff\xff\x31\x04\0\0\0\0\0\x11\x0f\0\0\0\xff\xff\xff\xff\x5e\x04\
\0\0\0\0\0\x11\x0f\0\0\0\xff\xff\xff\xff\x85\x04\0\0\0\0\0\x11\x0f\0\0\0\xff\
\xff\xff\xff\xb3\x04\0\0\0\0\0\x11\x0f\0\0\0\xff\xff\xff\xff\xdd\x04\0\0\0\0\0\
\x11\x0f\0\0\0\xff\xff\xff\xff\xfb\x04\0\0\0\0\0\x11\x0f\0\0\0\xff\xff\xff\xff\
\x23\x05\0\0\0\0\0\x11\x0f\0\0\0\xff\xff\xff\xff\x4c\x05\0\0\0\0\0\x11\x0f\0\0\
\0\xff\xff\xff\xff\x6d\x05\0\0\0\0\0\x11\x0f\0\0\0\xff\xff\xff\xff\x8e\x05\0\0\
\0\0\0\x11\x0f\0\0\0\xff\xff\xff\xff\xb0\x05\0\0\0\0\0\x11\x0f\0\0\0\xff\xff\
\xff\xff\xd0\x05\0\0\0\0\0\x11\x0f\0\0\0\xff\xff\xff\xff\xf9\x05\0\0\0\0\0\x0c\
\x0e\0\0\0\xfd\x05\0\0\0\0\0\x11\x39\0\0\0\xff\xff\xff\xff\x14\x06\0\0\0\0\0\
\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x3b\0\0\0\x04\0\0\0\x04\0\
\0\0\x19\x06\0\0\0\0\0\x0e\x3c\0\0\0\x01\0\0\0\xc3\x06\0\0\x01\0\0\x0f\x20\0\0\
\0\x0d\0\0\0\0\0\0\0\x20\0\0\0\xc9\x06\0\0\x01\0\0\x0f\x04\0\0\0\x3d\0\0\0\0\0\
\0\0\x04\0\0\0\0\x69\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\
\x5f\x54\x59\x50\x45\x5f\x5f\0\x74\x79\x70\x65\0\x6d\x61\x78\x5f\x65\x6e\x74\
\x72\x69\x65\x73\0\x6b\x65\x79\x5f\x73\x69\x7a\x65\0\x76\x61\x6c\x75\x65\x73\0\
\x6a\x6d\x70\x5f\x74\x61\x62\x6c\x65\0\x6d\x61\x69\x6e\0\x63\x6f\x6d\x6d\x65\
\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x73\x75\x63\x63\
\x65\x73\x73\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x61\x72\x63\
\x68\x3d\x58\x38\x36\x5f\x36\x34\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\
\x74\x5f\x6a\x69\x74\x65\x64\x3d\x30\x3d\x09\x65\x6e\x64\x62\x72\x36\x34\0\x63\
\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x6a\x69\x74\x65\x64\x3d\x31\
\x3d\x09\x6e\x6f\x70\x6c\x09\x28\x25\x72\x61\x78\x2c\x25\x72\x61\x78\x29\0\x63\
\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x6a\x69\x74\x65\x64\x3d\x32\
\x3d\x09\x78\x6f\x72\x71\x09\x25\x72\x61\x78\x2c\x20\x25\x72\x61\x78\0\x63\x6f\
\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x6a\x69\x74\x65\x64\x3d\x33\x3d\
\x09\x70\x75\x73\x68\x71\x09\x25\x72\x62\x70\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\
\x74\x65\x73\x74\x5f\x6a\x69\x74\x65\x64\x3d\x34\x3d\x09\x6d\x6f\x76\x71\x09\
\x25\x72\x73\x70\x2c\x20\x25\x72\x62\x70\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\
\x65\x73\x74\x5f\x6a\x69\x74\x65\x64\x3d\x35\x3d\x09\x65\x6e\x64\x62\x72\x36\
\x34\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x6a\x69\x74\x65\x64\
\x3d\x36\x3d\x09\x63\x6d\x70\x71\x09\x24\x30\x78\x32\x31\x2c\x20\x25\x72\x61\
\x78\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x6a\x69\x74\x65\x64\
\x3d\x37\x3d\x09\x6a\x61\x09\x4c\x30\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\
\x73\x74\x5f\x6a\x69\x74\x65\x64\x3d\x38\x3d\x09\x70\x75\x73\x68\x71\x09\x25\
\x72\x61\x78\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x6a\x69\x74\
\x65\x64\x3d\x39\x3d\x09\x6d\x6f\x76\x71\x09\x25\x72\x73\x70\x2c\x20\x25\x72\
\x61\x78\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x6a\x69\x74\x65\
\x64\x3d\x31\x30\x3d\x09\x6a\x6d\x70\x09\x4c\x31\0\x63\x6f\x6d\x6d\x65\x6e\x74\
\x3a\x74\x65\x73\x74\x5f\x6a\x69\x74\x65\x64\x3d\x31\x31\x3d\x4c\x30\x3a\x09\
\x70\x75\x73\x68\x71\x09\x25\x72\x61\x78\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\
\x65\x73\x74\x5f\x6a\x69\x74\x65\x64\x3d\x31\x32\x3d\x4c\x31\x3a\x09\x70\x75\
\x73\x68\x71\x09\x25\x72\x61\x78\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\
\x74\x5f\x6a\x69\x74\x65\x64\x3d\x31\x33\x3d\x09\x6d\x6f\x76\x71\x09\x2d\x30\
\x78\x31\x30\x28\x25\x72\x62\x70\x29\x2c\x20\x25\x72\x61\x78\0\x63\x6f\x6d\x6d\
\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x6a\x69\x74\x65\x64\x3d\x31\x34\x3d\x09\
\x63\x61\x6c\x6c\x71\x09\x30\x78\x7b\x7b\x2e\x2a\x7d\x7d\0\x63\x6f\x6d\x6d\x65\
\x6e\x74\x3a\x74\x65\x73\x74\x5f\x6a\x69\x74\x65\x64\x3d\x31\x35\x3d\x09\x78\
\x6f\x72\x6c\x09\x25\x65\x61\x78\x2c\x20\x25\x65\x61\x78\0\x63\x6f\x6d\x6d\x65\
\x6e\x74\x3a\x74\x65\x73\x74\x5f\x6a\x69\x74\x65\x64\x3d\x31\x36\x3d\x09\x6c\
\x65\x61\x76\x65\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x6a\x69\
\x74\x65\x64\x3d\x31\x37\x3d\x09\x7b\x7b\x28\x72\x65\x74\x71\x7c\x6a\x6d\x70\
\x09\x30\x78\x29\x7d\x7d\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\
\x6a\x69\x74\x65\x64\x3d\x31\x38\x3d\x2e\x2e\x2e\0\x63\x6f\x6d\x6d\x65\x6e\x74\
\x3a\x74\x65\x73\x74\x5f\x6a\x69\x74\x65\x64\x3d\x31\x39\x3d\x09\x65\x6e\x64\
\x62\x72\x36\x34\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x6a\x69\
\x74\x65\x64\x3d\x32\x30\x3d\x09\x6e\x6f\x70\x6c\x09\x28\x25\x72\x61\x78\x2c\
\x25\x72\x61\x78\x29\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x6a\
\x69\x74\x65\x64\x3d\x32\x31\x3d\x09\x6e\x6f\x70\x6c\x09\x28\x25\x72\x61\x78\
\x29\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x6a\x69\x74\x65\x64\
\x3d\x32\x32\x3d\x09\x70\x75\x73\x68\x71\x09\x25\x72\x62\x70\0\x63\x6f\x6d\x6d\
\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x6a\x69\x74\x65\x64\x3d\x32\x33\x3d\x09\
\x6d\x6f\x76\x71\x09\x25\x72\x73\x70\x2c\x20\x25\x72\x62\x70\0\x63\x6f\x6d\x6d\
\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x6a\x69\x74\x65\x64\x3d\x32\x34\x3d\x09\
\x65\x6e\x64\x62\x72\x36\x34\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\
\x5f\x6a\x69\x74\x65\x64\x3d\x32\x35\x3d\x09\x70\x75\x73\x68\x71\x09\x25\x72\
\x61\x78\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x6a\x69\x74\x65\
\x64\x3d\x32\x36\x3d\x09\x70\x75\x73\x68\x71\x09\x25\x72\x61\x78\0\x63\x6f\x6d\
\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x6a\x69\x74\x65\x64\x3d\x32\x37\x3d\
\x09\x6d\x6f\x76\x61\x62\x73\x71\x09\x24\x7b\x7b\x2e\x2a\x7d\x7d\x2c\x20\x25\
\x72\x73\x69\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x6a\x69\x74\
\x65\x64\x3d\x32\x38\x3d\x09\x78\x6f\x72\x6c\x09\x25\x65\x64\x78\x2c\x20\x25\
\x65\x64\x78\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x6a\x69\x74\
\x65\x64\x3d\x32\x39\x3d\x09\x6d\x6f\x76\x71\x09\x2d\x30\x78\x31\x30\x28\x25\
\x72\x62\x70\x29\x2c\x20\x25\x72\x61\x78\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\
\x65\x73\x74\x5f\x6a\x69\x74\x65\x64\x3d\x33\x30\x3d\x09\x63\x6d\x70\x71\x09\
\x24\x30\x78\x32\x31\x2c\x20\x28\x25\x72\x61\x78\x29\0\x63\x6f\x6d\x6d\x65\x6e\
\x74\x3a\x74\x65\x73\x74\x5f\x6a\x69\x74\x65\x64\x3d\x33\x31\x3d\x09\x6a\x61\
\x65\x09\x4c\x30\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x6a\x69\
\x74\x65\x64\x3d\x33\x32\x3d\x09\x6e\x6f\x70\x6c\x09\x28\x25\x72\x61\x78\x2c\
\x25\x72\x61\x78\x29\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x6a\
\x69\x74\x65\x64\x3d\x33\x33\x3d\x09\x61\x64\x64\x71\x09\x24\x30\x78\x31\x2c\
\x20\x28\x25\x72\x61\x78\x29\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\
\x5f\x6a\x69\x74\x65\x64\x3d\x33\x34\x3d\x09\x70\x6f\x70\x71\x09\x25\x72\x61\
\x78\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x6a\x69\x74\x65\x64\
\x3d\x33\x35\x3d\x09\x70\x6f\x70\x71\x09\x25\x72\x61\x78\0\x63\x6f\x6d\x6d\x65\
\x6e\x74\x3a\x74\x65\x73\x74\x5f\x6a\x69\x74\x65\x64\x3d\x33\x36\x3d\x09\x6a\
\x6d\x70\x09\x7b\x7b\x2e\x2a\x7d\x7d\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\
\x73\x74\x5f\x6a\x69\x74\x65\x64\x3d\x33\x37\x3d\x4c\x30\x3a\x09\x6c\x65\x61\
\x76\x65\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x6a\x69\x74\x65\
\x64\x3d\x33\x38\x3d\x09\x7b\x7b\x28\x72\x65\x74\x71\x7c\x6a\x6d\x70\x09\x30\
\x78\x29\x7d\x7d\0\x73\x75\x62\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\
\x74\x5f\x61\x75\x78\x69\x6c\x69\x61\x72\x79\0\x63\x68\x61\x72\0\x5f\x5f\x6c\
\x69\x63\x65\x6e\x73\x65\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\
\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\
\x34\x2e\x30\x2d\x35\x37\x30\x2e\x32\x38\x2e\x31\x2e\x65\x6c\x39\x5f\x36\x2f\
\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x37\x30\x2e\x32\x38\
\x2e\x31\x2e\x65\x6c\x39\x5f\x36\x2e\x78\x38\x36\x5f\x36\x34\x2f\x74\x6f\x6f\
\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\
\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x76\x65\x72\x69\x66\x69\x65\
\x72\x5f\x74\x61\x69\x6c\x63\x61\x6c\x6c\x5f\x6a\x69\x74\x2e\x63\0\x09\x61\x73\
\x6d\x20\x76\x6f\x6c\x61\x74\x69\x6c\x65\x20\x28\0\x2e\x6d\x61\x70\x73\0\x6c\
\x69\x63\x65\x6e\x73\x65\0\x2e\x74\x65\x78\x74\0\x74\x63\0\0\0\x9f\xeb\x01\0\
\x20\0\0\0\0\0\0\0\x24\0\0\0\x24\0\0\0\x34\0\0\0\x58\0\0\0\0\0\0\0\x08\0\0\0\
\xd1\x06\0\0\x01\0\0\0\0\0\0\0\x39\0\0\0\xd7\x06\0\0\x01\0\0\0\0\0\0\0\x0f\0\0\
\0\x10\0\0\0\xd1\x06\0\0\x01\0\0\0\0\0\0\0\x23\x06\0\0\xb3\x06\0\0\x02\x58\0\0\
\xd7\x06\0\0\x01\0\0\0\0\0\0\0\x23\x06\0\0\xb3\x06\0\0\x02\x80\x01\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x86\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xc8\0\0\0\0\0\0\0\xc0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\
\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x88\x01\0\0\
\0\0\0\0\x28\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x17\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb0\x01\0\0\0\0\0\0\x18\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1a\0\0\0\x01\
\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc8\x01\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\0\0\0\x01\0\0\0\x03\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\xe8\x01\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x5d\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\xf0\x01\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x02\0\0\0\x03\0\0\0\x08\0\0\
\0\0\0\0\0\x10\0\0\0\0\0\0\0\x67\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x02\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x08\0\0\0\0\0\0\0\
\x10\0\0\0\0\0\0\0\x6e\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\
\x02\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x02\0\0\0\x05\0\0\0\x08\0\0\0\0\0\0\0\x10\0\
\0\0\0\0\0\0\x78\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\x02\0\0\0\
\0\0\0\x26\x0b\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x7d\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x48\x0d\0\0\0\0\0\0\x78\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct verifier_tailcall_jit *verifier_tailcall_jit::open(const struct bpf_object_open_opts *opts) { return verifier_tailcall_jit__open_opts(opts); }
struct verifier_tailcall_jit *verifier_tailcall_jit::open_and_load() { return verifier_tailcall_jit__open_and_load(); }
int verifier_tailcall_jit::load(struct verifier_tailcall_jit *skel) { return verifier_tailcall_jit__load(skel); }
int verifier_tailcall_jit::attach(struct verifier_tailcall_jit *skel) { return verifier_tailcall_jit__attach(skel); }
void verifier_tailcall_jit::detach(struct verifier_tailcall_jit *skel) { verifier_tailcall_jit__detach(skel); }
void verifier_tailcall_jit::destroy(struct verifier_tailcall_jit *skel) { verifier_tailcall_jit__destroy(skel); }
const void *verifier_tailcall_jit::elf_bytes(size_t *sz) { return verifier_tailcall_jit__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
verifier_tailcall_jit__assert(struct verifier_tailcall_jit *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __VERIFIER_TAILCALL_JIT_SKEL_H__ */
