/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __VERIFIER_XADD_SKEL_H__
#define __VERIFIER_XADD_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct verifier_xadd {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *map_hash_8b;
	} maps;
	struct {
		struct bpf_program *xadd_w_check_unaligned_stack;
		struct bpf_program *xadd_w_check_unaligned_map;
		struct bpf_program *src_dst_got_mangled_1;
		struct bpf_program *src_dst_got_mangled_2;
		struct bpf_program *xadd_w_check_unaligned_pkt;
	} progs;
	struct {
		struct bpf_link *xadd_w_check_unaligned_stack;
		struct bpf_link *xadd_w_check_unaligned_map;
		struct bpf_link *src_dst_got_mangled_1;
		struct bpf_link *src_dst_got_mangled_2;
		struct bpf_link *xadd_w_check_unaligned_pkt;
	} links;

#ifdef __cplusplus
	static inline struct verifier_xadd *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct verifier_xadd *open_and_load();
	static inline int load(struct verifier_xadd *skel);
	static inline int attach(struct verifier_xadd *skel);
	static inline void detach(struct verifier_xadd *skel);
	static inline void destroy(struct verifier_xadd *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
verifier_xadd__destroy(struct verifier_xadd *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
verifier_xadd__create_skeleton(struct verifier_xadd *obj);

static inline struct verifier_xadd *
verifier_xadd__open_opts(const struct bpf_object_open_opts *opts)
{
	struct verifier_xadd *obj;
	int err;

	obj = (struct verifier_xadd *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = verifier_xadd__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	verifier_xadd__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct verifier_xadd *
verifier_xadd__open(void)
{
	return verifier_xadd__open_opts(NULL);
}

static inline int
verifier_xadd__load(struct verifier_xadd *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct verifier_xadd *
verifier_xadd__open_and_load(void)
{
	struct verifier_xadd *obj;
	int err;

	obj = verifier_xadd__open();
	if (!obj)
		return NULL;
	err = verifier_xadd__load(obj);
	if (err) {
		verifier_xadd__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
verifier_xadd__attach(struct verifier_xadd *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
verifier_xadd__detach(struct verifier_xadd *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *verifier_xadd__elf_bytes(size_t *sz);

static inline int
verifier_xadd__create_skeleton(struct verifier_xadd *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "verifier_xadd";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "map_hash_8b";
	map->map = &obj->maps.map_hash_8b;

	/* programs */
	s->prog_cnt = 5;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "xadd_w_check_unaligned_stack";
	s->progs[0].prog = &obj->progs.xadd_w_check_unaligned_stack;
	s->progs[0].link = &obj->links.xadd_w_check_unaligned_stack;

	s->progs[1].name = "xadd_w_check_unaligned_map";
	s->progs[1].prog = &obj->progs.xadd_w_check_unaligned_map;
	s->progs[1].link = &obj->links.xadd_w_check_unaligned_map;

	s->progs[2].name = "src_dst_got_mangled_1";
	s->progs[2].prog = &obj->progs.src_dst_got_mangled_1;
	s->progs[2].link = &obj->links.src_dst_got_mangled_1;

	s->progs[3].name = "src_dst_got_mangled_2";
	s->progs[3].prog = &obj->progs.src_dst_got_mangled_2;
	s->progs[3].link = &obj->links.src_dst_got_mangled_2;

	s->progs[4].name = "xadd_w_check_unaligned_pkt";
	s->progs[4].prog = &obj->progs.xadd_w_check_unaligned_pkt;
	s->progs[4].link = &obj->links.xadd_w_check_unaligned_pkt;

	s->data = verifier_xadd__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *verifier_xadd__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xd8\x0b\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0a\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x74\x63\0\
\x78\x64\x70\0\x2e\x6d\x61\x70\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x76\x65\x72\
\x69\x66\x69\x65\x72\x5f\x78\x61\x64\x64\x2e\x63\0\x6c\x30\x5f\x30\0\x6c\x30\
\x5f\x31\0\x6c\x31\x5f\x31\0\x6c\x30\x5f\x32\0\x6c\x30\x5f\x33\0\x78\x61\x64\
\x64\x5f\x77\x5f\x63\x68\x65\x63\x6b\x5f\x75\x6e\x61\x6c\x69\x67\x6e\x65\x64\
\x5f\x73\x74\x61\x63\x6b\0\x78\x61\x64\x64\x5f\x77\x5f\x63\x68\x65\x63\x6b\x5f\
\x75\x6e\x61\x6c\x69\x67\x6e\x65\x64\x5f\x6d\x61\x70\0\x6d\x61\x70\x5f\x68\x61\
\x73\x68\x5f\x38\x62\0\x78\x61\x64\x64\x5f\x77\x5f\x63\x68\x65\x63\x6b\x5f\x75\
\x6e\x61\x6c\x69\x67\x6e\x65\x64\x5f\x70\x6b\x74\0\x73\x72\x63\x5f\x64\x73\x74\
\x5f\x67\x6f\x74\x5f\x6d\x61\x6e\x67\x6c\x65\x64\x5f\x31\0\x73\x72\x63\x5f\x64\
\x73\x74\x5f\x67\x6f\x74\x5f\x6d\x61\x6e\x67\x6c\x65\x64\x5f\x32\0\x5f\x6c\x69\
\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x74\x63\0\x2e\x42\x54\x46\0\x2e\x42\x54\
\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x26\0\0\
\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x36\0\0\0\0\0\x03\0\x70\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x03\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x3b\0\0\0\0\0\x04\0\x38\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x04\0\x78\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x45\0\0\0\0\0\x03\0\xe0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x4a\0\0\0\0\0\x03\0\
\x40\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x4f\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\x28\
\0\0\0\0\0\0\0\x6c\0\0\0\x12\0\x03\0\x28\0\0\0\0\0\0\0\x68\0\0\0\0\0\0\0\x87\0\
\0\0\x11\0\x05\0\0\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x93\0\0\0\x12\0\x04\0\0\0\0\
\0\0\0\0\0\x80\0\0\0\0\0\0\0\xae\0\0\0\x12\0\x03\0\x90\0\0\0\0\0\0\0\x60\0\0\0\
\0\0\0\0\xc4\0\0\0\x12\0\x03\0\xf0\0\0\0\0\0\0\0\x60\0\0\0\0\0\0\0\xda\0\0\0\
\x11\0\x06\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xb7\0\0\0\x01\0\0\0\x7b\x0a\xf8\
\xff\0\0\0\0\xc3\x0a\xf9\xff\0\0\0\0\x79\xa0\xf8\xff\0\0\0\0\x95\0\0\0\0\0\0\0\
\xb7\x01\0\0\0\0\0\0\x7b\x1a\xf8\xff\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\
\xf8\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x01\0\0\0\x55\0\
\x01\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\x01\0\0\x01\0\0\0\xc3\x10\x03\0\0\0\0\0\
\x61\0\x03\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\0\0\0\x01\0\0\0\xbf\x06\0\0\0\0\0\0\
\xbf\xa7\0\0\0\0\0\0\x7b\x0a\xf8\xff\0\0\0\0\xdb\x0a\xf8\xff\0\0\0\0\xdb\x0a\
\xf8\xff\0\0\0\0\x5d\x06\x03\0\0\0\0\0\x5d\xa7\x02\0\0\0\0\0\x79\xa0\xf8\xff\0\
\0\0\0\x95\0\0\0\0\0\0\0\xb7\0\0\0\x2a\0\0\0\x95\0\0\0\0\0\0\0\xb7\0\0\0\x01\0\
\0\0\xbf\x06\0\0\0\0\0\0\xbf\xa7\0\0\0\0\0\0\x63\x0a\xf8\xff\0\0\0\0\xc3\x0a\
\xf8\xff\0\0\0\0\xc3\x0a\xf8\xff\0\0\0\0\x5d\x06\x03\0\0\0\0\0\x5d\xa7\x02\0\0\
\0\0\0\x61\xa0\xf8\xff\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\0\0\0\x2a\0\0\0\x95\0\0\0\
\0\0\0\0\x61\x12\0\0\0\0\0\0\x61\x13\x04\0\0\0\0\0\xbf\x21\0\0\0\0\0\0\x07\x01\
\0\0\x08\0\0\0\xad\x31\x02\0\0\0\0\0\xb7\0\0\0\x63\0\0\0\x05\0\x08\0\0\0\0\0\
\xb7\0\0\0\x01\0\0\0\xb7\x01\0\0\0\0\0\0\x63\x12\0\0\0\0\0\0\xb7\x01\0\0\0\0\0\
\0\x63\x12\x03\0\0\0\0\0\xc3\x02\x01\0\0\0\0\0\xc3\x02\x02\0\0\0\0\0\x61\x20\
\x01\0\0\0\0\0\x95\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\x48\0\0\0\0\0\0\0\x01\0\0\0\x0b\0\0\0\
\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\x5c\x02\0\0\x5c\x02\0\0\xe0\x03\0\0\0\0\0\0\0\
\0\0\x02\x03\0\0\0\x01\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\0\0\0\0\0\0\0\x03\
\0\0\0\0\x02\0\0\0\x04\0\0\0\x01\0\0\0\x05\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\
\0\0\0\0\0\0\0\x02\x06\0\0\0\x19\0\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\x01\0\0\0\0\
\x04\0\0\x04\x20\0\0\0\x23\0\0\0\x01\0\0\0\0\0\0\0\x28\0\0\0\x01\0\0\0\x40\0\0\
\0\x34\0\0\0\x05\0\0\0\x80\0\0\0\x38\0\0\0\x05\0\0\0\xc0\0\0\0\x3e\0\0\0\0\0\0\
\x0e\x07\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x0d\0\0\0\0\x4a\0\0\0\x01\0\0\x0c\x09\0\
\0\0\x67\0\0\0\0\0\0\x11\x0a\0\0\0\xff\xff\xff\xff\x9d\0\0\0\0\0\0\x11\x0a\0\0\
\0\xff\xff\xff\xff\xb9\0\0\0\0\0\0\x11\x0a\0\0\0\xff\xff\xff\xff\xef\0\0\0\x01\
\0\0\x0c\x09\0\0\0\x0a\x01\0\0\0\0\0\x11\x0e\0\0\0\xff\xff\xff\xff\x9d\0\0\0\0\
\0\0\x11\x0e\0\0\0\xff\xff\xff\xff\x3e\x01\0\0\0\0\0\x11\x0e\0\0\0\xff\xff\xff\
\xff\x74\x01\0\0\x01\0\0\x0c\x09\0\0\0\x8f\x01\0\0\0\0\0\x11\x12\0\0\0\xff\xff\
\xff\xff\x9d\0\0\0\0\0\0\x11\x12\0\0\0\xff\xff\xff\xff\xc3\x01\0\0\0\0\0\x11\
\x12\0\0\0\xff\xff\xff\xff\x0a\x02\0\0\0\0\0\x11\x12\0\0\0\xff\xff\xff\xff\x36\
\x02\0\0\x01\0\0\x0c\x09\0\0\0\x4c\x02\0\0\0\0\0\x11\x17\0\0\0\xff\xff\xff\xff\
\x91\x02\0\0\0\0\0\x11\x17\0\0\0\xff\xff\xff\xff\xad\x02\0\0\0\0\0\x11\x17\0\0\
\0\xff\xff\xff\xff\xc3\x02\0\0\x01\0\0\x0c\x09\0\0\0\xd9\x02\0\0\0\0\0\x11\x1b\
\0\0\0\xff\xff\xff\xff\x91\x02\0\0\0\0\0\x11\x1b\0\0\0\xff\xff\xff\xff\xad\x02\
\0\0\0\0\0\x11\x1b\0\0\0\xff\xff\xff\xff\x1e\x03\0\0\0\0\0\x01\x01\0\0\0\x08\0\
\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x1f\0\0\0\x04\0\0\0\x04\0\0\0\x23\x03\0\0\0\0\
\0\x0e\x20\0\0\0\x01\0\0\0\xcb\x03\0\0\x01\0\0\x0f\x20\0\0\0\x08\0\0\0\0\0\0\0\
\x20\0\0\0\xd1\x03\0\0\x01\0\0\x0f\x04\0\0\0\x21\0\0\0\0\0\0\0\x04\0\0\0\0\x69\
\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\
\x5f\x5f\0\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x74\x79\x70\x65\0\x6d\x61\x78\
\x5f\x65\x6e\x74\x72\x69\x65\x73\0\x6b\x65\x79\0\x76\x61\x6c\x75\x65\0\x6d\x61\
\x70\x5f\x68\x61\x73\x68\x5f\x38\x62\0\x78\x61\x64\x64\x5f\x77\x5f\x63\x68\x65\
\x63\x6b\x5f\x75\x6e\x61\x6c\x69\x67\x6e\x65\x64\x5f\x73\x74\x61\x63\x6b\0\x63\
\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\
\x74\x69\x6f\x6e\x3d\x78\x61\x64\x64\x2f\x77\x20\x63\x68\x65\x63\x6b\x20\x75\
\x6e\x61\x6c\x69\x67\x6e\x65\x64\x20\x73\x74\x61\x63\x6b\0\x63\x6f\x6d\x6d\x65\
\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x66\x61\x69\x6c\
\x75\x72\x65\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\
\x65\x63\x74\x5f\x6d\x73\x67\x3d\x30\x3d\x6d\x69\x73\x61\x6c\x69\x67\x6e\x65\
\x64\x20\x73\x74\x61\x63\x6b\x20\x61\x63\x63\x65\x73\x73\x20\x6f\x66\x66\0\x78\
\x61\x64\x64\x5f\x77\x5f\x63\x68\x65\x63\x6b\x5f\x75\x6e\x61\x6c\x69\x67\x6e\
\x65\x64\x5f\x6d\x61\x70\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\
\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x78\x61\x64\x64\x2f\x77\x20\
\x63\x68\x65\x63\x6b\x20\x75\x6e\x61\x6c\x69\x67\x6e\x65\x64\x20\x6d\x61\x70\0\
\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\
\x5f\x6d\x73\x67\x3d\x31\x3d\x6d\x69\x73\x61\x6c\x69\x67\x6e\x65\x64\x20\x76\
\x61\x6c\x75\x65\x20\x61\x63\x63\x65\x73\x73\x20\x6f\x66\x66\0\x78\x61\x64\x64\
\x5f\x77\x5f\x63\x68\x65\x63\x6b\x5f\x75\x6e\x61\x6c\x69\x67\x6e\x65\x64\x5f\
\x70\x6b\x74\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\
\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x78\x61\x64\x64\x2f\x77\x20\x63\x68\x65\
\x63\x6b\x20\x75\x6e\x61\x6c\x69\x67\x6e\x65\x64\x20\x70\x6b\x74\0\x63\x6f\x6d\
\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\
\x67\x3d\x32\x3d\x42\x50\x46\x5f\x41\x54\x4f\x4d\x49\x43\x20\x73\x74\x6f\x72\
\x65\x73\x20\x69\x6e\x74\x6f\x20\x52\x32\x20\x70\x6b\x74\x20\x69\x73\x20\x6e\
\x6f\x74\x20\x61\x6c\x6c\x6f\x77\x65\x64\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\
\x65\x73\x74\x5f\x70\x72\x6f\x67\x5f\x66\x6c\x61\x67\x73\x3d\x42\x50\x46\x5f\
\x46\x5f\x41\x4e\x59\x5f\x41\x4c\x49\x47\x4e\x4d\x45\x4e\x54\0\x73\x72\x63\x5f\
\x64\x73\x74\x5f\x67\x6f\x74\x5f\x6d\x61\x6e\x67\x6c\x65\x64\x5f\x31\0\x63\x6f\
\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\
\x69\x6f\x6e\x3d\x78\x61\x64\x64\x2f\x77\x20\x63\x68\x65\x63\x6b\x20\x77\x68\
\x65\x74\x68\x65\x72\x20\x73\x72\x63\x2f\x64\x73\x74\x20\x67\x6f\x74\x20\x6d\
\x61\x6e\x67\x6c\x65\x64\x2c\x20\x31\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\
\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x73\x75\x63\x63\x65\x73\x73\0\x63\x6f\
\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x72\x65\x74\x76\x61\x6c\x3d\x33\0\
\x73\x72\x63\x5f\x64\x73\x74\x5f\x67\x6f\x74\x5f\x6d\x61\x6e\x67\x6c\x65\x64\
\x5f\x32\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\
\x72\x69\x70\x74\x69\x6f\x6e\x3d\x78\x61\x64\x64\x2f\x77\x20\x63\x68\x65\x63\
\x6b\x20\x77\x68\x65\x74\x68\x65\x72\x20\x73\x72\x63\x2f\x64\x73\x74\x20\x67\
\x6f\x74\x20\x6d\x61\x6e\x67\x6c\x65\x64\x2c\x20\x32\0\x63\x68\x61\x72\0\x5f\
\x6c\x69\x63\x65\x6e\x73\x65\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\
\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\
\x31\x34\x2e\x30\x2d\x35\x37\x30\x2e\x32\x38\x2e\x31\x2e\x65\x6c\x39\x5f\x36\
\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x37\x30\x2e\x32\
\x38\x2e\x31\x2e\x65\x6c\x39\x5f\x36\x2e\x78\x38\x36\x5f\x36\x34\x2f\x74\x6f\
\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\
\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x76\x65\x72\x69\x66\x69\
\x65\x72\x5f\x78\x61\x64\x64\x2e\x63\0\x09\x61\x73\x6d\x20\x76\x6f\x6c\x61\x74\
\x69\x6c\x65\x20\x28\x22\x09\x09\x09\x09\x09\x5c\0\x2e\x6d\x61\x70\x73\0\x6c\
\x69\x63\x65\x6e\x73\x65\0\x74\x63\0\x78\x64\x70\0\0\0\0\0\x9f\xeb\x01\0\x20\0\
\0\0\0\0\0\0\x3c\0\0\0\x3c\0\0\0\x64\0\0\0\xa0\0\0\0\0\0\0\0\x08\0\0\0\xd9\x03\
\0\0\x04\0\0\0\0\0\0\0\x0a\0\0\0\x28\0\0\0\x0e\0\0\0\x90\0\0\0\x17\0\0\0\xf0\0\
\0\0\x1b\0\0\0\xdc\x03\0\0\x01\0\0\0\0\0\0\0\x12\0\0\0\x10\0\0\0\xd9\x03\0\0\
\x04\0\0\0\0\0\0\0\x2c\x03\0\0\xb4\x03\0\0\x02\x50\0\0\x28\0\0\0\x2c\x03\0\0\
\xb4\x03\0\0\x02\x88\0\0\x90\0\0\0\x2c\x03\0\0\xb4\x03\0\0\x02\x5c\x01\0\xf0\0\
\0\0\x2c\x03\0\0\xb4\x03\0\0\x02\xb0\x01\0\xdc\x03\0\0\x01\0\0\0\0\0\0\0\x2c\
\x03\0\0\xb4\x03\0\0\x02\xec\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\
\xf8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\
\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x38\x01\0\0\0\0\0\0\x80\x01\0\0\0\0\
\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\
\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb8\x02\0\0\0\0\0\0\x50\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x14\0\0\0\x01\0\0\0\x06\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x08\x04\0\0\0\0\0\0\x80\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x88\x04\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x1e\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa8\
\x04\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\xe3\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb0\x04\0\0\0\0\0\
\0\x10\0\0\0\0\0\0\0\x02\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\
\xea\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc0\x04\0\0\0\0\0\0\x54\
\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xef\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x0b\0\0\0\0\0\0\xc0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct verifier_xadd *verifier_xadd::open(const struct bpf_object_open_opts *opts) { return verifier_xadd__open_opts(opts); }
struct verifier_xadd *verifier_xadd::open_and_load() { return verifier_xadd__open_and_load(); }
int verifier_xadd::load(struct verifier_xadd *skel) { return verifier_xadd__load(skel); }
int verifier_xadd::attach(struct verifier_xadd *skel) { return verifier_xadd__attach(skel); }
void verifier_xadd::detach(struct verifier_xadd *skel) { verifier_xadd__detach(skel); }
void verifier_xadd::destroy(struct verifier_xadd *skel) { verifier_xadd__destroy(skel); }
const void *verifier_xadd::elf_bytes(size_t *sz) { return verifier_xadd__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
verifier_xadd__assert(struct verifier_xadd *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __VERIFIER_XADD_SKEL_H__ */
