/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __WQ_SKEL_H__
#define __WQ_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct wq {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *array;
		struct bpf_map *hmap;
		struct bpf_map *hmap_malloc;
		struct bpf_map *lru;
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *test_call_array_sleepable;
		struct bpf_program *test_call_hash_sleepable;
		struct bpf_program *test_call_hash_malloc_sleepable;
		struct bpf_program *test_call_lru_sleepable;
		struct bpf_program *test_syscall_array_sleepable;
	} progs;
	struct {
		struct bpf_link *test_call_array_sleepable;
		struct bpf_link *test_call_hash_sleepable;
		struct bpf_link *test_call_hash_malloc_sleepable;
		struct bpf_link *test_call_lru_sleepable;
		struct bpf_link *test_syscall_array_sleepable;
	} links;
	struct wq__bss {
		__u32 ok;
		__u32 ok_sleepable;
	} *bss;

#ifdef __cplusplus
	static inline struct wq *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct wq *open_and_load();
	static inline int load(struct wq *skel);
	static inline int attach(struct wq *skel);
	static inline void detach(struct wq *skel);
	static inline void destroy(struct wq *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
wq__destroy(struct wq *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
wq__create_skeleton(struct wq *obj);

static inline struct wq *
wq__open_opts(const struct bpf_object_open_opts *opts)
{
	struct wq *obj;
	int err;

	obj = (struct wq *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = wq__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	wq__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct wq *
wq__open(void)
{
	return wq__open_opts(NULL);
}

static inline int
wq__load(struct wq *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct wq *
wq__open_and_load(void)
{
	struct wq *obj;
	int err;

	obj = wq__open();
	if (!obj)
		return NULL;
	err = wq__load(obj);
	if (err) {
		wq__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
wq__attach(struct wq *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
wq__detach(struct wq *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *wq__elf_bytes(size_t *sz);

static inline int
wq__create_skeleton(struct wq *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "wq";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 5;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "array";
	map->map = &obj->maps.array;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 1 * s->map_skel_sz);
	map->name = "hmap";
	map->map = &obj->maps.hmap;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 2 * s->map_skel_sz);
	map->name = "hmap_malloc";
	map->map = &obj->maps.hmap_malloc;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 3 * s->map_skel_sz);
	map->name = "lru";
	map->map = &obj->maps.lru;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 4 * s->map_skel_sz);
	map->name = "wq.bss";
	map->map = &obj->maps.bss;
	map->mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 5;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "test_call_array_sleepable";
	s->progs[0].prog = &obj->progs.test_call_array_sleepable;
	s->progs[0].link = &obj->links.test_call_array_sleepable;

	s->progs[1].name = "test_call_hash_sleepable";
	s->progs[1].prog = &obj->progs.test_call_hash_sleepable;
	s->progs[1].link = &obj->links.test_call_hash_sleepable;

	s->progs[2].name = "test_call_hash_malloc_sleepable";
	s->progs[2].prog = &obj->progs.test_call_hash_malloc_sleepable;
	s->progs[2].link = &obj->links.test_call_hash_malloc_sleepable;

	s->progs[3].name = "test_call_lru_sleepable";
	s->progs[3].prog = &obj->progs.test_call_lru_sleepable;
	s->progs[3].link = &obj->links.test_call_lru_sleepable;

	s->progs[4].name = "test_syscall_array_sleepable";
	s->progs[4].prog = &obj->progs.test_syscall_array_sleepable;
	s->progs[4].link = &obj->links.test_syscall_array_sleepable;

	s->data = wq__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *wq__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x28\x25\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0e\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\x74\
\x65\x78\x74\0\x74\x63\0\x73\x79\x73\x63\x61\x6c\x6c\0\x6c\x69\x63\x65\x6e\x73\
\x65\0\x2e\x6d\x61\x70\x73\0\x2e\x62\x73\x73\0\x77\x71\x2e\x63\0\x77\x71\x5f\
\x63\x62\x5f\x73\x6c\x65\x65\x70\x61\x62\x6c\x65\0\x74\x65\x73\x74\x5f\x68\x6d\
\x61\x70\x5f\x65\x6c\x65\x6d\x5f\x63\x61\x6c\x6c\x62\x61\x63\x6b\0\x77\x71\x5f\
\x63\x61\x6c\x6c\x62\x61\x63\x6b\0\x74\x65\x73\x74\x5f\x63\x61\x6c\x6c\x5f\x61\
\x72\x72\x61\x79\x5f\x73\x6c\x65\x65\x70\x61\x62\x6c\x65\0\x6f\x6b\0\x6f\x6b\
\x5f\x73\x6c\x65\x65\x70\x61\x62\x6c\x65\0\x61\x72\x72\x61\x79\0\x62\x70\x66\
\x5f\x77\x71\x5f\x69\x6e\x69\x74\0\x62\x70\x66\x5f\x77\x71\x5f\x73\x65\x74\x5f\
\x63\x61\x6c\x6c\x62\x61\x63\x6b\x5f\x69\x6d\x70\x6c\0\x62\x70\x66\x5f\x77\x71\
\x5f\x73\x74\x61\x72\x74\0\x62\x70\x66\x5f\x6b\x66\x75\x6e\x63\x5f\x63\x61\x6c\
\x6c\x5f\x74\x65\x73\x74\x5f\x73\x6c\x65\x65\x70\x61\x62\x6c\x65\0\x74\x65\x73\
\x74\x5f\x73\x79\x73\x63\x61\x6c\x6c\x5f\x61\x72\x72\x61\x79\x5f\x73\x6c\x65\
\x65\x70\x61\x62\x6c\x65\0\x74\x65\x73\x74\x5f\x63\x61\x6c\x6c\x5f\x68\x61\x73\
\x68\x5f\x73\x6c\x65\x65\x70\x61\x62\x6c\x65\0\x68\x6d\x61\x70\0\x62\x70\x66\
\x5f\x6b\x66\x75\x6e\x63\x5f\x63\x6f\x6d\x6d\x6f\x6e\x5f\x74\x65\x73\x74\0\x74\
\x65\x73\x74\x5f\x63\x61\x6c\x6c\x5f\x68\x61\x73\x68\x5f\x6d\x61\x6c\x6c\x6f\
\x63\x5f\x73\x6c\x65\x65\x70\x61\x62\x6c\x65\0\x68\x6d\x61\x70\x5f\x6d\x61\x6c\
\x6c\x6f\x63\0\x74\x65\x73\x74\x5f\x63\x61\x6c\x6c\x5f\x6c\x72\x75\x5f\x73\x6c\
\x65\x65\x70\x61\x62\x6c\x65\0\x6c\x72\x75\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\
\x2e\x72\x65\x6c\x2e\x74\x65\x78\x74\0\x2e\x72\x65\x6c\x74\x63\0\x2e\x72\x65\
\x6c\x73\x79\x73\x63\x61\x6c\x6c\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\
\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x35\0\0\0\
\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x3a\0\
\0\0\x02\0\x03\0\0\0\0\0\0\0\0\0\x68\0\0\0\0\0\0\0\0\0\0\0\x03\0\x05\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x4a\0\0\0\x02\0\x03\0\x68\0\0\0\0\0\0\0\xf0\x01\0\0\0\
\0\0\0\x62\0\0\0\x02\0\x03\0\x58\x02\0\0\0\0\0\0\x60\0\0\0\0\0\0\0\x6e\0\0\0\
\x12\0\x04\0\0\0\0\0\0\0\0\0\x88\x01\0\0\0\0\0\0\x88\0\0\0\x11\0\x08\0\0\0\0\0\
\0\0\0\0\x04\0\0\0\0\0\0\0\x8b\0\0\0\x11\0\x08\0\x04\0\0\0\0\0\0\0\x04\0\0\0\0\
\0\0\0\x98\0\0\0\x11\0\x07\0\0\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x9e\0\0\0\x20\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xaa\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\xc3\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd0\0\0\0\x10\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xee\0\0\0\x12\0\x05\0\0\0\0\0\0\0\0\0\x88\
\x01\0\0\0\0\0\0\x0b\x01\0\0\x12\0\x04\0\x88\x01\0\0\0\0\0\0\x58\0\0\0\0\0\0\0\
\x24\x01\0\0\x11\0\x07\0\x20\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x29\x01\0\0\x10\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x3f\x01\0\0\x12\0\x04\0\xe0\x01\0\0\0\0\0\
\0\x58\0\0\0\0\0\0\0\x5f\x01\0\0\x11\0\x07\0\x40\0\0\0\0\0\0\0\x28\0\0\0\0\0\0\
\0\x6b\x01\0\0\x12\0\x04\0\x38\x02\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\x83\x01\0\0\
\x11\0\x07\0\x68\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x87\x01\0\0\x11\0\x06\0\0\0\0\
\0\0\0\0\0\x04\0\0\0\0\0\0\0\x61\x31\0\0\0\0\0\0\x61\x22\0\0\0\0\0\0\x5e\x12\
\x08\0\0\0\0\0\xb4\x06\0\0\x01\0\0\0\x6c\x16\0\0\0\0\0\0\x85\x10\0\0\xff\xff\
\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x12\0\0\0\0\0\0\x4c\x62\0\0\0\
\0\0\0\x63\x21\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\x03\0\0\0\0\
\0\0\x7b\x3a\xf8\xff\0\0\0\0\x7b\x3a\xf0\xff\0\0\0\0\x7b\x3a\xe8\xff\0\0\0\0\
\x7b\x3a\xe0\xff\0\0\0\0\x7b\x3a\xd8\xff\0\0\0\0\x7b\x3a\xd0\xff\0\0\0\0\x61\
\x24\0\0\0\0\0\0\xb4\x03\0\0\x01\0\0\0\x6c\x43\0\0\0\0\0\0\xb4\0\0\0\xea\xff\
\xff\xff\x18\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x44\0\0\0\0\0\0\xbc\x35\0\0\0\
\0\0\0\x5c\x45\0\0\0\0\0\0\x56\x05\x2c\0\0\0\0\0\x18\x04\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x61\x44\0\0\0\0\0\0\x5c\x34\0\0\0\0\0\0\x56\x04\x27\0\0\0\0\0\xbf\xa3\0\
\0\0\0\0\0\x07\x03\0\0\xd0\xff\xff\xff\xbf\x16\0\0\0\0\0\0\xbf\x27\0\0\0\0\0\0\
\xb7\x04\0\0\0\0\0\0\x85\0\0\0\x02\0\0\0\xbf\x01\0\0\0\0\0\0\xb4\0\0\0\xff\xff\
\xff\xff\x55\x01\x1e\0\0\0\0\0\xbf\x61\0\0\0\0\0\0\xbf\x72\0\0\0\0\0\0\x85\0\0\
\0\x01\0\0\0\xbf\x62\0\0\0\0\0\0\xbf\x06\0\0\0\0\0\0\xb4\0\0\0\xfe\xff\xff\xff\
\x15\x06\x17\0\0\0\0\0\x07\x06\0\0\x20\0\0\0\xbf\x61\0\0\0\0\0\0\xb4\x03\0\0\0\
\0\0\0\x85\x10\0\0\xff\xff\xff\xff\xbc\x01\0\0\0\0\0\0\xb4\0\0\0\xfd\xff\xff\
\xff\x56\x01\x10\0\0\0\0\0\xb4\x07\0\0\0\0\0\0\xbf\x61\0\0\0\0\0\0\x18\x02\0\0\
\x58\x02\0\0\0\0\0\0\0\0\0\0\xb4\x03\0\0\0\0\0\0\xb7\x04\0\0\0\0\0\0\x85\x10\0\
\0\xff\xff\xff\xff\xbc\x01\0\0\0\0\0\0\xb4\0\0\0\xfc\xff\xff\xff\x56\x01\x06\0\
\0\0\0\0\xbf\x61\0\0\0\0\0\0\xb4\x02\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\
\x16\0\x01\0\0\0\0\0\xb4\x07\0\0\xfb\xff\xff\xff\xbc\x70\0\0\0\0\0\0\x95\0\0\0\
\0\0\0\0\xbf\x26\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\x61\x61\0\0\0\0\0\0\
\xb4\x02\0\0\x01\0\0\0\x6c\x12\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x61\x13\0\0\0\0\0\0\x4c\x23\0\0\0\0\0\0\x63\x31\0\0\0\0\0\0\xb4\0\0\0\0\0\0\0\
\x95\0\0\0\0\0\0\0\xb4\x01\0\0\0\0\0\0\x63\x1a\xfc\xff\0\0\0\0\xb7\0\0\0\xea\
\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x11\0\0\0\0\0\0\x54\x01\0\
\0\x01\0\0\0\x56\x01\x28\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x11\
\0\0\0\0\0\0\x54\x01\0\0\x01\0\0\0\x56\x01\x23\0\0\0\0\0\xbf\xa2\0\0\0\0\0\0\
\x07\x02\0\0\xfc\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x01\
\0\0\0\xbf\x06\0\0\0\0\0\0\xb7\0\0\0\xfe\xff\xff\xff\x15\x06\x1b\0\0\0\0\0\x61\
\xa1\xfc\xff\0\0\0\0\x63\x16\0\0\0\0\0\0\x07\x06\0\0\x08\0\0\0\xbf\x61\0\0\0\0\
\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb4\x03\0\0\0\0\0\0\x85\x10\0\0\xff\
\xff\xff\xff\xbc\x01\0\0\0\0\0\0\xb7\0\0\0\xfd\xff\xff\xff\x56\x01\x10\0\0\0\0\
\0\xb7\x07\0\0\0\0\0\0\xbf\x61\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xb4\x03\0\0\0\0\0\0\xb7\x04\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\xbc\x01\0\
\0\0\0\0\0\xb7\0\0\0\xfc\xff\xff\xff\x56\x01\x06\0\0\0\0\0\xbf\x61\0\0\0\0\0\0\
\xb4\x02\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\x16\0\x01\0\0\0\0\0\xb7\x07\0\
\0\xfb\xff\xff\xff\xbf\x70\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb4\x01\0\0\x02\0\0\0\
\x63\x1a\xfc\xff\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xfc\xff\xff\xff\x18\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\x10\0\0\x0c\0\0\0\xbc\0\0\0\0\0\0\0\x67\0\
\0\0\x20\0\0\0\xc7\0\0\0\x20\0\0\0\x95\0\0\0\0\0\0\0\xb4\x01\0\0\x03\0\0\0\x63\
\x1a\xfc\xff\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xfc\xff\xff\xff\x18\x01\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\x10\0\0\x0c\0\0\0\xbc\0\0\0\0\0\0\0\x67\0\0\0\
\x20\0\0\0\xc7\0\0\0\x20\0\0\0\x95\0\0\0\0\0\0\0\xb4\x01\0\0\x04\0\0\0\x63\x1a\
\xe4\xff\0\0\0\0\xb7\x01\0\0\0\0\0\0\x7b\x1a\xf8\xff\0\0\0\0\x7b\x1a\xf0\xff\0\
\0\0\0\x7b\x1a\xe8\xff\0\0\0\0\xb7\0\0\0\xea\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x61\x11\0\0\0\0\0\0\x54\x01\0\0\x10\0\0\0\x56\x01\x33\0\0\0\0\0\
\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x11\0\0\0\0\0\0\x54\x01\0\0\x10\0\0\0\
\x56\x01\x2e\0\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xe4\xff\xff\xff\xbf\xa3\
\0\0\0\0\0\0\x07\x03\0\0\xe8\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xb7\x04\0\0\0\0\0\0\x85\0\0\0\x02\0\0\0\xbf\x01\0\0\0\0\0\0\xb7\0\0\0\xff\xff\
\xff\xff\x55\x01\x23\0\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xe4\xff\xff\xff\
\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x01\0\0\0\xbf\x06\0\0\0\0\0\0\
\xb7\0\0\0\xfe\xff\xff\xff\x15\x06\x1b\0\0\0\0\0\x61\xa1\xe4\xff\0\0\0\0\x63\
\x16\0\0\0\0\0\0\x07\x06\0\0\x08\0\0\0\xbf\x61\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\xb4\x03\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\xbc\x01\0\0\0\
\0\0\0\xb7\0\0\0\xfd\xff\xff\xff\x56\x01\x10\0\0\0\0\0\xb7\x07\0\0\0\0\0\0\xbf\
\x61\0\0\0\0\0\0\x18\x02\0\0\x58\x02\0\0\0\0\0\0\0\0\0\0\xb4\x03\0\0\0\0\0\0\
\xb7\x04\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\xbc\x01\0\0\0\0\0\0\xb7\0\0\0\
\xfc\xff\xff\xff\x56\x01\x06\0\0\0\0\0\xbf\x61\0\0\0\0\0\0\xb4\x02\0\0\0\0\0\0\
\x85\x10\0\0\xff\xff\xff\xff\x16\0\x01\0\0\0\0\0\xb7\x07\0\0\xfb\xff\xff\xff\
\xbf\x70\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb4\x01\0\0\x01\0\0\0\x63\x1a\xfc\xff\0\
\0\0\0\xb7\0\0\0\xea\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x11\0\
\0\0\0\0\0\x54\x01\0\0\x02\0\0\0\x56\x01\x28\0\0\0\0\0\x18\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x61\x11\0\0\0\0\0\0\x54\x01\0\0\x02\0\0\0\x56\x01\x23\0\0\0\0\0\
\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xfc\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x85\0\0\0\x01\0\0\0\xbf\x06\0\0\0\0\0\0\xb7\0\0\0\xfe\xff\xff\xff\x15\
\x06\x1b\0\0\0\0\0\x61\xa1\xfc\xff\0\0\0\0\x63\x16\0\0\0\0\0\0\x07\x06\0\0\x08\
\0\0\0\xbf\x61\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb4\x03\0\0\0\0\
\0\0\x85\x10\0\0\xff\xff\xff\xff\xbc\x01\0\0\0\0\0\0\xb7\0\0\0\xfd\xff\xff\xff\
\x56\x01\x10\0\0\0\0\0\xb7\x07\0\0\0\0\0\0\xbf\x61\0\0\0\0\0\0\x18\x02\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\xb4\x03\0\0\0\0\0\0\xb7\x04\0\0\0\0\0\0\x85\x10\0\0\xff\
\xff\xff\xff\xbc\x01\0\0\0\0\0\0\xb7\0\0\0\xfc\xff\xff\xff\x56\x01\x06\0\0\0\0\
\0\xbf\x61\0\0\0\0\0\0\xb4\x02\0\0\0\0\0\0\x85\x10\0\0\xff\xff\xff\xff\x16\0\
\x01\0\0\0\0\0\xb7\x07\0\0\xfb\xff\xff\xff\xbf\x70\0\0\0\0\0\0\x95\0\0\0\0\0\0\
\0\x47\x50\x4c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x28\0\0\0\0\0\0\
\0\x0a\0\0\0\x0f\0\0\0\x30\0\0\0\0\0\0\0\x01\0\0\0\x0a\0\0\0\xc0\0\0\0\0\0\0\0\
\x01\0\0\0\x09\0\0\0\xf0\0\0\0\0\0\0\0\x01\0\0\0\x0a\0\0\0\xb0\x01\0\0\0\0\0\0\
\x0a\0\0\0\x0c\0\0\0\xe0\x01\0\0\0\0\0\0\x01\0\0\0\x02\0\0\0\0\x02\0\0\0\0\0\0\
\x0a\0\0\0\x0d\0\0\0\x30\x02\0\0\0\0\0\0\x0a\0\0\0\x0e\0\0\0\x60\x02\0\0\0\0\0\
\0\x0a\0\0\0\x13\0\0\0\x80\x02\0\0\0\0\0\0\x01\0\0\0\x09\0\0\0\x18\0\0\0\0\0\0\
\0\x01\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\x01\0\0\0\x0a\0\0\0\x78\0\0\0\0\0\0\0\
\x01\0\0\0\x0b\0\0\0\xc8\0\0\0\0\0\0\0\x01\0\0\0\x0b\0\0\0\xe0\0\0\0\0\0\0\0\
\x0a\0\0\0\x0c\0\0\0\x10\x01\0\0\0\0\0\0\x01\0\0\0\x02\0\0\0\x30\x01\0\0\0\0\0\
\0\x0a\0\0\0\x0d\0\0\0\x60\x01\0\0\0\0\0\0\x0a\0\0\0\x0e\0\0\0\xa8\x01\0\0\0\0\
\0\0\x01\0\0\0\x12\0\0\0\xb8\x01\0\0\0\0\0\0\x0a\0\0\0\x02\0\0\0\0\x02\0\0\0\0\
\0\0\x01\0\0\0\x15\0\0\0\x10\x02\0\0\0\0\0\0\x0a\0\0\0\x02\0\0\0\x70\x02\0\0\0\
\0\0\0\x01\0\0\0\x09\0\0\0\x98\x02\0\0\0\0\0\0\x01\0\0\0\x0a\0\0\0\xe0\x02\0\0\
\0\0\0\0\x01\0\0\0\x17\0\0\0\x28\x03\0\0\0\0\0\0\x01\0\0\0\x17\0\0\0\x78\x03\0\
\0\0\0\0\0\x01\0\0\0\x17\0\0\0\x90\x03\0\0\0\0\0\0\x0a\0\0\0\x0c\0\0\0\xc0\x03\
\0\0\0\0\0\0\x01\0\0\0\x02\0\0\0\xe0\x03\0\0\0\0\0\0\x0a\0\0\0\x0d\0\0\0\x10\
\x04\0\0\0\0\0\0\x0a\0\0\0\x0e\0\0\0\x18\0\0\0\0\0\0\0\x01\0\0\0\x09\0\0\0\x40\
\0\0\0\0\0\0\0\x01\0\0\0\x0a\0\0\0\x78\0\0\0\0\0\0\0\x01\0\0\0\x0b\0\0\0\xc8\0\
\0\0\0\0\0\0\x01\0\0\0\x0b\0\0\0\xe0\0\0\0\0\0\0\0\x0a\0\0\0\x0c\0\0\0\x10\x01\
\0\0\0\0\0\0\x01\0\0\0\x02\0\0\0\x30\x01\0\0\0\0\0\0\x0a\0\0\0\x0d\0\0\0\x60\
\x01\0\0\0\0\0\0\x0a\0\0\0\x0e\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\x5c\x06\0\
\0\x5c\x06\0\0\xec\x07\0\0\0\0\0\0\0\0\0\x02\x03\0\0\0\x01\0\0\0\0\0\0\x01\x04\
\0\0\0\x20\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x02\0\0\0\x05\
\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x02\x02\0\0\0\0\0\0\0\0\0\0\
\x02\x07\0\0\0\x19\0\0\0\x02\0\0\x04\x18\0\0\0\x1e\0\0\0\x02\0\0\0\0\0\0\0\x28\
\0\0\0\x08\0\0\0\x40\0\0\0\x2a\0\0\0\x01\0\0\x04\x10\0\0\0\x31\0\0\0\x0b\0\0\0\
\0\0\0\0\x3a\0\0\0\0\0\0\x08\x0a\0\0\0\x40\0\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\
\0\0\0\0\0\0\0\x03\0\0\0\0\x09\0\0\0\x04\0\0\0\x02\0\0\0\0\0\0\0\x04\0\0\x04\
\x20\0\0\0\x53\0\0\0\x01\0\0\0\0\0\0\0\x58\0\0\0\x01\0\0\0\x40\0\0\0\x64\0\0\0\
\x05\0\0\0\x80\0\0\0\x68\0\0\0\x06\0\0\0\xc0\0\0\0\x6e\0\0\0\0\0\0\x0e\x0c\0\0\
\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x0f\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\
\x04\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x11\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\
\0\0\0\x04\0\0\0\xe8\x03\0\0\0\0\0\0\0\0\0\x02\x13\0\0\0\x74\0\0\0\x04\0\0\x04\
\x30\0\0\0\x7e\0\0\0\x02\0\0\0\0\0\0\0\x86\0\0\0\x14\0\0\0\x40\0\0\0\x8c\0\0\0\
\x15\0\0\0\xc0\0\0\0\x91\0\0\0\x08\0\0\0\0\x01\0\0\x96\0\0\0\x01\0\0\x04\x10\0\
\0\0\x31\0\0\0\x0b\0\0\0\0\0\0\0\xa0\0\0\0\x01\0\0\x04\x04\0\0\0\xae\0\0\0\x16\
\0\0\0\0\0\0\0\xb2\0\0\0\0\0\0\x08\x17\0\0\0\xb8\0\0\0\0\0\0\x01\x04\0\0\0\x20\
\0\0\0\0\0\0\0\x04\0\0\x04\x20\0\0\0\x53\0\0\0\x0e\0\0\0\0\0\0\0\x58\0\0\0\x10\
\0\0\0\x40\0\0\0\x64\0\0\0\x05\0\0\0\x80\0\0\0\x68\0\0\0\x12\0\0\0\xc0\0\0\0\
\xc5\0\0\0\0\0\0\x0e\x18\0\0\0\x01\0\0\0\0\0\0\0\x05\0\0\x04\x28\0\0\0\x53\0\0\
\0\x0e\0\0\0\0\0\0\0\xca\0\0\0\x0e\0\0\0\x40\0\0\0\x58\0\0\0\x10\0\0\0\x80\0\0\
\0\x64\0\0\0\x05\0\0\0\xc0\0\0\0\x68\0\0\0\x12\0\0\0\0\x01\0\0\xd4\0\0\0\0\0\0\
\x0e\x1a\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x1d\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\
\x02\0\0\0\x04\0\0\0\x09\0\0\0\0\0\0\0\0\0\0\x02\x1f\0\0\0\0\0\0\0\0\0\0\x03\0\
\0\0\0\x02\0\0\0\x04\0\0\0\x04\0\0\0\0\0\0\0\x04\0\0\x04\x20\0\0\0\x53\0\0\0\
\x1c\0\0\0\0\0\0\0\x58\0\0\0\x1e\0\0\0\x40\0\0\0\x64\0\0\0\x05\0\0\0\x80\0\0\0\
\x68\0\0\0\x06\0\0\0\xc0\0\0\0\xe0\0\0\0\0\0\0\x0e\x20\0\0\0\x01\0\0\0\0\0\0\0\
\0\0\0\x02\0\0\0\0\0\0\0\0\x01\0\0\x0d\x24\0\0\0\xe4\0\0\0\x22\0\0\0\xe8\0\0\0\
\0\0\0\x01\x08\0\0\0\x40\0\0\x01\xed\0\0\0\x01\0\0\x0c\x23\0\0\0\x07\x01\0\0\0\
\0\0\x11\x25\0\0\0\xff\xff\xff\xff\0\0\0\0\x03\0\0\x0d\x02\0\0\0\0\0\0\0\x28\0\
\0\0\0\0\0\0\x22\0\0\0\0\0\0\0\x17\0\0\0\0\0\0\0\0\0\0\x02\x08\0\0\0\x1d\x01\0\
\0\x02\0\0\x0c\x27\0\0\0\0\0\0\0\x04\0\0\x0d\x02\0\0\0\0\0\0\0\x28\0\0\0\0\0\0\
\0\x2b\0\0\0\0\0\0\0\x17\0\0\0\0\0\0\0\x22\0\0\0\0\0\0\0\0\0\0\x02\x2c\0\0\0\0\
\0\0\0\x03\0\0\x0d\x02\0\0\0\0\0\0\0\x22\0\0\0\0\0\0\0\x05\0\0\0\0\0\0\0\x22\0\
\0\0\x29\x01\0\0\x02\0\0\x0c\x2a\0\0\0\0\0\0\0\x02\0\0\x0d\x02\0\0\0\0\0\0\0\
\x28\0\0\0\0\0\0\0\x17\0\0\0\x42\x01\0\0\x02\0\0\x0c\x2e\0\0\0\0\0\0\0\x03\0\0\
\x0d\x02\0\0\0\x4f\x01\0\0\x22\0\0\0\x64\0\0\0\x05\0\0\0\x68\0\0\0\x22\0\0\0\
\x53\x01\0\0\0\0\0\x0c\x30\0\0\0\0\0\0\0\0\0\0\x0d\0\0\0\0\x63\x01\0\0\x02\0\0\
\x0c\x32\0\0\0\x81\x01\0\0\x01\0\0\x0c\x23\0\0\0\x07\x01\0\0\0\0\0\x11\x34\0\0\
\0\xff\xff\xff\xff\x9e\x01\0\0\x01\0\0\x0c\x23\0\0\0\x07\x01\0\0\0\0\0\x11\x36\
\0\0\0\xff\xff\xff\xff\0\0\0\0\x03\0\0\x0d\x02\0\0\0\x4f\x01\0\0\x22\0\0\0\x64\
\0\0\0\x05\0\0\0\xb7\x01\0\0\x2b\0\0\0\xc3\x01\0\0\0\0\0\x0c\x38\0\0\0\xdb\x01\
\0\0\0\0\0\x0c\x30\0\0\0\xe7\x01\0\0\x02\0\0\x0c\x32\0\0\0\xfd\x01\0\0\x01\0\0\
\x0c\x23\0\0\0\x07\x01\0\0\0\0\0\x11\x3c\0\0\0\xff\xff\xff\xff\x1d\x02\0\0\x01\
\0\0\x0c\x23\0\0\0\x07\x01\0\0\0\0\0\x11\x3e\0\0\0\xff\xff\xff\xff\x35\x02\0\0\
\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x40\0\0\0\x04\0\0\0\
\x04\0\0\0\x3a\x02\0\0\0\0\0\x0e\x41\0\0\0\x01\0\0\0\x43\x02\0\0\0\0\0\x0e\x16\
\0\0\0\x01\0\0\0\x46\x02\0\0\0\0\0\x0e\x16\0\0\0\x01\0\0\0\xc1\x07\0\0\x01\0\0\
\x0f\x04\0\0\0\x42\0\0\0\0\0\0\0\x04\0\0\0\xc9\x07\0\0\x04\0\0\x0f\x88\0\0\0\
\x0d\0\0\0\0\0\0\0\x20\0\0\0\x19\0\0\0\x20\0\0\0\x20\0\0\0\x1b\0\0\0\x40\0\0\0\
\x28\0\0\0\x21\0\0\0\x68\0\0\0\x20\0\0\0\xcf\x07\0\0\x02\0\0\x0f\x08\0\0\0\x43\
\0\0\0\0\0\0\0\x04\0\0\0\x44\0\0\0\x04\0\0\0\x04\0\0\0\xd4\x07\0\0\x05\0\0\x0f\
\0\0\0\0\x29\0\0\0\0\0\0\0\0\0\0\0\x2d\0\0\0\0\0\0\0\0\0\0\0\x2f\0\0\0\0\0\0\0\
\0\0\0\0\x33\0\0\0\0\0\0\0\0\0\0\0\x3b\0\0\0\0\0\0\0\0\0\0\0\0\x69\x6e\x74\0\
\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\
\x65\x6c\x65\x6d\0\x6f\x6b\x5f\x6f\x66\x66\x73\x65\x74\0\x77\0\x62\x70\x66\x5f\
\x77\x71\0\x5f\x5f\x6f\x70\x61\x71\x75\x65\0\x5f\x5f\x75\x36\x34\0\x75\x6e\x73\
\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x74\x79\x70\x65\
\0\x6d\x61\x78\x5f\x65\x6e\x74\x72\x69\x65\x73\0\x6b\x65\x79\0\x76\x61\x6c\x75\
\x65\0\x61\x72\x72\x61\x79\0\x68\x6d\x61\x70\x5f\x65\x6c\x65\x6d\0\x63\x6f\x75\
\x6e\x74\x65\x72\0\x74\x69\x6d\x65\x72\0\x6c\x6f\x63\x6b\0\x77\x6f\x72\x6b\0\
\x62\x70\x66\x5f\x74\x69\x6d\x65\x72\0\x62\x70\x66\x5f\x73\x70\x69\x6e\x5f\x6c\
\x6f\x63\x6b\0\x76\x61\x6c\0\x5f\x5f\x75\x33\x32\0\x75\x6e\x73\x69\x67\x6e\x65\
\x64\x20\x69\x6e\x74\0\x68\x6d\x61\x70\0\x6d\x61\x70\x5f\x66\x6c\x61\x67\x73\0\
\x68\x6d\x61\x70\x5f\x6d\x61\x6c\x6c\x6f\x63\0\x6c\x72\x75\0\x63\x74\x78\0\x6c\
\x6f\x6e\x67\0\x74\x65\x73\x74\x5f\x63\x61\x6c\x6c\x5f\x61\x72\x72\x61\x79\x5f\
\x73\x6c\x65\x65\x70\x61\x62\x6c\x65\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\
\x73\x74\x5f\x72\x65\x74\x76\x61\x6c\x3d\x30\0\x62\x70\x66\x5f\x77\x71\x5f\x69\
\x6e\x69\x74\0\x62\x70\x66\x5f\x77\x71\x5f\x73\x65\x74\x5f\x63\x61\x6c\x6c\x62\
\x61\x63\x6b\x5f\x69\x6d\x70\x6c\0\x62\x70\x66\x5f\x77\x71\x5f\x73\x74\x61\x72\
\x74\0\x6d\x61\x70\0\x77\x71\x5f\x63\x62\x5f\x73\x6c\x65\x65\x70\x61\x62\x6c\
\x65\0\x62\x70\x66\x5f\x6b\x66\x75\x6e\x63\x5f\x63\x61\x6c\x6c\x5f\x74\x65\x73\
\x74\x5f\x73\x6c\x65\x65\x70\x61\x62\x6c\x65\0\x74\x65\x73\x74\x5f\x73\x79\x73\
\x63\x61\x6c\x6c\x5f\x61\x72\x72\x61\x79\x5f\x73\x6c\x65\x65\x70\x61\x62\x6c\
\x65\0\x74\x65\x73\x74\x5f\x63\x61\x6c\x6c\x5f\x68\x61\x73\x68\x5f\x73\x6c\x65\
\x65\x70\x61\x62\x6c\x65\0\x63\x61\x6c\x6c\x62\x61\x63\x6b\x5f\x66\x6e\0\x74\
\x65\x73\x74\x5f\x68\x6d\x61\x70\x5f\x65\x6c\x65\x6d\x5f\x63\x61\x6c\x6c\x62\
\x61\x63\x6b\0\x77\x71\x5f\x63\x61\x6c\x6c\x62\x61\x63\x6b\0\x62\x70\x66\x5f\
\x6b\x66\x75\x6e\x63\x5f\x63\x6f\x6d\x6d\x6f\x6e\x5f\x74\x65\x73\x74\0\x74\x65\
\x73\x74\x5f\x63\x61\x6c\x6c\x5f\x68\x61\x73\x68\x5f\x6d\x61\x6c\x6c\x6f\x63\
\x5f\x73\x6c\x65\x65\x70\x61\x62\x6c\x65\0\x74\x65\x73\x74\x5f\x63\x61\x6c\x6c\
\x5f\x6c\x72\x75\x5f\x73\x6c\x65\x65\x70\x61\x62\x6c\x65\0\x63\x68\x61\x72\0\
\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x6f\x6b\0\x6f\x6b\x5f\x73\x6c\x65\x65\x70\
\x61\x62\x6c\x65\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\
\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\
\x30\x2d\x35\x37\x30\x2e\x32\x38\x2e\x31\x2e\x65\x6c\x39\x5f\x36\x2f\x6c\x69\
\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x37\x30\x2e\x32\x38\x2e\x31\
\x2e\x65\x6c\x39\x5f\x36\x2e\x78\x38\x36\x5f\x36\x34\x2f\x74\x6f\x6f\x6c\x73\
\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\
\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x77\x71\x2e\x63\0\x09\x69\x6e\x74\x20\
\x6f\x66\x66\x73\x65\x74\x20\x3d\x20\x64\x61\x74\x61\x2d\x3e\x6f\x6b\x5f\x6f\
\x66\x66\x73\x65\x74\x3b\0\x09\x69\x66\x20\x28\x2a\x6b\x65\x79\x20\x21\x3d\x20\
\x6f\x66\x66\x73\x65\x74\x29\0\x09\x6f\x6b\x5f\x73\x6c\x65\x65\x70\x61\x62\x6c\
\x65\x20\x7c\x3d\x20\x28\x31\x20\x3c\x3c\x20\x6f\x66\x66\x73\x65\x74\x29\x3b\0\
\x09\x62\x70\x66\x5f\x6b\x66\x75\x6e\x63\x5f\x63\x61\x6c\x6c\x5f\x74\x65\x73\
\x74\x5f\x73\x6c\x65\x65\x70\x61\x62\x6c\x65\x28\x29\x3b\0\x7d\0\x73\x74\x61\
\x74\x69\x63\x20\x69\x6e\x74\x20\x74\x65\x73\x74\x5f\x68\x6d\x61\x70\x5f\x65\
\x6c\x65\x6d\x5f\x63\x61\x6c\x6c\x62\x61\x63\x6b\x28\x76\x6f\x69\x64\x20\x2a\
\x6d\x61\x70\x2c\x20\x69\x6e\x74\x20\x2a\x6b\x65\x79\x2c\0\x09\x73\x74\x72\x75\
\x63\x74\x20\x68\x6d\x61\x70\x5f\x65\x6c\x65\x6d\x20\x69\x6e\x69\x74\x20\x3d\
\x20\x7b\x7d\x2c\x20\x2a\x76\x61\x6c\x3b\0\x09\x69\x66\x20\x28\x28\x6f\x6b\x20\
\x26\x20\x28\x31\x20\x3c\x3c\x20\x2a\x6b\x65\x79\x29\x20\x7c\x7c\0\x09\x20\x20\
\x20\x20\x28\x6f\x6b\x5f\x73\x6c\x65\x65\x70\x61\x62\x6c\x65\x20\x26\x20\x28\
\x31\x20\x3c\x3c\x20\x2a\x6b\x65\x79\x29\x29\x29\x29\0\x09\x69\x66\x20\x28\x62\
\x70\x66\x5f\x6d\x61\x70\x5f\x75\x70\x64\x61\x74\x65\x5f\x65\x6c\x65\x6d\x28\
\x6d\x61\x70\x2c\x20\x6b\x65\x79\x2c\x20\x26\x69\x6e\x69\x74\x2c\x20\x30\x29\
\x29\0\x09\x76\x61\x6c\x20\x3d\x20\x62\x70\x66\x5f\x6d\x61\x70\x5f\x6c\x6f\x6f\
\x6b\x75\x70\x5f\x65\x6c\x65\x6d\x28\x6d\x61\x70\x2c\x20\x6b\x65\x79\x29\x3b\0\
\x09\x69\x66\x20\x28\x21\x76\x61\x6c\x29\0\x09\x77\x71\x20\x3d\x20\x26\x76\x61\
\x6c\x2d\x3e\x77\x6f\x72\x6b\x3b\0\x09\x69\x66\x20\x28\x62\x70\x66\x5f\x77\x71\
\x5f\x69\x6e\x69\x74\x28\x77\x71\x2c\x20\x6d\x61\x70\x2c\x20\x30\x29\x20\x21\
\x3d\x20\x30\x29\0\x09\x69\x66\x20\x28\x62\x70\x66\x5f\x77\x71\x5f\x73\x65\x74\
\x5f\x63\x61\x6c\x6c\x62\x61\x63\x6b\x28\x77\x71\x2c\x20\x63\x61\x6c\x6c\x62\
\x61\x63\x6b\x5f\x66\x6e\x2c\x20\x30\x29\x29\0\x09\x69\x66\x20\x28\x62\x70\x66\
\x5f\x77\x71\x5f\x73\x74\x61\x72\x74\x28\x77\x71\x2c\x20\x30\x29\x29\0\x73\x74\
\x61\x74\x69\x63\x20\x69\x6e\x74\x20\x77\x71\x5f\x63\x61\x6c\x6c\x62\x61\x63\
\x6b\x28\x76\x6f\x69\x64\x20\x2a\x6d\x61\x70\x2c\x20\x69\x6e\x74\x20\x2a\x6b\
\x65\x79\x2c\x20\x76\x6f\x69\x64\x20\x2a\x76\x61\x6c\x75\x65\x29\0\x09\x62\x70\
\x66\x5f\x6b\x66\x75\x6e\x63\x5f\x63\x6f\x6d\x6d\x6f\x6e\x5f\x74\x65\x73\x74\
\x28\x29\x3b\0\x09\x6f\x6b\x20\x7c\x3d\x20\x28\x31\x20\x3c\x3c\x20\x2a\x6b\x65\
\x79\x29\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x30\x3b\0\x6c\x6f\x6e\x67\x20\
\x74\x65\x73\x74\x5f\x63\x61\x6c\x6c\x5f\x61\x72\x72\x61\x79\x5f\x73\x6c\x65\
\x65\x70\x61\x62\x6c\x65\x28\x76\x6f\x69\x64\x20\x2a\x63\x74\x78\x29\0\x09\x69\
\x6e\x74\x20\x6b\x65\x79\x20\x3d\x20\x30\x3b\0\x09\x76\x61\x6c\x2d\x3e\x6f\x6b\
\x5f\x6f\x66\x66\x73\x65\x74\x20\x3d\x20\x2a\x6b\x65\x79\x3b\0\x09\x77\x71\x20\
\x3d\x20\x26\x76\x61\x6c\x2d\x3e\x77\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x74\
\x65\x73\x74\x5f\x65\x6c\x65\x6d\x5f\x63\x61\x6c\x6c\x62\x61\x63\x6b\x28\x26\
\x61\x72\x72\x61\x79\x2c\x20\x26\x6b\x65\x79\x2c\x20\x77\x71\x5f\x63\x62\x5f\
\x73\x6c\x65\x65\x70\x61\x62\x6c\x65\x29\x3b\0\x6c\x6f\x6e\x67\x20\x74\x65\x73\
\x74\x5f\x63\x61\x6c\x6c\x5f\x68\x61\x73\x68\x5f\x73\x6c\x65\x65\x70\x61\x62\
\x6c\x65\x28\x76\x6f\x69\x64\x20\x2a\x63\x74\x78\x29\0\x09\x69\x6e\x74\x20\x6b\
\x65\x79\x20\x3d\x20\x32\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x74\x65\x73\x74\
\x5f\x68\x6d\x61\x70\x5f\x65\x6c\x65\x6d\x5f\x63\x61\x6c\x6c\x62\x61\x63\x6b\
\x28\x26\x68\x6d\x61\x70\x2c\x20\x26\x6b\x65\x79\x2c\x20\x77\x71\x5f\x63\x61\
\x6c\x6c\x62\x61\x63\x6b\x29\x3b\0\x6c\x6f\x6e\x67\x20\x74\x65\x73\x74\x5f\x63\
\x61\x6c\x6c\x5f\x68\x61\x73\x68\x5f\x6d\x61\x6c\x6c\x6f\x63\x5f\x73\x6c\x65\
\x65\x70\x61\x62\x6c\x65\x28\x76\x6f\x69\x64\x20\x2a\x63\x74\x78\x29\0\x09\x69\
\x6e\x74\x20\x6b\x65\x79\x20\x3d\x20\x33\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\
\x74\x65\x73\x74\x5f\x68\x6d\x61\x70\x5f\x65\x6c\x65\x6d\x5f\x63\x61\x6c\x6c\
\x62\x61\x63\x6b\x28\x26\x68\x6d\x61\x70\x5f\x6d\x61\x6c\x6c\x6f\x63\x2c\x20\
\x26\x6b\x65\x79\x2c\x20\x77\x71\x5f\x63\x61\x6c\x6c\x62\x61\x63\x6b\x29\x3b\0\
\x6c\x6f\x6e\x67\x20\x74\x65\x73\x74\x5f\x63\x61\x6c\x6c\x5f\x6c\x72\x75\x5f\
\x73\x6c\x65\x65\x70\x61\x62\x6c\x65\x28\x76\x6f\x69\x64\x20\x2a\x63\x74\x78\
\x29\0\x09\x69\x6e\x74\x20\x6b\x65\x79\x20\x3d\x20\x34\x3b\0\x09\x73\x74\x72\
\x75\x63\x74\x20\x65\x6c\x65\x6d\x20\x69\x6e\x69\x74\x20\x3d\x20\x7b\x7d\x2c\
\x20\x2a\x76\x61\x6c\x3b\0\x09\x20\x20\x20\x20\x62\x70\x66\x5f\x6d\x61\x70\x5f\
\x75\x70\x64\x61\x74\x65\x5f\x65\x6c\x65\x6d\x28\x6d\x61\x70\x2c\x20\x6b\x65\
\x79\x2c\x20\x26\x69\x6e\x69\x74\x2c\x20\x30\x29\x29\0\x09\x69\x66\x20\x28\x6d\
\x61\x70\x20\x3d\x3d\x20\x26\x6c\x72\x75\x20\x26\x26\0\x09\x72\x65\x74\x75\x72\
\x6e\x20\x74\x65\x73\x74\x5f\x65\x6c\x65\x6d\x5f\x63\x61\x6c\x6c\x62\x61\x63\
\x6b\x28\x26\x6c\x72\x75\x2c\x20\x26\x6b\x65\x79\x2c\x20\x77\x71\x5f\x63\x61\
\x6c\x6c\x62\x61\x63\x6b\x29\x3b\0\x6c\x6f\x6e\x67\x20\x74\x65\x73\x74\x5f\x73\
\x79\x73\x63\x61\x6c\x6c\x5f\x61\x72\x72\x61\x79\x5f\x73\x6c\x65\x65\x70\x61\
\x62\x6c\x65\x28\x76\x6f\x69\x64\x20\x2a\x63\x74\x78\x29\0\x09\x69\x6e\x74\x20\
\x6b\x65\x79\x20\x3d\x20\x31\x3b\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x6d\x61\
\x70\x73\0\x2e\x62\x73\x73\0\x2e\x6b\x73\x79\x6d\x73\0\x2e\x74\x65\x78\x74\0\
\x74\x63\0\x73\x79\x73\x63\x61\x6c\x6c\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x5c\0\
\0\0\x5c\0\0\0\x7c\x06\0\0\xd8\x06\0\0\0\0\0\0\x08\0\0\0\xdb\x07\0\0\x03\0\0\0\
\0\0\0\0\x31\0\0\0\x68\0\0\0\x39\0\0\0\x58\x02\0\0\x3a\0\0\0\xe1\x07\0\0\x04\0\
\0\0\0\0\0\0\x25\0\0\0\x88\x01\0\0\x36\0\0\0\xe0\x01\0\0\x3c\0\0\0\x38\x02\0\0\
\x3e\0\0\0\xe4\x07\0\0\x01\0\0\0\0\0\0\0\x34\0\0\0\x10\0\0\0\xdb\x07\0\0\x22\0\
\0\0\0\0\0\0\x53\x02\0\0\xd0\x02\0\0\x15\x0c\x02\0\x08\0\0\0\x53\x02\0\0\xef\
\x02\0\0\x06\x14\x02\0\x10\0\0\0\x53\x02\0\0\xef\x02\0\0\x06\x14\x02\0\x20\0\0\
\0\x53\x02\0\0\x04\x03\0\0\x15\x24\x02\0\x28\0\0\0\x53\x02\0\0\x24\x03\0\0\x02\
\x20\x02\0\x30\0\0\0\x53\x02\0\0\x04\x03\0\0\x0f\x24\x02\0\x58\0\0\0\x53\x02\0\
\0\x46\x03\0\0\x01\x2c\x02\0\x68\0\0\0\x53\x02\0\0\x48\x03\0\0\0\x64\x01\0\x70\
\0\0\0\x53\x02\0\0\x80\x03\0\0\x13\x70\x01\0\xa0\0\0\0\x53\x02\0\0\xa3\x03\0\0\
\x12\x7c\x01\0\xb0\0\0\0\x53\x02\0\0\xa3\x03\0\0\x0f\x7c\x01\0\xc0\0\0\0\x53\
\x02\0\0\xa3\x03\0\0\x07\x7c\x01\0\xd8\0\0\0\x53\x02\0\0\xa3\x03\0\0\x0a\x7c\
\x01\0\xe8\0\0\0\x53\x02\0\0\xa3\x03\0\0\x18\x7c\x01\0\xf0\0\0\0\x53\x02\0\0\
\xbd\x03\0\0\x07\x80\x01\0\x08\x01\0\0\x53\x02\0\0\xbd\x03\0\0\x14\x80\x01\0\
\x10\x01\0\0\x53\x02\0\0\xa3\x03\0\0\x06\x7c\x01\0\x38\x01\0\0\x53\x02\0\0\xe1\
\x03\0\0\x06\x8c\x01\0\x58\x01\0\0\x53\x02\0\0\xe1\x03\0\0\x06\x8c\x01\0\x60\
\x01\0\0\x53\x02\0\0\x0f\x04\0\0\x08\x98\x01\0\x90\x01\0\0\x53\x02\0\0\x35\x04\
\0\0\x06\x9c\x01\0\x98\x01\0\0\x53\x02\0\0\x40\x04\0\0\x0d\xa8\x01\0\xa0\x01\0\
\0\x53\x02\0\0\x52\x04\0\0\x06\xac\x01\0\xc8\x01\0\0\x53\x02\0\0\x52\x04\0\0\
\x06\xac\x01\0\xd8\x01\0\0\x53\x02\0\0\x75\x04\0\0\x06\xb8\x01\0\x18\x02\0\0\
\x53\x02\0\0\x75\x04\0\0\x06\xb8\x01\0\x20\x02\0\0\x53\x02\0\0\xa3\x04\0\0\x06\
\xc4\x01\0\x50\x02\0\0\x53\x02\0\0\x46\x03\0\0\x01\xd4\x01\0\x58\x02\0\0\x53\
\x02\0\0\xbd\x04\0\0\0\xe0\x01\0\x60\x02\0\0\x53\x02\0\0\xf6\x04\0\0\x02\xe8\
\x01\0\x68\x02\0\0\x53\x02\0\0\x10\x05\0\0\x0e\xec\x01\0\x78\x02\0\0\x53\x02\0\
\0\x10\x05\0\0\x0b\xec\x01\0\x80\x02\0\0\x53\x02\0\0\x10\x05\0\0\x05\xec\x01\0\
\xa8\x02\0\0\x53\x02\0\0\x24\x05\0\0\x02\xf0\x01\0\xe1\x07\0\0\x31\0\0\0\0\0\0\
\0\x53\x02\0\0\x2f\x05\0\0\0\x40\x02\0\x08\0\0\0\x53\x02\0\0\x59\x05\0\0\x06\
\x48\x02\0\x18\0\0\0\x53\x02\0\0\xa3\x03\0\0\x07\xf8\0\0\x30\0\0\0\x53\x02\0\0\
\xa3\x03\0\0\x0a\xf8\0\0\x38\0\0\0\x53\x02\0\0\xa3\x03\0\0\x18\xf8\0\0\x40\0\0\
\0\x53\x02\0\0\xbd\x03\0\0\x07\xfc\0\0\x58\0\0\0\x53\x02\0\0\xbd\x03\0\0\x14\
\xfc\0\0\x60\0\0\0\x53\x02\0\0\xa3\x03\0\0\x06\xf8\0\0\x78\0\0\0\x53\x02\0\0\
\x0f\x04\0\0\x08\x18\x01\0\xa0\0\0\0\x53\x02\0\0\x35\x04\0\0\x06\x1c\x01\0\xa8\
\0\0\0\x53\x02\0\0\x67\x05\0\0\x13\x28\x01\0\xb0\0\0\0\x53\x02\0\0\x67\x05\0\0\
\x11\x28\x01\0\xb8\0\0\0\x53\x02\0\0\x7f\x05\0\0\x0d\x30\x01\0\xc0\0\0\0\x53\
\x02\0\0\x52\x04\0\0\x06\x34\x01\0\xf8\0\0\0\x53\x02\0\0\x52\x04\0\0\x06\x34\
\x01\0\x08\x01\0\0\x53\x02\0\0\x75\x04\0\0\x06\x40\x01\0\x48\x01\0\0\x53\x02\0\
\0\x75\x04\0\0\x06\x40\x01\0\x50\x01\0\0\x53\x02\0\0\xa3\x04\0\0\x06\x4c\x01\0\
\x80\x01\0\0\x53\x02\0\0\x8e\x05\0\0\x02\x50\x02\0\x88\x01\0\0\x53\x02\0\0\xc9\
\x05\0\0\0\x90\x02\0\x90\x01\0\0\x53\x02\0\0\xf2\x05\0\0\x06\x98\x02\0\xa8\x01\
\0\0\x53\x02\0\0\0\x06\0\0\x09\xa0\x02\0\xd8\x01\0\0\x53\x02\0\0\0\x06\0\0\x02\
\xa0\x02\0\xe0\x01\0\0\x53\x02\0\0\x3b\x06\0\0\0\xb8\x02\0\xe8\x01\0\0\x53\x02\
\0\0\x6b\x06\0\0\x06\xc0\x02\0\0\x02\0\0\x53\x02\0\0\x79\x06\0\0\x09\xc8\x02\0\
\x30\x02\0\0\x53\x02\0\0\x79\x06\0\0\x02\xc8\x02\0\x38\x02\0\0\x53\x02\0\0\xbb\
\x06\0\0\0\xe0\x02\0\x40\x02\0\0\x53\x02\0\0\xe3\x06\0\0\x06\xe8\x02\0\x50\x02\
\0\0\x53\x02\0\0\xf1\x06\0\0\x0e\xec\0\0\x70\x02\0\0\x53\x02\0\0\xa3\x03\0\0\
\x07\xf8\0\0\x88\x02\0\0\x53\x02\0\0\xa3\x03\0\0\x0a\xf8\0\0\x90\x02\0\0\x53\
\x02\0\0\xa3\x03\0\0\x18\xf8\0\0\x98\x02\0\0\x53\x02\0\0\xbd\x03\0\0\x07\xfc\0\
\0\xb0\x02\0\0\x53\x02\0\0\xbd\x03\0\0\x14\xfc\0\0\xb8\x02\0\0\x53\x02\0\0\xa3\
\x03\0\0\x06\xf8\0\0\xe0\x02\0\0\x53\x02\0\0\x0f\x07\0\0\x06\x0c\x01\0\x10\x03\
\0\0\x53\x02\0\0\x3d\x07\0\0\x06\x08\x01\0\x28\x03\0\0\x53\x02\0\0\x0f\x04\0\0\
\x08\x18\x01\0\x50\x03\0\0\x53\x02\0\0\x35\x04\0\0\x06\x1c\x01\0\x58\x03\0\0\
\x53\x02\0\0\x67\x05\0\0\x13\x28\x01\0\x60\x03\0\0\x53\x02\0\0\x67\x05\0\0\x11\
\x28\x01\0\x68\x03\0\0\x53\x02\0\0\x7f\x05\0\0\x0d\x30\x01\0\x70\x03\0\0\x53\
\x02\0\0\x52\x04\0\0\x06\x34\x01\0\xa8\x03\0\0\x53\x02\0\0\x52\x04\0\0\x06\x34\
\x01\0\xb8\x03\0\0\x53\x02\0\0\x75\x04\0\0\x06\x40\x01\0\xf8\x03\0\0\x53\x02\0\
\0\x75\x04\0\0\x06\x40\x01\0\0\x04\0\0\x53\x02\0\0\xa3\x04\0\0\x06\x4c\x01\0\
\x30\x04\0\0\x53\x02\0\0\x51\x07\0\0\x02\xf0\x02\0\xe4\x07\0\0\x13\0\0\0\0\0\0\
\0\x53\x02\0\0\x86\x07\0\0\0\x68\x02\0\x08\0\0\0\x53\x02\0\0\xb3\x07\0\0\x06\
\x70\x02\0\x18\0\0\0\x53\x02\0\0\xa3\x03\0\0\x07\xf8\0\0\x30\0\0\0\x53\x02\0\0\
\xa3\x03\0\0\x0a\xf8\0\0\x38\0\0\0\x53\x02\0\0\xa3\x03\0\0\x18\xf8\0\0\x40\0\0\
\0\x53\x02\0\0\xbd\x03\0\0\x07\xfc\0\0\x58\0\0\0\x53\x02\0\0\xbd\x03\0\0\x14\
\xfc\0\0\x60\0\0\0\x53\x02\0\0\xa3\x03\0\0\x06\xf8\0\0\x78\0\0\0\x53\x02\0\0\
\x0f\x04\0\0\x08\x18\x01\0\xa0\0\0\0\x53\x02\0\0\x35\x04\0\0\x06\x1c\x01\0\xa8\
\0\0\0\x53\x02\0\0\x67\x05\0\0\x13\x28\x01\0\xb0\0\0\0\x53\x02\0\0\x67\x05\0\0\
\x11\x28\x01\0\xb8\0\0\0\x53\x02\0\0\x7f\x05\0\0\x0d\x30\x01\0\xc0\0\0\0\x53\
\x02\0\0\x52\x04\0\0\x06\x34\x01\0\xf8\0\0\0\x53\x02\0\0\x52\x04\0\0\x06\x34\
\x01\0\x08\x01\0\0\x53\x02\0\0\x75\x04\0\0\x06\x40\x01\0\x48\x01\0\0\x53\x02\0\
\0\x75\x04\0\0\x06\x40\x01\0\x50\x01\0\0\x53\x02\0\0\xa3\x04\0\0\x06\x4c\x01\0\
\x80\x01\0\0\x53\x02\0\0\x8e\x05\0\0\x02\x78\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x40\0\0\0\0\0\0\0\xbb\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\0\0\
\0\x58\x02\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\
\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x58\x04\0\0\0\0\0\0\xb8\
\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x17\0\0\0\
\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\x07\0\0\0\0\0\0\x38\x04\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1a\0\0\0\x01\0\0\0\
\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x48\x0b\0\0\0\0\0\0\x88\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x22\0\0\0\x01\0\0\0\x03\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xd0\x0c\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x2a\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\xd8\x0c\0\0\0\0\0\0\x88\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x30\0\0\0\x08\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x60\
\x0d\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x90\x01\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x60\x0d\0\0\0\0\
\0\0\xa0\0\0\0\0\0\0\0\x02\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\
\x9a\x01\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0e\0\0\0\0\0\0\x50\
\x01\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xa1\
\x01\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x50\x0f\0\0\0\0\0\0\x80\0\
\0\0\0\0\0\0\x02\0\0\0\x05\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xad\x01\0\
\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd0\x0f\0\0\0\0\0\0\x60\x0e\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb2\x01\0\0\x01\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x30\x1e\0\0\0\0\0\0\xf8\x06\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct wq *wq::open(const struct bpf_object_open_opts *opts) { return wq__open_opts(opts); }
struct wq *wq::open_and_load() { return wq__open_and_load(); }
int wq::load(struct wq *skel) { return wq__load(skel); }
int wq::attach(struct wq *skel) { return wq__attach(skel); }
void wq::detach(struct wq *skel) { wq__detach(skel); }
void wq::destroy(struct wq *skel) { wq__destroy(skel); }
const void *wq::elf_bytes(size_t *sz) { return wq__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
wq__assert(struct wq *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->ok) == 4, "unexpected size of 'ok'");
	_Static_assert(sizeof(s->bss->ok_sleepable) == 4, "unexpected size of 'ok_sleepable'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __WQ_SKEL_H__ */
