/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __XSK_XDP_PROGS_SKEL_H__
#define __XSK_XDP_PROGS_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct xsk_xdp_progs {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *xsk;
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *xsk_def_prog;
		struct bpf_program *xsk_xdp_drop;
		struct bpf_program *xsk_xdp_populate_metadata;
	} progs;
	struct {
		struct bpf_link *xsk_def_prog;
		struct bpf_link *xsk_xdp_drop;
		struct bpf_link *xsk_xdp_populate_metadata;
	} links;
	struct xsk_xdp_progs__bss {
		int count;
	} *bss;

#ifdef __cplusplus
	static inline struct xsk_xdp_progs *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct xsk_xdp_progs *open_and_load();
	static inline int load(struct xsk_xdp_progs *skel);
	static inline int attach(struct xsk_xdp_progs *skel);
	static inline void detach(struct xsk_xdp_progs *skel);
	static inline void destroy(struct xsk_xdp_progs *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
xsk_xdp_progs__destroy(struct xsk_xdp_progs *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
xsk_xdp_progs__create_skeleton(struct xsk_xdp_progs *obj);

static inline struct xsk_xdp_progs *
xsk_xdp_progs__open_opts(const struct bpf_object_open_opts *opts)
{
	struct xsk_xdp_progs *obj;
	int err;

	obj = (struct xsk_xdp_progs *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = xsk_xdp_progs__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	xsk_xdp_progs__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct xsk_xdp_progs *
xsk_xdp_progs__open(void)
{
	return xsk_xdp_progs__open_opts(NULL);
}

static inline int
xsk_xdp_progs__load(struct xsk_xdp_progs *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct xsk_xdp_progs *
xsk_xdp_progs__open_and_load(void)
{
	struct xsk_xdp_progs *obj;
	int err;

	obj = xsk_xdp_progs__open();
	if (!obj)
		return NULL;
	err = xsk_xdp_progs__load(obj);
	if (err) {
		xsk_xdp_progs__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
xsk_xdp_progs__attach(struct xsk_xdp_progs *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
xsk_xdp_progs__detach(struct xsk_xdp_progs *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *xsk_xdp_progs__elf_bytes(size_t *sz);

static inline int
xsk_xdp_progs__create_skeleton(struct xsk_xdp_progs *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "xsk_xdp_progs";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 2;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "xsk";
	map->map = &obj->maps.xsk;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 1 * s->map_skel_sz);
	map->name = "xsk_xdp_.bss";
	map->map = &obj->maps.bss;
	map->mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 3;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "xsk_def_prog";
	s->progs[0].prog = &obj->progs.xsk_def_prog;
	s->progs[0].link = &obj->links.xsk_def_prog;

	s->progs[1].name = "xsk_xdp_drop";
	s->progs[1].prog = &obj->progs.xsk_xdp_drop;
	s->progs[1].link = &obj->links.xsk_xdp_drop;

	s->progs[2].name = "xsk_xdp_populate_metadata";
	s->progs[2].prog = &obj->progs.xsk_xdp_populate_metadata;
	s->progs[2].link = &obj->links.xsk_xdp_populate_metadata;

	s->data = xsk_xdp_progs__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *xsk_xdp_progs__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x98\x0a\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0a\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x78\x64\
\x70\x2e\x66\x72\x61\x67\x73\0\x2e\x62\x73\x73\0\x2e\x6d\x61\x70\x73\0\x6c\x69\
\x63\x65\x6e\x73\x65\0\x78\x73\x6b\x5f\x78\x64\x70\x5f\x70\x72\x6f\x67\x73\x2e\
\x63\0\x69\x64\x78\0\x78\x73\x6b\x5f\x64\x65\x66\x5f\x70\x72\x6f\x67\0\x78\x73\
\x6b\0\x78\x73\x6b\x5f\x78\x64\x70\x5f\x64\x72\x6f\x70\0\x78\x73\x6b\x5f\x78\
\x64\x70\x5f\x70\x6f\x70\x75\x6c\x61\x74\x65\x5f\x6d\x65\x74\x61\x64\x61\x74\
\x61\0\x63\x6f\x75\x6e\x74\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\
\x78\x64\x70\x2e\x66\x72\x61\x67\x73\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\
\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x2e\0\0\0\
\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x3e\0\0\0\x01\0\x04\0\x04\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\
\0\0\0\0\x03\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x42\0\0\0\x12\0\x03\0\0\0\
\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\x4f\0\0\0\x11\0\x05\0\0\0\0\0\0\0\0\0\x20\0\0\0\
\0\0\0\0\x53\0\0\0\x12\0\x03\0\x30\0\0\0\0\0\0\0\x78\0\0\0\0\0\0\0\x60\0\0\0\
\x12\0\x03\0\xa8\0\0\0\0\0\0\0\xd0\0\0\0\0\0\0\0\x7a\0\0\0\x11\0\x04\0\0\0\0\0\
\0\0\0\0\x04\0\0\0\0\0\0\0\x80\0\0\0\x11\0\x06\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\
\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x02\0\0\0\0\0\0\xb7\x03\0\0\x01\0\
\0\0\x85\0\0\0\x33\0\0\0\x95\0\0\0\0\0\0\0\x18\x01\0\0\x04\0\0\0\0\0\0\0\0\0\0\
\0\x61\x12\0\0\0\0\0\0\xbc\x23\0\0\0\0\0\0\x04\x03\0\0\x01\0\0\0\x63\x31\0\0\0\
\0\0\0\xb4\0\0\0\x01\0\0\0\x54\x02\0\0\x01\0\0\0\x56\x02\x05\0\0\0\0\0\x18\x01\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x02\0\0\0\0\0\0\xb7\x03\0\0\x01\0\0\0\x85\0\0\
\0\x33\0\0\0\x95\0\0\0\0\0\0\0\xbf\x16\0\0\0\0\0\0\xb4\x02\0\0\xe0\xff\xff\xff\
\x85\0\0\0\x36\0\0\0\xbf\x01\0\0\0\0\0\0\xb4\0\0\0\x01\0\0\0\x56\x01\x13\0\0\0\
\0\0\x61\x62\0\0\0\0\0\0\x61\x61\x08\0\0\0\0\0\xbf\x13\0\0\0\0\0\0\x07\x03\0\0\
\x20\0\0\0\x2d\x23\x0e\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x23\0\
\0\0\0\0\0\x67\x03\0\0\x20\0\0\0\xc7\x03\0\0\x20\0\0\0\xbc\x34\0\0\0\0\0\0\x04\
\x04\0\0\x01\0\0\0\x63\x42\0\0\0\0\0\0\x7b\x31\0\0\0\0\0\0\x18\x01\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\xb7\x02\0\0\0\0\0\0\xb7\x03\0\0\x01\0\0\0\x85\0\0\0\x33\0\0\0\
\x95\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x47\x50\x4c\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x06\0\0\0\x30\0\0\0\0\0\0\
\0\x01\0\0\0\x04\0\0\0\x78\0\0\0\0\0\0\0\x01\0\0\0\x06\0\0\0\0\x01\0\0\0\0\0\0\
\x01\0\0\0\x09\0\0\0\x48\x01\0\0\0\0\0\0\x01\0\0\0\x06\0\0\0\x9f\xeb\x01\0\x18\
\0\0\0\0\0\0\0\x38\x02\0\0\x38\x02\0\0\xf8\x02\0\0\0\0\0\0\0\0\0\x02\x03\0\0\0\
\x01\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\
\x04\0\0\0\x11\0\0\0\x05\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x02\
\x06\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x01\0\0\0\0\0\0\0\0\0\
\0\x02\x08\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x04\0\0\0\0\0\0\
\0\x04\0\0\x04\x20\0\0\0\x19\0\0\0\x01\0\0\0\0\0\0\0\x1e\0\0\0\x05\0\0\0\x40\0\
\0\0\x2a\0\0\0\x07\0\0\0\x80\0\0\0\x33\0\0\0\x07\0\0\0\xc0\0\0\0\x3e\0\0\0\0\0\
\0\x0e\x09\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x0c\0\0\0\x42\0\0\0\x06\0\0\x04\
\x18\0\0\0\x49\0\0\0\x0d\0\0\0\0\0\0\0\x4e\0\0\0\x0d\0\0\0\x20\0\0\0\x57\0\0\0\
\x0d\0\0\0\x40\0\0\0\x61\0\0\0\x0d\0\0\0\x60\0\0\0\x71\0\0\0\x0d\0\0\0\x80\0\0\
\0\x80\0\0\0\x0d\0\0\0\xa0\0\0\0\x8f\0\0\0\0\0\0\x08\x0e\0\0\0\x95\0\0\0\0\0\0\
\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\x01\0\0\x0d\x02\0\0\0\xa2\0\0\0\x0b\0\0\0\xa6\
\0\0\0\x01\0\0\x0c\x0f\0\0\0\xb3\0\0\0\x01\0\0\x0c\x0f\0\0\0\xc0\0\0\0\x01\0\0\
\x0c\x0f\0\0\0\xda\0\0\0\0\0\0\x0e\x02\0\0\0\x01\0\0\0\xe0\0\0\0\0\0\0\x0e\x0e\
\0\0\0\0\0\0\0\xe4\0\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\
\0\0\x15\0\0\0\x04\0\0\0\x04\0\0\0\xe9\0\0\0\0\0\0\x0e\x16\0\0\0\x01\0\0\0\xdb\
\x02\0\0\x02\0\0\x0f\x08\0\0\0\x13\0\0\0\0\0\0\0\x04\0\0\0\x14\0\0\0\x04\0\0\0\
\x04\0\0\0\xe0\x02\0\0\x01\0\0\x0f\x20\0\0\0\x0a\0\0\0\0\0\0\0\x20\0\0\0\xe6\
\x02\0\0\x01\0\0\x0f\x04\0\0\0\x17\0\0\0\0\0\0\0\x04\0\0\0\0\x69\x6e\x74\0\x5f\
\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x74\
\x79\x70\x65\0\x6d\x61\x78\x5f\x65\x6e\x74\x72\x69\x65\x73\0\x6b\x65\x79\x5f\
\x73\x69\x7a\x65\0\x76\x61\x6c\x75\x65\x5f\x73\x69\x7a\x65\0\x78\x73\x6b\0\x78\
\x64\x70\x5f\x6d\x64\0\x64\x61\x74\x61\0\x64\x61\x74\x61\x5f\x65\x6e\x64\0\x64\
\x61\x74\x61\x5f\x6d\x65\x74\x61\0\x69\x6e\x67\x72\x65\x73\x73\x5f\x69\x66\x69\
\x6e\x64\x65\x78\0\x72\x78\x5f\x71\x75\x65\x75\x65\x5f\x69\x6e\x64\x65\x78\0\
\x65\x67\x72\x65\x73\x73\x5f\x69\x66\x69\x6e\x64\x65\x78\0\x5f\x5f\x75\x33\x32\
\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x78\x64\x70\0\x78\x73\x6b\
\x5f\x64\x65\x66\x5f\x70\x72\x6f\x67\0\x78\x73\x6b\x5f\x78\x64\x70\x5f\x64\x72\
\x6f\x70\0\x78\x73\x6b\x5f\x78\x64\x70\x5f\x70\x6f\x70\x75\x6c\x61\x74\x65\x5f\
\x6d\x65\x74\x61\x64\x61\x74\x61\0\x63\x6f\x75\x6e\x74\0\x69\x64\x78\0\x63\x68\
\x61\x72\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2f\x62\x75\x69\x6c\x64\x64\x69\
\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\
\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x37\x30\x2e\x32\x38\x2e\x31\x2e\x65\
\x6c\x39\x5f\x36\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\
\x37\x30\x2e\x32\x38\x2e\x31\x2e\x65\x6c\x39\x5f\x36\x2e\x78\x38\x36\x5f\x36\
\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\
\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x78\x73\
\x6b\x5f\x78\x64\x70\x5f\x70\x72\x6f\x67\x73\x2e\x63\0\x09\x72\x65\x74\x75\x72\
\x6e\x20\x62\x70\x66\x5f\x72\x65\x64\x69\x72\x65\x63\x74\x5f\x6d\x61\x70\x28\
\x26\x78\x73\x6b\x2c\x20\x30\x2c\x20\x58\x44\x50\x5f\x44\x52\x4f\x50\x29\x3b\0\
\x09\x69\x66\x20\x28\x69\x64\x78\x2b\x2b\x20\x25\x20\x32\x29\0\x7d\0\x53\x45\
\x43\x28\x22\x78\x64\x70\x2e\x66\x72\x61\x67\x73\x22\x29\x20\x69\x6e\x74\x20\
\x78\x73\x6b\x5f\x78\x64\x70\x5f\x70\x6f\x70\x75\x6c\x61\x74\x65\x5f\x6d\x65\
\x74\x61\x64\x61\x74\x61\x28\x73\x74\x72\x75\x63\x74\x20\x78\x64\x70\x5f\x6d\
\x64\x20\x2a\x78\x64\x70\x29\0\x09\x65\x72\x72\x20\x3d\x20\x62\x70\x66\x5f\x78\
\x64\x70\x5f\x61\x64\x6a\x75\x73\x74\x5f\x6d\x65\x74\x61\x28\x78\x64\x70\x2c\
\x20\x2d\x28\x69\x6e\x74\x29\x73\x69\x7a\x65\x6f\x66\x28\x73\x74\x72\x75\x63\
\x74\x20\x78\x64\x70\x5f\x69\x6e\x66\x6f\x29\x29\x3b\0\x09\x69\x66\x20\x28\x65\
\x72\x72\x29\0\x09\x64\x61\x74\x61\x20\x3d\x20\x28\x76\x6f\x69\x64\x20\x2a\x29\
\x28\x6c\x6f\x6e\x67\x29\x78\x64\x70\x2d\x3e\x64\x61\x74\x61\x3b\0\x09\x64\x61\
\x74\x61\x5f\x6d\x65\x74\x61\x20\x3d\x20\x28\x76\x6f\x69\x64\x20\x2a\x29\x28\
\x6c\x6f\x6e\x67\x29\x78\x64\x70\x2d\x3e\x64\x61\x74\x61\x5f\x6d\x65\x74\x61\
\x3b\0\x09\x69\x66\x20\x28\x64\x61\x74\x61\x5f\x6d\x65\x74\x61\x20\x2b\x20\x73\
\x69\x7a\x65\x6f\x66\x28\x73\x74\x72\x75\x63\x74\x20\x78\x64\x70\x5f\x69\x6e\
\x66\x6f\x29\x20\x3e\x20\x64\x61\x74\x61\x29\0\x09\x6d\x65\x74\x61\x2d\x3e\x63\
\x6f\x75\x6e\x74\x20\x3d\x20\x63\x6f\x75\x6e\x74\x2b\x2b\x3b\0\x2e\x62\x73\x73\
\0\x2e\x6d\x61\x70\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x78\x64\x70\x2e\x66\x72\
\x61\x67\x73\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x24\0\0\0\x24\0\0\0\x2c\x01\0\0\
\x50\x01\0\0\0\0\0\0\x08\0\0\0\xee\x02\0\0\x03\0\0\0\0\0\0\0\x10\0\0\0\x30\0\0\
\0\x11\0\0\0\xa8\0\0\0\x12\0\0\0\x10\0\0\0\xee\x02\0\0\x12\0\0\0\0\0\0\0\xf2\0\
\0\0\x7a\x01\0\0\x09\x50\0\0\x28\0\0\0\xf2\0\0\0\x7a\x01\0\0\x02\x50\0\0\x30\0\
\0\0\xf2\0\0\0\xa7\x01\0\0\x09\x68\0\0\x68\0\0\0\xf2\0\0\0\xa7\x01\0\0\x0c\x68\
\0\0\x70\0\0\0\xf2\0\0\0\xa7\x01\0\0\x06\x68\0\0\x78\0\0\0\xf2\0\0\0\x7a\x01\0\
\0\x09\x74\0\0\xa0\0\0\0\xf2\0\0\0\xb7\x01\0\0\x01\x78\0\0\xa8\0\0\0\xf2\0\0\0\
\xb9\x01\0\0\0\x80\0\0\xb0\0\0\0\xf2\0\0\0\xfc\x01\0\0\x08\x9c\0\0\xd0\0\0\0\
\xf2\0\0\0\x3c\x02\0\0\x06\xa0\0\0\xd8\0\0\0\xf2\0\0\0\x46\x02\0\0\x1c\xac\0\0\
\xe0\0\0\0\xf2\0\0\0\x67\x02\0\0\x21\xb0\0\0\xe8\0\0\0\xf2\0\0\0\x92\x02\0\0\
\x10\xb8\0\0\xf8\0\0\0\xf2\0\0\0\x92\x02\0\0\x06\xb8\0\0\0\x01\0\0\xf2\0\0\0\
\xc3\x02\0\0\x15\xc8\0\0\x40\x01\0\0\xf2\0\0\0\xc3\x02\0\0\x0e\xc8\0\0\x48\x01\
\0\0\xf2\0\0\0\x7a\x01\0\0\x09\xd0\0\0\x70\x01\0\0\xf2\0\0\0\xb7\x01\0\0\x01\
\xd4\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\
\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\xa5\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\xe8\0\0\0\0\0\0\0\x08\x01\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\
\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\xf0\x01\0\0\0\0\0\0\x78\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x1b\0\0\0\x08\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x68\
\x03\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x20\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x68\x03\0\0\0\0\0\
\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x26\0\0\
\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x88\x03\0\0\0\0\0\0\x04\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x89\0\0\0\x09\0\0\0\
\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x90\x03\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\x02\0\
\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x97\0\0\0\x01\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\xe0\x03\0\0\0\0\0\0\x48\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x9c\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x28\x09\0\0\0\0\0\0\x70\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct xsk_xdp_progs *xsk_xdp_progs::open(const struct bpf_object_open_opts *opts) { return xsk_xdp_progs__open_opts(opts); }
struct xsk_xdp_progs *xsk_xdp_progs::open_and_load() { return xsk_xdp_progs__open_and_load(); }
int xsk_xdp_progs::load(struct xsk_xdp_progs *skel) { return xsk_xdp_progs__load(skel); }
int xsk_xdp_progs::attach(struct xsk_xdp_progs *skel) { return xsk_xdp_progs__attach(skel); }
void xsk_xdp_progs::detach(struct xsk_xdp_progs *skel) { xsk_xdp_progs__detach(skel); }
void xsk_xdp_progs::destroy(struct xsk_xdp_progs *skel) { xsk_xdp_progs__destroy(skel); }
const void *xsk_xdp_progs::elf_bytes(size_t *sz) { return xsk_xdp_progs__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
xsk_xdp_progs__assert(struct xsk_xdp_progs *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->count) == 4, "unexpected size of 'count'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __XSK_XDP_PROGS_SKEL_H__ */
